var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-63624405-E55C-4E7C-825D-747D710DB262\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト コントローラの使用</h1></div><p>スクリプト コントローラ機能は、<a href=\"./../Expression-Controllers.html\">式コントローラ</a>と同じように動作し、コントローラ値の計算に使用するスクリプトは[プロパティ]ダイアログ ボックスで入力します。スクリプト コントローラには、主に次のような利点があります。</p>\n\
<ul>\n\
<li><p>ループ、スクリプト関数、パス名など、<strong>MAXScript 言語</strong>のすべての機能を使用できます。</p>\n\
</li>\n\
<li><p><strong>シーン内のすべてのオブジェクトのあらゆるプロパティ</strong>を使用して、メッシュ頂点、任意フレーム タイムのプロパティ値、式コントローラではアクセスできないその他のアニメート不可プロパティのようなものを始めとするコントローラ値の計算を補助します。</p>\n\
<div class=\"note 注:\"> <span class=\"notetitle\">注:</span> スクリプト コントローラ内の変数には、メッシュ値、長い文字列、大きい bitArray を使用しないでください。MAXScript Heap メモリではなく<strong>システム メモリが使用され</strong>、ガベージを収集しないとメモリが不足することがあります。</div>\n\
</li>\n\
<li><p>スクリプト コントローラにより、MAXScript <strong>グローバル変数</strong>を使用して、<strong>3ds Max</strong> 内の他のコントローラおよびスクリプトとの通信および調整を行うことができます</p>\n\
</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-89308EDD-6E65-4335-A8B1-21625ACD453A-low.gif\" alt></p>\n\
<p>パラメータへのスクリプト コントローラの割り当てには、マウスの右ボタン メニューまたはトラック ビュー ツールバーの[プロパティ] (Properties)ボタンから、[プロパティ] (Properties)ダイアログ ボックスを使用することができます。</p>\n\
<p>スクリプト コントローラのダイアログ ボックスは、式コントローラのダイアログ ボックスのように表示されます。式コントローラとスクリプト コントローラの両方が同一コード ベースを使用して非常に類似した機能を提供するようになりました。主な違いは、式の作成に使用する言語が異なることです。</p>\n\
<p>新しいスクリプト コントローラのダイアログ ボックスでは、次のコントロールを使用できます。</p>\n\
<p><strong>[変数を作成]領域:</strong></p>\n\
<ul>\n\
<li><p><strong>[名前]</strong>テキスト フィールド - ユーザ変数の名前の入力と編集ができます。</p>\n\
</li>\n\
<li><p><strong>[作成] (Create)ボタン</strong> - 変数の作成に使用します。[名前]フィールドに変数名を入力してこのボタンをクリックし、[変数]リストに追加します。</p>\n\
</li>\n\
<li><p><strong>[削除] (Delete)ボタン</strong> - 変数の削除に使用します。[変数]リストから既存変数を選択して[名前]フィールドに変数名を表示するか、変数名を[名前]フィールドに手動で入力し、[削除]ボタンをクリックします。</p>\n\
</li>\n\
<li><p><strong>[名前変更] (Rename)ボタン</strong> - 既存変数の名前の変更に使用します。[変数]リストから既存変数を選択し、[名前]フィールドにその変数名を表示してください。新しい変数名を[名前]フィールドに入力し、この[名前変更]ボタンをクリックします。</p>\n\
</li>\n\
</ul>\n\
<p><strong>[変数パラメータ]領域:</strong></p>\n\
<ul>\n\
<li><strong>[ティック オフセット](Tick Offset)値スピナー</strong> - 現在の変数の時間オフセットをティック単位で指定するために使用します。[変数]リストから変数を選択し、[ティック オフセット]の値を変更します。トラック、コントローラ、ノードが変数に割り当てられている場合 (つまり定数ではない場合)、スクリプト式が評価されるとき、現在の時間に[ティック オフセット]が加算されて変数の値が取られます。</li>\n\
</ul>\n\
<p><strong>[変数]:</strong></p>\n\
<ul>\n\
<li><p><strong>[変数] (Variables)リスト</strong> - コントローラの使用可能なすべての変数のリストが表示されます。上で説明した方法で、任意の数のユーザ変数を作成できます。次の事前定義定変数は、すべての式コントローラで使用でき、変更や名前変更はできません。</p>\n\
<ul>\n\
<li><p><strong>F</strong> - フレーム単位の現在時間。</p>\n\
</li>\n\
<li><p><strong>NT</strong> - 正規時間。この変数には、正規化された時間が含まれます。t は評価時間で、時間範囲はスクリプト コントローラの範囲です。正規時間は、コントローラの範囲外のタイプが無効になっている場合を除き、0 ～ 1 に強制的に収められます。</p>\n\
</li>\n\
<li><p><strong>S</strong> - 秒単位の現在の時間</p>\n\
</li>\n\
<li><p><strong>T</strong> - ティック単位の現在の時間</p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p><strong>[定数を割り当て](Assign Constant)</strong> - 選択した変数に定数値を割り当てます。定数値は、整数、浮動小数点、配列、ノードなど、任意の MAXScript 値にすることができます。<strong>[値式]</strong>フィールドには、任意の有効な MAXScript 式を入力できます。次に<strong>[評価]</strong>ボタンをクリックし、現在の時間で式を評価します。<strong>[値式結果]</strong>を変数に割り当てるには[OK]、値を割り当てない場合は[キャンセル]をクリックします。次の図の定数値は、整数 1、グローバル定数値 Pi、シーン ノード Sphere01 の位置を含む配列になっています。式を評価した結果には定数値のみが含まれています。整数 1 は変化しません。第 2 配列要素は浮動小数点値の Pi、第 3 配列要素は現在のフレーム (評価時) の Sphere01 の位置です。 <img src=\"./images/GUID-DC9816AC-E49B-4FBD-BDE1-45E2C2870A33-low.gif\" alt></p>\n\
</li>\n\
<li><p><strong>[トラック割り当て](Assign Track)</strong> - 選択した変数に subAnim トラックを割り当てます。この変数タイプに関連する MAXScript メソッドについては、「<a href=\"Script-Controllers-1.html\"#target--track--variable\">ターゲット (トラック) 変数</a>」を参照してください。</p>\n\
</li>\n\
<li><p><strong>[コントローラを割り当て](Assign Controller)</strong> - 選択した変数にコントローラを割り当てます。[コントローラを割り当て] - 選択した変数にコントローラを割り当てることができます。この変数タイプに関連する MAXScript メソッドについては、「<a href=\"Script-Controllers-1.html\"#objectvariable\">オブジェクト (コントローラ) 変数</a>」を参照してください。</p>\n\
</li>\n\
<li><p><strong>[ノード割り当て](Assign Node)</strong> - ノード参照を選択した変数に割り当てます。「<a href=\"Weak-References-To-Nodes-in-the.html\">式コントローラとスクリプト コントローラにおけるノードの簡潔なリファレンス</a>」も参照してください</p>\n\
</li>\n\
</ul>\n\
<p><strong>[式] (Expression)テキスト フィールド</strong> - コントローラ値を計算するためのスクリプト式を入力します。コントローラ スクリプトの詳細については、以下を参照してください</p>\n\
<p><strong>[説明]テキスト フィールド</strong> - コントローラの機能に関するコメントを入力します。</p>\n\
<p><strong>[ロード/保存] (Load/Save)ボタン</strong> - スクリプトをテキスァイルにロードおよび保存します。</p>\n\
<p><strong>[評価] (Evaluate)ボタン</strong> - スクリプトの式を評価します。コード内において時間コンテキストを使用して別の方法で明示的に指定しない場合、または[ティック オフセット]を 0 以外にしてコントローラ変数を使用している場合は、現在の時間が使用されます。</p>\n\
<p><strong>[閉じる] (Close)ボタン</strong> - コントローラのスクリプトをコンパイルし、エラーをチェックします。エラーが見つからない場合は、ダイアログを閉じます。エラーが検出された場合は、問題について説明する MAXScript エラー メッセージが最初に表示されます。エラー メッセージを閉じると、現行トラックの元の値に式を戻してダイアログ ボックスを閉じるか ([OK])、戻って式を編集するか ([キャンセル]) を尋ねるプロンプトが表示されます。</p>\n\
<p><img src=\"./images/GUID-FDAF8B4C-A5DB-45B6-BC29-8F17FA2FF09E-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Script-Controllers.html\">スクリプト コントローラ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Script-Controllers-1.html\">スクリプト コントローラ</a></li>\n\
          <li><a class=\"link\" href=\"Script-Controller-Avoiding.html\">スクリプト コントローラ - 循環従属の回避</a></li>\n\
          <li><a class=\"link\" href=\"Referencing-Nodes-and.html\">スクリプト コントローラにおけるノードとコントローラの参照に関する質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";