var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-25DA5CC7-E8AB-4E6E-92DF-200E121D2CCB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>IKLimb ソルバ</h1></div><p>IK リム ソルバは、腰から足首、肩から手首などの人間の手足をアニメートするために特別に設計されています。アニメーションは連続した 2 つのボーンにのみ作用します。IK リム ソルバーは、ビューポート内で非常に高速かつ正確な分析ソルバーです。</p>\n\
<p>IK リム ソルバを使用する場合、ボーン システムには連続した<code>three</code>ボーンが必要です。目標は 3 つ目のボーンの基点に置かれます。IK の解は、最初と 2 番目のボーンに関して計算されます。</p>\n\
<p>IK リム ソルバは、ボーン階層だけでなく 3 つの要素を持つリンク階層も処理し、人間の手足のモデルを生成するように設定されます。その他の要件としては、次のものがあります。</p>\n\
<ul>\n\
<li><p>最初の関節は「球状」であること。つまり、3 度の自由度があります。</p>\n\
</li>\n\
<li><p>第 2 関節は「回転」です。つまり、1 度の自由度があります。</p>\n\
</li>\n\
</ul>\n\
<p>IK リム ソルバを不適切なチェーンに配置しようとすると、IK リム ソルバの割り当てが無効であることを知らせる警告メッセージが表示されます。</p>\n\
<p>IK リム ソルバは、HI IK ソルバと同じコントロールを使用します。このため、関節に基本角度が設定されるモデルに従い、同じアニメーション期間内でフォワード キネマティクスとインバース キネマティクスの期間を混合することができます。IK リム ソルバは、ダンピング、優先順位、および関節設定の制限に関する HD IK ソルバ メソッドを使用しません。</p>\n\
<p>IK リム ソルバのソース コードはそのまま提供されるため、ゲーム エンジンに直接書き出しできます。</p>\n\
<p>関節の角度は、初期チェーン面とターゲット チェーン面の間の変換 (回転) を計算して取得されます。初期チェーン面は、次の 3 つの単位ベクトルで定義されます。</p>\n\
<ol>\n\
<li><p>(初期ポーズの) 肩から肘の単位ベクトル</p>\n\
</li>\n\
<li><p>(初期ポーズの) 肩から肘の単位ベクトルに垂直な平面におけるエンド エフェクタ軸の投影</p>\n\
</li>\n\
<li><p>上記の 2 つの乗積</p>\n\
</li>\n\
</ol>\n\
<p>同様に、ターゲット面はターゲット ポーズの 3 つの類似ベクトルによって定義されます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Inverse-Kinematics.html\">インバース キネマティック</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IKSys.html\">インタフェース: IKSys</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-HDIKSys.html\">インタフェース: HDIKSys</a></li>\n\
          <li><a class=\"link\" href=\"HD-IK-controller-chains-can-be.html\">HD IK コントローラ チェーンを既存の階層に割り当てることができる</a></li>\n\
          <li><a class=\"link\" href=\"../Controller-Types/Matrix3-Controllers/IKChainControl-Matrix3Controller.html\">IKChainControl : Matrix3Controller</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";