var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CA252E0A-3EB7-4DDD-9E9A-19B95E592902\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x7DE8;&#x96C6;&#x53EF;&#x80FD;&#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x306E;&#x64CD;&#x4F5C;</h1></div><h2 id=\"-\">&#x9762;&#x306E;&#x6CD5;&#x7DDA;&#x306E;&#x53CD;&#x8EE2;</h2><p>&#x6B21;&#x306E;&#x95A2;&#x6570;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30E1;&#x30C3;&#x30B7;&#x30E5; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x5185;&#x306E;&#x3059;&#x3079;&#x3066;&#x306E;&#x9762;&#x306B;&#x5BFE;&#x3059;&#x308B;&#x6CD5;&#x7DDA;&#x3092;&#x53CD;&#x8EE2;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    fn FlipObjNormal obj =\n\
    (\n\
    for f =1 to obj.numFaces do -- for each face in the mesh\n\
    (\n\
    verts=getface obj f -- get its 3 vertices as a point3\n\
    local tmp=verts.x -- swap the first and third vertices\n\
    verts.x=verts.z -- which flips the normal\n\
    verts.z=tmp -- (right-hand rule), and\n\
    setface obj f verts -- store the new vertex order for the face\n\
    )\n\
    update obj -- update object so 3ds Max sees the changes\n\
    )\n\
</code></pre></blockquote>\n\
<h2 id=\"-\">&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x9802;&#x70B9;&#x304A;&#x3088;&#x3073;&#x9762;</h2><p>&#x6B21;&#x306B;&#x3001;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x9802;&#x70B9;&#x3068;&#x9762;&#x3092;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x4F5C;&#x696D;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306E;&#x4F8B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    -- function to apply planar mapping to an object\n\
    -- direction parameter specifies the axis the mapping is\n\
    -- perpendicular to, and can have a value of #x, #y, or #z\n\
    --\n\
    fn ApplyPlanarMap obj direction =\n\
    (local oldcoordsys, normalize_pos\n\
    -- in this case, the number of texture vertices is equal to the\n\
    -- number of mesh vertices\n\
    obj.numtverts=obj.numverts\n\
    -- build the texture vertex faces\n\
    buildTVFaces obj\n\
    -- operate in objects coordinate space. Save original coord system so we\n\
    -- can restore later.\n\
    oldcoordsys=set coordsys local\n\
    -- for each vertex in mesh, get it&apos;s position and normalize the position\n\
    -- to a range of [0,0,0] to [1,1,1]. This is the planar UVW space.\n\
    for v = 1 to obj.numverts do\n\
    ( normalize_pos=((getvert obj v)-obj.min)/(obj.max-obj.min)\n\
    -- flip around position component values based on which direction the\n\
    -- planar mapping is perpendicular to\n\
    case direction of\n\
    (#x:( tmp=normalize_pos.x\n\
    normalize_pos.x=normalize_pos.y\n\
    normalize_pos.y=normalize_pos.z\n\
    normalize_pos.z=tmp\n\
    )\n\
    #y:( tmp=normalize_pos.y\n\
    normalize_pos.y=normalize_pos.z\n\
    normalize_pos.z=tmp\n\
    )\n\
    )\n\
    -- set the corresponding texture vertex &quot;position&quot;\n\
    settvert obj v normalize_pos\n\
    )\n\
    -- done &quot;positioning&quot; the texture vertices. Build the texture faces.\n\
    -- since in this case there is a 1-to-1 correspondence between mesh and\n\
    -- texture vertices, the vertex indices for a mesh face are also the\n\
    -- texture vertex indices for the texture faces.\n\
    for f = 1 to obj.numfaces do\n\
    setTVFace obj f (getface obj f)\n\
    -- all done. reset the coordinate system\n\
    set coordsys oldcoordsys\n\
    -- update the mesh so 3ds Max sees the changes\n\
\n\
    update obj\n\
    )\n\
    --\n\
    -- test bed. Create a sphere, apply a material, set the diffuse map\n\
    -- to a 2x3 tiled checker map, turn on viewport display of the\n\
    -- checker texture map, and call the ApplyPlanarMap function\n\
    --\n\
    g=geosphere()\n\
    convertToMesh g\n\
    g.material=standard()\n\
    g.material.maps[2]=checker()\n\
    g.material.maps[2].coordinates.u_tiling=2\n\
    g.material.maps[2].coordinates.v_tiling=3\n\
    showTextureMap g.material g.material.maps[2] true\n\
    ApplyPlanarMap g #x\n\
</code></pre><p><strong>&#x51FA;&#x529B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    ApplyPlanarMap() -- output of function declaration lines 5 to 45\n\
    $GeoSphere:GeoSphere02 @ [0.0,0.0,0.0] -- output line 51\n\
    $Editable_Mesh:GeoSphere02 @ [0.0,0.0,0.0] -- output line 52\n\
    Standard:Standard -- output line 53\n\
    Checker:Checker -- output line 54\n\
    2 -- output line 55\n\
    3 -- output line 56\n\
    OK -- output line 57\n\
    OK -- output line 58\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Editable_Mesh-and-TriMesh.html\">Editable_Mesh および TriMesh</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Editable_Mesh-GeometryClass-and.html\">Editable_Mesh : GeometryClass および TriMesh : 値</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";