var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E6BB0B2F-5913-4949-B2FF-9EB7B9811A1E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>フィルタのインポート、エクスポート</h1></div><p>次のトピックでは、MAXScript によるさまざまな書き出しと読み込みのプラグイン、関数およびインタフェースへのアクセスについて説明します。</p>\n\
<h3 id=\"alembic-\">Alembic の読み込みと書き出し</h3><p><a href=\"Alembic_Export-ExporterPlugin.html\">Alembic_Export: ExporterPlugin</a></p>\n\
<p><a href=\"Alembic_Import-ImporterPlugin.html\">Alembic_Import: ImporterPlugin</a></p>\n\
<h3 id=\"atf-autodesk-translation-framework-\">ATF (Autodesk Translation Framework)の読み込み</h3><p><a href=\"ATF_Alias_importer.html\">ATF_Alias_importer : ImporterPlugin</a></p>\n\
<p><a href=\"ATF_CATIA_V4_importer.html\">ATF_CATIA_V4_importer : ImporterPlugin</a></p>\n\
<p><a href=\"ATF_CATIA_V5_importer.html\">ATF_CATIA_V5_importer : ImporterPlugin</a></p>\n\
<p><a href=\"ATF_IGES_importer-ImporterPlugin.html\">ATF_IGES_importer : ImporterPlugin</a></p>\n\
<p><a href=\"ATF_JT_importer-ImporterPlugin.html\">ATF_JT_importer : ImporterPlugin</a></p>\n\
<p><a href=\"ATF_ProE_importer-ImporterPlugin.html\">ATF_ProE_importer : ImporterPlugin</a></p>\n\
<p><a href=\"ATF_Solidworks_importer.html\">ATF_Solidworks_importer : ImporterPlugin</a></p>\n\
<p><a href=\"ATF_STEP_importer-ImporterPlugin.html\">ATF_STEP_importer : ImporterPlugin</a></p>\n\
<p><a href=\"ATF_UG_NX_importer.html\">ATF_UG_NX_importer : ImporterPlugin</a></p>\n\
<h3 id=\"-dwf-dwf-export-\">[DWF 書き出し](DWF Export)ダイアログへのアクセス</h3><p><a href=\"./../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DwfExportPreferences.html\">インタフェース: DwfExportPreferences</a></p>\n\
<h3 id=\"fbx-\">FBX 書き出しと読み込みのダイアログ ボックス</h3><p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\">FBX 読み込みダイアログ ボックスへのアクセス</a></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\">FBX 書き出しダイアログ ボックスへのアクセス</a></p>\n\
<h3 id=\"flight-studio-\">Flight Studio 書き出しと読み込み</h3><p><a href=\"./../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioImport.html\">インタフェース: FlightStudioImport</a></p>\n\
<p><a href=\"./../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioExport.html\">インタフェース: FlightStudioExport</a></p>\n\
<h3 id=\"inventor-\">Inventor 読み込み</h3><p><a href=\"InventorImport-ImporterPlugin.html\">InventorImport : ImporterPlugin</a></p>\n\
<h3 id=\"obj-\">OBJ 書き出しと読み込み</h3><p><a href=\"ObjImp-ImporterPlugin.html\">ObjImp : ImporterPlugin</a></p>\n\
<p><a href=\"ObjExp-ExporterPlugin.html\">ObjExp : ExporterPlugin</a></p>\n\
<h3 id=\"revit-\">Revit 読み込み</h3><p><a href=\"Revit_importer-ImporterPlugin.html\">Revit_importer: ImporterPlugin</a></p>\n\
<h3 id=\"sketchup-import\">SketchUp Import</h3><p><a href=\"sketchUp-ImporterPlugin.html\">sketchUp : ImporterPlugin</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">フィルタのインポート、エクスポート</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max ファイルのロードと保存</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";