var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"6BCD1EAA-1F16-4758-A07B-C2E31F94BEB2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: ColorPipelineMgr</h1></div><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt><strong>3ds Max 2024 &#x306E;</strong><a href=\"./../../../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">&#x65B0;&#x6A5F;&#x80FD;</a>: &#x3053;&#x306E;&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x306F;&#x3001;3ds Max &#x3067;&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;(&#x5F93;&#x6765;&#x306E;&#x30AC;&#x30F3;&#x30DE;&#x30D9;&#x30FC;&#x30B9;&#x304A;&#x3088;&#x3073; OCIO &#x30D9;&#x30FC;&#x30B9;)&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3068;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x516C;&#x958B;&#x3057;&#x307E;&#x3059;&#x3002;OpenColorIO (OCIO)&#x306E;&#x8A73;&#x7D30;&#x306B;&#x3064;&#x3044;&#x3066;&#x306F;&#x3001;&#x300C;<a href=\"https://opencolorio.readthedocs.io/en/latest/index.html\" target=\"_blank\">OCIO &#x306E;&#x6982;&#x8981;</a>&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<h2 id=\"-\">&#x4F8B;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">/* Uses some ColorPipelineMgr methods to get information about the\n\
current configuration and print out description strings for color\n\
spaces, displays and views. */\n\
\n\
renderingSpaces = ColorPipelineMgr.GetRenderingColorSpaceList()\n\
fileSpaces = ColorPipelineMgr.GetFileIOColorSpaceList()\n\
displays = ColorPipelineMgr.GetDisplayList()\n\
\n\
\n\
format &quot;Render Space Descriptions:\\n&quot;\n\
for rs in renderingSpaces do (\n\
    dsc = ColorPipelineMgr.GetColorSpaceDescription rs\n\
    format &quot;% : %\\n&quot; rs dsc\n\
)\n\
\n\
format &quot;File Space Descriptions:\\n&quot;\n\
\n\
for rs in fileSpaces do (\n\
    dsc = ColorPipelineMgr.GetColorSpaceDescription rs\n\
    format &quot;% : %\\n&quot; rs dsc\n\
)\n\
\n\
format &quot;Display View Descriptions:\\n&quot;\n\
\n\
for dsp in displays do (\n\
    format &quot;Display: %\\n&quot; dsp\n\
    vs = ColorPipelineMgr.GetViewList dsp \n\
    for v in vs do(\n\
        append views v    \n\
        format &quot;  view % : %\\n&quot; v (ColorPipelineMgr.GetDisplayViewDescription dsp v)    \n\
    )\n\
\n\
)</code></pre><h2 id=\"-\">&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .Mode : enum : Read|Write\n\
       Mode enums: {#Unmanaged|#Gamma|#OCIO_Default|#OCIO_Custom}</code></pre><p>&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x30E2;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;&#x307E;&#x305F;&#x306F;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li><code>#Unmanaged</code> - &#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x306A;&#x3057;&#x3002;</li>\n\
<li><code>#Gamma</code> - 3ds Max 2024 &#x3088;&#x308A;&#x524D;&#x306E;&#x30D0;&#x30FC;&#x30B8;&#x30E7;&#x30F3;&#x3067;&#x5F93;&#x6765;&#x306E;&#x30AC;&#x30F3;&#x30DE; &#x30E2;&#x30FC;&#x30C9;&#x3092;&#x30A8;&#x30DF;&#x30E5;&#x30EC;&#x30FC;&#x30C8;&#x3059;&#x308B; OCIO &#x74B0;&#x5883;&#x8A2D;&#x5B9A;&#x3067;&#x3059;&#x3002;&#x3053;&#x306E;&#x30E2;&#x30FC;&#x30C9;&#x3067;&#x306F;&#x3001;&#x30E2;&#x30CB;&#x30BF;&#x306E;&#x539F;&#x8272;&#x304C; Rec.709/sRGB &#x3067;&#x3001;&#x3053;&#x308C;&#x3089;&#x306E;&#x539F;&#x8272;&#x3082;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x3068;&#x3057;&#x3066;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x3068;&#x4EEE;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</li>\n\
<li><code>#OCIO_Default</code> - &#x7D44;&#x307F;&#x8FBC;&#x307F;&#x306E;&#x65E2;&#x5B9A;&#x306E; 3ds Max &#x8A2D;&#x5B9A;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B; OCIO &#x30D9;&#x30FC;&#x30B9;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x30E2;&#x30FC;&#x30C9;&#x3067;&#x3059;&#x3002;</li>\n\
<li><code>#OCIO_Custom</code> - &#x30E6;&#x30FC;&#x30B6;&#x6307;&#x5B9A;&#x306E; OCIO &#x8A2D;&#x5B9A;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B; OCIO &#x30D9;&#x30FC;&#x30B9;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x30E2;&#x30FC;&#x30C9;&#x3067;&#x3059;&#x3002;</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .OCIOConfigPath : string : Read|Write</code></pre><p>[&#x30AB;&#x30E9;&#x30FC; IO &#x3092;&#x958B;&#x304F;](Open Color IO)&#x8A2D;&#x5B9A;&#x3092;&#x6307;&#x5B9A;&#x3059;&#x308B;&#x8A2D;&#x5B9A;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3092;&#x53D6;&#x5F97;&#x307E;&#x305F;&#x306F;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30D1;&#x30B9;&#x306F;&#x3001;&#x30E2;&#x30FC;&#x30C9;&#x304C;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x306B;&#x306E;&#x307F;&#x5909;&#x66F4;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x4EE5;&#x4E0B;&#x306E; <code>.Locked</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .Status : enum : Read\n\
       Status enums: {#Normal|#FallbackRaw|#Invalid}</code></pre><p>&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x306E;&#x521D;&#x671F;&#x5316;&#x72B6;&#x614B;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li><code>#Normal</code> - &#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x304C;&#x521D;&#x671F;&#x5316;&#x3055;&#x308C;&#x3001;&#x6B63;&#x5E38;&#x306B;&#x52D5;&#x4F5C;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;</li>\n\
<li><code>#FallbackRaw</code> - &#x4F55;&#x3089;&#x304B;&#x306E;&#x7406;&#x7531;(&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x8A2D;&#x5B9A;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x898B;&#x3064;&#x304B;&#x3089;&#x306A;&#x3044;&#x304B;&#x6B63;&#x3057;&#x304F;&#x306A;&#x3044;)&#x306B;&#x3088;&#x308A;&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x306E;&#x521D;&#x671F;&#x5316;&#x304C;&#x5931;&#x6557;&#x3057;&#x3001;3ds Max&#x304C;&#x300C;&#x7BA1;&#x7406;&#x5BFE;&#x8C61;&#x5916;&#x300D;&#x306E;&#x72B6;&#x614B;&#x306B;&#x623B;&#x308A;&#x307E;&#x3059;</li>\n\
<li><code>#Invalid</code> - &#x91CD;&#x5927;&#x306A;&#x554F;&#x984C;&#x304C;&#x767A;&#x751F;&#x3057;&#x3001;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x304C;&#x4E0D;&#x5B89;&#x5B9A;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x53EF;&#x80FD;&#x6027;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x72B6;&#x614B;&#x306B;&#x306A;&#x3089;&#x306A;&#x3044;&#x3053;&#x3068;&#x304C;&#x7406;&#x60F3;&#x7684;&#x3067;&#x3059;&#x3002;</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .Locked : boolean : Read|Write</code></pre><p>&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x8A2D;&#x5B9A;&#x3092;&#x30ED;&#x30C3;&#x30AF;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x53D6;&#x5F97;&#x307E;&#x305F;&#x306F;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3064;&#x307E;&#x308A;&#x3001;&#x30E2;&#x30FC;&#x30C9;&#x3068;&#x8A2D;&#x5B9A;&#x30D1;&#x30B9;&#x306F;&#x30B3;&#x30FC;&#x30C9;&#x3092;&#x4ECB;&#x3057;&#x3066;&#x5909;&#x66F4;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;(&#x305F;&#x3060;&#x3057;&#x3001;UI &#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x5909;&#x66F4;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x3059;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .RenderingColorSpace : string : Read|Write</code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x306E;&#x30AB;&#x30E9;&#x30FC; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x3092;&#x6307;&#x5B9A;&#x3059;&#x308B;&#x6587;&#x5B57;&#x5217;&#x3092;&#x53D6;&#x5F97;&#x307E;&#x305F;&#x306F;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x306A;&#x30AB;&#x30E9;&#x30FC; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x8A2D;&#x5B9A;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li>&quot;ACEScg&quot;</li>\n\
<li>&quot;ACES2065-1&quot;</li>\n\
<li>&quot;&#x30B7;&#x30FC;&#x30F3;&#x30EA;&#x30CB;&#x30A2; Rec.709-sRGB&quot;</li>\n\
<li>&quot;&#x30B7;&#x30FC;&#x30F3;&#x30EA;&#x30CB;&#x30A2; DCI-P3 D65&quot;</li>\n\
<li>&quot;&#x30B7;&#x30FC;&#x30F3;&#x30EA;&#x30CB;&#x30A2; Rec.2020&quot;</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .DisplayGamma : float : Read|Write</code></pre><p>&#x30C7;&#x30A3;&#x30B9;&#x30D7;&#x30EC;&#x30A4; &#x30AC;&#x30F3;&#x30DE;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;&#x307E;&#x305F;&#x306F;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x65E2;&#x5B9A;&#x5024;&#x306F; 2.2 &#x3067;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;LoadSystemDefaults()\n\
       LoadSystemDefaults - no automatic redraw after invoked</code></pre><p>&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306E;&#x65E2;&#x5B9A;&#x5024;&#x3092;&#x30ED;&#x30FC;&#x30C9;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;[&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;](Color Management)&#x57FA;&#x672C;&#x8A2D;&#x5B9A;&#x30BF;&#x30D6;&#x306E;<strong>[&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306E;&#x65E2;&#x5B9A;&#x5024;&#x3092;&#x30ED;&#x30FC;&#x30C9;](Load System Defaults)</strong>&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;SaveSystemDefaults()\n\
       SaveSystemDefaults - no automatic redraw after invoked</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x8A2D;&#x5B9A;&#x3092;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306E;&#x65E2;&#x5B9A;&#x5024;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x306B;&#x4FDD;&#x5B58;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;[&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;](Color Management)&#x57FA;&#x672C;&#x8A2D;&#x5B9A;&#x30BF;&#x30D6;&#x306E;<strong>[&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306E;&#x65E2;&#x5B9A;&#x5024;&#x3068;&#x3057;&#x3066;&#x4FDD;&#x5B58;](Save As System Defaults)</strong>&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;OCIODumpInfo()\n\
       OCIODumpInfo - no automatic redraw after invoked</code></pre><p>&#x73FE;&#x5728;&#x30ED;&#x30FC;&#x30C9;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x306A;&#x8A2D;&#x5B9A;&#x3092;&#x542B;&#x3080;&#x3001;[&#x30AB;&#x30E9;&#x30FC; IO &#x3092;&#x958B;&#x304F;](Open Color IO)&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x60C5;&#x5831;&#x3092;&#x542B;&#x3080;&#x6587;&#x5B57;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x4E3B;&#x306B;&#x30C7;&#x30D0;&#x30C3;&#x30B0;&#x306B;&#x4FBF;&#x5229;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetModeDescription()\n\
       GetModeDescription - no automatic redraw after invoked</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x30E2;&#x30FC;&#x30C9;&#x306E;&#x8AAC;&#x660E;&#x306E;&#x6587;&#x5B57;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x73FE;&#x5728;&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x306A;&#x8A2D;&#x5B9A;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x306E;&#x8AAC;&#x660E;&#x30D5;&#x30A3;&#x30FC;&#x30EB;&#x30C9;&#x3067;&#x3059;&#x3002;&#x4E00;&#x81F4;&#x3059;&#x308B;&#x30AB;&#x30E9;&#x30FC; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x540D;&#x304C;&#x898B;&#x3064;&#x304B;&#x3089;&#x306A;&#x3044;&#x5834;&#x5408;&#x306F;&#x3001;&#x30E9;&#x30F3;&#x30BF;&#x30A4;&#x30E0; &#x30A8;&#x30E9;&#x30FC;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetColorSpaceDescription &lt;string&gt;colorSpace\n\
       GetColorSpaceDescription - no automatic redraw after invoked</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F; <code>colorSpace</code> &#x3068;&#x4E00;&#x81F4;&#x3059;&#x308B;&#x540D;&#x524D;&#x3092;&#x6301;&#x3064;&#x3001;&#x73FE;&#x5728;&#x306E;&#x8A2D;&#x5B9A;&#x5185;&#x306E;&#x30AB;&#x30E9;&#x30FC; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306E;&#x8AAC;&#x660E;&#x306E;&#x6587;&#x5B57;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;  </p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetDisplayViewDescription &lt;string&gt;display &lt;string&gt;view\n\
       GetDisplayViewDescription - no automatic redraw after invoked</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30D3;&#x30E5;&#x30FC;&#x304A;&#x3088;&#x3073;&#x8868;&#x793A;&#x306E;&#x8AAC;&#x660E;&#x306E;&#x6587;&#x5B57;&#x5217;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;SetDefaultOutputConversion &lt;enum&gt;conversion colorSpace:&lt;&amp;string&gt; display:&lt;&amp;string&gt; viewTransform:&lt;&amp;string&gt;\n\
       SetDefaultOutputConversion - no automatic redraw after invoked\n\
       conversion enums: {#NoConversion|#ColorSpaceConversion|#DisplayViewtransform}\n\
       colorSpace default value: &quot;&quot;\n\
       colorSpace is In and Out parameter\n\
       display default value: &quot;&quot;\n\
       display is In and Out parameter\n\
       viewTransform default value: &quot;&quot;\n\
       viewTransform is In and Out parameter</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x51FA;&#x529B;&#x5909;&#x63DB;&#x8A2D;&#x5B9A;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;<code>#ColorSpaceConversion</code> &#x306E;&#x5834;&#x5408;&#x3001;colorSpace &#x540D;&#x3092;&#x6307;&#x5B9A;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;<code>#DisplayViewTransform</code> &#x306E;&#x5834;&#x5408;&#x3001;colorSpace&#x3001;display&#x3001;&#x304A;&#x3088;&#x3073; viewTransform &#x3092;&#x6307;&#x5B9A;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;&#x6210;&#x529F;&#x3057;&#x305F;&#x5834;&#x5408;&#x306F; true&#x3001;&#x5931;&#x6557;&#x3057;&#x305F;&#x5834;&#x5408;&#x306F; false &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;GetDefaultOutputConversion colorSpace:&lt;&amp;string&gt; display:&lt;&amp;string&gt; viewTransform:&lt;&amp;string&gt;\n\
       GetDefaultOutputConversion enums: {#NoConversion|#ColorSpaceConversion|#DisplayViewtransform\n\
       GetDefaultOutputConversion - no automatic redraw after invoked\n\
       colorSpace default value: &quot;&quot;\n\
       colorSpace is Out parameter\n\
       display default value: &quot;&quot;\n\
       display is Out parameter\n\
       viewTransform default value: &quot;&quot;\n\
       viewTransform is Out parameter</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x65E2;&#x5B9A;&#x306E;&#x51FA;&#x529B;&#x5909;&#x63DB;&#x8A2D;&#x5B9A;&#x3092;&#x5217;&#x6319;&#x5024;&#x3068;&#x3057;&#x3066;&#x53D6;&#x5F97;&#x3057;&#x3001;&#x51FA;&#x529B;&#x5909;&#x63DB;&#x30BF;&#x30A4;&#x30D7;&#x304C; <code>#DisplayViewTransform</code> &#x306E;&#x5834;&#x5408;&#x306F;&#x30AB;&#x30E9;&#x30FC; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x3001;&#x8868;&#x793A;&#x3001;&#x30D3;&#x30E5;&#x30FC;&#x5909;&#x63DB;&#x8A2D;&#x5B9A;&#x3092;&#x8FD4;&#x3057;&#x3001;<code>#ColorSpaceConversion</code> &#x306E;&#x5834;&#x5408;&#x306F;&#x30AB;&#x30E9;&#x30FC; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;GetRenderingColorSpaceList()\n\
       GetRenderingColorSpaceList - no automatic redraw after invoked</code></pre><p>&#x73FE;&#x5728;&#x30ED;&#x30FC;&#x30C9;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x8A2D;&#x5B9A;&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x306A;&#x30AB;&#x30E9;&#x30FC;&#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306E;&#x914D;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;GetFileIOColorSpaceList()\n\
       GetFileIOColorSpaceList - no automatic redraw after invoked</code></pre><p>&#x73FE;&#x5728;&#x30ED;&#x30FC;&#x30C9;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x8A2D;&#x5B9A;&#x306E;&#x30D5;&#x30A1;&#x30A4;&#x30EB; IO &#x30AB;&#x30E9;&#x30FC; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306E;&#x914D;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;GetDisplayList()\n\
       GetDisplayList - no automatic redraw after invoked</code></pre><p>&#x73FE;&#x5728;&#x30ED;&#x30FC;&#x30C9;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x8A2D;&#x5B9A;&#x306E;&#x8868;&#x793A;&#x540D;&#x306E;&#x914D;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string array&gt;GetViewList &lt;string&gt;display [colorSpace:&lt;string&gt;]\n\
       GetViewList - no automatic redraw after invoked\n\
       colorSpace default value: &quot;&quot;</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x8868;&#x793A;&#x304A;&#x3088;&#x3073;&#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;&#x3067;&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30AB;&#x30E9;&#x30FC; &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306E;&#x30D3;&#x30E5;&#x30FC;&#x306E;&#x914D;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;ReInitialize()</code></pre><p>&#x30AB;&#x30E9;&#x30FC;&#x7BA1;&#x7406;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x3092;&#x518D;&#x521D;&#x671F;&#x5316;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../C-D.html\">C,D</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";