var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-843369B8-EA84-4C5F-8316-247A8465B4DE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: NetworkManager</h1></div><p><strong>NetworkManager &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;</strong>&#x306F;&#x3001;MAXScript &#x304B;&#x3089;&#x96FB;&#x5B50;&#x30E1;&#x30FC;&#x30EB; &#x30E1;&#x30C3;&#x30BB;&#x30FC;&#x30B8;&#x3092;&#x9001;&#x4FE1;&#x3059;&#x308B;&#x305F;&#x3081;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x63D0;&#x4F9B;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2009 &#x4EE5;&#x964D;</strong> &#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;NetworkManager.Send &lt;string&gt;to &lt;string&gt;from &lt;string&gt;subject &lt;string&gt;body &lt;string&gt;server     </code></pre><p>&#x96FB;&#x5B50;&#x30E1;&#x30FC;&#x30EB; &#x30E1;&#x30C3;&#x30BB;&#x30FC;&#x30B8;&#x3092;&#x9001;&#x4FE1;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>1 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x9001;&#x4FE1;&#x5148;&#x306E;&#x30A2;&#x30C9;&#x30EC;&#x30B9;&#x3067;&#x3059;&#x3002;</p>\n\
<p>2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x30E1;&#x30C3;&#x30BB;&#x30FC;&#x30B8;&#x9001;&#x4FE1;&#x5143;&#x306E;&#x30A2;&#x30C9;&#x30EC;&#x30B9;&#x3067;&#x3059;&#x3002;</p>\n\
<p>3 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x30E1;&#x30C3;&#x30BB;&#x30FC;&#x30B8;&#x306E;&#x4EF6;&#x540D;&#x3067;&#x3059;&#x3002;</p>\n\
<p>4 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x30E1;&#x30C3;&#x30BB;&#x30FC;&#x30B8;&#x306E;&#x672C;&#x6587;&#x3067;&#x3059;&#x3002;</p>\n\
<p>5 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x30E1;&#x30C3;&#x30BB;&#x30FC;&#x30B8;&#x306E;&#x9001;&#x4FE1;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B; E &#x30E1;&#x30FC;&#x30EB; &#x30B5;&#x30FC;&#x30D0;&#x3067;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    (\n\
    theAddress = &quot;youremail@yourcompany.com&quot;\n\
    theSender = &quot;myemail@mycompany.com&quot;\n\
    theSubject = &quot;Greetings from 3ds Max!&quot;\n\
    theBody = &quot;This email was sent by MAXScript\\n&quot;\n\
    theBody += &quot;from inside of 3ds Max!\\n\\n&quot;\n\
    theBody += &quot;Cool, eh?&quot;\n\
    theServer = &quot;smtp.myprovider.net&quot;\n\
    res = NetworkManager.Send theAddress theSender theSubject theBody theServer\n\
    if res then\n\
    messagebox (&quot;Email sent successfully to &quot; + theAddress)\n\
    else\n\
    messagebox (&quot;Failed to send email to &quot; + theAddress)\n\
    )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../N-O.html\">N,O</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";