var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-96413459-CF04-4959-932A-08630C59014D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>CAT 単位の比率について</h1></div><p>CAT 単位の比率の値は、キャラクタおよびそのモーションをスケーリングして、キャラクタ間で共有できるようにするために <strong>3ds Max CAT</strong> 全体で使用されます。</p>\n\
<p>CATRig のすべてのボーンの長さに、この[CAT 単位の比率]値が掛けられます。たとえば、ボーンの長さが 3.5 で、[CAT 単位の比率]が 2.0 に設定されている場合は、実際のボーンの長さは 7.0 になります。</p>\n\
<p>[CAT 単位の比率]はまた、CATMotion でモーションのサイズをリグに合わせてスケーリングするのにも使用されます。CATMotion エディタの足リフト グラフの高さも、[CAT 単位の比率]に基づいてスケーリングされます。</p>\n\
<p>[CAT 単位の比率]を 1.0 に設定すると、[修正]パネルにリストされているすべてのボーンの長さがそのまま 3ds Max 単位になり、[CAT 単位の比率]は意味を持たなくなります。そのため、ボーンの長さに普段から慣れている単位を使用するために、[CAT 単位の比率]は 1.0 に設定した方がよいと思うかもしれません。</p>\n\
<p>しかし、それはお勧めしません。[CAT 単位の比率]を利用すればキャラクタのサイズをおおよその値で設定できるため、非常に便利だからです。なお、キャラクタのサイズが大きいほど、[CAT 単位の比率]の値も大きく設定する必要があります。</p>\n\
<p>サイズの大きなキャラクタと小さなキャラクタでアニメーション データを共有したい場合は、[CAT 単位の比率]を利用して、それぞれのキャラクタに合わせてモーションをスケーリングできます。</p>\n\
<p>アニメーション クリップをロードするときに、オプションを使ってデータをスケーリングできます。このスケーリングは、2 つのキャラクタの[CAT 単位の比率]値を使用して計算されます。</p>\n\
<p>ほとんどの既定値のリグは、CATParent がキャラクタの足元に収まるように設計されています。カスタム リグを作成する場合は、キャラクタのスケルトンと CATParent の相対スケールをだいたい同じにするとよいでしょう。最も簡単な方法は、既存のリグを修正して使用することです。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../CAT-Objects.html\">CAT オブジェクト</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";