var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-679F210A-C719-4BB7-BA8C-AAC8BB863AC4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>パーティクル フロー で MAXScript を使用するときの制限</h1></div><p>MAXScript は、<a href=\"Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a>の更新したステップ毎および最終ステップ スクリプトと、スクリプトされたアクション(<a href=\"Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script</a>、<a href=\"Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a>、<a href=\"Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test</a>)において使用できます。</p>\n\
<p>これらのスクリプトは非常に頻繁に実行され、また、レンダリング時などの特別な環境で実行されます。<strong>パーティクル フロー</strong> ですべての MAXScript コマンドを使用することはできません。</p>\n\
<p><strong>既知の制限事項は以下のとおりです。</strong></p>\n\
<ul>\n\
<li><p><strong>パーティクル フロー</strong>スクリプト内部から <strong>3ds Max</strong> をリセットすることは<strong>できません</strong>。</p>\n\
</li>\n\
<li><p>新しい <strong>3ds Max</strong> シーンを作成することは<strong>できません</strong>。</p>\n\
</li>\n\
<li><p>既存の .MAX ファイルは開くことが<strong>できません</strong>。</p>\n\
</li>\n\
<li><p>現在のシーンと MAX ファイルを合成することは<strong>できません</strong>。</p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>パーティクル フロー</strong>オペレータを作成または削除することは<strong>できません</strong>。</p>\n\
</li>\n\
<li><p><strong>パーティクル フロー</strong>スクリプトの評価時 (たとえば <strong>on Proceed</strong> メソッド内部) に、大量にオブジェクトを作成することは<strong>できません</strong>。</p>\n\
</li>\n\
<li><p><strong>パーティクル フロー</strong>スクリプトの内部からオブジェクトを削除することは<strong>できません</strong>。</p>\n\
</li>\n\
<li><p>MAXScript の <code>snapshot as mesh</code> メソッドは、(Proceed メソッドの場合と同様に)レンダリング時に使用しないでください。 または、shapshot as mesh メソッドが使用されるすべてのオブジェクトはレンダリング中に非表示にしてください。非表示にしないとクラッシュすることがあります。</p>\n\
</li>\n\
</ul>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> <strong>限られた</strong>数の新しいオブジェクトを作成できるようにする方法はあります。「<a href=\"Particle-Flow-Script-Examples/Birth-Scripts/Fragmentation-Sample-Script.html\">フラグメントのサンプル スクリプト</a>」を参照してください。</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for.html\">MAXScript 拡張機能: パーティクル フロー</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Particle-Flow-and-MAXScript.html\">パーティクル フローと MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"Using-MAXScript-with-Particle.html\">パーティクル フロー で MAXScript を使用</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";