var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-46331E7C-A2DF-4FCD-B69F-D94A7FDF8795\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Script Operator &#x30AA;&#x30DA;&#x30EC;&#x30FC;&#x30BF;&#x306E;&#x4F8B;</h1></div><p><strong>&#x8AAC;&#x660E;:</strong></p>\n\
<p>&#x65E2;&#x5B9A;&#x306E; Script &#x30AA;&#x30DA;&#x30EC;&#x30FC;&#x30BF; &#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306E;&#x30B5;&#x30F3;&#x30D7;&#x30EB; (&#x8A73;&#x7D30;&#x30B3;&#x30E1;&#x30F3;&#x30C8;&#x4ED8;&#x304D;) &#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x7528;&#x9014;:</strong></p>\n\
<p><a href=\"./../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a> &#x306F;&#x3001;&#x3053;&#x308C;&#x3092;&#x65E2;&#x5B9A;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3068;&#x3057;&#x3066;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x52B9;&#x679C;:</strong></p>\n\
<p>&#x3053;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306F;&#x3001;&#x30D1;&#x30FC;&#x30C6;&#x30A3;&#x30AF;&#x30EB;&#x306E;&#x901F;&#x5EA6;&#x3092;&#x9045;&#x304F;&#x3057;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30FC;&#x30C6;&#x30A3;&#x30AF;&#x30EB;&#x306E;&#x901F;&#x5EA6;&#x304C;&#x5341;&#x5206;&#x306B;&#x4F4E;&#x4E0B;&#x3059;&#x308B;&#x3068;&#x3001;&#x6700;&#x521D;&#x306E; 50 &#x30D1;&#x30FC;&#x30C6;&#x30A3;&#x30AF;&#x30EB;&#x304C;&#x5206;&#x96E2;&#x3055;&#x308C;&#x3066;&#x30EF;&#x30FC;&#x30EB;&#x30C9; X &#x8EF8;&#x306E;&#x8CA0;&#x306E;&#x65B9;&#x5411;&#x306B;&#x79FB;&#x52D5;&#x3059;&#x308B;&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;&#x306B;&#x5165;&#x308C;&#x3089;&#x308C;&#x3001;&#x6B8B;&#x308A;&#x306E;&#x30D1;&#x30FC;&#x30C6;&#x30A3;&#x30AF;&#x30EB;&#x306F;&#x53CD;&#x5BFE;&#x65B9;&#x5411;&#x306B;&#x79FB;&#x52D5;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">--The ChannelsUsed handler defines the channels\n\
--to be made available to the script.\n\
--For the list of all channels, see\n\
--Interface: MaxscriptParticleContainer\n\
--The parameter pCont passed to the handler\n\
--contains the Particle Container the script is applied to\n\
on ChannelsUsed pCont do\n\
(\n\
pCont.useTime = true--enable the Time channel\n\
pCont.useSpeed = true--enable the Speed channel\n\
)\n\
\n\
--The Init handler is called on initialization.\n\
--It is not used in this case.\n\
on Init pCont do\n\
(\n\
)\n\
\n\
--The Proceed handler contains the main script\n\
--applied to the Particles.\n\
--The parameter pCont passed to the handler\n\
--contains the Particle Container the script is applied to:\n\
on Proceed pCont do\n\
(\n\
--Get the total number of particles:\n\
count = pCont.NumParticles()\n\
--Define slow speed as one unit per frame:\n\
slowSpeed = 1/160.0\n\
--Define very slow speed as 0.01 units per frame:\n\
verySlowSpeed = 0.01/160.0\n\
--Define random angular deviation per frame\n\
divAngle = 12.0\n\
--Get the start time in ticks\n\
--(when conerting time values to float, the result is ticks)\n\
tStart = pCont.getTimeStart() as float\n\
--Get the end time in ticks\n\
tEnd = pCont.getTimeEnd() as float\n\
--Calculate the length of the time interval in ticks\n\
timeDif = tEnd - tStart\n\
--Then convert to frames (160 ticks/frame when using 30 fps NTSC)\n\
timeDif /= 160.0\n\
--Define a drag coefficient\n\
dragCoef = 0.08\n\
\n\
\n\
--Loop from 1 to the number of particles...\n\
for i in 1 to count do\n\
(\n\
--Set the particle index in the container to the current i value.\n\
--This makes the i-th particle in the container the current one:\n\
pCont.particleIndex = i\n\
\n\
--If the particle is faster, then slow it down\n\
if length (pCont.particleSpeed) &gt; slowSpeed then\n\
pCont.particleSpeed -= dragCoef*timeDif*pCont.particleSpeed\n\
\n\
--Calculate the length of the particle speed vector\n\
newLen = length(pCont.particleSpeed)\n\
--If the current speed is higher than the defined very slow speed\n\
--then calculate a random divergence using the deviation angle.\n\
--If it is slower (very slow!), then don&#x2019;t use the angle but a\n\
--fixed value.\n\
if newLen &gt; verySlowSpeed then\n\
pCont.particleSpeed = pCont.randDivergeVector(pCont.particleSpeed)(divAngle/(160*newLen))\n\
else\n\
pCont.particleSpeed = pCont.randDivergeVector(pCont.particleSpeed)(180.0)\n\
\n\
--If slow enough, the first 50 particles go to the left.\n\
--The particles with ID above 50 go to the right.\n\
if length(pCont.particleSpeed) &lt; 1.5*slowSpeed then\n\
(\n\
if pCont.particleID &lt; 50 then\n\
pCont.particleSpeed += [-0.005*timeDif, 0, 0]\n\
else\n\
pCont.particleSpeed += [0.005*timeDif, 0, 0]\n\
)\n\
)\n\
)\n\
\n\
--The Release handler is used to do cleanup work.\n\
--Not used in this case.\n\
on Release pCont do\n\
(\n\
)\n\
</code></pre>\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Script-Operators.html\">Script オペレータ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\">インタフェース: MaxscriptParticleContainer</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator : ヘルパー</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-in-Script-Actions/Using-MAXScript-in-Script.html\">Script アクション内で MAXScript を使用</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">パーティクル フロー サンプル スクリプト</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";