var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-570A4B99-5421-4CEE-B6FA-2D9A8230A71F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x66F4;&#x65B0;&#x3057;&#x305F;&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x6BCE;&#x306E;&#x4F8B;</h1></div><p><strong>&#x8AAC;&#x660E;:</strong></p>\n\
<p>&#x6B21;&#x306E;&#x4F8B;&#x3067;&#x306F;&#x3001;&#x8A73;&#x7D30;&#x30B3;&#x30E1;&#x30F3;&#x30C8;&#x4ED8;&#x304D;&#x3067;&#x65E2;&#x5B9A;&#x306E;&#x66F4;&#x65B0;&#x3057;&#x305F;&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x6BCE;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x793A;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x7528;&#x9014;:</strong></p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306E;&#x66F4;&#x65B0;&#x3057;&#x305F;&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x6BCE;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3068;&#x3057;&#x3066; <a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a> &#x306B;&#x3088;&#x3063;&#x3066;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x52B9;&#x679C;:</strong></p>\n\
<p>&#x3053;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306B;&#x3088;&#x3063;&#x3066;&#x30D1;&#x30FC;&#x30C6;&#x30A3;&#x30AF;&#x30EB;&#x306E;&#x901F;&#x5EA6;&#x3068;&#x65B9;&#x5411;&#x304C;&#x4FEE;&#x6B63;&#x3055;&#x308C;&#x3001;&#x30D1;&#x30FC;&#x30C6;&#x30A3;&#x30AF;&#x30EB;&#x304C;&#x3089;&#x305B;&#x3093;&#x306E;&#x30D1;&#x30B9;&#x3092;&#x8FFD;&#x8DE1;&#x3059;&#x308B;&#x3088;&#x3046;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p><img src=\"./images/GUID-6B4C2B59-6E09-4B1D-9352-5B4F035BEEB1-low.gif\" alt></p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    --Get the current particle system executing the script\n\
    pf_node_current = particleFlow.scriptRunner()\n\
\n\
    --In case the current particle system is a valid node\n\
    if (pf_node_current != undefined) then\n\
    (\n\
\n\
    --Get the total number of particles\n\
    count = pf_node_current.NumParticles()\n\
    --Loop from 1 to the number of particles\n\
    for i in 1 to count do\n\
    (\n\
\n\
    --Set the particle index in the container to the current i value.\n\
    --This makes the i-th particle in the container the current one:\n\
    pf_node_current.particleIndex = i\n\
\n\
    --Get the age of the particle, multiply by 5 and use as angle\n\
    --to define the particle speed\n\
    --Decreasing the constant 5 will slow down the rotation\n\
    --Increasing the constant will speed up the rotation\n\
    age = 5*pf_node_current.particleAge\n\
\n\
    --Calculate the speed of the particle using the\n\
    --function of the circle.\n\
    --Info: In general, a circle can be drawn using an Angle\n\
    --going from 0 to 2*Pi and the following functions for X and Y:\n\
    --X = CenterX+Radius*Cos(Angle)\n\
    --Y = CenterY+Radius*Sin(Angle)\n\
    --In our case, CenterX and CenterY are 0, Radius is 0.05 units,\n\
    --and Angle is based on the Age of the particles (see above).\n\
    --Changing the constant 0.05 will change the radius of the path.\n\
    --Changing the -0.05 (Z speed) will change the height of the spiral.\n\
    pf_node_current.particleSpeed = [0.05*cos(age), 0.05*sin(age), -0.05]\n\
\n\
    )--end i loop\n\
    )--end if\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Update-Step-Scripts.html\">ステップの更新スクリプト</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Final-Step-Update-Example.html\">最終ステップ更新の例</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">パーティクル フロー サンプル スクリプト</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";