var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-5E6797AF-920E-4DB4-A0BD-0AD336CF7827\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>パーティクル フロー で MAXScript を使用</h1></div><p>MAXScript は、<strong>パーティクル フロー</strong> で次のタスクを実行するために使用できます。</p>\n\
<ul>\n\
<li><p>公開 <strong>パーティクル フロー</strong>クラスの新しいインスタンスの作成。すべての公開クラスのリストについては、「<a href=\"Particle-Flow-Classes.html\">Particle Flow クラス</a>」を参照してください。</p>\n\
</li>\n\
<li><p>ユーザ インタフェースまたは MAXScript で作成された既存の<strong>パーティクル フロー</strong>オブジェクト (ソース、イベント、オペレータ、テストなど) のプロパティとメソッドにアクセス。</p>\n\
</li>\n\
<li><p>整数、フロート、ベクトルなど、<strong>パーティクル フロー</strong> によってサポートされるチャネルの値を制御。一部の<strong>パーティクル フロー</strong>アクションには、これらのチャネルにアクセスして、そのプロパティの一部を制御するオプションが組み込まれています。</p>\n\
</li>\n\
<li><p><a href=\"Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a> 内のパーティクル値を、<a href=\"Particle-Flow-Script-Examples/Update-Step-Scripts/Every-Step-Update-Example.html\">更新したステップ毎</a> と <a href=\"Particle-Flow-Script-Examples/Update-Step-Scripts/Final-Step-Update-Example.html\">最終ステップ更新</a> スクリプトを使用して更新。</p>\n\
</li>\n\
<li><p><a href=\"Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\">Birth_Script</a> アクションを使ってパーティクルの生成を制御。</p>\n\
</li>\n\
<li><p>カスタム <strong>パーティクル フロー</strong> オペレータを、<a href=\"Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\">Script_Operator</a> アクションを使用して作成。</p>\n\
</li>\n\
<li><p><a href=\"Particle-Flow-Classes/Tests/Script_Test-Helper.html\">Script_Test</a> アクションを使ってカスタム テストを作成。</p>\n\
</li>\n\
<li><p><strong>パーティクル フロー</strong> システム コンポーネントへ<a href=\"Particle-Flow-Interfaces.html\">インタフェース</a>のプロパティとメソッドを使用して低レベル アクセス。</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for.html\">MAXScript 拡張機能: パーティクル フロー</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Particle-Flow-and-MAXScript.html\">パーティクル フローと MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"Particle-Flow-Classes.html\">パーティクル フロー クラス</a></li>\n\
          <li><a class=\"link\" href=\"Particle-Flow-Interfaces.html\">パーティクル フロー インタフェース</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";