var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E70D3CFB-21A8-4432-BBCD-7F6A19B26F9A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ノート トラックのアクセス</h1></div><p>すべての MAXWrapper オブジェクトに 1 つまたは複数のノート トラックを割り当てることができます。</p>\n\
<p>これらのノート トラックは、[トラック ビュー](Track View)に MAXWrapper オブジェクトの子として表示されます。</p>\n\
<p>ノート トラックは、プラグインが <strong>3ds Max</strong> シーン ファイルに <strong>3ds Max</strong> オブジェクト(ノード、マテリアル、モディファイヤ、コントローラなど)と一緒に永久的に保管されるすべてのデータをそのオブジェクトに付加する手段を提供します。</p>\n\
<p>これらのデータはノート キーに保存され、ノート トラックにはこれらのノート キーをいくつでも含めることができます。</p>\n\
<p>ノート トラックの構造は、キー可能なアニメーション コントローラの構造と似ています。</p>\n\
<p>ノート トラックはクラスのインスタンスで、<code>keys</code> と呼ばれるプロパティを持ちます。</p>\n\
<p><code>keys</code> プロパティにアクセスして返される値は、<code>MAXNoteKeyArray</code> です。</p>\n\
<p><code>MAXNoteKeyArray</code> はノート キーを含みます。</p>\n\
<p>キー自体に <code>MAXNoteKeyArray</code> が配列であるかのようにアクセスできます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Note-Track-Access.html\">ノート トラックのアクセス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Notetrack-Values.html\">Notetrack 値</a></li>\n\
          <li><a class=\"link\" href=\"MAXNoteKeyArray-Values-1.html\">MAXNoteKeyArray 値</a></li>\n\
          <li><a class=\"link\" href=\"MAXNoteKey-Values.html\">MAXNoteKey 値</a></li>\n\
          <li><a class=\"link\" href=\"Working-with-Note-Tracks.html\">ノート トラックの操作</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";