var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4733B2AC-1F0E-4A78-A79C-93ED8A28DAC9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30CE;&#x30FC;&#x30C8; &#x30C8;&#x30E9;&#x30C3;&#x30AF;&#x306E;&#x64CD;&#x4F5C;</h1></div><p>&#x30CE;&#x30FC;&#x30C8; &#x30AD;&#x30FC;&#x306E; <code>time</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x5909;&#x66F4;&#x3059;&#x308B;&#x3068;&#x3001;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30E9;&#x5185;&#x306E;&#x4ED6;&#x306E;&#x30AD;&#x30FC;&#x306B;&#x5BFE;&#x3059;&#x308B;&#x76F8;&#x5BFE;&#x7684;&#x6642;&#x9593;&#x914D;&#x5217;&#x304C;&#x305A;&#x308C;&#x3066;&#x3057;&#x307E;&#x3044;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x7A2E;&#x306E;&#x30AD;&#x30FC; &#x30BF;&#x30A4;&#x30E0;&#x64CD;&#x4F5C;&#x304C;&#x3059;&#x3079;&#x3066;&#x5B8C;&#x4E86;&#x3057;&#x305F;&#x3089;&#x3001;&#x30A2;&#x30CB;&#x30E1;&#x30FC;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x6B63;&#x3057;&#x304F;&#x5B9F;&#x884C;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x3001;<code>sortKeys()</code> &#x95A2;&#x6570;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30E9;&#x3067;&#x547C;&#x3073;&#x51FA;&#x3059;&#x304B;&#x3001;&#x95A2;&#x9023;&#x4ED8;&#x3051;&#x3089;&#x308C;&#x3066;&#x3044;&#x308B; <code>MAXNoteKeyArray</code> &#x3092;&#x547C;&#x3073;&#x51FA;&#x3059;<strong>&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;</strong>&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    s = sphere()-- create a sphere\n\
    --&gt;$Sphere:Sphere02 @ [0.0,0.0,0.0]\n\
    ntp1 = NoteTrack&quot;PosNT1&quot;-- create a note track\n\
    --&gt;Notetrack:PosNT1\n\
    ntp2 = NoteTrack&quot;PosNT2&quot;-- create another note track\n\
    --&gt;Notetrack:PosNT2\n\
    -- apply first note track to sphere&apos;s pos controller:\n\
    addNoteTrack s.pos.controller ntp1\n\
    --&gt;OK\n\
    -- apply second note track to sphere&apos;s pos controller:\n\
    addNoteTrack s.pos.controller ntp2\n\
    --&gt;OK\n\
    -- check number of note tracks on pos controller:\n\
    numNoteTracks s.pos.controller\n\
    --&gt;2\n\
    -- test to see if pos controller has note tracks:\n\
    hasNoteTracks s.pos.controller\n\
    --&gt;true\n\
    -- add key to first note track, and select the key:\n\
    addNewNoteKey ntp1.keys 20 #select\n\
    --&gt;#Note key(1 @ 20f)\n\
    -- add another key to first note track:\n\
    addNewNoteKey ntp1.keys 40\n\
    --&gt;#Note key(2 @ 40f)\n\
    -- retrieve first note track on the pos controller:\n\
    n = getNoteTrack s.pos.controller 1\n\
    -- retrieve an instance of the note track key array Notetrack:\n\
    nk=n.keys\n\
    --&gt;#keys(20f, 40f)\n\
    -- set value for second note key:\n\
    nk[2].value =&quot;Yo What&apos;s Up&quot;\n\
    --&gt;&quot;Yo What&apos;s Up&quot;\n\
    -- change the time for second note key. Now first key\n\
    nk[2].time = 10\n\
    --&gt;10\n\
    nk[1].selected = true-- select the first note key\n\
    --&gt;true\n\
    -- changed the time of the note keys, so re-sort:\n\
    sortNoteKeys nk\n\
    --&gt;OK\n\
    nk.count-- check number of keys\n\
    --&gt;2\n\
    nk-- display the note keys\n\
    --&gt;#keys(10f, 20f)\n\
    --  To delete the note tracks and note keys:\n\
    deleteNoteKey nk 1-- delete first note key\n\
    --&gt;OK\n\
    deleteNoteKeys n.keys #allKeys-- delete all the note keys\n\
    --&gt;OK\n\
    -- remove note track from pos controller:\n\
    deleteNoteTrack s.pos.controller ntp1\n\
    --&gt;OK\n\
    -- remove note track from pos controller:\n\
    deleteNoteTrack s.pos.controller ntp2\n\
    --&gt;OK\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Note-Track-Access.html\">ノート トラックのアクセス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";