var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0795AB01-2F29-4B40-9F83-6996B6BAE2D0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>マテリアルの割り当てとテクスチャ座標</h1></div><p><strong>マテリアルと NURBS</strong></p>\n\
<p>各 NURBS サーフェスは、独自のマテリアル ID を持っています。Multi-SubObject マテリアルを割り当てる場合は、NURBS オブジェクトの各サーフェスに対して異なるマテリアルを適用できます。この場合は、<code>&lt;NURBSSurface&gt;</code> プロパティを <code>.MatID</code> に設定します。</p>\n\
<p><strong>テクスチャ座標と NURBS</strong></p>\n\
<p>テクスチャ座標は、NURBS サーフェスの 4 隅にそれぞれ割り当てられます。たとえば、標準 <strong>3ds Max</strong> プリミティブでは、サーフェス間で (0,0) から (1,1) を使用するためにテクスチャ座標を割り当てます。プリズムなどの一部のプリミティブは、ラップ方法の違いによって (0,0) から (1,1) を使用しません。API を使用すると、任意の値を割り当てることができます。これを行うための <code>&lt;NURBSSurface&gt;</code> メソッドは <code>setTextureUVs()</code> です。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">3ds Max NURBS モデルの作成および修正のための NURBS クラスおよび関数の使い方</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";