var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2C8D489B-28B7-4829-9C7D-448AE9ED61A6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>カーブおよびサーフェスのパラメータの範囲</h1></div><p>カーブのパラメータ空間でポイントを処理するメソッドは、U の引数を使用します。サーフェスのパラメータ空間でポイントを処理するメソッドは、U および V の引数を使用します。たとえば、プロパティ <code>&lt;NURBSSurfConstPoint&gt;.uParam</code> を設定すると、従属ポイントの位置が親サーフェスの U パラメータ空間に設定されます。このメソッドに渡すことができる有効な U および V の値は、親サーフェスの <code>&lt;NURBSSurface&gt;</code> プロパティ <code>.uParameterRangeMin</code>、<code>.uParameterRangeMax</code>、<code>.vParameterRangeMin</code>、および <code>.vParameterRangeMax</code> を参照することで取得する必要があります。こうすると U および V の使用可能な最小値と最大値を取得できます。カーブの場合は、U の有効範囲を取得する同じようなプロパティを使用します。</p>\n\
<p>開発者は、これらのメソッドを呼び出す前に、<strong>3ds Max</strong> データ ベースにカーブまたはサーフェスのインスタンスを作成する必要があることに注意してください(そのためには、たとえば <code>NURBSNode()</code> を呼び出します)。データ ベースにオブジェクトが存在しないうちにこれらのメソッドを呼び出すとエラーが発生します。</p>\n\
<p>通常、CV カーブおよびサーフェスが作成されるとき、結び目の開始値と終了値が指定されているので、それらが有効なパラメータ範囲になります。有効なパラメータ範囲が不明な場合は、ベースのカーブまたはサーフェスだけを持つ NURBSSet のインスタンスを生成します。いったんインスタンスが生成されると、パラメータ範囲のプロパティを参照できます。その後、すでにインスタンス化したオブジェクトに追加および修正を行うことで、残りのパラメトリック モデルを構築します。これは、ノード メソッド <code>addNURBSSet()</code> によって簡単に実行できます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">3ds Max NURBS モデルの作成および修正のための NURBS クラスおよび関数の使い方</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";