var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-14D75437-7ED8-46D9-9A74-2C495A7BAFF8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x7269;&#x7406;: &#x30AB;&#x30E1;&#x30E9;</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Physical - superclass: Camera; super-superclass:Node - 53:0 - classID: #(1181315608, 686293133)</code></pre><p>&#x7269;&#x7406;&#x30AB;&#x30E1;&#x30E9;&#x3092; MAXScript &#x306B;&#x516C;&#x958B;&#x3057;&#x307E;&#x3059;&#x3002;<strong>3ds Max 2016 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Physical ...\n\
Physical_Camera ...</code></pre><p><strong>DOF &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- Reset Max File\n\
resetmaxfile #noprompt\n\
\n\
-- Set the viewport Matrix\n\
viewport.setTM (matrix3 [1,0,0] [0,0,-1] [0,1,0] [6,-150,-800])\n\
\n\
-- Create a box\n\
bx = box width:500 height:300 length:2000 backfacecull:true mapcoords:on\n\
addModifier bx (normalModifier flip:true)\n\
\n\
-- Create a checker map with tiling in U and V at 10\n\
mp1 = checker color1:[0,200,255] color2:[255,255,200]\n\
mp1.coords.U_Tiling = 10\n\
mp1.coords.V_Tiling = 10\n\
\n\
-- Assign a physical material to the box\n\
bx.material = PhysicalMaterial base_color_map:mp1\n\
\n\
-- Create and assign to the scene a Physical_Camera_Exposure_Control\n\
SceneExposureControl.exposureControl = Physical_Camera_Exposure_Control()\n\
\n\
-- Create a photometric Freelight\n\
om = Free_Light pos:[0,-300,250] global_ev:6\n\
\n\
-- Create a Sphere\n\
sph = sphere radius:50 pos:[0,0,50] segs:32\n\
sph.material = PhysicalMaterial base_color:green\n\
\n\
-- Create 2 Teapots\n\
tp1 = teapot radius:50 pos:[80,-250,0]\n\
tp1.material = PhysicalMaterial base_color:red\n\
\n\
tp2 = teapot radius:50 pos:[-100,500,0]\n\
tp2.material = PhysicalMaterial base_color:blue\n\
\n\
-- Switch to High Quality Viewport\n\
actionMan.executeAction -844228238 &quot;12&quot;  --  Viewport Lighting and Shadows: High Quality\n\
\n\
-- Create a physical camera from the viewport\n\
macros.run &quot;Lights and Cameras&quot; &quot;PhysicalCamera_CreateFromView&quot;\n\
\n\
-- Retrieve the just created camera in the scene &quot;cameras&quot; array\n\
physCam = cameras[1]\n\
\n\
-- Place the physical camera target on the sphere\n\
physCam.Target.pos = sph.pos\n\
\n\
-- Set a small aperture\n\
physCam.f_number = 0.058\n\
\n\
-- Enable Depth of Field in the camera/viewport\n\
physCam.use_dof = on\n\
</code></pre><p><strong>&#x7D50;&#x679C;:</strong></p>\n\
<p><img src=\"./images/GUID-E0242591-1952-4EF9-A8BF-E1A3515C4E40-low.gif\" alt></p>\n\
<h2 id=\"-\">&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</h2><p><strong>&#x57FA;&#x672C;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.targeted     BooleanClass    default: true   --  boolean</code></pre><p><strong>[&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8;] (Targeted)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>True (&#x65E2;&#x5B9A;)&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30AB;&#x30E1;&#x30E9;&#x304C;&#x5C02;&#x7528;&#x306E;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x898B;&#x3066;&#x3001;&#x305D;&#x306E;&#x5411;&#x304D;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3057;&#x307E;&#x3059;&#x3002;&#x307E;&#x3063;&#x3059;&#x3050;&#x4E0B;&#x3092;&#x898B;&#x308B;&#x3068;&#x3001;&#x30A2;&#x30C3;&#x30D7; &#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x304C; XY &#x5E73;&#x9762;&#x306B;&#x3042;&#x308B;&#x3053;&#x3068;&#x304C;&#x539F;&#x56E0;&#x3067;&#x3001;&#x30B8;&#x30F3;&#x30D0;&#x30EB; &#x30ED;&#x30C3;&#x30AF;&#x306E;&#x554F;&#x984C;&#x304C;&#x767A;&#x751F;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p>False &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30AB;&#x30E1;&#x30E9;&#x306F;&#x81EA;&#x7531;&#x306B;&#x306A;&#x308A;&#x3001;&#x30B8;&#x30F3;&#x30D0;&#x30EB; &#x30ED;&#x30C3;&#x30AF;&#x306E;&#x554F;&#x984C;&#x3092;&#x767A;&#x751F;&#x3055;&#x305B;&#x308B;&#x3053;&#x3068;&#x306A;&#x304F;&#x3001;&#x72EC;&#x81EA;&#x306E;&#x5909;&#x63DB;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30E9;&#x3060;&#x3051;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x81EA;&#x7531;&#x306B;&#x65B9;&#x5411;&#x3092;&#x5909;&#x3048;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.target_distance     Float    default: 196.85   --  animatable; worldUnits</code></pre><p><code>.targeted</code> &#x5024;&#x3092; True &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30AB;&#x30E1;&#x30E9;&#x304B;&#x3089;&#x305D;&#x306E;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x307E;&#x3067;&#x306E;&#x8DDD;&#x96E2;&#x3067;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x305F;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8;&#x307E;&#x3067;&#x306E;&#x8DDD;&#x96E2;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8; &#x30E2;&#x30FC;&#x30C9;&#x306E;&#x6642;&#x306B;&#x3053;&#x306E;&#x5024;&#x3092;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30AB;&#x30E1;&#x30E9;&#x3068;&#x305D;&#x306E;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x9593;&#x306E;&#x5B9F;&#x969B;&#x306E;&#x8DDD;&#x96E2;&#x306B;&#x306F;&#x5F71;&#x97FF;&#x3092;&#x53CA;&#x307C;&#x3057;&#x307E;&#x305B;&#x3093;&#x304C;&#x3001;&#x305D;&#x306E;&#x5024;&#x306F;&#x30AB;&#x30E1;&#x30E9;&#x5185;&#x306B;&#x4FDD;&#x5B58;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;<code>.targeted</code> &#x30D7;&#x30ED;&#x30D1;&#x30A3;&#x3092; False &#x306B;&#x5909;&#x66F4;&#x3059;&#x308B;&#x3068;&#x3001;&#x5024;&#x306F;&#x30AB;&#x30E1;&#x30E9;&#x3068;&#x305D;&#x306E;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x9593;&#x306E;&#x6700;&#x65B0;&#x306E;&#x8DDD;&#x96E2;&#x3067;&#x66F4;&#x65B0;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><code>.targeted</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; False &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8;&#x307E;&#x3067;&#x306E;&#x8DDD;&#x96E2;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.show_camera_cone     Integer    default: 0   --  integer</code></pre><p><strong>[&#x30AB;&#x30E1;&#x30E9;&#x306E;&#x5186;&#x9310;&#x3092;&#x8868;&#x793A;](Show Camera Cone)</strong>&#x30C9;&#x30ED;&#x30C3;&#x30D7;&#x30C0;&#x30A6;&#x30F3; &#x30EA;&#x30B9;&#x30C8;&#x306E;&#x9078;&#x629E;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - <strong>&#x9078;&#x629E;&#x6642;</strong>(&#x65E2;&#x5B9A;)</p>\n\
<p>1 - <strong>&#x5E38;&#x6642;</strong></p>\n\
<p>2 - <strong>&#x3057;&#x306A;&#x3044;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.horizon_on     BooleanClass    default: false   --  animatable; boolean; Show_Horizon_Line</code></pre><p><strong>[&#x6C34;&#x5E73;&#x7DDA;&#x3092;&#x8868;&#x793A;](Show Horizon Line)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>True &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30AB;&#x30E1;&#x30E9;&#x3092;&#x901A;&#x3057;&#x3066;&#x898B;&#x305F;&#x6642;&#x306B;&#x3001;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x306B;&#x6C34;&#x5E73;&#x7DDA;&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x7269;&#x7406;&#x30AB;&#x30E1;&#x30E9; &#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;</strong></p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30D5;&#x30A3;&#x30EB;&#x30E0;/&#x30BB;&#x30F3;&#x30B5;&#x30FC; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.film_preset     String    default: &quot;35mm&quot;   --  string</code></pre><p><strong>[&#x30D7;&#x30EA;&#x30BB;&#x30C3;&#x30C8;] (Preset )</strong>&#x30C9;&#x30ED;&#x30C3;&#x30D7;&#x30C0;&#x30A6;&#x30F3; &#x30EA;&#x30B9;&#x30C8;&#x306E;&#x9078;&#x629E;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x5024;&#x3092;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;<code>.film_width_mm</code> &#x3068; <code>.fov</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C;&#x30D7;&#x30EA;&#x30BB;&#x30C3;&#x30C8;&#x5024;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&quot;35mm&quot;</strong> - &#x65E2;&#x5B9A; - 35mm (&#x30D5;&#x30EB; &#x30D5;&#x30EC;&#x30FC;&#x30E0;) - &#x5E45; 36.0mm</p>\n\
<p><strong>&quot;APS-C (Canon)&quot;</strong> - APS-C (Canon) - &#x5E45; 22.3mm</p>\n\
<p><strong>&quot;APS-C (Nikon)&quot;</strong> - APS-C (Nikon&#x3001;Sony &#x306A;&#x3069;) - &#x5E45; 23.7mm</p>\n\
<p><strong>&quot;APS-H (Canon)&quot;</strong> - APS-H (Canon) - &#x5E45; 27.9mm</p>\n\
<p><strong>&quot;Four Thirds&quot;</strong> - &#x30D5;&#x30A9;&#x30FC;&#x30B5;&#x30FC;&#x30BA; - &#x5E45; 17.3mm</p>\n\
<p><strong>&quot;Custom&quot;</strong> - &#x30AB;&#x30B9;&#x30BF;&#x30E0; - &#x30AB;&#x30B9;&#x30BF;&#x30E0;&#x5E45;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.film_width_mm     Float    default: 36.0   --  animatable; float</code></pre><p>&#x30D5;&#x30A3;&#x30EB;&#x30E0;&#x306E;&#x5E45;&#x3092;&#x30DF;&#x30EA;&#x30E1;&#x30FC;&#x30C8;&#x30EB;&#x3067;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3059;&#x308B;<strong>[&#x5E45;] (Width)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30EC;&#x30F3;&#x30BA; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.focal_length_mm     Float    default: 40.0   --  animatable; worldUnits; Lens_Focal_Length_mm</code></pre><p>&#x30AB;&#x30E1;&#x30E9;&#x306E;&#x7126;&#x70B9;&#x8DDD;&#x96E2;&#x3092;&#x30DF;&#x30EA;&#x30E1;&#x30FC;&#x30C8;&#x30EB;&#x3067;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3059;&#x308B;<strong>[&#x7126;&#x70B9;&#x8DDD;&#x96E2;](Focal Length)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.specify_fov     BooleanClass    default: false   --  boolean</code></pre><p><strong>[&#x8996;&#x91CE;&#x3092;&#x6307;&#x5B9A;](Specify FOV)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>True &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30AB;&#x30E1;&#x30E9;&#x306B;&#x8996;&#x91CE;&#x3092;&#x9069;&#x7528;&#x3059;&#x308B;&#x306E;&#x306B; <code>.fov</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>False (&#x65E2;&#x5B9A;)&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x8996;&#x91CE;&#x306F;&#x30D5;&#x30A3;&#x30EB;&#x30E0;/&#x30BB;&#x30F3;&#x30B5;&#x30FC;&#x5E45;&#x3001;&#x7126;&#x70B9;&#x8DDD;&#x96E2;&#x3001;&#x30BA;&#x30FC;&#x30E0;&#x5024;&#x304B;&#x3089;&#x81EA;&#x52D5;&#x7684;&#x306B;&#x8A08;&#x7B97;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.fov     Float    default: 48.112   --  animatable; float</code></pre><p><code>.specify_fov</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; True &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x3068;&#x304D;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x3001;&#x660E;&#x793A;&#x7684;&#x306A;&#x8996;&#x91CE;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.zoom_factor     Float    default: 1.0   --  animatable; float</code></pre><p><strong>[&#x30BA;&#x30FC;&#x30E0;] (Zoom)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x5024;&#x3092; 1.0 &#x3088;&#x308A;&#x5927;&#x304D;&#x3044;&#x5024;&#x306B;&#x5897;&#x3084;&#x3059;&#x3068;&#x3001;&#x8996;&#x91CE;&#x304C;&#x72ED;&#x304F;&#x306A;&#x308A;&#x30BA;&#x30FC;&#x30E0; &#x30A4;&#x30F3;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>1.0 &#x3088;&#x308A;&#x5C0F;&#x3055;&#x3044;&#x5024;&#x306B;&#x3059;&#x308B;&#x3068;&#x3001;&#x8996;&#x91CE;&#x304C;&#x5E83;&#x304C;&#x308A;&#x30BA;&#x30FC;&#x30E0; &#x30A2;&#x30A6;&#x30C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.f_number     Float    default: 8.0   --  animatable; float</code></pre><p><strong>[&#x7D5E;&#x308A;] (Aperture)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x308C;&#x306F; <code>.f_number</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B; f &#x3068;&#x3057;&#x3066;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30D5;&#x30A9;&#x30FC;&#x30AB;&#x30B9; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.specify_focus     Integer    default: 0   --  animatable; integer; Specify_Focus_Distance</code></pre><p><strong>[&#x30D5;&#x30A9;&#x30FC;&#x30AB;&#x30B9;] (Focus)</strong>&#x30E9;&#x30B8;&#x30AA; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - <strong>&#x30BF;-&#x30B2;&#x30C3;&#x30C8;&#x307E;&#x3067;&#x306E;&#x8DDD;&#x96E2;&#x3092;&#x4F7F;&#x7528;</strong> - &#x30AB;&#x30E1;&#x30E9;&#x3068;&#x305D;&#x306E;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x9593;&#x306E;&#x8DDD;&#x96E2;&#x3002;&#x30D5;&#x30EA;&#x30FC; &#x30E2;&#x30FC;&#x30C9;&#x6642;&#x306E;&#x660E;&#x793A;&#x7684;&#x306A;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8;&#x307E;&#x3067;&#x306E;&#x8DDD;&#x96E2;&#x306E;&#x5024;&#x306F;&#x3001;&#x7126;&#x70B9;&#x3068;&#x306A;&#x308B;&#x88AB;&#x5199;&#x4F53;&#x306E;&#x4F4D;&#x7F6E;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>1 - <strong>&#x30AB;&#x30B9;&#x30BF;&#x30E0;</strong> - <strong><code>.focus_distance</code></strong> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x3088;&#x3063;&#x3066;&#x63D0;&#x4F9B;&#x3055;&#x308C;&#x308B;&#x660E;&#x793A;&#x7684;&#x306A;&#x5024;&#x304C;&#x3001;&#x7126;&#x70B9;&#x3068;&#x306A;&#x308B;&#x88AB;&#x5199;&#x4F53;&#x307E;&#x3067;&#x306E;&#x8DDD;&#x96E2;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.focus_distance     Float    default: 196.85   --  animatable; worldUnits</code></pre><p><strong>[&#x7126;&#x70B9;&#x8DDD;&#x96E2;](Focus Distance)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x3001;<code>.specify_focus</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 1 (&#x30AB;&#x30B9;&#x30BF;&#x30E0;)&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x306E;&#x307F;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.lens_breathing_amount     Float    default: 1.0   --  animatable; float</code></pre><p><strong>[&#x30EC;&#x30F3;&#x30BA;&#x306E;&#x30D6;&#x30EA;&#x30FC;&#x30BA;](Lens Breathing)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.use_dof     BooleanClass    default: false   --  boolean; Enable_DOF</code></pre><p><strong>[&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;&#x3092;&#x6709;&#x52B9;&#x5316;](Enable Depth Of Field)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30B7;&#x30E3;&#x30C3;&#x30BF;&#x30FC; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.shutter_unit_type     Integer    default: 3   --  integer</code></pre><p><strong>[&#x30BF;&#x30A4;&#x30D7;] (Type)</strong>&#x30C9;&#x30ED;&#x30C3;&#x30D7;&#x30C0;&#x30A6;&#x30F3; &#x30EA;&#x30B9;&#x30C8;&#x306E;&#x9078;&#x629E;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - <strong>1/&#x79D2;</strong></p>\n\
<p>1 - <strong>&#x79D2;</strong></p>\n\
<p>2 - <strong>&#x89D2;&#x5EA6;</strong></p>\n\
<p>3 - <strong>&#x30D5;&#x30EC;&#x30FC;&#x30E0;</strong>(&#x65E2;&#x5B9A;)</p>\n\
<p>&#x30E2;&#x30FC;&#x30C9; 0 &#x3068; 1 &#x306F;&#x3001;&#x30E2;&#x30FC;&#x30C9; 2 &#x3068; 3 &#x3068;&#x306F;&#x7570;&#x306A;&#x308B;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3; &#x30BB;&#x30C3;&#x30C8;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x9577;&#x3055;&#x3068;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3092;&#x6307;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x3066;&#x3082;&#x305D;&#x308C;&#x305E;&#x308C;&#x306E;&#x5024;&#x306F;&#x540C;&#x671F;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x30E2;&#x30FC;&#x30C9;&#x304C; 1/&#x79D2;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x3066;&#x3001;<code>.shutter_offset_frames</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306E;&#x8A2D;&#x5B9A;&#x3067;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x304C; 0.005 (1/200.0 &#x79D2;)&#x306B;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x5834;&#x5408;&#x3001;UI &#x3092;&#x89D2;&#x5EA6;&#x307E;&#x305F;&#x306F;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306E;&#x8868;&#x793A;&#x306B;&#x5207;&#x308A;&#x66FF;&#x3048;&#x308B;&#x3068;&#x3001;<code>.shutter_offset_seconds</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x660E;&#x793A;&#x7684;&#x306B;&#x5909;&#x66F4;&#x3057;&#x306A;&#x3044;&#x9650;&#x308A;&#x3001;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x306F; 0.0 &#x3067;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.shutter_length_frames     Float    default: 0.5   --  animatable; float</code></pre><p><code>.shutter_unit_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 2 (&#x89D2;&#x5EA6;)&#x307E;&#x305F;&#x306F; 3 (&#x30D5;&#x30EC;&#x30FC;&#x30E0;)&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x9577;&#x3055;(&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x6570;)] (Duration)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x89D2;&#x5EA6;&#x306E;&#x8868;&#x793A;&#x306E;&#x5834;&#x5408;&#x3001;UI &#x3067;&#x306F;&#x9577;&#x3055;(&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x6570;)&#x304C;&#x89D2;&#x5EA6;&#x3067;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x304C;&#x3001;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x3068;&#x3057;&#x3066;&#x5185;&#x90E8;&#x7684;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x308B;&#x3053;&#x3068;&#x306B;&#x6CE8;&#x610F;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<p>&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092; 1.0 &#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30BF;&#x30A4;&#x30D7;&#x3092;&#x89D2;&#x5EA6;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x3001;1.0 &#x3092;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x305F;&#x5834;&#x5408;&#x306B;&#x3001;UI &#x306F; 360 &#x5EA6;&#x306E;&#x8868;&#x793A;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.shutter_length_seconds     Float    default: 0.001   --  animatable; float</code></pre><p><code>.shutter_unit_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 0 (1/&#x79D2;)&#x307E;&#x305F;&#x306F; 1 (&#x79D2;)&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x9577;&#x3055;(&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x6570;)] (Duration)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5024;&#x306F;&#x5E38;&#x306B; 1/&#x79D2;&#x3068;&#x3057;&#x3066;&#x5185;&#x90E8;&#x7684;&#x306B;&#x8868;&#x3055;&#x308C;&#x3001;&#x4E00;&#x65B9;&#x3001;UI &#x306F; <code>.shutter_unit_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x5F93;&#x3063;&#x3066;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x3092; 1/&#x79D2;&#x3068;&#x79D2;&#x306B;&#x5207;&#x308A;&#x66FF;&#x3048;&#x308B;&#x3053;&#x3068;&#x306B;&#x6CE8;&#x610F;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x5185;&#x90E8;&#x5024;&#x304C; 0.001 &#x306E;&#x5834;&#x5408;&#x3001;UI &#x306B;&#x306F;&#x30C9;&#x30ED;&#x30C3;&#x30D7;&#x30C0;&#x30A6;&#x30F3; &#x30EA;&#x30B9;&#x30C8;&#x306E;&#x8A2D;&#x5B9A;&#x306B;&#x5FDC;&#x3058;&#x3066; 1000.0 &#x307E;&#x305F;&#x306F; 0.001 &#x3068;&#x3057;&#x3066;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.shutter_offset_enabled     BooleanClass    default: false   --  boolean</code></pre><p><strong>[&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;] (Offset)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>False (&#x65E2;&#x5B9A;)&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30B7;&#x30E3;&#x30C3;&#x30BF;&#x30FC; &#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x306F; 0.0 &#x3068;&#x307F;&#x306A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>True &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x73FE;&#x5728;&#x306E;&#x30B7;&#x30E3;&#x30C3;&#x30BF;&#x30FC; &#x30BF;&#x30A4;&#x30D7;(&#x79D2;&#x307E;&#x305F;&#x306F;&#x30D5;&#x30EC;&#x30FC;&#x30E0;)&#x306B;&#x5BFE;&#x5FDC;&#x3059;&#x308B;&#x30B7;&#x30E3;&#x30C3;&#x30BF;&#x30FC; &#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x5024;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x8A73;&#x7D30;&#x306B;&#x3064;&#x3044;&#x3066;&#x306F;&#x3001;&#x6B21;&#x306E; 2 &#x3064;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.shutter_offset_frames     Float    default: 0.0   --  animatable; float</code></pre><p><code>.shutter_unit_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 2 (&#x89D2;&#x5EA6;)&#x307E;&#x305F;&#x306F; 3 (&#x30D5;&#x30EC;&#x30FC;&#x30E0;)&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;] (Offset)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x89D2;&#x5EA6;&#x306E;&#x8868;&#x793A;&#x306E;&#x5834;&#x5408;&#x3001;UI &#x3067;&#x306F;&#x9577;&#x3055;(&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x6570;)&#x304C;&#x89D2;&#x5EA6;&#x3067;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x304C;&#x3001;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x3068;&#x3057;&#x3066;&#x5185;&#x90E8;&#x7684;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x308B;&#x3053;&#x3068;&#x306B;&#x6CE8;&#x610F;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<p>&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092; 0.5 &#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30BF;&#x30A4;&#x30D7;&#x3092;&#x89D2;&#x5EA6;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x3001;0.5 &#x3092;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x305F;&#x5834;&#x5408;&#x306B;&#x3001;UI &#x306F; 180 &#x5EA6;&#x306E;&#x8868;&#x793A;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.shutter_offset_seconds     Float    default: 0.0   --  animatable; float</code></pre><p><code>.shutter_unit_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 0 (1/&#x79D2;)&#x307E;&#x305F;&#x306F; 1 (&#x79D2;)&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;] (Offset)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.motion_blur_enabled     BooleanClass    default: false   --  boolean</code></pre><p><strong>[&#x30E2;&#x30FC;&#x30B7;&#x30E7;&#x30F3; &#x30D6;&#x30E9;&#x30FC;&#x3092;&#x6709;&#x52B9;&#x5316;](Enable Motion Blur)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x9732;&#x51FA;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;</strong></p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x9732;&#x51FA;&#x30B2;&#x30A4;&#x30F3; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.exposure_gain_type     Integer    default: 1   --  integer</code></pre><p><strong>[&#x9732;&#x51FA;&#x30B2;&#x30A4;&#x30F3;](Exposure Gain)</strong>&#x30E9;&#x30B8;&#x30AA; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - <strong>&#x624B;&#x52D5;</strong> - <code>.iso</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;</p>\n\
<p>1 - <strong>&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8;</strong>(&#x65E2;&#x5B9A;) - <code>.exposure_value</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.iso     Float    default: 6000.0   --  animatable; float</code></pre><p><code>.exposure_gain_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 0 (&#x624B;&#x52D5;)&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x624B;&#x52D5;&#x306B;&#x3088;&#x308B; ISO](Manual ISO)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.exposure_value     Float    default: 6.0   --  animatable; float</code></pre><p><code>.exposure_gain_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 1 (&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8;)&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8; EV](Target ... EV)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30DB;&#x30EF;&#x30A4;&#x30C8; &#x30D0;&#x30E9;&#x30F3;&#x30B9; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.white_balance_type     Integer    default: 0   --  integer</code></pre><p><strong>[&#x30DB;&#x30EF;&#x30A4;&#x30C8; &#x30D0;&#x30E9;&#x30F3;&#x30B9;](White Balance)</strong>&#x30E9;&#x30B8;&#x30AA; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - <strong>&#x5149;&#x6E90;</strong>(&#x65E2;&#x5B9A;) - <code>.white_balance_illuminant</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;</p>\n\
<p>1 - <strong>&#x6E29;&#x5EA6;</strong> - <code>.white_balance_kelvin</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;</p>\n\
<p>2 - <strong>&#x30AB;&#x30B9;&#x30BF;&#x30E0;</strong> - <code>.white_balance_custom</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.white_balance_illuminant     Integer    default: 0   --  integer</code></pre><p><code>.white_balance_type property</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 0 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x5149;&#x6E90;] (Illuminant)</strong>&#x30C9;&#x30ED;&#x30C3;&#x30D7;&#x30C0;&#x30A6;&#x30F3; &#x30EA;&#x30B9;&#x30C8;&#x306E;&#x9078;&#x629E;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - <strong>&#x30C7;&#x30A4;&#x30E9;&#x30A4;&#x30C8;(6500K)</strong></p>\n\
<p>1 - <strong>&#x30B5;&#x30F3;&#x30E9;&#x30A4;&#x30C8;(5200K)</strong></p>\n\
<p>2 - <strong>&#x30B7;&#x30A7;&#x30FC;&#x30C7;&#x30A3;&#x30F3;&#x30B0;(7000K)</strong></p>\n\
<p>3 - <strong>&#x30AA;&#x30FC;&#x30D0;&#x30FC;&#x30AD;&#x30E3;&#x30B9;&#x30C8;(6000K)</strong></p>\n\
<p>4 - <strong>&#x767D;&#x71B1;&#x5149;(3200K)</strong></p>\n\
<p>5 - <strong>&#x86CD;&#x5149;&#x706F;(4000K)</strong></p>\n\
<p>6 - <strong>CIE A - &#x767D;&#x71B1;&#x706F;/&#x30BF;&#x30F3;&#x30B0;&#x30B9;&#x30C6;&#x30F3;</strong></p>\n\
<p>7 - <strong>CIE D50 - &#x6C34;&#x5E73;&#x30E9;&#x30A4;&#x30C8;</strong></p>\n\
<p>8 - <strong>CIE D55 - &#x5348;&#x524D;/&#x5348;&#x5F8C;&#x306E;&#x30C7;&#x30A4;&#x30E9;&#x30A4;&#x30C8;</strong></p>\n\
<p>9 - <strong>CIE D65 - &#x6B63;&#x5348;&#x306E;&#x30C7;&#x30A4;&#x30E9;&#x30A4;&#x30C8;</strong></p>\n\
<p>10-<strong>CIE D75 - &#x6975;&#x5317;&#x30C7;&#x30A4;&#x30E9;&#x30A4;&#x30C8;</strong></p>\n\
<p>11 -<strong>CIE F1 - &#x86CD;&#x5149;&#x706F;&#x306E;&#x30C7;&#x30A4;&#x30E9;&#x30A4;&#x30C8;</strong></p>\n\
<p>12 -<strong>CIE F2 - &#x86CD;&#x5149;&#x706F;&#x51B7;&#x767D;&#x8272;</strong>&#xFFFC;</p>\n\
<p>13-<strong>CIE F3 - &#x86CD;&#x5149;&#x706F;&#x767D;&#x8272;</strong></p>\n\
<p>14-<strong>CIE F4 - &#x86CD;&#x5149;&#x706F;&#x6E29;&#x767D;&#x8272;</strong></p>\n\
<p>15-<strong>CIE F5 - &#x86CD;&#x5149;&#x706F;&#x30C7;&#x30A4;&#x30E9;&#x30A4;&#x30C8;</strong></p>\n\
<p>16 -<strong>CIE F6 - &#x86CD;&#x5149;&#x706F;&#x767D;&#x8272;</strong></p>\n\
<p>17 -<strong>CIE F7 - &#x86CD;&#x5149;&#x706F; D65 &#x30B7;&#x30DF;&#x30E5;&#x30EC;&#x30FC;&#x30BF;</strong></p>\n\
<p>18 -<strong>CIE F8 - &#x86CD;&#x5149;&#x706F; D60 &#x30B7;&#x30DF;&#x30E5;&#x30EC;&#x30FC;&#x30BF;</strong></p>\n\
<p>19-<strong>CIE F9 - &#x86CD;&#x5149;&#x706F;&#x51B7;&#x767D;&#x5149;</strong></p>\n\
<p>20 -<strong>CIE F10 - &#x86CD;&#x5149;&#x706F; TL-85</strong></p>\n\
<p>21 -<strong>CIE F11 - &#x86CD;&#x5149;&#x706F; TL-84</strong></p>\n\
<p>22 -<strong>CIE F12 - &#x86CD;&#x5149;&#x706F; TL-83</strong></p>\n\
<p>23 -<strong>&#x30CF;&#x30ED;&#x30B2;&#x30F3;&#x706F;&#x6696;&#x8272;(2800K)</strong></p>\n\
<p>24 -<strong>&#x30CF;&#x30ED;&#x30B2;&#x30F3;&#x706F;(3200K)</strong></p>\n\
<p>25 -<strong>&#x30CF;&#x30ED;&#x30B2;&#x30F3;&#x706F;&#x5BD2;&#x8272;(4000K)</strong></p>\n\
<p>26 -<strong>HID &#x30BB;&#x30E9;&#x30DF;&#x30C3;&#x30AF; &#x30E1;&#x30BF;&#x30EB; &#x30CF;&#x30ED;&#x30B2;&#x30F3;&#x706F;&#x6696;&#x8272;(3000K)</strong></p>\n\
<p>27 -<strong>HID &#x30BB;&#x30E9;&#x30DF;&#x30C3;&#x30AF; &#x30E1;&#x30BF;&#x30EB; &#x30CF;&#x30ED;&#x30B2;&#x30F3;&#x706F;&#x5BD2;&#x8272;(4200K)</strong></p>\n\
<p>28 -<strong>HID &#x30AF;&#x30A9;&#x30FC;&#x30C4; &#x30E1;&#x30BF;&#x30EB; &#x30CF;&#x30ED;&#x30B2;&#x30F3;&#x706F;&#x6696;&#x8272;(3200K)</strong></p>\n\
<p>29 -<strong>HID &#x30AF;&#x30A9;&#x30FC;&#x30C4; &#x30E1;&#x30BF;&#x30EB; &#x30CF;&#x30ED;&#x30B2;&#x30F3;&#x706F;(4000K)&#xFFFC;</strong></p>\n\
<p>30 -<strong>HID &#x30AF;&#x30A9;&#x30FC;&#x30C4; &#x30E1;&#x30BF;&#x30EB; &#x30CF;&#x30ED;&#x30B2;&#x30F3;&#x706F;&#x5BD2;&#x8272;(6000K)</strong></p>\n\
<p>31-<strong>HID &#x6C34;&#x9280;&#x706F;(3900K)</strong></p>\n\
<p>32 -<strong>HID &#x71D0;&#x5149;&#x6C34;&#x9280;&#x706F;(4000K)</strong></p>\n\
<p>33 -<strong>HID &#x30AD;&#x30BB;&#x30CE;&#x30F3;(6000K)</strong></p>\n\
<p>34 -<strong>&#x9AD8;&#x5727;&#x30CA;&#x30C8;&#x30EA;&#x30A6;&#x30E0;&#x706F;(2100K)</strong></p>\n\
<p>35 -<strong>&#x4F4E;&#x5727;&#x30CA;&#x30C8;&#x30EA;&#x30A6;&#x30E0;&#x706F;(1800K)</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.white_balance_kelvin     Float    default: 6500.0   --  animatable; float; White_Balance_Temperature</code></pre><p><code>.white_balance_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 1 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x6E29;&#x5EA6;] (Temperature)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.white_balance_custom     Color    default: (color 255 255 255 0)   --  animatable;\n\
fRGBA color;\n\
Controller Scaling: ([1,1,1,1] : (color 255 255 255));\n\
</code></pre><p>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 2 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x30AB;&#x30B9;&#x30BF;&#x30E0;] (Custom)</strong><code>.white_balance_type</code>&#x30AB;&#x30E9;&#x30FC; &#x30D4;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.vignetting_enabled     BooleanClass    default: false   --  boolean</code></pre><p><strong>[&#x5468;&#x8FBA;&#x6E1B;&#x5149;&#x3092;&#x6709;&#x52B9;&#x5316;](Enable Vignetting)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>True &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x305F;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x306B;&#x5468;&#x8FBA;&#x6E1B;&#x5149;&#x304C;&#x9069;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>False &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x5468;&#x8FBA;&#x6E1B;&#x5149;&#x306F;&#x9069;&#x7528;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.vignetting_amount     Float    default: 1.0   --  animatable; float</code></pre><p><code>.vignetting_enabled</code> &#x304C; true &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x5468;&#x8FBA;&#x6E1B;&#x5149;&#x91CF;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3059;&#x308B;<strong>[&#x91CF;] (Amount)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x307C;&#x3051;&#x52B9;&#x679C;(&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;)&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;</strong></p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x7D5E;&#x308A;&#x306E;&#x5F62;&#x72B6;&#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.bokeh_shape     Integer    default: 0   --  animatable; integer</code></pre><p><strong>[&#x7D5E;&#x308A;&#x306E;&#x5F62;&#x72B6;](Aperture Shape)</strong>&#x30E9;&#x30B8;&#x30AA; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - <strong>&#x5186;&#x5F62;</strong>(&#x65E2;&#x5B9A;)</p>\n\
<p>1 - <strong>&#x30D6;&#x30EC;&#x30FC;&#x30C9;&#x578B;</strong></p>\n\
<p>2 - <strong>&#x30AB;&#x30B9;&#x30BF;&#x30E0; &#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.bokeh_blades_number     Integer    default: 7   --  animatable; integer</code></pre><p><code>.bokeh_shape</code> &#x304C; 1 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x679A;] (Blades)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x308C;&#x306F;&#x307C;&#x3051;&#x52B9;&#x679C;&#x306E;&#x7FBD;&#x6839;&#x306E;&#x679A;&#x6570;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.pb_bokeh_blades_rotation_degrees     Float    default: 0.0   --  animatable; float; Bokeh_Blades_Rotation_Degrees</code></pre><p><code>.bokeh_shape</code> &#x304C; 1 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x56DE;&#x8EE2;] (Rotation)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x307C;&#x3051;&#x52B9;&#x679C;&#x306E;&#x7FBD;&#x6839;&#x306E;&#x56DE;&#x8EE2;&#x89D2;&#x5EA6;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.bokeh_texture     UndefinedClass    default: undefined   --  texturemap; Bokeh_Bitmap</code></pre><p><code>.bokeh_shape</code> &#x304C; 2 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x30AB;&#x30B9;&#x30BF;&#x30E0;&#x307C;&#x3051;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3; &#x30DE;&#x30C3;&#x30D7;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.bokeh_texture_affect_exposure     BooleanClass    default: true   --  boolean; Bokeh_Bitmap_Affect_Exposure</code></pre><p><code>.bokeh_shape</code> &#x304C; 2 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x9732;&#x51FA;&#x306B;&#x5F71;&#x97FF;](Affect Exposure)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;</p>\n\
<p>True (&#x65E2;&#x5B9A;)&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x307C;&#x3051;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x3082;&#x9732;&#x51FA;&#x306B;&#x5F71;&#x97FF;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.bokeh_center_bias     Float    default: 0.0   --  animatable; float</code></pre><p><strong>[&#x30BB;&#x30F3;&#x30BF;&#x30FC; &#x30D0;&#x30A4;&#x30A2;&#x30B9;(&#x30EA;&#x30F3;&#x30B0; &#x30A8;&#x30D5;&#x30A7;&#x30AF;&#x30C8;)](Center Bias (Ring Effect))</strong>&#x30B9;&#x30E9;&#x30A4;&#x30C0;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.bokeh_optical_vignetting     Float    default: 0.0   --  animatable; float</code></pre><p><strong>[&#x5149;&#x5B66;&#x5468;&#x8FBA;&#x6E1B;&#x5149;(Cat Eye &#x52B9;&#x679C;)](Optical Vignetting (Cat Eye))</strong>&#x30B9;&#x30E9;&#x30A4;&#x30C0;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.bokeh_anisotropy     Float    default: 0.0   --  animatable; float</code></pre><p><strong>[&#x7570;&#x65B9;&#x6027;&#x53CD;&#x5C04;(&#x30A2;&#x30CA;&#x30E2;&#x30EB;&#x30D5;&#x30A3;&#x30C3;&#x30AF; &#x30EC;&#x30F3;&#x30BA;)] (Anisotropy (Anamorphic Lens))</strong>&#x30B9;&#x30E9;&#x30A4;&#x30C0;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306E;&#x7BC4;&#x56F2;&#x306F; -1.0 (&#x5782;&#x76F4;)&#x304B;&#x3089; 1.0 (&#x6C34;&#x5E73;)&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30D1;&#x30FC;&#x30B9;&#x5236;&#x5FA1;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;</strong></p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30EC;&#x30F3;&#x30BA; &#x30B7;&#x30D5;&#x30C8; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.horizontal_shift     Float    default: 0.0   --  animatable; float; Controller Scaling: (1 : 100.0);</code></pre><p><strong>[&#x6C34;&#x5E73;] (Horizontal)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x8CA0;&#x306E;&#x5024;&#x306B;&#x3059;&#x308B;&#x3068;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x304C;&#x5DE6;&#x306B;&#x30B7;&#x30D5;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6B63;&#x306E;&#x5024;&#x306B;&#x3059;&#x308B;&#x3068;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x304C;&#x53F3;&#x306B;&#x30B7;&#x30D5;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.horizontal_shift     Float    default: 0.0   --  animatable; float; Vertical_Shift; Controller Scaling: (1 : 100.0</code></pre><p><strong>[&#x5782;&#x76F4;] (Vertical)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x8CA0;&#x306E;&#x5024;&#x306B;&#x3059;&#x308B;&#x3068;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x304C;&#x4E0B;&#x306B;&#x30B7;&#x30D5;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6B63;&#x306E;&#x5024;&#x306B;&#x3059;&#x308B;&#x3068;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x304C;&#x4E0A;&#x306B;&#x30B7;&#x30D5;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x50BE;&#x659C;&#x306E;&#x88DC;&#x6B63;&#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.horizontal_tilt_correction     Float    default: 0.0   --  animatable; float</code></pre><p><strong>[&#x6C34;&#x5E73;] (Horizontal)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.vertical_tilt_correction     Float    default: 0.0   --  animatable; float</code></pre><p><strong>[&#x5782;&#x76F4;] (Vertical)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.auto_vertical_tilt_correction     BooleanClass    default: false   --  animatable; boolean</code></pre><p><strong>[&#x81EA;&#x52D5;&#x5782;&#x76F4;&#x50BE;&#x659C;&#x88DC;&#x6B63;](Auto Vertical Tilt Correction)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30EC;&#x30F3;&#x30BA;&#x6B6A;&#x307F;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.distortion_type     Integer    default: 0   --  integer</code></pre><p><strong>[&#x6B6A;&#x307F;&#x306E;&#x30BF;&#x30A4;&#x30D7;](Distortion Type)</strong>&#x30E9;&#x30B8;&#x30AA; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - <strong>&#x306A;&#x3057;</strong> (&#x65E2;&#x5B9A;&#x5024;)</p>\n\
<p>1 - <strong>&#x30AD;&#x30E5;&#x30FC;&#x30D3;&#x30C3;&#x30AF;</strong></p>\n\
<p>2 - <strong>&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.distortion_cubic_amount     Float    default: 0.0   --  animatable; float</code></pre><p><code>.distortion_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 1 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x91CF;] (Amount)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.distortion_texture     UndefinedClass    default: undefined   --  texturemap</code></pre><p><code>.distortion_type</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 2 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3; &#x30DE;&#x30C3;&#x30D7;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x305D;&#x306E;&#x4ED6;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;</strong></p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30AF;&#x30EA;&#x30C3;&#x30D4;&#x30F3;&#x30B0;&#x5E73;&#x9762;&#x30B0;&#x30EB;&#x30FC;&#x30D7;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.clip_on     BooleanClass    default: false   --  boolean; Clipping_Enabled</code></pre><p><strong>[&#x6709;&#x52B9;] (Enable)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>False (&#x65E2;&#x5B9A;)&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x81EA;&#x52D5;&#x7684;&#x306B;&#x30AF;&#x30EA;&#x30C3;&#x30D4;&#x30F3;&#x30B0;&#x304C;&#x5B9F;&#x884C;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>True &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x8FD1;&#x63A5;&#x30AF;&#x30EA;&#x30C3;&#x30D7;&#x304A;&#x3088;&#x3073;&#x9060;&#x65B9;&#x30AF;&#x30EA;&#x30C3;&#x30D7;&#x306E;&#x5024;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.clip_near     Float    default: 0.0   --  animatable; worldUnits; Clipping_Near</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.near_clip     Float    default: 0.0   --  animatable; alias for clip_near</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.nearclip     Float    default: 0.0   --  animatable; alias for clip_near</code></pre><p><code>.clip_on</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 1 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x8FD1;&#x63A5;] (Near)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30AB;&#x30E1;&#x30E9;&#x306E;&#x4F4D;&#x7F6E;&#x304B;&#x3089;&#x8FD1;&#x63A5;&#x30AF;&#x30EA;&#x30C3;&#x30D4;&#x30F3;&#x30B0;&#x5E73;&#x9762;&#x307E;&#x3067;&#x306E;&#x8DDD;&#x96E2;&#x3092;&#x30EF;&#x30FC;&#x30EB;&#x30C9;&#x5358;&#x4F4D;&#x3067;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x8DDD;&#x96E2;&#x3088;&#x308A;&#x3082;&#x30AB;&#x30E1;&#x30E9;&#x306B;&#x8FD1;&#x3044;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.clip_far    Float    default: 39370.1   --  animatable; worldUnits; Clipping_Far</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.far_clip   Float    default: 39370.1   --  animatable; alias for clip_far</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.farclip     Float    default: 39370.1   --  animatable; alias for clip_far</code></pre><p><code>.clip_on</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; 1 &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;<strong>[&#x8FD1;&#x63A5;] (Far)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30AB;&#x30E1;&#x30E9;&#x306E;&#x4F4D;&#x7F6E;&#x304B;&#x3089;&#x9060;&#x65B9;&#x30AF;&#x30EA;&#x30C3;&#x30D4;&#x30F3;&#x30B0;&#x5E73;&#x9762;&#x307E;&#x3067;&#x306E;&#x8DDD;&#x96E2;&#x3092;&#x30EF;&#x30FC;&#x30EB;&#x30C9;&#x5358;&#x4F4D;&#x3067;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x8DDD;&#x96E2;&#x3088;&#x308A;&#x30AB;&#x30E1;&#x30E9;&#x304B;&#x3089;&#x96E2;&#x308C;&#x3066;&#x3044;&#x308B;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<p>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x74B0;&#x5883;&#x7BC4;&#x56F2;&#x9818;&#x57DF;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.environment_far     Float    default: 39370.1   --  animatable; worldUnits; Environment_Range_Far</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.farrange     Float    default: 39370.1   --  animatable; alias for environment_far</code></pre><p><strong>[&#x8FD1;&#x63A5;&#x7BC4;&#x56F2;](Near Range)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30D5;&#x30A9;&#x30B0;&#x306E;&#x3088;&#x3046;&#x306A;&#x30AB;&#x30E1;&#x30E9;&#x30D9;&#x30FC;&#x30B9;&#x306E;&#x74B0;&#x5883;&#x52B9;&#x679C;&#x304C;&#x52B9;&#x679C;&#x306E;&#x8FD1;&#x63A5;&#x7BC4;&#x56F2;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.environment_near    Float    default: 0.0   --  animatable; worldUnits; Environment_Range_Near</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.nearrange    Float    default: 0.0   --  animatable; alias for environment_near</code></pre><p><strong>[&#x9060;&#x65B9;&#x7BC4;&#x56F2;](Far Range)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30D5;&#x30A9;&#x30B0;&#x306E;&#x3088;&#x3046;&#x306A;&#x30AB;&#x30E1;&#x30E9;&#x30D9;&#x30FC;&#x30B9;&#x306E;&#x74B0;&#x5883;&#x52B9;&#x679C;&#x304C;&#x52B9;&#x679C;&#x306E;&#x9060;&#x65B9;&#x7BC4;&#x56F2;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E6;&#x30FC;&#x30B6; &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x306B;&#x306F;&#x516C;&#x958B;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Physical&gt;.show_focus_plane_in_cam_view     BooleanClass    default: false   --  animatable; boolean; Show_Focus_Plane_in_Camera_View</code></pre><p>False &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x534A;&#x900F;&#x660E;&#x306A;&#x30D5;&#x30A9;&#x30FC;&#x30AB;&#x30B9; &#x30D7;&#x30EC;&#x30FC;&#x30F3;&#x304C;&#x3001;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x304C;&#x7269;&#x7406;&#x30AB;&#x30E1;&#x30E9;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x63CF;&#x753B;&#x3055;&#x308C;&#x306A;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p>True &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x534A;&#x900F;&#x660E;&#x306A;&#x30D5;&#x30A9;&#x30FC;&#x30AB;&#x30B9; &#x30D7;&#x30EC;&#x30FC;&#x30F3;&#x306F;&#x3001;&#x7269;&#x7406;&#x30AB;&#x30E1;&#x30E9; &#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x306B;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Camera-Node.html\">Camera: ノード</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../ToneOperator-MAXWrapper/Physical_Camera_Exposure_Control.html\">Physical_Camera_Exposure_Control : ToneOperator</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";