var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0C0DBA6B-9D54-47E8-8FA8-F9D780B154E8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>rendererClass</h1></div><p><strong>3ds Max 4</strong> &#x3067; MAXClass &#x30E9;&#x30C3;&#x30D7;&#x304C;&#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3; &#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC; &#x30B9;&#x30FC;&#x30D1;&#x30FC;&#x30AF;&#x30E9;&#x30B9;&#x306B;&#x8FFD;&#x52A0;&#x3055;&#x308C;&#x305F;&#x305F;&#x3081;&#x3001;&#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC; &#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x3092; MAXScript &#x3067;&#x4F7F;&#x7528;&#x3067;&#x304D;&#x308B;&#x3088;&#x3046;&#x306B;&#x306A;&#x308A;&#x307E;&#x3057;&#x305F;&#x3002;&#x65B0;&#x3057;&#x3044;&#x30B9;&#x30FC;&#x30D1;&#x30FC;&#x30AF;&#x30E9;&#x30B9;&#x306E;&#x540D;&#x524D;&#x306F;&#x300C;Renderer&#x300D;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3; . &#x30AF;&#x30E9;&#x30B9;&#x306F;&#x3059;&#x3079;&#x3066;&#x306E;&#x30A4;&#x30F3;&#x30B9;&#x30C8;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B; RendererClass &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x914D;&#x5217;&#x3092;&#x63D0;&#x4F9B;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x305F;&#x3068;&#x3048;&#x3070;&#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC; &#x30AF;&#x30E9;&#x30B9;&#x306E;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x306E;&#x624B;&#x7D9A;&#x578B;&#x306E;&#x4F5C;&#x6210;&#x3084;&#x73FE;&#x5728;&#x306E;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x4E0A;&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x306A;&#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306E;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x306A;&#x3069;&#x304C;&#x53EF;&#x80FD;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">RendererClass.classes\n\
--&gt; #(Default_Scanline_Renderer, VUE_File_Renderer, Quicksilver_Hardware_Renderer, mental_ray_renderer, Missing_Renderer)\n\
--You can assign a new renderer class to the current renderer\n\
renderers.current = RendererClass.classes[3]()\n\
--&gt; mental_ray_renderer:mental_ray_renderer\n\
\n\
--Conditional assignment: collect all renderer classes that match\n\
--the name pattern &quot;Quicksilver*&quot; and if exactly one was collected,\n\
--assign an instance of it to the current renderer:\n\
theRenderer = for i in RendererClass.classes where \\\n\
matchPattern (i as string) pattern:&quot;Quicksilver*&quot; collect i\n\
--&gt; #(Quicksilver_Hardware_Renderer)\n\
if theRenderer.count == 1 do renderers.current = theRenderer[1]()\n\
--&gt; Quicksilver_Hardware_Renderer:Quicksilver_Hardware_Renderer--Using the class as string to pattern match the name is\n\
--useful when the actual class name is changing (for example\n\
--some 3rd party renderers include the version number in the\n\
--class name, making it difficult to hard-code in scripts for\n\
--more than one version).\n\
--The above approach would work with these cases, too.</code></pre><p>&#x63D0;&#x4F9B;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B; <strong>RendererClass</strong> &#x30AF;&#x30E9;&#x30B9;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a href=\"Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></p>\n\
<p><a href=\"Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer : RendererClass</a></p>\n\
<p><a href=\"VUE_File_Renderer-RendererClass.html\">VUE_File_Renderer : RendererClass</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../RendererClass.html\">RendererClass</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">レンダラー</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">render() メソッドを使用したレンダラーのコントロール</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/Network-Render-Interface-1.html\">ネットワーク レンダリング インタフェース</a></li>\n\
          <li><a class=\"link\" href=\"../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetRender.html\">インタフェース: NetRender</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";