var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6A28F484-B4D7-4C62-BA6B-29EB562CEBAE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>BlendedBoxMap: TextureMap</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">BlendedBoxMap &#x2013; superclass: textureMap; super-superclass:material &#x2013; classID: #(334310678, 1815100752)</code></pre><p>BlendedBoxMap &#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3; &#x30DE;&#x30C3;&#x30D7;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DE;&#x30C3;&#x30D7;&#x3092; 1 &#x3064;&#x307E;&#x305F;&#x306F;&#x8907;&#x6570;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x6295;&#x5F71;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;90 &#x5EA6;&#x5358;&#x4F4D;&#x306E; 3 &#x3064;&#x306E;&#x65B9;&#x5411;&#x304B;&#x3089;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x3092;&#x6295;&#x5F71;&#x3057;&#x307E;&#x3059;&#x3002;&#x6295;&#x5F71;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x305D;&#x308C;&#x305E;&#x308C;&#x306E;&#x5074;&#x9762;&#x306B; 1 &#x500B;&#x3001;3 &#x500B;&#x3001;&#x307E;&#x305F;&#x306F; 6 &#x500B;&#x306E;&#x7570;&#x306A;&#x308B;&#x30DE;&#x30C3;&#x30D7;&#x3092;&#x6295;&#x5F71;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x307E;&#x305F;&#x3001;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x306E;&#x30D6;&#x30EC;&#x30F3;&#x30C9;&#x65B9;&#x6CD5;&#x3092;&#x30AB;&#x30B9;&#x30BF;&#x30DE;&#x30A4;&#x30BA;&#x3059;&#x308B;&#x3053;&#x3068;&#x3082;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;<strong>3ds Max 2017.1 Update &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">BlendedBoxMap...     </code></pre><h3 id=\"-\">&#x4F8B;</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- Example creation:\n\
s = Sphere()\n\
mat = StandardMaterial()\n\
mat.name = &quot;MyStandard&quot;\n\
s.material=mat\n\
bbm = BlendedBoxMap()\n\
mat.diffuseMap = bbm</code></pre><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.mode Integer default: 1</code></pre><p>BlendedBoxMap &#x3067;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x6295;&#x5F71;&#x306E;&#x6570;&#x3002;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li>0 = 1 &#x500B;&#x306E;&#x6295;&#x5F71;</li>\n\
<li>1 = 3 &#x500B;&#x306E;&#x6295;&#x5F71;</li>\n\
<li>2 = 6 &#x500B;&#x306E;&#x6295;&#x5F71;</li>\n\
</ul>\n\
<p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;[&#x6295;&#x5F71;&#x306E;&#x6570;](Number of Projections)&#x30E9;&#x30B8;&#x30AA;&#x30DC;&#x30BF;&#x30F3;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.colors : color array default:\n\
#((color 0 0 255), (color 255 0 0), (color 0 255 0), (color 255\n\
255 0), (color 255 0 255), (color 0 255 255))</code></pre><p>BlendedBoxMap &#x6295;&#x5F71;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x306E;&#x914D;&#x5217;&#x3002;<strong>mode</strong> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x307E;&#x305F;&#x306F; UI &#x306E;&#x6295;&#x5F71;&#x6570;&#x306F; 1 &#x307E;&#x305F;&#x306F; 3 &#x306B;&#x8A2D;&#x5B9A;&#x3067;&#x304D;&#x307E;&#x3059;&#x304C;&#x3001;&#x3053;&#x306E;&#x914D;&#x5217;&#x306B;&#x306F;&#x5E38;&#x306B; 6 &#x500B;&#x306E;&#x30E1;&#x30F3;&#x30D0;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x3001;UI &#x306E;<strong>[&#x30DE;&#x30C3;&#x30D7;] (Maps)</strong>&#x30BB;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x306E;&#x30AB;&#x30E9;&#x30FC; &#x30BB;&#x30EC;&#x30AF;&#x30BF;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.tex (SubMat0) : texturemap array default:\n\
#(undefined&#x2026;)</code></pre><p>&#x6295;&#x5F71;&#x306E;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x30DE;&#x30C3;&#x30D7;&#x306E;&#x914D;&#x5217;&#x3002;&#x3053;&#x306E;&#x914D;&#x5217;&#x306B;&#x306F; 7 &#x3064;&#x306E;&#x9805;&#x76EE;&#x304C;&#x542B;&#x307E;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x6700;&#x521D;&#x306E; 6 &#x3064;&#x306F;&#x500B;&#x5225;&#x306E;&#x6295;&#x5F71;&#x30DE;&#x30C3;&#x30D7;&#x3001;7 &#x756A;&#x76EE;&#x306F;&#x30D6;&#x30EC;&#x30F3;&#x30C9; &#x30DE;&#x30C3;&#x30D7;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x3001;UI &#x306E;<strong>[&#x30DE;&#x30C3;&#x30D7;] (Maps)</strong>&#x30BB;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x306E;&#x30DE;&#x30C3;&#x30D7; &#x30BB;&#x30EC;&#x30AF;&#x30BF;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.MapEnable : Boolean array\n\
default:\n\
#(true, true, true, true, true, true, false)</code></pre><p>&#x95A2;&#x9023;&#x4ED8;&#x3051;&#x3089;&#x308C;&#x305F;&#x30DE;&#x30C3;&#x30D7;&#x304C;&#x6709;&#x52B9;&#x5316;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3059; Boolean &#x5024;&#x306E;&#x914D;&#x5217;&#x3067;&#x3059;&#x3002;&#x6700;&#x521D;&#x306E; 6 &#x3064;&#x306F;&#x500B;&#x5225;&#x306E;&#x6295;&#x5F71;&#x30DE;&#x30C3;&#x30D7;&#x3001;7 &#x756A;&#x76EE;&#x306F;&#x30D6;&#x30EC;&#x30F3;&#x30C9; &#x30DE;&#x30C3;&#x30D7;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x3001;UI &#x306E;<strong>[&#x30DE;&#x30C3;&#x30D7;] (Maps)</strong>&#x30BB;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x306E;&#x30AB;&#x30E9;&#x30FC; &#x30BB;&#x30EC;&#x30AF;&#x30BF;&#x304A;&#x3088;&#x3073;&#x30DE;&#x30C3;&#x30D7; &#x30BB;&#x30EC;&#x30AF;&#x30BF;&#x306E;&#x6A2A;&#x306E;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.mapscale : float default: 100.0</code></pre><p>&#x3059;&#x3079;&#x3066;&#x306E;&#x30DE;&#x30C3;&#x30D7;&#x306B;&#x9069;&#x7528;&#x3055;&#x308C;&#x308B;&#x30B9;&#x30B1;&#x30FC;&#x30EA;&#x30F3;&#x30B0;&#x5024;&#x306E;&#x30D1;&#x30FC;&#x30BB;&#x30F3;&#x30C6;&#x30FC;&#x30B8;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x3001;UI &#x306E;<strong>[&#x30DE;&#x30C3;&#x30D7; &#x30B9;&#x30B1;&#x30FC;&#x30EB;](Map Scale)</strong>&#x30B9;&#x30D4;&#x30F3;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.blend : float default: 25.0</code></pre><p>&#x5404;&#x6295;&#x5F71;&#x9593;&#x306E;&#x30D6;&#x30EC;&#x30F3;&#x30C9;&#x306E;&#x91CF;(%)&#x3002;</p>\n\
<p>&#x3053;&#x308C;&#x306F; UI &#x306E;<strong>[&#x30D6;&#x30EC;&#x30F3;&#x30C9;&#x91CF;](Blend Amount)</strong>&#x30B9;&#x30D4;&#x30F3;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.blendMapStrength : float default: 25.0</code></pre><p><strong>tex</strong>[7]&#x30DE;&#x30C3;&#x30D7;&#x3067;&#x3042;&#x308B; BlendMap &#x3068;&#x306E;&#x30D6;&#x30EC;&#x30F3;&#x30C9;&#x91CF;(%)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.texturespace : integer</code></pre><p>&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x6295;&#x5F71;&#x65B9;&#x6CD5;&#x3067;&#x3059;&#x3002;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li>0 = &#x500B;&#x5225;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;</li>\n\
<li>1 = &#x4E00;&#x5EA6;&#x306B;&#x8907;&#x6570;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;</li>\n\
<li>2 = &#x81EA;&#x52D5;</li>\n\
</ul>\n\
<p>UI &#x306E;<strong>[&#x6295;&#x5F71;&#x5148;](Project Onto)</strong>&#x30B3;&#x30F3;&#x30DC;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.node (Object) : node</code></pre><p>[&#x4E00;&#x5EA6;&#x306B;&#x8907;&#x6570;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;](Multiple Objects at Once)&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x7A7A;&#x9593;&#x5185;&#x3067;&#x6295;&#x5F71;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x30CE;&#x30FC;&#x30C9;&#x3067;&#x3059;&#x3002;&#x3053;&#x306E;&#x30CE;&#x30FC;&#x30C9;&#x304C;&#x6709;&#x52B9;&#x306A;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x306F;&#x3001;&#x65E2;&#x5B9A;&#x306E;&#x6295;&#x5F71;&#x304A;&#x3088;&#x3073;&#x30D0;&#x30A6;&#x30F3;&#x30C7;&#x30A3;&#x30F3;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>[&#x6295;&#x5F71;&#x3092;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5316;](Randomize Projection)&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.FORSeed : integer</code></pre><p>[&#x6295;&#x5F71;&#x3092;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5316;](Randomize Projection)&#x306E;&#x8A2D;&#x5B9A;&#x306E;&#x7591;&#x4F3C;&#x4E71;&#x6570;&#x30B8;&#x30A7;&#x30CD;&#x30EC;&#x30FC;&#x30BF;&#x3092;&#x521D;&#x671F;&#x5316;&#x3059;&#x308B;&#x969B;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30C9;&#x3002;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F; UI &#x306E;<strong>[&#x30B7;&#x30FC;&#x30C9;] (Seed)</strong>&#x8A2D;&#x5B9A;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.randx : Boolean\n\
&lt;BlendedBoxMap&gt;.randy : Boolean\n\
&lt;BlendedBoxMap&gt;.randz : Boolean</code></pre><p>X&#x3001;Y&#x3001;&#x304A;&#x3088;&#x3073; Z &#x8EF8;&#x306E;&#x6295;&#x5F71;&#x3092;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5316;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x6307;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x308C;&#x3089;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F; UI &#x306E;<strong>[&#x8EF8;&#x3092;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5316;](Randomize Axis)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30DE;&#x30C3;&#x30D7;&#x5909;&#x63DB;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.useRandom : Boolean default: False</code></pre><p>&#x30DE;&#x30C3;&#x30D7;&#x5909;&#x63DB;&#x306E;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3092;&#x6307;&#x5B9A;&#x3057;&#x305F;&#x6700;&#x5C0F;&#x5024;&#x3068;&#x6700;&#x5927;&#x5024;&#x306E;&#x9593;&#x3067;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x306B;&#x751F;&#x6210;&#x3059;&#x308B;&#x306E;&#x304B;&#x3001;&#x305D;&#x308C;&#x3068;&#x3082;&#x9759;&#x7684;&#x306A;&#x5024;&#x3068;&#x3057;&#x3066;&#x6307;&#x5B9A;&#x3059;&#x308B;&#x306E;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F; UI &#x306E;<strong>[&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5024;&#x3092;&#x4F7F;&#x7528;](Use Random Values)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.seed : integer default: 12345</code></pre><p><strong>useRandom</strong> &#x304C; true &#x306E;&#x5834;&#x5408;&#x306B;&#x7591;&#x4F3C;&#x4E71;&#x6570;&#x30B8;&#x30A7;&#x30CD;&#x30EC;&#x30FC;&#x30BF;&#x3092;&#x521D;&#x671F;&#x5316;&#x3059;&#x308B;&#x969B;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30C9;&#x5024;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.posu : float default: 0.0\n\
&lt;BlendedBoxMap&gt;.posu2 : float default: 0.0</code></pre><p>&#x4F4D;&#x7F6E;&#x306E; U &#x304A;&#x3088;&#x3073; V &#x306E;&#x5024;&#x3002;<strong>useRandom</strong> &#x304C; true &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x6700;&#x5C0F;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5024;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.posv : float\n\
&lt;BlendedBoxMap&gt;.posv2 : float default: 0.0</code></pre><p>&#x4F4D;&#x7F6E;&#x306E; U &#x304A;&#x3088;&#x3073; V &#x306E;&#x5024;&#x3002;<strong>useRandom</strong> &#x304C; true &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x6700;&#x5927;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5024;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.posLock : Boolean default: False</code></pre><p>&#x4F4D;&#x7F6E;&#x306E; V &#x304C;&#x4F4D;&#x7F6E;&#x306E; U &#x3068;&#x4E00;&#x81F4;&#x3059;&#x308B;&#x3088;&#x3046;&#x306B;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;true &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;<strong>posu</strong> &#x304A;&#x3088;&#x3073; <strong>posu2</strong> &#x306E;&#x5024;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x3066;&#x3001;<strong>posv</strong> &#x304A;&#x3088;&#x3073; <strong>posv2</strong> &#x306F;&#x7121;&#x8996;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.rota : float default: 0.0\n\
&lt;BlendedBoxMap&gt;.rotb : float default: 0.0\n\
&lt;BlendedBoxMap&gt;.rotc : float default: 0.0</code></pre><p>&#x56DE;&#x8EE2;&#x306E;&#x4E0A;/&#x4E0B;&#x3001;&#x5DE6;&#x53F3;&#x3001;&#x524D;/&#x5F8C;&#x306E;&#x5024;&#x3002;<strong>useRandom</strong> &#x304C; true &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x6700;&#x5C0F;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5024;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.rota2 : float default: 0.0\n\
&lt;BlendedBoxMap&gt;.rotb2 : float default: 0.0\n\
&lt;BlendedBoxMap&gt;.rotc2 : float default: 0.0</code></pre><p>&#x56DE;&#x8EE2;&#x306E;&#x4E0A;/&#x4E0B;&#x3001;&#x5DE6;&#x53F3;&#x3001;&#x524D;/&#x5F8C;&#x306E;&#x6700;&#x5927;&#x306E;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5024;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.rotLock : Boolean default: False</code></pre><p>&#x3059;&#x3079;&#x3066;&#x306E;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x304C;&#x56DE;&#x8EE2;&#x306E;&#x4E0A;/&#x4E0B;&#x5024;&#x306B;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;true &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;<strong>rota</strong> &#x304A;&#x3088;&#x3073; <strong>rota2</strong> &#x306E;&#x5024;&#x306E;&#x307F;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.scaleu : float default: 100.0\n\
&lt;BlendedBoxMap&gt;.scalev : float default: 100.0</code></pre><p>&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x306E; U &#x304A;&#x3088;&#x3073; V &#x306E;&#x5024;&#x3002;<strong>useRandom</strong> &#x304C; true &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x6700;&#x5C0F;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5024;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.scaleu2 : float default: 100.0\n\
&lt;BlendedBoxMap&gt;.scalev2 : float default: 100.0</code></pre><p>&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x306E; U &#x304A;&#x3088;&#x3073; V &#x306E;&#x6700;&#x5927;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x5024;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.scaleLock : Boolean default: False</code></pre><p>&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x306E; V &#x5024;&#x304C;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x306E; U &#x5024;&#x306B;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;true &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;<strong>scaleu</strong> &#x304A;&#x3088;&#x3073; <strong>scaleu2</strong> &#x306E;&#x304B;&#x3089;&#x4E21;&#x65B9;&#x306E;&#x5024;&#x304C;&#x53D6;&#x5F97;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x6295;&#x5F71;&#x30C6;&#x30F3;&#x30D7;&#x30EC;&#x30FC;&#x30C8;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.renderResolution : Integer\n\
default:1024</code></pre><p>&#x89E3;&#x50CF;&#x5EA6;&#x306E;&#x6700;&#x5927;&#x5024;&#x3002;</p>\n\
<p>&#x6295;&#x5F71;&#x30C6;&#x30F3;&#x30D7;&#x30EC;&#x30FC;&#x30C8; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304A;&#x3088;&#x3073;<strong>[&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;] (Render)</strong>&#x30DC;&#x30BF;&#x30F3;&#x306F; <code>BlendedBoxMap</code> &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x306B;&#x3088;&#x3063;&#x3066;&#x516C;&#x958B;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x6A5F;&#x80FD;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306B;&#x3064;&#x3044;&#x3066;&#x306F;&#x3001;&#x4EE5;&#x4E0B;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<p><strong>&#x6295;&#x5F71;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.cube : Boolean default: False</code></pre><p>&#x6295;&#x5F71;&#x304C;&#x7ACB;&#x65B9;&#x4F53;&#x3068;&#x3057;&#x3066;&#x6295;&#x5F71;&#x3055;&#x308C;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.cubeMode : Integer default: 0</code></pre><p>&#x7ACB;&#x65B9;&#x4F53;&#x6295;&#x5F71;&#x30E2;&#x30FC;&#x30C9;&#x3002;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li>0 = &#x4E0D;&#x5747;&#x7B49;</li>\n\
<li>1 = &#x5747;&#x7B49; - &#x9078;&#x629E;</li>\n\
<li>2 = &#x5747;&#x7B49; - &#x30B5;&#x30A4;&#x30BA;</li>\n\
<li>3 = &#x5747;&#x7B49; - &#x6700;&#x5927;</li>\n\
</ul>\n\
<p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F; UI &#x306E;<strong>[&#x7ACB;&#x65B9;&#x4F53;] (Cube)</strong>&#x8A2D;&#x5B9A;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.cubeSize : Integer default: 100</code></pre><p>&#x7ACB;&#x65B9;&#x4F53;&#x6295;&#x5F71;&#x30B5;&#x30A4;&#x30BA;(<strong>cubeMode</strong>=2 (&#x5747;&#x7B49; - &#x30B5;&#x30A4;&#x30BA;)&#x306E;&#x5834;&#x5408;)&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F; UI &#x306E;<strong>[&#x7ACB;&#x65B9;&#x4F53;] (Cube)</strong>&#x30B5;&#x30A4;&#x30BA; &#x30B9;&#x30D4;&#x30F3;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.cubeNode : node default: Undefined</code></pre><p>&#x7ACB;&#x65B9;&#x4F53;&#x6295;&#x5F71;&#x30CE;&#x30FC;&#x30C9;(<strong>cubeMode</strong> = 1 (&#x9078;&#x629E;)&#x306E;&#x5834;&#x5408;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.lockToFrame : Boolean default: False</code></pre><p>&#x6295;&#x5F71;&#x304C;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306B;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;(<strong>lockFrame</strong> &#x3067;&#x6307;&#x5B9A;)&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F; UI &#x306E;<strong>[&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306B;&#x30ED;&#x30C3;&#x30AF;](Lock to Frame)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.lockFrame : Integer default: 0</code></pre><p>&#x6295;&#x5F71;&#x304C;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x308B;&#x30D5;&#x30EC;&#x30FC;&#x30E0;(<strong>lockToFrame</strong> &#x304C; true &#x306E;&#x5834;&#x5408;)&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F; UI &#x306E;<strong>[&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306B;&#x30ED;&#x30C3;&#x30AF;](Lock to Frame)</strong>&#x30B9;&#x30D4;&#x30F3;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;BlendedBoxMap&gt;.coords (Coordinates) : StandardXYZGen</code></pre><p>&#x30D6;&#x30EC;&#x30F3;&#x30C9; &#x30DC;&#x30C3;&#x30AF;&#x30B9; &#x30DE;&#x30C3;&#x30D7;&#x306E;[&#x5EA7;&#x6A19;] (Coordinate)&#x8A2D;&#x5B9A;&#x306B;&#x5BFE;&#x5FDC;&#x3059;&#x308B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3002;&#x516C;&#x958B;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x3064;&#x3044;&#x3066;&#x306F;&#x3001;&#x300C;StandardXYZGen&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<p><strong>BlendedBoxMap &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Interface: BlendedBoxMap</code></pre><p>&#x3053;&#x306E;&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x3067;&#x306F;&#x3001;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x6295;&#x5F71;&#x30C6;&#x30F3;&#x30D7;&#x30EC;&#x30FC;&#x30C8;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3057;&#x3066;&#x30D6;&#x30EC;&#x30F3;&#x30C9; &#x30DC;&#x30C3;&#x30AF;&#x30B9; &#x30DE;&#x30C3;&#x30D7;&#x6A5F;&#x80FD;&#x3092;&#x5B9F;&#x884C;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x6A5F;&#x80FD;&#x306B;&#x3088;&#x308A;&#x3001;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x306B;&#x4F7F;&#x7528;&#x3067;&#x304D;&#x308B;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x304C;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong>:</p>\n\
<p>&#x306A;&#x3057;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong>:</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Render()</code></pre><p>BlendedBoxMap &#x306E;&#x30C6;&#x30F3;&#x30D7;&#x30EC;&#x30FC;&#x30C8; &#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3092;&#x30C8;&#x30EA;&#x30AC;&#x3057;&#x307E;&#x3059;&#x3002;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3092;&#x5B9F;&#x884C;&#x3067;&#x304D;&#x306A;&#x3044;&#x5834;&#x5408;&#x306F;(&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x51FA;&#x529B;&#x30D1;&#x30B9;&#x304C;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x306A;&#x3069;)&#x3001;false &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x305D;&#x308C;&#x4EE5;&#x5916;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;true &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;GetBaseFileName &lt;&amp;string&gt;fname\n\
  Fname is out parameter</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F; BlendedBoxMap &#x306E;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x6295;&#x5F71;&#x30C6;&#x30F3;&#x30D7;&#x30EC;&#x30FC;&#x30C8;&#x306E;&#x51FA;&#x529B;&#x30D1;&#x30B9;&#x304A;&#x3088;&#x3073;&#x30D9;&#x30FC;&#x30B9; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x540D;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x6B21;&#x306E;&#x3088;&#x3046;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">str = &quot;&quot;\n\
diffuseMap.GetBaseFilename &amp;str</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;SetBaseFilename &lt;string&gt;fname</code></pre><p>BlendedBoxMap &#x306E;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x6295;&#x5F71;&#x30C6;&#x30F3;&#x30D7;&#x30EC;&#x30FC;&#x30C8;&#x306E;&#x51FA;&#x529B;&#x30C7;&#x30A3;&#x30EC;&#x30AF;&#x30C8;&#x30EA;&#x304A;&#x3088;&#x3073;&#x30D9;&#x30FC;&#x30B9; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x540D;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- create blended boxmap teapot and render\n\
t = teapot()\n\
mat = StandardMaterial()\n\
t.material = mat\n\
bbm = BlendedBoxMap()\n\
mat.diffuseMap = bbm\n\
bbm.SetBaseFilename &quot;C:\\\\maps\\\\teapot.jpg&quot;\n\
bbm.Render()</code></pre><p>&#x3053;&#x306E;&#x30D9;&#x30FC;&#x30B9; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x540D;&#x306B; 6 &#x65B9;&#x5411;&#x304B;&#x3089;&#x6295;&#x5F71;&#x3059;&#x308B;&#x30D6;&#x30EC;&#x30F3;&#x30C9; &#x30DC;&#x30C3;&#x30AF;&#x30B9; &#x30DE;&#x30C3;&#x30D7;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x305F;&#x5834;&#x5408;&#x306F;&#x3001;<code>Render()</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306E;&#x4F7F;&#x7528;&#x4E2D;&#x306B;&#x6B21;&#x306E;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li>C:\\maps\\teapot_Top.jpg</li>\n\
<li>C:\\maps\\teapot_Bottom.jpg</li>\n\
<li>C:\\maps\\teapot_Left.jpg</li>\n\
<li>C:\\maps\\teapot_Right.jpg</li>\n\
<li>C:\\maps\\teapot_Front.jpg</li>\n\
<li>C:\\maps\\teapot_Back.jpg</li>\n\
</ul>\n\
<p><strong>&#x30A2;&#x30AF;&#x30B7;&#x30E7;&#x30F3;</strong>:</p>\n\
<p>&#x306A;&#x3057;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../TextureMap-Types.html\">TextureMap のタイプ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";