var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-ABE61646-BFAB-4336-8FC7-14D8244E4092\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Perspective_Match: UtilityPlugin</h1></div><p><strong>Perspective_Match Utility</strong> &#x3092; MAXScript &#x306B;&#x516C;&#x958B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2014 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Class instances not creatable by MAXScript</code></pre><blockquote>\n\
<p><strong>[&#x30E6;&#x30FC;&#x30C6;&#x30A3;&#x30EA;&#x30C6;&#x30A3;] (Utilities)&#x30BF;&#x30D6;&#x3067;&#x30E6;&#x30FC;&#x30C6;&#x30A3;&#x30EA;&#x30C6;&#x30A3;&#x3092;&#x958B;&#x304F;&#x306B;&#x306F;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    UtilityPanel.OpenUtility Perspective_Match\n\
    --&gt; true\n\
</code></pre></blockquote>\n\
<h2 id=\"-perspective_match\">&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: Perspective_Match</h2><p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.ShowVanishingLines()</code></pre><p>&#x30E6;&#x30FC;&#x30C6;&#x30A3;&#x30EA;&#x30C6;&#x30A3;&#x306E; UI &#x306E;<strong>[&#x6D88;&#x5931;&#x7DDA;&#x3092;&#x8868;&#x793A;](Show Vanishing Lines)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x62BC;&#x3059;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.HideVanishingLines()</code></pre><p>&#x30E6;&#x30FC;&#x30C6;&#x30A3;&#x30EA;&#x30C6;&#x30A3;&#x306E; UI &#x306E;<strong>[&#x6D88;&#x5931;&#x7DDA;&#x3092;&#x975E;&#x8868;&#x793A;](Hide Vanishing Lines)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x62BC;&#x3059;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;Perspective_Match.IsMatching()</code></pre><p><strong>[&#x6D88;&#x5931;&#x7DDA;&#x3092;&#x8868;&#x793A;](Show Vanishing Lines)</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x304C;&#x30AA;&#x30F3;(&#x30E9;&#x30D9;&#x30EB;&#x306B;&#x306F;<strong>[&#x6D88;&#x5931;&#x7DDA;&#x3092;&#x975E;&#x8868;&#x793A;](Hide Vanishing Lines)</strong>&#x3068;&#x8868;&#x793A;)&#x3067;&#x3001;&#x30E6;&#x30FC;&#x30C6;&#x30A3;&#x30EA;&#x30C6;&#x30A3;&#x304C;&#x6574;&#x5408;&#x30E2;&#x30FC;&#x30C9;&#x306E;&#x5834;&#x5408;&#x3001;True &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30E6;&#x30FC;&#x30C6;&#x30A3;&#x30EA;&#x30C6;&#x30A3;&#x304C;&#x6574;&#x5408;&#x30E2;&#x30FC;&#x30C9;&#x3067;&#x306A;&#x3044;&#x5834;&#x5408;(&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x304C;&#x30AA;&#x30D5;)&#x306F; False &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetVanishingLineMode &lt;enum&gt;VanishingLineMode\n\
\n\
VanishingLineMode enums: {#XYZ|#XY|#XZ|#YZ}</code></pre><p><strong>[&#x6D88;&#x5931;&#x7DDA;](Vanishing Lines)</strong>&#x30E9;&#x30B8;&#x30AA; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;Perspective_Match.GetVanishingLineMode()\n\
\n\
GetVanishingLineMode enums: {#XYZ|#XY|#XZ|#YZ}</code></pre><p><strong>[&#x6D88;&#x5931;&#x7DDA;](Vanishing Lines)</strong>&#x30E9;&#x30B8;&#x30AA; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetLineStart &lt;enum&gt;lineID &lt;point2&gt;ViewportPercentageScreenPos\n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}</code></pre><p>1 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306B;&#x3088;&#x3063;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x7DDA;&#x306E;&#x958B;&#x59CB;&#x4F4D;&#x7F6E;&#x3092;&#x3001;2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306B;&#x3088;&#x3063;&#x3066;&#x30D1;&#x30FC;&#x30BB;&#x30F3;&#x30C6;&#x30FC;&#x30B8;&#x3068;&#x3057;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x753B;&#x9762;&#x4F4D;&#x7F6E;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;Perspective_Match.GetLineStart &lt;enum&gt;lineID\n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}</code></pre><p>1 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306B;&#x3088;&#x3063;&#x3066;&#x753B;&#x9762;&#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x5185;&#x3067; Point2 &#x30D1;&#x30FC;&#x30BB;&#x30F3;&#x30C6;&#x30FC;&#x30B8;&#x3068;&#x3057;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x7DDA;&#x306E;&#x958B;&#x59CB;&#x4F4D;&#x7F6E;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetLineEnd &lt;enum&gt;lineID &lt;point2&gt;ViewportPercentageScreenPos\n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}</code></pre><p>1 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306B;&#x3088;&#x3063;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x7DDA;&#x306E;&#x7D42;&#x4E86;&#x4F4D;&#x7F6E;&#x3092;&#x3001;2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306B;&#x3088;&#x3063;&#x3066;&#x30D1;&#x30FC;&#x30BB;&#x30F3;&#x30C6;&#x30FC;&#x30B8;&#x3068;&#x3057;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x753B;&#x9762;&#x4F4D;&#x7F6E;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point2&gt;Perspective_Match.GetLineEnd &lt;enum&gt;lineID\n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}</code></pre><p>1 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306B;&#x3088;&#x3063;&#x3066;&#x753B;&#x9762;&#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x5185;&#x3067; Point2 &#x30D1;&#x30FC;&#x30BB;&#x30F3;&#x30C6;&#x30FC;&#x30B8;&#x3068;&#x3057;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x7DDA;&#x306E;&#x7D42;&#x4E86;&#x4F4D;&#x7F6E;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetAnchorObject &lt;node&gt;INode</code></pre><p>&#x30A2;&#x30F3;&#x30AB;&#x30FC; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;<strong>[&#x30A2;&#x30F3;&#x30AB;&#x30FC; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x9078;&#x629E;](Pick Anchor Object)</strong>&#x30D4;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x9078;&#x629E;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;node&gt;Perspective_Match.GetAnchorObject()</code></pre><p><strong>[&#x30A2;&#x30F3;&#x30AB;&#x30FC; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x9078;&#x629E;](Pick Anchor Object)</strong>&#x30D4;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x9078;&#x629E;&#x3055;&#x308C;&#x305F;&#x30A2;&#x30F3;&#x30AB;&#x30FC; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetHorizontalAdjustment &lt;float&gt;HorizontalAdjustment</code></pre><p><strong>[&#x30AB;&#x30E1;&#x30E9;&#x8ABF;&#x6574;](Camera Adjustments)</strong>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;&#x306E;<strong>[&#x6C34;&#x5E73;] (Horizontal)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306F;&#x5024;&#x3092;&#x4FDD;&#x6301;&#x3057;&#x307E;&#x305B;&#x3093;&#x3002;&#x5024;&#x306F;&#x3001;&#x6C34;&#x5E73;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3068;&#x3057;&#x3066;&#x30AB;&#x30E1;&#x30E9;&#x306B;&#x9069;&#x7528;&#x3055;&#x308C;&#x3001;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306F; 0.0 &#x306B;&#x30EA;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3064;&#x307E;&#x308A;&#x3001;&#x3053;&#x306E;&#x65B9;&#x6CD5;&#x306B;&#x3088;&#x3063;&#x3066;&#x3001;&#x5024;&#x304C;&#x30DE;&#x30A4;&#x30CA;&#x30B9;&#x306E;&#x5834;&#x5408;&#x306B;&#x306F;&#x30AB;&#x30E1;&#x30E9;&#x306F;&#x5DE6;&#x306B;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x3001;&#x5024;&#x304C;&#x30D7;&#x30E9;&#x30B9;&#x306E;&#x5834;&#x5408;&#x306B;&#x306F;&#x53F3;&#x306B;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetVerticalAdjustment &lt;float&gt;VerticalAdjustment</code></pre><p><strong>[&#x30AB;&#x30E1;&#x30E9;&#x8ABF;&#x6574;](Camera Adjustments)</strong>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;&#x306E;<strong>[&#x5782;&#x76F4;] (Vertical)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306F;&#x5024;&#x3092;&#x4FDD;&#x6301;&#x3057;&#x307E;&#x305B;&#x3093;&#x3002;&#x5024;&#x306F;&#x3001;&#x5782;&#x76F4;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3068;&#x3057;&#x3066;&#x30AB;&#x30E1;&#x30E9;&#x306B;&#x9069;&#x7528;&#x3055;&#x308C;&#x3001;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306F; 0.0 &#x306B;&#x30EA;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3064;&#x307E;&#x308A;&#x3001;&#x3053;&#x306E;&#x65B9;&#x6CD5;&#x306B;&#x3088;&#x3063;&#x3066;&#x3001;&#x5024;&#x304C;&#x30DE;&#x30A4;&#x30CA;&#x30B9;&#x306E;&#x5834;&#x5408;&#x306B;&#x306F;&#x30AB;&#x30E1;&#x30E9;&#x306F;&#x4E0B;&#x306B;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x3001;&#x5024;&#x304C;&#x30D7;&#x30E9;&#x30B9;&#x306E;&#x5834;&#x5408;&#x306B;&#x306F;&#x4E0A;&#x306B;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.SetDistanceAdjustment &lt;float&gt;DistanceAdjustment</code></pre><p><strong>[&#x30AB;&#x30E1;&#x30E9;&#x8ABF;&#x6574;](Camera Adjustments)</strong>&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;&#x306E;<strong>[&#x8DDD;&#x96E2;] (Distance)</strong>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306E;&#x5024;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306F;&#x5024;&#x3092;&#x4FDD;&#x6301;&#x3057;&#x307E;&#x305B;&#x3093;&#x3002;&#x5024;&#x306F;&#x3001;&#x8DDD;&#x96E2;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3068;&#x3057;&#x3066;&#x30AB;&#x30E1;&#x30E9;&#x306B;&#x9069;&#x7528;&#x3055;&#x308C;&#x3001;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306F; 0.0 &#x306B;&#x30EA;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3064;&#x307E;&#x308A;&#x3001;&#x3053;&#x306E;&#x65B9;&#x6CD5;&#x306B;&#x3088;&#x3063;&#x3066;&#x3001;&#x5024;&#x304C;&#x30DE;&#x30A4;&#x30CA;&#x30B9;&#x306E;&#x5834;&#x5408;&#x306B;&#x306F;&#x30AB;&#x30E1;&#x30E9;&#x306F;&#x5F8C;&#x65B9;&#x306B;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x3001;&#x5024;&#x304C;&#x30D7;&#x30E9;&#x30B9;&#x306E;&#x5834;&#x5408;&#x306B;&#x306F;&#x524D;&#x65B9;&#x306B;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.Rotate90DegCounterClockwise()</code></pre><p><strong>&#x5DE6;&#x77E2;&#x5370;</strong>&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x62BC;&#x3057;&#x3066;&#x30AB;&#x30E1;&#x30E9;&#x3092;&#x53CD;&#x6642;&#x8A08;&#x56DE;&#x308A;&#x306B; 90 &#x5EA6;&#x56DE;&#x8EE2;&#x3055;&#x305B;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;Perspective_Match.Rotate90DegClockwise()</code></pre><p><strong>&#x53F3;&#x77E2;&#x5370;</strong>&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x62BC;&#x3057;&#x3066;&#x30AB;&#x30E1;&#x30E9;&#x3092;&#x6642;&#x8A08;&#x56DE;&#x308A;&#x306B; 90 &#x5EA6;&#x56DE;&#x8EE2;&#x3055;&#x305B;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../UtilityPlugin-Classes.html\">UtilityPlugin Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";