var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-982B0129-4277-4128-83F1-A6584D3F40E0\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>よくある質問と回答</h1></div><p>次の<strong>質問と回答</strong>の項では、よく使用する MAXScript 領域に関する情報を検索できます。 また、一般的なプログラミング トピックへの直接リンクや、オンライン サポート フォーラムでユーザから出された問題点に対する解決策も提供されています。</p>\n\
<h2 id=\"maxscript-\">MAXScript の構文と用語</h2><p><a href=\"MAXScript-Syntax-and-Terminology/How-do-I-understand-the-function.html\">このヘルプ ファイル内の関数定義はどのように理解したらよいですか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-Are-Mapped-Operations-in.html\">MAXScript におけるマップされた演算とは何ですか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-is-Scope-of-variables-.html\">変数のスコープとは何ですか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/When-do-I-use-If-Then-and-when.html\">If...Then および If...Do を使用するのはどのような場合ですか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/When-do-I-use-after-a-function-.html\">関数の後ろに () を使用するのはどのような場合ですか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-is-the-difference-between.html\">「undefined」値と「unsupplied」値の違いは何ですか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-is-the-difference-between-1.html\">&#39;=&#39; 演算子と &#39;==&#39; 演算子の違いは何ですか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/What-is-the-differences-between.html\">Array と BitArray の違いは何ですか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/How-do-I-get-the-file-name-of.html\">現在のシーンのファイル名を取得する方法はありますか。</a></p>\n\
<p><a href=\"MAXScript-Syntax-and-Terminology/The-Wonderful-World-of-Classes.html\">クラスとクラス インスタンスのすばらしい世界</a></p>\n\
<h2 id=\"-\">一般的なその他のトピック</h2><p><a href=\"General-Advanced-Topics/How-do-texture-coordinates-work-.html\">テクスチャ座標はどのように機能しますか。</a></p>\n\
<p><a href=\"General-Advanced-Topics/How-are-Transformations-in-3ds.html\">3ds Max と MAXScript では変換はどのように計算されますか。</a></p>\n\
<h2 id=\"-\">実際の操作に関する質問</h2><h3 id=\"-\">ベクトルの操作</h3><p><a href=\"Practical-Questions/Working-With-Vectors/How-do-I-make-a-vector-from-a.html\">頂点の位置からベクトルを作成する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-With-Vectors/How-do-I-find-the-angle-between.html\">2 つのベクトル間の角度を調べる方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-With-Vectors/How-do-I-find-the-angle-between-1.html\">3 つの頂点間の角度を調べる方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-With-Vectors/How-do-I-rotate-a-vector-around.html\">Z 軸を中心にベクトルを回転させる方法はありますか。</a></p>\n\
<h3 id=\"maxscript-\">MAXScript 値の操作</h3><p><a href=\"Practical-Questions/Working-with-MAXScript-Values/Why-does-Execute-return.html\">ループ変数にアクセスしたときに、実行によって &#39;undefined&#39; が返されるのはなぜですか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-create-a-multi.html\">多次元配列を作成する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-calculate-the-Volume-of.html\">オブジェクトのボリュームを計算する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-check-if-a-string.html\">文字列に数値だけが含まれているかどうかを調べる方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-remove-duplicate-arrays.html\">配列から、重複した配列を削除する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-MAXScript-Values/How-do-I-filter-a-string.html\">空のエントリを含んだ文字列をフィルタ処理する方法</a></p>\n\
<h3 id=\"-\">ファイルの操作</h3><p><a href=\"MAXScript-Syntax-and-Terminology/How-do-I-set-the-default-path.html\">MAXScript のファイル操作で使用する既定値のパスを設定する方法はありますか。</a></p>\n\
<h3 id=\"-\">オブジェクト プロパティへのアクセス</h3><p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-change-a-property-in.html\">複数のオブジェクトのプロパティを一度に変更する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-Shadow-type.html\">ライトのシャドウ タイプを変更する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-get-the-object-by.html\">オブジェクト名によってオブジェクトを取得する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-access-the-Alpha-values.html\">ビューポートに表示されるアルファ値にアクセスする方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-text-in-a.html\">テキスト シェイプ内のテキストを動的に変更する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Accessing-Object-Properties/How-do-I-Sort-a-MultiMaterial-By.html\">マテリアル ID によってマルチマテリアルをソートする方法はありますか。</a></p>\n\
<h3 id=\"-ui-\">スクリプト UI の操作</h3><p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-access-UI-elements-to.html\">UI 要素にアクセスしてプロパティを変更する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-display-a-value-in-a.html\">ロールアウトに値を表示する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-update-the-items-in-a.html\">dropdownList や listBox 内の項目を更新する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-call-the-dropdownList.html\">dropdownList の Selected ハンドラを関数として呼び出す方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scripted-UI/How-do-I-uncheck-a-MacroScript.html\">マクロスクリプト ボタンを正しくチェック解除する方法はありますか。</a></p>\n\
<h3 id=\"-\">シーン ノードの操作</h3><p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-create-a-line-between.html\">2 点間に線を作成する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-instance-Modifiers-and.html\">同じオブジェクト内にモディファイヤおよびコントロールのインスタンスを作成する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-get-a-Space-Warp-by.html\">バインドによってスペース ワープを取得する方法はありますか。?</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-delete-randomly-a.html\">指定したパーセンテージでジオメトリ オブジェクトをランダムに削除する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-Create-a-Button-to-Show.html\">オブジェクトを順番に表示するボタンを作成する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/How-do-I-batch-process-multiple.html\">複数の .MAX ファイルをバッチ処理する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Scene-Nodes/Can-I-use-data-from-external.html\">外部ファイルのデータを使用してシーンやアニメーションを制御できますか。</a></p>\n\
<h3 id=\"-\">編集可能メッシュの操作</h3><p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-Get-the-Local-Rotation.html\">面のローカル回転を取得する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-Split-a-Mesh-by-UV.html\">UV エレメントによってメッシュを分割する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-align-the-UVW_Modifier.html\">UVW モディファイヤのギズモの位置を、選択した面に合わせる方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-Select-a-Face-of-an.html\">インデックスによって編集可能メッシュの面を選択する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Meshes/How-do-I-Get-Faces-With-Normals.html\">法線が離れたところにある面を取得する方法はありますか。</a></p>\n\
<h3 id=\"-\">編集可能ポリゴンの操作</h3><p><a href=\"Practical-Questions/Working-with-Editable-Polys/How-do-I-build-Unconnected-Edges.html\">EPoly エッジ選択から、未接続のエッジ選択を作成する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Polys/How-do-I-remove-mid-edge-EPoly.html\">エッジ中間の EPoly 頂点を削除する方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Editable-Polys/How-do-I-Select-Edges-Between.html\">マテリアル ID 間のエッジを選択する方法はありますか。</a></p>\n\
<h3 id=\"-\">アニメーションの操作</h3><p><a href=\"Practical-Questions/Working-with-Animation/How-do-I-link-the-rotation-of-an.html\">オブジェクトの回転をシーンの時間にリンクさせる方法はありますか。</a></p>\n\
<p><a href=\"Practical-Questions/Working-with-Animation/How-do-I-keep-a-Plane-aligned-to.html\">3 Point ヘルパーに位置合わせした Plane を保存する方法はありますか。</a></p>\n\
<h2 id=\"-\">高速で優れたスクリプトの作成</h2><p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Disable-Viewport-Redraws-when.html\">シーン オブジェクトに変更を加えるときに、[ビューポートの再描画](Viewport Redraws)を使用不可にする</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Disable-Undo-system-when.html\">可能な場合は<a href=\"Undo\">元に戻す</a>を使用不可にする</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Modify-Panel-can-be-slow-change.html\">[修正] (Modify)パネルの速度が低下する可能性 - 可能な場合は[作成] (Create)パネルに変更する</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-the-flagForeground-node.html\">「flagForeground」ノードのビューポート状態のメソッドを使用する</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\">ライン全体を取得できる場合は単一ピクセルを取得しない</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Only-calculate-once-if-possible.html\">可能であれば計算の実行は 1 回だけにする</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Cache-frequently-used-functions.html\">頻繁に使用する関数とオブジェクトをキャッシュする</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Dice-your-data-into-smaller.html\">データをより小さく切り分ける</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-bitArrays-instead-of-Arrays.html\">可能な場合は配列ではなく bitArray を使用する</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Pre-initialize-arrays-when-final.html\">最終的なサイズがわかっている場合は、配列をあらかじめ初期化しておく</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Recursive-functions-can-be.html\">再帰関数を使用する</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/matchPattern-is-faster-than.html\">matchPattern は findString より高速である</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\">return、break、exit、continue を使用しない</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\">StringStream を使用して巨大文字列を構築する</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-name-values-instead-of.html\">可能な場合は文字列の代わりに名前の値を使用する</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Try-not-to-use-Execute-function.html\">別の方法がある場合は実行関数を使用しない</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\">インデックスを使用する for ループとコレクションを使用する for ループのパフォーマンス比較</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-Collect-Vs-For-Loop-Do.html\">for ... collect と for ... do のパフォーマンスの比較</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\">パーティクル フロー Script オペレータの for ループを最適化して処理速度を上げる</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Bsearch を使用してテーブル検索を高速化する</a></p>\n\
<p><a href=\"Writing-Better-and-Faster/How-To-Make-It-Better-.html\">より適切な処理方法</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Frequently-Asked-Questions.html\">よくある質問と回答</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";