var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9F4C1B68-BD68-4D75-84EE-8B1F06716A21\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript のファイル操作で使用する既定値のパスを設定する方法はありますか。</h1></div><h2 id=\"-\">質問:</h2><p>パスを指定せずに、ファイルに対して読み込みまたは書き込みを実行する関数を呼び出すと、MAXScript では現在のディレクトリが使用されるようです。これを自分自身で指定することはできますか。</p>\n\
<h2 id=\"-\">回答:</h2><p><code>sysinfo.currentdir</code> グローバル変数は、明示的にパスが指定されなかったときに MAXScript がファイルを探す現在のディレクトリを示しています。</p>\n\
<p>この変数は、読み取りだけでなく設定も可能であるため、<code>sysinfo.currentdir</code> グローバル変数に割り当てることで現在のディレクトリを指定できます。</p>\n\
<p>詳細と例については、「<a href=\"./../../Interaction-With-The-Operating/System-Information.html\">システム情報</a>」を参照してください。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript の構文と用語</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";