var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8E73B891-4616-49D9-A34C-FCC3206DDD92\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Array と BitArray の違いは何ですか。</h1></div><p>MAXScript の配列には任意の数の要素が格納でき、各要素は、整数、浮動小数点、文字列、Point3 値、カラー、あるいは他の配列のどれでもかまいません。</p>\n\
<p>一方 BitArray に格納できるのは、1 つのタイプの情報のみです。名前が示すように、このタイプはシングル ビット、2 進数です。ビットは (1, true) に設定されるか、(0, false) に設定されないかのどちらかです。つまり、BitArray に保存できるのは、バイナリ情報、すなわち true または false 値を表す任意の数のビットだけです。bitArray は 1 バイト内に 8 つの値を保存できるので非常にメモリ効率が高いのですが、通常の配列の場合、1 つの要素が 1 つの値を保存するために数バイトが必要になります。</p>\n\
<p>選択状態などの面のプロパティを取得および設定する場合には、bitArray が非常に有用です。</p>\n\
<p>bitArray を Array に変換したり、true および false 値しか格納していない Array を bitArray に変換することが可能です。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span></div>\n\
<p>通常の Array に追加された要素よりも bitArray に追加された要素の方が低速になる傾向があります。まず、bitArray を適切なサイズに事前に定義し、インデックスで要素を設定すると非常に高速に処理できます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript の構文と用語</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">配列の値</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\">BitArray 値</a></li>\n\
          <li><a class=\"link\" href=\"../../How-To-Practical-Examples/How-To-Develop-A-Transform-Lock.html\">チュートリアル - 変換ロック スクリプトの開発</a></li>\n\
          <li><a class=\"link\" href=\"../Practical-Questions/Working-with-MAXScript-Values/How-do-I-create-a-multi.html\">多次元配列を作成する方法はありますか。</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";