var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2E27412E-89E3-41F5-A4C2-B9E809255390\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x7A7A;&#x306E;&#x30A8;&#x30F3;&#x30C8;&#x30EA;&#x3092;&#x542B;&#x3093;&#x3060;&#x6587;&#x5B57;&#x5217;&#x3092;&#x30D5;&#x30A3;&#x30EB;&#x30BF;&#x51E6;&#x7406;&#x3059;&#x308B;&#x65B9;&#x6CD5;</h1></div><div class=\"note &#x6CE8;:\"><span class=\"notetitle\">&#x6CE8;:</span></div>\n\
<p><strong>3ds Max 8 &#x4EE5;&#x964D;</strong>&#x3067;&#x306F;&#x3001;&#x30AD;&#x30FC;&#x30EF;&#x30FC;&#x30C9; &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF; <strong>splitEmptyTokens:</strong> &#x304C; <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">filterString</a> &#x95A2;&#x6570;&#x306B;&#x6E21;&#x3055;&#x308C;&#x3001;&#x3053;&#x306E;&#x7A2E;&#x985E;&#x306E;&#x30D5;&#x30A3;&#x30EB;&#x30BF;&#x30EA;&#x30F3;&#x30B0;&#x304C;&#x5B9F;&#x884C;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x8CEA;&#x554F;:</h2><p>filterString &#x95A2;&#x6570;&#x306F;&#x3001;&#x7A7A;&#x306E;&#x30A8;&#x30F3;&#x30C8;&#x30EA;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x305B;&#x3093;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;1&#x884C;&#x306B; 2 &#x3064;&#x306E;&#x30BF;&#x30D6;&#x3092;&#x542B;&#x3093;&#x3060;&#x6587;&#x5B57;&#x5217;&#x3092;&#x3001;&#x30BF;&#x30D6;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x30D5;&#x30A3;&#x30EB;&#x30BF;&#x30EA;&#x30F3;&#x30B0;&#x3059;&#x308B;&#x5834;&#x5408;&#x3001;&#x7A7A;&#x306E;&#x30A8;&#x30F3;&#x30C8;&#x30EA;&#x306F;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<p>&#x4F8B;:</p>\n\
<p><code>filterString &quot;One\\\\t\\\\tThree Four,,Five &quot;&quot;\\\\t, &quot;</code> <code>#(&quot;One&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;Five&quot;)</code></p>\n\
<h2 id=\"-\">&#x56DE;&#x7B54;:</h2><p>&#x6B21;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x95A2;&#x6570;&#x3067;&#x76EE;&#x7684;&#x306E;&#x51E6;&#x7406;&#x3092;&#x884C;&#x3048;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x95A2;&#x6570;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    fn filterString2 theString theDelimiters =\n\
    (\n\
     theTokens = #() --array of tokens to return\n\
     ready = false\n\
     while not ready do --repeat until no more delimiters can be found\n\
     (\n\
      ready = true --raise a flag that we are done\n\
      thePosArray = #() --init. an array to hold possible split positions\n\
      for i = 1 to theDelimiters.count do --go through all delimiters\n\
      (\n\
       checkPos = findString theString theDelimiters[i] --check if the delimiter is in the string\n\
       if checkPos != undefined do append thePosArray checkPos --if it is, add to the split positions array\n\
      ) --end i loop\n\
      if thePosArray.count &gt; 0 then --if the array has any splitpositions,\n\
      (\n\
       sort thePosArray --sort the array in ascending order\n\
       checkPos = thePosArray[1] --grab the first position\n\
       aToken = substring theString 1 (checkPos-1) --take the token from start to the split pos. - 1\n\
       append theTokens aToken --add the token to the array of tokens\n\
       theString = substring theString (checkPos+1) theString.count --remove the token and the delimiter from the string\n\
       ready = false --lower the flag because we are not ready yet\n\
      ) --end if\n\
     ) --end while loop\n\
     append theTokens theString --add what is left of the string to the array\n\
     theTokens --return the array of tokens\n\
    )\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    filterString2 &quot;One\\t\\tThree,Four,,Five &quot; &quot;\\t,&quot;\n\
    #(&quot;One&quot;, &quot;&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;&quot;, &quot;Five &quot;)\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    filterString2 &quot;One\\t\\tThree Four,,Five &quot; &quot;\\t, &quot;\n\
    #(&quot;One&quot;, &quot;&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;&quot;, &quot;Five&quot;, &quot;&quot;)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Working-with-MAXScript-Values.html\">MAXScript 値の操作</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";