var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F61593C0-E35A-4347-AB3A-40341EB0700A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30D1;&#x30FC;&#x30BB;&#x30F3;&#x30C6;&#x30FC;&#x30B8;&#x3067;&#x30B8;&#x30AA;&#x30E1;&#x30C8;&#x30EA; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x306B;&#x524A;&#x9664;&#x3059;&#x308B;&#x65B9;&#x6CD5;&#x306F;&#x3042;&#x308A;&#x307E;&#x3059;&#x304B;&#x3002;</h1></div><h2 id=\"-\">&#x8CEA;&#x554F;:</h2><p>&#x30D1;&#x30FC;&#x30BB;&#x30F3;&#x30C6;&#x30FC;&#x30B8;&#x3092;&#x6307;&#x5B9A;&#x3057;&#x3066;&#x3001;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x30B7;&#x30FC;&#x30F3;&#x5185;&#x304B;&#x3089;&#x524A;&#x9664;&#x3059;&#x308B;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x3088;&#x3046;&#x3068;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306F;&#x30E9;&#x30F3;&#x30C0;&#x30E0;&#x306B;&#x9078;&#x629E;&#x3055;&#x308C;&#x308B;&#x3088;&#x3046;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;&#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x3060;&#x3051;&#x3092;&#x5BFE;&#x8C61;&#x3068;&#x3059;&#x308B;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x305F;&#x3044;&#x3068;&#x8003;&#x3048;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x56DE;&#x7B54;:</h2><p>&#x6B21;&#x306B;&#x5B9F;&#x884C;&#x53EF;&#x80FD;&#x306A;&#x624B;&#x6BB5;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    (\n\
    -- Collect the object of a certain type into an array, for example\n\
    -- this one collects all geometry objects, excluding the target objects\n\
    -- which are of Geometry superClass for pre-MAXScript historical reasons\n\
\n\
    candidatesArray = for o in Geometry where classof o != TargetObject collect o\n\
\n\
    -- Because you want to remove random objects, but a specified percentage,\n\
    -- it is a good idea to make the decision which objects will be deleted\n\
    -- BEFORE actually deleting any objects.\n\
    -- You can create a second array and fill it up with the actual\n\
    -- objects to be deleted:\n\
\n\
    deathRowArray = #() -- init. an empty array\n\
    thePercentage = 50.0 -- define the percentage\n\
\n\
    -- Calculate the number of objects to delete:\n\
    numberToDelete = (thePercentage / 100.0 * candidatesArray.count) as integer\n\
\n\
    -- Loop until the deathRow array is filled\n\
    -- with the desired number of objects:\n\
    while deathRowArray.count &lt; numberToDelete do\n\
    (\n\
      newIndex = random 1 candidatesArray.count --generate new random index\n\
      --if not already chosen, add it to the deathrow array\n\
      if findItem deathRowArray candidatesArray[newIndex] == 0 do\n\
        append deathRowArray candidatesArray[newIndex]\n\
    )\n\
    delete deathRowArray --finally, delete the collected objects\n\
    )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Working-with-Scene-Nodes.html\">シーン ノードの操作</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";