var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-74BA7105-9907-4BB2-8C39-D9FD147C4898\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x983B;&#x7E41;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x95A2;&#x6570;&#x3068;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5;&#x3059;&#x308B;</h1></div><p>&#x983B;&#x7E41;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x95A2;&#x6570;&#x304A;&#x3088;&#x3073;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x30E6;&#x30FC;&#x30B6;&#x5909;&#x6570;&#x306B;&#x4FDD;&#x5B58;&#x3057;&#x3001;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3092;&#x9AD8;&#x901F;&#x5316;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x30C6;&#x30B9;&#x30C8; &#x30B1;&#x30FC;&#x30B9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    ep = converttopoly (mesh())    --node\n\
    ep_bo = ep.baseobject      --ediable poly\n\
    polyop_getvert = polyop.getvert    --structure method\n\
    IEditablePoly = ep_bo.EditablePoly   --FPS interface\n\
    IEditablePoly_GetNumMapChannels =\n\
    IEditablePoly.GetNumMapChannels   --FPS interface\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p><strong>100,000 &#x56DE;&#x306E;&#x7E70;&#x308A;&#x8FD4;&#x3057;&#x306E;&#x5834;&#x5408;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    polyop.getvert ep 1    -- 470 msec.\n\
    polyop_getvert ep 1    -- 79 msec.\n\
    polyop.getvert ep_bo 1   -- 48 msec.\n\
    polyop_getvert ep_bo 1   -- 0 msec.\n\
    ep.EditablePoly.GetNumMapChannels() -- 76532 msec.\n\
    ep.GetNumMapChannels()   -- 72141 msec.\n\
    ep_bo.EditablePoly.GetNumMapChannels()-- 36688 msec.\n\
    ep_bo.GetNumMapChannels()   -- 34219 msec.\n\
    IEditablePoly.GetNumMapChannels() -- 6454 msec.\n\
    IEditablePoly_GetNumMapChannels() -- 0 msec.\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p><strong>&#x30C6;&#x30B9;&#x30C8; &#x30B1;&#x30FC;&#x30B9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    gs = geosphere()\n\
    gs_bo = gs.baseobject\n\
    theBend = bend()\n\
    addmodifier gs theBend\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p><strong>100,000 &#x56DE;&#x306E;&#x7E70;&#x308A;&#x8FD4;&#x3057;&#x306E;&#x5834;&#x5408;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    gs.radius     -- 718 msec.\n\
    gs.baseobject.radius    -- 828 msec.\n\
    gs_bo.radius      -- 688 msec.\n\
    gs.modifiers[1].angle    -- 718 msec.\n\
    gs.modifiers[#bend].angle   -- 1187 msec.\n\
    theBend.angle     -- 609 msec.\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">処理速度を上げる方法</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Increasing-Performance-when.html\">インタフェースとメソッドの検索パフォーマンスの向上</a></li>\n\
          <li><a class=\"link\" href=\"Only-calculate-once-if-possible.html\">可能であれば計算の実行は 1 回だけにする</a></li>\n\
          <li><a class=\"link\" href=\"Dice-your-data-into-smaller.html\">データをより小さく切り分ける</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";