var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DEFAF4D3-ADE9-469E-963A-440996D64BE1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>return&#x3001;break&#x3001;exit&#x3001;continue &#x3092;&#x4F7F;&#x7528;&#x3057;&#x306A;&#x3044;</h1></div><p>return&#x3001;break&#x3001;exit&#x3001;continue&#x3001;throw &#x306F;&#x3001;C++ &#x4F8B;&#x5916;&#x51E6;&#x7406;&#x306B;&#x7D44;&#x307F;&#x8FBC;&#x307E;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p>C++ &#x4F8B;&#x5916;&#x306F;&#x4F4E;&#x901F;&#x3067;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x30C6;&#x30B9;&#x30C8; &#x30B1;&#x30FC;&#x30B9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    fn test1a v = (if v == true do return 1; 0)\n\
    fn test1b v = (if v == true then 1 else 0)\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p><strong>100,000 &#x56DE;&#x306E;&#x7E70;&#x308A;&#x8FD4;&#x3057;&#x306E;&#x5834;&#x5408;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    test1a true  -- 15890 msec.\n\
    test1a false  -- 78 msec.\n\
    test1b true  -- 47 msec.\n\
    test1b false  -- 62 msec.\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p><strong>&#x30C6;&#x30B9;&#x30C8; &#x30B1;&#x30FC;&#x30B9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    fn test2a =\n\
    (\n\
      local res\n\
      for i = 1 to 1000 do\n\
        if i == 10 do (res = i; break;)\n\
      res\n\
    )\n\
\n\
    fn test2b =\n\
    (\n\
      local notfound = true, res\n\
      for i = 1 to 1000 while notfound do\n\
        if i == 10 do (res = i; notfound = false;)\n\
      res\n\
    )\n\
</code></pre></blockquote>\n\
<blockquote>\n\
<p><strong>100,000 &#x56DE;&#x306E;&#x7E70;&#x308A;&#x8FD4;&#x3057;&#x306E;&#x5834;&#x5408;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    test2a()   -- 84265 msec.\n\
    test2b()   -- 1359 msec.\n\
</code></pre></blockquote>\n\
<p><strong>&#x524D;&#x306E;&#x30D2;&#x30F3;&#x30C8;</strong></p>\n\
<p><a href=\"matchPattern-is-faster-than.html\">matchPattern &#x306F; findString &#x3088;&#x308A;&#x9AD8;&#x901F;&#x3067;&#x3042;&#x308B;</a></p>\n\
<p><strong>&#x6B21;&#x306E;&#x30D2;&#x30F3;&#x30C8;</strong></p>\n\
<p><a href=\"Use-StringStream-to-build-large.html\">StringStream &#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x5DE8;&#x5927;&#x6587;&#x5B57;&#x5217;&#x3092;&#x69CB;&#x7BC9;&#x3059;&#x308B;</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">処理速度を上げる方法</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";