var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6D084C28-7F97-45D2-B0F2-5112C17D25C6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>StringStream &#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x5DE8;&#x5927;&#x6587;&#x5B57;&#x5217;&#x3092;&#x69CB;&#x7BC9;&#x3059;&#x308B;</h1></div><p>&#x6587;&#x5B57;&#x5217;&#x3092;&#x69CB;&#x7BC9;&#x3059;&#x308B;&#x5834;&#x5408;&#x306F;&#x3001;StringStream &#x5024;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x6587;&#x5B57;&#x5217;&#x3092;&#x7D2F;&#x7A4D;&#x3057;&#x3066;&#x304B;&#x3089;&#x6587;&#x5B57;&#x5217;&#x306B;&#x5909;&#x63DB;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6587;&#x5B57;&#x5217;&#x3092;&#x8FFD;&#x52A0;&#x3059;&#x308B;&#x305F;&#x3073;&#x306B;&#x65B0;&#x3057;&#x3044;&#x6587;&#x5B57;&#x5217;&#x304C;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">a =&quot;AAA&quot;\n\
b = a + a + a +a + a + a\n\
--Creates 6 strings of length 3, 6, 9, 12, 15, 18\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">a =&quot;AAA&quot;\n\
b = (a + a + a) + (a + a + a)\n\
--Creates 6 strings of length 3, 6, 9, 6, 9, 18\n\
</code></pre><p><strong>&#x30C6;&#x30B9;&#x30C8; &#x30B1;&#x30FC;&#x30B9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn test5a =\n\
(\n\
 local a =&quot;&quot;\n\
 for i = 1 to 100 do a += (i as string)\n\
)\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn test5b =\n\
(\n\
 local ss = stringstream&quot;&quot;\n\
 for i = 1 to 100 do format &quot;%&quot;(i as string) to:ss\n\
 ss as string\n\
)\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn test5c =\n\
(\n\
 local ss = stringstream&quot;&quot;,fmt =&quot;%&quot;\n\
 for i= 1 to 100 do format fmt (i as string) to:ss\n\
 ss as string\n\
)\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn test5d =\n\
(\n\
 local ss = stringstream&quot;&quot;,fmt =&quot;%&quot;\n\
 for i = 1 to 100 do format fmt i to:ss\n\
 ss as string\n\
)\n\
</code></pre><p><strong>100,000 &#x56DE;&#x306E;&#x7E70;&#x308A;&#x8FD4;&#x3057;&#x306E;&#x5834;&#x5408;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">test5a()     -- 58875 msec., 505 MB\n\
test5b()     -- 54672 msec., 39.2 MB\n\
test5c()     -- 41125 msec., 29.2 MB\n\
test5d()     -- 13532 msec., 10.0 MB\n\
</code></pre><p><strong>&#x524D;&#x306E;&#x30D2;&#x30F3;&#x30C8;</strong></p>\n\
<p><a href=\"Do-not-use-return-break-exit-or.html\">return&#x3001;break&#x3001;exit&#x3001;continue &#x3092;&#x4F7F;&#x7528;&#x3057;&#x306A;&#x3044;</a></p>\n\
<p><strong>&#x6B21;&#x306E;&#x30D2;&#x30F3;&#x30C8;</strong></p>\n\
<p><a href=\"Use-name-values-instead-of.html\">&#x53EF;&#x80FD;&#x306A;&#x5834;&#x5408;&#x306F;&#x6587;&#x5B57;&#x5217;&#x306E;&#x4EE3;&#x308F;&#x308A;&#x306B;&#x540D;&#x524D;&#x306E;&#x5024;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">処理速度を上げる方法</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";