var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8EC1EEA5-41CD-4E1F-B9FA-562B515EADE7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - DotNet &#x3092;&#x4F7F;&#x7528;&#x3057;&#x305F;&#x30CF;&#x30C3;&#x30B7;&#x30E5; &#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30B5;&#x30E0;&#x306E;&#x751F;&#x6210;</h1></div><p>&#x3053;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;&#x3067;&#x306F;&#x3001;&#x6587;&#x5B57;&#x5217;&#x5F62;&#x5F0F;&#x3067;&#x53CE;&#x96C6;&#x3055;&#x308C;&#x308B;&#x7279;&#x5B9A;&#x306E;&#x30C7;&#x30FC;&#x30BF;&#x304C;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306E; 2 &#x3064;&#x306E;&#x30E9;&#x30F3;&#x306E;&#x9593;&#x3067;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x5224;&#x65AD;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x3001;<code>&quot;System.String</code> &#x306B;&#x3088;&#x3063;&#x3066;&#x516C;&#x958B;&#x3055;&#x308C;&#x308B; <strong><code>.GetHashCode()</code></strong> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x65B9;&#x6CD5;&#x306B;&#x3064;&#x3044;&#x3066;&#x8AAC;&#x660E;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x95A2;&#x9023;&#x30C8;&#x30D4;&#x30C3;&#x30AF;:</strong></p>\n\
<p><a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript.html\">MAXScript &#x306B;&#x304A;&#x3051;&#x308B; DotNet</a></p>\n\
<p><a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/dotnetobject.html\">dotNetObject</a></p>\n\
<p><strong>&#x5168;&#x4F53;&#x306E;&#x6D41;&#x308C;</strong></p>\n\
<p>MAXScript &#x95A2;&#x6570;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x3066;&#x3001;&#x3059;&#x3079;&#x3066;&#x306E;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30CF;&#x30C3;&#x30B7;&#x30E5; &#x30B3;&#x30FC;&#x30C9;&#x3092;&#x8A08;&#x7B97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B9;&#x30C8;&#x30EA;&#x30F3;&#x30B0;&#x5185;&#x306E;&#x3059;&#x3079;&#x3066;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x540D;&#x524D;&#x3001;&#x5909;&#x63DB;&#x884C;&#x5217;&#x3001;&#x304A;&#x3088;&#x3073;&#x89AA;&#x3092;&#x53CE;&#x96C6;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B9;&#x30C8;&#x30EA;&#x30F3;&#x30B0;&#x306E; HashCode &#x3092;&#x53D6;&#x5F97;&#x3057;&#x3066;&#x3001;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn getHashCodeFromGeometry = (\n\
  local hashStr = stringstream &quot;&quot;\n\
  for obj in objects do (\n\
    print obj.name to:hashStr\n\
    print obj.transform to:hashStr\n\
    if obj.parent != undefined then print obj.parent.name to:hashStr\n\
  )--end for loop\n\
  (dotNetObject &quot;System.String&quot; hashStr).GetHashCode()\n\
)--end function\n\
</code></pre><h2 id=\"-\">&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x3054;&#x3068;&#x306E;&#x89E3;&#x8AAC;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn getHashCodeFromGeometry = (</code></pre><p>&#x30BF;&#x30A4;&#x30DE;&#x306B;&#x3088;&#x3063;&#x3066;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x308B; MAXScript &#x95A2;&#x6570;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">local hashStr = stringstream &quot;&quot;</code></pre><p>&#x7A7A;&#x306E;&#x6587;&#x5B57;&#x5217;&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x3066;&#x30C7;&#x30FC;&#x30BF;&#x3092;&#x53CE;&#x96C6;&#x3057;&#x3001;&#x30CF;&#x30C3;&#x30B7;&#x30E5; &#x30B3;&#x30FC;&#x30C9;&#x306B;&#x5909;&#x63DB;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">for obj in objects do (</code></pre><p>&#x3059;&#x3079;&#x3066;&#x306E;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x30EB;&#x30FC;&#x30D7;&#x51E6;&#x7406;&#x3057;&#x307E;&#x3059;...</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">print obj.name to:hashStr print obj.transform to:hashStr</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x540D;&#x524D;&#x3068;&#x5909;&#x63DB;&#x3092;&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;&#x306B;&#x51FA;&#x529B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">if obj.parent != undefined then print obj.parent.name to:hashStr</code></pre><p>&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x89AA;&#x304C;&#x542B;&#x307E;&#x308C;&#x308B;&#x5834;&#x5408;&#x3001;&#x89AA;&#x306E;&#x540D;&#x524D;&#x3082;&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;&#x306B;&#x51FA;&#x529B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">)\n\
(dotNetObject &quot;System.String&quot; hashStr).GetHashCode()</code></pre><p>&#x6700;&#x5F8C;&#x306B;&#x3001;&#x53CE;&#x96C6;&#x3057;&#x305F;&#x6587;&#x5B57;&#x5217;&#x30B9;&#x30C8;&#x30EA;&#x30FC;&#x30E0;&#x304B;&#x3089; System.String &#x30AF;&#x30E9;&#x30B9;&#x306E;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x3066;&#x3001;&#x305D;&#x306E;&#x30CF;&#x30C3;&#x30B7;&#x30E5; &#x30B3;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">)--end function</code></pre><h2 id=\"-\">&#x5B9F;&#x969B;&#x306E;&#x4F7F;&#x7528;</h2><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x304C;&#x5B9F;&#x969B;&#x306B;&#x3069;&#x306E;&#x7A0B;&#x5EA6;&#x6709;&#x52B9;&#x3067;&#x3042;&#x308B;&#x304B;&#x3092;&#x78BA;&#x8A8D;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B7;&#x30FC;&#x30F3; &#x30B3;&#x30F3;&#x30C6;&#x30F3;&#x30C4;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x3068;&#x304D;&#x306B;&#x8907;&#x96D1;&#x306A;&#x3001;&#x6642;&#x9593;&#x306E;&#x639B;&#x304B;&#x308B;&#x8A08;&#x7B97;&#x3092;&#x8981;&#x3059;&#x308B;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x958B;&#x767A;&#x3057;&#x3066;&#x3044;&#x308B;&#x3068;&#x3057;&#x307E;&#x3059;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x6B21;&#x306E;&#x3088;&#x3046;&#x306A;&#x3068;&#x304D;&#x306B;&#x3059;&#x3079;&#x3066;&#x306E;&#x30C7;&#x30FC;&#x30BF;&#x3092;&#x518D;&#x69CB;&#x7BC9;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308B;&#x3068;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li><p>&#x30B7;&#x30FC;&#x30F3;&#x5185;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x6570;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;(&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x8FFD;&#x52A0;&#x307E;&#x305F;&#x306F;&#x524A;&#x9664;&#x3055;&#x308C;&#x305F;)&#x3068;&#x304D;</p>\n\
</li>\n\
<li><p>1 &#x3064;&#x307E;&#x305F;&#x306F;&#x8907;&#x6570;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x540D;&#x524D;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x3068;&#x304D;</p>\n\
</li>\n\
<li><p>1 &#x3064;&#x307E;&#x305F;&#x306F;&#x8907;&#x6570;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x79FB;&#x52D5;&#x3001;&#x56DE;&#x8EE2;&#x3001;&#x307E;&#x305F;&#x306F;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x305F;&#x3068;&#x304D;</p>\n\
</li>\n\
<li><p>&#x968E;&#x5C64;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;(&#x89AA;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x5BFE;&#x3057;&#x3066;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x30EA;&#x30F3;&#x30AF;&#x3042;&#x308B;&#x3044;&#x306F;&#x30EA;&#x30F3;&#x30AF;&#x89E3;&#x9664;&#x3055;&#x308C;&#x305F;)&#x3068;&#x304D;</p>\n\
</li>\n\
</ul>\n\
<p>&#x524D;&#x56DE;&#x306E;&#x30E9;&#x30F3;&#x304B;&#x3089;&#x30B7;&#x30FC;&#x30F3;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x306B;&#x306F;&#x3001;&#x6700;&#x5F8C;&#x306E;&#x7D50;&#x679C;&#x306E;&#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x3066;&#x3001;&#x6B21;&#x56DE;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x5B9F;&#x884C;&#x6642;&#x306B;&#x540C;&#x3058;&#x5024;&#x3092;&#x8FD4;&#x3059;&#x3068;&#x4FBF;&#x5229;&#x3067;&#x3059;&#x3002;&#x30C7;&#x30FC;&#x30BF;&#x3092;&#x5B9F;&#x969B;&#x306B;&#x51E6;&#x7406;&#x3057;&#x76F4;&#x3059;&#x3088;&#x308A;&#x3082;&#x30B7;&#x30FC;&#x30F3;&#x306E;&#x5909;&#x66F4;&#x3092;&#x78BA;&#x8A8D;&#x3059;&#x308B;&#x3053;&#x3068;&#x306E;&#x65B9;&#x304C;&#x5927;&#x5E45;&#x306B;&#x901F;&#x304F;&#x306A;&#x308B;&#x5834;&#x5408;&#x306B;&#x306F;&#x3001;&#x3053;&#x306E;&#x65B9;&#x6CD5;&#x306B;&#x3088;&#x3063;&#x3066;&#x90FD;&#x5408;&#x3088;&#x304F;&#x901F;&#x5EA6;&#x3092;&#x4E0A;&#x3052;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x308B;&#x3067;&#x3057;&#x3087;&#x3046;&#x3002;</p>\n\
<p>1 &#x3064;&#x306E;&#x5B9F;&#x884C;&#x53EF;&#x80FD;&#x306A;&#x624B;&#x6BB5;&#x3068;&#x3057;&#x3066;&#x306F;&#x3001;&#x3053;&#x306E;&#x30B7;&#x30FC;&#x30F3; &#x30B9;&#x30C6;&#x30FC;&#x30C8; &#x30C7;&#x30FC;&#x30BF;&#x3092;&#x3059;&#x3079;&#x3066;&#x30E6;&#x30FC;&#x30B6;&#x5909;&#x6570;&#x306B;&#x683C;&#x7D0D;&#x3057;&#x3001;objects.count &#x5024;&#x3092;&#x5909;&#x6570;&#x306B;&#x5272;&#x308A;&#x5F53;&#x3066;&#x3001;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306E;&#x521D;&#x56DE;&#x5B9F;&#x884C;&#x6642;&#x306B;&#x3059;&#x3079;&#x3066;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x540D;&#x524D;&#x3001;&#x5909;&#x63DB;&#x884C;&#x5217;&#x3001;&#x304A;&#x3088;&#x3073;&#x89AA;&#x306E;&#x540D;&#x524D;&#x3092;&#x914D;&#x5217;&#x5185;&#x306B;&#x53CE;&#x96C6;&#x3057;&#x3066;&#x304B;&#x3089;&#x3001;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3067;&#x521D;&#x671F;&#x30C7;&#x30FC;&#x30BF;&#x3092;&#x518D;&#x8A08;&#x7B97;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308B;&#x304B;&#x3092;&#x6C7A;&#x5B9A;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x6B21;&#x56DE;&#x751F;&#x3058;&#x305F;&#x3089;&#x3001;&#x540C;&#x3058;&#x60C5;&#x5831;&#x3092;&#x518D;&#x5EA6;&#x53CE;&#x96C6;&#x3057;&#x3001;&#x3059;&#x3079;&#x3066;&#x306E;&#x5024;&#x3092;&#x524D;&#x56DE;&#x306E;&#x30E9;&#x30F3;&#x306E;&#x7D50;&#x679C;&#x3068;&#x6BD4;&#x8F03;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B7;&#x30FC;&#x30F3;&#x306B; 10,000 &#x500B;&#x4EE5;&#x4E0A;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x542B;&#x307E;&#x308C;&#x308B;&#x5834;&#x5408;&#x3001;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x308B;&#x30C7;&#x30FC;&#x30BF;&#x306E;&#x91CF;(&#x304A;&#x3088;&#x3073; 2 &#x3064;&#x306E;&#x30C7;&#x30FC;&#x30BF; &#x30C3;&#x30C8;&#x306E;&#x53CE;&#x96C6;&#x3068;&#x6BD4;&#x8F03;&#x306B;&#x5FC5;&#x8981;&#x306A;&#x6642;&#x9593;)&#x306F;&#x975E;&#x5E38;&#x306B;&#x81A8;&#x5927;&#x306A;&#x3082;&#x306E;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3057;&#x304B;&#x3057;&#x3001;&#x5B9F;&#x969B;&#x306E;&#x30C7;&#x30FC;&#x30BF;&#x5024;&#x306F;&#x554F;&#x984C;&#x3067;&#x306F;&#x306A;&#x304F;&#x3001;&#x305D;&#x308C;&#x3089;&#x304C;&#x30E9;&#x30F3;&#x306E;&#x9593;&#x3067;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x77E5;&#x308B;&#x3053;&#x3068;&#x304C;&#x76EE;&#x7684;&#x3067;&#x3042;&#x308B;&#x305F;&#x3081;&#x3001;1 &#x3064;&#x306E; long &#x578B;&#x306E;&#x6574;&#x6570;&#x5024;&#x3067;&#x4E0A;&#x8A18;&#x3059;&#x3079;&#x3066;&#x306E;&#x6761;&#x4EF6;&#x3092;&#x8868;&#x308F;&#x3059; HashCode &#x5024;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x5FC5;&#x8981;&#x306A;&#x3053;&#x3068;&#x306F;&#x3001;&#x95A2;&#x6570;&#x3092; 1 &#x56DE;&#x5B9F;&#x884C;&#x3057;&#x3066;&#x3001;&#x3059;&#x3079;&#x3066;&#x306E;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x6570;&#x3001;&#x540D;&#x524D;&#x3001;&#x5909;&#x63DB;&#x304A;&#x3088;&#x3073;&#x89AA;&#x3092;&#x53CD;&#x6620;&#x3057;&#x305F; HashCode &#x756A;&#x53F7;&#x3092;&#x53D6;&#x5F97;&#x3059;&#x308B;&#x3053;&#x3068;&#x3067;&#x3059;&#x3002;&#x3053;&#x306E;&#x51E6;&#x7406;&#x306E;&#x5F8C;&#x3001;&#x3053;&#x308C;&#x3089;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306E;&#x3044;&#x305A;&#x308C;&#x304B;&#x306B;&#x524D;&#x56DE;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x5B9F;&#x884C;&#x6642;&#x304B;&#x3089;&#x5909;&#x66F4;&#x304C;&#x3042;&#x3063;&#x305F;&#x3053;&#x3068;&#x3092;&#x78BA;&#x8A8D;&#x3059;&#x308B;&#x5834;&#x5408;&#x306B;&#x306F;&#x3001;&#x95A2;&#x6570;&#x3092;&#x518D;&#x5EA6;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3066; 2 &#x3064;&#x306E;&#x5024;&#x3092;&#x6BD4;&#x8F03;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x756A;&#x53F7;&#x304C;&#x540C;&#x3058;&#x5834;&#x5408;&#x306B;&#x306F;&#x3001;&#x30B7;&#x30FC;&#x30F3;&#x306F;&#x5909;&#x66F4;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;&#x3053;&#x306E;&#x5834;&#x5408;&#x3001;&#x30B7;&#x30FC;&#x30F3;&#x304C;&#x524D;&#x56DE;&#x304B;&#x3089;&#x5909;&#x66F4;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x3053;&#x3068;&#x304C;&#x660E;&#x3089;&#x304B;&#x3067;&#x3042;&#x308B;&#x305F;&#x3081;&#x3001;&#x30C7;&#x30FC;&#x30BF;&#x518D;&#x69CB;&#x7BC9;&#x306E;&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x3092;&#x30B9;&#x30AD;&#x30C3;&#x30D7;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x30CF;&#x30C3;&#x30B7;&#x30E5;&#x5024;&#x304C;&#x7570;&#x306A;&#x308B;&#x5834;&#x5408;&#x306F;&#x3001;&#x30B7;&#x30FC;&#x30F3;&#x3092;&#x518D;&#x51E6;&#x7406;&#x3057;&#x3066;&#x5B9F;&#x969B;&#x306E;&#x30C7;&#x30FC;&#x30BF;&#x3092;&#x53CE;&#x96C6;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3082;&#x3061;&#x308D;&#x3093;&#x3001;&#x4E0A;&#x8A18;&#x306E;&#x95A2;&#x6570;&#x306F; HashCode &#x306E; 1 &#x3064;&#x306E;&#x4F7F;&#x7528;&#x4F8B;&#x306B;&#x3059;&#x304E;&#x307E;&#x305B;&#x3093;&#x3002;&#x3053;&#x308C;&#x306F;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x53CD;&#x6620;&#x3059;&#x308B;&#x3088;&#x3046;&#x306B;&#x5909;&#x66F4;&#x3057;&#x305F;&#x308A;&#x3001;&#x6587;&#x5B57;&#x5217;&#x3068;&#x3057;&#x3066;&#x8868;&#x3055;&#x308C;&#x308B;&#x305D;&#x306E;&#x4ED6;&#x306E;&#x5024;&#x306E;&#x72B6;&#x614B;&#x3092;&#x8FFD;&#x8DE1;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x3053;&#x3068;&#x3082;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Develop-Tools-Using.html\">チュートリアル - DotNet を使用したツールの開発</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">チュートリアル - チュートリアルについて</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";