var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-676FB825-84C1-4708-A398-993266E4D2AD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>チュートリアル - チュートリアルについて</h1></div><p>「チュートリアル」トピックには、拡張された MAXScript の例として、単純なプログラミング タスクが示されています。すべてのスクリプトは実際の事例に基づいており、詳細な説明とスクリプトの作成を演習するためのヒントが含まれています。さらに、ほとんどのスクリプトが 30 行に満たないので、初心者に非常に適しています。</p>\n\
<h2 id=\"-\">目的関数</h2><p>これらのチュートリアルの主要な目標は、実際の問題に対処するスクリプト ソリューションを開発するためのいくつかのアプローチを MAXScript ユーザに学習してもらうことです。 最初のアイデアの提示から自然言語 (自国語) による概念の記述に進み、実際の MAXScript コードに書き下ろして、将来の拡張のためのアイデアも示します。</p>\n\
<h2 id=\"-\">構造:</h2><p>「チュートリアル」には、以下の項目が用意されています。</p>\n\
<p><strong>関連トピックのリスト</strong>には、実際にチュートリアルを実行する前にユーザが読むことができる項目が含まれています。</p>\n\
<p><strong>コメントなしの完全なコード</strong>は、ユーザがカット アンド ペーストしてすぐに使うことができます。</p>\n\
<p>同じ内容の<strong>詳細な説明付きのコード</strong>もあります。</p>\n\
<p>使用されている関数およびメソッドの<strong>定義へのリンク</strong>。</p>\n\
<p><strong>スクリプトの使い方</strong>についての実際的な情報。</p>\n\
<p>試してみることができる点 - ユーザが一人で試すことができる<strong>改善のためのアイデア</strong>。</p>\n\
<h2 id=\"-\">トピック:</h2><h4 id=\"-\">チュートリアル - 変換ロック スクリプトの開発</h4><p>すべての変換ロックをチェックするための簡単なスクリプトを開発します。</p>\n\
<h4 id=\"-\">チュートリアル - すべてのマテリアルの削除</h4><p>シーンからすべてのマテリアルを削除するための簡単なスクリプトを作成します。</p>\n\
<h4 id=\"-\">チュートリアル - 選択したオブジェクトに対する迅速な名前変更</h4><p>選択したオブジェクトの名前を変更するための簡単な名前変更ユーティリティを開発します。</p>\n\
<h4 id=\"-\">チュートリアル - 非四角形ポリゴンの選択</h4><p>EditablePoly オブジェクト内でポリゴンにアクセスして選択する例を示します。</p>\n\
<h4 id=\"-\">チュートリアル - マテリアルの自動割り当て</h4><p>マテリアルの割り当てを自動化するための MAXScript の使い方を示します。</p>\n\
<h4 id=\"-\">チュートリアル - オブジェクトのサーフェスへの移動</h4><p>intersectRay 関数を使用してオブジェクト上でサーフェス ポイントを見つける方法を説明します。</p>\n\
<h4 id=\"-\">チュートリアル - オブジェクト データのファイルへの出力</h4><p>オブジェクト データを外部テキスト ファイルに書き込むときの基本的な手順を説明します。</p>\n\
<h4 id=\"-1-\">チュートリアル - ジオメトリ データをテキスト ファイルに出力する - 第 1 部</h4><p>メッシュ ジオメトリ データを外部テキスト ファイルに書き込むときの基本的な手順を説明します。</p>\n\
<h4 id=\"-1-\">チュートリアル - ジオメトリ データのテキスト ファイルからの読み取り - 第 1 部</h4><p>オブジェクト データを外部テキスト ファイルに読み込むときの基本的な手順を説明します。</p>\n\
<h4 id=\"-2-\">チュートリアル - ジオメトリ データのテキスト ファイルへの出力 - 第 2 部</h4><p>スムージング グループ、マテリアル ID、およびエッジの可視性をサポートするために、メッシュ ジオメトリ出力スクリプトを拡張します。</p>\n\
<h4 id=\"-2-\">チュートリアル - ジオメトリ データのテキスト ファイルからの読み取り - 第 2 部</h4><p>第 1 部で開発した入力スクリプトを拡張して、前のチュートリアルで追加した新しいデータをサポートします。</p>\n\
<h4 id=\"-\">チュートリアル - クイック プレビューの作成</h4><p>ビューポートの簡単なプレビューと RAMplayer の自動ロードを実装します。</p>\n\
<h4 id=\"-z-\">チュートリアル - Z-深度チャネルへのアクセス</h4><p>カメラの Z-深度に基づくオブジェクト作成の小規模の実験です。</p>\n\
<h4 id=\"-monochrome-rendereffect-\">チュートリアル - MonoChrome RenderEffect の作成</h4><p>チュートリアル - カスタム メッシュ オブジェクトの作成</p>\n\
<h4 id=\"-\">チュートリアル - カスタム メッシュ オブジェクトの作成</h4><p>チュートリアル -スクリプト Geometry プラグインの作成</p>\n\
<h4 id=\"-\">チュートリアル - スクリプト ジオメトリ プラグインの作成</h4><p>チュートリアル - Dalmatian TextureMap プラグインの作成</p>\n\
<h4 id=\"-dalmatian-texturemap-\">チュートリアル - Dalmatian TextureMap プラグインの作成</h4><p>MAXScript に直接開示されていないシステム データにアクセスするアプローチを示します。</p>\n\
<h4 id=\"-windows-\">チュートリアル - Windows システム データへのアクセス</h4><p>結び目とベジェ ベクトルを移動することによって slineShape を変更する例を示します。</p>\n\
<h4 id=\"-trackview-\">チュートリアル - TrackView のアルファベット順のソート</h4><p>TrackView 内でオブジェクトをソートする方法を説明します。</p>\n\
<h4 id=\"-splineshape-\">チュートリアル - SplineShape のフラット化</h4><p>モーファー モディファイヤにインタラクティブにリンクしたコントロールを使ってフロータを作成するために、動的な UI を作成し、時間変更コールバックを使用する例を示します。</p>\n\
<h4 id=\"-\">チュートリアル - フリーハンドのスプラインの描画</h4><p>コールバック スクリプトを使用してレンダリング時にオブジェクト プロパティを変更する例を示します。</p>\n\
<h4 id=\"-\">チュートリアル - フローティング コントロールによるモーファー モディファイヤの拡張</h4><p>スクリプトで書かれた、リアルタイムの頂点レンダラーの例です。</p>\n\
<h4 id=\"-\">チュートリアル - レンダリング時のオブジェクトの変更</h4><p>パーティクル フローのパーティクルを使用してシーン オブジェクトを移動させる例です。</p>\n\
<h4 id=\"-\">チュートリアル - 頂点レンダラーの開発</h4><p>スクリプトで書かれた、リアルタイムの頂点レンダラーの例です。</p>\n\
<h3 id=\"-\">チュートリアル - パーティクル フローのスクリプトを作成する</h3><h4 id=\"-particleflow-\">チュートリアル -ParticleFlow のパーティクル モーションのシーン オブジェクトへの転送</h4><p>パーティクル フローのパーティクルを使用してシーン オブジェクトを移動させる例です。</p>\n\
<h4 id=\"-\">チュートリアル - 質量によるパーティクル フローのパーティクルへの影響</h4><p>質量に基づいてパーティクルにフォースを適用する例です。</p>\n\
<h3 id=\"-9-\">チュートリアル - ビットマップ ペイント ツールを 9 つの簡単なステップで作成する</h3><h4 id=\"-\">チュートリアル - ビットマップ ペイント ツールの開発 - 基本ユーティリティ</h4><p>ツール作成の最初のステップです。 基本的なツールで、ストロークをサポートしない単一の点だけのブラシを備えています。</p>\n\
<h4 id=\"-\">チュートリアル - ビットマップ ペイント ツールの開発 - ストロークの強化</h4><p>ツール作成の 2 番目のステップでは、連続したストローク描画を追加します。</p>\n\
<h4 id=\"-\">チュートリアル - ビットマップ ペイント ツールの開発 - ブラシのサイズとカラー</h4><p>ツール作成の 3 番目のステップでは、ブラシのサイズとカラーのコントロールを追加します。</p>\n\
<h4 id=\"-\">チュートリアル - ビットマップ ペイント ツールの開発 - エアブラシとシェイプ</h4><p>ツール作成の 4 番目のステップでは、円形のブラシ シェイプのサポートと、変更可能な強度を持ったエアブラシ オプションを追加します。</p>\n\
<h4 id=\"-\">チュートリアル - ビットマップ ペイント ツールの開発 - スムーズ ブラシ</h4><p>ツール作成の 5 番目のステップでは、スムーズ フォールオフのあるブラシを追加します。</p>\n\
<h4 id=\"-\">チュートリアル - ビットマップ ペイント ツールの開発 - ロードと保存</h4><p>ツール作成の 6 番目のステップでは、ビットマップ ファイルのロードと保存の機能を追加します。最後に、作品をディスクに保存し、その後別のセッションでペイントを続けることもできます。</p>\n\
<h4 id=\"-\">チュートリアル - ビットマップ ペイント ツールの開発 - 変更の消去</h4><p>ツール作成の 9 番目のステップでは、ビューポート内で選択したオブジェクトに 3D ペイントを追加します。チュートリアル -ListView ActiveX コントロールを使用した選択オブジェクト検査プログラムの開発</p>\n\
<h4 id=\"-uv-\">チュートリアル - ビットマップ ペイント ツールの開発 - UV 座標のアンラップ</h4><p>ツール作成の 8 番目のステップでは、UV テクスチャ座標のアンラップと、選択したオブジェクト上の拡散反射光マップとしてビットマップをリアルタイムで更新する機能を追加します。</p>\n\
<h4 id=\"-3d-\">チュートリアル - ビットマップ ペイント ツールの開発 - 3D ペイント</h4><p>ツール作成の 9 番目のステップでは、ビューポート内で選択したオブジェクトに 3D ペイントを追加します。</p>\n\
<h3 id=\"-listview-activex-\">チュートリアル - ListView ActiveX コントロールを使用した選択オブジェクト検査プログラムを開発する</h3><h4 id=\"-listview-activex-1-\">チュートリアル - ListView ActiveX コントロールを使用した選択オブジェクト検査プログラムの開発 - 第 1 部</h4><p>このチュートリアルでは、MAXScript ロールアウト内に選択したシーン オブジェクトの詳細を表示する ActiveX コントロールを設定する方法を示します。</p>\n\
<h4 id=\"-listview-activex-2-\">チュートリアル - ListView ActiveX コントロールを使用した選択オブジェクト検査プログラムの開発 - 第 2 部</h4><p>この 2 つ目のチュートリアルでは、第 1 部で定義した Listview ActiveX コントロールをカスタマイズし、選択セットが変更されたときに表示が自動的に更新されるようにします。</p>\n\
<h3 id=\"-treeview-activex-\">チュートリアル - TreeView ActiveX コントロールを使用したシーン ブラウザを開発する</h3><h4 id=\"-treeview-activex-1-\">チュートリアル - TreeView ActiveX コントロールを使用したシーン ブラウザの開発 - 第 1 部</h4><p>このチュートリアルでは、<em>3ds Max</em> のシーン ノードの階層を表示する ActiveX コントロールを MAXScript ロールアウトに設定する方法を示します。</p>\n\
<h4 id=\"-treeview-activex-2-\">チュートリアル - TreeView ActiveX コントロールを使用したシーン ブラウザの開発 - 第 2 部</h4><p>2 つ目のチュートリアルでは、第 1 部で定義した TreeView ActiveX コントロールをカスタマイズする方法を示します。 アイコンやカラー、シーン ノードの非表示状態の表示と制御を行うためのチェックボックスを追加します。</p>\n\
<h3 id=\"-dotnet-\">チュートリアル - DotNet を使用したツールの開発</h3><h4 id=\"-windows-\">チュートリアル - 最後にレンダリングされたイメージを Windows のクリップボードにコピーする</h4><p>このチュートリアルでは、DotNet クラスを使用して最後にレンダリングしたイメージを Windows クリップボードに追加する方法を示します。</p>\n\
<h4 id=\"-dotnet-maxscript-\">チュートリアル - DotNet を使用して MAXScript 関数を定期的に呼び出す</h4><p>このチュートリアルでは、DotNet Timer オブジェクトを使用してロールアウトを使用せずに指定した間隔を空けて MAXScript 関数を呼び出す方法を示します。</p>\n\
<h4 id=\"-dotnet-\">チュートリアル - DotNet を使用したハッシュ チェックサムの生成</h4><p>このチュートリアルでは、DotNet Timer オブジェクトを使用してロールアウトを使用せずに指定した間隔を空けて MAXScript 関数を呼び出す方法を示します。</p>\n\
<h4 id=\"-dotnet-\">チュートリアル - DotNet を使用した印刷</h4><p>このチュートリアルでは、DotNet フォームを使用してディスクのファイルを表示してから、ファイルを複数ページとしてプリンタに出力する方法を示します。</p>\n\
<h3 id=\"-xview-\">チュートリアル - 面領域 xView チェッカーの開発</h3><h4 id=\"-xview-1-\">チュートリアル - 面領域 xView チェッカーの開発 - 第 1 部</h4><p>このチュートリアルでは、<em>3ds Max 2010</em> で追加された XViewChecker インタフェースを使用して、ジオメトリ オブジェクトに対して面範囲のテストを実行する MAXScript 関数を定義する方法およびこれを登録する方法を示します。</p>\n\
<h4 id=\"-xview-2-\">チュートリアル - 面領域 xView チェッカーの開発 - 第 2 部</h4><p>このチュートリアルでは、複数のチェッカーモード、カスタム テキスト、上書き関数の表示を追加することにより前の例を拡張します。</p>\n\
<h4 id=\"-xview-3-\">チュートリアル - 面領域 xView チェッカーの開発 - 第 3 部</h4><p>このチュートリアルでは、引き続き面領域ジオメトリ チェッカーに INI ファイルを使用して設定を保持する機能を実装します。</p>\n\
<h4 id=\"-xview-4-\">チュートリアル - 面領域 xView チェッカーの開発 - 第 4 部</h4><p>このチュートリアルは、ビューポート メニューにマクロ スクリプトを追加する、面領域ジオメトリ チェッカーの開発の最後のステップです。</p>\n\
<h3 id=\"-svg-\">チュートリアル - SVG ポリゴン レンダラーの開発</h3><h4 id=\"-svg-1-\">チュートリアル - SVG ポリゴン レンダラーの開発 - 第 1 部</h4><p>このチュートリアルでは、<em>3ds Max 2014</em> に導入された Vector_Map TextureMap を使用してシーン ジオメトリ オブジェクトのポリゴンをレンダリングする方法を紹介します。</p>\n\
<h4 id=\"-svg-2-\">チュートリアル - SVG ポリゴン レンダラーの開発 - 第 2 部</h4><p>このチュートリアルの第 2 部では、第 1 部で使用した例を拡張し、奥行きでのソートを追加してポリゴンのオーバーラップが不正確にならないようにします。</p>\n\
<h4 id=\"-svg-3-\">チュートリアル - SVG ポリゴン レンダラーの開発 - 第 3 部</h4><p>チュートリアルの第 3 部では、ブリン鏡面反射光ハイライトによるフラット シェーディングを使用して、マテリアル カラーとライティングのサポートを実装します。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Practical-Examples.html\">チュートリアル - 役立つサンプル</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";