var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-57429360-CC34-49BB-8901-4FCC628E234E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>DotNet &#x3092;&#x4F7F;&#x7528;&#x3057;&#x305F; Windows SystemEvents &#x30B3;&#x30FC;&#x30EB;&#x30D0;&#x30C3;&#x30AF;&#x306E;&#x767B;&#x9332;</h1></div><p>&#x6B21;&#x306E;&#x4F8B;&#x306F;&#x3001;Windows &#x306E;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x8A2D;&#x5B9A;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x5834;&#x5408;&#x306B;&#x5BFE;&#x51E6;&#x3059;&#x308B;&#x3001;MAXScript &#x30A4;&#x30D9;&#x30F3;&#x30C8; &#x30CF;&#x30F3;&#x30C9;&#x30E9;&#x3092;&#x767B;&#x9332;&#x3059;&#x308B;&#x624B;&#x9806;&#x3092;&#x793A;&#x3057;&#x305F;&#x3082;&#x306E;&#x3067;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x30B3;&#x30FC;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    --First we need the SystemEvents DotNet Class:\n\
    c = dotNetClass &quot;Microsoft.Win32.SystemEvents&quot;\n\
    --&gt;dotNetClass:Microsoft.Win32.SystemEvents\n\
    --Then we get a list of all available events:\n\
    showevents c\n\
    --&gt;[static] DisplaySettingsChanged &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
    --&gt;[static] DisplaySettingsChanging &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
    --&gt;[static] EventsThreadShutdown &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
    --&gt;[static] InstalledFontsChanged &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
    --&gt;[static] LowMemory &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
    --&gt;[static] PaletteChanged &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
    --&gt;[static] PowerModeChanged &lt;System.Object&gt;sender &lt;Microsoft.Win32.PowerModeChangedEventArgs&gt;e = ( ... )\n\
    --&gt;[static] SessionEnded &lt;System.Object&gt;sender &lt;Microsoft.Win32.SessionEndedEventArgs&gt;e = ( ... )\n\
    --&gt;[static] SessionEnding &lt;System.Object&gt;sender &lt;Microsoft.Win32.SessionEndingEventArgs&gt;e = ( ... )\n\
    --&gt;[static] SessionSwitch &lt;System.Object&gt;sender &lt;Microsoft.Win32.SessionSwitchEventArgs&gt;e = ( ... )\n\
    --&gt;[static] TimeChanged &lt;System.Object&gt;sender &lt;System.EventArgs&gt;e = ( ... )\n\
    --&gt;[static] TimerElapsed &lt;System.Object&gt;sender &lt;Microsoft.Win32.TimerElapsedEventArgs&gt;e = ( ... )\n\
    --&gt;[static] UserPreferenceChanged &lt;System.Object&gt;sender &lt;Microsoft.Win32.UserPreferenceChangedEventArgs&gt;e = ( ... )\n\
    --&gt;[static] UserPreferenceChanging &lt;System.Object&gt;sender &lt;Microsoft.Win32.UserPreferenceChangingEventArgs&gt;e = ( ... )\n\
    --&gt;true\n\
    --We define a global function to be called by the event handler:\n\
    fn TimeChanged a1 a2 = format &quot;TimeChanged callback: % : %\\n&quot; a1 a2\n\
    --&gt;TimeChanged()\n\
    --Finally we add the Event Handler for the event &quot;TimeChanged&quot;:\n\
    dotnet.addeventhandler c &quot;TimeChanged&quot; TimeChanged\n\
    --&gt;OK\n\
</code></pre></blockquote>\n\
<p>&#x3053;&#x308C;&#x3067;&#x3001;Microsoft Windows &#x306E;[&#x65E5;&#x4ED8;&#x3068;&#x6642;&#x523B;](Date and Time)&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x958B;&#x304D;&#x3001;&#x79D2;&#x6570;&#x306E;&#x307F;&#x3092;&#x5909;&#x66F4;&#x3057;(<strong>3ds Max</strong>&#x306E;&#x30E9;&#x30A4;&#x30BB;&#x30F3;&#x30B9;&#x306B;&#x95A2;&#x3059;&#x308B;&#x554F;&#x984C;&#x3092;&#x56DE;&#x907F;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x3001;&#x65E5;&#x4ED8;&#x306B;&#x5927;&#x5E45;&#x306B;&#x5909;&#x66F4;&#x3057;&#x306A;&#x3044;)&#x3001;&#x5909;&#x66F4;&#x3092;&#x9069;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x767B;&#x9332;&#x3057;&#x305F; MAXScript &#x95A2;&#x6570;&#x304C;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x3001;&#x30EA;&#x30B9;&#x30CA;&#x306B;&#x51FA;&#x529B;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">TimeChanged callback: dotNetObject:Microsoft.Win32.SystemEvents : dotNetObject:System.EventArgs\n\
</code></pre><p>&#x30A4;&#x30D9;&#x30F3;&#x30C8; &#x30EA;&#x30B9;&#x30C8;&#x304B;&#x3089;&#x308F;&#x304B;&#x308B;&#x3088;&#x3046;&#x306B;&#x3001;&#x30E6;&#x30FC;&#x30B6;&#x306F;&#x30A4;&#x30D9;&#x30F3;&#x30C8; &#x30CF;&#x30F3;&#x30C9;&#x30E9;&#x3092;&#x767B;&#x9332;&#x3059;&#x308B;&#x3053;&#x3068;&#x306B;&#x3088;&#x3063;&#x3066;&#x3001;&#x8868;&#x793A;&#x306E;&#x8A2D;&#x5B9A;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x308A;&#x3001;&#x30D1;&#x30EC;&#x30C3;&#x30C8;&#x3084;&#x30D5;&#x30A9;&#x30F3;&#x30C8;&#x306A;&#x3069;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x308A;&#x3057;&#x305F;&#x5834;&#x5408;&#x306B;&#x901A;&#x77E5;&#x3092;&#x53D7;&#x3051;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../DotNet-Examples.html\">DotNet の例</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">MAXScript における DotNet</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";