var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2AD4D018-52CE-4199-9BEB-D9935A7118EF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>dotnetmxsvalue</h1></div><p><strong>dotNetMXSValue &#x5024;&#x30AF;&#x30E9;&#x30B9;</strong>&#x306F;&#x3001;&#x5225;&#x306E;&#x5024;&#x3092;&#x4FDD;&#x6301;&#x3057;&#x307E;&#x3059;&#x3002;dotNetMXSValue &#x306F;&#x3001;.net &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x5272;&#x308A;&#x5F53;&#x3066;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;DotNet &#x306E;&#x300C;&#x30D7;&#x30ED;&#x30AD;&#x30B7;&#x300D;&#x5024;&#x306F;&#x3001;&#x5B9F;&#x969B;&#x306B;&#x306F; DotNet &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x4FDD;&#x7BA1;&#x3055;&#x308C;&#x3001;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30AD;&#x30B7;&#x304C;&#x9006;&#x306B; dotNetMXSValue &#x3092;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002; </p>\n\
<p>DotNet &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x30D7;&#x30ED;&#x30AD;&#x30B7;&#x5024;&#x3092;&#x4FDD;&#x6301;&#x3057;&#x3066;&#x3044;&#x308B;&#x9650;&#x308A;&#x306F;&#x3001;dotNetMXSValue &#x3068;&#x3053;&#x308C;&#x304C;&#x4FDD;&#x6301;&#x3059;&#x308B;&#x5024;&#x306F;&#x30AC;&#x30D9;&#x30FC;&#x30B8; &#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x304B;&#x3089;&#x4FDD;&#x8B77;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>dotNetMXSValue &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3067;&#x4FDD;&#x6301;&#x3055;&#x308C;&#x308B;&#x5024;&#x306F;&#x3001;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x5C02;&#x7528;&#x306E; <code>.value</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304B;&#x3089;&#x8AAD;&#x307F;&#x53D6;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 9</strong> &#x4EE5;&#x964D;&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p>   <strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">   a = color 10 20 30 --MAXScript color value\n\
   b = dotNetMXSValue a --DotNet value holding the MAXScript value\n\
   tv = dotnetobject &quot;treeview&quot; --DotNet TreeView control\n\
   tv.tag = b --The tag is set to the color\n\
   tv.tag\n\
   a=b=undefined --Both a and b are set to undefined\n\
   gc() --and manual garbage collection is requested\n\
   --BUT the color value and dotNetMXSValue protected are from\n\
   --collection because the treeview instance holds\n\
   --the dotNetMXSValue proxy!\n\
   tv = undefined --assign undefined to the treeview variable\n\
   gc() --and request garbage collection again\n\
   --This time both the color value and the dotNetMXSValue are not\n\
   --protected from collection\n\
</code></pre></blockquote>\n\
<p>&#x3053;&#x306E;&#x30AC;&#x30D9;&#x30FC;&#x30B8; &#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3067;&#x306F;&#x3001;DotNet &#x30AC;&#x30D9;&#x30FC;&#x30B8; &#x30B3;&#x30EC;&#x30AF;&#x30BF;&#x306F; TreeView &#x3092;&#x524A;&#x9664;&#x305B;&#x305A;&#x3001;&#x307E;&#x3060;&#x305D;&#x306E;&#x5024;&#x3092;&#x89E3;&#x653E;&#x3057;&#x3066;&#x3044;&#x306A;&#x3044;&#x306E;&#x3067;&#x3001;&#x30AB;&#x30E9;&#x30FC;&#x5024;&#x3068; dotNetMXSValue &#x306F;&#x3044;&#x305A;&#x308C;&#x3082;&#x524A;&#x9664;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;DotNet &#x306E;&#x624B;&#x52D5;&#x30AC;&#x30D9;&#x30FC;&#x30B8; &#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x5F37;&#x5236;&#x3059;&#x308B;&#x3053;&#x3068;&#x3082;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p>   <strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">   dgc = dotnetclass &quot;system.gc&quot;\n\
   dgc.collect()\n\
   gc() -- color value and dotNetMXSValue collected\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../dotnetcontrol.html\">dotnetcontrol</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../DotNet-In-MAXScript.html\">MAXScript における DotNet</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";