var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-AE4CAED2-1EF9-40EF-9761-83F535FE953A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>OLE Demo の実行</h1></div><p>サンプル ファイルは、次の 2 つのファイルで構成されています。</p>\n\
<p><code>ole.ms</code>- グラファ インタフェースを含む MAXScript スクリプト</p>\n\
<p><code>oledemo.xls</code> - グラファを呼び出すためのデータおよび VBA スクリプトを持つ Excel スプレッドシート</p>\n\
<p>例を実行するには、「<a href=\"Setting-Up-MAXScript-OLE.html\">MAXScript の OLE オートメーションの設定</a>」で説明されているように <strong>3ds Max</strong> を必ず OLE サーバとして登録し、<strong>3ds Max</strong> を起動してスクリプト エディタ ウィンドウ内で <code>ole.ms</code> スクリプト ファイルを開きます。このスクリプト ファイルには、6 つの関数の定義と、これらの関数のいくつかを公開するための <code>registerOLEInterface()</code> の呼び出しが含まれています。スクリプト全体を選択して、テンキーの[Enter]を押すと、そのスクリプトが評価されます。これは関数を定義し、それらの関数を OLE を介して公開します。</p>\n\
<p>Excel を起動し、スクリプト ディレクトリ内のスプレッドシート <code>oledemo.xls</code> を開きます。このスプレッドシートには、1 つのワークシートと 1 つのモジュール シートが含まれており、新しい <strong>Max</strong> メニューが定義されています。ワークシートには、作図するためのいくつかのサンプル データが含まれており、モジュール シートには、新しい <strong>3ds Max</strong> メニュー内のメニュー アイテムを実装する VBA スクリプトが含まれています。</p>\n\
<p>ワークシート <code>sheet1</code> を表示します。このワークシートには、複数の地域の年 4 回の売上げの数値を表す表が含まれています。すべてのラベルおよび数値のセルをドラッグして選択し、[Max] &gt; [Build Animated Chart]メニューを選択します。<strong>3ds Max</strong> への接続が開かれ、選択した列のラベルおよび数値が、公開されているインタフェース内の適切な関数に渡されます。次に、<strong>3ds Max</strong> を前面に移動してラベル付きのバー チャートを生成したり、一定の四半期にわたるバーをアニメートしたりできます。スライダをドラッグして、バーのアニメートを参照します。<strong>3ds Max</strong> を利用した業務のグラフ化です。</p>\n\
<p>Excel の[Max] &gt; [Render Movie]メニューは、バー チャート シーン内にカメラを作成しアニメートする、別に公開されている MAXScript 関数を呼び出し、次に、AVI ファイルに対するレンダリングを設定します。(レンダリングを中断したい場合は、次のフレームの先頭で停止するまで、[Esc]を押します - 現時点での MAXScript レンダラー インタフェースは、フレーム間のエスケープ キーのみを調べます)。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../OLE-Automation.html\">OLE オートメーション</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";