var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4C14F474-CD23-4001-93DF-0F0F9A6025C7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript トレーニング</h1></div><p>MAXScript トレーニングへようこそ。</p>\n\
<p>このオンライン トレーニングでは、<strong>3ds Max</strong> に組み込まれたスクリプト言語、MAXScript の使用方法について説明します。</p>\n\
<p>「MAXScript トレーニング」は、入門用のリファレンスとして使用できます。また一方で、これをチュートリアルとして通して読むと非常に役に立ちます。このリファレンスに記載されている例は、コピー アンド ペーストを使って、スクリプト リスナーで利用できます。また、トレーニング中に独自のテキストを入力して MAXScript を試してみることもできます。</p>\n\
<p>更に、<a href=\"How-To-Practical-Examples/How-To-Introduction-to-the.html\">「チュートリアル」</a>では、いくつかの簡単な実例、詳細なコメント、および使用されるメソッドと関数の説明へのリンクを紹介します。</p>\n\
<h2 id=\"-\">スタートアップ</h2><p><a href=\"Learning-MAXScript/Getting-Started/Accessing-MAXScript-1.html\">MAXScript へのアクセス</a></p>\n\
<p><a href=\"Learning-MAXScript/Getting-Started/Source-Code-Layout.html\">ソース コードのレイアウト</a></p>\n\
<p><a href=\"Learning-MAXScript/Getting-Started/Entering-Information-into.html\">MAXScript での情報の入力</a></p>\n\
<p><a href=\"Learning-MAXScript/Getting-Started/Assigning-Variables.html\">変数の割り当て</a></p>\n\
<p><a href=\"Learning-MAXScript/Getting-Started/Mathematical-Operations-in.html\">MAXScript での数学演算</a></p>\n\
<h2 id=\"-maxscript-\">ボックスの操作 - MAXScript での最初の手順</h2><p><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">MAXScript によるボックスの描画</a></p>\n\
<p><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps/Modifying-the-Box.html\">ボックスの修正</a></p>\n\
<p><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps/Applying-Standard.html\">標準変換の適用</a></p>\n\
<p><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps/More-Box-Transformations.html\">高度なボックス変換</a></p>\n\
<h2 id=\"-\">独自のスクリプトの作成</h2><p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/The-Script-Editor.html\">スクリプト エディタ</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Controlling-Program-Flow-in.html\">スクリプトでのプログラム フロー制御</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Defining-Custom-Functions.html\">カスタム関数の定義</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Structure-Definitions.html\">構造体定義</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/MAX-Commands-in-MAXScript.html\">MAXScript の max コマンド</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Saving-Your-Commands-in-a-Script.html\">コマンドをスクリプト ファイルに保存</a></p>\n\
<p><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts/Loading-and-Running-Your-Script.html\">スクリプト ファイルのロードと実行</a></p>\n\
<h2 id=\"-\">他のスクリプトによる学習</h2><p><a href=\"Learning-MAXScript/Learning-From-Other-Scripts/Loading-Other-Scripts.html\">その他のスクリプトのロード</a></p>\n\
<p><a href=\"Learning-MAXScript/Learning-From-Other-Scripts/Learning-MAXScript-by-Walking.html\">スクリプトから学ぶ MAXScript</a></p>\n\
<p><a href=\"Learning-MAXScript/Learning-From-Other-Scripts/Learning-MAXScript-with-the.html\">マクロ レコーダによる MAXScript の学習</a></p>\n\
<h2 id=\"-maxscript\">新規および臨時ユーザ用 MAXScript</h2><p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">新規および臨時ユーザ用 MAXScript</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Utilities-for-New-Users.html\">新規ユーザのためのスクリプト ユーティリティ</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\">新規ユーザのための MacroScript</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Plug-ins-for-New-Users.html\">新規ユーザのためのスクリプト プラグイン</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Functions-for-New-Users.html\">新規ユーザのためのスクリプト関数</a></p>\n\
<p><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-DLX-Extensions-for-New.html\">新規ユーザのための MAXScript DLX 拡張機能</a></p>\n\
<h2 id=\"faq-\">FAQ:</h2><p><a href=\"Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\">よくある質問と回答</a></p>\n\
<h2 id=\"-\">チュートリアル:</h2><p><a href=\"How-To-Practical-Examples/How-To-Introduction-to-the.html\">チュートリアル - チュートリアルについて</a></p>\n\
<h2 id=\"-\">サンプル スクリプト</h2><p><a href=\"Script-Examples-In-This-Help.html\">オンライン ヘルプ スクリプト例</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"Learning-MAXScript/Creating-Your-Own-Scripts.html\">独自のスクリプトの作成</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Learning-MAXScript/Getting-Started.html\">スタートアップ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Learning-MAXScript/Learning-From-Other-Scripts.html\">他のスクリプトによる学習</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Learning-MAXScript/Manipulating-The-Box-First-Steps.html\">ボックスの操作 - MAXScript での最初の手順</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Learning-MAXScript/Trigonometric-Functions.html\">三角関数</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Learning-MAXScript/Vector-Arithmetic.html\">ベクトル算術</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";