var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6A990055-4774-4EC8-B73E-AC2BFC37F741\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>コマンドをスクリプト ファイルに保存</h1></div><p>従来は、[リスナー] (Listener)ウィンドウにコマンドを入力していました。しかし、1 つのセッションの一部のコードを終了しないで、途中で中断する場合、次にはそれまでのセッションで使用済みのコマンドもすべて入力するところから再開しなくてはならないのでしょうか。MAXScript では、コマンドを外部ファイルに保存し、それをロードして実行することができます。</p>\n\
<p>スクリプト ファイルにコマンドを保存するには、通常は[MAXScript]メニューで[<strong>新規スクリプト</strong>](New Script)メニュー項目をクリックし、開いた[スクリプト エディタ](Script Editor)ウィンドウにコマンドを入力します。さまざまなコマンドを[リスナー] (Listener)ウィンドウに入力してきたので、そこから[スクリプト エディタ](Script Editor)ウィンドウにコピーします。</p>\n\
<p><strong>チュートリアル コマンドを[リスナー] (Listener)から[スクリプト エディタ](Script Editor)ウィンドウにコピーする方法:</strong></p>\n\
<ol>\n\
<li><p><strong>3ds Max</strong> メイン メニュー バーの[MAXScript]メニューの[<strong>新規スクリプト</strong>](New Script)メニュー項目をクリックします。</p>\n\
<p>[スクリプト エディタ](Script Editor)ウィンドウが表示されます。タイトルは「Untitled - MAXScript」です。</p>\n\
</li>\n\
<li><p>ウィンドウ間でテキストをコピー、貼り付けできるように、[スクリプト エディタ](Script Editor)ウィンドウを[リスナー] (Listener)ウィンドウの横か下に配置します。</p>\n\
</li>\n\
<li><p>[リスナー] (Listener)ウィンドウで、「<a href=\"./../Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">MAXScript によるボックスの描画</a>」から黒いコマンド ラインを選択します(<code>mybox = box length:20 width:20 height:20</code>)。</p>\n\
</li>\n\
<li><p>キーボードで<strong>[Ctrl]+[C]</strong>を押し、テキストをクリップボードにコピーします。</p>\n\
</li>\n\
<li><p>[スクリプト エディタ](Script Editor)ウィンドウをクリックしてカーソルをそこに移動し、キーボードで<strong>[Ctrl]+[V]</strong>を押してコマンドを[スクリプト エディタ](Script Editor)ウィンドウに貼り付けます。</p>\n\
<div class=\"note ヒント:\"><span class=\"tiptitle\">ヒント:</span> 選択したテキストを[リスナー] (Listener)からドラッグして[スクリプト エディタ](Script Editor)にドロップしたり、その逆を行うこともできます。</div>\n\
</li>\n\
<li><p>[セーブ用にファイル名を選択してください](Choose File Name for Save)ダイアログ ボックスで[ファイル] (File) &gt; [保存] (Save)を選択し、\\Scripts ディレクトリを検索します。スクリプト ファイルの名前を <em>box_draw.ms</em> にし、[保存] (Save)をクリックします。</p>\n\
<p>スクリプト ファイルが保存され、[スクリプト エディタ](Script Editor)ウィンドウのタイトルが「box_draw.ms - MAXScript」に変わります。</p>\n\
</li>\n\
</ol>\n\
<p>これで初めてのスクリプト ファイルを保存できました。MAXScript では .ms がスクリプト ファイルの拡張子です。スクリプト ファイルは、スクリプト ディレクトリに保存する習慣をつけましょう。</p>\n\
<p><strong>次のトピック</strong></p>\n\
<p><a href=\"Loading-and-Running-Your-Script.html\">スクリプト ファイルのロードと実行</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Creating-Your-Own-Scripts.html\">独自のスクリプトの作成</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";