var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-28C01632-B984-483F-9233-FD7B62F093BE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト エディタ</h1></div><p>ここまでで、<a href=\"./../Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">オブジェクトの作成</a>および<a href=\"./../Manipulating-The-Box-First-Steps/Modifying-the-Box.html\">操作</a>の基礎を学ぶことができました。次のステップはプログラミングです。</p>\n\
<p>実際のところ、MAXScript はプログラミング言語であり、MAXScript をマスターする上で必要な最も重要な概念は条件ステートメントおよびループです。</p>\n\
<p>ここで、実際のスクリプト作成が関係してきます。<strong>メイン メニューの[MAXScript]</strong>メニュー項目から、[新規スクリプト](New Script)を選択します。新しい[スクリプト エディタ](Scripting Editor)ウィンドウが開きます。このウィンドウで、スクリプトの作成、編集、保存、およびロードが実行できます。</p>\n\
<p>新規スクリプトを開くもう 1 つの方法は、[ユーティリティ]パネルの MAXscript ユーティリティで[新規スクリプト]ボタンを押すことです。</p>\n\
<p>リスナーと違って、エディタ内では複数のスクリプトをタブとして開き、一度に複数のスクリプトに対して作業を行えます。たとえば、スクリプト間でコードをコピーして貼り付けたりすることができます。</p>\n\
<p>ここまでのチュートリアルでスクリプト リスナーのすべてのスクリプト例を実行してきましたが、独自のスクリプトの作成または編集をする場合にはスクリプト エディタを使用します。</p>\n\
<p>スクリプト エディタとリスナーの主な違いは、リスナーが一度に評価できる情報セットは １ つのみであるという点です。逆に、スクリプト エディタでは長い、複雑なスクリプトを入力して、1 つずつまたは一度に評価できます。</p>\n\
<p>スクリプトは同じ構文と規則で入力しますが、[Enter]キーを押すまで実行されません。スクリプト全体を実行するためには、スクリプト エディタの[ツール] (Tool)メニューから[すべてを評価](Evaluate All)を選択するか、<strong>[Ctrl]+[E]</strong>を押します。</p>\n\
<p>複数行のスクリプトを一度に実行するには、実行する行をハイライト表示させ、<strong>[Shift]+[Enter]</strong>を押すか、テンキーで<strong>[Enter]</strong>を押します。</p>\n\
\n\
<div class=\"callout callout-important\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-exclamation-triangle\" aria-hidden=\"true\"></i>重要:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p>   </p>\n\
<p>   このページの残りの部分は参考情報であり、前の章からのチュートリアルに直接的につながるものではありません。以下に説明するツールについては、存在を確認する程度にして使用しないでください。</p>\n\
<p>   実践的な例について引き続き確認する場合は、「<a href=\"Controlling-Program-Flow-in.html\">スクリプトでのプログラム フロー制御</a>」のトピックにアクセスしてください。</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"-\">スクリプト エディタのナビゲーション</h2><p>スクリプト エディタには、大きなスクリプトをナビゲートしてエラーをチェックするいくつかの便利なツールがあります。</p>\n\
<h3 id=\"-\">タブとインデント</h3><p><strong>[Tab]</strong>キーを使用してスクリプトのインデントを制御できます。こうするとスクリプトの読み出しと、コマンドのブロックの作成に使用する括弧 () の追跡が容易になります。</p>\n\
<p>単純な機能のテキスト エディタと違って、複数行を選択して<strong>[Tab]</strong>キーを押しても行は削除されず、これらがブロックとしてインデント処理されます。</p>\n\
<p>選択した行の開始位置をタブ 1 つ分だけ元に戻すには、<strong>[Shift]+[Tab]</strong>を押します。</p>\n\
<p><strong>[Enter]</strong>キーを押してスクリプト内のインデント処理されたブロック内部に新しい行を追加する場合、新しく挿入する行も同じようにインデント処理され、周囲のコード行と同じ数のタブを使用します。新しい行のインデントを少なくしたい場合は、<strong>[Backspace]</strong>キーを一度以上押してタブを削除します。</p>\n\
<p>また、フォーマットの確認や修正を行いやすくするため、<strong>[Ctrl]+[Shift]+[8]</strong>を押して、タブやその他の空白を表示することもできます。</p>\n\
<p><img src=\"./images/GUID-85A7ACEC-17FD-4823-AE51-BE1A8613DAB7-low.gif\" alt></p>\n\
<h3 id=\"-ctrl-\">[Ctrl]キーと右クリックによるナビゲーション</h3><p><strong>[Ctrl]キーを押しながら右クリック</strong>すると、右クリック メニューが表示され、スクリプト内の特定のイベント、UI 項目、関数またはロールアウト定義にジャンプすることができます。このメニューからエントリを選択すると、エディタの位置が選択した項目の定義を含むコード行に再設定されます。</p>\n\
<p><img src=\"./images/GUID-8B91DF62-E7C5-4CDC-AD9D-41679C9FB6A7-low.gif\" alt></p>\n\
<p>この機能を動作させるには、エディタには最低いずれか 1 つのサポートされる要素が含まれていなければなりません。この条件に満たない場合、ナビゲーション メニューが表示されません。</p>\n\
<h3 id=\"-\">ブラケット バランス</h3><p>複雑なスクリプトの場合、コマンドのブロックを見失いがちなので、括弧を追加したり外したりする必要があります。これらのエラーは、<strong>[Ctrl]+[Shift]+[B]</strong>を押すことで検索できます。MAXScript では、カーソルの置かれたブロックがハイライト表示され、括弧の最初と最後が示されます。<strong>[Ctrl]+[B]</strong>を押すと、カーソルが対になっている括弧にジャンプします。また、エディタでは括弧の関係を分かりやすくするため、既定値で括弧のペアを結ぶガイドが表示されます。</p>\n\
<p><img src=\"./images/GUID-C814249B-F415-410E-ACCF-C81D64105940-low.gif\" alt></p>\n\
<h3 id=\"-\">コードの色付け</h3><p>MAXScript では、スクリプトを見た目で分かりやすくするため、さまざまな要素に別々の色を付けて表示します。<strong>3ds Max 2008</strong> 以降では、カラー コーディングは MAXScript からリスナーに直接書き出されたデータに基づきます。 このため、すべての種類のキーワード、関数、インタフェース、オブジェクト名などが自動的に認識され、これに応じて色分けされます。</p>\n\
<p>カラー コーディングはダイナミックに実行されますが、<strong>[Shift]+[F11]</strong>を押すか、メニューから[言語] (Language) &gt; [Text]を選択することでオフにすることもできます。[言語] (Language) &gt; [MAXScript]を選択すると、カラー コーディングが再度有効になります。</p>\n\
<p><strong>関連項目</strong></p>\n\
<p><a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\">[スクリプト エディタ](Scripting Editor)ウィンドウ</a></p>\n\
<p><a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Commands.html\">[スクリプト エディタ](Scripting Editor)のコマンド</a></p>\n\
<p><strong>次のトピック</strong></p>\n\
<p><a href=\"Controlling-Program-Flow-in.html\">スクリプトでのプログラム フロー制御</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Creating-Your-Own-Scripts.html\">独自のスクリプトの作成</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";