var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8FCABE2E-664A-4A82-9FAC-2C5694DC8B4C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ベクトル算術</h1></div><p>この項は、ベクトルについて復習するための簡単な解説です。ベクトルとベクトル計算に関する十分な知識があれば、省略して次に進んでください。このトピックの内容が難しい場合は、より基本的な参考書をお読みください。</p>\n\
<p>ベクトルは、特定の空間における長さと方向を表します。ベクトルは、[5, 5, 7]のように点で表します。長さは原点からその位置までの距離であり、方向は同じく原点からその位置までの(そして更にその先も含めた)方向です。</p>\n\
<p><strong>3ds Max</strong> では、ベクトルには 3 つの値があり、3 次元空間での位置を表します。ベクトルはまた、X、Y、Z のパーセント スケールを表し、より理論的に RGB カラー空間での位置を表します。</p>\n\
<p><strong>単位ベクトルと基本ベクトル</strong></p>\n\
<p>単位ベクトルの長さは 1 です。一般に単位ベクトルは方向だけを表現するときに使用します。3 つの基本ベクトルとは、3D スペースの 3 軸(X、Y、Z)を表す単位ベクトルのことです。</p>\n\
<p><img src=\"./images/GUID-29CE477A-7F8A-4BAD-8EAB-75EDA60CC5F8-low.gif\" alt=\"\"></p>\n\
<p>基本ベクトルと X、Y、Z 軸</p>\n\
<p><strong>ベクトルの加算と減算</strong></p>\n\
<p>2 つのベクトルを加算すると、元の 2 つの長さと方向が組み合わされた新規ベクトルが作成されます。ベクトル加算は、V+W = W+V のように交換可能です。</p>\n\
<p><img src=\"./images/GUID-12C70F4A-B45F-4251-8935-4A671A484361-low.gif\" alt=\"\"></p>\n\
<p>2 本のベクトルを追加する</p>\n\
<p><img src=\"./images/GUID-2DB06E23-FC8B-4DBB-BDBC-2EB3D2DDE0C6-low.gif\" alt=\"\"></p>\n\
<p>2 本のベクトルを除算すると、2 点間にベクトルができます。</p>\n\
<p><img src=\"./images/GUID-955E7E5A-F384-4E9B-B0CE-4D6CBD537057-low.gif\" alt=\"\"></p>\n\
<p>2 本のベクトルを削除する</p>\n\
<p><img src=\"./images/GUID-8F26451F-5497-4E9F-9743-53F7688D7DB4-low.gif\" alt=\"\"></p>\n\
<p><strong>スカラー乗算と除算</strong></p>\n\
<p>ベクトルをスカラーで乗算するか除算すると、ベクトルの長さが変更されます。</p>\n\
<p><img src=\"./images/GUID-D519729D-A4A3-47F9-B71E-4ED8D5681D0F-low.gif\" alt=\"\"></p>\n\
<p><strong>ベクトルの長さと方向</strong></p>\n\
<p>ベクトルの長さはピタゴラスの定理で得られます。</p>\n\
<p><img src=\"./images/GUID-846F406B-F0D2-4998-B1F7-BC274DAA3C99-low.gif\" alt=\"\"></p>\n\
<p>MAXScript では、<code>length()</code> 関数はこの値を返します。</p>\n\
<p>ベクトルの方向は、その長さで除したベクトルであり、同じ方向の単位ベクトルが得られます。</p>\n\
<p><img src=\"./images/GUID-F428FADA-1175-4CC0-B027-F971D4A67873-low.gif\" alt=\"\"></p>\n\
<p>2 点間の距離は、その間のベクトルの長さです。</p>\n\
<p><img src=\"./images/GUID-E988A3B4-4C4C-4838-ABCD-3AE67288F863-low.gif\" alt=\"\"></p>\n\
<p>ベクトルを引いて距離を求める</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Learning-MAXScript.html\">MAXScript トレーニング</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";