var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E8A47D42-6F26-4AFA-965F-5CA9A38BC7C9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript の[ユーティリティ] (Utility)パネル</h1></div><p>最初のバージョンである <strong>3ds Max 2.0</strong> では、MAXScript は[ユーティリティ] (Utility)パネルの MAXScript ユーティリティからのみアクセスできました。<strong>3ds Max 3.0</strong> より MAXScript がメイン メニューに表示されるようになり、ステータス パネルに[ミニ リスナー](Mini Listener)が追加されました。</p>\n\
<p>ここでは、[ユーティリティ] (Utility)パネル内に当初からある MAXScript へのユーザ インタフェースについて説明します。これらのユーザ インタフェースは、[ユーティリティ] (Utility)パネルの[MAXScript]ロールアウト、[リスナー] (Listener)ウィンドウ、[スクリプト エディタ](Scripting Editor)ウィンドウで構成されています。</p>\n\
<p>MAXScript のユーティリティ パネルのロールアウトにアクセスするには、[ユーティリティ] (Utility)パネルを開いて[MAXScript]ボタンをクリックします。</p>\n\
<p><img src=\"./images/GUID-659246EC-5B7C-40BA-BA94-5D4788F63DF7-low.gif\" alt=\"\"></p>\n\
<p>[MAXScript]ロールアウトには、次のオプションが表示されます。</p>\n\
<p><strong>[リスナーを開く](Open Listener)</strong></p>\n\
<p>[スクリプト リスナー](Scripting Listener)ウィンドウを開きます。また[スクリプト リスナー](Scripting Listener)ウィンドウが最小化されている場合や他の <strong>3ds Max</strong> ウィンドウの後ろにある場合は、復元して前面に表示します。[リスナー] (Listener)ウィンドウを開くには、<strong>3ds Max</strong> ステータス バーの[ミニ リスナー](Mini Listener)を右クリックして[リスナー ウィンドウを開く](Open Listener Window)を選択するか、<strong>3ds Max</strong> メニュー バーの<strong>[MAXScript] &gt; [スクリプト リスナー](Scripting Listener)</strong>を選択するか、[F11]を押します。</p>\n\
<p>リスナー ウィンドウの機能とコマンドについては、「<a href=\"The-MAXScript-Listener-Window.html\">[スクリプト リスナー](Scripting Listener)ウィンドウ</a>」を参照してください。</p>\n\
<p><strong>[新規スクリプト](New Script)</strong></p>\n\
<p>新規スクリプトの作成に使用する新しい[スクリプト エディタ](Scripting Editor)ウィンドウを開きます。新しいエディタ ウィンドウを開くには、<strong>3ds Max</strong> メニュー バーの<strong>[MAXScript] &gt; [新規スクリプト](New Script)</strong>を選択するか、[リスナー] (Listener)ウィンドウのメニュー バーから<strong>[ファイル] (File) &gt; [新規スクリプト](New Script)</strong>を選択します。</p>\n\
<p>エディタ ウィンドウの機能とコマンドについては、<a href=\"The-MAXScript-Editor-Windows.html\">「[スクリプト エディタ](Scripting Editor)ウィンドウ」</a>を参照してください。</p>\n\
<p><strong>[スクリプトを開く](Open Script)</strong></p>\n\
<p>既存のスクリプトを選択する一般的な[ファイルを開く](File Open)ダイアログ ボックスを開きます。[スクリプト エディタ](Scripting Editor)ウィンドウには、選択されたスクリプトが表示されます。スクリプト ファイルを開くには、<strong>3ds Max</strong> メニュー バーの<strong>[MAXScript] &gt; [スクリプトを開く](Open Script)</strong>を選択するか、[リスナー] (Listener)ウィンドウのメニュー バーの[ファイル] (File) &gt; [スクリプトを開く](Open Script)を選択します。</p>\n\
<p>エディタ ウィンドウの機能とコマンドについては、<a href=\"The-MAXScript-Editor-Windows.html\">「[スクリプト エディタ](Scripting Editor)ウィンドウ」</a>を参照してください。</p>\n\
<p><strong>[スクリプトを起動](Run Script)</strong></p>\n\
<p>既存のスクリプトを選択する一般的な[ファイルを開く](File Open)ダイアログ ボックスを開きます。選択したスクリプトが読み込まれ、実行されます。[リスナー] (Listener)ウィンドウに結果が出力されます。スクリプト ファイルを実行するには、<strong>3ds Max</strong> メニュー バーの<strong>[MAXScript] &gt; [スクリプトを起動](Run Script)</strong>を選択するか、[リスナー] (Listener)ウィンドウのメニュー バーの<strong>[ファイル] (File) &gt; [スクリプトを起動](Run Script)</strong>を選択します。</p>\n\
<p>詳細は、「<a href=\"Running-Scripts.html\">スクリプトの実行</a>」を参照してください。</p>\n\
<p><strong>[ユーティリティ] (Utilities)</strong></p>\n\
<p>使用できるスクリプト ユーティリティのリストを表示します。スクリプト ユーティリティを定義する MAXScript は、[ユーティリティ] (Utility)リストにユーティリティ名が表示される前に実行しなければなりません。</p>\n\
<p>詳細は、「<a href=\"Accessing-Scripted-Utilities.html\">スクリプト ユーティリティのアクセス</a>」を参照してください。</p>\n\
<p><strong>[閉じる] (Close)</strong></p>\n\
<p>MAXScript ユーティリティのロールアウトを閉じます。スクリプトで記述されたユーティリティのパネル ロールアウトもすべて閉じられます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">MAXScript へのアクセス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";