var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9CF9AE1B-CDB5-4120-96C0-BCE410572CC9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>[スクリプト] (Scripting)メニュー</h1></div><p>MAXScript 関連の項目は、メイン メニュー バーの[スクリプト] (Scripting)プルダウン メニューに表示されます。このメニューから、[Max クリエーション グラフ](Max Creation Graph)など、他のスクリプト関連機能にもアクセスできます。さらに、MAXScript の機能には、[ユーティリティ] (Utilities)パネルの <a href=\"The-MAXScript-Utility-Panel.html\">MAXScript ユーティリティ</a>からアクセスすることもできます。</p>\n\
<p>MAXScript 機能にアクセスするには、メイン メニューの[スクリプト] (Scripting)メニュー項目をクリックします。</p>\n\
<p><img src=\"./images/GUID-60876DBC-44ED-416E-92AD-9856823E8A16-low.gif\" alt=\"\"></p>\n\
<p>[スクリプト] (Scripting)メニューには、次のオプションが表示されます。</p>\n\
<h4 id=\"-new-script-\">新規スクリプト(New Script)</h4><p>[スクリプト エディタ](Scripting Editor)ウィンドウ内に「タイトルなし」スクリプトの新規タブを開きます。[スクリプト エディタ](Scripting Editor)ウィンドウの新規タブを開くには、[ユーティリティ] (Utilities)パネルの MAXScript ユーティリティで[新規スクリプト](New Script)を選択するか、[スクリプト リスナー](Scripting Listener)ウィンドウのメニュー バーの_[ファイル] (File) &gt; [新規スクリプト](New Script)_を選択します。</p>\n\
<p>[スクリプト エディタ](Scripting Editor)ウィンドウの機能とコマンドについては、「[スクリプト エディタ](Scripting Editor)ウィンドウ」を参照してください。</p>\n\
<h4 id=\"-open-script-\">スクリプトを開く...(Open Script...)</h4><p>既存のスクリプトを選択するための、一般的な[ファイルを開く](File Open)ダイアログ ボックスを開きます。[スクリプト エディタ](Scripting Editor)ウィンドウの新規タブには、選択されたスクリプトが表示されます。スクリプト ファイルを開くには、[ユーティリティ] (Utilities)パネルの MAXScript ユーティリティで[スクリプトを開く](Open Script)を選択するか、[スクリプト リスナー](Scripting Listener)ウィンドウのメニュー バーの_[ファイル] (File) &gt; [スクリプトを開く](Open Script)_を選択します。</p>\n\
<p>[スクリプト エディタ](Scripting Editor)ウィンドウの機能とコマンドについては、「[スクリプト エディタ](Scripting Editor)ウィンドウ」を参照してください。</p>\n\
<h4 id=\"-run-script-\">スクリプトを起動...(Run Script...)</h4><p>既存のスクリプトを選択するための、一般的な[ファイルを開く](File Open)ダイアログ ボックスを開きます。選択したスクリプトが読み込まれ、実行されます。[スクリプト リスナー](Scripting Listener)ウィンドウに結果が出力されます。スクリプト ファイルを開くには、[ユーティリティ] (Utilities)パネルの MAXScript ユーティリティで[スクリプトを開く](Open Script)を選択するか、[スクリプト リスナー](Scripting Listener)ウィンドウのメニュー バーの_[ファイル] (File) &gt; [スクリプトを起動](Run Script)_を選択して実行することもできます。</p>\n\
<p>詳細は、「スクリプトの実行」を参照してください。</p>\n\
<h4 id=\"-scripting-listener-\">スクリプト リスナー(Scripting Listener)</h4><p>[スクリプト リスナー](Scripting Listener)ウィンドウを切り替えます。[スクリプト リスナー](Scripting Listener)ウィンドウを開くには、<em>3ds Max</em> ステータス バーの[ミニ リスナー](Mini Listener)を右クリックして[リスナー ウィンドウを開く](Open Listener Window)を選択するか、[ユーティリティ] (Utilities)パネルの MAXScript ユーティリティで[リスナーを開く](Open Listener)を選択するか、[F11]を押します。</p>\n\
<p>[スクリプト リスナー](Scripting Listener)ウィンドウの機能とコマンドについては、「[スクリプト リスナー](Scripting Listener)ウィンドウ」を参照してください。</p>\n\
<h4 id=\"-scripting-editor-\">スクリプト エディタ(Scripting Editor)</h4><p>[スクリプト エディタ](Scripting Editor)ウィンドウを切り替えます。このメニュー項目は <em>3ds Max 2008</em> で追加されたもので、内容を失わずに、エディタの表示と非表示を行うことができます。タブに開かれたすべての保存済みスクリプトは、複数の <em>3ds Max</em> セッション間で保存および復元することもできます。</p>\n\
<h4 id=\"-macro-recorder-\">マクロ レコーダ(Macro Recorder)</h4><p>MAXScript のマクロ レコーダのオンとオフを切り替えます。マクロ レコーダ(Macro Recorder)では、スクリプト リスナーの独立したペイン内で、ユーザのアクションに基づいたスクリプト コードを生成します。</p>\n\
<p>マクロ レコーダの機能については、「マクロ レコーダ」を参照してください。</p>\n\
<h4 id=\"-max-visual-maxscript-editor-\">ビジュアル MAX スクリプト エディタ(Visual MAXScript Editor)</h4><p>ビジュアル MAX スクリプト エディタを開きます。このエディタを使用して、スクリプト ロールアウト、ユーティリティ、およびフロータのユーザ インタフェースを新規作成したり、既存のユーザ インタフェースを編集したりします。</p>\n\
<p>ビジュアル MAX スクリプト エディタの機能については、「ビジュアル MAX スクリプト」を参照してください。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">MAXScript へのアクセス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";