var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C0CB9BDA-12A0-4A41-8C6C-757F7065239D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>[Esc]による中止</h1></div><p><strong>[Esc]</strong>を押し続けると、MAXScript コードの実行を中止することができます。応答に多少時間がかかることがありますが、MAXScript が応答するまで<strong>[Esc]</strong>を押し続けてください。スクリプトで書かれたユーティリティ、スクリプト コントローラ、[スクリプト リスナー](Scripting Listener)ウィンドウのどこから実行しても、<strong>[Esc]</strong>を押すと、その時点で実行されている MAXScript コードは中止されます。中止された MAXScript コードがスクリプト コントローラで使用されている場合は、コントローラが使用するスクリプトを表示する[スクリプト コントローラ](Script Controller)ダイアログ ボックスが表示されます。[閉じる] (Close)ボタンをクリックすると、スクリプト コントローラの実行が再開されます。</p>\n\
<p>MAXScript コードは、実行中に <strong>3ds Max</strong> の残りをロックアウトします。MAXScript コードの動作とユーザの操作の衝突を回避するため、MAXScript コードの実行中は、<strong>3ds Max</strong> とのインタラクティブ操作は実行できません。<strong>3ds Max</strong> の応答がない場合には、何らかの MACScript が実行されていることがあります。 その場合、<strong>[Esc]</strong>を押してコードの実行を中止することができます。スクリプトのテスト中、妥当な時間が経過しても <strong>3ds Max</strong> がユーザにコントロールを戻さない場合、<strong>[Esc]</strong>を押してコードの実行を中止してください。<strong>[Esc]</strong>を押すと、[スクリプト リスナー](Scripting Listener)ウィンドウでの複数のコマンドのコンパイルを中止することができます。</p>\n\
<p>スクリプト内で MAXScript グローバル変数の <code>escapeEnable</code> を使用すれば、<strong>[Esc]</strong>による割り込みの検出のオン、オフを切り替えられます。</p>\n\
<p><strong>3ds Max 9 以降</strong>では、既定値が <code>false</code> に変更されました。この既定値は <strong>3ds Max 9</strong> 以前のバージョンでは <code>true</code> でした。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">一般的な MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";