var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F2A15BBB-2542-4983-89C0-BAEDC0E6051E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>新規ユーザのためのスクリプト関数</h1></div><p>関数とは、特定のタスクを完了させることを目的としたコードのことです。定義した関数は、さまざまなスクリプトで何回も呼び出すことができます。関数を使用すると、新しいスクリプトを効率的に開発できます。頻繁に使用するコードがあらかじめ用意されているため、呼び出すだけで予期する結果を取得できるためです。さらに、関数を使用することで最終的なコードが適切に構造化され、読み込みや保守がより簡単になります。</p>\n\
<p><strong>3ds Max</strong> には、多数の定義済みカスタム関数が付属しています。 たとえば、MacroScript でオブジェクト フィルタを定義するための関数や、ロールアウトを自動的に構築するための関数などです。また、無料で使用できるサードパーティのスクリプト関数も豊富に配布されており、Web からダウンロードすることができます。新しい MAXScript ユーザは、このような関数を利用すると、MAXScript 言語の学習に取り組みやすくなります。</p>\n\
<p>新しい MAXScript ユーザは、このような関数を利用すると、MAXScript 言語の学習に取り組みやすくなります。MAXScript の関数には、パラメータを必要とするものと必要としないものがあります。関数が必要とするパラメータとその数は、関数の定義を見るだけで簡単に確認できます。パラメータを必要としない関数は、関数の名前に () を追加して呼び出します。</p>\n\
<p><strong>項目:</strong></p>\n\
<p><a href=\"MAXScript-for-New-and-Casual-1.html\">新規および臨時ユーザ用 MAXScript</a></p>\n\
<p><a href=\"Scripted-Utilities-for-New-Users.html\">新規ユーザのためのスクリプト ユーティリティ</a></p>\n\
<p><a href=\"MacroScripts-for-New-Users.html\">新規ユーザのための MacroScript</a></p>\n\
<p><a href=\"Scripted-Plug-ins-for-New-Users.html\">新規ユーザのためのスクリプト プラグイン</a></p>\n\
<p><a href=\"MAXScript-DLX-Extensions-for-New.html\">新規ユーザのための MAXScript DLX 拡張機能</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-for-New-and-Casual.html\">新規および臨時ユーザ用 MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Startup-Scripts.html\">スタートアップ スクリプト</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Language-Reference/Creating-Functions/Creating-Functions-1.html\">関数の作成</a></li>\n\
          <li><a class=\"link\" href=\"../../Script-Examples-In-This-Help.html\">このヘルプのスクリプトの例</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";