var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0CA68F7B-8B14-4D5E-8D9C-BE97E2881B43\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>プロパティ、メソッド、演算子、リテラル</h1></div><p>オブジェクト指向型プログラミングの特徴の 1 つに、クラスが内部でどのように機能するかが見えないようになっていることが挙げられます。クラスとのやりとりはすべて、そのクラスのための外部インタフェースで定義されます。これらの外部インタフェースは、いくつかのカテゴリに分けられています。</p>\n\
<p><strong>プロパティ:</strong> クラスのオブジェクトに対してアクセス可能なパラメータです。 プロパティには、ボックスの高さ、幅、長さや、球の半径などがあります。</p>\n\
<p><strong>メソッド:</strong> クラスのオブジェクトに対して呼び出すことができるすべての関数を定義します。 メソッドには、<strong>3ds Max</strong> オブジェクトの移動や回転、<strong>3ds Max</strong> オブジェクトへのモディファイヤの追加、<strong>3ds Max</strong> オブジェクトの頂点の位置へのアクセスなどが挙げられます。このドキュメントでは、「メ<em>ソッド</em>」と「<em>関数</em>」の用語は同義語です。</p>\n\
<p><strong>演算子:</strong> クラス内の値に関して定義される算術および記号演算子を定義します。 演算子には、数値、カラー、ベクトル、行列などに算術演算を行う「-」演算子が挙げられます。この演算子を <strong>3ds Max</strong> オブジェクトに使用すると、ブール値の減算が行われます。</p>\n\
<p><strong>コンストラクタ:</strong> クラスのオブジェクトを作成するさまざまな方法です。 たとえば、<code>Point3 0 0 0</code> と <code>&lt;color&gt; as Point3</code> は、Point3 クラスのコンストラクタです。これらのコンストラクタのどちらかを実行すると、新しい Point3 オブジェクトが作成されます。</p>\n\
<p><strong>リテラル:</strong> クラスのオブジェクトに対する任意のリテラル形式です。 たとえば、[0,0,0]は Point3 のリテラル フォーム、「Hello world」は文字列のリテラル フォームです。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Objects-and-Classes-in-Object.html\">オブジェクト指向プログラミングにおけるオブジェクトとクラス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";