var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1B1833F0-8712-4EA5-AFFA-3E42DBF7960C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript デバッガ</h1></div><p><strong>3ds Max 8 以降</strong>の <strong>MAXScript デバッガ</strong>は、スクリプト開発とデバッグ環境の一部を実装します。それにより、<strong>3ds Max</strong> のメイン スレッドを中断したり、<strong>3ds Max</strong> スレッドが動作していない間にグローバル変数とローカル変数の値の調査と変更を行ったり、コマンド ラインから MAXScript コマンドを実行したり、MAXScript コード内からメソッドを呼び出して実行を中断することができます。デバッガでは、中断したコードの実行の停止や継続を行うこともできます。</p>\n\
<p><strong>3ds Max 2010</strong> では、コード ツリー内における行番号のサポートが追加され、エラーの位置を正確にレポートできるほか、MAXScript コードにアサートを追加して、プログラムの有効性を調べられるようになりました。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"The-MAXScript-Debugger/Accessing-the-Debugger-Dialog.html\">デバッガ ダイアログへのアクセス</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"The-MAXScript-Debugger/Assert-Functions.html\">Assert 関数</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"The-MAXScript-Debugger/CRT-Debug-Functions.html\">CRT デバッグ関数</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"The-MAXScript-Debugger/Debugger-variables-for-Functions.html\">関数のデバッガ変数</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"The-MAXScript-Debugger/Manual-Break-Points-using-the.html\">Break() 関数を使用した手動ブレークポイント</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"The-MAXScript-Debugger/Manual-Stack-Dump-using-the.html\">Stack() 関数を使用した手動スタック ダンプ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"The-MAXScript-Debugger/Threads-Access-via-MAXScript.html\">MAXScript 関数を介したスレッドへのアクセス</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"The-MAXScript-Debugger/Using-the-MAXScript-Debugger.html\">MAXScript デバッガの使用</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Introduction.html\">MAXScript の紹介</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";