var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-EC769B4F-D1CA-4ADC-A63E-E9CAD90C6C52\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>デバッガ ダイアログへのアクセス</h1></div><p>MAXScript に関するデバッガ ダイアログは、次の手順で開きます。</p>\n\
<ul>\n\
<li><strong>3ds Max</strong> のメイン メニューで、<strong>[MAXScript]</strong> &gt; <strong>[デバッガ ダイアログ...](Debugger Dialog...)</strong>の順に選択します。</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-2C17C2ED-8B86-41D2-BBB4-B03FDCF8EB9E-low.gif\" alt></p>\n\
<ul>\n\
<li>[スクリプト リスナー](Scripting Listener)メニュー &gt; <strong>[デバッガ] (Debugger)</strong> &gt; <strong>[デバッガ ダイアログ...](Debugger Dialog...)</strong>の順に選択します。</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-5C8F5A5D-329E-4E28-9518-592BE0C8CAD3-low.gif\" alt></p>\n\
<h2 id=\"-\">デバッガ ダイアログ</h2><p><strong>MAXScript デバッガ ダイアログ</strong>は独立したスレッドで実行されるので、<strong>3ds Max</strong> には依存しません。</p>\n\
<p>デバッガには独自のアイコンがあり、Windows タスクバー内では独立したアプリケーションとして表示されます。このため、インタラクティブな状態のまま <strong>3ds Max</strong> スレッドの実行を中断させることもできます。</p>\n\
<p>デバッガ ダイアログは、ダイアログの右下隅か境界線をドラッグすることでサイズ変更できます。他のウィンドウと同じように、最小化したり、最大化したり、閉じることもできます。</p>\n\
<p><img src=\"./images/GUID-50579F77-3D2B-4414-A2D9-1B97A4BB64D8-low.gif\" alt></p>\n\
<p>[デバッガ] (Debugger)ダイアログボックスには、次のコントロールがあります。</p>\n\
<h2 id=\"-\">コマンド</h2><p>コマンド ラインです。ここにデバッガのコマンドを入力して、コード フレームをナビゲートしたり、変数を問い合わせたり、変数の値を変更したり、ブレーク モードにある MAXScript コマンドを実行することができます。</p>\n\
<p><strong>使用可能なコマンドは次のとおりです。</strong></p>\n\
<ul>\n\
<li><p><code>threads</code> - すべてのスレッドを一覧表示</p>\n\
</li>\n\
<li><p><code>setThread&lt;integer literal&gt;</code> - 指定したスレッドをアクティブなスレッドに設定します。 stack - アクティブなスレッドのスタックをダンプします。</p>\n\
</li>\n\
<li><p><code>setFrame&lt;integer literal&gt;</code> - 指定したフレームをアクティブ フレーム ローカルとして設定します。{<string literal>} - 現在アクティブなスレッドとフレームの変数、または指定した変数をダンプします。</string></p>\n\
</li>\n\
<li><p><code>getVar&lt;string literal&gt;</code> - アクティブなフレームまたはグローバルにある指定した変数の値を取得します。</p>\n\
</li>\n\
<li><p><code>setVar&lt;string literal&gt; &lt;expr&gt;</code> - アクティブなフレームまたはグローバルにある指定した変数の値を設定します。式はアクティブなフレームのスコープ内で評価されます。</p>\n\
</li>\n\
<li><p><code>eval&lt;expr&gt;</code> - 式を評価します。式はアクティブなフレームのスコープ内で評価されます。</p>\n\
</li>\n\
<li><p><code>?</code> - デバッガのコマンドの一覧を表示します。</p>\n\
</li>\n\
</ul>\n\
<h2 id=\"-\">出力</h2><p>出力ウィンドウです。 ここには、コードのトレースバックや、コマンド ラインで入力したコマンドによる結果が表示されます。</p>\n\
<p><img src=\"./images/GUID-DE46CEEF-EBE0-430D-981F-D03BD174BF30-low.gif\" alt></p>\n\
<h2 id=\"-\">ブレーク</h2><p>このボタンを押すと、メインの <strong>3ds Max</strong> スレッドの実行が中断され、そのスレッドで実行されていた任意の MAXScript コードの現在の状態をデバッガによって表示することができます。このボタンは一度押したら、[実行] (Run)または[中止] (Stop)ボタンを押して <strong>3ds Max</strong> スレッドの実行を続行させるまで無効になります。ブレーク状態の間は、<strong>3ds Max</strong> UI はまったく使用できません。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> </div>\n\
<p><strong>暗号化されたスクリプト</strong>内で定義された関数、マウス ツール、プラグイン、ロールアウトの場合、ローカル変数の値がエラーのトレースバック中にダンプされたり、ブレーク後にデバッガ フレームに表示されることはありません。これは、暗号化されたコマーシャル コードに対する下位レベルのアクセスを防ぐための措置です。</p>\n\
<h2 id=\"-\">実行</h2><p>ブレークされたメインの <strong>3ds Max</strong> スレッドの実行を再開します。このボタンは既定では無効になっており、ブレークが実行されると有効になります。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> [Esc]キーを押したまま<strong>[実行] (Run)</strong>ボタンをクリックすると、通常 MAXScript では即座に例外が発生します。ただし、デバッガ内で<strong>[エラー箇所でブレーク](Break on Error)</strong>がオンになっている場合、この例外によってデバッガ内へのブレーク バックが発生します。</div>\n\
<h2 id=\"-\">評価</h2><p>このボタンを押すと、コマンド ラインが評価されます。</p>\n\
<h2 id=\"-\">ウォッチ...</h2><p>このチェックボタンを押すと、[ウォッチ マネージャ](Watch Manager)ダイアログ ボックスが開きます。 このダイアログ ボックスでは、関連するグローバル変数やローカル変数の値を監視できます。このボタンをオンにすると、[ウォッチ マネージャ](Watch Manager)ダイアログ ボックスが開いた状態になります。このボタンをオフにすると、[ウォッチ マネージャ](Watch Manager)ダイアログ ボックスが閉じます。</p>\n\
<p><img src=\"./images/GUID-C3222D49-6634-4C51-8657-5647585A057E-low.gif\" alt></p>\n\
<h2 id=\"-\">停止</h2><p>このボタンを押すと、ブレーク後に、<strong>[実行] (Run)</strong>ボタンによって実行を続ける代わりに、コードの実行を中止することができます。<strong>[中止] (Stop)</strong>ボタンを押すと <strong>3ds Max</strong> の実行が再開されますが、呼び出しスクリプトによって例外が発生してしまいます。この例外はデバッガによってキャッチされないので、実行中のスクリプトを終了させることができます。この例外はデバッガによってキャッチされないので、実行中のスクリプトを終了させることができます。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> <strong>[中止] (Stop)</strong>ボタンは、スクリプトによって実行がブレークされた場合にのみ有効になります。[ブレーク] (Break)ボタンによってブレークされた場合は有効にはなりません。</div>\n\
<h2 id=\"-\">クリア</h2><p>このボタンを押すと、[出力] (Output)ウィンドウの内容がクリアされます。</p>\n\
<h2 id=\"-\">デバッガ パラメータダイアログ ボックス</h2><p>この<strong>[設定] (Config)</strong>ボタンを押すと、モーダルな<strong>[MAXScript デバッガ パラメータ](MAXScript Debugger Parameters)</strong>ダイアログ ボックスが開きます。 ここでは、デバッガの設定をカスタマイズしたり、特定の機能のオンとオフを切り替えたりすることができます。</p>\n\
<p><img src=\"./images/GUID-5D9DED78-8CE8-4950-9F5F-A4AEF47C282F-low.gif\" alt></p>\n\
<p><strong>[MAXScript デバッガ パラメータ](MAXScript Debugger Parameters)</strong>ダイアログ ボックスには、次のようなオプションがあります。</p>\n\
<ul>\n\
<li><p><strong>[ブレーク命令を許可する](Allow Break On Throw)</strong> - チェックマークが付いている場合、スローが検出されると、デバッガがコードの実行をブレークします。<strong>既定値はオン</strong>です。</p>\n\
</li>\n\
<li><p><strong>[エラー箇所でブレーク](Break On Error)</strong> - チェックマークが付いている場合、エラーが検出されると、デバッガがコード実行をブレークします。<strong>既定値はオフ</strong>です。</p>\n\
</li>\n\
<li><p><strong>[例外箇所でブレーク](Break On Exception)</strong> - チェックマークが付いている場合、例外が検出されると、デバッガがコード実行をブレークします。<strong>既定値はオフ</strong>です。</p>\n\
</li>\n\
<li><p><strong>[キャッチしたスローを無視](Ignore Caught Throws)</strong> - チェックマークが付いている場合、スローをキャッチしても、デバッガはそのスローを無視し、コードの実行をブレークしません。チェックマークが付いていない場合、スローをキャッチすると、デバッガはブレークを実行します。<strong>既定値はオン</strong>です。</p>\n\
</li>\n\
<li><p><strong>[キャッチした エラーを無視](Ignore Caught Errors)</strong> - チェックマークが付いている場合、エラーをキャッチしても、デバッガはそのエラーを無視し、コードの実行をブレークしません。チェックマークが付いていない場合、エラーをキャッチすると、デバッガはブレークを実行します。<strong>既定値はオン</strong>です。</p>\n\
</li>\n\
<li><p><strong>[キャッチした例外を無視](Ignore Caught Exceptions)</strong> - チェックマークが付いている場合、例外をキャッチしても、デバッガはその例外を無視し、コードの実行をブレークしません。チェックマークが付いていない場合、例外をキャッチすると、デバッガはブレークを実行します。<strong>既定値はオン</strong>です。</p>\n\
</li>\n\
<li><p><strong>[既定のスロー デバッグ ブレーク: オン](Default Throw debugBreak:on)</strong> - このチェックボックスは、MAXScript コードの Throw() メソッドの既定の動作をコントロールします。チェックマークが付いている場合、オプションの debugBreak: 引数が true であると見なされ、オプションの引数を指定していないコード内で Throw() メソッドが呼び出されると、デバッガはブレークを実行します。<strong>既定値はオフ</strong>です。</p>\n\
</li>\n\
<li><p><strong>[自動モードを有効](Enabled In Quiet Mode)</strong> - チェックマークが付いている場合、デバッガの自動モードが有効になります。<strong>既定値はオフ</strong>です。</p>\n\
</li>\n\
<li><p><strong>[ネットワーク レンダリングを有効](Enabled in Net Render)</strong> - チェックマークが付いている場合、デバッガがネットワーク レンダリング中でも有効になります。<strong>既定値はオフ</strong>です。</p>\n\
</li>\n\
<li><p><strong>[安全でないメソッド コールを許可](Allow Unsafe Method Calls)</strong> - 通常デバッガは、「安全な」メソッドのみコマンド ラインからの実行を許可し、メインの <strong>3ds Max</strong> スレッドをハング アップさせてしまう可能性のある実行の呼び出しは無視します。このチェックボックスにチェックマークが付いている場合、デバッガはこうした危険性のある呼び出しも許可します。<strong>既定値はオフ</strong>です。<strong>多くの場合、ハング アップが発生しても、それは</strong>[コマンド タイムアウト](Command Timeout)で設定した時間しか続きません。ただし場合によっては、完全にハング アップした状態に陥り、<strong>3ds Max</strong> セッションを手動で終了させる必要が生じることもあります。</p>\n\
</li>\n\
<li><p><strong>[グローバル定数を表示](Show Global Constants)</strong> - チェックマークが付いている場合、グローバル定数(<strong>pi</strong>、<strong>e</strong> など)も表示されます。<strong>既定値はオフ</strong>です。</p>\n\
</li>\n\
<li><p><strong>[開始フレームのみを表示](Show First Frame Only)</strong> - チェックマークが付いている場合、開始フレームの情報のみが表示されます。このオプションは、開始フレームの情報のみを必要とする場合に便利ですが、[出力] (Output)ウィンドウには複数のサブフレームが表示される可能性があります。<strong>既定値はオフ</strong>です。</p>\n\
</li>\n\
<li><p><strong>[最前面に配置](Stay On Top)</strong> - チェックマークが付いている場合、MAXScript デバッガダイアログ ボックスが常に前面に表示されます。<strong>既定値はオフ</strong>です。</p>\n\
</li>\n\
<li><p><strong>[開いている出力をクリア](Clear Output On Open)</strong> - チェックマークが付いている場合、ブレークしてデバッガを呼び出すと、出力ウィンドウがクリアされます。<strong>既定値はオン</strong>です。</p>\n\
</li>\n\
<li><p><strong>[コマンド タイムアウト(秒)](Command Timeout (secs))</strong> - この値によって、デバッガがコマンドの実行を待機する時間を指定します。この秒数を過ぎると、コマンドの実行が中止されます。つまり、何らかの理由でコマンドによって <strong>3ds Max</strong> がハング アップしてしまっても、ここで指定した時間を過ぎると無事にデバッガに制御が返されます。<strong>既定値は 15 秒</strong>です。</p>\n\
</li>\n\
<li><p><strong>[GC タイムアウト(秒)](GC Timeout (secs))</strong> - この値によって、デバッガがガベージ コレクションの実行を待機する時間を指定します。この秒数を過ぎると、ガベージ コレクションの実行が中止されます。<strong>既定値は 5 秒</strong>です。</p>\n\
</li>\n\
<li><p><strong>[ブレーク タイムアウト(ミリ秒)](Break Timeout (msecs))</strong> - この値によって、デバッガが <strong>3ds Max</strong> スレッドのブレークを試みる時間を指定します。<strong>既定値は 5 ミリ秒です</strong>。</p>\n\
</li>\n\
<li><p><strong>[ブレーク サイクル(ミリ秒)](Break Cycle (msecs))</strong> - この値は、ブレークの試行間隔を指定します。<strong>既定値は 1 ミリ秒です</strong>。</p>\n\
</li>\n\
<li><p><strong>[リセット] (Reset)</strong> - すべての設定を出荷時の既定にリセットします。</p>\n\
</li>\n\
<li><p><strong>[OK]</strong> - 変更を確定し、今後使用できるように保存します。</p>\n\
</li>\n\
<li><p><strong>[キャンセル] (Cancel)</strong> - すべての変更を破棄し、デバッガに戻ります。</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../The-MAXScript-Debugger.html\">MAXScript デバッガ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../The-MAXScript-Debugger.html\">MAXScript デバッガ</a></li>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MXSDebugger.html\">インタフェース: MXSDebugger</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";