var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CA89F654-31EC-4F3C-8269-F11FCA167038\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>エディタのメニュー コマンドのリスト</h1></div><p><strong>3ds Max 2008</strong> で導入された<a href=\"./../MAXScript-Tabbed-Editor-Window.html\">タブ付きスクリプト エディタ</a>のメニュー コマンドには、次の <strong>NAMED ID</strong> があります。これらの ID を使用して<a href=\"MAXScript-Editor-Defining-Custom-1.html\">カスタム キーボード ショートカット</a>や<a href=\"MAXScript-Editor-Defining-Custom-2.html\">右クリック メニュー</a>を定義することができます。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> </div>\n\
<p>一部の Named ID はスクリプト エディタのコンテキストでは意味を持たず、スタンドアロン バージョンの Scintilla SciTE エディタ内でのみ使用できます。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>コマンド</th>\n\
<th><code>MENU TEXT</code></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>IDM_NEW</code></td>\n\
<td>新規作成</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPEN</code></td>\n\
<td>開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENSELECTED</code></td>\n\
<td>ファイル名を選択して開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_REVERT</code></td>\n\
<td>元に戻す</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CLOSE</code></td>\n\
<td>閉じる</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVE</code></td>\n\
<td>保存</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEAS</code></td>\n\
<td>名前を付けて保存</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEACOPY</code></td>\n\
<td>コピーを保存</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_DEFAULT</code></td>\n\
<td>コード ページ プロパティ</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_UCS2B</code></td>\n\
<td>EUCS-2 Big Endian</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_UCS2L</code></td>\n\
<td>EUCS-2 Little Endian</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_UTF8</code></td>\n\
<td>UTF-8 with BOM</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ENCODING_UCOOKIE</code></td>\n\
<td>UTF-8</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASHTML</code></td>\n\
<td>HTML 形式</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASRTF</code></td>\n\
<td>RTF 形式</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASPDF</code></td>\n\
<td>PDF 形式</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASTEX</code></td>\n\
<td>LaTeX 形式</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEASXML</code></td>\n\
<td>XML 形式</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PRINTSETUP</code></td>\n\
<td>ページ設定</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PRINT</code></td>\n\
<td>印刷</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_LOADSESSION</code></td>\n\
<td>セッションのロード</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVESESSION</code></td>\n\
<td>セッションの保存</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_QUIT</code></td>\n\
<td>終了</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_UNDO</code></td>\n\
<td>元に戻す</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_REDO</code></td>\n\
<td>やり直し</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CUT</code></td>\n\
<td>切り取り</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COPY</code></td>\n\
<td>コピー</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PASTE</code></td>\n\
<td>貼り付け</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_DUPLICATE</code></td>\n\
<td>複製</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CLEAR</code></td>\n\
<td>削除</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SELECTALL</code></td>\n\
<td>すべて選択</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COPYASRTF</code></td>\n\
<td>RTF 形式でコピー</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_MATCHBRACE</code></td>\n\
<td>大括弧を一致させる</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SELECTTOBRACE</code></td>\n\
<td>選択文字列を大括弧で囲む</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SHOWCALLTIP</code></td>\n\
<td>Calltip を表示</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COMPLETE</code></td>\n\
<td>シンボルを完成</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COMPLETEWORD</code></td>\n\
<td>単語を推定入力</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ABBREV</code></td>\n\
<td>省略表現を展開</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_INS_ABBREV</code></td>\n\
<td>省略表現を挿入</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BLOCK_COMMENT</code></td>\n\
<td>ブロックをコメントまたはコメント解除</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOX_COMMENT</code></td>\n\
<td>コメントをボックス</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_STREAM_COMMENT</code></td>\n\
<td>コメントをストリーム</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_UPRCASE</code></td>\n\
<td>選択している文字列を大文字に変換</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_LWRCASE</code></td>\n\
<td>選択している文字列を小文字に変換</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_JOIN</code></td>\n\
<td>結合</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SPLIT</code></td>\n\
<td>Split (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FIND</code></td>\n\
<td>検索</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FINDNEXT</code></td>\n\
<td>次を検索</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FINDNEXTBACK</code></td>\n\
<td>前を検索</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FINDINFILES</code></td>\n\
<td>ファイル内を検索</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_REPLACE</code></td>\n\
<td>置換</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_INCSEARCH</code></td>\n\
<td>逐次検索</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_GOTO</code></td>\n\
<td>移動</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOOKMARK_NEXT</code></td>\n\
<td>次のブックマーク</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOOKMARK_PREV</code></td>\n\
<td>前のブックマーク</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOOKMARK_TOGGLE</code></td>\n\
<td>ブックマークを切り替え</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BOOKMARK_CLEARALL</code></td>\n\
<td>すべてのブックマークをクリア</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EXPAND</code></td>\n\
<td>現在の折りたたみを切り替え</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_TOGGLE_FOLDALL</code></td>\n\
<td>すべての折りたたみを切り替え</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FULLSCREEN</code></td>\n\
<td>フル スクリーン</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWTOOLBAR</code></td>\n\
<td>ツール バー</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWTABBAR</code></td>\n\
<td>タブ バー</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWSTATUSBAR</code></td>\n\
<td>ステータス バー</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWSPACE</code></td>\n\
<td>空白</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWEOL</code></td>\n\
<td>行末</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_VIEWGUIDES</code></td>\n\
<td>インデント ガイド</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_LINENUMBERMARGIN</code></td>\n\
<td>行番号</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SELMARGIN</code></td>\n\
<td>余白</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_FOLDMARGIN</code></td>\n\
<td>とじしろ</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_TOGGLEOUTPUT</code></td>\n\
<td>出力</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_TOGGLEPARAMETERS</code></td>\n\
<td>パラメータ</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_COMPILE</code></td>\n\
<td>コンパイル</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_BUILD</code></td>\n\
<td>Build (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_GO</code></td>\n\
<td>Go (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_STOPEXECUTE</code></td>\n\
<td>Stop Executing (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_NEXTMSG</code></td>\n\
<td>Next Message (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PREVMSG</code></td>\n\
<td>Previous Message (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CLEAROUTPUT</code></td>\n\
<td>Clear Output (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SWITCHPANE</code></td>\n\
<td>Switch Pane (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ONTOP</code></td>\n\
<td>常に前面に表示</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENFILESHERE</code></td>\n\
<td>ファイルをここに開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SPLITVERTICAL</code></td>\n\
<td>Vertical Split (3ds Max では使用されていません)</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_WRAP</code></td>\n\
<td>折り返し</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_WRAPOUTPUT</code></td>\n\
<td>出力を折り返し</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_READONLY</code></td>\n\
<td>読み取り専用</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EOL_CRLF</code></td>\n\
<td>CR + LF</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EOL_CR</code></td>\n\
<td>CR</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EOL_LF</code></td>\n\
<td>LF</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_EOL_CONVERT</code></td>\n\
<td>行末のキャラクタを変換</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_TABSIZE</code></td>\n\
<td>インデント設定を変更</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_MONOFONT</code></td>\n\
<td>等幅フォントを使用</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENLOCALPROPERTIES</code></td>\n\
<td>ローカル オプション ファイルを開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENDIRECTORYPROPERTIES</code></td>\n\
<td>ディレクトリ オプション ファイルを開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENUSERPROPERTIES</code></td>\n\
<td>ユーザ オプション ファイルを開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENGLOBALPROPERTIES</code></td>\n\
<td>グローバル オプション ファイルを開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENABBREVPROPERTIES</code></td>\n\
<td>省略表現ファイルを開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_OPENLUAEXTERNALFILE</code></td>\n\
<td>Lua 起動スクリプトを開く</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_PREVFILE</code></td>\n\
<td>前</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_NEXTFILE</code></td>\n\
<td>次</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_CLOSEALL</code></td>\n\
<td>すべて閉じる</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_SAVEALL</code></td>\n\
<td>すべて保存</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_HELP</code></td>\n\
<td>ヘルプ</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_HELP_SCITE</code></td>\n\
<td>ヘルプ</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDM_ABOUT</code></td>\n\
<td>MXS SciTE について</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">スクリプト エディタ - 設定とカスタマイズ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";