var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-029EF4FB-5822-4E33-85A6-BD140F8D26FD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト エディタ - [ツール] (Tools)メニュー</h1></div><p><strong>3ds Max 2008</strong> で導入された <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">タブ付きのスクリプト エディタ</a>の<strong>[ツール] (Tools)メニュー</strong>には、スクリプト評価、Visual スクリプト エディタへのアクセス、およびエディタの機能を定義するさまざまなオプション ファイルやプロパティ ファイルを編集するためのコマンドがあります。</p>\n\
<p><img src=\"./images/scripting_editor_tools_menu.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p><strong>[すべてを評価](Evaluate All)([Ctrl]+[E])</strong> - このコマンドは、従来のエディタと同じように、現在の タブにロードされているスクリプト全体を評価します。</p>\n\
</li>\n\
<li><p><strong>[行/選択範囲を評価](Evaluate Line / Selection)([Ctrl]+[Enter])</strong> - このコマンドは、l従来のエディタおよびリスナーと同じように、現在の行または選択範囲を評価します。<strong>[Ctrl]+[Enter]</strong>を押す操作は、<strong>数値キーの[Enter]</strong>キーを押すのと同等で、どちらも同じように使用できます。</p>\n\
</li>\n\
<li><p><strong>[ロール アウトを編集](Edit Rollout)</strong> - 現在選択されているロールアウトを編集するための<a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Visual-MAXScript.html\"> Visual MAXScript エディタ</a>を開きます。ロールアウトが選択されていない場合、新しいロールアウトが作成されます。</p>\n\
</li>\n\
<li><p><strong>[新規ロール アウト](New Rollout)</strong> - <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Visual-MAXScript.html\">Visual MAXScript エディタ</a>を開き、現在のカーソル位置に新しいロールアウトを作成します。</p>\n\
</li>\n\
<li><p><strong>[次のメッセージ](Next Message)([F4])</strong> - 出力ペインの次のメッセージに移動します。</p>\n\
</li>\n\
<li><p><strong>[前のメッセージ](Previous Message)([Shift]+[F4])</strong> - 出力ペインの前のメッセージに移動します。</p>\n\
</li>\n\
<li><p><strong>[出力をクリア](Clear Output)([Shift]+[F5])</strong> - 出力ペインをクリアします。</p>\n\
</li>\n\
<li><p><strong>[ペインを切り替え](Switch Pane)([Ctrl]+[F6])</strong> - エディタ ペインと出力ペインを切り替えます。</p>\n\
</li>\n\
<li><p><strong>[ユーザ オプション ファイルを開く](Open User Options File)</strong> - <strong>MXS_EditorUser.properties</strong> ファイルを編集用に開きます。ファイルが存在しない場合は、エディタによって空のファイルが生成されます。ユーザはこのファイルを3ds Max ルート ディレクトリに保存することができます。このファイルには、グローバル オプション (下記を参照) と同じ設定が含まれますが、ここで行った設定はグローバル ファイルの設定よりも優先されます。この方法は、グローバル 設定を削除せずに設定を調整できるため便利です。ユーザの上書き設定をコメント化するか、削除すれば、グローバル設定が再度有効になります。</p>\n\
</li>\n\
<li><p><strong>[グローバル オプション ファイルを開く](Open Global Options File)</strong> - グローバル オプション ファイル <strong><em>MXS_Editor.properties</em></strong> を開きます。サポートされる設定の詳細については、「<a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">スクリプト エディタ - プロパティ ファイルの設定</a>」を参照してください。</p>\n\
</li>\n\
<li><p><strong>[省略表現ファイルを開く](Open Abbreviations File)</strong> - 省略表現ファイル <strong><em>MXS_EditorAbbrev.properties</em></strong> を編集用に開きます。省略表現の定義と使用の詳細については、<a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\">スクリプト エディタ - 省略表現の定義と使用</a>を参照してください。</p>\n\
</li>\n\
<li><p><strong>[MAXScript.properties を開く](Open MAXScript properties)</strong> - <strong>MAXScript.properties</strong> ファイルを編集用に開きます。このファイルは、<a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\">MAXScript レキサー</a>をカスタマイズするのに使用されます。レキサーは、MAXScript 固有のカラー コーディングに加えて、たとえば MAXScript ファイルの拡張子、自動生成のキーワード リスト、カスタム キーワードを追加するための keywords12 折りたたみに関するオプション、さまざまなスタイルの定義、および追加のファイル フォーマットなど、MAXScript フォーマット ファイルの編集に関連する設定を実行します。「<a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\">スクリプト エディタ - 構文のカラー スキームのカスタマイズ</a>」を参照してください。</p>\n\
</li>\n\
<li><p><strong>[python.properties を開く](Open python properties)</strong> - Python プロパティ ファイルを開きます。このファイルは、Python ファイルの外観と構文のハイライト表示をカスタマイズします。</p>\n\
</li>\n\
<li><p><strong>[html.properties を開く](Open html.properties)</strong> - HTML プロパティ ファイルを開きます。</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Menu-Options.html\">スクリプトエディタのメニューオプション</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";