var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A1C19386-A8B0-45F9-B4E5-37C2BA270E5E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト エディタの概要</h1></div><p>次のトピックでは、Scintilla ベースのスクリプト エディタについて説明します。</p>\n\
<h2 id=\"-\">スクリプト エディタの主な機能:</h2><p><img src=\"./images/scripting_editor_tabs.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p><strong>タブ表示</strong> - 複数のエディタ ウィンドウを、同じユーザ インタフェース内に同時に開くことができます。</p>\n\
<ul>\n\
<li><p>既定値では、[ファイルを開く]ダイアログ ボックスで 1 つずつ選択するか、複数のファイルを同時に選択することで、最大 10 ファイルまで開くことができます。エディタでは、カスタマイズすれば最大 100 個のファイルを同時に開くことができます。ただし、以下で説明するように[Alt]+数字キーで直接アクセスできるのは、最初の 10 個のタブだけです。</p>\n\
</li>\n\
<li><p>最初の 10 個のタブには、1、2、3、4、5、6、7、8、9、0 の数字が割り当てられます。<strong>[Alt]</strong>キーを押したまま、1 ～ 0 のタブ番号を押すことで <strong>各タブに直接切り替えられます。</strong></p>\n\
</li>\n\
<li><p>開かれているタブが多すぎてタブ バーに表示しきれない場合、タブの列の右側に<strong>スクロール矢印</strong>が表示されます。これを使用してタブをスクロールすることができます。また、一番左のタブまたは一番右のタブをクリックすると、エディタはクリックされたタブを中心に表示しようとします。結果として、タブがシフトされ、最終的には見えなくなる可能性があるタブが表示されます。</p>\n\
</li>\n\
<li><p>タブは、<strong>[Ctrl]+[Tab]</strong>キーで順番に<strong>切り替えられます</strong>。<strong>[Ctrl]+[Shift]+[Tab]</strong>キーを使用すると、逆順に切り替えられます。</p>\n\
</li>\n\
<li><p>変更により<strong>保存が必要</strong>なスクリプトには、タブとタイトル バーに <strong>* マーク</strong>が表示されます。</p>\n\
</li>\n\
<li><p><strong>タブを右クリック</strong>すると、<strong>コンテキスト メニュー</strong>が表示されます。このメニューには、タブに示されているドキュメントを閉じる、保存、名前を付けて保存、および印刷するためのオプションがあります。</p>\n\
<p>  <img src=\"./images/scripting_editor_tab_right_click.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>タブを中央クリック</strong> するとファイルに保存の必要がなければ、そのファイルが即座に閉じられます。修正が加えられている場合は保存するかどうかを確認するメッセージが表示されます。</p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p><strong>フル ファイル名の表示</strong> - 既定値では、ウィンドウのタイトル バーに現在編集中のスクリプトのフル パスが表示されます。この機能は、<strong>3ds Max 9</strong> で導入されたシステム グローバル変数 <code>editorShowPath</code> を <code>false</code> または <code>true</code> に設定することで、無効または有効にできます。</p>\n\
</li>\n\
<li><p><strong>行番号</strong> - すべてのコード行に番号が振られます。MAXScript リスナーおよび MAXScript デバッガには、行番号付きでエラーが報告されるようになり、デバッグが容易になります。<strong>[Ctrl]+[G]</strong>を押すと、<strong>[移動](Go To)</strong>ダイアログ ボックスが開きます。このダイアログ ボックスでは、行または文字オフセットに直接ジャンプできます (<strong>3ds Max 8</strong> および <strong>9</strong> の従来のエディタでは、この機能のキーボード ショートカットは[Ctrl]+[J]でした)。</p>\n\
<p>  <img src=\"./images/GUID-75FDEEF2-9F2D-45D2-8BB2-4EBF961F1249-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>動的な自動構文カラーリング</strong> - 予約済みキーワード、組み込みメソッド、グローバル変数、特殊な値などの完全なリストが MAXScript から直接エディタに渡され、MAXScript が認識するほぼすべての単語が正しくハイライト表示されます。また、すべてのカラーをユーザの好みに応じて<a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\">カスタマイズ</a>できます。ローカル ディレクトリの上書きがサポートされているため、複数の MAXScripting プロジェクトで異なるカラー スキームを使用することもできます。カラー コーディングは従来のエディタに比べて非常に高速になっており、ファイル全体に対して即時実行されます。このため、開き引用符に対して閉じ引用符が存在しない場合、そのファイルの開き引用符の後全体が、動的に現在の文字列カラーになり、閉じ引用符がないことが示されます。</p>\n\
</li>\n\
<li><p><strong>自動インデント</strong> - 新しい行をコンテキストに応じて自動的にインデントします。たとえば、<code>for i = 1 to 10 do</code> というコードを入力し、<strong>[Enter]</strong>を押すと、次の行は本体コードの一部であるとみなされ、自動的にインデントされます。ただし、開き括弧を入力して複数行にわたる本体コードを開始した場合、for ループの先頭に位置合わせするため、自動的にインデントが削除されます。</p>\n\
</li>\n\
<li><p><strong>自動的なブラケット ペア認識</strong> - 括弧 、ブラケット、および大括弧の、開き記号と閉じ記号のペアのどちらかの近くをクリックすることで、ペアの両方が自動的にハイライト表示されます。</p>\n\
</li>\n\
<li><p><strong>視覚的なガイド</strong>（点線）も、括弧の対応確認に役立ちます。</p>\n\
<ul>\n\
<li><p>括弧、ブラケットまたは大括弧の開き記号と閉じ記号のどちらか一方が欠けている場合、警告として既存の記号が赤くなります。</p>\n\
</li>\n\
<li><p>ブラケット、大括弧、または括弧の近くで <strong>[Ctrl]+[B]</strong>を押すと、存在すれば、対となる記号にカーソルがジャンプします。</p>\n\
</li>\n\
<li><p>ブラケット、大括弧、または括弧の近くで <strong>[Ctrl]+[Shift]+[B]</strong>を押すと、その記号と対になる記号で囲まれたコード ブロックが選択されます。</p>\n\
<p>  <img src=\"./images/GUID-C814249B-F415-410E-ACCF-C81D64105940-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>コード ブロックの折りたたみ</strong> - 括弧間のコード部分を、開き括弧の左にある[-]記号をクリックして折りたたむことができます。また、<strong>[Ctrl]+[Shift]+[+]</strong>を押すことで、現在カーソルが置かれているコード ブロックの折りたたみ状態を切り替えることができます。</p>\n\
<p>  <img src=\"./images/GUID-5127D0F0-42EB-4A44-BA80-4114DB8796ED-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>ブックマーク</strong> - <strong>[Ctrl]+[F2]</strong>で、任意の行に任意の数のブックマークを設定できます。次のブックマークにジャンプするには、<strong>[F2]</strong>を押し、前のブックマークにジャンプするには <strong>[Shift]+[F2]</strong>を押します。</p>\n\
<p>  <img src=\"./images/GUID-E79B384B-7642-4725-84E8-184920B73BC2-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>複数のステータス バー</strong>: 複数のステータス バーをカスタマイズして、単語数、文字数、ファイル修正時間、現在時間など、ロードしたコードに関するさまざまな種類の情報を表示することができます。複数のステータス バーの表示を切り替えるには、単にエディタの下部のステータス バーをクリックします。詳細については、「<a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\">スクリプト エディタ - カスタム ステータス バーの定義</a>」を参照してください。</p>\n\
<p>  <img src=\"./images/GUID-39F7A360-C4A2-4309-9115-0FA8D7BE808B-low.gif\" alt=\"\"> <img src=\"./images/GUID-EC081F1B-92B2-4EF8-9BE5-8A360B5B15DF-low.gif\" alt=\"\"> <img src=\"./images/GUID-DB200715-8EB8-4163-BB3B-5B2DD17DE496-low.gif\" alt=\"\"> <img src=\"./images/GUID-624CCAE5-CCD1-4DC2-9188-CD9C85FEDAF7-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>右クリック コンテキスト メニュー</strong> - よく使用するいくつかのコマンドを、エディタ ウィンドウの右クリックで表示されるコンテキスト メニューにハードコードできます。このメニューは、カスタマイズ可能でユーザが拡張することもできます。詳細については、「<a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-2.html\">スクリプト エディタ - カスタム コンテキスト メニュー項目の定義</a>」を参照してください。</p>\n\
<p>  <img src=\"./images/GUID-02CFEF47-D27C-45B6-9987-453DE84CEB9A-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>コード ブロックへのジャンプ</strong> - 従来のエディタと同じように、エディタで <strong>[Ctrl]キーを押したまま右クリック</strong>すると、関数定義、ロールアウト定義、イベント ハンドラ、UI コントロールなど、さまざまなコード ブロックが一覧表示されたコンテキスト ダイアログ ボックスが開きます。これらのいずれかを選択すると、その定義にカーソルが移動します。</p>\n\
<p>  <img src=\"./images/GUID-8B91DF62-E7C5-4CDC-AD9D-41679C9FB6A7-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>自由にサイズ変更できるフォント</strong> - 従来のエディタと同じように、<strong>[Ctrl]</strong>キーを押したままマウス ホイールを押して回転すると、フォント サイズを変更できます。または、数値キーで<strong>[Ctrl]+[+]</strong>キーおよび<strong>[Ctrl]+[-]</strong>キーを使用して、フォント サイズを増減できます。</p>\n\
</li>\n\
<li><p><strong>自動補完および省略表現のサポート</strong> - 同じドキュメント内ですでに使用された単語を手動で展開したり、自動補完機能で自動的に展開できます。<a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\">省略表現</a>は、ユーザが定義でき、完全な単語やプロトコルタイプ コード一式に展開することもできます。</p>\n\
</li>\n\
<li><p><strong>正規表現のサポートなど強力な検索</strong> - <a href=\"MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\">[検索] (Find)と[置換] (Replace)</a>機能では、<a href=\"Regular-Expressions-Find-and.html\">正規表現</a>を使用した非常に柔軟な検索をサポートしています。</p>\n\
</li>\n\
<li><p><strong>優れたカスタマイズ性</strong> - ユーザがそれぞれのワークスタイルや外観の好みに応じて、エディタに<a href=\"MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">高度なカスタマイズ</a>を加えることができます。</p>\n\
</li>\n\
<li><p><strong>ビューを並べて表示</strong> - 現在のスクリプトの 2 番目のビュー(「クローン ビュー」)を開いて、複数の領域を同時に編集できます。長いスクリプトを操作する場合に役立つことがあります。2 つのタブを並べて配置して、2 つの類似したスクリプトの比較などを行うこともできますそのためには、タブをエディタ内の空のスポットまでドラッグし、<strong>別のビューに移動</strong>するか、または<strong>別のビューにクローンを作成</strong>します。</p>\n\
</li>\n\
</ul>\n\
<p><strong>使用法、コマンド、カスタマイズなどの詳細については、以下をご覧ください:</strong></p>\n\
<p><a href=\"MAXScript-Tabbed-Editor-Commands.html\">スクリプト エディタのコマンド</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../The-MAXScript-Editor.html\">スクリプト エディタ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";