var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C0F38270-F5DD-4356-AFFF-B037D97F0017\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>SDK と MAXScript</h1></div><p><strong>3ds Max</strong> には、プラグイン アプリケーションを作成する手段として、C++ を使用した SDK と、プログラム本来のスクリプト言語である MAXScript の 2 つの方法が用意されています。</p>\n\
<p>どちらの言語を選択するかは、作業の形態とプラグインで実行する目的によって異なります。両方の言語には長所と制約がありますが、どちらかを使用して複雑なアプリケーションを開発できます。</p>\n\
<h2 id=\"maxscript\">MAXScript</h2><p>一般に、MAXScript プラグインは、C++ で書かれた同等のプラグインよりも実行速度が遅くなります。したがって、パフォーマンスが重要になる場合は、SDK を使用した方がおそらく適しています。</p>\n\
<p>一方、MAXScript では、C++ の SDK に備えられたメソッドよりもレベルの高いメソッドを用意しており、SDK には公開されていないいくつかの <strong>3ds Max</strong> 機能および特性をサポートしています。 MAXScript ではサポートされているが SDK ではサポートされていない機能を使用する必要がある場合は、MAXScript が唯一の選択になります。特に、OLE/ActiveX/DotNet コントロールを介して <strong>3ds Max</strong> 機能をパブリッシュする場合、SDK を使用するよりも MAXScript でコード化した方が簡単です。</p>\n\
<p>MAXScript は、プラグインのプロトタイプ作成、比較的小さな機能の開発、およびテスト項目群の作成に役立ちます。</p>\n\
<h2 id=\"sdk\">SDK</h2><p>SDK は、パフォーマンスが重要な場合に適しています。これは一般に、プラグインの主要目的が、対話ではなく計算にある場合です。</p>\n\
<p>パフォーマンスはほとんどの場合、オブジェクト、サブオブジェクト、ファイル、通知メッセージなどの大量のエンティティをプラグインで処理するときに問題となります。</p>\n\
<p>反転に関しては、C++ プラグインの開発と、特にデバッグは速度の遅い順となります。これは、再コンパイル、<strong>3ds Max</strong> の再開始、および GUI リソースの調整が必要となるためです。</p>\n\
<h2 id=\"-\">中間の方法</h2><p>2 つの方法の良い点を組み合わせ、欠点をなくすとよい場合があります。</p>\n\
<p>スピードが重視される機能は SDK で記述して関数公開インタフェースとして MAXScript に公開し、ユーザ インタフェースは MAXScript で対応するハイブリッド システムを実装すると、開発時間が短縮され、同じ基礎 C++ コードを使用しながら（機能の更新やエンド ユーザに UI を再構成させるといった点で）ある種のフレキシビリティが実現することにもなります。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Introduction.html\">MAXScript の紹介</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">スクリプト プラグイン</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";