var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1564BD35-50EA-4140-9150-1AECC89F713C\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Point3 &#x5024;</h1></div><p><strong>Point3</strong> &#x30AF;&#x30E9;&#x30B9;&#x306F;&#x3001;3D &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306B;&#x304A;&#x3051;&#x308B;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x7279;&#x6027;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x3089;&#x306E;&#x5024;&#x306F;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x3068;&#x3057;&#x3066;&#x77E5;&#x3089;&#x308C;&#x3001;3 &#x3064;&#x306E;&#x6D6E;&#x52D5;&#x5C0F;&#x6570;&#x70B9;&#x306E;&#x5024;&#x3092;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x3068;&#x3057;&#x3066;&#x6301;&#x3061;&#x307E;&#x3059;&#x3002;<strong>3ds Max</strong> &#x3068;&#x3084;&#x308A;&#x3068;&#x308A;&#x3055;&#x308C;&#x308B;&#x5EA7;&#x6A19;&#x306F;&#x3059;&#x3079;&#x3066;&#x3053;&#x308C;&#x3089;&#x306E;&#x5024;&#x3067;&#x3059;&#x3002;&#x300C;<a href=\"./../../Names-Literal-Constants-and/Literal-Constants/2D-and-3D-Point-Literals.html\">2 &#x6B21;&#x5143;&#x304A;&#x3088;&#x3073; 3 &#x6B21;&#x5143;&#x30DD;&#x30A4;&#x30F3;&#x30C8; &#x30EA;&#x30C6;&#x30E9;&#x30EB;</a>&#x300D;&#x3082;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<p><strong>&#x30EA;&#x30C6;&#x30E9;&#x30EB;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">[&lt;expr&gt;, &lt;expr&gt;, &lt;expr&gt;]</code></pre><blockquote>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    [x, y, z]\n\
    [10, 10, 10]\n\
    [sin x, cos y, tan z]\n\
    x_axis --equivalent to [1,0,0]\n\
    y_axis --equivalent to [0,1,0]\n\
    z_axis --equivalent to [0,0,1]\n\
</code></pre></blockquote>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">point3 &lt;x&gt; &lt;y&gt; &lt;z&gt;\n\
&lt;color&gt; as point3</code></pre><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;.x: Float -- the x coordinate\n\
&lt;point3&gt;.y: Float -- the y coordinate\n\
&lt;point3&gt;.z: Float -- the z coordinate</code></pre><p><strong>&#x6F14;&#x7B97;&#x5B50;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; == &lt;point3&gt;\n\
&lt;point3&gt; != &lt;point3&gt;\n\
&lt;point3&gt; + &lt;point3_or_number&gt;\n\
&lt;point3&gt; - &lt;point3_or_number&gt;\n\
&lt;point3&gt; * &lt;point3_or_number&gt;\n\
&lt;point3&gt; / &lt;point3_or_number&gt;</code></pre><p>&#x6A19;&#x6E96;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x6F14;&#x7B97;&#x3067;&#x3059;&#x3002;2 &#x756A;&#x76EE;&#x306E;&#x30AA;&#x30DA;&#x30E9;&#x30F3;&#x30C9;&#x304C;&#x6570;&#x5024;&#x306E;&#x5834;&#x5408;&#x3001;&#x6F14;&#x7B97;&#x306F;&#x5404;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x306E;&#x5024;&#x306B;&#x5BFE;&#x3057;&#x3066;&#x5B9F;&#x884C;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; * &lt;matrix3&gt;\n\
</code></pre><p><code>point3</code> &#x3092; <code>matrix3</code> &#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x5EA7;&#x6A19;&#x7CFB;&#x306B;&#x5909;&#x63DB;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt; * &lt;quat&gt;</code></pre><p><code>point3</code> &#x3092;&#x56DE;&#x8EE2;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">- &lt;point3&gt;</code></pre><p>&#x5358;&#x9805;&#x30DE;&#x30A4;&#x30CA;&#x30B9;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;[&lt;integer&gt;]</code></pre><p>Point3 &#x306E;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x3092;&#x6D6E;&#x52D5;&#x5C0F;&#x6570;&#x70B9;&#x3068;&#x3057;&#x3066;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6709;&#x52B9;&#x306A;&#x7BC4;&#x56F2;&#x306F; 1 &#xFF5E; 3 &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point3&gt;[&lt;integer&gt;] = &lt;float&gt;</code></pre><p>Point3 &#x306E;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x3092;&#x6D6E;&#x52D5;&#x5C0F;&#x6570;&#x70B9;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6709;&#x52B9;&#x306A;&#x7BC4;&#x56F2;&#x306F; 1 &#xFF5E; 3 &#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">copy &lt;point3&gt;</code></pre><p>point3 &#x5024;&#x306E;&#x65B0;&#x3057;&#x3044;&#x30B3;&#x30D4;&#x30FC;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    newPos = copy oldPos\n\
</code></pre></blockquote>\n\
<p>&#x65B0;&#x3057;&#x3044;&#x5024;&#x306F;&#x5165;&#x529B; point3 &#x5024;&#x306E;&#x30B3;&#x30D4;&#x30FC;&#x3092;&#x4FDD;&#x6301;&#x3057;&#x3066;&#x304A;&#x308A;&#x3001;&#x5165;&#x529B; point3 &#x5024;&#x304B;&#x3089;&#x306F;&#x72EC;&#x7ACB;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x9577;&#x3055;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">length &lt;point3&gt;</code></pre><p>&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x9577;&#x3055;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x5185;&#x7A4D;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">dot &lt;point3&gt; &lt;point3&gt;</code></pre><p>&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x5185;&#x7A4D;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5185;&#x7A4D;&#x306E;&#x30B8;&#x30AA;&#x30E1;&#x30C8;&#x30EA;&#x30C3;&#x30AF;&#x306A;&#x88DC;&#x9593;&#x306F;&#x3001;2 &#x756A;&#x76EE;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x5358;&#x4F4D;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306B;&#x5BFE;&#x3059;&#x308B;&#x6700;&#x521D;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x6295;&#x5F71;&#x306E;&#x9577;&#x3055;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;&#x3064;&#x307E;&#x308A;&#x3001;2 &#x3064;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x304C;&#x5782;&#x76F4;&#x3067;&#x3042;&#x308B;&#x5834;&#x5408;&#x3001;&#x5185;&#x7A4D;&#x306F; 0.0 &#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5185;&#x7A4D;&#x304C;<strong>&#x4EA4;&#x63DB;&#x53EF;&#x80FD;</strong>&#x3067;&#x3042;&#x308B;&#x3053;&#x3068;&#x306F;&#x3001;<strong>dot X Y == dot Y X</strong> &#x3068;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5185;&#x7A4D;&#x304C;<strong>&#x7D50;&#x5408;&#x53EF;&#x80FD;</strong>&#x3067;&#x3042;&#x308B;&#x3053;&#x3068;&#x306F;&#x3001;<em><em>dot (r\\</em>X) Y == r\\</em>(dot X Y) **&#x3068;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5185;&#x7A4D;&#x304C;<strong>&#x914D;&#x5E03;&#x53EF;&#x80FD;</strong>&#x3067;&#x3042;&#x308B;&#x3053;&#x3068;&#x306F; <strong>dot X (Y+Z) == (dot X Y) + (dot X Z)</strong> &#x3068;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>2 &#x3064;&#x306E;&#x6CD5;&#x7DDA;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x5185;&#x7A4D;&#x306F;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x9593;&#x306E;&#x89D2;&#x306E;&#x30B3;&#x30B5;&#x30A4;&#x30F3;&#x3067;&#x3042;&#x308B;&#x305F;&#x3081;&#x3001;&#x5185;&#x7A4D;&#x306F; 2 &#x3064;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x9593;&#x306E;<strong>&#x89D2;&#x5EA6;&#x306E;&#x8A08;&#x7B97;</strong>&#x306B;&#x4F7F;&#x7528;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    fn GetVectorsAngle v1 v2 =\n\
    (\n\
    theAngle = acos(dot (normalize v1) (normalize v2))\n\
    )\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    GetVectorsAngle [10,0,0] [10,20,0]\n\
    63.435\n\
</code></pre></blockquote>\n\
<h2 id=\"-\">&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x4E57;&#x7A4D;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">cross &lt;point3&gt; &lt;point3&gt;</code></pre><p>&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x4E57;&#x7A4D;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x4E57;&#x7A4D;&#x306F;&#x3001;2 &#x3064;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x3067;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x305F;&#x5E73;&#x9762;&#x306B;&#x5BFE;&#x3057;&#x3066;&#x5E38;&#x306B;&#x5782;&#x76F4;&#x306A; 3 &#x756A;&#x76EE;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x3067;&#x3001;&#x65B9;&#x5411;&#x306F;&#x53F3;&#x56DE;&#x308A;&#x306E;&#x30EB;&#x30FC;&#x30EB;&#x306B;&#x3088;&#x3063;&#x3066;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x4E57;&#x7A4D;&#x306F;&#x3001;&#x6700;&#x521D;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x9577;&#x3055;&#x306B; 2 &#x756A;&#x76EE;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x9577;&#x3055;&#x3092;&#x4E57;&#x7B97;&#x3057;&#x3001;2 &#x672C;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x9593;&#x306E;&#x89D2;&#x5EA6;&#x306E;&#x6B63;&#x5F26;(sin)&#x3092;&#x4E57;&#x7B97;&#x3057;&#x305F;&#x3082;&#x306E;&#x3068;&#x3057;&#x3066;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x305F;&#x3081;&#x3001;<strong>&#x5E73;&#x884C;&#x306A;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x4E57;&#x7A4D;</strong>&#x306F; 0.0 &#x306B;&#x306A;&#x308A;&#x307E;&#x3059;(sin 0.0 == 0.0 &#x3067;&#x3042;&#x308B;&#x305F;&#x3081;)&#x3002;</p>\n\
<p>&#x3055;&#x3089;&#x306B;&#x4E57;&#x7A4D;&#x306F;&#x3001;2 &#x672C;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306B;&#x3088;&#x3063;&#x3066;&#x5F62;&#x6210;&#x3055;&#x308C;&#x305F;&#x5E73;&#x884C;&#x56DB;&#x8FBA;&#x5F62;&#x306E;&#x9762;&#x7A4D;&#x306B;&#x3082;&#x7B49;&#x3057;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;2 &#x672C;&#x306E;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x304C;&#x9762;&#x306E;&#x30A8;&#x30C3;&#x30B8;&#x3067;&#x3042;&#x308B;&#x5834;&#x5408;&#x3001;&#x4E57;&#x7A4D;&#x306F;&#x305D;&#x306E;&#x9762;&#x306B;&#x5BFE;&#x3059;&#x308B;&#x6CD5;&#x7DDA;&#x30D9;&#x30AF;&#x30C8;&#x30EB;(&#x9762;&#x306B;&#x5782;&#x76F4;&#x306A;&#x30D9;&#x30AF;&#x30C8;&#x30EB;)&#x3068;&#x306A;&#x308A;&#x3001;&#x9762;&#x306E;&#x9762;&#x7A4D;&#x306B; 2 &#x3092;&#x639B;&#x3051;&#x305F;&#x5024;&#x3068;&#x9577;&#x3055;&#x304C;&#x7B49;&#x3057;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x4E57;&#x7A4D;&#x304C;<strong>&#x4EA4;&#x63DB;&#x4E0D;&#x80FD;</strong>&#x3067;&#x3042;&#x308B;&#x3053;&#x3068;&#x306F;&#x3001;<strong>cross X Y == cross -Y X</strong> &#x3068;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x4E57;&#x7A4D;&#x304C;<strong>&#x7D50;&#x5408;&#x53EF;&#x80FD;</strong>&#x3067;&#x3042;&#x308B;&#x3053;&#x3068;&#x306F;&#x3001;<strong>cross (r*X) Y == r*(cross X Y)</strong> &#x3068;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x4E57;&#x7A4D;&#x304C;<strong>&#x914D;&#x5E03;&#x53EF;&#x80FD;</strong>&#x3067;&#x3042;&#x308B;&#x3053;&#x3068;&#x306F;&#x3001;<strong>cross X (Y+Z) == (cross X Y) + (cross X Z)</strong> &#x3068;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x300C;MAXScript FAQ&#x300D;&#x306E;&#x4F8B;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</strong></p>\n\
<p><a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-align-the-UVW_Modifier.html\">UVW &#x30E2;&#x30C7;&#x30A3;&#x30D5;&#x30A1;&#x30A4;&#x30E4;&#x306E;&#x30AE;&#x30BA;&#x30E2;&#x306E;&#x4F4D;&#x7F6E;&#x3092;&#x3001;&#x9078;&#x629E;&#x3057;&#x305F;&#x9762;&#x306B;&#x5408;&#x308F;&#x305B;&#x308B;&#x65B9;&#x6CD5;&#x306F;&#x3042;&#x308A;&#x307E;&#x3059;&#x304B;&#x3002;</a></p>\n\
</blockquote>\n\
<h2 id=\"-\">&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x5358;&#x4F4D;&#x5316;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">normalize &lt;point3&gt;</code></pre><p>&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x306E;&#x9577;&#x3055;&#x304C; 1 &#x306B;&#x7B49;&#x3057;&#x3044;&#x3001;&#x5E73;&#x5747;&#x5316;&#x3055;&#x308C;&#x305F; <code>point3</code> &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    b =[100,30.5,41.3]--take somePoint3 value\n\
    [100,30.5,41.3]\n\
    normalB1 =normalize b--getthe normalized vector\n\
    [0.889603,0.271329,0.367406]\n\
    length normalB1-- check the length, should be 1.0\n\
    1.0-- It is!\n\
    normalB2 =b / (length b)-- Do-It-Yourself Normalize...\n\
    [0.889603,0.271329,0.367406]-- same value\n\
    length normalB2-- of course, the length is also 1.0\n\
    1.0\n\
</code></pre></blockquote>\n\
<h2 id=\"2-\">2 &#x3064;&#x306E;&#x70B9;&#x307E;&#x305F;&#x306F;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x9593;&#x306E;&#x8DDD;&#x96E2;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">distance &lt;point3&gt; &lt;point3&gt;</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x9593;&#x306E;&#x8DDD;&#x96E2;&#x3001;&#x3064;&#x307E;&#x308A;(point 2 - point 1)&#x306E;&#x9577;&#x3055;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    a = [10,20,30]\n\
    b = [100,30.5,41.3]\n\
    distance a b-- returns 91.3123\n\
    distance b a-- returns 91.3123\n\
    length (b-a)-- returns 91.3123\n\
    length (a-b)-- returns 91.3123\n\
</code></pre></blockquote>\n\
<h2 id=\"-\">&#x7591;&#x4F3C;&#x4E71;&#x6570;&#x30DD;&#x30A4;&#x30F3;&#x30C8;/&#x30D9;&#x30AF;&#x30C8;&#x30EB;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">random &lt;point3&gt; &lt;point3&gt;</code></pre><p>&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x9593;&#x306B;&#x7591;&#x4F3C;&#x4E71;&#x6570;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x751F;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;&#x30DD;&#x30A4;&#x30F3;&#x30C8; A &#x3068;&#x30DD;&#x30A4;&#x30F3;&#x30C8; B &#x304C;&#x30EF;&#x30FC;&#x30EB;&#x30C9;&#x306B;&#x5408;&#x308F;&#x305B;&#x3066;&#x914D;&#x7F6E;&#x3055;&#x308C;&#x305F;&#x5883;&#x754C;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x30B3;&#x30FC;&#x30CA;&#x30FC;&#x3067;&#x3042;&#x308B;&#x3068;&#x307F;&#x306A;&#x3055;&#x308C;&#x308B;&#x5834;&#x5408;&#x3001;&#x4E71;&#x6570;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F;&#x30D9;&#x30AF;&#x30C8;&#x30EB; B - A &#x4E0A;&#x306B;&#x306F;&#x7F6E;&#x304B;&#x308C;&#x305A;&#x3001;&#x5883;&#x754C;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x5185;&#x306B;&#x5145;&#x6E80;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    a = [-10,-20,-30]-- define point A\n\
    b = [20,30,50]-- define point B\n\
    p1 = Point pos:a-- create a Point Helper at point A\n\
    p2 = Point pos:b-- create a Point Helper at point B\n\
    -- create 2000 spheres at random positions between point A and B\n\
    for i = 1 to 2000 do\n\
     sphere pos:(random a b) radius:2 wirecolor:blue\n\
</code></pre></blockquote>\n\
<h2 id=\"-\">&#x4EFB;&#x610F;&#x306E;&#x8EF8;&#x306E;&#x884C;&#x5217;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">arbAxis &lt;point3&gt;</code></pre><p>&#x300C;&#x4E0A;&#x300D;&#x65B9;&#x5411;&#x306B; <code>point3</code> &#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x4EFB;&#x610F;&#x306E;&#x8EF8;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x3092;&#x8868;&#x3059; Matrix &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x6CD5;&#x7DDA;&#x304B;&#x3089;&#x306E;&#x884C;&#x5217;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">matrixFromNormal &lt;point3&gt;</code></pre><p>&#x4E0E;&#x3048;&#x3089;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306B;&#x3088;&#x3063;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x6CD5;&#x7DDA;&#x3092; Z &#x8EF8;&#x3068;&#x3059;&#x308B; Matrix3 &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;Matrix3 &#x5024;&#x306E;&#x5909;&#x63DB;&#x90E8;&#x5206;&#x306F;[0,0,0]&#x3067;&#x3059;&#x3002;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x90E8;&#x5206;&#x306E;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x306F;&#x3001;<code>point3</code> &#x5024;&#x306E;&#x5E73;&#x5747;&#x5316;&#x306B;&#x5FC5;&#x8981;&#x306A;&#x5024;&#x306E;&#x9006;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x4F8B;&#x306B;&#x3064;&#x3044;&#x3066;&#x306F;&#x3001;&#x300C;<a href=\"./../../../Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Get-the-Local-Rotation.html\">&#x9762;&#x306E;&#x30ED;&#x30FC;&#x30AB;&#x30EB;&#x56DE;&#x8EE2;&#x3092;&#x53D6;&#x5F97;&#x3059;&#x308B;&#x65B9;&#x6CD5;&#x306F;&#x3042;&#x308A;&#x307E;&#x3059;&#x304B;&#x3002;</a>&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    MatrixFromNormal [0,0,1]\n\
    MatrixFromNormal [0,1,1]\n\
</code></pre><p>&#x6B21;&#x306E;&#x3088;&#x3046;&#x306B;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    (matrix3 [1,0,0], [0,1,0], [0,0,1], [0,0,0])\n\
    (matrix3 [0,-0.707107,0.707107] [1.41421,0,0] [0,1,1] [0,0,0])\n\
</code></pre></blockquote>\n\
<h2 id=\"3d-\">3D &#x30CE;&#x30A4;&#x30BA;&#x95A2;&#x6570;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">noise3 &lt;point3&gt;</code></pre><p>3D &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x4E0A;&#x306E;&#x6D6E;&#x52D5;&#x5C0F;&#x6570;&#x70B9;&#x30CE;&#x30A4;&#x30BA;&#x95A2;&#x6570;&#x3067;&#x3001;&#x64EC;&#x4F3C;&#x4E71;&#x6570; 3 &#x6B21;&#x306E;&#x30B9;&#x30D7;&#x30E9;&#x30A4;&#x30F3;&#x306B;&#x3088;&#x3063;&#x3066;&#x5B9F;&#x88C5;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x8FD4;&#x3055;&#x308C;&#x308B;&#x5024;&#x306E;&#x7BC4;&#x56F2;&#x306F; -1.0 &#x304B;&#x3089; +1.0 &#x3067;&#x3059;&#x3002;<code>point3</code> &#x5024;&#x304C;&#x540C;&#x3058;&#x5834;&#x5408;&#x3001;<code>noise3()</code> &#x95A2;&#x6570;&#x306F;&#x5E38;&#x306B;&#x540C;&#x3058;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">noise4 &lt;point3&gt; &lt;phase_float&gt;</code></pre><p>noise3 &#x3068;&#x540C;&#x3058;&#x95A2;&#x6570;&#x3067;&#x3059;&#x304C;&#x3001;2 &#x756A;&#x76EE;&#x306E;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x4F4D;&#x76F8;&#x3092;&#x5909;&#x3048;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x8FD4;&#x3055;&#x308C;&#x308B;&#x5024;&#x306E;&#x7BC4;&#x56F2;&#x306F; -1.0 &#x304B;&#x3089; +1.0 &#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">turbulence &lt;point3&gt; &lt;frequency_float&gt;\n\
</code></pre><p>noise3 &#x95A2;&#x6570;&#x306E;&#x4E0A;&#x306B;&#x69CB;&#x7BC9;&#x3055;&#x308C;&#x305F;&#x3001;&#x5358;&#x7D14;&#x306A;&#x30D5;&#x30E9;&#x30AF;&#x30BF;&#x30EB;&#x30EB;&#x30FC;&#x30D7; &#x30BF;&#x30FC;&#x30D3;&#x30E5;&#x30E9;&#x30F3;&#x30B9;&#x3067;&#x3059;&#x3002;2 &#x756A;&#x76EE;&#x306E;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306F;&#x30BF;&#x30FC;&#x30D3;&#x30E5;&#x30E9;&#x30F3;&#x30B9;&#x306E;&#x5468;&#x671F;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3057;&#x307E;&#x3059;&#x3002;&#x8FD4;&#x3055;&#x308C;&#x308B;&#x5024;&#x306E;&#x7BC4;&#x56F2;&#x306F; 0.0 &#x304B;&#x3089; +1.0 &#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fractalNoise &lt;point3&gt; &lt;H_float&gt; &lt;lacunarity_float&gt; &lt;octaves_float&gt;</code></pre><p>&#x5206;&#x6570;&#x306B;&#x3088;&#x308B;&#x30D6;&#x30E9;&#x30A6;&#x30F3;&#x904B;&#x52D5;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x5B9F;&#x88C5;&#x3055;&#x308C;&#x305F; 3D &#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306E;&#x30D5;&#x30E9;&#x30AF;&#x30BF;&#x30EB;&#x95A2;&#x6570;&#x3067;&#x3059;&#x3002;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x7B49;&#x8CEA;&#x304B;&#x3064;&#x7B49;&#x65B9;&#x7684;&#x3067;&#x3059;&#x3002;&#x5B9F;&#x6570;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x8003;&#x616E;&#x3059;&#x3079;&#x304D;&#x4E8B;&#x9805;&#x306F;&#x3001;&#x4EE5;&#x4E0B;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p><code>point3</code> - &#x30CE;&#x30A4;&#x30BA;&#x3092;&#x8A08;&#x7B97;&#x3059;&#x308B;&#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x5185;&#x306E;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3067;&#x3059;&#x3002;</p>\n\
<p><code>H_float</code> - &#x30D5;&#x30E9;&#x30AF;&#x30BF;&#x30EB;&#x5897;&#x5206;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306F;[0,1]&#x306E;&#x7BC4;&#x56F2;&#x306B;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;<code>H_float</code> &#x304C; 1 &#x306E;&#x3068;&#x304D;&#x3001;&#x95A2;&#x6570;&#x306F;&#x6BD4;&#x8F03;&#x7684;&#x30B9;&#x30E0;&#x30FC;&#x30BA;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;<code>H_float</code> &#x304C; 0 &#x306B;&#x8FD1;&#x4ED8;&#x304F;&#x306B;&#x3064;&#x308C;&#x95A2;&#x6570;&#x306F;&#x30DB;&#x30EF;&#x30A4;&#x30C8; &#x30CE;&#x30A4;&#x30BA;&#x306B;&#x8FD1;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p><code>lacunarity_float</code> - &#x7D99;&#x7D9A;&#x7684;&#x306A;&#x632F;&#x52D5;&#x306E;&#x305A;&#x308C;&#x3067;&#x3059;&#x3002;&#x6700;&#x9069;&#x306A;&#x8A2D;&#x5B9A;&#x306F; 2.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p><code>octaves_float</code> - &#x95A2;&#x6570;&#x5185;&#x306E;&#x632F;&#x52D5;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x3059;&#x3079;&#x3066;&#x306E;&#x30CE;&#x30A4;&#x30BA;&#x95A2;&#x6570;&#x306F;&#x3001;&#x300C;Texturing and Modeling: A Procedural Approach&#x300D;(Musgrave&#x3001;Peachey&#x3001;Perlin&#x3001;Worley &#x8457;&#x3001;Academic Press &#x793E;&#x520A;&#x3001;ISBN :)&#x3067;&#x7D39;&#x4ECB;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30B3;&#x30FC;&#x30C9;&#x3068;&#x30A2;&#x30EB;&#x30B4;&#x30EA;&#x30BA;&#x30E0;&#x3092;&#x57FA;&#x306B;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6B21;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306F;&#x3001;Point3 &#x30AF;&#x30E9;&#x30B9;&#x306E;&#x3055;&#x307E;&#x3056;&#x307E;&#x306A;&#x30EA;&#x30C6;&#x30E9;&#x30EB;&#x3001;&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;&#x3001;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3001;&#x6F14;&#x7B97;&#x5B50;&#x3001;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306E;&#x4F7F;&#x7528;&#x4F8B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6B21;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306F;&#x3001;&#x30CE;&#x30A4;&#x30BA;&#x95A2;&#x6570;&#x306E;&#x30C6;&#x30B9;&#x30C8; &#x30D9;&#x30C3;&#x30C9;&#x3068;&#x3057;&#x3066;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x307E;&#x3057;&#x305F;&#x3002;&#x3053;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306F;&#x30CE;&#x30A4;&#x30BA;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308B;&#x51FA;&#x529B;&#x306E; 2 &#x6B21;&#x5143;&#x306E;&#x30B9;&#x30E9;&#x30A4;&#x30B9;&#x3092;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7;&#x3067;&#x51FA;&#x529B;&#x3057;&#x307E;&#x3059;&#x3002;&#x884C; 4 &#x304B;&#x3089; 10 &#x306E;&#x30CE;&#x30A4;&#x30BA; &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3092;&#x5909;&#x66F4;&#x3057;&#x3001;&#x884C; 12 &#x3067;&#x8A55;&#x4FA1;&#x3059;&#x308B;&#x30CE;&#x30A4;&#x30BA;&#x95A2;&#x6570;&#x3092;&#x6307;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x3055;&#x307E;&#x3056;&#x307E;&#x306A;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3084;&#x30CE;&#x30A4;&#x30BA;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308B;&#x52B9;&#x679C;&#x306E;&#x5909;&#x5316;&#x3092;&#x307F;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    -- noise functions test bed\n\
    b_width=320-- specify size of bitmap\n\
    b_height=320\n\
    size=10.-- total distance covered by each row and column\n\
    z=0.-- z coordinate of 2D slice\n\
    phase=0.5-- noise4 parameter\n\
    frequency=10.-- turbulence parameter\n\
    fract_interval=.5-- fractalNoise parameters\n\
    lacunarity=2.\n\
    octaves=5\n\
    --\n\
    whichfunc=1-- 1 = noise3; 2 = noise4; 3 = turbulence; 4 = fractalNoise\n\
    --\n\
    b=bitmap b_width b_height-- create the bitmap\n\
    for h=0 to (b_height-1) do-- step through each row of the bitmap\n\
    (\n\
    h_norm=(h as float/(b_height-1))*size-- calculate y coordinate\n\
    row = for w=0 to (b_width-1) collect-- collect row of pixel colors\n\
    (\n\
    w_norm=(w as float/(b_width-1))*size-- calculate x coordinate\n\
    noise_val = case whichfunc of-- store result of selected function\n\
    (\n\
    1: noise3 [w_norm, h_norm , z]\n\
    2: noise4 [w_norm, h_norm , z] phase\n\
    3: turbulence [w_norm, h_norm , z] frequency\n\
    4: fractalNoise [w_norm, h_norm , z] fract_interval lacunarity octaves\n\
    )\n\
    noise_val = 0.5*(1.+noise_val)-- convert output range to 0. to 1.\n\
    white*noise_val-- and multiply by color white\n\
    )\n\
    setpixels b [0,h] row-- store row of pixels in bitmap\n\
    )\n\
    display b-- display bitmap in VFB\n\
</code></pre><p><strong>&#x51FA;&#x529B;</strong></p>\n\
<p>&#x6B21;&#x306B;&#x3001;&#x4E0A;&#x8A18;&#x306E;&#x5404;&#x30CE;&#x30A4;&#x30BA;&#x95A2;&#x6570;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3067;&#x751F;&#x6210;&#x3055;&#x308C;&#x305F;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><img src=\"./images/GUID-E1A3F292-6EA1-4AEE-AEB1-502E3DCE01CC-low.gif\" alt></p>\n\
<p><strong>noise3</strong></p>\n\
<p><img src=\"./images/GUID-5FD7748F-FBA6-4D70-8C05-0780FFF85741-low.gif\" alt></p>\n\
<p><strong>noise4</strong></p>\n\
<p><img src=\"./images/GUID-1CF4BF1F-3EE8-4490-BF1C-A8A05C5DBCB8-low.gif\" alt></p>\n\
<p><strong>turbulence</strong></p>\n\
<p><img src=\"./images/GUID-99DB7D3A-A175-43E7-BE89-CED16649A430-low.gif\" alt></p>\n\
<p><strong>fractalNoise</strong></p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">基本的なデータ値</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Point2-Values.html\">Point2 値</a></li>\n\
          <li><a class=\"link\" href=\"Point4-Values.html\">Point4 値</a></li>\n\
          <li><a class=\"link\" href=\"Box2-Values.html\">Box2 値</a></li>\n\
          <li><a class=\"link\" href=\"Ray-Values.html\">Ray 値</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";