var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E79133B4-9C23-40FD-8C2A-9FF43861222A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>値</h1></div><blockquote>\n\
<p>値</p>\n\
</blockquote>\n\
<p><strong>値 (Value)</strong> クラスは、すべての MAXScript クラスのルート クラスに相当します。これは、<strong>どのクラスでも</strong>使用できるメソッドおよび演算子を提供します。</p>\n\
<p>「<a href=\"./../../MAXScript-Introduction/Objects-and-Classes-in-Object/Properties-Methods-Operators-and.html\">プロパティ、メソッド、演算子、リテラル</a>」で説明されているように、各クラスはそのクラスの外部インタフェースを指定できます。これらの外部インタフェースは、次のカテゴリに分類されています。</p>\n\
<ul>\n\
<li><p><strong>リテラル:</strong> クラスのオブジェクトに対する任意のリテラル形式です。</p>\n\
</li>\n\
<li><p><strong>コンストラクタ:</strong> クラスのオブジェクトを作成するさまざまな方法です。</p>\n\
</li>\n\
<li><p><strong>プロパティ:</strong> クラスのオブジェクトに対してアクセス可能なパラメータです。</p>\n\
</li>\n\
<li><p><strong>演算子:</strong> クラス内の値に関して定義される算術および記号演算子を定義します。</p>\n\
</li>\n\
<li><p><strong>メソッド:</strong> クラスのオブジェクトに対して呼び出すことができるすべての関数を定義します。</p>\n\
</li>\n\
</ul>\n\
<p>MAXScript 内の各クラスの説明では、これらの外部インタフェースがすべて解説されています。</p>\n\
<p>メソッド、演算子、プロパティに与えられた構文形式では、<code>&lt;type_name&gt;</code> 規則を使用して引数やプロパティ値のタイプが指定されます。<code>type_name</code> は、その引数やプロパティで使用可能な値のタイプを表します。この値には、正しいタイプの値に評価されるものであれば、任意の式を使用できます。たとえば、<code>&lt;boolean&gt;</code> は <code>true</code> または <code>false</code> のブール値を意味します。</p>\n\
<p>また、関数の呼び出しに指定されるのは、コレクション上に自動的に<strong>マップ</strong>される値です。つまり、関数への最初の引数としてコレクションが指定された場合、関数ではコレクションの要素が自動的に繰り返し呼び出されます。詳細は、「<a href=\"./../Collections/Collections-1.html\">コレクション</a>」を参照してください。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Values.html\">Values</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Value-Common-Properties.html\">値の共通プロパティ、演算子、メソッド</a></li>\n\
          <li><a class=\"link\" href=\"Working-with-Values.html\">値の操作</a></li>\n\
          <li><a class=\"link\" href=\"Special-Data-Values.html\">特殊データ値</a></li>\n\
          <li><a class=\"link\" href=\"Bitmap-Values/Bitmap-Values-1.html\">ビットマップ値</a></li>\n\
          <li><a class=\"link\" href=\"Stream-Values/Stream-Values-1.html\">ストリーム値</a></li>\n\
          <li><a class=\"link\" href=\"MAXKey-Values/MAXKey-Values-1.html\">MAXKey 値</a></li>\n\
          <li><a class=\"link\" href=\"ArrayParameter-Values/ArrayParameter-Values-1.html\">ArrayParameter 値</a></li>\n\
          <li><a class=\"link\" href=\"DataPair-Values/DataPair-Values-1.html\">DataPair 値</a></li>\n\
          <li><a class=\"link\" href=\"../Collections/Collection-Types/Collection-Types-1.html\">コレクションのタイプ</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";