var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A3520718-09E9-4AFE-9CE0-B7BE62E97823\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>変数 - 代入およびスコープ</h1></div><p><em>変数</em>とは、値を代入したり、後でその値を取得したりできるユーザ定義のコンテナです。 変数はその名前によって識別されます。変数名が参照される場所ならどこでも、この変数に格納されている値が使用されます。</p>\n\
<p>以下の項で、変数に関連するさまざまなアトリビュートや考慮事項について説明します。</p>\n\
<ul>\n\
<li><a href=\"Variables-Assignment-and-Scope/Variable-Assignment.html\">変数代入</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Scope-of-Variables.html\">変数のスコープ</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Specifying-Global-Variables-As.html\">「::」を使用してグローバルとしてグローバル変数を指定</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">永続グローバル変数</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Type-Free-Variables.html\">タイプ自由変数</a></li>\n\
<li><a href=\"Variables-Assignment-and-Scope/Reference-Assignment.html\">参照代入</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Changes-to-Undeclared-Implicit.html\">未定義の暗黙的グローバル変数の変更</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Definition-Constructs-Can.html\">定義構造に含まれるトップ レベルのグローバル変数宣言</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Global-and-Persistent-Global.html\">グローバル変数と永続グローバル変数のメソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\">メモリの割り当てとガベージ コレクション</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">存続グローバル変数</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Reference-Assignment.html\">参照代入</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Scope-of-Variables.html\">変数のスコープ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Specifying-Global-Variables-As.html\">「::」を使用してグローバルとしてグローバル変数を指定</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Type-Free-Variables.html\">タイプ自由変数</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Variables-Assignment-and-Scope/Variable-Assignment.html\">変数代入</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Language-Reference.html\">MAXScript 言語リファレンス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Visibility-of-Locals-Functions.html\">ロールアウト コード内のローカル、関数、構造体、ユーザ インタフェース項目の可視性</a></li>\n\
          <li><a class=\"link\" href=\"../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Accessing-Locals-and-Other-Items.html\">外部コードからロールアウトのローカルおよび他の項目へのアクセス</a></li>\n\
          <li><a class=\"link\" href=\"Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\">メモリの割り当てとガベージ コレクション</a></li>\n\
          <li><a class=\"link\" href=\"Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage/Manual-Garbage-Collection.html\">手動ガベージ コレクション</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";