var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1BE2E978-72CF-495C-81D6-2B36E2C4FFC7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>変更ハンドラおよびコールバック</h1></div><p><strong>変更ハンドラ</strong>と<strong>コールバック</strong>は、シーン オブジェクトや <strong>3ds Max</strong> 内で発生する特定のイベントを検出するために使用します。</p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">変更ハンドラ</a>は、各 <a href=\"./../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Value-1.html\">MAXWrapper</a> オブジェクトに適用され、そのオブジェクトで監視するアトリビュートやそのアトリビュートが変更されたときに評価する式を指定します。監視できるアトリビュートには、ジオメトリ、名前、変換、パラメータなどがあります。このハンドラは、<strong>3ds Max</strong> シーンには保存されません。</p>\n\
<p><strong>コールバック</strong>は、<strong>3ds Max</strong> 内で特定のイベントが発生する際に呼び出される <strong>3ds Max</strong> 関数の登録で使用されます。監視可能なイベントには、<a href=\"Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">タイム スライダの時間</a>および<a href=\"Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">ビューポートの再描画</a>に対する変更があります。コールバックは、<strong>3ds Max</strong> シーンには保存されません。</p>\n\
<p>MAXScript には、<strong>3ds Max</strong> のコールバック システムと自動的に関連付けられるメソッドもあります。これらの<strong>一般イベント コールバック機能</strong>メソッドは、<strong>3ds Max</strong> イベントで呼び出される <strong>3ds Max</strong> スクリプトの登録または登録解除を行います。これらのスクリプトは、現在開いているファイルに保存することができ、削除するまでそのファイルに保存され、シーンがロードされるたびに実行されます。</p>\n\
<p><strong>3ds Max 2009</strong> で導入された<strong>ノード イベント システム</strong>は、SDK の <code>INodeEventCallback</code> メソッドを直接公開し、より多くのノード関連イベント(マッピングの変更、および ノードに関連するアクションの元に戻す/やり直しなど)を捕捉できるようになりました。</p>\n\
<h2 id=\"-\">上記のシステムの詳細にについては、以下のトピックを参照してください。</h2><p><a href=\"Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">変更ハンドラおよび When 構文</a></p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">時間変更コールバック機能</a></p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">ビューポートの再描画コールバック機能</a></p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">一般イベント コールバック機能</a></p>\n\
<p><a href=\"Change-Handlers-and-Callbacks/Node-Event-System.html\">ノード イベント システム</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\">変更ハンドラおよび When 構文</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter.html\">トラックバー フィルタ コールバック関数の確認</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">一般イベント コールバック機能</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Change-Handlers-and-Callbacks/Node-Event-System.html\">ノード イベント システム</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">時間変更コールバック機能</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">ビューポートの再描画コールバック機能</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Tools-and-Interaction.html\">MAXScript ツールおよび 3ds Max との連携</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter.html\">トラックバー フィルタ コールバック関数の確認</a></li>\n\
          <li><a class=\"link\" href=\"Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\">RenderEffect 進行状況コールバック機能</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";