var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-A7FE715F-BD35-4B5D-AEB6-0DC994F274F9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ActiveX コントロールの「twip」としての point2 値</h1></div><div class=\"note 注:\"><span class=\"notetitle\">注:</span></div>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt> ActiveX コントロールは、<a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet</a> フレームワークとそのコントロールを考慮して、最新バージョンの Microsoft Windows オペレーティング システムで非推奨となりました。</p>\n\
<p>MAXScript では引き続き ActiveX コントロールがサポートされますが、これらは MAXScript にアクセス可能なシステムにインストールおよび登録する必要があります。</p>\n\
<p>ActiveX コントロールの代わりに、MAXScript では、<strong>3ds Max 9 以降</strong>において <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript.html\">DotNet コントロール</a>がサポートされます。</p>\n\
<p>一部の ActiveX コントロールの プロパティとメソッドは、「twip」(1 ポイントの 20 分の 1)として画面座標値を要求および返します。</p>\n\
<p>「twip」は、Microsoft が Visual Basic などで使用していた、デバイスに依存しない単位です。</p>\n\
<p>1「twip」は 1 インチの 1440 分の 1 に相当します。ほとんどの画面は 72dpi であるとすると、1 ピクセルは 14.4 twip、つまり約 15 twip です。</p>\n\
<p>したがって、ピクセル単位の画面座標は、twip を必要とするメソッドに渡す前に 15 を掛けて変換する必要があります。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../ActiveX-Controls-in-MAXScript.html\">MAXScript ロールアウト内の ActiveX コントロール</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Typical-ActiveX-Controls/ListView-ActiveX-Control/Listview-ActiveX-functions.html\">Listview ActiveX 関数</a></li>\n\
          <li><a class=\"link\" href=\"ActiveX-Controls-in-MAXScript-1.html\">MAXScript ロールアウト内の ActiveX コントロール</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";