var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9383EF8E-819E-4C4A-B60B-D69C1FEAC54F\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8; Geometry &#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3;</h1></div><p>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8; Geometry &#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3;&#x3092;&#x5BA3;&#x8A00;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;<code>&lt;superclass&gt;</code> &#x3092; <code>geometry</code> &#x3068;&#x3057;&#x3066;&#x6307;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8; Geometry &#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3;&#x3067;&#x306F;&#x3001;&#x975E;&#x8868;&#x793A;&#x3067;&#x3042;&#x308B;&#x304B;&#x3001;&#x4E00;&#x6642;&#x7684;&#x3067;&#x3042;&#x308B;&#x304B;&#x3001;&#x5225;&#x306E;&#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3;&#x3092;&#x62E1;&#x5F35;&#x3059;&#x308B;&#x306E;&#x3067;&#x306A;&#x3044;&#x9650;&#x308A;&#x3001;<code>create</code> &#x30C4;&#x30FC;&#x30EB;&#x304C;&#x5FC5;&#x8981;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3;&#x304C;&#x5225;&#x306E;&#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3;&#x3092;&#x62E1;&#x5F35;&#x3057;&#x3001;<code>create</code> &#x30C4;&#x30FC;&#x30EB;&#x304C;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x4EE3;&#x7406;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E; create &#x30C4;&#x30FC;&#x30EB;&#x304C;&#x4E0A;&#x66F8;&#x304D;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    plugin geometry foo_plugin_def\n\
    name:&quot;FooBar&quot;\n\
    category:&quot;Scripted Primitives&quot;\n\
    (\n\
    local boxes = #()\n\
    local clickAt\n\
    tool create\n\
    (\n\
    on mousePoint click do\n\
    (\n\
    clickAt = worldPoint\n\
    boxes =for i in 1 to 10 collect box pos:([i*20,0,0] + clickAt)\n\
    #stop\n\
    )\n\
    )\n\
    rollout frab &quot;Parameters&quot;\n\
    (\n\
    spinner frab_value &quot;Frabulate&quot; range:[-1000,1000,20]\n\
    on frab_value changed val do\n\
    for i in 1 to boxes.count do\n\
    boxes[i].pos = [i*val,0,0] + clickAt\n\
    )\n\
    )\n\
</code></pre></blockquote>\n\
<p>&#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x30DC;&#x30BF;&#x30F3;&#x3092; 1 &#x3064;&#x5099;&#x3048;&#x305F;&#x65B0;&#x3057;&#x3044;&#x30B8;&#x30AA;&#x30E1;&#x30C8;&#x30EA; &#x30AB;&#x30C6;&#x30B4;&#x30EA;&#x304C;[&#x4F5C;&#x6210;] (Create)&#x30D1;&#x30CD;&#x30EB;&#x306B;&#x8FFD;&#x52A0;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;[FooBar]&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DE;&#x30A6;&#x30B9; &#x30B3;&#x30DE;&#x30F3;&#x30C9; &#x30E2;&#x30FC;&#x30C9;&#x304C;&#x8D77;&#x52D5;&#x3057;&#x307E;&#x3059;&#x3002;&#x30DE;&#x30A6;&#x30B9; &#x30B3;&#x30DE;&#x30F3;&#x30C9; &#x30E2;&#x30FC;&#x30C9;&#x3067;&#x306F;&#x3001;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x5206;&#x5272;&#x3092;&#x8ABF;&#x6574;&#x3067;&#x304D;&#x308B; 1 &#x3064;&#x306E;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x3092;&#x5099;&#x3048;&#x305F;&#x30B3;&#x30DE;&#x30F3;&#x30C9; &#x30D1;&#x30CD;&#x30EB;&#x306B;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x8FFD;&#x52A0;&#x3059;&#x308B; 10 &#x500B;&#x306E;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x884C;&#x3092;&#x4F5C;&#x6210;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;RingArray &#x306E;&#x3088;&#x3046;&#x306A; System &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x3088;&#x304F;&#x4F3C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x305F;&#x3060;&#x3057;&#x3001;[&#x30B8;&#x30AA;&#x30E1;&#x30C8;&#x30EA;] (Geometry)&#x30BF;&#x30D6;&#x5185;&#x306B;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8; &#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3;&#x306E;&#x6700;&#x3082;&#x5358;&#x7D14;&#x5316;&#x3055;&#x308C;&#x305F;&#x30BF;&#x30A4;&#x30D7;&#x3067;&#x3001;&#x7279;&#x5B9A;&#x306E;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3084;&#x4FDD;&#x5B58;&#x53EF;&#x80FD;&#x306A;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306F;&#x7528;&#x610F;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<p>&#x30C4;&#x30FC;&#x30EB; &#x30CF;&#x30F3;&#x30C9;&#x30E9;&#x3067;&#x306F;&#x3001;&#x5FC5;&#x8981;&#x306B;&#x5FDC;&#x3058;&#x3066; delegate &#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x8A2D;&#x5B9A;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    plugin geometry Cuboid\n\
    name:&quot;Cuboid&quot;\n\
    classID:#(0x133067, 0x54374)\n\
    category:&quot;Scripted Primitives&quot;\n\
    extends:Box\n\
    (\n\
    fn fmax val1 val2 = if val1 &gt; val2 then val1 else val2\n\
    tool create\n\
    (\n\
    on mousePoint click do\n\
    case click of\n\
    (\n\
    1: nodeTM.translation = gridPoint\n\
    2: #stop\n\
    )\n\
    on mouseMove click do\n\
    if click == 2 then\n\
    delegate.width = delegate.length =\n\
    delegate.height = 2 * fmax (abs gridDist.x) (abs gridDist.y)\n\
    )\n\
    )\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">スクリプト プラグイン</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Updating-Scripted-Plug-ins.html\">スクリプト化されたプラグインの更新</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Methods.html\">スクリプト化されたプラグインのメソッド</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-in-Clauses.html\">スクリプト プラグイン句</a></li>\n\
          <li><a class=\"link\" href=\"Scripted-Plug-ins-1.html\">スクリプト プラグイン</a></li>\n\
          <li><a class=\"link\" href=\"../Scripted-Mouse-Tools.html\">スクリプト化されたマウス ツール</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";