var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E7FE8222-FC65-4A7D-AB8B-787A676DB2FA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;(Curve Control)</h1></div><p>&#x4EE5;&#x4E0B;&#x306E;&#x69CB;&#x6587;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3067;&#x66F8;&#x304B;&#x308C;&#x305F;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x306B;&#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3092;&#x4F5C;&#x6210;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">CurveControl &lt;name&gt; [&lt;caption&gt;] \\\n\
[visible:&lt;boolean&gt;] [numCurves:&lt;integer&gt;] \\\n\
[x_range:&lt;point2&gt; ] [y_range:&lt;point2&gt;] \\\n\
[x_value:&lt;float&gt; ] \\\n\
[zoomValues:&lt;point2&gt;] [scrollValues:&lt;point2&gt;] \\\n\
[displayModes:&lt;bitarray&gt;] \\\n\
[commandMode:&lt;#move_xy | #move_x | #move_y | #scale | #corner | #bezier] \\\n\
[uiFlags:&lt;array_of_ui_flags&gt; ] \\\n\
[rcmFlags:&lt;array_of_rcm_flags&gt;] [asPopup:&lt;boolean&gt;]</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">uiFlags:</code></pre><p>&#x6B21;&#x306E;&#x30D5;&#x30E9;&#x30B0;&#x306E;&#x4EFB;&#x610F;&#x306E;&#x7D44;&#x307F;&#x5408;&#x308F;&#x305B;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">#drawBG - Specifies to draw the white background in the graph window.   \n\
#drawgrid - Specifies to draw the grid lines and coordinates in the graph window.   \n\
#upperToolbar - Specifies to draw the upper toolbar above the control.   \n\
#showReset - Specifies to display the Reset button in the upper toolbar.   \n\
#lowerToolbar - Specifies to draw the lower toolbar beneath the control.   \n\
#scrollBars - Specifies to draw the horizontal and vertical scroll bars for the control.   \n\
#autoScroll - Specifies to do auto scrolling. Auto scroll happens when you drag a CurvePoint out of the currently visible range. In case you&apos;re zoomed in, the window will automatically scroll.   \n\
#ruler - Specifies to draw a small moveable ruler window (measures horizontal coordinates).   \n\
#constrainY - Specifies that no points (or handles) can be moved out of the value that is set bySetYRange().   \n\
#hideDisabled - Specifies that disabled curves won&apos;t be displayed at all.   \n\
#all - All the listed uiFlags are on except #singleSelect, #noFilterButtons, and #xvalue   \n\
#xvalue - Specifies to draw a vertical bar over the graph to show the current X value   \n\
#singleSelect - this flag allows the user to single select a point. Normally if a bunch of points are stacked in area if you click on the area you get all of them. With this flag you get the first one   \n\
#noFilterButtons - this flag turns off the curve visible/editable toggle in the top of the menu bar</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rcmFlags:</code></pre><p>&#x6B21;&#x306E;&#x30D5;&#x30E9;&#x30B0;&#x306E;&#x4EFB;&#x610F;&#x306E;&#x7D44;&#x307F;&#x5408;&#x308F;&#x305B;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">#move_xy,\n\
#move_x,\n\
#move_y,\n\
#scale,\n\
#corner,\n\
#bezier,\n\
#delete,\n\
#all</code></pre><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.visible : Boolean</code></pre><p>false &#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x305F;&#x5834;&#x5408;&#x3001;&#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306F;&#x975E;&#x8868;&#x793A;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;true &#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x305F;&#x5834;&#x5408;&#x3001;&#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306F;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.x_range : Point2</code></pre><p>x_range &#x3092;&#x6307;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x6700;&#x521D;&#x3068;&#x6700;&#x5F8C;&#x306E;&#x30AB;&#x30FC;&#x30D6; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x7D76;&#x5BFE;&#x4F4D;&#x7F6E;&#x304C;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3064;&#x307E;&#x308A;&#x3001;&#x6700;&#x521D;&#x3068;&#x6700;&#x5F8C;&#x306E;&#x30AB;&#x30FC;&#x30D6; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E; X &#x5024;&#x306F;&#x3001;&#x5E38;&#x306B; x_range &#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.y_range : Point2</code></pre><p>Y &#x8EF8;&#x306E;&#x4E0A;&#x9650;&#x304A;&#x3088;&#x3073;&#x4E0B;&#x9650;&#x306E;&#x7D76;&#x5BFE;&#x5024;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F; <code>uiFlags</code> &#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;&#x306E; <code>#constrainY</code> &#x304C;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306E;&#x307F;&#x6709;&#x52B9;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.x_value : Float</code></pre><p><code>uiFlags</code> &#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;&#x306E; <code>#xvalue</code> &#x304C;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306E;&#x307F;&#x3001;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x30B0;&#x30E9;&#x30D5; &#x30A6;&#x30A3;&#x30F3;&#x30C9;&#x30A6;&#x306E;&#x5782;&#x76F4;&#x7DDA;&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.displayModes : BitArray</code></pre><p>BitArray &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x5185;&#x306E;&#x30D3;&#x30C3;&#x30C8;&#x3067;&#x3001;&#x305D;&#x306E;&#x30D3;&#x30C3;&#x30C8;&#x306B;&#x5BFE;&#x5FDC;&#x3059;&#x308B;&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;BitArray &#x304C;&#x7A7A;&#x300C;{}&#x300D;&#x3067;&#x3042;&#x308B;&#x5834;&#x5408;&#x3001;&#x30AB;&#x30FC;&#x30D6;&#x306F;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;&#x30D3;&#x30C3;&#x30C8; 1 &#x306B;&#x300C;{1}&#x300D;&#x304C;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x308B;&#x3068;&#x3001;&#x6700;&#x521D;&#x306E;&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x3001;&#x30D3;&#x30C3;&#x30C8; 2 &#x306B;&#x300C;{2}&#x300D;&#x304C;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x308B;&#x3068; 2 &#x756A;&#x76EE;&#x306E;&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x4EE5;&#x5F8C;&#x3082;&#x540C;&#x3058;&#x3088;&#x3046;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30D3;&#x30C3;&#x30C8;&#x306B;&#x5F93;&#x3063;&#x3066;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;2 &#x3064;&#x4EE5;&#x4E0A;&#x306E;&#x30D3;&#x30C3;&#x30C8;&#x304C;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x8907;&#x6570;&#x306E;&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x540C;&#x6642;&#x306B;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;{1..2} &#x3067;&#x306F;&#x6700;&#x521D;&#x306E; 2 &#x3064;&#x306E;&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x3001;{1,3} &#x3067;&#x306F; 1 &#x756A;&#x76EE;&#x3068; 3 &#x756A;&#x76EE;&#x306E;&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x308B;&#x3068;&#x3044;&#x3063;&#x305F;&#x5177;&#x5408;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.commandMode : Name</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30B3;&#x30DE;&#x30F3;&#x30C9; &#x30E2;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;<code>#move_xy, #move_x, #move_y, #scale, #corner, #bezier</code></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.zoomValues : Point2</code></pre><p>&#x6C34;&#x5E73;&#x304A;&#x3088;&#x3073;&#x5782;&#x76F4;&#x65B9;&#x5411;&#x306E;&#x30BA;&#x30FC;&#x30E0;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x5024;&#x304C;&#x9AD8;&#x3044;&#x307B;&#x3069;&#x3001;&#x30BA;&#x30FC;&#x30E0;&#x62E1;&#x5927;&#x7387;&#x3082;&#x5927;&#x304D;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;(x &#x8EF8;&#x304A;&#x3088;&#x3073; y &#x8EF8;&#x306B;&#x5BFE;&#x3059;&#x308B;&#x76F8;&#x5BFE;&#x7684;&#x306A;&#x8868;&#x793A;&#x5024;&#x306F;&#x4F4E;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.scrollValues : Point2</code></pre><p>&#x6C34;&#x5E73;&#x304A;&#x3088;&#x3073;&#x5782;&#x76F4;&#x65B9;&#x5411;&#x306E;&#x30B9;&#x30AF;&#x30ED;&#x30FC;&#x30EB;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;curvecontrol&gt;.curves : Array, read-only</code></pre><p>MAXCurve &#x30BF;&#x30A4;&#x30D7;&#x306E;&#x30AB;&#x30FC;&#x30D6;&#x306E;&#x914D;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">zoom &lt;curvecontrol&gt; #all</code></pre><p>&#x5168;&#x7BC4;&#x56F2;&#x30BA;&#x30FC;&#x30E0;&#x5168;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3092;&#x884C;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30A4;&#x30D9;&#x30F3;&#x30C8;</strong></p>\n\
<p>&#x4EE5;&#x4E0B;&#x306E;&#x30A4;&#x30D9;&#x30F3;&#x30C8;&#x3067;&#x3001;<code>&lt;ci&gt;</code> &#x306F;&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x306A;&#x30AB;&#x30FC;&#x30D6; &#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; selChanged &lt;ci&gt; &lt;val&gt; do &lt;expr&gt;</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x9078;&#x629E;&#x307E;&#x305F;&#x306F;&#x9078;&#x629E;&#x89E3;&#x9664;&#x3055;&#x308C;&#x308B;&#x5834;&#x5408;&#x306B;&#x9001;&#x4FE1;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;<val>&#x306F;&#x3001;&#x9078;&#x629E;&#x3055;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x6570;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</val></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; ptChanged &lt;ci&gt; &lt;val&gt; do &lt;expr&gt;</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x308B;&#x5834;&#x5408;&#x306B;&#x9001;&#x4FE1;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;<val> &#x306F;&#x3001;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</val></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; tangentChanged &lt;ci&gt; &lt;val&gt; type do &lt;expr&gt;</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30A4;&#x30F3;&#x307E;&#x305F;&#x306F;&#x30A2;&#x30A6;&#x30C8;&#x63A5;&#x7DDA;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x308B;&#x5834;&#x5408;&#x306B;&#x9001;&#x4FE1;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;<val> &#x306F;&#x3001;&#x5909;&#x66F4;&#x3055;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</val></p>\n\
<p>&#x30BF;&#x30A4;&#x30D7;&#x306F;&#x5909;&#x66F4;&#x5185;&#x5BB9;&#x306B;&#x3088;&#x3063;&#x3066;&#x3001;#inTangent &#x307E;&#x305F;&#x306F; #outTangent &#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; deleted &lt;ci&gt; &lt;val&gt; do &lt;expr&gt;</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x524A;&#x9664;&#x3055;&#x308C;&#x308B;&#x5834;&#x5408;&#x306B;&#x9001;&#x4FE1;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002; val &#x306F;&#x3001;&#x524A;&#x9664;&#x3055;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; reset &lt;ci&gt; do &lt;expr&gt;</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x518D;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x308B;&#x5834;&#x5408;&#x306B;&#x9001;&#x4FE1;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on &lt;curvecontrol&gt; rightClick do &lt;expr&gt;</code></pre><p>&#x30E6;&#x30FC;&#x30B6;&#x304C; &#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3092;&#x53F3;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x305F;&#x3068;&#x304D;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x3001;&#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x304C;&#x81EA;&#x8EAB;&#x306E;&#x5185;&#x90E8;&#x53F3;&#x30AF;&#x30EA;&#x30C3;&#x30AF; &#x30CF;&#x30F3;&#x30C9;&#x30E9;&#x3092;&#x63D0;&#x4F9B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2010</strong>&#x4EE5;&#x964D;&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<h2 id=\"cccurve\">ccCurve</h2><p><code>ccCurve</code> &#x306F;&#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x5185;&#x306E;&#x5358;&#x4E00;&#x306E;&#x30AB;&#x30FC;&#x30D6;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.animatable : Boolean</code></pre><p>true &#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x305F;&#x5834;&#x5408;&#x3001;&#x30AB;&#x30FC;&#x30D6; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x30AD;&#x30FC;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x51E6;&#x7406;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.color : Color</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x305D;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.disabledColor : Color</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x4F7F;&#x7528;&#x4E0D;&#x53EF;&#x80FD;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x305D;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.width : Integer</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x305D;&#x306E;&#x5E45;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.disabledWidth : Integer</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x4F7F;&#x7528;&#x4E0D;&#x53EF;&#x80FD;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x305D;&#x306E;&#x5E45;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.disabledStyle : Name</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.style : Name</code></pre><p>&#x3053;&#x308C;&#x3089;&#x306F;&#x30AB;&#x30FC;&#x30D6;&#x3092;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x304A;&#x3088;&#x3073;&#x4F7F;&#x7528;&#x4E0D;&#x53EF;&#x80FD;&#x306B;&#x3057;&#x305F;&#x5834;&#x5408;&#x306E;&#x30AB;&#x30FC;&#x30D6;&#x306E;&#x63CF;&#x753B;&#x30B9;&#x30BF;&#x30A4;&#x30EB;&#x3067;&#x3059;&#x3002;&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">#solid, #dash, #dot, #dashDot, #dashDotDot, #null, #insideFrame</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.lookupTableSize : Integer</code></pre><p>&#x3053;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x3001;&#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x691C;&#x7D22;&#x30C6;&#x30FC;&#x30D6;&#x30EB;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x691C;&#x7D22;&#x30C6;&#x30FC;&#x30D6;&#x30EB;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x3053;&#x3068;&#x306B;&#x3088;&#x308A;&#x3001;&#x30AB;&#x30FC;&#x30D6; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30E6;&#x30FC;&#x30B6;&#x306F;&#x3001;&#x5024;&#x306B;&#x7D20;&#x65E9;&#x304F;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x308B;&#x3088;&#x3046;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;&#x691C;&#x7D22;&#x30C6;&#x30FC;&#x30D6;&#x30EB;&#x306E;&#x65E2;&#x5B9A;&#x30B5;&#x30A4;&#x30BA;&#x306F; 1000 &#x3067;&#x3059;&#x3002;&#x30AB;&#x30FC;&#x30D6;&#x306B;&#x5BFE;&#x3057;&#x3066; getValue() &#x304C;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x308B;&#x3068;&#x3001;&#x3053;&#x306E;&#x5024;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.numPoints : Integer</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x4E2D;&#x306E;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x6570;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccCurve&gt;.points : Array, read-only</code></pre><p>CurvePointsArray &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">getValue ccCurve &lt;time_value&gt; &lt;float_x&gt; [lookup:&lt;false&gt;]</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x306B;&#x6CBF;&#x3063;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F; x &#x306E;&#x4F4D;&#x7F6E;&#x306E;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x6642;&#x9593;&#x306B;&#x5BFE;&#x5FDC;&#x3059;&#x308B; Point2 &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">isAnimated ccCurve &lt;index&gt;</code></pre><p>&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30AB;&#x30FC;&#x30D6;&#x306E;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x30A2;&#x30CB;&#x30E1;&#x30FC;&#x30C8;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;(&#x30AD;&#x30FC;&#x304C;&#x3042;&#x308B;)&#x5834;&#x5408;&#x306F; true &#x3092;&#x8FD4;&#x3057;&#x3001;&#x305D;&#x3046;&#x3067;&#x306A;&#x3044;&#x5834;&#x5408;&#x306F; false &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">getSelectedPts ccCurve</code></pre><p>&#x9078;&#x629E;&#x3055;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306B;&#x3064;&#x3044;&#x3066;&#x30D3;&#x30C3;&#x30C8;&#x304C;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x305F; BitArray &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">setSelectedPts &lt;ccCurve&gt; &lt;bitarray&gt; [#select] [#deSelect] [#clear]</code></pre><p>BitArray &#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x9078;&#x629E;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">setPoint &lt;ccCurve&gt; &lt;index&gt; &lt;ccpoint&gt; [checkConstraints:&lt;true&gt;]</code></pre><p>&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30AB;&#x30FC;&#x30D6;&#x306E;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x5024;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;checkConstraints &#x304C; true &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F;&#x5236;&#x7D04;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">getPoint &lt;ccCurve&gt; &lt;index&gt;</code></pre><p>&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30AB;&#x30FC;&#x30D6;&#x306E;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E; Point2 &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">insertPoint &lt;ccCurve&gt; &lt;index&gt; &lt;ccpoint&gt;</code></pre><p>&#x65B0;&#x3057;&#x3044;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x3001;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x4F4D;&#x7F6E;&#x306B;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x5024;&#x3067;&#x633F;&#x5165;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">deletePoint &lt;ccCurve&gt; &lt;index&gt;</code></pre><p>&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30A4;&#x30FC;&#x30BA; &#x30AB;&#x30FC;&#x30D6;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30E9;&#x304B;&#x3089;&#x524A;&#x9664;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><code>CurvePointsArray</code> &#x306F;&#x30AB;&#x30FC;&#x30D6; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x914D;&#x5217;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><code>CurvePointValue</code> &#x306F;&#x30AB;&#x30FC;&#x30D6; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"curvepointvalue\">CurvePointValue</h2><p><code>CurvePointValue</code> &#x306F;&#x30AB;&#x30FC;&#x30D6; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;&#x30AB;&#x30FC;&#x30D6; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F;&#x6B21;&#x306E;&#x3088;&#x3046;&#x306B;&#x4F5C;&#x6210;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">ccPoint &lt;pt_point2&gt; &lt;in_point&gt; &lt;out_point2&gt; \\ [bezier:&lt;false&gt;] [corner:&lt;false&gt;] [lock_x:&lt;false&gt;] \\ [lock_y:&lt;false&gt;] \\ [select:&lt;false&gt;] [end:&lt;false&gt;] \\ [noXConstraint:&lt;false&gt;]</code></pre><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.value : Point2</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E; Point2 &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.inTangent : Point2</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30A4;&#x30F3;&#x63A5;&#x7DDA;&#x306E; Point2 &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.outTangent : Point2</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30A2;&#x30A6;&#x30C8;&#x63A5;&#x7DDA;&#x306E; Point2 &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.bezier : Boolean</code></pre><p>true &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F;&#x30D9;&#x30B8;&#x30A7; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.corner : Boolean</code></pre><p>true &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F;&#x30B3;&#x30FC;&#x30CA;&#x30FC; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;.bezier &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; true &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F;&#x30D9;&#x30B8;&#x30A7; &#x30B3;&#x30FC;&#x30CA;&#x30FC;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.lock_x : Boolean</code></pre><p>true &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F; X &#x8EF8;&#x306B;&#x6CBF;&#x3063;&#x3066;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.lock_y : Boolean</code></pre><p>true &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306F; Y &#x8EF8;&#x306B;&#x6CBF;&#x3063;&#x3066;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.selected : Boolean</code></pre><p>true &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x9078;&#x629E;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.end : Boolean</code></pre><p>true &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x308B;&#x3068;&#x3001;&#x3069;&#x306E;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3082;&#x7D42;&#x70B9;&#x306B;&#x306A;&#x308A;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;ccpoint&gt;.noXConstraint : Boolean</code></pre><p>false &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;X &#x5EA7;&#x6A19;&#x304C;&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30EC;&#x30A4;&#x30F3;&#x30C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;true &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306B;&#x5BFE;&#x3057;&#x3066; X &#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30EC;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x8AB2;&#x305B;&#x3089;&#x308C;&#x308B;&#x3053;&#x3068;&#x306F;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    rollout uTestCurveControl &quot;Curve Control&quot;\n\
    (\n\
    -- Curve control Properties\n\
    local ccProps = #(\n\
    #visible,\n\
    #numCurves,\n\
    #x_range,\n\
    #y_range,\n\
    #displayModes,\n\
    #zoomValues,\n\
    #scrollValues,\n\
    #commandMode)\n\
    -- Curve properties\n\
    local curveProps = #(\n\
    #name,\n\
    #animatable,\n\
    #color,\n\
    #disabledColor,\n\
    #width,\n\
    #disabledWidth,\n\
    #style,\n\
    #disabledStyle,\n\
    #numPoints,\n\
    #lookupTableSize)\n\
    -- Curve Point properties\n\
    local cpProps = #(\n\
    #value,\n\
    #inTangent,\n\
    #outTangent,\n\
    #bezier,\n\
    #corner,\n\
    #lock_x,\n\
    #lock_y,\n\
    #selected,\n\
    #end,\n\
    #noXConstraint)\n\
    button btn_props &quot;Print Properties&quot;\n\
    checkBox chk_visible &quot;Visible&quot; checked:true\n\
    checkBox chk_enable &quot;Enable&quot; checked:true\n\
    CurveControl cc_test &quot;Curve Control:&quot;\n\
    height:200\n\
    width:400\n\
    align:#center\n\
    numCurves:2\n\
    visible:true\n\
    x_range:[-100,100]\n\
    y_range:[-100,100]\n\
    scrollValues:[-100,100]\n\
    commandMode:#move_xy\n\
    -- The following parameters default to all flags if not specified\n\
    --uiFlags:#(#drawBG, #drawgrid, #upperToolbar, #showReset, #scrollBars, #constrainY, #xvalue)\n\
    rcmFlags:#(#delete)\n\
    asPopup:false\n\
    on chk_visible changed state do cc_test.visible = state\n\
    on chk_enable changed state do cc_test.enabled = state\n\
    on uTestCurveControl open do\n\
    (\n\
    zoom cc_test #all\n\
    local colors = #(red, green, blue)\n\
    local styles = #(#solid, #dash, #dot, #dashDot, #dashDotDot, #null, #insideFrame)\n\
    local num = cc_test.numCurves\n\
    -- Initialize curve properties\n\
    for i=2 to num do\n\
    (\n\
    local crv = cc_test.curves[i]\n\
    local ci = ((mod (i-1) colors.count)+1) as integer\n\
    local si = ((mod (i-1) styles.count)+1) as integer\n\
    crv.name = &quot;Curve&quot; + i as string\n\
    crv.color = colors[ci]\n\
    crv.disabledColor = colors[ci]*0.5\n\
    crv.style = styles[si]\n\
    --crv.width = crv.disabledWidth = i\n\
    crv.numPoints = i*2\n\
    local del = (cc_test.x_range.y - cc_test.x_range.x)/(crv.numPoints-1)\n\
    -- format &quot;del:%\\n&quot; del\n\
    -- Place intermediate points equally spaced\n\
    for j=1 to crv.numPoints do\n\
    (\n\
    local cp = crv.points[j]\n\
    format &quot;% end: % -&gt; &quot; j cp.end\n\
    --cp.corner = true\n\
    cp.value = [cc_test.x_range.x+(j-1)*del, cp.value.y]\n\
    cp.inTangent = [0.2,0.2]\n\
    cp.outTangent = [0.2,-0.2]\n\
    crv.points[j] = cp\n\
    format &quot;%\\n&quot; crv.points[j].end\n\
    format &quot;value: %\\n&quot;crv.points[j].value\n\
    )\n\
    )\n\
    )\n\
    on btn_props pressed do\n\
    (\n\
    local tab =&quot;\\t&quot;\n\
    -- print the CC properties\n\
    format &quot;Curve Control Properties\\n&quot;\n\
    for p in ccProps do\n\
    format (tab +&quot;% : %\\n&quot;) (p as string) (getProperty cc_test p)\n\
    format (tab + &quot;Curves:\\n&quot;)\n\
    tab += &quot;\\t&quot;\n\
    for i=1 to cc_test.numCurves do\n\
    (\n\
    local crv = cc_test.curves[i]\n\
    -- print each Curve&apos;s properties\n\
    format (tab + &quot;Curve%\\n&quot;) i\n\
    for p in curveProps do\n\
    format (tab + &quot;\\t% : %\\n&quot;) (p as string) (getProperty crv p)\n\
    format (tab + &quot;\\tPoints:\\n&quot;)\n\
    for j=1 to crv.numPoints do\n\
    (\n\
    local cp = crv.points[j]\n\
    format (tab + &quot;\\t\\tPoint%\\n&quot;) j\n\
    -- Print each curve point properties\n\
    for pp in cpProps do\n\
    format (tab + &quot;\\t\\t\\t% : %\\n&quot;) (pp as string) (getProperty cp pp)\n\
    )\n\
    )\n\
    )\n\
    -- Curve control event handlers\n\
    on cc_test selChanged ci val do format &quot;curve % numSelected : %\\n&quot; ci val\n\
    on cc_test ptChanged ci val do format &quot;curve % ptChanged : %\\n&quot; ci val\n\
    on cc_test tangentChanged ci val type do format &quot;curve % tangentChanged : % %\\n&quot;ci val (type as string)\n\
    on cc_test deleted ci pi do format &quot;curve % deleted : %\\n&quot; ci pi\n\
    on cc_test reset ci do format &quot;curve % resetted\\n&quot; ci\n\
    )\n\
    curveFloater = newRolloutFloater &quot;Curve Control Test&quot; 500 400\n\
    addRollout uTestCurveControl curveFloater\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-711C8A4D-D2B8-4221-ABFF-70557191AD51-low.gif\" alt></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">ロールアウト ユーザ インタフェース コントロールのタイプ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../Rollout-User-Interface-Controls.html\">ロールアウト ユーザ インタフェース コントロール</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-3.html\">ロールアウト ユーザ インタフェース コントロールのタイプ</a></li>\n\
          <li><a class=\"link\" href=\"../Rollout-User-Interface-Controls-2.html\">ロールアウト ユーザ インタフェース コントロールの共通レイアウト パラメータ</a></li>\n\
          <li><a class=\"link\" href=\"Spinner-UI-Control.html\">Spinner UI コントロール</a></li>\n\
          <li><a class=\"link\" href=\"Slider-UI-Control.html\">Slider UI コントロール</a></li>\n\
          <li><a class=\"link\" href=\"ProgressBar-UI-Control.html\">ProgressBar UI コントロール</a></li>\n\
          <li><a class=\"link\" href=\"Angle-UI-element.html\">Angle UI コントロール</a></li>\n\
          <li><a class=\"link\" href=\"Colorpicker-UI-Control.html\">Colorpicker UI コントロール</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";