var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E5D783F1-9108-4436-921C-D72BF7035866\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAX ファイルの AssetManager、AssetUser、アセット メタデータへのアクセス</h1></div><p><strong>3ds Max 2010</strong> より前のバージョンでは、外部ファイル(アセット)を参照したプラグインがそのアセットのファイル名を文字列またはパス オブジェクトとして保持し、このファイル名を  <strong>3ds Max</strong> シーン ファイルに文字列または IParameterBlock2 TYPE_FILENAME パラメータとして格納していました。プラグインによって使用されるアセットを <strong>3ds Max</strong> が識別できるようにするために、プラグインは IAssetAccessor から派生するクラスを実装します。このクラスから提供される情報は、主にアセット トラッキング システムが使用していました。</p>\n\
<p><strong>3ds Max 2010</strong> 以降、アセットは <strong>AssetUser</strong> クラスのインスタンスとして処理されます。このクラスのインスタンスには、アセットのファイル名、タイプ、およびこのアセットに依存する <strong>3ds Max</strong> シーン ファイル(外部参照を解決するために使用されます)が含まれています。アセットへのアクセスおよびアセットの寿命管理は、<strong>アセット マネージャ</strong>によって処理されます。</p>\n\
<p><strong>3ds Max</strong>シーン ファイルへのアセットのロードと保存は、<a href=\"IObject-AssetUser.html\">AssetUser</a> と <strong>AssetManager</strong> によって行われます。</p>\n\
<h3 id=\"maxscript-\">MAXScript で使用可能なアセット管理に関するインタフェース、オブジェクト、メソッドについては、以下のトピックで説明しています。</h3><p><strong>3ds Max</strong> シーンを保存すると、アセット データはアセット マネージャによって <strong>3ds Max</strong> ファイルの<strong>別のストリーム</strong>に保存されます。これにより、<strong>外部プログラムがアセット データにアクセス</strong>してシーンで使用されているアセットを識別できるようになり、<strong>3ds Max</strong> にシーン ファイルをロードしなくても<strong>アセット データを修正</strong>することができます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">インタフェース: AssetManager</a></p>\n\
<p><a href=\"IObject-AssetUser.html\">IObject:AssetUser</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\">インタフェース: FileResolutionManager</a></p>\n\
<p><a href=\"./../3ds-Max-Scene-Files-Access/MAX-File-Asset-Metadata-Stream.html\">MAX ファイル アセット メタデータのストリーム アクセス</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Asset-Management.html\">アセットの管理</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";