var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-81C6EC68-B766-4C6C-A6A4-D0272A0DE953\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>カスタム ファイル ストリーム</h1></div><p>3ds Max シーン ファイルには、ファイルと一緒に保持されるカスタム ユーザ データを保存する機能があります。<strong>3ds Max 2019 以降</strong>で使用可能です。 MAXScript では、この機能は <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomFileStream.html\"\">CustomFileStream</a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomSceneStreamManager.html\"\">CustomSceneStreamManager</a> インタフェースで公開されます。<code>CustomSceneStreamManager</code> は、ロード時に現在の 3ds Max シーン ファイルから永続的なすべての <code>CustomFileStream</code> オブジェクトをロードしてキャッシュし、ファイルを保存するときに保存します(いくつか例外があります。詳細については、「<code>CustomSceneStreamManager</code>」トピックの「フラグ値」を参照してください)。<code>CustomFileStream</code> オブジェクトは、最大 31 文字の大文字と小文字を区別する名前で識別されます。</p>\n\
<p><code>CustomFileStream</code> インタフェースを使用すると、他の(現在ロードされていない) 3ds Max シーン ファイル内のデータ ストリームをクエリして、書き込むことができます。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> カスタム ファイル ストリーム機能は、3ds Max SDK で公開されますが、3ds Max のコンポーネントには依存しません。これは、3ds Max シーン ファイルに対してカスタム データの読み取りと書き込みを行うアプリケーションを、3ds Max に依存しないで記述できることを意味します。MAXScript の公開は、3ds Max に依存しません。</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../File-Access.html\">ファイル アクセス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";