var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-35559C6A-CC75-4C8D-9A2A-8DFA73F2501E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript Zip ファイルのドラッグ アンド ドロップ</h1></div><p>MAXScript の OLE ベースのドラッグ アンド ドロップ システムでは、MAXScript .mzp zip パッケージをドロップすることもできます。これらのパッケージは、i-drop 対応 Web ページから、またはファイル ディレクトリから直接(たとえば、Windows エクスプローラや新しい MAX アセット ブラウザから)ドロップすることができます。</p>\n\
<p>この機能の主な目的は、スクリプト パッケージを MAX にドロップして、特にパッケージ化された dropScript を<strong>自動的に実行</strong>できるようにすることです。ただし、パッケージには任意の種類のファイルを含めることができるため、たとえば、シーン ファイルとそのマップ ファイルおよびその他のサポート ファイル、または新しいプラグインなど、任意のファイルのセットをドラッグするために使用することができます。<code>mzp.run</code> コントロール ファイルでは、extract to、copy、および move コマンドを使用して、パッケージ内のファイルに任意の配置を設定することができます。これは、i-drop に表示されるすべてのダウンロード済みファイルを、単純に MAX のダウンロード ディレクトリに配置する現在の i-drop パッケージ ドロップ メカニズムの<strong>代替方法</strong>として使用すると便利です。</p>\n\
<p><a name=\"-mzp-drop-protocol\"></a></p>\n\
<h2 id=\"-mzp-\">.mzp ドロップ プロトコル</h2><p>.mzp パッケージをドロップする場合、i-drop コントロールを通じてドロップするか、またはファイル ディレクトリから直接ドロップするかによって、発生するイベントの順序は少し異なります。つまり、i-drop の場合は、パッケージを先にダウンロードした後で抽出が行われますが、ファイル ディレクトリからのドロップの場合は、そのファイルから直接抽出が行われます。また、パッケージで指定された dropScript の「<code>the &#39;on droppable&#39;</code>」ハンドラは、i-drop を使用してパッケージがドロップされた場合にのみ実行されます。ファイル ディレクトリからのドロップは、「<code>&#39;on droppable&#39;</code>」テストを実行する場合にドラッグ オーバー コールバックを提供しないシステム制御アクションです。</p>\n\
<p>i-drop からのドロップの場合、まず .mzp ファイルは、i-drop XML ファイルで指定された他のファイルと一緒に <code>&lt;max&gt;\\\\downloads</code> ディレクトリにダウンロードされます。このディレクトリに既に存在するファイルは上書きされます。.mzp ファイルが i-drop ファイル セットの最初のファイルの場合、.mzp ファイルは基本ドロップ ファイルとなり、次の .mzp 処理が続行されます。次に、.mzp ファイルは<strong>システムのメイン TEMP ディレクトリ内</strong>の新しい一時ディレクトリに抽出され、mzp.run コントロール ファイルが実行されます。パッケージに mzp.run ファイルがない場合は、.mzp パッケージの最初のファイルがドロップされ、そのファイル形式に適切な任意のドロップ プロトコルが使用されます。<code>mzp.run</code> コントロール ファイルがある場合、通常、このファイルには、<strong>extract to、move、および copy コマンドが含まれており</strong>、このコマンドを使用して、パッケージから抽出されたファイルの配置をコントロールします(たとえば、$maps &amp; scene ファイルのテクスチャ ファイルを $scene に配置します)。</p>\n\
<p>初期ロードの後の <code>mzp.run</code> ファイルの実行中に、すべての「<code>&#39;copy&#39;</code>」および「<code>&#39;move&#39;</code>」コマンドが実行され、「<code>&#39;drop&#39;</code>」コマンドが検索されます。drop コマンドで指定されたファイルは、その後のドロップ処理のために記憶されます。<code>&#39;run&#39;</code>、<code>&#39;open&#39;</code>、<code>&#39;import&#39;</code>、<code>&#39;merge&#39;</code>、<code>&#39;xref&#39;</code> のコマンドは無視されます。「<code>&#39;drop&#39;</code>」コマンドが複数見つかった場合、最初のものだけが実行されます。</p>\n\
<p>ドロップ ファイルは、mzp.run ファイルの「<code>&#39;drop&#39;</code>」コマンドで指定されたため、または .mzp パッケージの最初のファイルであるため(mzp.run ファイルまたは drop コマンドがない場合)、この時点でドロップ ファイルとして認識されます。ドロップ ファイルが <code>.ds</code> ファイル ではない場合、そのファイルに適切なドロップ プロトコルが使用されます。ドロップ ファイルが <code>.ds</code> dropScript で、ドロップが i-drop から実行される場合は、マウスが MAX のウィンドウから他の場所に移動するたびに、dropscript の「<code>&#39;on droppable&#39;</code>」ハンドラが繰り返し実行され、カーソルは有効なドロップ ターゲットを示すように変化します。ドラッグ アンド ドロップがファイル ディレクトリから実行される場合、カーソルは + 記号付きの矢印で表示されますが、「<code>&#39;on droppable&#39;</code>」ハンドラは<strong>呼び出されません</strong>。これは、Windows の簡易ファイル ドラッグ アンド ドロップの制限によるものです。マウス クリックが解放されると、「<code>&#39;on droppable&#39;</code>」ハンドラがターゲット ウィンドウおよびオブジェクトで呼び出されます。OK が返された場合、またはハンドラが指定されていない場合は、「<code>&#39;on drop&#39;</code>」ハンドラが呼び出されます。このプロトコルは、.ds dropScript ファイルが .mzp パッケージ内にない場合に、ファイルを直接ドロップする操作と同じです</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> </div>\n\
<p>「drop」コマンドで、イメージ ファイルやシーン ファイルなどの dropScript 以外のファイル形式を指定することができます。これにより、スクリプトに限らず、任意の種類のパッケージをドロップする際に .mzp のドラッグ アンド ドロップを使用することができます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Drag-And-Drop-MAX-files-Bitmaps.html\">MAX ファイル、ビットマップおよびスクリプトのドラッグ アンド ドロップ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Zip-file-Script-Packages.html\">Zip ファイル スクリプト パッケージ</a></li>\n\
          <li><a class=\"link\" href=\"../../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-dragAndDrop.html\">インタフェース: dragAndDrop</a></li>\n\
          <li><a class=\"link\" href=\"../Zip-file-Script-Packages.html\">Zip ファイル スクリプト パッケージ</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";