var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-21C944F4-850F-4879-BBB7-A4794C4D1B08\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>プラグイン マネージャ</h1></div><p>プラグイン マネージャを使って、初期化しなくてもプラグインをダイナミックに管理できます。プラグイン マネージャには、<strong>3ds Max</strong> プラグイン ディレクトリにあるすべてのプラグインのリストが表示されます。 たとえば、プラグインの説明、タイプ(オブジェクト、ヘルパー、モディファイヤなど)、状態(ロード済みまたは遅延)、サイズ、パスなどが表示されます。プラグイン マネージャでは、ディスクに常駐しているかどうかにかかわらず、任意のプラグインをロードしたり、遅延として指定することができます。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> プラグイン マネージャには、スクリプト プラグインまたは .NET プラグインはリストされません。</div>\n\
<p>プラグイン マネージャを起動すると、プラグイン マネージャはロードされたすべてのプラグインをスキャンして、[プラグイン マネージャ](Plug-in Manager)ダイアログ ボックスにリストします。3ds Max は、次に示すいくつかの場所でプラグインを探します。</p>\n\
<ul>\n\
<li>Plugin.ini (3ds Max インストール ディレクトリ内)に含まれているパス</li>\n\
<li>Plugin.UserSettings.ini (ユーザの AppData\\Local ディレクトリ内)に含まれているパス</li>\n\
<li>Autodesk\\ApplicationPlugins ディレクトリ(通常は %PROGRAMDATA%\\Autodesk\\ApplicationPlugins\\ に格納されていますが、この場所は変わることがあります。「3ds Max Developer ヘルプ」の「パッケージ プラグイン」を参照してください。)</li>\n\
</ul>\n\
<p>MAXScript を介してプラグイン マネージャを使用するには、「<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\">インタフェース: pluginManager</a>」のトピックを参照してください。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Interacting-with-the-3ds-Max.html\">3ds Max ユーザ インタフェースの操作</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\">インタフェース: pluginManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";