var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C5835D80-FE88-459C-BD84-6C7817500627\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>クアッド メニュー</h1></div><p>アクティブなビューポートの任意の位置(ビューポート ラベルを除く)で右マウス ボタンをクリックすると、マウス カーソルの場所にクアッド メニューが表示されます。クアッド メニューには、さまざまなコマンドを含む最大 4 つの領域を表示できます。</p>\n\
<p>[スクリプト リスナー](Scripting Listener)ウィンドウで「quadmenusettings」と入力すると、利用できる関数の一覧が表示されます。</p>\n\
<p>クアッド メニューは QuadOptions_Startup.ms と呼ばれるスタートアップ スクリプト ディレクトリに設定されています。</p>\n\
<p>既定値のクアッド メニューの右の 2 つの領域には、すべてのオブジェクトで共有される標準的なコマンドが表示されます。左の 2 つの領域には、メッシュ ツール、ライト コマンドなど状況依存型コマンドが表示されます。これらのメニューから、コマンド パネルの関数に簡単にアクセスできます。</p>\n\
<p>クアッド メニューの内容は、何が選択されているか、また[UI をカスタマイズ](Customize UI)ダイアログ ボックスの[クアッド メニュー] (Quads)パネルで選択したカスタマイズ オプションによって異なります。クアッド メニューは、現在の選択で利用できるコマンドだけが表示されるように設定されています。このため、異なるタイプのオブジェクトを選択すると、異なるコマンドがクアッド メニューに表示されます。そのため、オブジェクトを選択していない場合には、オブジェクト固有のすべてのコマンドは表示されません。1 つのクアッド メニューのすべてのコマンドが非表示になっている場合には、そのクアッド メニューは表示されません。</p>\n\
<div class=\"note 注:\"><span class=\"notetitle\">注:</span> クアッド メニューから <code>PickObject()</code> を起動したときは、オブジェクトは選択されません。オブジェクトはハングアップし、選択を拒否します。[Esc]を押して、強制終了してください。PickObject を正しく起動するには、ショートカットまたはツール バーを利用します。</div>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Quad-Menu.html\">クアッド メニュー</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-quadMenuSettings.html\">インタフェース: quadMenuSettings</a></li>\n\
          <li><a class=\"link\" href=\"../Menu-Manager/Menu-Manager-1.html\">メニュー マネージャ</a></li>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">インタフェース: menuMan</a></li>\n\
          <li><a class=\"link\" href=\"../Menu-Manager/Menu-and-CUI-Loading.html\">メニューおよび CUI のロード</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";