var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FD481C36-6E1F-43BA-8778-E36ACCA37122\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>FrameTagManager &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x305F;&#x6642;&#x9593;&#x30BF;&#x30B0; &#x30A2;&#x30AF;&#x30BB;&#x30B9;</h1></div><p>&#x6642;&#x9593;&#x30BF;&#x30B0;&#x306F;&#x3001;&#x30BF;&#x30A4;&#x30E0; &#x30E9;&#x30A4;&#x30F3;&#x306E;&#x53C2;&#x7167;&#x70B9;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x3066;&#x30CA;&#x30D3;&#x30B2;&#x30FC;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x9AD8;&#x901F;&#x306B;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6642;&#x9593;&#x30BF;&#x30B0;&#x306B;&#x306F; <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FrameTagManager.html\">FrameTagManager &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;</a>&#x3067;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x307E;&#x3059;(SDK &#x306E; IFrameTagManager &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;)&#x3002;</p>\n\
<p>&#x4EE5;&#x4E0B;&#x306F;&#x3001;FrameTagManager &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066; MAXScript &#x3067;&#x6642;&#x9593;&#x30BF;&#x30B0;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x4F8B;&#x3067;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p>   <strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">   ntags = FrameTagManager.GetTagCount() --&gt; 0\n\
   tag1 = FrameTagManager.CreateNewTag &quot;tag1&quot; 15 --&gt; 1\n\
   tag2 = FrameTagManager.CreateNewTag &quot;tag2&quot; 25 lockID:tag1 scale:true --&gt; 2\n\
   tag3 = FrameTagManager.CreateNewTag &quot;tag3&quot; 25 scale:false--&gt;3\n\
   loop1 = FrameTagManager.CheckForLoop tag1 tag2 --&gt; false\n\
   loop2 = FrameTagManager.CheckForLoop tag2 tag1 --&gt; true\n\
   loop3 = FrameTagManager.CheckForLoop tag1 tag3 --&gt; false \n\
   loop4 = FrameTagManager.CheckForLoop tag3 tag1 --&gt; false\n\
   ntags = FrameTagManager.GetTagCount() --&gt; 3\n\
   for i = 1 to ntags do\n\
   (\n\
   id = FrameTagManager.GetTagID i\n\
   tagTime = FrameTagManager.GetTimeByID id\n\
   tagLockID = FrameTagManager.GetLockIDByID id\n\
   tagName = FrameTagManager.GetNameByID id\n\
   tagScale = FrameTagManager.GetScaleByID id\n\
   format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale\n\
   )\n\
   FrameTagManager.SetTimeByID tag1 10 --&gt; ok\n\
   FrameTagManager.SetLockIDByID tag3 tag2 --&gt; true\n\
   FrameTagManager.SetNameByID tag1 &quot;modified tag1&quot; --&gt; ok\n\
   FrameTagManager.SetScaleByID tag1 false --&gt; ok\n\
   ntags = FrameTagManager.GetTagCount() --&gt; 3\n\
   for i = 1 to ntags do\n\
   (\n\
   id = FrameTagManager.GetTagID i\n\
   tagTime = FrameTagManager.GetTimeByID id\n\
   tagLockID = FrameTagManager.GetLockIDByID id\n\
   tagName = FrameTagManager.GetNameByID id\n\
   tagScale = FrameTagManager.GetScaleByID id\n\
   format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale\n\
   )\n\
   FrameTagManager.SetTimeByID tag2 5 relative:true --&gt; ok\n\
   ntags = FrameTagManager.GetTagCount() --&gt; 3\n\
   for i = 1 to ntags do\n\
   (\n\
   id = FrameTagManager.GetTagID i\n\
   tagTime = FrameTagManager.GetTimeByID id\n\
   tagLockID = FrameTagManager.GetLockIDByID id\n\
   tagName = FrameTagManager.GetNameByID id\n\
   tagScale = FrameTagManager.GetScaleByID id\n\
   format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale\n\
   )\n\
   FrameTagManager.DeleteTag tag2 --&gt; ok\n\
   FrameTagManager.FindItem tag2 --&gt; 0\n\
   FrameTagManager.FindItem tag3 --&gt; 2\n\
   ntags = FrameTagManager.GetTagCount() --&gt; 2\n\
   for i = 1 to ntags do\n\
   (\n\
   id = FrameTagManager.GetTagID i\n\
   tagTime = FrameTagManager.GetTimeByID id\n\
   tagLockID = FrameTagManager.GetLockIDByID id\n\
   tagName = FrameTagManager.GetNameByID id\n\
   tagScale = FrameTagManager.GetScaleByID id\n\
   format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale\n\
   )\n\
   FrameTagManager.SetLockIDByID tag1 tag3 --&gt; true\n\
   FrameTagManager.GetTimeByID tag1 --&gt; 10f\n\
   FrameTagManager.SetLockIDByID tag3 tag1 --&gt; false\n\
   FrameTagManager.GetTimeByID tag3 --&gt; 20f\n\
   FrameTagManager.CheckForLoop tag1 tag3 --&gt; true\n\
   FrameTagManager.CheckForLoop tag3 tag1 --&gt; false\n\
   FrameTagManager.SetLockIDByID tag1 0 --&gt; true\n\
   FrameTagManager.GetTimeByID tag1 --&gt; 10f\n\
   FrameTagManager.FindItemByTime 10 --&gt; 1\n\
   FrameTagManager.FindItemByTime 15 --&gt; 0\n\
   FrameTagManager.FindItemByTime 20 --&gt; 2\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Time-Tags.html\">時間タグ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FrameTagManager.html\">インタフェース: FrameTagManager</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";