var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"What-s-New-in-MAXScript-in-3ds\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2024 の MAXScript の新機能</h1></div><p>このトピックでは、<strong>3ds Max 2024</strong> および Update における MAXScript 言語の変更および改良点についての概要を簡単に説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>注:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> MAXScript リファレンスでは、<strong>3ds Max 2024</strong> の MAXScript に追加されたすべての新機能に、<strong>3ds Max 2024</strong> の新機能であることを示す <img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt><a href=\"What-s-New-in-MAXScript-in-3ds.html\"\"\">New</a> というマークが付いています。<a href=\"What-s-New-in-MAXScript-in-3ds.html\"\"\">新機能</a>という用語は、このページにリンクしています。</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2024-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt>3ds Max 2024 の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>カラー管理の変更点</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>カラー パイプライン マネージャのインタフェース</td>\n\
<td>新しい <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ColorPipelineMgr.html\"\"><code>ColorPipelineMgr</code></a> インタフェースは、新しい OCIO カラー管理機能のプロパティとメソッド、および従来のガンマ モード カラー管理を表示します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>IDisplayGamma</code></td>\n\
<td>このインタフェースは廃止予定です。代わりに新しい <a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ColorPipelineMgr.html\"\"><code>ColorPipelineMgr</code></a> インタフェースを使用する必要があります。<code>IDisplayGamma</code> インタフェースから、<code>LUTFileName</code>、<code>affectColorPickers</code>、<code>affectMEdit</code> のプロパティが削除されました。<code>colorCorrectionPrefMode</code> から <code>#LUT</code> enum が削除されました。</td>\n\
</tr>\n\
<tr>\n\
<td>パススルー モディファイヤのオブジェクト タイプ</td>\n\
<td><a href=\"./../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/EmptyModifier-Modifier.html\"\"><code>EmptyModifier</code></a> は、取り込むオブジェクトをスタック上のメッシュに変換しなくなりました。</td>\n\
</tr>\n\
<tr>\n\
<td>ビットマップ値</td>\n\
<td>ビットマップ オブジェクトには、新しいカラー管理サポートの一環として、複数の新しい読み取り専用アトリビュートが追加され、<code>openBitmap()</code> メソッドにオプションの新しい <code>colorSpace:</code> キーワード パラメータが追加されました。ビットマップ用の新しいメソッド <code>validateColorSpace()</code> および <code>SetOutputColorConversion()</code> もあります。</td>\n\
</tr>\n\
<tr>\n\
<td>マテリアル スイッチャ</td>\n\
<td>新しい <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Material_Switcher.html\"\"><code>Material_Switcher</code></a> クラスは、新しいマテリアル スイッチャの機能を表示します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>合成マテリアル ノード</strong></td>\n\
<td>スレート マテリアル エディタは、複雑なシェーダ グラフを収集および整理するための合成ノードをサポートするようになりました。この機能は、<a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Compound.html\"\"><code>Compound</code></a>、<a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/CompoundIO.html\"\"><code>CompoundIO</code></a>、<a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/CompoundMember.html\"\"><code>CompoundMember</code></a>、および <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/CompoundIndexedConnection.html\"\"><code>CompoundIndexedConnection</code></a> インタフェースを使用して MAXScript に公開され、また、<a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"\">SME NodeView</a> インタフェースには新しいメソッド <code>PackageNodesIntoCompound()</code>、<code>PackageSelectionIntoCompound()</code>、<code>UnpackageCompound()</code>、<code>EditCompound()</code> があります。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>その他の変更</strong></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>SME 合成ノード</td>\n\
<td>スレート マテリアル エディタには、複雑なシェーダ グラフを単一のノード オブジェクトに結合できる新しい <a href=\"./../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/Compound.html\"\"><code>Compound</code></a> ノードがあります。</td>\n\
</tr>\n\
<tr>\n\
<td>エディタの表示設定</td>\n\
<td>スクリプト エディタでエラーが発生した場合に、実行中のスクリプトを表示するかどうかを指定できるようになりました。この設定は、<a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"\"><code>preferences.displayScriptEditorOnError</code></a>、<a href=\"GUID-0020B2D6-7108-49AA-8013-4027A954167F.html\"><code>scriptEditor.displayOnError</code></a> で指定します。[基本設定] (Preferences) &gt; [MAXScript]ダイアログ ボックスの<strong>[エラー時にエディタを表示](Display Editor On Error)</strong>でも指定できます。<br>新しい <a href=\"GUID-0020B2D6-7108-49AA-8013-4027A954167F.html\"><code>scriptEditor</code></a> 構造体は、その他の 2 つのプロパティ(<code>hwnd</code> と <code>isVisible</code>)を表示します。</td>\n\
</tr>\n\
<tr>\n\
<td>コントローラの削除</td>\n\
<td>setPropertyController() を使用してコントローラ値を <code>undefined</code> に設定するか、<code>&lt;object&gt;.&lt;property&gt;.&lt;controller&gt;</code> を設定して、プロパティ コントローラを簡単に削除できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>警告の表示設定</td>\n\
<td><a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"\">システム グローバル変数</a>として、警告を表示する設定が 2 つ(<code>preferences.displayTopoMessage</code> と <code>preferences.displayCollapseMessage</code>)追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>WindowStream ハンドル</td>\n\
<td><code>&lt;WindowStream&gt;</code> 値に新しいプロパティ <code>.hwnd</code> が追加されました。このプロパティには、関連付けられている[スクリプト エディタ](Script Editor)ウィンドウのウィンドウ ハンドルが含まれます。</td>\n\
</tr>\n\
<tr>\n\
<td>新しい windows 関数</td>\n\
<td><a href=\"./../Interaction-With-The-Operating/Windows-Structure.html\"\"><code>windows struct</code></a> に、複数の関数(<code>windows.isWindow()</code>、<code>windows.isWindowVisible()</code>、<code>windows.showWindow()</code>、<code>windows.getWindowPlacement()</code>、<code>windows.setWindowPlacement()</code>、<code>windows.setFocus()</code>、<code>windows.setForegroundWindow()</code>、<code>windows.getWindowLong()</code>、<code>windows.setWindowLong()</code>)が追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>windows 関数のパラメータ</td>\n\
<td>ウィンドウ操作の HWND 引数を受け取る <a href=\"./../Interaction-With-The-Operating/Windows-Structure.html\"\"><code>windows struct</code></a> 関数はすべて、RolloutFloater、Rollout、またはメインの 3ds Max ウィンドウ(名前 <code>#max</code> で指定)を受け取ることができるようになり、最初にウィンドウ ハンドルを照会しなくても、これらの種類のウィンドウを簡単に操作できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>エラー トレースバックの無効化</td>\n\
<td>新しい <code>errTracebackDisabled</code><a href=\"./../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"#e\"> システム グローバル変数</a>は、リスナー ウィンドウのエラー トレースバックを無効にするかどうかを指定します。テスト目的または内部での使用に限ります。</td>\n\
</tr>\n\
<tr>\n\
<td>変更ハンドラの有効化/無効化</td>\n\
<td><a href=\"./../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\"\"><code>&lt;ChangeHandler&gt;</code></a> 値に新しい <code>.enabled</code> プロパティが追加され、ハンドラを有効にするかどうかを指定できるようになりました。これにより、ハンドラを登録解除または削除することなく、ハンドラを無効にすることができます。</td>\n\
</tr>\n\
<tr>\n\
<td>Spinner UI コントロールのプロパティ</td>\n\
<td>Spinner UI コントロールに新しいプロパティ <code>autoscale:&lt;boolean&gt;</code> が追加され、既存の作成キーワード パラメータ(<code>scale</code> および <code>type</code>)が、ランタイム時に使用できるプロパティになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>Assert 関数</td>\n\
<td><code>assert_eulerAngles_equal()</code> と <code>assert_matrix_equal()</code> という 2 つの新しい <a href=\"./../MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\"\">Assert 関数</a>が追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>[プレビューを作成](Make Preview)</strong>ダイアログ ボックス</td>\n\
<td><strong>[プレビューを作成](Make Preview)</strong>ダイアログ ボックスに表示されない一部のパラメータ(<code>dspCamViewName</code>、<code>autoPlay</code>、<code>vpPreset</code>、<code>vpStyle</code>、<code>vpEdgedFaces</code>)が、<a href=\"./../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\"\"><code>createPreview()</code></a> メソッドで指定できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>外部参照の改良</td>\n\
<td><a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"\"><code>objXRefMgr.AddXRefItemsFromFile()</code></a> メソッドが新しいキーワード パラメータ <code>objHandles</code> を受け取るようになりました。このパラメータを使用して、合成するノード ハンドルの配列を指定することができます。<code>xrefOptions</code> パラメータに新しいオプション <code>#mergeChildren</code> が追加され、指定したオブジェクトの子を合成するかどうかを指定できるようになりました。<br> 同じオプションを、<a href=\"./../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"\"><code>mergeMaxFile()</code></a> : <code>#mergeChildren</code> オプションと <code>mergeByHandles</code> パラメータでも使用できます。</td>\n\
</tr>\n\
<tr>\n\
<td>ビューポート</td>\n\
<td><a href=\"./../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"\"><code>FixedViewportPipeline</code></a> インタフェースには、<code>SetViewportShadingFragment()</code> と <code>RestoreDefaultShadingFragment()</code> の 2 つの新しいメソッドが追加されました。<code>SetShadingFragment()</code> メソッドは廃止予定です。 <br><code>NitrousGraphicsManager</code> インタフェースには、<code>SetDefaultViewShadeFragment()</code> と <code>ResetDefaultViewShadeFragment()</code> の 2 つの新しいメソッドが追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>スクリプト化されたプラグイン</td>\n\
<td><a href=\"./../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\"\">スクリプト プラグイン</a>には、オブジェクトのカスタム アトリビュートとして追加または削除する場合に使用される 2 つの新しいイベント ハンドラ <code>on refAdded</code> と <code>on refDeleted</code> があります。</td>\n\
</tr>\n\
<tr>\n\
<td>ファイル情報</td>\n\
<td>新しい <a href=\"./../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"\"><code>getMaxFileObjects()</code></a> 関数は既存の <code>getMaxFileObjectNames()</code> 関数に似ていますが、ノード ハンドルを含むノード情報の配列を返します。</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-is-New-in-MAXScript.html\">MAXScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";