var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-9D16DA2E-6A1C-451E-9ACF-1BD4C536AA09\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2009 におけるドキュメントの変更点</h1></div><p><strong>3ds Max 2008</strong> の更新にあたって、MAXScript オンライン リファレンスに次の変更が行われました。</p>\n\
<h2 id=\"-\">修正されたエラー</h2><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/thehold.html\">TheHold</a></p>\n\
<p>theHold ドキュメントのエラーを修正しました。<code>isHolding()</code> は、整数ではなくブール値を返します。以前、<code>theHold.getSupperLevel()</code> と記載されていたメソッドの正しい名前は、<code>theHold.SuperLevel()</code> です。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Topology.html\">Unwrap6 インタフェース</a></p>\n\
<p>特定のノードを操作するすべてのメソッドの名前が、欠けていた「ByNode」サフィックスを追加することにより修正されました。</p>\n\
<h2 id=\"-\">追加</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Vertex-Methods.html\">メッシュ頂点メソッド</a></p>\n\
<p><code>setVert()</code> メソッドと <code>meshop.setVert()</code> メソッドの両方に、編集可能メッシュ レベルでの頂点アニメーションをサポートしているのは後者だけであるという注記が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#set-key-mode\">maxOps セット キー モード</a></p>\n\
<p><code>maxOps.getDefaultTangentType()</code> と <code>maxOps.setDefaultTangentType()</code> の各メソッドの説明に、例と注記が追加されました。</p>\n\
<h3 id=\"mental-ray\">mental ray</h3><p>mental ray をサポートする他の Autodesk 製品との相互運用性を可能にするため、多数の mental ray シェーダが追加されました。</p>\n\
<p>以下は、<strong>3ds Max</strong> マップおよびボリューム効果を実装する mental ray シェーダのリストです。これらのシェーダは、mental ray で、既定値のスキャンライン レンダラーでレンダリングされたネイティブの <strong>3ds Max</strong> マップおよび効果と同じ結果を生成します。</p>\n\
<h3 id=\"color-\">Color 値</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Color-Values.html\">カラー値</a></p>\n\
<p>アルファ表示、カラー値の加算と乗算について注記が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Point4-Values.html\">Point4 値</a></p>\n\
<p><strong>3ds Max 6</strong> で<strong>Point4 値クラス</strong>が実装されましたが、ドキュメントに記載されていませんでした。これを使用すると、0～255 範囲との明示的な変換がなくても、浮動小数点カラー値を操作できます。これを使用すると、0～-255 範囲との明示的な変換がなくても、浮動小数点カラー値を操作できます。</p>\n\
<h2 id=\"-\">書式</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/mr_Sun-Light.html\">mr_Sun : Light</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/mr_Sky-light.html\">mr_Sky : light</a></p>\n\
<p>この 2 つのライトのドキュメントの書式が変更されました。情報を探しやすいよう、UI スクリーン ショットが追加され、プロパティがロールアウトのパラメータと同じ順序に並べられました。</p>\n\
<p>Arch___Design__mi: マテリアル</p>\n\
<p>mr_Physical_Sky : textureMap</p>\n\
<p>この 2 つのシェーダのドキュメントの書式が変更されました。情報を探しやすいよう、<strong>クリック可能なホットスポットを持つ UI スクリーンショット</strong>が追加され、プロパティがロールアウトのパラメータと同じ順序に並べられました。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-11.html\">3ds Max 2009 MAXScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";