var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-222431A5-8BEE-4715-A805-E0803BADD9EE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2009 の MAXScript の新機能</h1></div><p>このページでは、<strong>3ds Max 2009</strong> の MAXScript 言語の変更と改良点について簡単にその概要を説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<h2 id=\"-\">ビューポート</h2><h3 id=\"-\">ビューポート ナビゲーション ツール</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SteeringWheelsOps.html\">インタフェース: SteeringWheelsOps</a></p>\n\
<p>この新しいインタフェースは、SteeringWheels ビューポート ナビゲーション システムのすべての設定を公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewCubeOps.html\">インタフェース: ViewCubeOps</a></p>\n\
<p>この新しいインタフェースは、View Cube ビューポート ナビゲーション システムのすべての設定を公開します。</p>\n\
<h3 id=\"-\">ビューポート シェーディング</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">インタフェース: IViewportShadingMgr</a></p>\n\
<p>既存の IViewportShadingMgr インタフェースに、ビューポート内のアクティブなライトの最大数を設定する新しいプロパティが追加されました。</p>\n\
<p>さらに 2 つのプロパティと 5 つのメソッドが提供されていましたが、<strong>3ds Max 2008</strong> のドキュメントに記載されていませんでした。</p>\n\
<h3 id=\"-\">ビューポート アクセス</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">アクティブ ビューポート情報、タイプ、および変換へのアクセス</a></p>\n\
<p><code>viewport.getType()</code> と <code>viewport.getCamera()</code> に、アクティブなビューポートではなく、インデックスでビューポートを問い合わせるための新しい <code>index:</code> オプション キーワード パラメータが追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.GetID</a></p>\n\
<p>インデックス付きビューポートの ID を返すための新しいメソッド <code>viewport.getID()</code> が追加されました。ビューポートが最大化されている場合、そのインデックスは 1 になりますが、ID は最大化されていないときのビューポートのインデックスになります。</p>\n\
<h2 id=\"-\">テクスチャ マッピング</h2><h3 id=\"-\">テクスチャ マップ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/CompositeTextureMap-TextureMap.html\">CompositeTextureMap: TextureMap</a></p>\n\
<p>合成マップが完全に再実装されました。ただし、以前のバージョンのマップを含む古いシーンとの互換性は保たれています。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\">Color_Correction : TextureMap</a></p>\n\
<p>新しい Color_Correction テクスチャ マップは、輝度、コントラスト、彩度、露出、ゲイン、ガンマ、カラー チャネルなどを変えることにより、受け取ったテクスチャ マップのカラー情報を変更する手段を提供します。</p>\n\
<h3 id=\"unwrap_uvw-\">Unwrap_UVW スプライン マッピング</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Spline.html\">Unwrap_UVW モディファイヤ - スプライン マッピング</a></p>\n\
<p>Unwrap_UVW モディファイヤに、新しいスプライン マッピング機能を公開する新しいプロパティとメソッドが追加されました。</p>\n\
<h2 id=\"-\">ライティングとレンダリング</h2><h3 id=\"-vfb-\">イメージ ビューア(別名:VFB または レンダリング イメージ ウィンドウ)</h3><p>イメージ ビューアの表示通知</p>\n\
<p>一般イベント コールバックに、<code>#preImageViewerDisplay</code> と <code>#postImageViewerDisplay</code> の 2 つの通知が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-IVFB.html\">インタフェース: IVFB</a></p>\n\
<p>この新しいインタフェースは、イメージ ビューア (レンダリング フレーム ウィンドウ)が開かれる前または後に、上記のコールバックの通知パラメータとして返されます。これを使用して、カスタム ユーザ インタフェース パネルをカスタマイズできます。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\"#the-existing-functions\">ロールアウトの追加と削除</a></p>\n\
<p>既存の <code>addRollout()</code> メソッドに、イメージ ビューアに境界線のないロールアウトを作成するための新しいオプション キーワード <code>border:</code> が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-EditRenderRegion.html\">インタフェース: EditRenderRegion</a></p>\n\
<p>この新しいインタフェースは、レンダリング イメージ ウィンドウおよびビューポートの新しいレンダリング範囲のラバー バンド ギズモへのアクセスを提供します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">render() メソッドを使用したレンダラーのコントロール</a></p>\n\
<p><code>render()</code> メソッドに、新しいオプション キーワード <code>pos:</code> が追加されました。これにより、レンダリング フレーム ウィンドウ(別名: 仮想フレーム バッファ)を特定の画面位置または最後に開いていた位置(新しい既定値の動作)に開けるようになりました。</p>\n\
<h3 id=\"-render-scene-render-setup-\">[シーンをレンダリング](Render Scene)ダイアログ ボックス(別名:[レンダリング設定](Render Setup)ダイアログ ボックス)</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\"#render-presets\">[ビューポート] (Viewport)インデックス、[ロック] (Lock)ボタン、[レンダリングのプリセット](Render Presets)</a></p>\n\
<p>[シーンをレンダリング]ダイアログ ボックスの一番下のロック ボタン、ビューポート インデックスのリスト、および最後に使用したレンダリング プリセットのリストを公開する新しいプロパティが追加されました。</p>\n\
<h3 id=\"mental-ray-\">mental ray レンダラー</h3><p>mental ray レンダラー &gt; [レンダリング アルゴリズム]ロールアウト &gt; [レイトレース アクセラレーション]</p>\n\
<p>既存の <code>.RaytraceMethod</code> プロパティに新しい BSP2 オプションが追加され、古いグリッドと大きい BSP オプションは削除されました。</p>\n\
<p>mental ray レンダラー &gt; [レンダリング アルゴリズム]ロールアウト &gt; [トレース深度]</p>\n\
<p>2 つの新しいプロパティ <code>.ReflectionsEnable</code> および <code>.RefractionsEnable</code> が、mental ray レンダラーに反射と屈折のトレースを有効化または無効化するために追加されました。</p>\n\
<p>mentalray レンダラー/[レンダリング アルゴリズム]ロールアウト/[サブセット ピクセル レンダリング]</p>\n\
<p>mental ray レンダラーに、変更されたオブジェクトのみのレンダリングを有効または無効にする新しい <code>.enable_subset_pixel_rendering</code> プロパティが追加されました。</p>\n\
<p>mental ray レンダラー &gt; [トランスレータ オプション]ロールアウト &gt; [ジオメトリをキャッシュ]</p>\n\
<p>mental ray レンダラーに、反復レンダリング間でジオメトリのキャッシングをコントロールするための新しいプロパティである <code>.Enable_Geometry_Cache, .isGeometryCacheEmpty</code> および <code>.LockGeometryCache</code> が追加されました。</p>\n\
<p>mental_ray_renderer 関数 インタフェース</p>\n\
<p>この新しいインタフェースは、ファイナル ギャザー プリセット、ファイナル ギャザー マップ、およびメッシュ キャッシュのクリアの管理に関連するプロパティとメソッドを公開します。</p>\n\
<h3 id=\"mental-ray-\">mental ray プロキシ</h3><p>mr_Proxy : GeometryClass</p>\n\
<p>この新しいジオメトリ オブジェクトを使用すると、mental ray がレンダリング時にロードできるプロキシ ファイルをディスク上に作成できます。これにより、非常に複雑なジオメトリを簡単な代理オブジェクトに置き換えて、レンダリング時にのみ実際のジオメトリをロードすることができます。</p>\n\
<h3 id=\"mental-ray-\">mental ray のライト</h3><p>mr_Sky : light</p>\n\
<p>既存の mental ray スカイ ライトに、いくつかの新しいプロパティが追加されました。</p>\n\
<h3 id=\"-\">フォトメトリック ライト</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Photometric-Light-Classes.html\">フォトメトリック ライト クラス</a></p>\n\
<p>フォトメトリック ライトが書き替えられ、作成および全タイプと追加のエリア ライトの形状間での変換が簡略化されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Photometric-Lights-Common.html\">フォトメトリック ライトの共通プロパティ、演算子、メソッド</a></p>\n\
<p>すべてのフォトメトリック ライトは、同じプロパティとメソッドのセットを持つようになりました。プロパティの一覧が更新され、ユーザ インタフェースに表示される関連コントロールの順序に合わせて再構成されました。</p>\n\
<h3 id=\"-\">デイライト システムのアセンブリ ヘッド</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Assembly-Head/DaylightAssemblyHead-Helper.html\">DaylightAssemblyHead: ヘルパー</a></p>\n\
<p>デイライト アセンブリ ヘッド ヘルパーに、天候ファイル処理に関連する新しいプロパティとメソッドが追加されました。</p>\n\
<h3 id=\"hair-fur\">Hair と Fur</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/HairEffect-RenderEffect.html\">HairEffect : RenderEffect</a></p>\n\
<p>Hair レンダリング効果に、タイル メモリ使用量パラメータと透明度の深度パラメータ、およびグローバル イルミネーション/スカイライト オプションを公開する新しいプロパティが追加されました。</p>\n\
<h2 id=\"-3ds-max-design-\">照明分析ツール - 3ds Max Design のみ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\">Lighting_Analysis_Overlay : RenderEffect</a></p>\n\
<p>この新しいレンダリング効果を使用すると、画面空間またはワールド スペースに照明分析データを生成できます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Render-Elements/Lighting_Analysis_Data.html\">Lighting_Analysis_Data : RenderElement</a></p>\n\
<p>この新しいレンダリング効果を使用すると、照明分析データをイメージ ファイルに出力できます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/LightMeter-Helper.html\">LightMeter : ヘルパー</a></p>\n\
<p>この新しいヘルパーを使用すると、照明分析オーバーレイ レンダリング効果と一緒に使用する照明分析グリッドをワールド スペースに定義できます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LightMeterManager.html\">インタフェース: LightMeterManager</a></p>\n\
<p>この新しいインタフェースは、シーン内の任意の数のアクティブな LightMeter ヘルパーを使用して、ライトの計算と CSV ファイル データのエクスポートを実行するツールを提供します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-6.html\">インタフェース: DaylightSimulationUtilities</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-5.html\">インタフェース: DaylightSimulationUIOps</a></p>\n\
<p>この 2 つの新しいインタフェースは、デイライト シミュレーション ユーティリティの機能とユーザ インタフェースへのアクセスを提供します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PseudoColorManager.html\">インタフェース: PseudoColorManager</a></p>\n\
<p>この新しいインタフェースを使用すると、疑似カラーの範囲とタイプ (線形または対数) をセットアップできます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LuminosityUtil.html\">インタフェース: LuminosityUtil</a></p>\n\
<p>この新しいインタフェースは、3 つのチャネルの異なる重みを考慮することにより RGB データをイルミネーション データに変換するメソッドを公開します。</p>\n\
<h2 id=\"-\">スクリプト ツール</h2><h3 id=\"-\">ユーザ インタフェース コントロール</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Label-UI-Control.html\">Label</a></p>\n\
<p>既存の Label コントロールに、半分くぼんだ状態の境界線を表示するためのオプション キーワード引数 <code>style_sunkenedge:</code> が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\">ボタン</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">Checkbutton</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\">Mapbutton</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\">Materialbutton</a></p>\n\
<p>既存の Button コントロールに、周囲の境界線の表示を制御するオプション キーワード引数 <code>border:</code> が追加されました。false に設定すると、ボタンは UI 背景を持つコントロールとして表示されます。このキーワードは、pickbutton コントロールでは<strong>使用できません</strong>。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\">チェックボックス</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\">Dropdownlist</a></p>\n\
<p>既存の Checkbox コントロールと Dropdownlist コントロールに、ツールチップ文字列を取得/設定するためのオプション キーワード引数 <code>tooltip:</code> と <code>tooltip:</code> プロパティが追加されました。また、<strong>3ds Max 2009</strong> では、長いツールチップが自動的に複数行に分けられるようになりました。</p>\n\
<h3 id=\"-\">配列内でのバイナリ検索</h3><p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Bsearch() メソッド</a></p>\n\
<p><a href=\"./../../../Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Bsearch を使用してテーブル検索を高速化する</a></p>\n\
<p>新しい <code>bsearch()</code> メソッドを使用すると、ソートされた配列内の項目を効率的に検索できます。</p>\n\
<h3 id=\"-\">ネットワーク マネージャ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetworkManager.html\">インタフェース: NetworkManager</a></p>\n\
<p>この新しいインタフェースは、MAXScript から電子メールを送信するメソッドを公開します。</p>\n\
<h3 id=\"-\">マクロ レコーダのパフォーマンス</h3><p><a href=\"./../../../MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\">マクロ レコーダ</a></p>\n\
<p>多数のオブジェクトを選択する場合のマクロ レコーダのパフォーマンスが大幅に改良されました。</p>\n\
<h3 id=\"-maxscript-\">その他の MAXScript の追加</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Accessing-the-Last-Rendered.html\">最後にレンダリングしたイメージへのアクセス</a></p>\n\
<p><code>getLastRenderedImage()</code> メソッドに、イメージをコピーするか、レンダラーと同じビットマップ値を参照するオプションが追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">一般イベント コールバック機能</a></p>\n\
<p><code>callbacks.show()</code> メソッドに、タイプ、ID のいずれかまたは両方でコールバックを表示する 2 つのオプションが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-batchRenderMgr.html\">インタフェース: batchRenderMgr</a></p>\n\
<p><code>batchRenderViewOps</code> インタフェースの 2 つのプロパティが内部的に正しくないメソッドに関連付けられており、シーン ステートの名前と有効化のプロパティにアクセスできなくなっていました。これらが修正されました。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-11.html\">3ds Max 2009 MAXScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-3.html\">3ds Max 2009 におけるドキュメントの変更点</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";