var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8CD4CF88-74E8-4DAE-9D78-F5480ADFADCF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2023 および Update の MAXScript の新機能</h1></div><p>このトピックでは、<strong>3ds Max 2023</strong> および更新に含まれる MAXScript 言語の変更および改善点についての概要を簡単に説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2023-3-update-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2023.3 Update の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>記載されていなかった項目</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\"\"><code>SkinOps</code></a> インタフェースに、これまで記載されていなかったメソッドの一部がドキュメント化されました。</td>\n\
</tr>\n\
<tr>\n\
<td>廃止予定となった項目</td>\n\
<td><code>qat</code> インタフェースは廃止予定であるため、削除されました。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2023-2-update-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2023.2 Update の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>[配列] (Array)モディファイヤ</td>\n\
<td>新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Parametric-Modifiers/Array_Modifier.html\"\"><code>Arraymodifier : Modifier</code></a> MAXScript エクスポージャー</td>\n\
</tr>\n\
<tr>\n\
<td>[集約] (Collapse)ユーティリティ</td>\n\
<td>[集約] (Collapse)ユーティリティ機能が、新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Collapse.html\"\"><code>collapse</code></a> インタフェースで公開されるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>これまでドキュメント化されていなかった項目</td>\n\
<td>これまでドキュメント化されていなかった関数(<a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\"\"><code>setNumberThreads()</code></a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\"\"><code>isWorldSpaceObject()</code></a>)がドキュメント化されました。<br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\"\"><code>meshop.getverts()</code></a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"\"><code>meshop.getfaces()</code></a> の <code>#all</code> オプション</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2023-1-update-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2023.1 Update の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>SpaceWarp オブジェクトの公開プロパティ</td>\n\
<td>さまざまな SpaceWarp オブジェクトで見つからないプロパティがいくつか公開されました。<br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceBend-SpacewarpObject.html\"\">SpaceBend</a>: <code>.fromTo</code> および <code>.bendAxis</code><br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceNoise-SpacewarpObject.html\"\">SpaceNoise</a>: <code>.animate</code> および <code>.frequency</code><br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceSkew-SpacewarpObject.html\"\">SpaceSkew</a>: <code>.axis</code> および <code>.limit</code><br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceStretch-SpacewarpObject.html\"\">SpaceStretch</a>: <code>.axis</code> および <code>.limit</code><br>SpaceTaper: <code>.primaryAxis</code>、<code>.effectAxis</code>、および <code>.limit</code><br><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Modifier-Based/SpaceTwist-SpacewarpObject.html\"\">SpaceTwist</a>: <code>.axis</code> および <code>.limit</code></td>\n\
</tr>\n\
<tr>\n\
<td>シーン コンバータの警告を非表示にする</td>\n\
<td>変換されたシーン ファイルにオブジェクト タイプが見つからない場合に警告が表示されないようにするため、クラス ID ごとにオブジェクト タイプを登録または登録解除する新しいメソッドである <code>AddSilentClassID()</code>、<code>ClearSilentClassIDs()</code>、および <code>IsSilentClassID()</code> が <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneConverter.html\"\"><code>SceneConverter Interface</code></a> に追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>マテリアル ライブラリの旧バージョンのサポート</td>\n\
<td>次のマテリアル ライブラリを保存するメソッドで、オプションの <code>saveAsVersion:&lt;integer&gt;</code> パラメータを使用して、ライブラリと互換性のある旧バージョンの 3ds Max を指定できるようになりました: <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\"\"><code>saveTempMaterialLibrary()</code></a>、<a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\"\"><code>saveMaterialLibrary()</code></a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"\"><code>sme.SaveMtlLib()</code></a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"\"><code>sme.SaveMtlLibAs()</code></a>。</td>\n\
</tr>\n\
<tr>\n\
<td>ファイルのロードと外部参照</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"#loading-max-files\"><code>loadMaxFile()</code></a> メソッドは新しい <code>skipXRefs:&lt;boolean&gt;</code> パラメータを使用して、ロード時に外部参照を無効にしてファイルのロードを高速化できます。</td>\n\
</tr>\n\
<tr>\n\
<td>SVG アイコンのサポート</td>\n\
<td>カスタム アイコンに対して SVG フォーマット アイコンを使用できるようになりました。これらのアイコンは個別の .svg ファイルとして使用でき、<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\"#icons\">Macro Scripts</a> で .rcc アーカイブにコンパイルされます。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2023-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2023 の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>[テクスチャにベイク処理](Bake To Texture)共通マップ</strong></td>\n\
<td><code>CommonBakeMap</code> クラスと <code>CommonBakeMapOperator</code> クラスを使用して<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Bake-Map-Plug-ins.html\"\">スクリプト化された[テクスチャ マップにベイク処理](Bake To Texture Map)プラグイン</a>を作成できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>自動バックアップ</strong></td>\n\
<td>自動バックアップの新機能と改善点を公開するために、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\"\"><code>autosave</code>インタフェース</a>に次のいくつかの新しいプロパティとメソッドが追加されました: <code>.prependSceneName</code>、<code>.finalCountdownInterval</code>、<code>.Compress</code>、<code>.tempDisable</code>、<code>&lt;void&gt;loadSettings()</code>、<code>&lt;void&gt;saveSettings()</code>。<br/>自動バックアップ間隔が整数として指定されるようになったため、次のプロパティは実数から整数に変更されます: <code>autosave.interval</code>、<code>autobackup.time</code><br/><a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\"\"><code>setSaveRequired() function</code></a> は新しいキーワード引数 <code>autobackupRequired:&lt;boolean&gt;</code> を取ります。これは、自動バックアップ操作が必要かどうかを示します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong><code>windows</code> 構造体</strong></td>\n\
<td><a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\"\"><code>windows</code> 構造体</a> には新しいメンバー <code>isWindowEnabled HWND</code> が含まれています。これは、指定されたウィンドウが有効になっている(マウスとキーボードの入力を受け取ることができる)場合に true を返します。<br/>新しい <code>getFocus()</code> 関数は、現在フォーカスされているウィンドウの HWND を返します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>スプライン反転</strong></td>\n\
<td>新しいオプション キーワード パラメータ <code>keepFirstKnot:true|false</code> が <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\"\">SplineShape</a> の <code>reverse()</code> 関数に追加されました。これは、閉じたスプラインの最初のノットの位置を保持します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>進行状況バー</strong></td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\"\">進行状況バー</a> <code>progressUpdate()</code> 関数は、ユーザに追加情報を提供する新しいキーワード引数 <code>stepName</code> を取ります。<code>progressStart()</code> 関数は、キャンセル ボタンの表示をコントロールする新しいキーワード引数 <code>allowCancel:&lt;bool&gt;</code> を取ります。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>pluginManager インタフェース</strong></td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\"\"><code>pluginManager.pluginDllDirectory()</code></a> 関数は、プラグイン ファイル名を含む完全なパスではなく、ディレクトリ パスのみを返すようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>マテリアル ID による頂点と面のアクセス</strong></td>\n\
<td><code>meshop</code> と <code>polyop</code> の両方に、指定したマテリアル ID に一致する頂点または面の配列を返す次の関数が追加されました: <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"\"><code>meshop.getFacesByMatId()</code></a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\"\"><code>meshop.getVertsByMatId()</code></a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-MaterialId.html\"\"><code>polyop.getFacesByMatId()</code>、<code>polyop.getVertsByMatId()</code></a>。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>ファイル アトリビュートへのアクセスの改善</strong></td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\"\">外部ファイル</a>に対する追加のファイル アトリビュート名、および新しい関数 <code>getFileAttributeNames()</code>、<code>getFileAttributes()</code>、<code>isFileAttributeSettable()</code> が追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>OLE オートメーション</strong></td>\n\
<td><a href=\"./../../Interaction-with-Other/OLE-Automation/Setting-Up-MAXScript-OLE.html\"\">MAXScript OLE オートメーション</a>を設定するための <code>register_OLE_bridge.ms</code> スクリプトが、3ds Max の <code>scripts/OLEAutomation</code> インストール フォルダに付属するようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>glTF 書き出し</strong></td>\n\
<td>新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/GLTF_Export.html\"\"><code>GLTF_Export plugin</code></a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/glTFMaterial.html\"\"><code>glTFMaterial</code></a> クラスは、glTF 書き出しワークフローを MAXScript に公開します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>基点をスナップ</strong></td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SnapPivot.html\"\"><code>SnapPivot</code></a> インタフェースは、新しい作業基点の改善点の機能の一部を公開します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>リアルタイム エクスポータ</strong></td>\n\
<td><strong>[リアルタイム エクスポータ](Real-Time Exporter)</strong>ダイアログを閉じるときに、<a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/GameExporter-UtilityPlugin.html\"\"><code>GameExporterHideDialog()</code></a> を使用できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>SceneScriptSecurityManager</strong></td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneScriptSecurityManager.html\"\">SceneScriptSecurityManager</a> インタフェースの新しい関数は、ロックされた設定 <code>AreSettingsLocked()</code>、<code>GetCauseOfLock()</code>、<code>IsSafeScriptAssetExecutionEnabled()</code> を公開します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>manip インタフェース</strong></td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-manip.html\"\"><code>manip</code></a> インタフェースの 2 つの新しいメソッド、<code>getObjectManipulatorDisplayMode()</code> および <code>setObjectManipulatorDisplayMode()</code> が新しいマニピュレータの表示設定をコントロールします。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>ファイルの保存</strong></td>\n\
<td>新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"\"><code>maxOps</code></a> メソッド <code>isSavingToFile()</code> は、3ds Max が現在ファイルを保存している場合に true を返します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>カテゴリによる非表示</strong></td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/HideByCategory-Properties-and.html\"\"><code>hideByCategory</code></a> 構造体に新しいプロパティ <code>.nonrenderables</code> が追加されました。このプロパティは、レンダリングできないオブジェクトの表示/非表示ステータスをコントロールします。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>これまでドキュメント化されていなかった項目</strong></td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\"\">createPreview()</a> 関数の <code>snippet</code> 引数が記載されるようになりました。<br/><strong>3ds Max 2022.3 Update</strong> で導入された <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportFilter.html\"\"><code>viewportFilter</code> インタフェース</a>がドキュメント化されました。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>廃止</strong></td>\n\
<td><code>ContainerPreferences.saveAsPreviousAccessType</code> は廃止されました。このプロパティを設定しても効果はありません。<br/> Quicktime の廃止により、<code>Combustion : TextureMap</code> および <code>Combustion.coordinates : MAXObject</code> は MAXScript から削除されました。<br/></td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">MAXScript の新機能 (以前のバージョン)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";