var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-914BC0D0-CC30-4B72-849D-5D34205B985D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2014 の MAXScript の新機能</h1></div><p>このページでは、<strong>3ds Max 2014</strong> MAXScript の言語の変更および改善点についての概要を簡単に説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<h2 id=\"3ds-max-\">3ds Max の新機能の公開</h2><h3 id=\"populate-\">Populate ツール</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/Flow-GeometryClass.html\">Flow: GeometryClass</a> オブジェクトは、パス フローを MAXScript に公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/IdleAreaObj-GeometryClass.html\">IdleAreaObj: GeometryClass</a> オブジェクトは、停滞領域を MAXScript に公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">インタフェース: pop Core Interface</a> は、キャラクタのシミュレーションと表示に関連するプロパティとメソッドを公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい<a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/Populate-FloatController.html\"> Populate : FloatController</a> は、キャラクタのシミュレーション格納と表示に関連するプロパティとメソッドを公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/PopCharacter-ReferenceTarget.html\"> PopCharacter : ReferenceTarget</a> は、シーン内の Populate キャラクタを表しますが、MAXScript にはほとんどアクセスできません。</p>\n\
<h3 id=\"scalable-vector-graphics-\">Scalable Vector Graphics テクスチャ マップ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい<a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Vector_Map-TextureMap/Vector_Map-textureMap.html\"> Vector_Map TextureMap</a> は、解像度に依存しないベクター グラフィックスを格納するためのオープン .SVG および .SVGZ Web フォーマット、さらに .AI ファイル(Adobe Illustrator)、.PDF (Adobe)、および .PAT (AutoCAD)ファイルのサポートを提供します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> また、新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Vector_Map-TextureMap/Vector_Map-TextureMap-and.html\">Vector_Map TextureMap は MAXScript</a> との統合を深めます。なぜなら、MAXScript を使用して SVG XML ファイルを作成できるようになるだけでなく、ユーザがベクター グラフィックス ソースに MAXScript コードを直接埋め込むことができる専用の <code>mxs</code> トークンを公開することによって、高度なエフェクトや、シーンの変化に応じてアニメートされるマップなども作成できるようになるからです。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 次のチュートリアル(<a href=\"./../../How-To-Practical-Examples/How-To-Develop-An-SVG-Polygon/How-To-Develop-An-SVG-Polygon-1.html\">パート 1</a>、<a href=\"./../../How-To-Practical-Examples/How-To-Develop-An-SVG-Polygon/How-To-Develop-An-SVG-Polygon-2.html\">パート 2</a>、<a href=\"./../../How-To-Practical-Examples/How-To-Develop-An-SVG-Polygon/How-To-Develop-An-SVG-Polygon-3.html\">パート 3</a>)は、解像度に依存しないポリゴン レンダラーを作成するために、MAXScript と Vector_Map テクスチャ マップの高度な使用例を示します。</p>\n\
<h3 id=\"-\">新しいパーティクル フロー オペレータ、インタフェース、モディファイヤ</h3><p>以前に、Particle Flow Tools Box #2 および #3 という名前のサードパーティの拡張機能として利用されていた操作の多くは、新しいパーティクル フロー操作として <strong>3ds Max 2014</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Group-Helper.html\">Birth_Group</a> オペレータは、参照オブジェクトからパーティクルを生成し、そのシェイプ、マテリアルおよびマッピングを取得することができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/BirthGrid-Helper.html\">BirthGrid</a> オペレータはパーティクルを生成し、グリッドに似た構造にそれらを配置してオペレータのアイコンまたは参照ジオメトリのボリュームを塗り潰します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/BirthStream-Helper.html\">BirthStrean</a> オペレータは、オーバーラップしないパーティクルの場合にはストリームを生成し、その位置と速度プロパティを定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Cache_Disk-Helper.html\">Cache_Disk</a> オペレータは、パーティクルの状態をディスクに記録してフィードバックを高速化します。 一部のパーティクル プロパティをキャッシュから除外できます。また追加のオペレータを呼び出してデータを復元することもできます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Cache_Selective-Helper.html\">Cache_Selective</a> オペレータは、パーティクルの状態を記録してフィードバックを高速化します。 一部のパーティクル プロパティをキャッシュから除外できます。また追加のオペレータを呼び出してデータを復元することもできます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Camera_Culling-Helper.html\">Camera_Culling</a> オペレータは、カメラの視野円錐の外側のパーティクルをすべてフィルタで除外することにより、レンダリング時のジオメトリ負荷を削減します。 これは、カメラ ビュー視野円錐によって定義されたグループ選択ツールとして使用することができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Camera_IMBlur-Helper.html\">Camera_IMBlur</a> オペレータは、イメージ モーション ブラーのデータを渡す前にパーティクル速度を調節します。 調整は、カメラの動きを考慮します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Copy_Out-Helper.html\">Copy_Out</a> テストは、[スポーン] (Spawn)よりも簡易かつ高速のバージョンであり、イベント内の新しいパーティクルがクローンされて次のイベントに送られます。 コピーの数を調整することができます。</p>\n\
<h4 id=\"-mparticles-\">パーティクル フロー mParticles オペレータ</h4><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\">mP_Collision</a> テストは、<a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Particle-Flow-Modifiers/PFlow_Collision_Shape.html\">PFlow コリジョン シェイプ</a> ワールド空間モディファイヤがあるジオメトリ オブジェクトをシミュレーション ディフレクタとして使用します。 衝突したパーティクルは次のイベントに送ることができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Drag-Helper.html\">mP_Drag</a> オペレータは、線形と角度のモーションに摩擦のような力を与えてパーティクルを減速させます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> mP_Force<a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Force-Helper.html\"> オペレータは、フォース ソースとしてあらゆるフォース タイプ パーティクル スペース ワープを受け入れます。</a> フォースは mP_World オペレータに影響された現在のイベントのすべてのパーティクルに適用されます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\">mP_Glue</a> テストは、パーティクル同士またはパーティクルとディフレクタの間を、強固にまたは柔軟に、分裂可能な接続でバインドします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\">mP_InterCollision</a> テストは、パーティクルを次のイベントに送信するためのトリガーとしてパーティクル間の衝突を追跡するために使用されます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Shape-Helper.html\">mP_Shape</a> オペレータは、衝突用パーティクル シェイプを定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Switch-Helper.html\">mP_Switch</a> オペレータは、物理シミュレーションの調整を制御します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_World-Helper.html\">mP_World</a> オペレータは、ダイナミクス シミュレーションのグローバルなプロパティを定義します。 <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Worldhelper-Helper.html\">mP_Worldhelper</a> ヘルパーは、mP_World オペレータによってアクセスされる設定を保持します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Buoyancy-Helper.html\">mP_Buoyancy</a> オペレータは、液状媒体に沈むパーティクルのフォースを定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Solvent-Helper.html\">mP_Solvent</a> オペレータは、mP_Glue によって作成されたバインドを除去します。</p>\n\
<h4 id=\"-\">パーティクル フロー インタフェース</h4><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PhysXWorld.html\">PhysXWorld インタフェース</a> はいくつかの mParticles オブジェクトによって公開されます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-profileTools.html\">profileTools インタフェース</a> はいくつかの mParticles オブジェクトによって公開されます。 これは、物理的なシミュレーション ツールのパフォーマンスのプロファイリングに関係するプロパティとメソッドを提供します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-pftParticleView.html\">pftParticleView インタフェース</a> は、パーティクル ビュー エディタの更新を強制する方法を提供します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-MaterialHolder.html\">MaterialHolder インタフェース</a> は、イベント クラスによって公開され、パーティクルのマテリアルへのアクセスを提供します。</p>\n\
<h4 id=\"-advanced-data-manipulation-\">パーティクル フローの Advanced Data Manipulation オペレータ</h4><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Icon-Helper.html\">Data_Icon</a> オペレータは、[パーティクル データ ビュー](Particle Data View)にワイヤリングされているサブオペレータを使用してパーティクル チャネル データを直接修正します。 オペレータには、ビューポートに表示できるアイコンがあります。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Operator-Helper.html\">Data_Operator</a> オペレータは、[パーティクル データ ビュー](Particle Data View)にワイヤリングされているサブオペレータを使用してパーティクル チャネル データを直接修正します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Test-Helper.html\">Data_Test</a> は、[パーティクル データ ビュー](Particle Data View)にワイヤリングされているサブオペレータを使用してパーティクル チャネル データを直接修正および確認します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Test_Icon-Helper.html\">Test_Icon</a> は、[パーティクル データ ビュー](Particle Data View)にワイヤリングされているサブオペレータを使用してパーティクル チャネル データを直接修正および確認します。 テストには、ビューポートに表示できるアイコンがあります。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Preset-Operators/PresetOperator-Helper.html\">PresetOperator</a> は、ディスクから定義済みの Data_Operator オペレータをロードします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Preset-Operators/PresetOperIcon-Helper.html\">PresetOperIcon</a> は、ディスクから定義済みの Data_Icon オペレータをロードします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Preset-Operators/PresetTest-Helper.html\">PresetTest</a> は、ディスクから定義済みの Data_Test オペレータをロードします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Preset-Operators/PresetTestIcon-Helper.html\">PresetTestIcon</a> は、ディスクから定義済みの Test_Icon オペレータをロードします。</p>\n\
<h4 id=\"-advanced-data-manipulation-\">パーティクル フローの Advanced Data Manipulation サブオペレータ</h4><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/AmountChange-ReferenceTarget.html\">AmountChange</a> サブオペレータは、スポーンまたは削除によって、パーティクル数を変更します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/colorReferenceTarget.html\">colorReferenceTarget</a> サブオペレータは、頂点カラー マッピングのカラーとして使用されるベクトル データを生成します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Condition-ReferenceTarget.html\">Condition</a> サブオペレータは、スカラー データのテストによってブール演算データを作成します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Convert-ReferenceTarget.html\">Convert</a> サブオペレータは、データ タイプをある形式から別の形式に変換します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Discretizator-ReferenceTarget.html\">Discretizator</a> サブオペレータは、個別のセットの値の連続範囲を変換します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/geometryReferenceTarget.html\">geometryReferenceTarget</a> サブオペレータは、ジオメトリ付きの参照オブジェクトからプロパティを取得します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/icon-ReferenceTarget.html\">Icon</a> サブオペレータは、Data オペレータまたはテスト アイコンからプロパティを取得します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Input_Proxy-ReferenceTarget.html\">Input_Proxy</a> サブオペレータは、正規のパーティクル プロパティをプロキシ パーティクル システムからコピーします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/InputCustom-ReferenceTarget.html\">InputCustom</a> サブオペレータは、新規出力オペレータによって作成されたチャネルからデータをコピーします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Input_mParticles-ReferenceTarget.html\">Input_mParticles</a> サブオペレータは、シミュレーション関連のパーティクル プロパティをコピーします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/InputStandard-ReferenceTarget.html\">InputStandard</a> サブオペレータは、位置、速度、スケールなど、正規のパーティクル プロパティをコピーします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/NotesReferenceTarget.html\">NotesReferenceTarget</a> サブオペレータは、データ ビューにコメントを配置するための実行可能でないサブオペレータです。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/ObjectParameter-ReferenceTarget.html\">ObjectParameter</a> サブオペレータは、参照オブジェクトからパラメータ データを取得します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/objectReferenceTarget.html\">objectReferenceTarget</a> サブオペレータは、参照オブジェクトからプロパティを取得します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/OutputCustom-ReferenceTarget.html\">OutputCustom</a> サブオペレータは、計算データを新規出力オペレータによって作成されたデータ チャネルに転送します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Output_mParticles.html\">Output_mParticles</a> サブオペレータは、シミュレーションに関連するパーティクル プロパティに計算データを転送します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/OutputNew-ReferenceTarget.html\">OutputNew</a> サブオペレータは、入力カスタムと出力カスタムによる使用が可能な新しいデータ チャネルを作成します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/OutputStandard-ReferenceTarget.html\">OutputStandard</a> サブオペレータは、計算データを正規パーティクル プロパティに転送します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/OutputTest-ReferenceTarget.html\">OutputTest</a> サブオペレータは、計算データをパーティクル終了判定のためのデータ テストに転送します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Parameter-ReferenceTarget.html\">Parameter</a> サブオペレータは、サプオペレータのエクスポーズ可能な値を定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Particles-ReferenceTarget.html\">Particles</a> サブオペレータは、他のパーティクルとの関係における凝集プロパティを計算します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/PipeReferenceTarget.html\">PipeReferenceTarget</a> サブオペレータは、バルブ ストリーム内の条件およびデータに応じて異なるストリームからのデータを組み合わせます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/randomReferenceTarget.html\">randomReferenceTarget</a> サブオペレータは、スカラーとベクトルのランダム値を生成します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Scalar-ReferenceTarget.html\">Scalar</a> サブオペレータは、次のスカラー タイプのデータを生成します: 整数、実数、時間、ブール演算。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Select_Object-ReferenceTarget.html\">Select_Object</a> サブオペレータは、プロパティを派生させる参照オブジェクトを定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/ShapeControl-ReferenceTarget.html\">ShapeControl</a> サブオペレータは、参照ジオメトリオブジェクトに基づくパーティクル シェイプを定義します。 サブオペレータは、参照ジオメトリのパラメータおよびアニメーションをコントロールします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Switch-ReferenceTarget.html\">Switch</a> サブオペレータは、数個の入力から同じタイプの出力へのアニメ―ト可能なリレーとして機能します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Vector-ReferenceTarget.html\">Vector</a> サブオペレータは、ベクトル タイプのデータを生成します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/DataViewGroup-ReferenceTarget.html\">DataViewGroup</a> ヘルパーは、パーティクル データ ビュー内部のサブオペレータをグループ化するために使用されるデータ ビュー グループ ノードを表します。</p>\n\
<h3 id=\"-\">パーティクル フロー モディファイヤ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Particle-Flow-Modifiers/Particle_Face_Creator-modifier.html\">Particle_Face_Creator : モディファイヤ</a> は、パーティクルの位置を使用してメッシュ ジオメトリを自然に見える方法で非表示および表示します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Particle-Flow-Modifiers/Particle_Skinner-modifier.html\">Particle_Skinner: モディファイヤ</a>を使用すると、1 つまたは複数のパーティクル フロー システムで修正オブジェクトのジオメトリを変形することができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Particle-Flow-Modifiers/PFlow_Collision_Shape.html\">PFlow_Collision_Shape: SpacewarpModifier</a> は、標準のメッシュ オブジェクトを MassFX シミュレーションにパーティクル ディフレクタとして参加させます。</p>\n\
<h3 id=\"-\">パースマッチ ユーティリティ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/Perspective_Match-UtilityPlugin.html\">Perspective_Match UtilityPlugin</a> は、新しいパースマッチ ツールのすべてのコントロールを MAXScript に公開します。</p>\n\
<h3 id=\"-\">メッシュの検証</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MeshInspector.html\">MeshInspector Interface</a> は、メッシュ データの不整合をチェックして修復する新しい <strong>3ds Max</strong> 機能を公開します。</p>\n\
<h3 id=\"-\">見つからないプラグイン エクスプローラ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneMissingPlugIns.html\">SceneMissingPlugins Interface</a> を使用すると、現在のシーン上で見つからないプラグインの数、クラス、ファイル情報および説明にアクセスすることができます。</p>\n\
<h2 id=\"-3ds-max-\">既存の 3ds Max の強化機能</h2><h3 id=\"-\">ビューポート アクセス</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> ビューポートへのアクセスに使用するいくつかの新しいプロパティおよびメソッドが既存の <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport struct</a> に追加されました。それらは、<strong><code>viewport.activeViewportID</code>、<code>viewport.numViewEx</code> および <code>viewport.activeViewportEx</code></strong> です。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">2 つの新しい <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport struct</a> メソッド、<code>viewport.setCanvasNavigationMode()</code> および <code>viewport.isCanvasNavigationMode()</code> を使用して、キャンバス ナビゲーション モードを設定およびクエリすることができます。オンの場合、ビューポートでは 2D パンおよびズームのみが実行可能で、他のすべてのナビゲーション操作は無視されます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 次の 2 つの既存の <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport struct</a> メソッドは、アクティブなビュー パネルだけでなく、<strong>すべてのビュー パネル</strong>の<strong>すべてのビューポート</strong>に影響するようになりました。<code>viewport.resetAllViews()</code> および <strong><code>viewport.zoomToBounds()</code></strong>。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> アクティブ ビューポートのセーフ フレームがオンまたはオフになると、新しい <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism/Other-Notifications.html\">General Event Callbacks</a> 通知である <code>#viewportSafeFrameToggle</code> が呼び出されます。</p>\n\
<h3 id=\"nitrous-\">Nitrous のプロパティとメソッド</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#general-nitrous-access\">NitrousGraphicsManager Interface</a> の <code>.GetViewportSetting()</code> メソッドのパラメータは、MAXScript 規約に従って 0 ベースの整数から 1 ベースのインデックスに変更されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a> の新しいプロパティ <code>.BackfaceCullWireframeEnabled</code> により、背面の非表示をワイヤフレーム モードで取得および設定することができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a> の新しいプロパティ <code>.ShadowmapSizeLimit</code> を使用して、最大シャドウ マップ サイズを設定することができます。既定値は 512 です。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a> の新しいプロパティ <code>.NormalBumpMode</code> は、[カスタマイズ] (Customize) &gt; [基本設定] (Preferences) &gt; [グローバル] (Global) ダイアログの [法線バンプ モード](Normal Bump Mode)ラジオ ボタンの状態をコントロールします。これによって、3ds Max、Maya および DirectX と互換性のある法線バンプ モードを切り替えることができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a> の新しいプロパティ <code>.BackgroundProgressiveRenderingEnabled</code> を True に設定すると、<strong>3ds Max</strong> がバックグラウンドで実行している場合でも、Nitrous ビューポートのプログレッシブ リファインを強制的に実行できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager Interface</a> のメソッド <code>.GetWorldSetting()</code> によって返される新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#world-settings-iobject-interface-\">IObject:WorldSettingImpl</a> オブジェクトは、ノードの統合、インスタンス化の切り替えおよび制限を含む、Nitrous システムのワールド最適化をコントロールするプロパティを公開します。</p>\n\
<h3 id=\"-\">スレート マテリアル エディタ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"\">sme Interface</a> の新しいメソッド <code>sme.SetMtlInParamEditor()</code> を使用して、スレート マテリアル エディタの[パラメータ] (Parameters)パネルに表示される現在のマテリアルまたはマップ オブジェクトを設定することができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"#ifp_nodeviewimp---iobject\">既存の SME NodeView interface</a> にいくつかの新しいメソッドが追加され、ノード選択、全範囲ズーム/全範囲ズーム選択の機能にアクセスすることができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>.selected</code> プロパティが、既存の、ただし前回はドキュメントに記載されなかった SME <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\"#interface--node\">Node interface</a> に追加されました。</p>\n\
<h3 id=\"mental-ray-\">mental ray のレンダリング</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいプロパティ <code>.IBLEnable</code>、<code>.IBLQuality</code>、および <code>.IBLShadows</code> は、[グローバル イルミネーション](Global Illumination)タブに追加された<strong>[イメージベースのライティング](Image Based Lighting)</strong>オプションを公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいプロパティ <code>.UnifiedEnable</code>、<code>.UnifiedMaxSamples</code>、<code>.UnifiedMinSamples</code>、および <code>.UnifiedQuality</code> は、[サンプリング品質](Sampling Quality)タブに追加された<strong>[統合サンプリング](Unified Sampling)</strong>オプションを公開します。</p>\n\
<h3 id=\"iray-\">iRay レンダラー</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい 2 つのプロパティ <code>.architecturalSamplerEnabled</code> および <code>.causticSamplerEnabled</code> は、iRay レンダラーに追加された新しいサンプラを公開します。</p>\n\
<h3 id=\"-\">ボーン変更通知</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism/Node-Related-Notifications.html\">General Event Callbacks</a> の通知、<code>#preNodeBonePropChanged</code> および <code>#postNodeBonePropChanged</code> は、前のリリースでは破損していて、ブロードキャストされませんでした。この問題が修正されています。</p>\n\
<h3 id=\"-dwf-dwf-export-\">[DWF 書き出し](DWF Export)ダイアログへのアクセス</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> DWF <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Import-and-Export-Filters-1.html\">エクスポート ダイアログ設定</a> は、新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DwfExportPreferences.html\">DwfExportPreferences コア インターフェース</a>を通して MAXScript に公開されます。</p>\n\
<h3 id=\"-\">既定のサウンド アクセス</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 単一の新しい <code>.Open()</code> メソッドを使用する新しいインタフェースが <a href=\"./../../3ds-Max-Objects-and-Interfaces/Sound-Class-MAXWrapper/Default_Sound-SoundClass.html\"#default_sound-interfaces-\">Default_Sound:SoundClass</a> (ProSound:SoundClass が追加されたため既定では使用されなくなりました)に追加されています。</p>\n\
<h2 id=\"maxscript-\">MAXScript 言語に関する改善点</h2><h3 id=\"-\">ビット マップ値のガンマ管理</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> MAXScript のビットマップ値のガンマ設定の処理が見直され、長い間放置されていたいくつかの問題が修正されました。 詳細については、新規の<a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Gamma-and-MAXScript.html\">「ビットマップ ガンマおよび MAXScript」</a>のトピック、および既存の<a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">「ビットマップ値」</a>トピックの修正されたプロパティおよび関数の説明を参照してください。</p>\n\
<h3 id=\"-\">複製された構造体メンバーと関数</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Language-Reference/Structure-Definition/Duplicated-Members-And-Functions.html\">複製されたメンバー/関数名</a>は、コンパイル時に明示的に許可されませんが、複製された関数名は、前方宣言のために許可されます。</p>\n\
<h3 id=\"-\">タイム スタンプ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Time-Stamping.html\">新しい timeGetTime()</a> 関数は、Windows が起動してからのシステム時間をミリ秒で返します。毎日午前 0 時にラップアラウンドする <code>timestamp()</code> 以外、この値は、49.71 日ごとにラップアラウンドします。</p>\n\
<h3 id=\"-\">スクリプト プラグインの名前</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\">スクリプト プラグイン</a> の <code>name:</code> キーワード パラメータは、プラグインの作成ボタンまたは UI 項目にのみ使用されるようになります。ただしクラス名はクラスのインスタンスおよびシーン ノードに名前を付けるために使用されます。旧バージョンでは、ローカライズ可能な UI 名はクラスのインスタンスに名前を付けるために使用されました。</p>\n\
<h3 id=\"rolloutfloater-\">RolloutFloater の可視性のコントロール</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\"#rollout-floater-properties-\">Rollout Floater</a> の新しい <code>.visible</code> プロパティを使用して、ロールアウトへのアクセスを維持したままフロータの描画を無効にすることができます。<strong>3ds Max 2014</strong> には、オフスクリーン ダイアログの自動回復システムが導入されました。これにより、デスクトップの表示領域外に移動したダイアログ ウィンドウは自動的にビュー内に戻されます。旧バージョンの <strong>3ds Max</strong> では、プロパティとコントロールへのアクセスを維持したままロールアウトを非表示にするために RolloutFloater をオフスクリーンにするというハックが採用されている場合がありましたが、代わりに <code>.visible</code> プロパティを False に設定する方法を使用できます。また、ロールアウト フロータを閉じずに一時的に非表示にしたり、ロールアウト フロータを事前に作成することで、オンザフライで構築してもう一度閉じるよりもはるかに高速に表示と非表示を切り替えることができるようになります。</p>\n\
<h3 id=\"-\">カスタム ユーザ インタフェースのツールバー表示</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい関数 <code>cui.showToolbar()</code> は、<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Custom-User-Interface-Management/CUI-Struct-UI-Customization.html\">CUI struct</a> 内で非表示のツールバーを名前別に表示するために使用することができます。</p>\n\
<h3 id=\"-\">ウィンドウの位置およびサイズのアクセス</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\">Windows struct</a>`** に追加された新しいメソッドです。</p>\n\
<h3 id=\"-stdio-\">同時に開くことのできるファイルの最大数を stdio レベルで設定する</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../Interaction-With-The-Operating/System-Tools.html\">systemTools struct</a> に追加された新しいメソッド <code>systemTools.getmaxstdio()</code> および <code>systemTools.setmaxstdio()</code> を使用すると、<strong>3ds Max</strong> で同時に開くことのできるバイナリ ファイルの最大数を取得および設定することができます。これを最大値の 2048 に増やすと、たとえば大量のポイント キャッシュ モディファイヤがデータを同時に読み込まなければならない場合などに効果的です。</p>\n\
<h3 id=\"-\">リスナー選択の設定</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 前のリリースでは、戻り値が OK の場合に、実行中の選択が破棄されるという理由で、<a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/Controlling-the-Listener.html\">既存のSetListenerSel()</a> 関数は使用できませんでした。これは関数が値を返さないようにすることで修正されました。</p>\n\
<h3 id=\"autodesk-cloud-directory-maxscript-\">Autodesk Cloud Directory への MAXScript アクセス</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\"#map-path-methods-\">新しいパラメータ #autodeskCloud を GetDir() 関数に対して使用すると</a>、ユーザが Autodesk 360 にログインしている場合はローカルの Autodesk Sync\\Cloud パスを返します。それ以外の場合は空の文字列 &quot;&quot; を返します。</p>\n\
<h2 id=\"-\">ドキュメントの変更および追加内容</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">いくつかの <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">ビューポート関連</a> メソッドは、オプションの <code>viewPanelIndex:</code> キーワードをサポートします。これは <strong>3ds Max 2013</strong> でも利用可能でしたがドキュメントに記載されていませんでした。例: <strong><code>viewport.getType()</code>、<code>viewport.getID()</code>、<code>viewport.getCamera()</code>、<code>viewport.getRegionRect()</code>、<code>viewport.setRegionRect()</code>、<code>viewport.getBlowupRegion()</code> , <code>viewport.setBlowupRegion()</code>、<code>viewport.getGridVisibility()</code>、<code>viewport.setGridVisibility()</code></strong>。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> ドキュメントに記載されていない <code>parent:&lt;HWND&gt;</code> というオプションのキーワード引数が <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">createDialog() 関数</a> に追加され、ダイアログを別のダイアログまたはウィンドウの子にできるようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> ドキュメントに記載されていない <code>parent:&lt;HWND&gt;</code> というオプションのキーワード引数が <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/cui-RegisterDialogBar-and-cui.html\">cui.registerDialogBar() 関数</a> に追加され、ダイアログ バーを別のダイアログまたはウィンドウの子にできるようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\"#map-path-methods-\">GetDir() 関数</a> の引数をテーブルに移動し、既定の戻り値のカラムを追加しました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>ノード</strong> 配列の最初の要素のみ<strong>が</strong>交差に使用される<strong>という事実についての <a href=\"./../../3ds-Max-Objects-and-Interfaces/Mesh-Intersection-Managers/RayMeshGridIntersect.html\">RayMeshGridIntersect ReferenceTarget</a> 警告を注:としてドキュメントに追加しました。</strong></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Main-Toolbar/Main-Toolbar-1.html\">メイン ツールバー トピック</a> の既存の <code>toolmode.coordsys()</code> メソッドのドキュメントには、<code>#gimbal</code> 引数と <code>#working_pivot</code> 引数がありませんでした。さらに、以前のリリースでは、MacroRecorder が <code>#working_pivot</code> の代わりに <code>#pivot</code> を間違って放出していました。この問題が修正されています。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">MAXScript の新機能 (以前のバージョン)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";