var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-31E273C4-9248-49A0-B357-4B8F8023385D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2012 の MAXScript の新機能</h1></div><p>このページでは、<strong>3ds Max 2012</strong> の MAXScript 言語の変更と改良点について簡単にその概要を説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<p>新機能に関する説明以外の MAXScript リファレンスの変更内容については、「<a href=\"Documentation-Changes-in-3ds-Max.html\">3ds Max 2012 におけるドキュメントの変更点</a>」を参照してください。</p>\n\
<h2 id=\"3ds-max-\">3ds Max の新機能の公開</h2><h3 id=\"nitrous-\">Nitrous グラフィックス システム</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager コア インタフェース</a> は、新しいビューポート グラフィックス マネージャのコントロールが MAXScript に公開します。 また、<strong>3ds Max</strong> ユーザ インタフェースに公開されていないすべてのフォトリアリスティックではないレンダリング スタイルのすべてのパラメータにスクリプトのみでアクセスできます。このトピックでは、各レンダリング スタイルのプリセットを保存およびロードするためのオプションを含む、公開されたパラメータによるダイナミック ダイアログの生成を実装する完全なスクリプト例も示します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OGSDiagnostics.html\">OGSDiagnostics コア インタフェース</a> は、グラフィックス ハードウェア関連のレポートにアクセスするためのプロパティを提供します。</p>\n\
<h3 id=\"massfx-\">MassFX ダイナミック シミュレーション</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">インタフェース : nvpx</a> は、MassFX システムの設定を MAXScript に公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-MassFX/PhysXPanel-ReferenceTarget.html\">PhysXPanel : ReferenceTarget</a> は、MassFX コントロール パネルおよびそのコントロールの設定を MAXScript に公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/UConstraint-Helper.html\">UConstraint : ヘルパー</a> を使用して、MassFX システムでコンストレイントを定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/pxJoint-helper.html\">pxJoint : ヘルパー</a> オブジェクトを使用して、MassFX システムで結合を定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/Skeleton-helper.html\">Skeleton : ヘルパー</a> オブジェクトを使用して、アニメートされたキャラクタを MassFX シミュレーションを起動するキネマティック スケルトン オブジェクトとして導入します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/nvRagdoll-Helper.html\">nvRagdoll : ヘルパー</a> を使用して、MassFX システムでラグドール リグを定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\">MassFX_RBody : モディファイヤ</a> を MassFX システムで使用して、リジッド ボディ オブジェクトのプロパティを定義します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\">nvBox : GeometryClass</a> は、MassFX リジッド ボディ モディファイヤで物理シミュレーション用のカスタムの直方体形シェルを定義するために使用される専用のジオメトリ オブジェクトです。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\">nvCapsule : GeometryClass</a> は、MassFX リジッド ボディ モディファイヤで物理シミュレーション用のカスタムのカプセル形シェルを定義するために使用される専用のジオメトリ オブジェクトです。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\">nvSphere : GeometryClass</a> は、MassFX リジッド ボディ モディファイヤで物理シミュレーション用のカスタムの球状シェルを定義するために使用される専用のジオメトリ オブジェクトです。</p>\n\
<h3 id=\"-\">パーティクル フロー オペレータ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_File-Helper.html\">Birth_File : ヘルパー</a> は、<strong>Autodesk Softimage ICE</strong> で保存された <strong>Autodesk Maya</strong> Nucleus パーティクル キャッシュ形式のパーティクル シミュレーション ファイルのロードを実装します。</p>\n\
<h3 id=\"substance-\">Substance テクスチャ マップ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Substance-textureMap.html\">Substance textureMap</a> は、Substance 手続き型 2D マップ ローダを MAXScript に公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> SubstanceShader textureMap は、Substance ローダの mental ray シェーダを実装します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Substance_Output-textureMap.html\">Substance_Output textureMap</a> は、Substance textureMap の出力セレクタとして機能します。これにより、スレート マテリアル エディタで 1 つの Substance textureMap を複数の Substance_Output ノードに接続し、さまざまな出力を抽出できます。</p>\n\
<h3 id=\"-\">ベクトル ディスプレイスメント テクスチャ マップ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>max_vector displacement : textureMap</code> クラスは、Autodesk Mudbox で生成されたディスプレイスメント データをロードするために使用されるベクトル ディスプレイスメント マップを公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>max_vdm : textureMap</code> クラスは、Autodesk Mudbox で生成されたベクトル ディスプレイスメント マップをレンダリングするための mental ray shader を実装します。</p>\n\
<h3 id=\"iray-\">iRay レンダラー</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> iRay_Renderer: RendererClass は、CPU と使用可能な任意の GPU を使用して物理的に正確な照明シミュレーションを行う場合に使用される iRay パス トレーサへのアクセスを可能にします。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> iray 文字列オプションは、レンダラーのユーザ インタフェースに現在公開されていない高度な機能へのアクセスを可能にします。</p>\n\
<h3 id=\"-\">アニメーション</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AutoTangentMan.html\">AutoTangentMan コア インタフェース</a> は、<strong>3ds Max</strong> で使用される AutoTangent アルゴリズムへのアクセスを提供します。これには、<strong>Autodesk 3ds Max</strong> 、<strong>Autodesk Maya</strong> および <strong>Autodesk Softimage</strong> の新たに統合された AutoTangent 実装が含まれます。</p>\n\
<h3 id=\"-\">ヘルプ システム</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> HelpSystem コア インタフェース<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-HelpSystem.html\">は、オンラインおよびローカルの製品ヘルプ システムへのアクセスを提供します。</a></p>\n\
<h2 id=\"-\">既存の機能への改良点</h2><h3 id=\"quicksilver-\">Quicksilver ハードウェア レンダラー</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer</a> が更新されて、新しい Nitrous グラフィックス システムが使用されるようになりました。その結果、ユーザ インタフェース コントロールと対応する機能の MAXScript の公開の両方が大幅に変更されました。</p>\n\
<h3 id=\"-uvw-unwrap-uvw-\">[UVW アンラップ](Unwrap UVW)モディファイヤ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW モディファイヤ</a> は、<strong>3ds Max 2012</strong> で大幅に改良されました。</p>\n\
<ul>\n\
<li><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-LSCM-Peel.html\">Least Squares Conformal Mapping (LSCM、最小二乗法による等角マップ)アンラップ方法</a>が新たに導入され、マッピング座標の高速ピーリングが可能になりました。</li>\n\
<li>新しい一連の<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Regular.html\">通常マッピング</a>機能がモディファイヤの既存の unwrap6 MixinInterface に追加されました。</li>\n\
<li>新しい一連の<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Group.html\">グループ</a>機能が UI および MAXScript に追加されました。</li>\n\
<li>新しい一連のクラスタ再スケーリングおよび位置合わせ機能が UI および MAXScript に追加されました。</li>\n\
<li>[UVW を編集](Edit UVWs)フロータに<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Edit-UVWs.html\"#custom-toolbars-and-floaters\">カスタムのツールバーとフロータを追加するための</a>新しい一連の機能が MAXScript に追加されました。これらのカスタムの UI 要素は専用の .INI 設定ファイルを使用して手動で定義し、追加のツールを公開できます。</li>\n\
<li>Unwrap_UVW モディファイヤのユーザ インタフェースは、<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Command.html\">コマンド パネル</a>および<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Edit-UVWs.html\">[UVW を編集](Edit UVWs)フロータ</a>の両方でデザインが変更され、頻繁に使用する機能へのアクセスが高速化されました。</li>\n\
<li>この 10 年の間に MAXScript リファレンス の最も大きいトピックの 1 つとなった Unwrap_UVW モディファイヤのドキュメントは、関連ツールを扱う多くのサブトピックに分割されました。これらのサブトピックには、メインの 「<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW Modifier</a>」から簡単にアクセスできます。</li>\n\
</ul>\n\
<h2 id=\"-\">廃止、削除された機能、および使用できない機能</h2><h3 id=\"-viewportssb\">インタフェース: ViewportSSB</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <strong>3ds Max 2012</strong> では <strong><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportSSB.html\">ViewportSSB インタフェース</a></strong> は既定で使用できません。これは、ビューポートが Nitrous グラフィックス システムを使用するように設定されているからです。このインタフェースにアクセスするには、ビューポートを Direct3D ドライバに切り替える必要があります。</p>\n\
<h3 id=\"-\">レガシー ダイナミック</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> プロパティ <code>.bounce</code>、<code>.staticFriction</code> および <code>.slidingFriction</code> は、<strong>3ds Max 2</strong> で導入されたレガシーのダイナミック システムが完全に削除されたため、<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/StandardMaterial-Material.html\">標準</a> マテリアルから削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">次の SpacewarpObject は、<strong>3ds Max 2</strong> で導入されたレガシーのダイナミック システムが完全に削除されたため、3ds Max 2012** から削除されました。**</p>\n\
<ul>\n\
<li><code>SDynaFlect : SpacewarpObjects</code></li>\n\
<li><code>UDynaflect : SpacewarpObjects</code></li>\n\
<li><code>UDynaDeflector : SpacewarpObjects</code></li>\n\
</ul>\n\
<h3 id=\"reactor-dynamics\">Reactor Dynamics</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">すべてのリアクタ インタフェース、モディファイヤ、およびオブジェクトは、<strong>3ds Max 5</strong> で導入された <strong>Reactor Dynamics システム</strong>が完全に削除されたため、3ds Max 2012** から削除されました。**</p>\n\
<h2 id=\"maxscript-\">MAXScript 言語に関する改善点</h2><h3 id=\"maxclass-dll-\">maxClass DLL 関連プロパティ</h3><p>初期のメモリ フットプリントを削減し、スタートアップ処理を高速化するために、<strong>3ds Max 2012</strong> では、オンデマンドで遅延およびロードできるプラグインの数が増やされました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">2 つの新しい読み取り専用プロパティ</a> の <code>.dllName</code> および <code>.dllIsLoaded</code> が maxClass に追加されて、そのプロパティが定義された DLL に対してクエリーを実行したり、DLL が既にロードされているかどうかをチェックするようになりました。</p>\n\
<h3 id=\"macroscript-\">MacroScript マルチ スレッド ロード</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> MacroScript は、複数のスレッドを使用して <strong>3ds Max</strong> のスタートアップ時に処理されるようになりました。</p>\n\
<h3 id=\"-\">ロード時のカスタム アトリビュート バージョン番号のサポート</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 旧バージョンで、ファイルからロードされるカスタム アトリビュート定義は、常にシーン内の定義を置き換えていました。 <strong>3ds Max 2012</strong> からは、ロードされたシーンの定義のバージョン番号が、現在の定義のバージョン番号よりも上位の場合にのみ置き換えが行われるようになります。<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attributes-Version-Number.html\">実装の詳細については、このトピックを参照してください</a>。</p>\n\
<h3 id=\"-\">リソース文字列の置換</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> スクリプトのローカライズを簡略化するために、外部の .res ファイルで定義されたリソース ID でハード コード化された文字列を置換<a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts/Resource-String-Replacement.html\">することができるようになりました。</a></p>\n\
<h3 id=\"stringstream-\">StringStream 値</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>append()</code> メソッドが <a href=\"./../../../MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\">StringStream Value クラス</a>で実装され、文字列値を既存の StringStream にメモリ効率よく追加できるようになりました。</p>\n\
<h3 id=\"free-\">Free() メソッド</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>free()</code> メソッドは <strong>3ds Max 9</strong> から実装されていますが、ドキュメントで説明されていませんでした。このメソッドは、ガベージ コレクションが実行されるのを待たずに、値で使用されているメモリを解放します。このメソッドは、<a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">String 値</a>、<a href=\"./../../../MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\">StringStream 値</a>、<a href=\"./../../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">FileStream 値</a>、<a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">BitMap 値</a>、<a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Array 値</a>、<a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\">BitArray 値</a>、Mesh 値クラスで実装されます。</p>\n\
<h3 id=\"-\">ロールアウト ヘルプ イベント</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>on &lt;rollout&gt; help do()</code> <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">イベント ハンドラをロールアウト</a>で指定すると 、ロールアウトにフォーカスがある間に押された F1を処理することができます。</p>\n\
<h3 id=\"-ui-\">ロールアウトと UI コントロール キャプション</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 文字列リテラルとして使用する必要があった<a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Non-Local-Variables-As-Captions.html\">ロールアウトおよび UI コントロールのキャプション コンストラクション パラメータ</a>は、非ローカル変数(構造体またはプラグイン定義のグローバル変数またはトップレベルのローカル変数)にすることができるようになりました。</p>\n\
<h3 id=\"radiobutton-\">Radiobutton のツールチップ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> ツールチップが <a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\">radiobutton ユーザ インタフェース コントロール</a>に、すべてのラベルに対応する 1 つの文字列、またはラベルごとに 1 つのツールチップとして追加されました。</p>\n\
<h3 id=\"-assert-\">テスト フレームワーク Assert 関数</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メッセージ ログを管理する新しい <a href=\"./../../../MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\"#test-framework-assert-functions\">Assert 関数および AssertReporter</a> 構造体がいくつか MAXScript に公開されて、<strong>3ds Max</strong> の開発時の単位テストに Autodesk によって内部で使用されるようになりました。</p>\n\
<h3 id=\"crt-\">CRT デバッグ関数</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> いくつかのC <a href=\"./../../../MAXScript-Introduction/The-MAXScript-Debugger/CRT-Debug-Functions.html\">ランタイム デバッグ関数</a> が MAXScript に公開され、SDK で例として提供されています。 これらの関数は、ハードコア プログラム用で、MAXScript ヒープの破壊、ヒープの妥当性のチェック、および C レベルのアサートの生成が許可されます。</p>\n\
<h3 id=\"-\">既存の機能への変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\">EulerAngles 値のトピック</a> で説明した、以前問題があった <code>GetEulerQuatAngleRatio()</code> および <code>GetMatQuatAngleRatio()</code> メソッドが修正され、配列、eulerAngles または参照渡し変数を使用して正しい値が出力されるようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">既存のビューポート描画メソッド</a> は、Nitrous グラフィックス マネージャがアクティブな場合、<a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">ビューポート再描画コールバック</a> 関数にラップする必要があります。 ラップしない場合、gw. メソッドは実行されません。これは、Nitrous システムではプログレッシブ リファイン アプローチが使用されるからです。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-7.html\">3ds Max 2012 の MAXScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";