var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0890917F-5AC9-4E01-B860-0095172B48A9\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2019 および Update の MAXScript の新機能</h1></div><p>このトピックでは、<strong>3ds Max 2019</strong> の MAXScript 言語の変更および改善点についての概要を簡単に説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2019-3-update-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2019.3 Update の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>ビューポート ActiveShade モード</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-2.html\">ActiveShadeFragmentManager インタフェース</a>を使用すると、MAXScript から、新しいビューポート ActiveShade 表示モードにアクセスすることができます。</td>\n\
</tr>\n\
<tr>\n\
<td>カスタム アトリビュート コンテナの所有者</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Access-to-Custom-Attributes.html\">MAXWrapper.custattributes</a> によって返されるカスタム アトリビュート配列で、所有元のオブジェクトが格納されている新しいプロパティ <code>.owner</code> が公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td>ノード イベント システムの変更点</td>\n\
<td>登録されている <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Node-Event-System.html\">NodeEventCallbacks</a> の情報を取得する 2 つの新しい関数 <code>getNodeEvents()</code> および <code>showNodeEvents()</code> が追加されました。<code>NodeEventCallbackValue</code> に新しい処理オプション polling が追加され、新しい <code>triggerNodeEventCallback()</code> 関数によってコールバックがトリガされる可能性があることがシステムに通知されるようになりました。また、一般的なイベント コールバック検査関数 <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\"></a> がオプションの <code>asArray:</code> キーワード引数を取るようになり、出力が配列としてフォーマットされるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>3ds Max プロセスの情報</td>\n\
<td><a href=\"./../../Interaction-With-The-Operating/System-Information.html\">sysinfo</a> 構造体に、3ds Max プロセスに関する情報を取得する 3 つの新しい関数 <code>getMAXHandleCount()</code>、<code>getMAXUserObjectCount()</code>、および <code>getMAXGDIObjectCount()</code> が追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>これまでドキュメント化されていなかった項目</td>\n\
<td>3dsmax.ini 設定ファイルへのアクセスを可能にする <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/3ds-Max-Configuration-File.html\">cfgMgr 構造体</a>がドキュメント化されました。<a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper</a> が削除されているかどうかを示す <code>isDeleted &lt;MAXWrapper&gt;</code> 関数と <code>MAXWrapper.isDeleted</code> プロパティがドキュメント化されました。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\"><XRefScene>.overlay</a> プロパティがドキュメント化されました。また、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\"#bridge\">editPolyModReadyToBridge()</a> 関数がドキュメント化されました。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2019-2-update-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2019.2 Update の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>流体ローダ(Fluid Loader)</td>\n\
<td>MAXScript で、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/FluidLoader-GeometryClass.html\">FluidLoader</a> クラスにアクセスして、作成できるようになりました。このクラスは、流体ローダ ジオメトリ オブジェクトを公開します。</td>\n\
</tr>\n\
<tr>\n\
<td>スクリプト ロードの検出</td>\n\
<td>新しい <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">getMaxscriptStartupState()</a> 関数を使用すると、標準スクリプトおよびスタートアップ スクリプトのロード状態を判別できます。これに対応する新しい <a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism/System-Notifications.html\"\">#preStartupScriptLoad</a> イベントが、スタートアップ スクリプトを実行する直前に呼び出されます。</td>\n\
</tr>\n\
<tr>\n\
<td>テクスチャマップの UV 範囲のレンダリング</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Common-Properties.html\">renderMap()</a> 関数には、レンダリングする UV 範囲を指定する追加の <code>range</code> パラメータと、プロキシ システムを無効にする新しい <code>disableBitmapProxies</code> パラメータがあります。</td>\n\
</tr>\n\
<tr>\n\
<td>Max の情報</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">maxVersion()</a> 関数にリリース年と製品バージョンの項目が追加されました。<a href=\"./../../Interaction-With-The-Operating/System-Information.html\"#3ds-max-command-line-info\">sysinfo</a> 構造体の新しい関数 <code>getCommandLine()</code> および <code>getCommandLineArgs()</code> は、Max を実行したコマンド ラインに関する情報を返します。<a href=\"./../../Interaction-With-The-Operating/System-Tools.html\">SystemTools.isDebugBuild()</a> は、現在実行中の 3ds Max がデバッグ ビルドであるのか、それともリリース ビルドであるのかを示す新しい関数です。</td>\n\
</tr>\n\
<tr>\n\
<td>ルート ノードのユーザ プロパティ</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">get/setUserProp/val/buffer()</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">deleteUerProp()</a>、および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">doesUserPropExist()</a> 関数が特殊な <code>rootNode</code> パラメータを認識するようになり、シーンのルート ノードのユーザ プロパティへのアクセスが許可されるようになりました。このパラメータには、外部参照ファイルの <code>.tree</code> プロパティに保持される、外部参照のルート ノードを指定することもできます。</td>\n\
</tr>\n\
<tr>\n\
<td>レイヤ マネージャ経由のノードの追加</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties</a> インタフェースに、新しいメソッド <code>addNodes()</code> が含まれています。このメソッドは <code>addNode()</code> と同様に機能しますが、ノードの配列を取るため、ユーザは 1 回の呼び出し内で複数のノードを追加することができます。</td>\n\
</tr>\n\
<tr>\n\
<td>SkinOps の変更</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">SkinOps</a> 構造体には、<code>SetBoneWeights()</code> と <code>Hammer()</code> の 2 つの新しい関数が含まれています。さらに、以前はモディファイヤの UI を選択する必要があった多くの関数が、オプションの <code>node:&lt;node&gt;</code> または <code>name:&lt;string&gt;</code> 引数を取るようになりました。この引数を指定した場合は、ノードが選択されていなくても、指定したノードにこの引数が適用されます。</td>\n\
</tr>\n\
<tr>\n\
<td>Alembic 読み込みファイル検査メソッド</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">AlembicImport 読み込みプラグイン</a>から複数のメソッド(<code>GetABCNodeType()</code>、<code>GetABCNodeDataType()</code>、<code>GetABCNodeExtent()</code>、および <code>IsPropertyNode()</code>)が削除されました。これらのメソッドは、新しいメソッド(<code>GetABCNodeProperties()</code>、<code>GetNumProperties()</code>、<code>GetChildPropertyFromIndex()</code>、<code>GetChildPropertyFromName()</code>、<code>GetPropertyType()</code>、<code>GetPropertyDataType()</code>、および <code>GetPropertyExtent()</code>)に置き換えられています。</td>\n\
</tr>\n\
<tr>\n\
<td>その他の変更点</td>\n\
<td>定義済みのグローバル変数 <code>noValue</code> の名前が <a href=\"./../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/Predefined-Globals.html\">silentValue</a> に変更され、内容を正確に示すようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>削除された項目</td>\n\
<td>3ds Max 2018.2 Update の Unwrap_UVW モディファイヤから削除された同期モード関連の項目(<code>setSyncSelectionMode()</code>、<code>getSyncSelectionMode()</code>、<code>syncTVSelection()</code>、および <code>syncGeomSelection()</code>)がドキュメントから削除されました</td>\n\
</tr>\n\
<tr>\n\
<td>これまでドキュメント化されていなかった項目</td>\n\
<td>MaxLiquidSolver で使用される<a href=\"./../../3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/Interface-ParticleCache.html\">インタフェース: ParticleCache</a> がドキュメント化されました。これまでドキュメント化されなかったインタフェース <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pluginManager.html\">pluginManager</a> のいくつかのプロパティとメソッドについての説明が記載されるようになりました。また、<code>max group open recursively</code><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\">max コマンド</a> がドキュメント化されました。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2019-1-update-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2019.1 Update の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>ファイルのアーカイブ</td>\n\
<td>[ファイル] (File) &gt; [アーカイブ] (Archive)コマンドが、MAXScript で <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">archiveMAXFile()</a> として公開されました。</td>\n\
</tr>\n\
<tr>\n\
<td>XRefObject の再ペアレント化</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\">xrefs.addNewXRefObject()</a> メソッドには、外部参照の再ペアレント化の処理方法を指定する新しい reparentAction パラメータが含まれています。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefs.html\">objXRefs.addNewXRefObject()</a> メソッドには、外部参照の再ペアレント化の処理方法を指定する新しいフラグ ビットが含まれています。</td>\n\
</tr>\n\
<tr>\n\
<td>改善されたバージョン情報</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">maxversion()</a> 関数はビルド番号を返すようになり、SystemTools.GetBuildNumber() から返される情報と一貫性が保たれるようになりました。SystemTools 構造体に、Windows 10 と連携する OS バージョンを報告する新しい関数 GetOSVersion() が追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>ノードのユーザ定義プロパティ メソッド</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">getUserPropVal() および setUserPropVal()</a> の 2 つの新しいメソッドで、ユーザ定義ノードのプロパティの保存方法や取得方法を詳細にコントロールできます。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">doesUserPropExist()</a> メソッドは、ユーザ定義ノードのプロパティの有無を調べます。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-User-Defined-Properties-and.html\">deleteUserProp()</a> はユーザ定義ノードのプロパティを削除します。</td>\n\
</tr>\n\
<tr>\n\
<td>Alembic 読み込みファイル検査メソッド</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">AlembicImport 読み込みプラグイン</a>に、Alembic ファイルの検査機能を公開する新しいメソッドがいくつか追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>FBX 書き出しアニメーションのオプション</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\">FBX の書き出し</a>には、「ExportAnimationOnly」という新しいパラメータが用意されています。</td>\n\
</tr>\n\
<tr>\n\
<td>流体</td>\n\
<td>ボリューム ヘルパー オブジェクトは <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/VolumeHelper-Helper.html\">VolumeHelper : Helper</a> クラスとして公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td>その他</td>\n\
<td>テスト用のランダム データを作成するための、その他の新しい関数 <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">createFloatControllerWithRandomValues()</a> が追加されました。シーンの圧縮設定が</td>\n\
</tr>\n\
<tr>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxOps</a> インタフェース メソッド getCompressSceneFileOnSave() および setCompressSceneFileOnSave() で公開されるようになりました。</td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>これまでドキュメント化されていなかった項目</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">スクリプト プラグインの一部のパラメータ句</a>(<code>readOnly:&lt;boolean&gt;</code>、<code>readOnlyAsset:&lt;boolean&gt;</code>、および <code>enumAsAsset:&lt;boolean&gt;</code>)がドキュメント化されました。<br/> ローカル データと一緒にモディファイヤをコピーするメソッド addModifierWithLocalData() が、「<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">ノードの共通プロパティ、演算子、メソッド</a>」でドキュメント化されました。 <br/> <a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/dontRepeatMessages-Context.html\">dontRepeatMessages context</a> コンテキストがドキュメント化されました。<br/> <code>&lt;maxclass&gt;.isMSPluginClass</code> プロパティおよび <code>&lt;string&gt;getObjectName &lt;maxwrapper&gt;</code> メソッドが、「<a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper の共通プロパティ、演算子、メソッド</a>」でドキュメント化されました。<br/>  ネットワーク テクスチャ レンダリング ジョブを作成するための <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/NetworkRTT-.html\">NetworkRTT()</a> 関数がドキュメント化されました。<a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\">convertIntToDirID()</a> 関数は、指定した整数に対応するシステム ディレクトリの名前を返します。<br/>  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">pathConfig.removeProjectDirectoryCreateFilter()</a> 関数は、指定した単一のプロジェクト ディレクトリ フィルタを削除します。<br/>  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">pathConfig.getProjectDirectoryCreateFilters</a> 関数は、現在設定されているすべてのプロジェクト ディレクトリ フィルタからなる配列を返します。<br/>  <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">getFiles() および getDirectories()</a> メソッドには、ファイルまたはディレクトリを再帰的に検索するかどうかを指定する <code>recurse:&lt;bool&gt;</code> パラメータがあります。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2019-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\"> 3ds Max 2019 の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>高度な木目</td>\n\
<td>[高度な木目](Advanced Wood)手続き型テクスチャ マップが <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/AdvancedWood-textureMap.html\">Advanced_Wood : TextureMap</a> マップとして公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td>OSL</td>\n\
<td>Open Shading Language (OSL)が 3ds Max でサポートされるようになりました。数多くの新しい OSL シェーダが使用可能になるとともに、既存のシェーダのロードや変更、または新しいシェーダの作成に使用できる汎用 <a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/OSLMap-textureMap.html\">OSLMap</a> クラスが含まれています。</td>\n\
</tr>\n\
<tr>\n\
<td>シェイプのブール演算</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Compound-Shapes/ShapeBooleanObject-Shape.html\">ShapeBooleanObject</a> クラスで、新しいシェイプのブール演算機能が公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td>Alembic の読み込みと書き出し</td>\n\
<td>Alembic の読み込みおよび書き出しプラグインが改善され、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import: Importer_Plugin</a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export: ExporterPlugin</a> 内で新しいプロパティやメソッド、または変更されたプロパティやメソッドとして公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td>カスタム シーン ファイルのデータ ストリーム</td>\n\
<td>3ds Max シーン ファイルに対してカスタム データの書き込みと読み取りを行えるようになりました。MAXScript では、この機能は <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomFileStream.html\">CustomFileStream インタフェース</a> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomSceneStreamManager.html\"\">CustomSceneStreamManager インタフェース</a>のメソッドで公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td>ロールアウトのサイズ変更に関する変更</td>\n\
<td>ロールアウトおよびロールアウト フロータのサイズが変更されている場合に、レイアウトの自動再計算がサポートされるようになりました。これにより、コマンド パネルを任意のサイズに設定できるようになったため、コマンド パネルにドッキングされている場合にサイズを変更することができます。変更内容は次のとおりです。新しい <code>autoLayoutOnResize: &lt;boolean&gt;</code> パラメータが <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">CreateDialog()</a>、<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\">newRolloutFloater()</a>、およびロールアウトとサブロールアウトの仕様に追加されました。<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\"#rollout-properties-\">ロールアウト</a>に <code>rolloutFloater</code> および <code>autoLayoutOnResize</code> という新しいプロパティが追加されました。また、<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">SetDialogSize()</a> および <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\"#rollout-methods-\">updateRolloutLayout()</a> という新しいメソッドが追加されました。<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\">ボタン</a>および <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\">CheckButton</a> UI コントロールに <code>.height</code> および <code>.width</code> プロパティが追加されました。また、新しい <code>applyUiScaling: &lt;boolean&gt;</code> キーワード引数が <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\"\">setDialogPos()</a> に追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>persistents.show() のストリーム パラメータ</td>\n\
<td><a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/Persistents-Structure.html\">persistents.show()</a> メソッドに、出力の転送先となる新しい <code>to:&lt;stream&gt;</code> パラメータが追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td><code>deepCopy()</code> の変更</td>\n\
<td><a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">deepCopy()</a> メソッドが <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">Arrays</a> だけでなく、<a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Dictionary-Values.html\">Dictionaries</a>、<a href=\"./../../MAXScript-Language-Reference/Values/DataPair-Values/DataPair-Values-1.html\">DataPairs</a>、および <a href=\"./../../MAXScript-Language-Reference/Structure-Definition/Structure-Inherited-Methods.html\">Structures</a> にも適用されるようになりました。このメソッドは、コピーしたオブジェクトの中に、1 つの値に対して 2 つの参照が含まれている場合、この値のコピーが 1 つだけ作成されるように最適化されています。つまり、返されるオブジェクトには(以前の動作のように) 2 つのコピーが含まれるのではなく、1 つの値に対する 2 つの参照が含まれます。</td>\n\
</tr>\n\
<tr>\n\
<td>デモンストレーションの拡張機能</td>\n\
<td><a href=\"./../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Autocomplete.html\">スクリプト エディタ内でオートコンプリート</a>を有効にする手順がドキュメント化されました。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">前リリースの新機能</h2><p>「<a href=\"./../What-was-New-in-MAXScript-in.html\">前リリースの新機能</a>」を参照してください。</p>\n\
<p><em><a href=\"https://www.flaticon.com\" target=\"_blank\">www.flaticon.com</a> の <a href=\"https://www.flaticon.com/authors/freepik\" target=\"_blank\">Freepik</a> によって作成されたアイコン。</em></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">MAXScript の新機能 (以前のバージョン)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";