var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B40F84EA-5F19-45B6-AA7C-0ADC77708BBE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Editable_Poly メソッド</h1></div><p>次のトピックでは Editable_Poly 基本オブジェクトに集約されるオブジェクトに適用される <strong>polyOp</strong> メソッドを一覧表示します。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>トピック ナビゲーション:</th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><a href=\"Editable_Poly-Methods/Editable-Poly-Get-Set-Selection.html\">選択の取得/設定</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">フラグによる取得</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Count-Methods.html\">カウントの取得</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Set-Hidden.html\">非表示の取得/設定</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Edge-Visibility.html\">エッジの可視性</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Open-Edges-Methods.html\">開いたエッジ</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Face.html\">面による取得</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Edge.html\">エッジによる取得</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Dead-Elements.html\">無効な要素</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Face-Material-ID.html\">面マテリアル ID</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Manipulate-Vertex.html\">頂点の操作</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Fill-In-Mesh.html\">メッシュ塗り潰し</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-A-Using-B.html\">B を使用した A の取得</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Face-Center.html\">面の中心、法線、範囲の取得</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Attach-Method.html\">アタッチ</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Delete-Methods.html\">削除</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Weld-Methods.html\">連結</a></td>\n\
<td><a href=\"Editable_Poly-Methods/Editable_Poly-Create-Methods.html\">作成</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Auto-Smooth-Method.html\">自動スムーズ</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Triangulation.html\">三角形化</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Subdivision.html\">サブディビジョン</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Face-Smoothing.html\">面スムージング グループ</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Break-Divide-and.html\">ブレーク、分割、スプリット</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Collapse-Methods.html\">集約</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Propogate-Flags.html\">フラグの伝播</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Tesselate-Methods.html\">面分割</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Detach-Methods.html\">デタッチ</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Slice-Plane.html\">スライス平面</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Cut-Methods.html\">切り取り</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Cap-Holes-Methods.html\">キャップ ホール</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Make-Planar.html\">平面化</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Extrude-Bevel-and.html\">押し出し、ベベル、面取り</a><br><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-MaterialId.html\">マテリアル ID による取得</a></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"polyop-\">polyOp メソッドの最初の引数について:</h2><p>すべての <strong>polyOp</strong> メソッドには、引数 <code>&lt;poly&gt;</code> (操作するポリゴン)を指定します。基本オブジェクトが編集可能ポリゴンであるノードの値、または編集可能ポリゴンの基本オブジェクトを指定できます。</p>\n\
<p><strong>polyOp メソッドのサブオブジェクトの引数について:</strong></p>\n\
<p>ほとんどの polyOp メソッドには、引数として<vertlist>, <facelist>、または<edgelist>.</p>\n\
<p>これらの引数には、操作するサブ オブジェクトサブオブジェクト要素を指定します。</p>\n\
<p>これらの引数には、次のパラメータを指定できます。</p>\n\
<p><code>#all</code> - そのタイプのすべてのサブオブジェクト要素。</p>\n\
<p><code>#selection</code> - そのタイプの現在選択されているサブオブジェクト。</p>\n\
<p><code>#none</code> - そのタイプのサブオブジェクト要素を除外する。</p>\n\
<p>サブオブジェクト要素のインデックスを表す整数の配列。</p>\n\
<p>サブオブジェクト要素のインデックスを表す bitarray。</p>\n\
<p>サブオブジェクト要素のインデックスを表す整数に変換できる値。</p>\n\
<p>VertexSelection、EdgeSelection、または FaceSelection の値。値のタイプは、指定した サブオブジェクト タイプに一致していなければなりません。</p>\n\
<h2 id=\"editable_poly-\">Editable_Poly の無効なサブオブジェクト要素について</h2><p>編集可能ポリゴンには、「無効な」頂点、エッジ、および面が含まれることがあります。</p>\n\
<p>無効なサブオブジェクト要素とは、ポリゴンからは削除されているが、対応するサブオブジェクト要素のリストから削除されていないもののことです。</p>\n\
<p>これらのサブオブジェクト要素は、そのポリゴンに対して特定の操作を実行したときに無効とマークされます。ただし、サブオブジェクト要素のリストが集約される(無効なサブオブジェクト要素がすべて削除される)のは、通常はその操作が終了したときです。つまり、そのポリゴンには通常、無効なサブオブジェクト要素は存在しません。</p>\n\
<p>サブオブジェクト要素を <strong>polyOp</strong> メソッドの 1 つを使用して無効としてマークした場合は、<strong><code>polyOp.collapseDeadStructs()</code></strong> を呼び出してサブオブジェクト要素のリストを集約する必要があります。</p>\n\
<p>サブオブジェクト要素のフラグを取得/設定するメソッド以外では通常、無効なサブオブジェクト要素は polyOp メソッドによって無視されます。メソッドが OK 以外の値を返し、指定されている引数が 1 つの サブオブジェクト要素インデックスだけで、かつその SO 要素が無効な場合は、通常、<strong><code>undefined</code></strong> の値が返されます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Attach-Method.html\">Editable_Poly アタッチ メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Auto-Smooth-Method.html\">Editable_Poly 自動スムーズ メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Break-Divide-and.html\">Editable_Poly ブレーク、分割、スプリット メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Cap-Holes-Methods.html\">Editable_Poly キャップ ホール メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Collapse-Methods.html\">Editable_Poly 集約メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Create-Methods.html\">Editable_Poly 作成メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Cut-Methods.html\">Editable_Poly 切り取りメソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Dead-Elements.html\">Editable_Poly 無効な要素メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Delete-Methods.html\">Editable_Poly 削除メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Detach-Methods.html\">Editable_Poly デタッチ メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Edge-Visibility.html\">Editable_Poly エッジの可視性メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Extrude-Bevel-and.html\">Editable_Poly 押し出し、ベベル、面取りメソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Face-Material-ID.html\">Editable_Poly 面マテリアル ID メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Face-Smoothing.html\">Editable_Poly Face スムージング グループ メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Fill-In-Mesh.html\">Editable_Poly メッシュ塗り潰しメソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Get-A-Using-B.html\">Editable_Poly B を使用した A の取得メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Edge.html\">Editable_Poly エッジによる取得メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Face.html\">Editable_Poly 面による取得メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\">Editable_Poly フラグによる取得メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Get-By-MaterialId.html\">Editable_Poly マテリアル ID による取得メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Count-Methods.html\">Editable_Poly カウントの取得メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Face-Center.html\">Editable_Poly 面の中心、法線、範囲の取得メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Get-Set-Hidden.html\">Editable_Poly 非表示の取得/設定メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Make-Planar.html\">Editable_Poly 平面化メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Manipulate-Vertex.html\">Editable_Poly 頂点操作メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Open-Edges-Methods.html\">Editable_Poly 開いたエッジ メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Propogate-Flags.html\">Editable_Poly フラグの伝播メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Slice-Plane.html\">Editable_Poly スライス平面メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Subdivision.html\">Editable_Poly サブディビジョン メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Tesselate-Methods.html\">Editable_Poly 面分割メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Triangulation.html\">Editable_Poly 三角形化メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable_Poly-Weld-Methods.html\">Editable_Poly 連結メソッド</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Editable_Poly-Methods/Editable-Poly-Get-Set-Selection.html\">Editable_Poly 選択の取得/設定メソッド</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Editable_Poly.html\">Editable_Poly</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Editable_Poly-GeometryClass.html\">Editable_Poly: GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Properties.html\">Editable_Poly プロパティ</a></li>\n\
          <li><a class=\"link\" href=\"Editable_Poly-Mapping-Methods.html\">Editable_Poly マッピング メソッド</a></li>\n\
          <li><a class=\"link\" href=\"Interface-EditablePoly.html\">インタフェース: EditablePoly</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";