var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4BAF2F8E-4EAC-4276-A9A7-FF80EE597A45\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ObjExp : ExporterPlugin</h1></div><p><strong>3ds Max 2010</strong> &#x3067;&#x5C0E;&#x5165;&#x3055;&#x308C;&#x305F; <strong>ObjExp ExporterPlugin</strong> &#x306F;&#x66F8;&#x304D;&#x51FA;&#x3057;&#x7528;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E; ASCII &#x30D9;&#x30FC;&#x30B9;&#x306E; INI &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x306E;&#x5834;&#x6240;&#x304A;&#x3088;&#x3073;&#x540D;&#x524D;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x305F;&#x3081;&#x306E;&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x3092;&#x516C;&#x958B;&#x3057;&#x307E;&#x3059;&#x3002;&#x8A2D;&#x5B9A;&#x306E;&#x554F;&#x3044;&#x5408;&#x308F;&#x305B;&#x304A;&#x3088;&#x3073;&#x5909;&#x66F4;&#x306B;&#x306F;&#x3001;&#x901A;&#x5E38;&#x306E; MAXScript INI &#x8A2D;&#x5B9A;&#x95A2;&#x6570;&#x3067;&#x3042;&#x308B; <code>getIniSetting()</code> &#x304A;&#x3088;&#x3073; <code>setIniSetting().</code> &#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>ObjExp &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Interface: iobjexp</code></pre><p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;objExp.getIniName ()</code></pre><p>Obj Exporter &#x306E;&#x8A2D;&#x5B9A;&#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x306E;&#x540D;&#x524D;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;objExp.getPresetIniName ()</code></pre><p>Obj Exporter &#x306E;&#x30D7;&#x30EA;&#x30BB;&#x30C3;&#x30C8; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x306E;&#x540D;&#x524D;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p>   <strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">   --Open the INI file for editing in the Scripting Editor\n\
   edit (objexp.getIniName())\n\
\n\
   --Alternatively, use INI file access to read and write:\n\
   theINI =objimp.getIniName()\n\
   getIniSettingtheINI--get INI file categories\n\
   --&gt;#(&quot;General&quot;, &quot;Geometry&quot;, &quot;Material&quot;, &quot;Output&quot;, &quot;Optimize&quot;)\n\
\n\
   --get the keys of the General category:\n\
   getIniSetting theINI&quot;General&quot;\n\
   --&gt;#(&quot;UseLogging&quot;, &quot;Preset&quot;, &quot;MapSearchPath&quot;)\n\
\n\
   --get the value of the General &gt;Use Logging key:\n\
   getIniSetting theINI&quot;General&quot; &quot;UseLogging&quot;\n\
   --&gt;&quot;1&quot;\n\
\n\
   --Turn Loggingoff:\n\
   setIniSetting theINI&quot;General&quot; &quot;UseLogging&quot; &quot;0&quot;\n\
   --&gt;true\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Import-and-Export-Filters.html\">フィルタのインポート、エクスポート</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"ObjImp-ImporterPlugin.html\">ObjImp : ImporterPlugin</a></li>\n\
          <li><a class=\"link\" href=\"InventorImport-ImporterPlugin.html\">InventorImport : ImporterPlugin</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";