var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3772FD0A-117C-48BE-B184-34DADDFE50C1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>HairEffect : RenderEffect</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">HairEffect - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(988153529, 337462665)</code></pre><p><strong>3ds Max 8</strong> &#x4EE5;&#x964D;&#x3067;&#x63D0;&#x4F9B;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B; <strong>HairEffect RenderEffect</strong> &#x306F;&#x3001;&#x30D8;&#x30A2;&#x306E;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x306B;&#x95A2;&#x9023;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">HairEffect...</code></pre><blockquote>\n\
<p><strong>&#x4F7F;&#x7528;&#x65B9;&#x6CD5;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    s=sphere()\n\
\n\
    theHair = HairEffect()--create an instance of the effect\n\
    addEffect theHair--add to the listin theEffects dialog\n\
    --BUT!\n\
    --Adding a Hair WSM to a scene object will add\n\
    --a HairEffect to the list automatically!\n\
    --Thus, you can simply get the existing one:\n\
    addModifier $Sphere001 (HairMod())--add Hair WSM to Sphere001\n\
    --At this point, if no HairEffect exists in the Effects dialog,\n\
    --it will be added automatically. Let&apos;s find it by going through\n\
    --all effects by index and asking each one for its class:\n\
    theEffects = (\n\
      for i = 1 to numEffects where classof (getEffect i) == HairEffect collect (getEffect i)\n\
    )\n\
\n\
    --At this point we should have at least one HairEffect.\n\
    --Let&apos;s take the first one:\n\
    if theEffects.count &gt; 0 do theHair = theEffects[1]\n\
\n\
</code></pre></blockquote>\n\
<p><img src=\"./images/GUID-975EB557-87D6-40AC-A989-72D79A52806C-low.gif\" alt></p>\n\
<p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<h2 id=\"-\">&#x30D8;&#x30A2; &#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0; &#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.hairMode Integer default: 1 -- integer; Hair_Mode   </code></pre><p>&#x30D8;&#x30A2; &#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0; &#x30E2;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>1- &#x30D0;&#x30C3;&#x30D5;&#x30A1;&#xFF08;&#x65E2;&#x5B9A;&#x5024;&#xFF09;</p>\n\
<p>2: &#x30B8;&#x30AA;&#x30E1;&#x30C8;&#x30EA;</p>\n\
<p>3 - MR prim</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.lightingMode Integer default: 1 -- integer; Lighting_Param</code></pre><p>&#x30D8;&#x30A2;&#x306E;&#x30E9;&#x30A4;&#x30C8; &#x30E2;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 -&#x30A8;&#x30DF;&#x30E5;&#x30EC;&#x30FC;&#x30B7;&#x30E7;&#x30F3;</p>\n\
<p>1 - &#x30CD;&#x30A4;&#x30C6;&#x30A3;&#x30D6;&#xFF08;&#x65E2;&#x5B9A;&#x5024;&#xFF09;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.Raytrace_Reflections_Refractions BooleanClass default: false -- boolean; Raytrace_the_Reflections_and_Refractions</code></pre><p>[&#x53CD;&#x5C04;/&#x5C48;&#x6298;&#x3092;&#x30EC;&#x30A4;&#x30C8;&#x30EC;&#x30FC;&#x30B9;](Raytrace Reflections/Refractions)&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x30E2;&#x30FC;&#x30B7;&#x30E7;&#x30F3; &#x30D6;&#x30E9;&#x30FC;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.mbDuration Float default: 0.5 -- float; MB_Duration</code></pre><p>&#x30E2;&#x30FC;&#x30B7;&#x30E7;&#x30F3; &#x30D6;&#x30E9;&#x30FC;&#x306E;&#x7D99;&#x7D9A;&#x6642;&#x9593;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x65E2;&#x5B9A;&#x5024;&#x306F; 0.5 &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.mbIntervalType Integer default: 1 -- integer; MB_Interval_Type</code></pre><p>&#x30E2;&#x30FC;&#x30B7;&#x30E7;&#x30F3; &#x30D6;&#x30E9;&#x30FC;&#x306E;&#x30BF;&#x30A4;&#x30D7;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - &#x958B;&#x59CB;</p>\n\
<p>1 - &#x4E2D;&#x9593;&#xFF08;&#x65E2;&#x5B9A;&#x5024;&#xFF09;</p>\n\
<p>2 - &#x7D42;&#x4E86;</p>\n\
<h2 id=\"-\">&#x30D0;&#x30C3;&#x30D5;&#x30A1; &#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0; &#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.overSampling Integer default: 3 -- integer</code></pre><p>&#x30AA;&#x30FC;&#x30D0;&#x30FC;&#x30B5;&#x30F3;&#x30D7;&#x30EA;&#x30F3;&#x30B0; &#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30E6;&#x30FC;&#x30B6; &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x3067;&#x306E;&#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;&#x306B;&#x5BFE;&#x5FDC;&#x3059;&#x308B;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>1 - &#x30C9;&#x30E9;&#x30D5;&#x30C8;</p>\n\
<p>3 - &#x4F4E;&#x3044;</p>\n\
<p>8 - &#x6A19;&#x6E96;</p>\n\
<p>15 - &#x9AD8;&#x3044;</p>\n\
<p>23 - &#x6700;&#x5927;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.tileMemoryUsage Integer default: 70 -- integer; Tile_Memory_Usage_Param</code></pre><p>&#x30BF;&#x30A4;&#x30EB; &#x30E1;&#x30E2;&#x30EA;&#x4F7F;&#x7528;&#x91CF;&#x5024;&#x3092; MB &#x5358;&#x4F4D;&#x3067;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2009 &#x4EE5;&#x964D;</strong> &#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.transparencyDepth Integer default:30 -- integer; Transparency_Depth_Param</code></pre><p>&#x900F;&#x660E;&#x5EA6;&#x306E;&#x6DF1;&#x5EA6;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2009 &#x4EE5;&#x964D;</strong> &#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x8907;&#x5408;&#x6CD5;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.compositionMethod Integer default: 0 -- integer; Composition_Method</code></pre><p>&#x30D0;&#x30C3;&#x30D5;&#x30A1; &#x30E2;&#x30FC;&#x30C9;&#x3067;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3059;&#x308B;&#x5834;&#x5408;&#x306B;&#x5408;&#x6210;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - &#x6A19;&#x6E96;&#xFF08;&#x65E2;&#x5B9A;&#x5024;&#xFF09;</p>\n\
<p>1 - G &#x30D0;&#x30C3;&#x30D5;&#x30A1;</p>\n\
<p>2 - &#x306A;&#x3057;</p>\n\
<p>3 - &#x30AA;&#x30D5;</p>\n\
<h2 id=\"-\">&#x906E;&#x65AD;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.occlusionSetType Integer default: 0 -- integer; Occlusion_Set_Type</code></pre><p>&#x30AA;&#x30AF;&#x30EB;&#x30FC;&#x30B8;&#x30E7;&#x30F3;&#x306E;&#x30BF;&#x30A4;&#x30D7;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p>0 - &#x81EA;&#x52D5;&#xFF08;&#x65E2;&#x5B9A;&#x5024;&#xFF09;</p>\n\
<p>1 - &#x3059;&#x3079;&#x3066;</p>\n\
<p>2 - &#x30AB;&#x30B9;&#x30BF;&#x30E0;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.occlusionNodesArray Parameter default: #() -- node array; Occlusion_Nodes; SubAnim</code></pre><p>&#x660E;&#x6EC5;&#x30CE;&#x30FC;&#x30C9;&#x914D;&#x5217;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x65E2;&#x5B9A;&#x5024;&#x306F; #()&#x3067;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB; &#x30A4;&#x30EB;&#x30DF;&#x30CD;&#x30FC;&#x30B7;&#x30E7;&#x30F3;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.applyGI BooleanClass default: false -- boolean; Apply_GI</code></pre><p>[&#x30B9;&#x30AB;&#x30A4;&#x30E9;&#x30A4;&#x30C8;&#x3092;&#x9069;&#x7528;](Apply Skylight)&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2009 &#x4EE5;&#x964D;</strong> &#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.GI_Multiplier Float default: 2.0 -- float</code></pre><p>[&#x5F37;&#x5EA6;] (Multiplier)&#x30B9;&#x30E9;&#x30A4;&#x30C0;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2009 &#x4EE5;&#x964D;</strong> &#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x30E9;&#x30A4;&#x30C6;&#x30A3;&#x30F3;&#x30B0;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.shadowDensity Float default: 100.0 -- animatable; float; Shadow_Density</code></pre><p>&#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x306E;[&#x5BC6;&#x5EA6;] (Density)&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x306E;&#x76F8;&#x5BFE;&#x7684;&#x306A;&#x6697;&#x3055;&#x3092;&#x6307;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x65E2;&#x5B9A;&#x5024;&#x306E;&#x6700;&#x9AD8;&#x5024; 100.0 &#x3067;&#x306F;&#x3001;&#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x304C;&#x6700;&#x3082;&#x6697;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;&#x6700;&#x5C0F;&#x5024;&#x306E; 0.0 &#x3067;&#x306F;&#x3001;&#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x306F;&#x5B8C;&#x5168;&#x306A;&#x900F;&#x660E;&#x306B;&#x306A;&#x308A;&#x3001;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;&#x7BC4;&#x56F2;&#x306F; 0.0 &#x304B;&#x3089; 100.0&#x307E;&#x3067;&#x3001;&#x65E2;&#x5B9A;&#x5024;&#x306F; 100.0 &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;HairEffect&gt;.useAllLightsBooleanClass default: true -- boolean; Use_All_Lights</code></pre><p>[&#x3059;&#x3079;&#x3066;&#x306E;&#x30E9;&#x30A4;&#x30C8;&#x3092;&#x4F7F;&#x7528;](Use All Lights)&#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;UI &#x306E;[&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x6642;&#x306B;&#x3059;&#x3079;&#x3066;&#x306E;&#x30E9;&#x30A4;&#x30C8;&#x3092;&#x4F7F;&#x7528;](Use all lights at render time)&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p>true &#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x305F;&#x5834;&#x5408;&#xFF08;&#x65E2;&#x5B9A;&#x5024;&#xFF09;&#x3001;&#x30B7;&#x30FC;&#x30F3;&#x304C;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x308B;&#x3068;&#x304D;&#x306B;&#x3001;&#x30B7;&#x30FC;&#x30F3;&#x5185;&#x306E;&#x3059;&#x3079;&#x3066;&#x306E;&#x30B9;&#x30DD;&#x30C3;&#x30C8; &#x30E9;&#x30A4;&#x30C8;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x3001;&#x30D8;&#x30A2;&#x304B;&#x3089;&#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x3092;&#x6295;&#x5F71;&#x3057;&#x307E;&#x3059;&#x3002;false &#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x305F;&#x5834;&#x5408;&#x3001;Hair &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x6301;&#x3064;&#x30B9;&#x30DD;&#x30C3;&#x30C8; &#x30E9;&#x30A4;&#x30C8;&#x3060;&#x3051;&#x304C;&#x3001;&#x30D8;&#x30A2;&#x306B;&#x5F71;&#x97FF;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>Hair &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306E;&#x30B9;&#x30DD;&#x30C3;&#x30C8; &#x30E9;&#x30A4;&#x30C8;&#x3078;&#x306E;&#x8FFD;&#x52A0;&#x304A;&#x3088;&#x3073;&#x524A;&#x9664;&#x306B;&#x95A2;&#x3059;&#x308B;&#x8A73;&#x7D30;&#x306F;&#x3001;<a href=\"Interface-Hair.html\">&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: Hair</a> &#x306E;<strong>addHairProperties</strong> &#x304A;&#x3088;&#x3073; <strong>removeHairProperties</strong> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Extensions-for-Hair.html\">MAXScript 拡張機能: Hair と Fur</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-Extensions-for-Hair.html\">MAXScript 拡張機能: Hair と Fur</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";