var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D2A11E7A-5E6B-4D78-8936-26A0C4080033\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x6700;&#x7D42;&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x66F4;&#x65B0;&#x306E;&#x4F8B;</h1></div><p><strong>&#x8AAC;&#x660E;:</strong></p>\n\
<p>&#x6B21;&#x306E;&#x4F8B;&#x3067;&#x306F;&#x3001;&#x8A73;&#x7D30;&#x30B3;&#x30E1;&#x30F3;&#x30C8;&#x4ED8;&#x304D;&#x3067;&#x65E2;&#x5B9A;&#x5024;&#x306E; Final Step Update &#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x793A;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x7528;&#x9014;:</strong></p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306E; Final Step Update &#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3068;&#x3057;&#x3066; <a href=\"./../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source</a> &#x306B;&#x3088;&#x3063;&#x3066;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x52B9;&#x679C;:</strong></p>\n\
<p>&#x65E2;&#x5B9A;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3067;&#x306F;&#x3001;&#x30D1;&#x30FC;&#x30C6;&#x30A3;&#x30AF;&#x30EB;&#x306E;&#x901F;&#x5EA6;&#x3068;&#x65B9;&#x5411;&#x304C;&#x4FEE;&#x6B63;&#x3055;&#x308C;&#x3001;&#x30D1;&#x30FC;&#x30C6;&#x30A3;&#x30AF;&#x30EB;&#x306F;&#x7403;&#x72B6;&#x306E;&#x30D1;&#x30B9;&#x3092;&#x63CF;&#x304F;&#x3088;&#x3046;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p><img src=\"./images/GUID-3E335C88-DC07-4A60-93D4-2551A6D3495F-low.gif\" alt></p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    --Get the current particle system executing the script\n\
    pf_node_current = particleFlow.scriptRunner()\n\
\n\
    --In case the current particle system is a valid node...\n\
    if (pf_node_current != undefined) then(\n\
\n\
    --Get the total number of particles\n\
    count = pf_node_current.NumParticles()\n\
    --Loop from 1 to the number of particles\n\
    for i in 1 to count do(\n\
    --Set the particle index in the container to the current i value.\n\
    --This makes the i-th particle in the container the current one:\n\
    pf_node_current.particleIndex = i\n\
\n\
    --Get the age of the particle, multiply by 5 and use as angle\n\
    --to define the particle speed\n\
    --Decreasing the constant 5 will slow down the rotation\n\
    --Increasing the constant will speed up the rotation\n\
    age = 5*pf_node_current.particleAge\n\
\n\
    --Calculate a factor variable based on the particle age\n\
    --This variable will define the radius of the bulb and will vary\n\
    --thanks to the sine of the age over time.\n\
    --Change the constant 20 to change the radius.\n\
    factor = 20*(sin(2*age)+1)\n\
\n\
    --Finally, calculate and set the particle position\n\
    --using the factor as Radius and the particle index as Angle\n\
    --in the function of the circle. The position of the node has to be\n\
    --added to move the particles to the origin of the Source.\n\
    --Info: In general, a circle can be drawn using an Angle\n\
    --going from 0 to 2*Pi and the following functions for X and Y:\n\
    --X = CenterX+Radius*Cos(Angle)\n\
    --Y = CenterY+Radius*Sin(Angle)\n\
    --In our case, CenterX and CenterY are 0, Radius is set to factor,\n\
    --and Angle is based on the particle index multiplied by 77.\n\
    --The Z position is based on the age.\n\
    pf_node_current.particlePosition = [factor*cos(77*i), factor*sin(77*i), -age] + pf_node_current.pos\n\
\n\
    )--end i loop\n\
    )--end if\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Update-Step-Scripts.html\">ステップの更新スクリプト</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Every-Step-Update-Example.html\">更新したステップ毎の例</a></li>\n\
          <li><a class=\"link\" href=\"../../Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\">PF_Source : GeometryClass</a></li>\n\
          <li><a class=\"link\" href=\"../Particle-Flow-Sample-Scripts.html\">パーティクル フロー サンプル スクリプト</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";