var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-025B6C97-8601-4FEF-ACB8-E47EE0929300\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXWrapper : 値</h1></div><p><strong>MAXWrapper</strong> クラスは、MAXScript におけるすべてのクラスのスーパークラスで、シーン ノード、モディファイヤ、マテリアルなどの <strong>3ds Max</strong> オブジェクトを表します。</p>\n\
<p>MAXWrapper 値には関連する <strong>3ds Max</strong> オブジェクトへの参照が含まれ、オブジェクトをトラックできます。</p>\n\
<p>これにより、<strong>3ds Max</strong> オブジェクトが変換されたり、ユーザによって削除されたり、プロパティが変更された場合に MAXScript に知らせることができます。</p>\n\
<p>MAXWrapper クラスから直接派生したすべてのクラスに共通の<strong>プロパティ</strong>、<strong>演算子</strong>、<strong>メソッド</strong>については、「<a href=\"MAXWrapper-Common-Properties.html\">MAXWrapper の共通プロパティ、演算子、メソッド</a>」を参照してください。</p>\n\
<p>以下のクラスは、MAXWrapper クラスから直接派生されます。</p>\n\
<p>その他のクラスはこれらのクラスから派生し、MAXWrapper クラスに対して定義されたプロパティやメソッドを継承します。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXWrapper-Value.html\">MAXWrapper : 値</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-MAXWrapper/Node-MAXWrapper-1.html\">ノード : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\">モディファイヤ : MAXWrapper と SpacewarpModifier : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Material-MAXWrapper/Material-MAXWrapper-1.html\">Material : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Atmospheric-MAXWrapper/Atmospheric-MAXWrapper-1.html\">Atmospheric : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Animation-Controllers/Controller-Types/Controllers-Superclass-Level.html\">コントローラ - スーパークラス レベル</a></li>\n\
          <li><a class=\"link\" href=\"../RenderEffect-MAXWrapper/RenderEffect-MAXWrapper-1.html\">RenderEffect : MAXWrapper</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Elements/Render-Elements-1.html\">レンダリング要素</a></li>\n\
          <li><a class=\"link\" href=\"../BakeElement/Bake-Elements.html\">要素のベイク処理</a></li>\n\
          <li><a class=\"link\" href=\"../BitmapIO-MAXWrapper/BitmapIO-Classes.html\">BitmapIO クラス</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";