var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-FE4CF80F-BAC3-409E-96AA-308DBEDD780E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Compound : textureMap</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Compound - superclass: textureMap; super-superclass:material - 7:4 - classID: #(1366243801L, 590182697L); creatable: true</code></pre><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt> <strong>3ds Max 2024 &#x306E;</strong><a href=\"./../../../What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">&#x65B0;&#x6A5F;&#x80FD;</a>: &#x30B9;&#x30EC;&#x30FC;&#x30C8; &#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB; &#x30A8;&#x30C7;&#x30A3;&#x30BF;&#x306B;&#x5408;&#x6210;&#x30CE;&#x30FC;&#x30C9;&#x3092;&#x516C;&#x958B;&#x3057;&#x307E;&#x3059;&#x3002;&#x5408;&#x6210;&#x81EA;&#x4F53;&#x306F;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB;&#x3067;&#x306F;&#x306A;&#x304F;&#x3001;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB; &#x30B0;&#x30E9;&#x30D5;&#x3092;&#x542B;&#x3080; SME &#x306E;&#x30CE;&#x30FC;&#x30C9;&#x3067;&#x3059;&#x3002;&#x5408;&#x6210;&#x306F;&#x5165;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3068;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092;&#x516C;&#x958B;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>&#x6CE8;:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> <code>Compound</code> &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x304A;&#x3088;&#x3073;&#x95A2;&#x9023;&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x306F;&#x3001;&#x5C06;&#x6765;&#x306E;&#x30EA;&#x30EA;&#x30FC;&#x30B9;&#x3067;&#x5909;&#x66F4;&#x3055;&#x308C;&#x308B;&#x53EF;&#x80FD;&#x6027;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
</div></div>\n\
\n\
<h2 id=\"-\">&#x4F8B;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- create a material and add it to a compound in the SME\n\
physMat = PhysicalMaterial()\n\
sme.open()\n\
-- by default there&apos;s one view:\n\
nodeView = sme.getView 1\n\
pos = [10,10]\n\
-- add our material to the SME\n\
matNode = nodeView.createNode physMat &amp;pos\n\
\n\
myChecker = osl_Checker()\n\
physMat.base_color_map = myChecker\n\
chkrNode = nodeView.createNode myChecker &amp;pos\n\
-- This is the same as the &quot;Package Nodes Into Compound&quot; command\n\
pkgNode = nodeView.PackageNodesIntoCompound #(physMat, myChecker) &amp;pos\n\
-- to work with the actual compound, we need to get the node reference:\n\
myComp = pkgNode.reference\n\
-- add a new input channel\n\
inputChannel = myComp.addInput()\n\
-- connect it to the 3rd input on Checker: Color1\n\
inputChannel.connect myChecker 3\n\
-- Add an output channel\n\
outputChannel = myComp.addOutput()\n\
outputChannel.connect physMat 1\n\
\n\
actionMan.executeAction 369891408 &quot;40060&quot;  -- SME: Lay Out All</code></pre><h2 id=\"-\">&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.members     ArrayParameter    default: #()   --  maxObject array</code></pre><p>&#x5408;&#x6210;&#x306E;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8; &#x30E1;&#x30F3;&#x30D0;&#x3092; ReferenceTarget:Compound_Member &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x914D;&#x5217;&#x3068;&#x3057;&#x3066;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x3089;&#x306F; SME &#x30CE;&#x30FC;&#x30C9; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x4F3C;&#x3066;&#x3044;&#x307E;&#x3059;&#x304C;&#x3001;&#x53C2;&#x7167;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x5B9F;&#x969B;&#x306E;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB;/&#x30DE;&#x30C3;&#x30D7; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x6307;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.numIMultipleOutputChannels     Integer    default: 0   --  integer;</code></pre><p>&#x5408;&#x6210;&#x306E;&#x8907;&#x6570;&#x306E;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092;&#x6301;&#x3064;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x6570;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.numInputs     Integer    default: 0   --  integer;</code></pre><p>&#x5408;&#x6210;&#x306E;&#x5165;&#x529B;&#x306E;&#x6570;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.numMembers     Integer    default: 0   --  integer;</code></pre><p>&#x5408;&#x6210;&#x5185;&#x306E;&#x30E1;&#x30F3;&#x30D0; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x6570;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F; <code>.members</code> &#x914D;&#x5217;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.numOutputs     Integer    default: 0   --  integer;</code></pre><p>&#x5408;&#x6210;&#x306E;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x6570;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.view_pos     Point2    default: [0,0]   --  point2</code></pre><p>SME &#x30D3;&#x30E5;&#x30FC;&#x306E;&#x5408;&#x6210;&#x306E;&#x4F4D;&#x7F6E;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Compound&gt;.view_scale     Float    default: 1.0   --  float</code></pre><p>&#x5408;&#x6210;&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30D3;&#x30E5;&#x30FC; &#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x3002;</p>\n\
<h2 id=\"-\">&#x5408;&#x6210;&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;:</h2><p><strong>&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: &#x5408;&#x6210;</strong></p>\n\
<h3 id=\"-\">&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;getMember &lt;index&gt;index</code></pre><p>&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x5408;&#x6210;&#x30E1;&#x30F3;&#x30D0;&#x306E; <a href=\"CompoundMember.html\"\"><code>&lt;MixinInterface:compoundmember&gt;</code></a> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x5B58;&#x5728;&#x3057;&#x306A;&#x3044;&#x5834;&#x5408;&#x306F;&#x3001;undefined &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;addMember &lt;maxObject&gt;member</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F; <code>maxObject</code> (&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB;&#x307E;&#x305F;&#x306F;&#x30DE;&#x30C3;&#x30D7;)&#x3092;&#x5408;&#x6210;&#x306B;&#x8FFD;&#x52A0;&#x3057;&#x3001;&#x305D;&#x306E;&#x65B0;&#x3057;&#x3044;&#x5408;&#x6210;&#x30E1;&#x30F3;&#x30D0;&#x306E; <a href=\"CompoundMember.html\"\"><code>&lt;MixinInterface:compoundmember&gt;</code></a> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;deleteMember &lt;Interface&gt;member</code></pre><p>&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30E1;&#x30F3;&#x30D0;&#x3092;&#x5408;&#x6210;&#x304B;&#x3089;&#x524A;&#x9664;&#x3057;&#x307E;&#x3059;&#x3002;<code>member</code> &#x306F;&#x57FA;&#x672C;&#x3068;&#x306A;&#x308B;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB;&#x307E;&#x305F;&#x306F;&#x30DE;&#x30C3;&#x30D7; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3067;&#x306F;&#x306A;&#x304F;&#x3001;<a href=\"CompoundMember.html\"\"><code>&lt;MixinInterface:compoundmember&gt;</code></a> &#x3067;&#x3042;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x5408;&#x6210;&#x30E1;&#x30F3;&#x30D0;&#x304C;&#x524A;&#x9664;&#x3055;&#x308C;&#x307E;&#x3059;&#x304C;&#x3001;&#x53C2;&#x7167;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30DE;&#x30C3;&#x30D7;&#x307E;&#x305F;&#x306F;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306F;&#x524A;&#x9664;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;setMemberIndex &lt;Interface&gt;member &lt;maxObject&gt;index</code></pre><p>&#x5B9F;&#x88C5;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;&#x4F7F;&#x7528;&#x3057;&#x306A;&#x3044;&#x3067;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;getMemberIndex &lt;Interface&gt;member</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x5408;&#x6210;&#x30E1;&#x30F3;&#x30D0;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;getInput &lt;index&gt;index</code></pre><p>&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x5165;&#x529B;&#x3055;&#x308C;&#x305F;&#x5408;&#x6210;&#x306E; <a href=\"CompoundIO.html\"\"><code>&lt;MixinInterface:compoundio&gt;</code></a> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;addInput()</code></pre><p>&#x65B0;&#x3057;&#x3044;&#x3001;&#x63A5;&#x7D9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5408;&#x6210;&#x306E;&#x5165;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092;&#x8FFD;&#x52A0;&#x3057;&#x3001;&#x305D;&#x306E;&#x5165;&#x529B;&#x306E; <a href=\"CompoundIO.html\"\"><code>&lt;MixinInterface:compoundio&gt;</code></a> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;setInputIndex &lt;Interface&gt;input &lt;maxObject&gt;index</code></pre><p>&#x5B9F;&#x88C5;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;&#x4F7F;&#x7528;&#x3057;&#x306A;&#x3044;&#x3067;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;getInputIndex &lt;Interface&gt;input</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x5165;&#x529B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;getOutput &lt;index&gt;index</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x5408;&#x6210;&#x51FA;&#x529B;&#x306E; <a href=\"CompoundIO.html\"\"><code>&lt;MixinInterface:compoundio&gt;</code></a> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;Interface&gt;addOutput()</code></pre><p>&#x65B0;&#x3057;&#x3044;&#x3001;&#x63A5;&#x7D9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5408;&#x6210;&#x306E;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092;&#x8FFD;&#x52A0;&#x3057;&#x3001;&#x305D;&#x306E;&#x51FA;&#x529B;&#x306E; <a href=\"CompoundIO.html\"\"><code>&lt;MixinInterface:compoundio&gt;</code></a> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;setOutputIndex &lt;Interface&gt;output &lt;maxObject&gt;index</code></pre><p>&#x5B9F;&#x88C5;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;&#x4F7F;&#x7528;&#x3057;&#x306A;&#x3044;&#x3067;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;getOutputIndex &lt;Interface&gt;output</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>   &#x30A2;&#x30AF;&#x30B7;&#x30E7;&#x30F3;:</p>\n\
<p><strong>&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: iMultiOutputConsumer</strong></p>\n\
<h2 id=\"-\">&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;SetOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index</code></pre><p>&#x5408;&#x6210;&#x306E;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092; <code>output_index</code> &#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x3001;<code>output_rtarg</code> &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E; <code>input_index</code> &#x306E;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092;&#x63A5;&#x7D9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x6B63;&#x5E38;&#x306B;&#x7D42;&#x4E86;&#x3057;&#x305F;&#x5834;&#x5408;&#x306F; true&#x3001;&#x30A8;&#x30E9;&#x30FC;&#x306E;&#x5834;&#x5408;&#x306F; false &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;maxObject&gt;GetOutputRefTargetFromInput &lt;index&gt;input_index</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F; <code>input_index</code> &#x304B;&#x3089;&#x51FA;&#x529B;&#x53C2;&#x7167;&#x30BF;&#x30FC;&#x30B2;&#x30C3;&#x30C8;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;GetOutputIndexFromInput &lt;index&gt;input_index</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F; <code>input_index</code> &#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306B;&#x95A2;&#x9023;&#x4ED8;&#x3051;&#x3089;&#x308C;&#x305F;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CanAssignOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F; <code>output_rtarg</code> &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x5BFE;&#x3057;&#x3066;&#x3001;<code>input_index</code> &#x306B;&#x3088;&#x3063;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092;&#x6307;&#x5B9A;&#x3057;&#x305F; <code>output_index</code> &#x306B;&#x5272;&#x308A;&#x5F53;&#x3066;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x308B;&#x5834;&#x5408;&#x306F; true &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetInputName &lt;index&gt;input_index\n\
       GetInputName - no automatic redraw after invoked</code></pre><p><code>input_index</code> &#x306E;&#x5408;&#x6210;&#x5165;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x540D;&#x524D;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;GetInputLocalizedName &lt;index&gt;input_index\n\
       GetInputLocalizedName - no automatic redraw after invoked</code></pre><p><code>input_index</code> &#x306E;&#x5408;&#x6210;&#x5165;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x30ED;&#x30FC;&#x30AB;&#x30E9;&#x30A4;&#x30BA;&#x3055;&#x308C;&#x305F;&#x540D;&#x524D;&#x6587;&#x5B57;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>   &#x30A2;&#x30AF;&#x30B7;&#x30E7;&#x30F3;:</p>\n\
<p><strong>&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: iMultipleOutputChannelsWithValues</strong></p>\n\
<h2 id=\"-\">&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    .numIMultipleOutputChannels : integer : Read</code></pre><p>&#x5408;&#x6210;&#x304C;&#x8907;&#x6570;&#x306E;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092;&#x30B5;&#x30DD;&#x30FC;&#x30C8;&#x3057;&#x3066;&#x3044;&#x308B;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x6570;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"-\">&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;getIMultipleOutputChannelLocalizedName &lt;index&gt;index\n\
       getIMultipleOutputChannelLocalizedName - no automatic redraw after invoked</code></pre><p>&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x30ED;&#x30FC;&#x30AB;&#x30E9;&#x30A4;&#x30BA;&#x3055;&#x308C;&#x305F;&#x540D;&#x524D;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;string&gt;getIMultipleOutputChannelName &lt;index&gt;index\n\
       getIMultipleOutputChannelName - no automatic redraw after invoked</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x51FA;&#x529B;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x30ED;&#x30FC;&#x30AB;&#x30E9;&#x30A4;&#x30BA;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;(&#x82F1;&#x8A9E;&#x306E;)&#x540D;&#x524D;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;enum&gt;getIMultipleOutputChannelType &lt;index&gt;index\n\
       getIMultipleOutputChannelType enums: {#float|#integer|#rgb|#point3|#string|#filename|#material|#texturemap|#bitmap|#node|#maxObject|#matrix3|#paramblock2|#point4|#frgba\n\
       getIMultipleOutputChannelType - no automatic redraw after invoked</code></pre><p><code>index</code> &#x306B;&#x3088;&#x3063;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x30C7;&#x30FC;&#x30BF; &#x30BF;&#x30A4;&#x30D7;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;value&gt;getIMultipleOutputChannelValue &lt;index&gt;index time:&lt;time&gt;\n\
       getIMultipleOutputChannelValue - no automatic redraw after invoked\n\
       time default value: 0f</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F; <code>time:</code> &#x3067; <code>index</code> &#x306B;&#x3088;&#x3063;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x30C7;&#x30FC;&#x30BF;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>   &#x30A2;&#x30AF;&#x30B7;&#x30E7;&#x30F3;:</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Material-Types.html\">マテリアル タイプ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";