var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-15203C86-5F9F-484E-A89D-7EDF2A20F9DB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MaxLiquid: GeometryClass</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">MaxLiquid - superclass: GeometryClass; super-superclass:node - 28:0 - classID: #(712128612L, 2137014116L)</code></pre><p><strong>3ds Max 2018.3 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;&#x6DB2;&#x4F53;&#x30AF;&#x30E9;&#x30B9;&#x306B;&#x306F;&#x3001;&#x30B7;&#x30DF;&#x30E5;&#x30EC;&#x30FC;&#x30B7;&#x30E7;&#x30F3;&#x5185;&#x306E;&#x6DB2;&#x4F53;&#x3068;&#x76F8;&#x4E92;&#x4F5C;&#x7528;&#x3059;&#x308B;&#x4ED6;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;(&#x30B3;&#x30E9;&#x30A4;&#x30C0;&#x3084;&#x30AD;&#x30EB;&#x5E73;&#x9762;&#x306A;&#x3069;)&#x3078;&#x306E;&#x53C2;&#x7167;&#x3092;&#x542B;&#x3080;&#x6D41;&#x4F53;&#x30B7;&#x30DF;&#x30E5;&#x30EC;&#x30FC;&#x30B7;&#x30E7;&#x30F3;&#x306E;&#x8A2D;&#x5B9A;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">MaxLiquid...</code></pre><h2 id=\"-\">&#x4F8B;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- Max fluid scene set up\n\
resetmaxFile #noPrompt\n\
p = plane()\n\
\n\
b = box width:70 length:70 height:20\n\
convertto b editable_poly\n\
\n\
subobjectlevel = 4\n\
b.SetSelection #Face #{2}\n\
b.delete #face\n\
addmodifier b (shell outerAmount:3.0)\n\
\n\
liquid = maxLiquid pos:[0,0,50]\n\
-- don&apos;t do this:\n\
-- append liquid.collider_Meshes b\n\
-- append liquid.killplanes p\n\
liquid.AddCollider b\n\
liquid.AddKillPlane p\n\
\n\
-- create a new solver for the liquid and set the Base Voxel size\n\
liquid.CreateSolver 1\n\
solver = liquid.solvers[1]\n\
solver.baseVoxelSize = 4.0\n\
\n\
-- Turn on override for the first collider:\n\
solver.colliderConversionOverrideTab[1] = true\n\
-- Set thickness for the collider\n\
solver.colliderConversionOverrideThicknessTab[1] = 5.0\n\
</code></pre><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.accelerator_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>&#x5C06;&#x6765;&#x306E;&#x4F7F;&#x7528;&#x306E;&#x305F;&#x3081;&#x306B;&#x4E88;&#x7D04;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.cacheOutputFilePattern     String    default: &quot;&lt;ProjectName&gt;\\SimCache\\&lt;ObjectName&gt;\\&lt;SolverName&gt;\\&quot;   --  string</code></pre><p>&#x5C06;&#x6765;&#x306E;&#x4F7F;&#x7528;&#x306E;&#x305F;&#x3081;&#x306B;&#x4E88;&#x7D04;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.collider_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>&#x30B7;&#x30DF;&#x30E5;&#x30EC;&#x30FC;&#x30B7;&#x30E7;&#x30F3;&#x5185;&#x306E;&#x6DB2;&#x4F53;&#x3068;&#x3068;&#x3082;&#x306B;&#x30B3;&#x30E9;&#x30A4;&#x30C0;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x914D;&#x5217;&#x3002;</p>\n\
<p><strong>&#x6CE8;</strong>: &#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x5C02;&#x7528;&#x3067;&#x3001;&#x76F4;&#x63A5;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x30B3;&#x30E9;&#x30A4;&#x30C0; &#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x3092;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30B3;&#x30E9;&#x30A4;&#x30C0;&#x306E; <code>Add/Get/Delete</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;(&#x4EE5;&#x4E0B;&#x3092;&#x53C2;&#x7167;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.emitter_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>&#x6DB2;&#x4F53;&#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x914D;&#x5217;&#x3002;&#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x3001;&#x30A8;&#x30DF;&#x30C3;&#x30BF; &#x30A2;&#x30A4;&#x30B3;&#x30F3; &#x30BF;&#x30A4;&#x30D7;&#x304C;&#x300C;&#x30AB;&#x30B9;&#x30BF;&#x30E0;&#x300D;&#x306E;&#x5834;&#x5408;&#x306B;&#x306E;&#x307F;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x6CE8;</strong>: &#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x5C02;&#x7528;&#x3067;&#x3001;&#x76F4;&#x63A5;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x30A8;&#x30DF;&#x30C3;&#x30BF; &#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x3092;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x306E; <code>Add/Get/Delete</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;(&#x4EE5;&#x4E0B;&#x3092;&#x53C2;&#x7167;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.emitterType     Integer    default: 0   --  integer</code></pre><p>&#x30A8;&#x30DF;&#x30C3;&#x30BF; &#x30A2;&#x30A4;&#x30B3;&#x30F3;&#x306E;&#x30BF;&#x30A4;&#x30D7;&#x3001;&#x3053;&#x3053;&#x3067;:</p>\n\
<ul>\n\
<li>0 = &#x7403;&#x4F53;</li>\n\
<li>1 = &#x30DC;&#x30C3;&#x30AF;&#x30B9;</li>\n\
<li>2 = &#x5E73;&#x9762;</li>\n\
<li>3 = &#x30AB;&#x30B9;&#x30BF;&#x30E0; &#x2013; <strong>emitter_Meshes</strong> &#x914D;&#x5217;&#x5185;&#x306E;&#x30CE;&#x30FC;&#x30C9;&#x304C;&#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x3068;&#x3057;&#x3066;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</li>\n\
</ul>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.emitterHeight     Float    default: 5.0   --  animatable; float\n\
&lt;MaxLiquid&gt;.emitterLength     Float    default: 5.0   --  animatable; float\n\
&lt;MaxLiquid&gt;.emitterWidth     Float    default: 5.0   --  animatable; float</code></pre><p>&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x306E;&#x9AD8;&#x3055;&#x3001;&#x9577;&#x3055;&#x3001;&#x304A;&#x3088;&#x3073;&#x5E45;&#x3002;&#x7403;&#x306E;&#x5834;&#x5408;&#x3001;<strong>emitterLength</strong> &#x306F;&#x534A;&#x5F84;&#x3002;&#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x304C;&#x5E73;&#x9762;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x5E45;&#x3068;&#x9577;&#x3055;&#x306E;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x307F;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.exportPRTFiles     BooleanClass    default: false   --  Boolean</code></pre><p>&#x8A08;&#x7B97;&#x306E;&#x5B9F;&#x884C;&#x6642;&#x306B;&#x30DC;&#x30AF;&#x30BB;&#x30EB;&#x3092; PRT &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3068;&#x3057;&#x3066;&#x66F8;&#x304D;&#x51FA;&#x3059;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.field_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>&#x30E2;&#x30FC;&#x30B7;&#x30E7;&#x30F3; &#x30D5;&#x30A3;&#x30FC;&#x30EB;&#x30C9;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x914D;&#x5217;&#x3002;</p>\n\
<p><strong>&#x6CE8;</strong>: &#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x5C02;&#x7528;&#x3067;&#x3001;&#x76F4;&#x63A5;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x30E2;&#x30FC;&#x30B7;&#x30E7;&#x30F3; &#x30D5;&#x30A3;&#x30FC;&#x30EB;&#x30C9;&#x3092;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30E2;&#x30FC;&#x30B7;&#x30E7;&#x30F3; &#x30D5;&#x30A3;&#x30FC;&#x30EB;&#x30C9;&#x306E; <code>Add/Get/Delete</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;(&#x4EE5;&#x4E0B;&#x3092;&#x53C2;&#x7167;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.foammask_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>&#x6CE1;&#x30DE;&#x30B9;&#x30AF;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x914D;&#x5217;&#x3002;</p>\n\
<p><strong>&#x6CE8;</strong>: &#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x5C02;&#x7528;&#x3067;&#x3001;&#x76F4;&#x63A5;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x6CE1;&#x30DE;&#x30B9;&#x30AF;&#x3092;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x6CE1;&#x30DE;&#x30B9;&#x30AF;&#x306E; <code>Add/Get/Delete</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;(&#x4EE5;&#x4E0B;&#x3092;&#x53C2;&#x7167;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.guide_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>&#x30AC;&#x30A4;&#x30C9; &#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x914D;&#x5217;&#x3002;</p>\n\
<p><strong>&#x6CE8;</strong>: &#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x5C02;&#x7528;&#x3067;&#x3001;&#x76F4;&#x63A5;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x30AC;&#x30A4;&#x30C9; &#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x3092;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30AC;&#x30A4;&#x30C9; &#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x306E; <code>Add/Get/Delete</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;(&#x4EE5;&#x4E0B;&#x3092;&#x53C2;&#x7167;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.guideEmitter_Meshes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>&#x30AC;&#x30A4;&#x30C9; &#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x914D;&#x5217;&#x3002;</p>\n\
<p><strong>&#x6CE8;</strong>: &#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x5C02;&#x7528;&#x3067;&#x3001;&#x76F4;&#x63A5;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x30AC;&#x30A4;&#x30C9; &#x30A8;&#x30DF;&#x30C3;&#x30BF; &#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x3092;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30AC;&#x30A4;&#x30C9; &#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x306E; <code>Add/Get/Delete</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;(&#x4EE5;&#x4E0B;&#x3092;&#x53C2;&#x7167;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.iconSize     Float    default: 10.0   --  float</code></pre><p>&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x5185;&#x306E;&#x6DB2;&#x4F53;&#x30A2;&#x30A4;&#x30B3;&#x30F3;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3002;&#x3053;&#x306E;&#x5358;&#x4F4D;&#x306F;&#x3001;&#x30B7;&#x30FC;&#x30F3;&#x306E;&#x5358;&#x4F4D;&#x306B;&#x95A2;&#x4FC2;&#x306A;&#x304F;&#x5E38;&#x306B;&#x30A4;&#x30F3;&#x30C1;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.killplanes     ArrayParameter    default: #()   --  node array; SubAnim</code></pre><p>&#x30B7;&#x30DF;&#x30E5;&#x30EC;&#x30FC;&#x30B7;&#x30E7;&#x30F3;&#x5185;&#x306E;&#x30AD;&#x30EB;&#x5E73;&#x9762;&#x3068;&#x3057;&#x3066;&#x52D5;&#x4F5C;&#x3059;&#x308B;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x914D;&#x5217;&#x3002;</p>\n\
<p><strong>&#x6CE8;</strong>: &#x3053;&#x306E;&#x914D;&#x5217;&#x306F;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x5C02;&#x7528;&#x3067;&#x3001;&#x76F4;&#x63A5;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x30AD;&#x30EB;&#x5E73;&#x9762;&#x3092;&#x64CD;&#x4F5C;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30AD;&#x30EB;&#x5E73;&#x9762;&#x306E; <code>Add/Get/Delete</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;(&#x4EE5;&#x4E0B;&#x3092;&#x53C2;&#x7167;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.killVolumeNode     UndefinedClass    default: undefined   --  node</code></pre><p>&#x5C06;&#x6765;&#x306E;&#x305F;&#x3081;&#x306B;&#x4E88;&#x7D04;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.lastSelectedSolverIndex     Integer    default: 1   --  integer</code></pre><p>&#x30E6;&#x30FC;&#x30B6;&#x304C;&#x6700;&#x5F8C;&#x306B;&#x9078;&#x629E;&#x3057;&#x305F;&#x8A08;&#x7B97;&#x306E;&#x30BD;&#x30EB;&#x30D0;&#x914D;&#x5217;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.maxScratchCacheRAM     Float    default: 1.0   --  float</code></pre><p>&#x5C06;&#x6765;&#x306E;&#x4F7F;&#x7528;&#x306E;&#x305F;&#x3081;&#x306B;&#x4E88;&#x7D04;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.renderSolveIndex     Integer    default: 1   --  integer</code></pre><p>&#x6700;&#x5F8C;&#x306B;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x305F;&#x30BD;&#x30EB;&#x30D0; &#x30EA;&#x30B9;&#x30C8;&#x306E;&#x30BD;&#x30EB;&#x30D0;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.renderSolveLock     BooleanClass    default: false   --  Boolean</code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0; &#x30ED;&#x30C3;&#x30AF; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;&#x307E;&#x305F;&#x306F;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;true &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x9078;&#x629E;&#x3057;&#x305F;&#x8A08;&#x7B97;&#x304C;&#x30ED;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x3053;&#x3068;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.rootSimDirectory     String    default: &quot;c:\\MaxFluidSim\\&quot;   --  string</code></pre><p>&#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x304C;&#x4FDD;&#x5B58;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30EB;&#x30FC;&#x30C8; &#x30D5;&#x30A9;&#x30EB;&#x30C0;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.scratchCache     String    default: &quot;c:\\MaxFluidScratchCache\\&quot;   --  string</code></pre><p>&#x5C06;&#x6765;&#x306E;&#x4F7F;&#x7528;&#x306E;&#x305F;&#x3081;&#x306B;&#x4E88;&#x7D04;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.showVoxelGrid     BooleanClass    default: true   --  Boolean</code></pre><p>&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x5185;&#x306E;&#x30DC;&#x30AF;&#x30BB;&#x30EB; &#x30B5;&#x30A4;&#x30BA;&#x306E;&#x30D3;&#x30B8;&#x30E5;&#x30A2;&#x30EB;&#x8868;&#x73FE;&#x3092;&#x8868;&#x793A;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.solvers     ArrayParameter    default: #()   --  maxObject array; SubAnim</code></pre><p>&#x6DB2;&#x4F53;&#x306E;&#x30BD;&#x30EB;&#x30D0; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x914D;&#x5217;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;MaxLiquid&gt;.useProjectFolders     BooleanClass    default: false   --  Boolean</code></pre><p>&#x30BD;&#x30EB;&#x30D0;&#x306E;&#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x3092;&#x4FDD;&#x5B58;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x3001;<strong>rootSimDirectory</strong> &#x306E;&#x4EE3;&#x308F;&#x308A;&#x306B; Max &#x30D7;&#x30ED;&#x30B8;&#x30A7;&#x30AF;&#x30C8; &#x30D5;&#x30A9;&#x30EB;&#x30C0;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<h2 id=\"maxliquid-\">MaxLiquid &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;</h2><p><strong>&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: MaxFluidLiquidObject</strong></p>\n\
<p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CreateSolver &lt;&amp;index&gt;solverIndex\n\
       solverIndex is Out parameter</code></pre><p>&#x6DB2;&#x4F53;&#x306E;&#x30BD;&#x30EB;&#x30D0;&#x914D;&#x5217;&#x306B;&#x65B0;&#x3057;&#x3044;&#x30BD;&#x30EB;&#x30D0;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x3001;&#x65B0;&#x898F;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x305F;&#x30BD;&#x30EB;&#x30D0;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;CloneSolver &lt;index&gt;index &lt;&amp;string&gt;cloneName &lt;&amp;index&gt;cloneIndex\n\
       cloneName is Out parameter\n\
       cloneIndex is Out parameter</code></pre><p>&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30BD;&#x30EB;&#x30D0;&#x306E;&#x65B0;&#x3057;&#x3044;&#x8907;&#x88FD;&#x3055;&#x308C;&#x305F;&#x30B3;&#x30D4;&#x30FC;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x3001;&#x65B0;&#x3057;&#x3044;&#x540D;&#x524D;&#x3068;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;boolean&gt;DeleteSolver &lt;index&gt;index</code></pre><p>&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30BD;&#x30EB;&#x30D0;&#x3092;&#x524A;&#x9664;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;integer&gt;NumberSolvers()</code></pre><p>&#x30BD;&#x30EB;&#x30D0;&#x914D;&#x5217;&#x5185;&#x306E;&#x30BD;&#x30EB;&#x30D0;&#x306E;&#x6570;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddEmitter &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberEmitters()\n\
    &lt;node&gt;GetEmitter &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteEmitter &lt;index&gt;index</code></pre><p>&#x6DB2;&#x4F53;&#x306E; <code>emitter_Meshes</code> &#x914D;&#x5217;&#x306B;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x306E;&#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x64CD;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddCollider &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberColliders()\n\
    &lt;node&gt;GetCollider &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteCollider &lt;index&gt;index</code></pre><p>&#x6DB2;&#x4F53;&#x306E; <code>collider_Meshes</code> &#x914D;&#x5217;&#x306B;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30B3;&#x30E9;&#x30A4;&#x30C0;&#x306E;&#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x64CD;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddKillPlane &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberKillPlanes()\n\
    &lt;node&gt;GetKillPlane &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteKillPlane &lt;index&gt;index</code></pre><p>&#x6DB2;&#x4F53;&#x306E; <code>killplanes</code> &#x914D;&#x5217;&#x306B;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30AD;&#x30EB;&#x5E73;&#x9762;&#x306E;&#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x64CD;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddFoamMask &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberFoamMasks()\n\
    &lt;node&gt;GetFoamMask &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteFoamMask &lt;index&gt;index</code></pre><p>&#x6DB2;&#x4F53;&#x306E; <code>foammask_Meshes</code> &#x914D;&#x5217;&#x306B;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x6CE1;&#x30DE;&#x30B9;&#x30AF;&#x306E;&#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x64CD;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddGuideEmitter &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberGuideEmitters()\n\
    &lt;node&gt;GetGuideEmitter &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteGuideEmitter &lt;index&gt;index</code></pre><p>&#x6DB2;&#x4F53;&#x306E; <code>guideEmitter_Meshes</code> &#x914D;&#x5217;&#x306B;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30AC;&#x30A4;&#x30C9; &#x30A8;&#x30DF;&#x30C3;&#x30BF;&#x306E;&#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x64CD;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    &lt;index&gt;AddMotionField &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberMotionFields()\n\
    &lt;node&gt;GetMotionField &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteMotionField &lt;index&gt;index</code></pre><p>&#x6DB2;&#x4F53;&#x306E; <code>field_Meshes</code> &#x914D;&#x5217;&#x306B;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30E2;&#x30FC;&#x30B7;&#x30E7;&#x30F3; &#x30D5;&#x30A3;&#x30FC;&#x30EB;&#x30C9;&#x306E;&#x30B3;&#x30EC;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x64CD;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30A2;&#x30AF;&#x30B7;&#x30E7;&#x30F3;:</strong></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Max-Fluid-Classes.html\">最大流体クラス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";