var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-8CEABA20-9D21-4ED0-AA95-3749435D2104\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>NURBSCurve : NURBSObject</h1></div><p>&#x3053;&#x308C;&#x306F;&#x3001;&#x3059;&#x3079;&#x3066;&#x306E; NURBS &#x30AB;&#x30FC;&#x30D6; &#x30AF;&#x30E9;&#x30B9;&#x306E;&#x89AA;&#x30AF;&#x30E9;&#x30B9;&#x3067;&#x3042;&#x308A;&#x3001;&#x76F4;&#x63A5;&#x69CB;&#x7BC9;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x3053;&#x306E;&#x30AF;&#x30E9;&#x30B9;&#x306B;&#x306F;&#x3001;&#x3059;&#x3079;&#x3066;&#x306E; NURBS &#x30AB;&#x30FC;&#x30D6;&#x306B;&#x5171;&#x901A;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C;&#x8A18;&#x8FF0;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x305D;&#x306E;&#x30AA;&#x30FC;&#x30D7;&#x30F3;/&#x30AF;&#x30ED;&#x30FC;&#x30BA;&#x72B6;&#x614B;&#x3068;&#x30C8;&#x30EA;&#x30E0;&#x70B9;&#x306E;&#x6570;&#x3082;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;<code>evalPos()</code> &#x304A;&#x3088;&#x3073; <code>evalTangent()</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x3001;&#x30AB;&#x30FC;&#x30D6;&#x306E;&#x63A5;&#x7DDA;&#x3068;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x8A08;&#x7B97;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<p>NURBS &#x30AB;&#x30FC;&#x30D6; &#x30AF;&#x30E9;&#x30B9;&#x306B;&#x306F;&#x3001;&#x6B21;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurve&gt;.isClosed : boolean, read-only     </code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x304C;&#x9589;&#x3058;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306F; <code>true</code>&#x3001;&#x958B;&#x3044;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306F; <code>false</code> &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurve&gt;.numTrimPoints : integer, read-only   </code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x306E;&#x30C8;&#x30EA;&#x30E0; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurve&gt;.parameterRangeMin : float, read-only &lt;nurbscurve&gt;.  parameterRangeMax : float, read-only</code></pre><p>NURBS &#x30AB;&#x30FC;&#x30D6;&#x306B;&#x95A2;&#x9023;&#x4ED8;&#x3051;&#x3089;&#x308C;&#x3066;&#x3044;&#x308B;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306E; <code>&lt;u_parm&gt;</code> &#x306B;&#x5BFE;&#x3057;&#x3066;&#x6709;&#x52B9;&#x306A;&#x6700;&#x5C0F;&#x5024;&#x304A;&#x3088;&#x3073;&#x6700;&#x5927;&#x5024;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;nurbscurve&gt;.matID : integer</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x306B;&#x5272;&#x308A;&#x5F53;&#x3066;&#x3089;&#x308C;&#x305F;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB; ID &#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;</strong></p>\n\
<p>&#x3059;&#x3079;&#x3066;&#x306E; NURBS &#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9; &#x30AF;&#x30E9;&#x30B9;&#x306F;&#x3001;&#x6B21;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4FDD;&#x6301;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">evalPos &lt;nurbscurve&gt; &lt;u_param&gt;</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x306B;&#x6CBF;&#x3063;&#x3066;&#x4E0E;&#x3048;&#x3089;&#x308C;&#x305F;&#x30D1;&#x30E9;&#x30E1;&#x30C8;&#x30EA;&#x30C3;&#x30AF; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306B;&#x304A;&#x3051;&#x308B;&#x4F4D;&#x7F6E;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">evalTangent &lt;nurbscurve&gt; &lt;u_param&gt;</code></pre><p>&#x30AB;&#x30FC;&#x30D6;&#x306B;&#x6CBF;&#x3063;&#x3066;&#x4E0E;&#x3048;&#x3089;&#x308C;&#x305F;&#x30D1;&#x30E9;&#x30E1;&#x30C8;&#x30EA;&#x30C3;&#x30AF; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x63A5;&#x7DDA;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../NURBSCurve-Classes.html\">NURBSCurve Classes</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../NURBSObject-Values.html\">NURBSObject 値</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">値の共通プロパティ、演算子、メソッド</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";