var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-62979DC6-3C9B-4A8C-B695-CA83E8AA1437\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x65B0;&#x898F; NURBS &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x4F5C;&#x6210;</h1></div><p>NURBS &#x30AF;&#x30E9;&#x30B9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x65B0;&#x898F; NURBS &#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;NURBSSet &#x3068;&#x3044;&#x3046;&#x9805;&#x76EE;&#x306B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;(&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3001;&#x30AB;&#x30FC;&#x30D6;&#x3001;&#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;)&#x3092;&#x8FFD;&#x52A0;&#x3057;&#x3001;&#x95A2;&#x6570; <code>NURBSNode()</code> &#x306B;&#x6E21;&#x3057;&#x307E;&#x3059;&#x3002;NURBSSet &#x306F;&#x3001;&#x30B7;&#x30FC;&#x30F3; NURBS &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x5404;&#x8981;&#x7D20;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30B3;&#x30F3;&#x30C6;&#x30CA;&#x3067;&#x3059;&#x3002;&#x95A2;&#x6570; <code>NURBSNode()</code> &#x306F;&#x3001;&#x30BB;&#x30C3;&#x30C8;&#x306E;&#x4ED5;&#x69D8;&#x304B;&#x3089; <strong>3ds Max</strong> NURBS &#x5185;&#x90E8;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;&#x95A2;&#x6570; <code>NURBSNode()</code> &#x306B;&#x3064;&#x3044;&#x3066;&#x306F;&#x3001;&#x300C;<a href=\"Creating-NURBS-Scene-Objects.html\">NURBS &#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x4F5C;&#x6210;</a>&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x30B3;&#x30FC;&#x30C9;&#x306F; NURBSControlVertex&#x30B5;&#x30D6;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;) URBSCVCurve &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x3001;&#x305D;&#x308C;&#x3092;&#x30B7;&#x30FC;&#x30F3;&#x306B;&#x5165;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    -- create an empty NURBSSet object\n\
    nset = NURBSSet ()\n\
    -- create a new NURBSCVCurve and set the knots and CVs\n\
    c = NURBSCVCurve name:&quot;CV Curve&quot; order:4 numCVs:4 numKnots:8\n\
    for k in 1 to 4 do ( setKnot c k 0; setKnot c (k+4) 1 )\n\
    cv = NURBSControlVertex [0, 0, 50]\n\
    setCV c 1 cv\n\
    cv.pos = [-100, 0, 50]\n\
    setCV c 2 cv\n\
    cv.pos = [-100, 100, 50]\n\
    setCV c 3 cv\n\
    cv.pos = [0, 100, 50]\n\
    setCV c 4 cv\n\
    -- add the NURBSCVCurve object to the set\n\
    appendObject nset c\n\
    -- create the NURBS object from the NURBSSet\n\
    n = NURBSNode nset name:&quot;nurbs01&quot;pos:[10,0,0]\n\
</code></pre></blockquote>\n\
<p><code>NURBSNode()</code> &#x95A2;&#x6570;&#x306B;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F; NURBSSet &#x306F;&#x3001;&#x65B0;&#x898F;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x305F;&#x30B7;&#x30FC;&#x30F3; &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x95A2;&#x4FC2;&#x3092;&#x793A;&#x3059;&#x898B;&#x672C;&#x3068;&#x306A;&#x308B;&#x3088;&#x3046;&#x306B;&#x4FEE;&#x6B63;&#x3055;&#x308C;&#x3001;&#x305D;&#x306E;&#x5F8C;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x4FEE;&#x6B63;&#x306B;&#x4F7F;&#x7528;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x6700;&#x65B0;&#x306E;&#x95A2;&#x4FC2;&#x3092;&#x793A;&#x3059; NURBSSet &#x3092;&#x518D;&#x62BD;&#x51FA;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x306F;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">3ds Max NURBS モデルの作成および修正のための NURBS クラスおよび関数の使い方</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";