var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D44D0019-FDEC-4826-ACAA-8C1C44E6CF7D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x65E2;&#x5B58;&#x306E; NURBS &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x4FEE;&#x6B63;</h1></div><p>&#x3053;&#x306E;&#x30AF;&#x30E9;&#x30B9;&#x306F;&#x3001;&#x30B7;&#x30FC;&#x30F3;&#x306B;&#x914D;&#x7F6E;&#x3055;&#x308C;&#x305F; NURBS &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306E;&#x4FEE;&#x6B63;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x3053;&#x3068;&#x3082;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;<strong>3ds Max</strong> NURBS &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30C7;&#x30FC;&#x30BF;&#x3092; NURBSSet &#x306B;&#x30B3;&#x30D4;&#x30FC;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x306F;&#x3001;&#x30CE;&#x30FC;&#x30C9; <code>getNURBSSet()</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x305D;&#x306E;&#x5F8C;&#x3001;&#x30E1;&#x30BD;&#x30C3;&#x30C9; NURBSSet &#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x6B21;&#x306E;&#x30B5;&#x30F3;&#x30D7;&#x30EB; &#x30B3;&#x30FC;&#x30C9;&#x306F;&#x73FE;&#x5728;&#x306E;&#x9078;&#x629E;&#x30BB;&#x30C3;&#x30C8;&#x5185;&#x306E;&#x6700;&#x521D;&#x306E;&#x30CE;&#x30FC;&#x30C9;&#x304B;&#x3089;&#x3001;&#x6700;&#x521D;&#x306E; NURBS &#x30B5;&#x30D6;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x53D6;&#x308A;&#x307E;&#x3059;&#x3002;&#x305D;&#x306E;&#x5F8C;&#x3001;&#x30D6;&#x30EC;&#x30F3;&#x30C9; &#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;&#x3067;&#x3042;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x8ABF;&#x3079;&#x3066;&#x3001;&#x30D6;&#x30EC;&#x30F3;&#x30C9; &#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;&#x3067;&#x3042;&#x308C;&#x3070;&#x5F35;&#x529B;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E; 1 &#x3064;&#x3092;&#x8ABF;&#x6574;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    -- get the first node in selection\n\
    node = selection[1];\n\
    -- make sure creation has been completed on the node\n\
    stopCreating node\n\
    -- get the nurbs set for it\n\
    getSet = getNURBSSet node #relational\n\
    -- extract the first obj, check class &amp; set tension\n\
    obj = getObject getSet 1\n\
    if classOf obj == NURBSBlendSurface then obj.tension1 = 2.0\n\
</code></pre></blockquote>\n\
<p>&#x3053;&#x306E;&#x65B9;&#x6CD5;&#x3067;&#x5B9F;&#x65BD;&#x3067;&#x304D;&#x308B;&#x985E;&#x306E;&#x4FEE;&#x6B63;&#x306F;&#x3001;NURBS &#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;<strong>&#x69CB;&#x9020;</strong>&#x3092;&#x5909;&#x3048;&#x306A;&#x3044;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304A;&#x3088;&#x3073;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306E;&#x5909;&#x66F4;&#x306B;&#x9650;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;&#x70B9;&#x3001;CV &#x4F4D;&#x7F6E;&#x3001;CV &#x91CD;&#x307F;&#x3001;&#x5F93;&#x5C5E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8; &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#xFF08;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x304A;&#x3088;&#x3073;&#x62BC;&#x3057;&#x51FA;&#x3057;&#x91CF;&#x306A;&#x3069;&#xFF09;&#x306A;&#x3069;&#x3092;&#x4FEE;&#x6B63;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x8FFD;&#x52A0;&#x3001;&#x524A;&#x9664;&#x3001;CV &#x6570;&#x3001;&#x30CE;&#x30C3;&#x30C8;&#x6570;&#x3001;&#x89AA;&#x30AB;&#x30FC;&#x30D6;&#x6570;&#x306E;&#x5909;&#x66F4;&#x306A;&#x3069;&#x306F;&#x884C;&#x3046;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x3053;&#x306E;&#x3088;&#x3046;&#x306A;&#x69CB;&#x9020;&#x7684;&#x306A;&#x5909;&#x66F4;&#x3092;&#x884C;&#x3046;&#x306B;&#x306F;&#x3001;&#x300C;<a href=\"./../The-NURBS-Classes/NURBS-Associated-Classes/NURBSSet-Value.html\">NURBSSet: &#x5024;</a>&#x300D;&#x3001;&#x300C;<code>addNURBSSet()</code>&#x300D;&#x3001;&#x300C;<code>breakSurface()</code>&#x300D;&#x3067;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B; <code>appendObject()</code>&#x3001;<code>setObject()</code>&#x3001;<code>removeObject()</code> &#x95A2;&#x6570;&#x3001;&#x304A;&#x3088;&#x3073;&#x300C;<a href=\"NURBS-Node-Properties-and.html\">NURBS &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304A;&#x3088;&#x3073;&#x30E1;&#x30BD;&#x30C3;&#x30C9;</a>&#x300D;&#x3067;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x540C;&#x69D8;&#x306E;&#x95A2;&#x6570;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><code>stopCreating()</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x3001;&#x6307;&#x5B9A;&#x306E;&#x30CE;&#x30FC;&#x30C9;&#x304C;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x305F;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x78BA;&#x8A8D;&#x3059;&#x308B;&#x3068;&#x304D;&#x306B;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x3001;&#x4E3B;&#x306B; NURBS &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x5B8C;&#x5168;&#x306B;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x3053;&#x3068;&#x3092;&#x78BA;&#x8A8D;&#x3059;&#x308B;&#x76EE;&#x7684;&#x3067;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x3001;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x4F5C;&#x6210;&#x4E2D;&#x306B;&#x306F;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;NURBS &#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x5BFE;&#x3057;&#x3066;&#x8FD4;&#x3055;&#x308C;&#x308B; NURBSSet &#x306F;&#x3001;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x4F5C;&#x6210;&#x30E2;&#x30FC;&#x30C9;&#x306B;&#x3042;&#x308B;&#x9593;&#x306F;&#x5B8C;&#x5168;&#x3067;&#x306F;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;&#x3002;&#x307E;&#x305F;&#x3001;&#x3053;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x3001;[&#x4F5C;&#x6210;] (Create)&#x30D1;&#x30CD;&#x30EB;&#x3067;&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x4F5C;&#x6210;&#x7528;&#x306E;&#x5404;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x975E;&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x4ED6;&#x306B;&#x3082; NURBS &#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x4FEE;&#x6B63;&#x306B;&#x4F7F;&#x7528;&#x3067;&#x304D;&#x308B;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB;&#x95A2;&#x6570;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x3089;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;&#x300C;<a href=\"NURBS-Node-Properties-and.html\">NURBS &#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304A;&#x3088;&#x3073;&#x30E1;&#x30BD;&#x30C3;&#x30C9;</a>&#x300D;&#x3067;&#x8AAC;&#x660E;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x95A2;&#x6570; <code>breakSurface()</code> &#x3092;&#x4F7F;&#x3063;&#x3066;&#x3001;&#x65E2;&#x5B58;&#x306E; NURBS &#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x3001;2 &#x3064;&#x306E;&#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;&#x306B;&#x5206;&#x5272;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x975E;&#x30EA;&#x30EC;&#x30FC;&#x30B7;&#x30E7;&#x30CA;&#x30EB; NURBSSets</strong></p>\n\
<p>&#x975E;&#x30EA;&#x30EC;&#x30FC;&#x30B7;&#x30E7;&#x30CA;&#x30EB; &#x30E2;&#x30FC;&#x30C9;&#x3067; <code>getNURBSSet()</code> &#x95A2;&#x6570;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x3053;&#x3068;&#x3082;&#x3067;&#x304D;&#x307E;&#x3059;&#x304C;&#x3001;&#x30D6;&#x30EC;&#x30F3;&#x30C9;&#x3001;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3001;&#x30ED;&#x30D5;&#x30C8;&#x306A;&#x3069;&#x306E;&#x3059;&#x3079;&#x3066;&#x306E;&#x5F93;&#x5C5E;&#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;&#x304C;&#x72EC;&#x7ACB;&#x3057;&#x305F;&#x30AB;&#x30FC;&#x30D6;&#x3084;&#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;&#x3068;&#x3057;&#x3066;&#x8868;&#x3055;&#x308C;&#x3001;NURBSSet &#x306E;&#x6D3E;&#x751F;&#x5143;&#x306E;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x300C;&#x30E9;&#x30A4;&#x30D6;&#x3067;&#x300D;&#x63A5;&#x7D9A;&#x3057;&#x76F4;&#x3059;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x306A;&#x3044;&#x3001;NURBSSet &#x306E;&#x300C;&#x30D5;&#x30E9;&#x30C3;&#x30C8;&#x5316;&#x300D;&#x30D0;&#x30FC;&#x30B8;&#x30E7;&#x30F3;&#x3092;&#x53D6;&#x5F97;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x306F;&#x3001;<code>#relational</code> &#x5F15;&#x6570;&#x3092;&#x6307;&#x5B9A;&#x3057;&#x306A;&#x3044;&#x3088;&#x3046;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x66F8;&#x304D;&#x51FA;&#x3057;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306E;&#x305F;&#x3081;&#x306B; NURBS &#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x7C21;&#x6613;&#x30D0;&#x30FC;&#x30B8;&#x30E7;&#x30F3;&#x3092;&#x53D6;&#x5F97;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x51FA;&#x529B;&#x5148;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x3067;&#x30EA;&#x30EC;&#x30FC;&#x30B7;&#x30E7;&#x30CA;&#x30EB; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x30B5;&#x30DD;&#x30FC;&#x30C8;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x306A;&#x3069;&#x3067;&#x3059;&#x3002;&#x307E;&#x305F;&#x3001;&#x305D;&#x306E;&#x4ED6;&#x306E;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x305F;&#x308A;&#x3001;&#x5909;&#x66F4;&#x3042;&#x308B;&#x3044;&#x306F;&#x30BB;&#x30C3;&#x30C8;&#x306B;&#x8FFD;&#x52A0;&#x3057;&#x3066; <code>NURBSNode()</code> &#x95A2;&#x6570;&#x3067;&#x518D;&#x521D;&#x671F;&#x5316;&#x3059;&#x308B;&#x305F;&#x3081;&#x306E;&#x539F;&#x578B;&#x3068;&#x3057;&#x3066;&#x3001;&#x3053;&#x306E;&#x65B9;&#x6CD5;&#x3067;&#x6D3E;&#x751F;&#x3055;&#x308C;&#x305F; NURBSet &#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x3053;&#x3068;&#x3082;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">3ds Max NURBS モデルの作成および修正のための NURBS クラスおよび関数の使い方</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";