var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0FA8C167-FE0D-4301-9A58-A53CBF8542C5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max NURBS モデルの作成および修正のための NURBS クラスおよび関数の使い方</h1></div><p>シーン内の NURBS オブジェクトの場合、<strong>3ds Max</strong> は MAXScript および SDK クラスとは異なる NURBS オブジェクトの内部表現を使用します。 これらの MAXScript および SDK クラスは、内部 <strong>3ds Max</strong> オブジェクトにアクセスし、それらのオブジェクトを操作できるようにする手段にすぎません。</p>\n\
<p>内部 <strong>3ds Max</strong> NURBS オブジェクトと、これらのオブジェクトと共同作業する MAXScript 内のクラスとの間の通信で使用されるオブジェクトは、<a href=\"./../The-NURBS-Classes/NURBS-Associated-Classes/NURBSSet-Value.html\">NURBSSet</a> です。また、この通信では 2 つの関数が使用されます。1 つは <code>NURBSNode()</code> コンストラクタで、もう 1 つは <code>getNURBSSet()</code> ノード メソッドです。これらの関数の使用方法については、以下のトピックを参照してください。</p>\n\
<p><a href=\"Creating-New-NURBS-Objects.html\">新規 NURBS オブジェクトの作成</a></p>\n\
<p><a href=\"Modifying-Existing-NURBS-Objects.html\">既存の NURBS オブジェクトの修正</a></p>\n\
<p><a href=\"Parameter-Ranges-for-Curves-and.html\">カーブおよびサーフェスのパラメータの範囲</a></p>\n\
<p><a href=\"Materials-Assignment-and-Texture.html\">マテリアルの割り当てとテクスチャ座標</a></p>\n\
<p><a href=\"Creating-NURBS-Scene-Objects.html\">NURBS シーン オブジェクトの作成</a></p>\n\
<p><a href=\"Creating-NURBSCVSurface-Values.html\">NURBSCVSurface 値の作成</a></p>\n\
<p><a href=\"NURBS-Node-Properties-and.html\">NURBS ノードのプロパティおよびメソッド</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Using-the-NURBS-Classes-and.html\">3ds Max NURBS モデルの作成および修正のための NURBS クラスおよび関数の使い方</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";