var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E8D31DDC-9A82-4A5E-BA54-E6FED5494270\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>コンテナ</h1></div><p><strong>3ds Max 2010 以降</strong>で、<a href=\"./../Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">コンテナはシーン内のヘルパー オブジェクト</a>です。コンテナの内容は、グループ化して操作する複数のノードです。コンテナは、内容からコンテナ外のノードに対する参照を持たない<strong>自己収容型</strong>のブロックである必要があります。そうでない場合、コンテナの操作時に参照が失われます。コンテナは内容を格納しており、コンテナを移動したり削除したりすると内容にも影響します。ただし、コンテナと内容は同一のものではありません。</p>\n\
<p><img src=\"./images/GUID-F5247BBB-771F-4786-BC7F-71E6595DDC9A-low.gif\" alt=\"\"></p>\n\
<p>たとえば、内容はロード解除できますが、コンテナはシーンに残ったままになります。コンテナはコンテナ定義ファイルと関連付けられています。コンテナ定義ファイルは、コンテナとその内容だけが格納された <strong>3ds Max</strong> ファイルです。 コンテナ定義はファイル アセットとしてトラックされます。| |</p>\n\
<h3 id=\"-2-\">コンテナには以下の 2 種類があります。</h3><p><strong>ローカル コンテナ:</strong></p>\n\
<p>コンテナはローカルで作成でき、グループやレイヤを使用するのと同じような方法でシーンを整理することができます。これにより、ノードをまとめて 1 つとして操作できるようになります。またシーンの一部を区分化して他のユーザと共有することができます。</p>\n\
<p>またシーンの一部を区分化して他のユーザと共有することができます。 ローカル コンテナにソースから継承された内容がない場合(ネストされたコンテナ、つまりコンテナ内のコンテナを含む)、このコンテナは個別化されたコンテナと呼ばれます。内容が継承されたものであれば、これは個別化されたコンテナではありません。</p>\n\
<p>*<em>継承されたコンテナ: *</em></p>\n\
<p>コンテナは継承することもできます。他の人からコンテナ アセット ファイルをもらって、その内容を継承することができます。作成者が許可していれば、そのコンテナを開いて変更を加え、さらにその作成者の変更も継承することができます。これによりチームでの共同作業が可能になります。</p>\n\
<p>コンテナの内容ノードはコンテナの子です。オブジェクトをコンテナ内にないコンテナやコンテナの内容にリンクさせることもできますが、これは推奨されていません。</p>\n\
<p>コンテナをインスタンス化することは<strong>できません</strong>が、コンテナをコピーをし、そのコピーの 1 つへの変更を保存してすべてのコンテナを再ロードすれば、すべてのコピーにこの変更が継承されます。 多くのコンテナで、同じ定義ファイルを使用できます。</p>\n\
<p>コンテナは、内容に加えて、そのコンテナを継承した場合にユーザがその内容に対してどのような処理を行えるかを制御します。これを<strong>コンテナ ルール</strong>と呼びます。 現在、ユーザ インタフェースに公開されているオプションは <strong>no access</strong> (ユーザは内容を読み込めますが、修正はできません)または <strong>edit in-place</strong> (コンテナを継承したユーザがその内容を修正して結果を保存でき、オリジナルの定義ファイルは上書きされます)のいずれかです。</p>\n\
<p>コンテナは閉じることができ、内容の編集が不可能になります。コンテナが閉じたとき、レンダリングや表示は可能ですが、選択または編集が出来ない外部参照シーンのようになります。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Containers.html\">コンテナ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container : ヘルパー</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\">インタフェース: Containers</a></li>\n\
          <li><a class=\"link\" href=\"../../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ContainerPreferences.html\">インタフェース: ContainerPreferences</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";