var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2A050454-0B88-497F-A581-98BA401DCD19\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Point_Surf: GeometryClass</h1></div><p><img src=\"./images/GUID-FCA44498-15FE-4792-8553-93EA55807B82-low.gif\" alt></p>\n\
<p>Point_Surf &#x306F;&#x3001;&#x88DC;&#x9593;&#x3055;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x3067;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x308B; NURBS &#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x3059;&#x3079;&#x3066;&#x306E; NURBS &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306F;&#x3001;&#x7279;&#x5225;&#x306A; NURBS &#x8A18;&#x8FF0;&#x5B50;&#x30AF;&#x30E9;&#x30B9;&#x3092;&#x901A;&#x3057;&#x3066;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x307E;&#x3059;(&#x300C;<a href=\"./../../../../NURBS/Working-with-NURBS.html\">NURBS &#x306E;&#x64CD;&#x4F5C;</a>&#x300D;&#x3092;&#x53C2;&#x7167;)&#x3002;&#x901A;&#x5E38;&#x3001;Point_Surf &#x30AF;&#x30E9;&#x30B9;&#x306F; <code>classOf()</code> &#x95A2;&#x6570;&#x3092;&#x4F7F;&#x3063;&#x305F;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8; &#x30AF;&#x30E9;&#x30B9;&#x306E;&#x30C6;&#x30B9;&#x30C8;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><code>3ds Max</code> &#x30E6;&#x30FC;&#x30B6; &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x3067; Point Surface &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3068;&#x3057;&#x3066;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x308B;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306F;&#x3001;<code>Point_Surf</code> &#x30AF;&#x30E9;&#x30B9;&#x3092;&#x6301;&#x3061;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">NURBSNode &lt;nurbs_set&gt; ...     </code></pre><p>&#x8A73;&#x7D30;&#x306F;&#x3001;&#x300C;<a href=\"./../../../../NURBS/Using-the-NURBS-Classes-and/Creating-New-NURBS-Objects.html\">&#x65B0;&#x898F; NURBS &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x4F5C;&#x6210;</a>&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Point_Surf&gt;.thickness Float default: 1.0 -- animatable   </code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x305F;&#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;&#x306E;&#x539A;&#x3055;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Point_Surf&gt;.sides Integer default: 12 -- animatable</code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x305F;&#x30B5;&#x30FC;&#x30D5;&#x30A7;&#x30B9;&#x306E;&#x5074;&#x9762;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Point_Surf&gt;.angle Float default: 0.0 -- animatable</code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x5185;&#x306E;&#x65AD;&#x9762;&#x306E;&#x56DE;&#x8EE2;&#x4F4D;&#x7F6E;</p>\n\
<p>Point Surface &#x306E;&#x4ED6;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x3001;NURBSSet &#x8A18;&#x8FF0;&#x5B50;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x901A;&#x3058;&#x3066;&#x64CD;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;&#x8A73;&#x7D30;&#x306F;&#x3001;&#x300C;<a href=\"./../../../../NURBS/Working-with-NURBS.html\">NURBS &#x306E;&#x64CD;&#x4F5C;</a>&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Geometry-NURBS-Objects.html\">ジオメトリ - NURBS オブジェクト</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../../NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\">NURBS ノードのプロパティおよびメソッド</a></li>\n\
          <li><a class=\"link\" href=\"../../../Node-Common-Properties-Operators.html\">ノードの共通プロパティ、演算子、メソッド</a></li>\n\
          <li><a class=\"link\" href=\"../../../../MAXWrapper-Value/MAXWrapper-Common-Properties.html\">MAXWrapper の共通プロパティ、演算子、メソッド</a></li>\n\
          <li><a class=\"link\" href=\"../../../../../MAXScript-Language-Reference/Values/Value-Common-Properties.html\">値の共通プロパティ、演算子、メソッド</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";