var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-54F44A51-D225-4B91-B87B-E60216B26F16\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>フォトメトリック ライト クラス</h1></div><p><strong>3ds Max 2009</strong> では、フォトメトリック ライトが再設計され、作成およびタイプ間の変換が簡略化されました。また、追加オプションのサポート、ウェブ分配のプレビューなどの機能拡張が加えられました。</p>\n\
<p>内部的に、<strong>3ds Max 2009 以降</strong>は一意の ClassID を持つ多数のフォトメトリック ライト クラスを公開しています。 ポイント ライト、線形ライト、エリア ライト(フリーとターゲットの 2 つずつ)などを含む、これらのクラスの一部は 旧バージョンのフォトメトリック ライトとの互換性を提供します。</p>\n\
<p><strong>3ds Max</strong> コマンド パネルで作成できるライトは、<strong>ターゲット ライト</strong> と <strong>フリー ライト</strong> の <strong>2 つの基本タイプ</strong>のみに減らされました。これらは、[シェイプ/領域シャドウ]ロールアウトから他のすべてのタイプに変換できます。 古い「エリア」タイプは、使用できるようになった、さまざまなエリア ライトの形状と区別するため、「矩形」という名前に変更されました。</p>\n\
<p><strong>エリア ライトに新しいタイプ</strong>(<strong>円形</strong>、<strong>球</strong>、および<strong>円柱</strong>)が追加されました。これらのライト クラスのクラス インスタンスは、MAXScript によって直接作成するか、 これらのライト クラスのクラス インスタンスは、MAXScript によって直接作成するか、または ライトの <code>.type</code> プロパティを <code>#Free_Disc, #Target_Disc, #Free_Sphere, #Target_Sphere, #Free_Cylinder</code>、<code>#Target_Cylinder</code> に設定することにより間接的に作成することができます。</p>\n\
<p>また、すべてのフォトメトリック ライトのユーザ インタフェースに、[ターゲット]というチェックボックスが公開されていることに留意してください。このチェックボックスの状態をマウスで変更すると、オブジェクトのクラスが #Target_* タイプと #Free_* タイプ間で暗黙的に変換されます。このプロパティは、MAXScript で直接設定することはできません。代わりに、.type プロパティを目的の #Free_* または #Target_* type に設定する必要があります。</p>\n\
<p>以下の表は、使用可能なフォトメトリック ライトのすべてのタイプを示しています。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>Type</th>\n\
<th>クラス</th>\n\
<th>classID</th>\n\
<th>3ds Max 2009 の新機能</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>フリー タイプ</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Point</td>\n\
<td><a href=\"Free_Point-Light.html\">Free_Light</a></td>\n\
<td>#(842489804, 184704240)</td>\n\
<td>いいえ</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Line</td>\n\
<td><a href=\"Free_Linear-Light.html\">Free_Linear</a></td>\n\
<td>#(2015392769, 897523032)</td>\n\
<td>いいえ</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Rectangle</td>\n\
<td><a href=\"Free_Area-Light.html\">Free_Area</a></td>\n\
<td>#(911244690, 274340423)</td>\n\
<td>いいえ</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Disc</td>\n\
<td><a href=\"Free_Disc-Light.html\">Free_Disc</a></td>\n\
<td>#(1540123970, 206521102)</td>\n\
<td>はい</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Sphere</td>\n\
<td><a href=\"Free_Sphere-Light.html\">Free_Sphere</a></td>\n\
<td>#(2091464066, 448490290)</td>\n\
<td>はい</td>\n\
</tr>\n\
<tr>\n\
<td>#Free_Cylinder</td>\n\
<td><a href=\"Free_Cylinder-Light.html\">Free_Cylinder</a></td>\n\
<td>#(1190540515, 171080367)</td>\n\
<td>はい</td>\n\
</tr>\n\
<tr>\n\
<td><strong>TARGETED TYPES</strong></td>\n\
<td></td>\n\
<td></td>\n\
<td></td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Point</td>\n\
<td><a href=\"Target_Point-Light.html\">Target_Light</a></td>\n\
<td>#(1703759767, 1926054489)</td>\n\
<td>いいえ</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Line</td>\n\
<td><a href=\"Target_Linear-Light.html\">Target_Linear</a></td>\n\
<td>#(1158113413, 1081676873)</td>\n\
<td>いいえ</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Rectangle</td>\n\
<td><a href=\"Target_Area-Light.html\">Target_Area</a></td>\n\
<td>#(1903775645, 1890472690)</td>\n\
<td>いいえ</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Disc</td>\n\
<td><a href=\"Target_Disc-Light.html\">Target_Disc</a></td>\n\
<td>#(947069768, 538400947)</td>\n\
<td>はい</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Sphere</td>\n\
<td><a href=\"Target_Sphere-Light.html\">Target_Sphere</a></td>\n\
<td>#(872184553, 1413692869)</td>\n\
<td>はい</td>\n\
</tr>\n\
<tr>\n\
<td>#Target_Cylinder</td>\n\
<td><a href=\"Target_Cylinder-Light.html\">Target_Cylinder</a></td>\n\
<td>#(2089507600, 1272135302)</td>\n\
<td>はい</td>\n\
</tr>\n\
</tbody></table>\n\
<p>これらのライト クラスはすべて同じ<a href=\"Photometric-Lights-Common.html\">フォトメトリック ライトの共通プロパティ、演算子、メソッド</a>を持つため、これらの個々のドキュメント ページにはプロパティは含まれていません。一部の共通パラメータの有効範囲には、いくつか小さな違いがあります。たとえば、球ライトと円柱ライトは <code>.distribution</code> の値として 0 のみをサポートしていますが、その他のすべてのタイプは 0 ～ 3 の範囲をサポートしています。これらの詳細は、適宜、明確に記載しています。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Photometric-Lights.html\">フォトメトリック光源</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";