var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-00E1A3D2-590E-4B2A-8019-C9FFD7D983E6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Quicksilver_Hardware_Renderer : RendererClass</h1></div><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Quicksilver_Hardware_Renderer - superclass: RendererClass; super-superclass:MAXWrapper - 26:26 - classID: #(268839321, 1854680990)</code></pre><p>&#x3053;&#x306E;&#x30AF;&#x30E9;&#x30B9;&#x306F;&#x3001;<strong>3ds Max 2011</strong> &#x3067;&#x5C0E;&#x5165;&#x3055;&#x308C;&#x3001;<strong>3ds Max 2012</strong> &#x3067; Nitrous Graphics System &#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x6A5F;&#x80FD;&#x5F37;&#x5316;&#x3055;&#x308C;&#x305F; <strong>Quicksilver &#x30CF;&#x30FC;&#x30C9;&#x30A6;&#x30A7;&#x30A2; &#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;</strong>&#x3092;&#x8868;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x30AF;&#x30E9;&#x30B9;&#x306B;&#x3088;&#x308A;&#x3001;<strong>Quicksilver_Hardware_Renderer</strong> &#x30AF;&#x30E9;&#x30B9;&#x306E;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x3092;&#x3001;&#x65B0;&#x3057;&#x3044;<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">&#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306E;&#x69CB;&#x9020;</a>&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x73FE;&#x5728;&#x3001;&#x30D7;&#x30ED;&#x30C0;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3001;ActiveShade&#x3001;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB; &#x30A8;&#x30C7;&#x30A3;&#x30BF;&#x306E;&#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306B;&#x5272;&#x308A;&#x5F53;&#x3066;&#x308B;&#x3088;&#x3046;&#x306B;&#x69CB;&#x7BC9;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<p>Quicksilver &#x30CF;&#x30FC;&#x30C9;&#x30A6;&#x30A7;&#x30A2; &#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306F; activeShade &#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306B;<strong>&#x5272;&#x308A;&#x5F53;&#x3066;&#x3089;&#x308C;&#x307E;&#x305B;&#x3093;</strong>&#x3002;</p>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Quicksilver_Hardware_Renderer ...</code></pre><blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    --Assign a Quicksilver Hardware Renderer class instance to the current renderer:\n\
    renderers.current = Quicksilver_Hardware_Renderer ()\n\
    --&gt; Quicksilver_Hardware_Renderer:Hardware_Renderer\n\
</code></pre></blockquote>\n\
<p><a name=\"toc\"></a></p>\n\
<!-- toc -->\n\
\n\
<ul>\n\
<li><a href=\"#-active-viewport-settings-synchronization-\">&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6; &#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x8A2D;&#x5B9A;&#x306E;&#x540C;&#x671F;</a></li>\n\
<li><a href=\"#-progressive-rendering-\">&#x30D7;&#x30ED;&#x30B0;&#x30EC;&#x30C3;&#x30B7;&#x30D6; &#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;</a></li>\n\
<li><a href=\"#-visual-style-\">&#x30D3;&#x30B8;&#x30E5;&#x30A2;&#x30EB; &#x30B9;&#x30BF;&#x30A4;&#x30EB;</a><ul>\n\
<li><a href=\"#-\">&#x30D6;&#x30FC;&#x30EB; &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</a></li>\n\
<li><a href=\"#-\">&#x6587;&#x5B57;&#x5217;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</a></li>\n\
<li><a href=\"#-\">&#x6574;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</a></li>\n\
<li><a href=\"#-\">&#x5B9F;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</a></li>\n\
<li><a href=\"#float4-\">Float4 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</a></li>\n\
</ul>\n\
</li>\n\
<li><a href=\"#-lighting-\">[&#x7167;&#x660E;] (Lighting)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</a></li>\n\
<li><a href=\"#-shadows-\">[&#x30B7;&#x30E3;&#x30C9;&#x30A6;] (Shadows)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</a></li>\n\
<li><a href=\"#-reflections-\">[&#x53CD;&#x5C04;] (Reflections)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</a></li>\n\
<li><a href=\"#-dof-depth-of-field-\">&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;(DOF)</a></li>\n\
<li><a href=\"#-hardware-shaders-cache-folder-\">&#x30CF;&#x30FC;&#x30C9;&#x30A6;&#x30A7;&#x30A2; &#x30B7;&#x30A7;&#x30FC;&#x30C0; &#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5; &#x30D5;&#x30A9;&#x30EB;&#x30C0;</a></li>\n\
<li><a href=\"#-bloom-\">[&#x30D6;&#x30EB;&#x30FC;&#x30E0;] (Bloom)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</a></li>\n\
<li><a href=\"#-\">&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x8A2D;&#x5B9A;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0;&#x306E;&#x66F4;&#x65B0;</a></li>\n\
<li><a href=\"#3ds-max-2012-\">3ds Max 2012 &#x304B;&#x3089;&#x524A;&#x9664;&#x3055;&#x308C;&#x305F;&#x6A5F;&#x80FD;</a><ul>\n\
<li><a href=\"#-\">&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x7CBE;&#x5EA6; (&#x30A2;&#x30F3;&#x30C1;&#x30A8;&#x30A4;&#x30EA;&#x30A2;&#x30B7;&#x30F3;&#x30B0;)</a></li>\n\
<li><a href=\"#-\">&#x7167;&#x660E; - &#x9593;&#x63A5;&#x5149;</a></li>\n\
<li><a href=\"#-\">&#x900F;&#x660E;&#x5EA6; / &#x53CD;&#x5C04;</a></li>\n\
<li><a href=\"#-dof-\">&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6; (DOF)</a></li>\n\
<li><a href=\"#-ui-\">&#x305D;&#x306E;&#x4ED6;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3; (UI &#x306B;&#x516C;&#x958B;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x3082;&#x306E;)</a></li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<!-- tocstop -->\n\
\n\
<p><strong>Quicksilver_Hardware_Renderer &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">Interface: IQuicksilverRenderer</code></pre><p><a name=\"active-viewport-settings-synchronization-group-of-controls\"></a></p>\n\
<h2 id=\"-active-viewport-settings-synchronization-\">[&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6; &#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x8A2D;&#x5B9A;&#x306E;&#x540C;&#x671F;](Active Viewport Settings Synchronization)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.AutoSynchronizeWithActiveViewport : boolean : Read|Write</code></pre><p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; <strong>true</strong> &#x306E;&#x5834;&#x5408;&#x3001;Quicksilver &#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306F;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x524D;&#x306B;&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6; &#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x306B;&#x5408;&#x308F;&#x305B;&#x3066;&#x8A2D;&#x5B9A;&#x3092;&#x81EA;&#x52D5;&#x7684;&#x306B;&#x540C;&#x671F;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SynchronizeWithActiveViewport()</code></pre><p>Quicksilver &#x306E;&#x8A2D;&#x5B9A;&#x3092;&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6; &#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3068;&#x540C;&#x671F;&#x3057;&#x307E;&#x3059;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x30A2;&#x30AF;&#x30C6;&#x30A3;&#x30D6; &#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3067;&#x30AF;&#x30EC;&#x30A4; &#x30B7;&#x30A7;&#x30FC;&#x30C7;&#x30A3;&#x30F3;&#x30B0; &#x30E2;&#x30FC;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;Quicksilver &#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x3082;&#x540C;&#x3058;&#x30E2;&#x30FC;&#x30C9;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><a name=\"progressive-rendering-group-of-controls\"></a></p>\n\
<h2 id=\"-progressive-rendering-\">[&#x30D7;&#x30ED;&#x30B0;&#x30EC;&#x30C3;&#x30B7;&#x30D6; &#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;](Progressive Rendering)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.RenderingMode     Name    default: #iterations   --  enum</code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0; &#x30E2;&#x30FC;&#x30C9;&#x306E;&#x30E9;&#x30B8;&#x30AA; &#x30DC;&#x30BF;&#x30F3;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>#time</strong>: &#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x3054;&#x3068;&#x306E;&#x6642;&#x9593;(&#x79D2;&#x5358;&#x4F4D;)&#x306F;&#x3001;<code>.RenderingTime</code> &#x306E;&#x5024;&#x3067;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>#iterations</strong> (&#x65E2;&#x5B9A;&#x5024;): <code>.RenderingIterations</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x308B;&#x7E70;&#x308A;&#x8FD4;&#x3057;&#x56DE;&#x6570;&#x304C;&#x5B9F;&#x884C;&#x3055;&#x308C;&#x3001;&#x5404;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x306E;&#x8907;&#x96D1;&#x3055;&#x306B;&#x5F93;&#x3063;&#x3066;&#x30D5;&#x30EC;&#x30FC;&#x30E0;&#x3054;&#x3068;&#x306E;&#x6642;&#x9593;&#x5909;&#x6570;&#x304C;&#x5F97;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.RenderingTime     Integer    default: 10   --  integer</code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x6642;&#x9593;&#x3092;&#x79D2;&#x5358;&#x4F4D;&#x3067;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x306E;&#x5024;&#x306F;&#x3001;<code>.RenderingMode</code> &#x304C; <code>#time</code> &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x7BC4;&#x56F2;&#x306F; 1 &#xFF5E; 3540&#x3001;&#x65E2;&#x5B9A;&#x5024;&#x306F; 10 &#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<div class=\"note &#x6CE8;:\"><span class=\"notetitle\">&#x6CE8;:</span></div>\n\
<p>&#x30E6;&#x30FC;&#x30B6; &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x3067;&#x306F;&#x3001;&#x3053;&#x306E;&#x5024;&#x304C; 2 &#x3064;&#x306E;&#x30B9;&#x30D4;&#x30CA;&#x30FC;([&#x5206;] (Minutes)&#x304A;&#x3088;&#x3073;[&#x79D2;] (Seconds))&#x3068;&#x3057;&#x3066;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>0 &#x5206; 0 &#x79D2;&#x3068;&#x5165;&#x529B;&#x3055;&#x308C;&#x308B;&#x306E;&#x3092;&#x56DE;&#x907F;&#x3059;&#x308B;&#x305F;&#x3081;&#x3001;[&#x79D2;] (Seconds)&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x3092; 0 &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<p>&#x305D;&#x306E;&#x305F;&#x3081;&#x3001;<code>.RenderingTime</code> &#x306E;&#x5024;&#x3092; MAXScript &#x3067; 120 &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001; 2 &#x5206; 0 &#x79D2;&#x3067;&#x306F;&#x306A;&#x304F; 2 &#x5206; 1 &#x79D2;&#x306B;&#x306A;&#x308A;&#x3001;&#x5185;&#x90E8;&#x306E;&#x5024;&#x3067;&#x306F; 121 &#x79D2;&#x3068;&#x3057;&#x3066;&#x4FDD;&#x5B58;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.RenderingIterations     Integer    default: 256   --  integer</code></pre><p><code>.RenderingMode</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x304C; <code>#iterations</code> &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x5B9F;&#x884C;&#x3059;&#x308B;&#x7E70;&#x308A;&#x8FD4;&#x3057;&#x56DE;&#x6570;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x308C;&#x306F;&#x3001;<strong>3ds Max 2012</strong> &#x3067;&#x5C0E;&#x5165;&#x3055;&#x308C;&#x305F; Nitrous Graphics &#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x3067;&#x5B9F;&#x884C;&#x3055;&#x308C;&#x308B;&#x30EA;&#x30D5;&#x30A1;&#x30A4;&#x30F3;&#x53CD;&#x5FA9;&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x306E;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<p>[&#x6700;&#x5C0F;&#x306E;&#x5024;&#x306F; 1&#x3001;&#x6700;&#x5927;&#x5024;&#x306F; 4096&#x3001;&#x65E2;&#x5B9A;&#x5024;&#x306F; 256 &#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"visual-style-group-of-controls\"></a></p>\n\
<h2 id=\"-visual-style-\">[&#x30D3;&#x30B8;&#x30E5;&#x30A2;&#x30EB; &#x30B9;&#x30BF;&#x30A4;&#x30EB;](Visual Style)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><p>&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8; &#x30D3;&#x30B8;&#x30E5;&#x30A2;&#x30EB; &#x30B9;&#x30BF;&#x30A4;&#x30EB;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x3001;&#x985E;&#x4F3C;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3068;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x304C; <a href=\"./../Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"\">NitrousGraphicsManager &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;</a>&#x3067;&#x516C;&#x958B;&#x3055;&#x308C;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.VisualStyle     Name    default: #Realistic   --  enum\n\
\n\
VisualStyle enums: { #Realistic | #Shaded | #ConsistentColors | #HiddenLine | #Wireframe | #Clay | #BoundingBox | #Ink | #ColorInk | #Acrylic | #Tech | #Graphite | #ColorPencil | #Pastel }</code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0; &#x30D3;&#x30B8;&#x30E5;&#x30A2;&#x30EB; &#x30B9;&#x30BF;&#x30A4;&#x30EB;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.EdgedFaces     BooleanClass    default: false   --  bool</code></pre><p>[&#x30A8;&#x30C3;&#x30B8;&#x9762;]&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.TextureEnabled     BooleanClass    default: true   --  bool</code></pre><p><strong>[&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;]</strong>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>true (&#x65E2;&#x5B9A;&#x5024;)&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x304C;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>false &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x306F;&#x7121;&#x8996;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.TransparencyEnabled     BooleanClass    default: true   --  bool</code></pre><p>&#x900F;&#x660E;&#x5EA6;&#x306E;&#x8A08;&#x7B97;&#x3092;&#x4F7F;&#x7528;&#x53EF;&#x80FD;/&#x4F7F;&#x7528;&#x4E0D;&#x80FD;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: false</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRParameterInfo()</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30D3;&#x30B8;&#x30E5;&#x30A2;&#x30EB; &#x30B9;&#x30BF;&#x30A4;&#x30EB;&#x306B;&#x3088;&#x3063;&#x3066;&#x516C;&#x958B;&#x3055;&#x308C;&#x308B;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306B;&#x95A2;&#x3059;&#x308B;&#x60C5;&#x5831;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRParameterCount()</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30D3;&#x30B8;&#x30E5;&#x30A2;&#x30EB; &#x30B9;&#x30BF;&#x30A4;&#x30EB;&#x306B;&#x3088;&#x3063;&#x3066;&#x516C;&#x958B;&#x3055;&#x308C;&#x308B;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x6570;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRParameterName &lt;integer&gt;index</code></pre><p>&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x540D;&#x524D;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x57FA;&#x6570;&#x306F;&#x30BC;&#x30ED;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;enum&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRParameterType &lt;integer&gt;index\n\
\n\
GetNPRParameterType enums: { #Unknown | #Bool | #Int | #Float | #Float4 | #String }</code></pre><p>&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x30BF;&#x30A4;&#x30D7;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x57FA;&#x6570;&#x306F;&#x30BC;&#x30ED;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"accessing-boolean-parameters\"></a></p>\n\
<h3 id=\"-\">&#x30D6;&#x30FC;&#x30EB; &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRBool &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x30D6;&#x30FC;&#x30EB;&#x6F14;&#x7B97;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRBool &lt;string&gt;name &lt;boolean&gt;value</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x30D6;&#x30FC;&#x30EB;&#x6F14;&#x7B97;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092; 2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x3068;&#x3057;&#x3066;&#x6E21;&#x3055;&#x308C;&#x305F;&#x30D6;&#x30FC;&#x30EB;&#x6F14;&#x7B97;&#x5024;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"accessing-string-parameters\"></a></p>\n\
<h3 id=\"-\">&#x6587;&#x5B57;&#x5217;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;string&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRString &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x6587;&#x5B57;&#x5217;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRString &lt;string&gt;name &lt;string&gt;value</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x6587;&#x5B57;&#x5217;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092; 2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x3068;&#x3057;&#x3066;&#x6E21;&#x3055;&#x308C;&#x305F;&#x6587;&#x5B57;&#x5217;&#x5024;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"accessing-integer-parameters\"></a></p>\n\
<h3 id=\"-\">&#x6574;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRInt &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x6574;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRInt &lt;string&gt;name &lt;integer&gt;value</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x6574;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092; 2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x3068;&#x3057;&#x3066;&#x6E21;&#x3055;&#x308C;&#x305F;&#x6574;&#x6570;&#x5024;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMinInt &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x6574;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x6700;&#x5C0F;&#x7BC4;&#x56F2;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;integer&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMaxInt &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x6574;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x6700;&#x5927;&#x7BC4;&#x56F2;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"accessing-float-parameters\"></a></p>\n\
<h3 id=\"-\">&#x5B9F;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRFloat &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x5B9F;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRFloat &lt;string&gt;name &lt;float&gt;value</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x5B9F;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092; 2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x3068;&#x3057;&#x3066;&#x6E21;&#x3055;&#x308C;&#x305F;&#x5B9F;&#x6570;&#x5024;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMinFloat &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x5B9F;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x6700;&#x5C0F;&#x7BC4;&#x56F2;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMaxFloat &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D;&#x5B9F;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x6700;&#x5927;&#x7BC4;&#x56F2;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"accessing-float4-parameters\"></a></p>\n\
<h3 id=\"float4-\">Float4 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRFloat4 &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D; float4 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E; Point4 &#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetNPRFloat4 &lt;string&gt;name &lt;point4&gt;value</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D; float4 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x5024;&#x3092; 2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x3068;&#x3057;&#x3066;&#x6E21;&#x3055;&#x308C;&#x305F; Point4 &#x5024;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMinFloat4 &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D; float4 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x6700;&#x5C0F;&#x7BC4;&#x56F2;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;point4&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetNPRMaxFloat4 &lt;string&gt;name</code></pre><p>&#x540D;&#x524D;&#x4ED8;&#x304D; float4 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x306E;&#x6700;&#x5927;&#x7BC4;&#x56F2;&#x5024;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.ShowNPRParameters()</code></pre><p>&#x5C06;&#x6765;&#x7684;&#x306B;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"lighting-group-of-controls\"></a></p>\n\
<h2 id=\"-lighting-\">[&#x7167;&#x660E;] (Lighting)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.UseDefaultLights     BooleanClass    default: false   --  bool</code></pre><p>&#x65E2;&#x5B9A;&#x5024;&#x306E;&#x30E9;&#x30A4;&#x30C8;(True)&#x307E;&#x305F;&#x306F;&#x30B7;&#x30FC;&#x30F3; &#x30E9;&#x30A4;&#x30C8;(False)&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: false</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.Highlights     BooleanClass    default: true   --  bool</code></pre><p>&#x30CF;&#x30A4;&#x30E9;&#x30A4;&#x30C8;&#x3042;&#x308A;(True&#x3001;&#x65E2;&#x5B9A;&#x5024;)&#x307E;&#x305F;&#x306F;&#x30CF;&#x30A4;&#x30E9;&#x30A4;&#x30C8;&#x306A;&#x3057;(False)&#x3067;&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2013 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationEnabled     BooleanClass    default: false   --  bool</code></pre><p>&#x9593;&#x63A5;&#x5149;&#x306E;&#x8A08;&#x7B97;&#x3092;&#x4F7F;&#x7528;&#x53EF;&#x80FD;/&#x4F7F;&#x7528;&#x4E0D;&#x80FD;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; False &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationMultiplier     Float    default: 1.0   --  float</code></pre><p>&#x9593;&#x63A5;&#x5149;&#x306E;&#x30DE;&#x30EB;&#x30C1;&#x30D7;&#x30E9;&#x30A4;&#x30E4;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F; 0.0 &#x304B;&#x3089; 3.0 &#x306E;&#x9593;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; 1.0 &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationSampleArea     Float    default: 100.0   --  float</code></pre><p>&#x9593;&#x63A5;&#x5149;&#x30B5;&#x30F3;&#x30D7;&#x30EB;&#x9818;&#x57DF;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationLODEnabled     BooleanClass    default: false   --  bool</code></pre><p>&#x8A73;&#x7D30;&#x306E;&#x9593;&#x63A5;&#x5149;&#x30EC;&#x30D9;&#x30EB;&#x306E;&#x72B6;&#x614B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationShadowEnabled     BooleanClass    default: false   --  bool</code></pre><p>&#x9593;&#x63A5;&#x5149;&#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x3092;&#x4F7F;&#x7528;&#x53EF;&#x80FD;/&#x4F7F;&#x7528;&#x4E0D;&#x80FD;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: false</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationShadowRange     Integer    default: 8   --  integer</code></pre><p>&#x9593;&#x63A5;&#x5149;&#x306E; &#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x7BC4;&#x56F2;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F; 1 &#x304B;&#x3089; 32 &#x306E;&#x9593;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: 8</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationShadowSize     Integer    default: 256   --  integer</code></pre><p>&#x9593;&#x63A5;&#x5149;&#x306E; &#x30B7;&#x30E3;&#x30C9;&#x30A6; &#x30B5;&#x30A4;&#x30BA;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F; 32 &#x304B;&#x3089; 2048 &#x306E;&#x9593;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: 256</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationRSMSize     Integer    default: 256   --  integer</code></pre><p>&#x9593;&#x63A5;&#x5149;&#x306E; RSM &#x30B5;&#x30A4;&#x30BA;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F; 32 &#x304B;&#x3089; 2048 &#x306E;&#x9593;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: 256</p>\n\
<p><a name=\"shadows-group-of-controls\"></a></p>\n\
<h2 id=\"-shadows-\">[&#x30B7;&#x30E3;&#x30C9;&#x30A6;] (Shadows)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.UseShadows     BooleanClass    default: true   --  bool</code></pre><p>&#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: true</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.SoftShadowMultiplier     Float    default: 1.0   --  float</code></pre><p>&#x30BD;&#x30D5;&#x30C8; &#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x306E;&#x30DE;&#x30EB;&#x30C1;&#x30D7;&#x30E9;&#x30A4;&#x30E4;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x3001;</p>\n\
<p>0.0 - &#x30DD;&#x30A4;&#x30F3;&#x30C8; &#x30E9;&#x30A4;&#x30C8;/&#x30CF;&#x30FC;&#x30C9; &#x30B7;&#x30E3;&#x30C9;&#x30A6;</p>\n\
<p>0.125 - &#x6700;&#x4F4E;</p>\n\
<p>0.25 - &#x4F4E;</p>\n\
<p>0.5 - &#x4E2D;</p>\n\
<p>1.0 - &#x65E2;&#x5B9A;&#x5024;</p>\n\
<p>2.0 - &#x9AD8;&#x54C1;&#x8CEA;</p>\n\
<p>4.0 - &#x9AD8;&#x54C1;&#x8CEA;</p>\n\
<p>8.0 - &#x9AD8;&#x54C1;&#x8CEA;</p>\n\
<p>16.0 - &#x6700;&#x9AD8;&#x54C1;&#x8CEA;</p>\n\
<p>&#x305D;&#x306E;&#x4ED6;&#x306E;&#x5024;&#x306F;&#x3059;&#x3079;&#x3066;&#x7121;&#x8996;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ShadowIntensity     Float    default: 1.0   --  float</code></pre><p>&#x30B7;&#x30E3;&#x30C9;&#x30A6;&#x5F37;&#x5EA6;/&#x30D5;&#x30A7;&#x30FC;&#x30C9;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5024;&#x306E;&#x7BC4;&#x56F2;&#x306F; 0.0 &#x304B;&#x3089; 1.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; 1.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2013 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.AmbientOcclusionEnabled     BooleanClass    default: false   --  bool</code></pre><p>&#x30A2;&#x30F3;&#x30D3;&#x30A8;&#x30F3;&#x30C8; &#x30AA;&#x30AF;&#x30EB;&#x30FC;&#x30B8;&#x30E7;&#x30F3;&#x3092;&#x4F7F;&#x7528;&#x53EF;&#x80FD;/&#x4F7F;&#x7528;&#x4E0D;&#x80FD;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: false</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.AmbientOcclusionIntensity     Float    default: 1.0   --  float</code></pre><p>&#x30A2;&#x30F3;&#x30D3;&#x30A8;&#x30F3;&#x30C8; &#x30AA;&#x30AF;&#x30EB;&#x30FC;&#x30B8;&#x30E7;&#x30F3;&#x5F37;&#x5EA6;/&#x30D5;&#x30A7;&#x30FC;&#x30C9;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5024;&#x306E;&#x7BC4;&#x56F2;&#x306F; 0.0 &#x304B;&#x3089; 2.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; 1.0 &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.AmbientOcclusionRadius     Float    default: 3.0   --  float</code></pre><p>&#x30A2;&#x30F3;&#x30D3;&#x30A8;&#x30F3;&#x30C8; &#x30AA;&#x30AF;&#x30EB;&#x30FC;&#x30B8;&#x30E7;&#x30F3;&#x306E;&#x534A;&#x5F84;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5024;&#x306E;&#x7BC4;&#x56F2;&#x306F; 0.0 &#x304B;&#x3089; 200.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; 3.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"reflections-group-of-controls\"></a></p>\n\
<h2 id=\"-reflections-\">[&#x53CD;&#x5C04;] (Reflections)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsEnabled     BooleanClass    default: true   --  bool</code></pre><p>&#x53CD;&#x5C04;&#x306E;&#x8A08;&#x7B97;&#x3092;&#x4F7F;&#x7528;&#x53EF;&#x80FD;/&#x4F7F;&#x7528;&#x4E0D;&#x80FD;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: true</p>\n\
<hr>\n\
<p>&#x3053;&#x308C;&#x3089;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x3001;<strong>3ds Max 2021.3 Update &#x4EE5;&#x964D;&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsUseNodesList : boolean : Read|Write</code></pre><p>&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30EA;&#x30B9;&#x30C8;&#x306B;&#x57FA;&#x3065;&#x3044;&#x3066;&#x30C0;&#x30A4;&#x30CA;&#x30DF;&#x30C3;&#x30AF;&#x53CD;&#x5C04;&#x7528;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x9078;&#x629E;&#x3092;&#x6709;&#x52B9;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x64CD;&#x4F5C;&#x3067;&#x306F;&#x3001;&#x30EA;&#x30B9;&#x30C8;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x542B;&#x3081;&#x308B;&#x304B;&#x3001;&#x9664;&#x5916;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;&#x30CE;&#x30FC;&#x30C9; &#x30EA;&#x30B9;&#x30C8;&#x3092;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x65B9;&#x6CD5;&#x306B;&#x3064;&#x3044;&#x3066;&#x306F;&#x3001;&#x4EE5;&#x4E0B;&#x306E; <code>SetReflectionsNodesIncludeList()</code> &#x3068; <code>SetReflectionsNodesExcludeList()</code> &#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsMaterialIDEnabled : boolean : Read|Write</code></pre><p><code>.ReflectionsMaterialID</code> (&#x4E0B;&#x8A18;)&#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB; ID &#x306B;&#x57FA;&#x3065;&#x3044;&#x3066;&#x3001;&#x30C0;&#x30A4;&#x30CA;&#x30DF;&#x30C3;&#x30AF;&#x53CD;&#x5C04;&#x7528;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x9078;&#x629E;&#x3092;&#x6709;&#x52B9;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsMaterialID : integer : Read|Write|Validated by Range: 0 to 65535</code></pre><p><code>.ReflectionsMaterialIDEnabled</code> &#x304C; <strong>true</strong> &#x306E;&#x5834;&#x5408;&#x306B;&#x3001;&#x30C0;&#x30A4;&#x30CA;&#x30DF;&#x30C3;&#x30AF;&#x53CD;&#x5C04;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x8B58;&#x5225;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB; ID &#x3092;&#x6307;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsObjectIDEnabled : boolean : Read|Write</code></pre><p>&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8; ID &#x306B;&#x57FA;&#x3065;&#x3044;&#x3066;&#x30C0;&#x30A4;&#x30CA;&#x30DF;&#x30C3;&#x30AF;&#x53CD;&#x5C04;&#x7528;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x9078;&#x629E;&#x3092;&#x6709;&#x52B9;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ReflectionsObjectID : integer : Read|Write|Validated by Range: 0 to 65535</code></pre><p><code>.ReflectionsObjectIDEnabled</code> &#x304C; <strong>true</strong> &#x306E;&#x5834;&#x5408;&#x306B;&#x3001;&#x30C0;&#x30A4;&#x30CA;&#x30DF;&#x30C3;&#x30AF;&#x53CD;&#x5C04;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8; ID &#x3092;&#x6307;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetReflectionsNodesIncludeList &lt;&amp;node array&gt;in_nodes_array_by_reference_set_as_include_list\n\
       in_nodes_array_by_reference_set_as_include_list is In and Out parameter</code></pre><p>&#x53CD;&#x5C04;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30EA;&#x30B9;&#x30C8;&#x3092; <code>in_nodes_array_by_reference_set_as_include_list</code> &#x3067;&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30CE;&#x30FC;&#x30C9;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;  <strong>3ds Max 2021.3 Update &#x4EE5;&#x964D;&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.SetReflectionsNodesExcludeList &lt;&amp;node array&gt;in_nodes_array_by_reference_set_as_exclude_list\n\
       in_nodes_array_by_reference_set_as_exclude_list is In and Out parameter</code></pre><p>&#x53CD;&#x5C04;&#x3067;&#x9664;&#x5916;&#x3059;&#x308B;&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30EA;&#x30B9;&#x30C8;&#x3092; <code>in_nodes_array_by_reference_set_as_exclude_list</code> &#x3067;&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30CE;&#x30FC;&#x30C9;&#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;&lt;Quicksilver_Hardware_Renderer&gt;.GetReflectionsNodesList &lt;&amp;node array&gt;out_nodes_array_by_reference\n\
       out_nodes_array_by_reference is In and Out parameter</code></pre><p>&#x30C0;&#x30A4;&#x30CA;&#x30DF;&#x30C3;&#x30AF;&#x306A;&#x30B7;&#x30FC;&#x30F3;&#x306E;&#x53CD;&#x5C04;&#x306B;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30EA;&#x30B9;&#x30C8;&#x3092; <code>out_nodes_array_by_reference</code> &#x306B;&#x5165;&#x529B;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x3001;&#x300C;include&#x300D;&#x30EA;&#x30B9;&#x30C8;&#x306E;&#x5834;&#x5408;&#x306F; <strong>true</strong> &#x3092;&#x8FD4;&#x3057;&#x3001;&#x300C;exclude&#x300D;&#x30EA;&#x30B9;&#x30C8;&#x306E;&#x5834;&#x5408;&#x306F; false &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><a name=\"depth-of-field-group-of-controls\"></a></p>\n\
<h2 id=\"-dof-depth-of-field-\">[&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;(DOF)](Depth Of Field)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.DepthOfFieldEnabled     BooleanClass    default: true   --  bool</code></pre><p>&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;&#x306E;&#x8A08;&#x7B97;&#x3092;&#x4F7F;&#x7528;&#x53EF;&#x80FD;/&#x4F7F;&#x7528;&#x4E0D;&#x80FD;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: true</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.DepthOfFieldMode     Name    default: #camera   --  enum</code></pre><p>&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;&#x306E;&#x30E2;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F;&#x6B21;&#x306E;&#x3068;&#x304A;&#x308A;&#x3067;&#x3059;&#x3002;</p>\n\
<p><code>#Camera</code> (&#x65E2;&#x5B9A;&#x5024;): &#x30AB;&#x30E1;&#x30E9;&#x306E;&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;(DOF)&#x8A2D;&#x5B9A;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><code>#Override</code>: &#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306E;&#x4E0A;&#x66F8;&#x304D;&#x8A2D;&#x5B9A;(NearPlane&#x3001;FarPlane&#x3001;FocalPlane)&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.FocalPlane     Float    default: 100.0   --  float</code></pre><p>&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;&#x306E;[&#x30D5;&#x30A9;&#x30FC;&#x30AB;&#x30B9; &#x30D7;&#x30EC;&#x30FC;&#x30F3;](Focal Plane)&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; 100.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p><code>.DepthOfFieldMode</code> &#x304C; <code>#Override</code> &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x306E;&#x307F;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.fStop     Float    default: 1.0   --  float</code></pre><p>&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6; fStop &#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BokehShape     String    default: &quot;&quot;   --  filename</code></pre><p>&#x30DC;&#x30B1; &#x30B7;&#x30A7;&#x30A4;&#x30D7;&#x306E;&#x5236;&#x5FA1;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x7A7A;&#x306E;&#x6587;&#x5B57;&#x5217; &quot;&quot; (&#x65E2;&#x5B9A;)&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;&#x52B9;&#x679C;&#x306B;&#x3088;&#x3063;&#x3066;&#x5186;&#x76E4;&#x5F62;&#x306E;&#x932F;&#x4E71;&#x5186;&#x304C;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>RGB &#x304A;&#x3088;&#x3073;&#x30A2;&#x30EB;&#x30D5;&#x30A1; &#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x3092;&#x542B;&#x3080;&#x6709;&#x52B9;&#x306A;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x30A2;&#x30EB;&#x30D5;&#x30A1; &#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306B;&#x3088;&#x308A;&#x307C;&#x3051;&#x52B9;&#x679C;&#x306E;&#x30B7;&#x30A7;&#x30A4;&#x30D7;&#x304C;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2013 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>UI &#x8868;&#x793A;&#x306F;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;</strong>&#x3002;</p>\n\
<p><a name=\"hardware-shaders-cache-folder-group-of-controls\"></a></p>\n\
<h2 id=\"-hardware-shaders-cache-folder-\">[&#x30CF;&#x30FC;&#x30C9;&#x30A6;&#x30A7;&#x30A2; &#x30B7;&#x30A7;&#x30FC;&#x30C0; &#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5; &#x30D5;&#x30A9;&#x30EB;&#x30C0;](Hardware Shaders Cache Folder)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.UseShaderCacheFileSystem     BooleanClass    default: true   --  bool</code></pre><p>&#x30CF;&#x30FC;&#x30C9;&#x30A6;&#x30A7;&#x30A2; &#x30B7;&#x30A7;&#x30FC;&#x30C0; &#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5; &#x30D5;&#x30A1;&#x30A4;&#x30EB; &#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x3092;&#x4F7F;&#x7528;&#x53EF;&#x80FD;/&#x4F7F;&#x7528;&#x4E0D;&#x80FD;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;: true</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.ForceSaveShaderCacheFile()</code></pre><p>&#x30B7;&#x30A7;&#x30FC;&#x30C0; &#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5; &#x30D5;&#x30A1;&#x30A4;&#x30EB;&#x306E;&#x4FDD;&#x5B58;&#x3092;&#x5F37;&#x5236;&#x5B9F;&#x884C;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><a name=\"bloom-group-of-controls\"></a></p>\n\
<h2 id=\"-bloom-\">[&#x30D6;&#x30EB;&#x30FC;&#x30E0;] (Bloom)&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB; &#x30B0;&#x30EB;&#x30FC;&#x30D7;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomEnabled : boolean : Read|Write</code></pre><p><strong>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;&#x6709;&#x52B9;&#x53EF;(Enable Bloom)</strong>&#x8A2D;&#x5B9A;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomTintColor : point3 : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;<strong>[&#x30C6;&#x30A3;&#x30F3;&#x30C8;] (Tint)</strong>&#x30AB;&#x30E9;&#x30FC;&#x8A2D;&#x5B9A;&#x3092; RGB &#x5024;&#x3068;&#x3057;&#x3066;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomTintContribution : float : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;&#x30C6;&#x30A3;&#x30F3;&#x30C8;&#x4E57;&#x6570;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x5024;&#x306F;&#x30C6;&#x30A3;&#x30F3;&#x30C8;&#x306E;&#x5F37;&#x5EA6;&#x3092;&#x4E57;&#x7B97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomThreshold : float : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;<strong>[&#x3057;&#x304D;&#x3044;&#x5024;] (Threshold)</strong>&#x8A2D;&#x5B9A;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x5024;&#x306B;&#x3088;&#x308A;&#x3001;&#x30D4;&#x30AF;&#x30BB;&#x30EB;&#x306E;&#x5F37;&#x5EA6;&#x306B;&#x57FA;&#x3065;&#x3044;&#x3066;&#x9069;&#x7528;&#x3055;&#x308C;&#x308B;&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x91CF;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3057;&#x307E;&#x3059;&#x3002;&#x5024;&#x3092;&#x5927;&#x304D;&#x304F;&#x3059;&#x308B;&#x3068;&#x3001;&#x30D5;&#x30A3;&#x30EB;&#x30BF;&#x3055;&#x308C;&#x308B;&#x30E9;&#x30A4;&#x30C8;&#x306E;&#x91CF;&#x304C;&#x5897;&#x3048;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomThresholdSmoothing : float : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;&#x3057;&#x304D;&#x3044;&#x5024;<strong>[&#x30B9;&#x30E0;&#x30FC;&#x30B8;&#x30F3;&#x30B0;] (Smoothing )</strong>&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x30A8;&#x30C3;&#x30B8;&#x3092;&#x30BD;&#x30D5;&#x30C8;&#x306B;&#x3059;&#x308B;&#x5024;&#x3067;&#x3059;&#x3002;&#x3053;&#x306E;&#x5024;&#x306F;&#x3001;&#x3057;&#x304D;&#x3044;&#x5024;&#x3092;&#x30B9;&#x30E0;&#x30FC;&#x30B8;&#x30F3;&#x30B0;&#x3059;&#x308B;&#x305F;&#x3081;&#x306E;&#x30A6;&#x30A3;&#x30F3;&#x30C9;&#x30A6;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3067;&#x3042;&#x308A;&#x3001;smoothstep &#x95A2;&#x6570;&#x306B;&#x3088;&#x3063;&#x3066;&#x8A08;&#x7B97;&#x3055;&#x308C;&#x307E;&#x3059;(<code>float brightness = smoothstep(Threshold, Threshold + ThresholdSmoothing, pixelLuminance)</code>)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomStrength : float : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x52B9;&#x679C;&#x5168;&#x4F53;&#x3092;&#x4E57;&#x7B97;&#x3059;&#x308B;&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;<strong>[&#x5F37;&#x5EA6;] (Strength)</strong>&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomRadius : integer : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;<strong>[&#x534A;&#x5F84;] (Radius)</strong>&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x52B9;&#x679C;&#x306E;&#x5E45;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3057;&#x307E;&#x3059;&#x3002;&#x5024;&#x304C;&#x5927;&#x304D;&#x3044;&#x307B;&#x3069;&#x3001;&#x52B9;&#x679C;&#x304C;&#x5E83;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;&#x6709;&#x52B9;&#x306A;&#x8A2D;&#x5B9A;&#x306F; 1 &#x304B;&#x3089; 10 &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomQuality : enum : Read|Write\n\
       BloomQuality enums: {#Gaussian_3x3|#Gaussian_5x5|#Gaussian_7x7|#Gaussian_9x9}</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;<strong>[&#x54C1;&#x8CEA;] (Quality)</strong>&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x5217;&#x6319;&#x5024;&#x306F;&#x3001;UI &#x306E; 1 &#xFF5E; 4 &#x306E;&#x30B9;&#x30E9;&#x30A4;&#x30C0;&#x5024;&#x306B;&#x5BFE;&#x5FDC;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x3001;&#x30AC;&#x30A6;&#x30B9; &#x30AB;&#x30FC;&#x30CD;&#x30EB; &#x30D5;&#x30A3;&#x30EB;&#x30BF;&#x306B;&#x57FA;&#x3065;&#x3044;&#x3066;&#x3001;&#x30D6;&#x30E9;&#x30FC;&#x3001;&#x30C7;&#x30A3;&#x30C6;&#x30FC;&#x30EB;&#x3001;&#x30CE;&#x30A4;&#x30BA;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3057;&#x307E;&#x3059;&#x3002;&#x5024;&#x304C;&#x5927;&#x304D;&#x3044;&#x307B;&#x3069;&#x3001;&#x54C1;&#x8CEA;&#x306F;&#x5411;&#x4E0A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomDirtMapEnabled : boolean</code></pre><p>&#x6C5A;&#x308C;&#x30DE;&#x30C3;&#x30D7;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;<strong>true</strong> &#x306E;&#x5834;&#x5408;&#x3001;<code>.BloomDirtMap</code> &#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x6C5A;&#x308C;&#x30DE;&#x30C3;&#x30D7;&#x304C;&#x3001;<code>.BloomDirtContribution</code> &#x3067;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x4E57;&#x6570;&#x3068;&#x5171;&#x306B;&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x52B9;&#x679C;&#x306B;&#x9069;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomDirtMap : texturemap : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;&#x6C5A;&#x308C;&#x30DE;&#x30C3;&#x30D7;&#x3068;&#x3057;&#x3066;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3; &#x30DE;&#x30C3;&#x30D7;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x6C5A;&#x308C;&#x30DE;&#x30C3;&#x30D7;&#x306F;&#x3001;&#x30AB;&#x30E1;&#x30E9; &#x30EC;&#x30F3;&#x30BA;&#x306E;&#x6C5A;&#x308C;&#x3084;&#x30B9;&#x30AF;&#x30E9;&#x30C3;&#x30C1;&#x306E;&#x5916;&#x89B3;&#x3092;&#x6A21;&#x5023;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomDirtContribution : float : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;&#x6C5A;&#x308C;&#x30DE;&#x30C3;&#x30D7;&#x306E;&#x5F71;&#x97FF;&#x4E57;&#x6570;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomApplyOnBackground : boolean : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x306E;<strong>[&#x30D0;&#x30C3;&#x30AF;&#x30B0;&#x30E9;&#x30A6;&#x30F3;&#x30C9;&#x306B;&#x9069;&#x7528;](Apply on Background)</strong>&#x306E;&#x8A2D;&#x5B9A;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomShowBloomPass : boolean : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0; &#x30D1;&#x30B9;&#x306E;&#x307F;&#x3092;&#x8868;&#x793A;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x30C7;&#x30D0;&#x30C3;&#x30B0;&#x7528;&#x3067;&#x3042;&#x308A;&#x3001;UI &#x3067;&#x306F;&#x516C;&#x958B;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomShowFilterPass : boolean : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0; &#x30D5;&#x30A3;&#x30EB;&#x30BF;&#x30EA;&#x30F3;&#x30B0; &#x30D1;&#x30B9;&#x306E;&#x307F;&#x3092;&#x8868;&#x793A;&#x3059;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x30C7;&#x30D0;&#x30C3;&#x30B0;&#x7528;&#x3067;&#x3042;&#x308A;&#x3001;UI &#x3067;&#x306F;&#x516C;&#x958B;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.BloomShowRadiusPassNumber : integer : Read|Write</code></pre><p>&#x30D6;&#x30EB;&#x30FC;&#x30E0;&#x534A;&#x5F84;&#x306E;&#x30D1;&#x30B9;&#x756A;&#x53F7;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;0 &#x4EE5;&#x4E0A;&#x306E;&#x5834;&#x5408;&#x3001;&#x30D1;&#x30B9;&#x306F;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x306B;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306F;&#x30C7;&#x30D0;&#x30C3;&#x30B0;&#x7528;&#x3067;&#x3042;&#x308A;&#x3001;UI &#x3067;&#x306F;&#x516C;&#x958B;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<p><a name=\"update-render-setup-dialog\"></a></p>\n\
<h2 id=\"-\">&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;&#x8A2D;&#x5B9A;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0;&#x306E;&#x66F4;&#x65B0;</h2><p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.CommitParameters()</code></pre><p>&#x3059;&#x3079;&#x3066;&#x306E;&#x5909;&#x66F4;&#x3092;&#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306E; UI &#x306B;&#x30B3;&#x30DF;&#x30C3;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.UpdateUI()</code></pre><p>&#x30EC;&#x30F3;&#x30C0;&#x30E9;&#x30FC;&#x306E; UI &#x3092;&#x66F4;&#x65B0;&#x3057; MAXScript &#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x884C;&#x308F;&#x308C;&#x305F;&#x5909;&#x66F4;&#x3092;&#x53CD;&#x6620;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;void&gt;&lt;Quicksilver_Hardware_Renderer&gt;.RunUnitTests()</code></pre><p>&#x5185;&#x90E8;&#x3067;&#x306E;&#x307F;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>3ds Max 2012 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"features-removed-from-3ds-max-2012\"></a></p>\n\
<h2 id=\"3ds-max-2012-\">3ds Max 2012 &#x304B;&#x3089;&#x524A;&#x9664;&#x3055;&#x308C;&#x305F;&#x6A5F;&#x80FD;</h2><p><a name=\"image-precision-antialiasing\"></a></p>\n\
<h3 id=\"-\">&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x7CBE;&#x5EA6; (&#x30A2;&#x30F3;&#x30C1;&#x30A8;&#x30A4;&#x30EA;&#x30A2;&#x30B7;&#x30F3;&#x30B0;)</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.HardwareSamplingQuality : enum : Read|Write\n\
\n\
HardwareSamplingQuality enums: {#None|#2X|#4X|#8X}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>&#x30CF;&#x30FC;&#x30C9;&#x30A6;&#x30A7;&#x30A2; &#x30B5;&#x30F3;&#x30D7;&#x30EA;&#x30F3;&#x30B0;&#x54C1;&#x8CEA;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002; &#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x30B0;&#x30E9;&#x30D5;&#x30A3;&#x30C3;&#x30AF; &#x30CF;&#x30FC;&#x30C9;&#x30A6;&#x30A7;&#x30A2;&#x304C;&#x5B9F;&#x884C;&#x3059;&#x308B;&#x30A2;&#x30F3;&#x30C1;&#x30A8;&#x30A4;&#x30EA;&#x30A2;&#x30B7;&#x30F3;&#x30B0;&#x306E;&#x54C1;&#x8CEA;&#x304C;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; <code>#None.</code> &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.SoftwareSamplingQuality : enum : Read|Write\n\
\n\
SoftwareSamplingQuality enums: {#None|#4X|#16X}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>&#x30BD;&#x30D5;&#x30C8;&#x30A6;&#x30A7;&#x30A2; &#x30B5;&#x30F3;&#x30D7;&#x30EA;&#x30F3;&#x30B0;&#x54C1;&#x8CEA;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002; &#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x30CF;&#x30FC;&#x30C9;&#x30A6;&#x30A7;&#x30A2;&#x306E;&#x30A2;&#x30F3;&#x30C1;&#x30A8;&#x30A4;&#x30EA;&#x30A2;&#x30B7;&#x30F3;&#x30B0;&#x306B;&#x52A0;&#x3048;&#x3066;&#x3001;CPU &#x304C;&#x5B9F;&#x884C;&#x3059;&#x308B;&#x30A2;&#x30F3;&#x30C1;&#x30A8;&#x30A4;&#x30EA;&#x30A2;&#x30B7;&#x30F3;&#x30B0;&#x306E;&#x54C1;&#x8CEA;&#x304C;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; <code>#None.</code> &#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"lighting-indirect-illumination\"></a></p>\n\
<h3 id=\"-\">&#x7167;&#x660E; - &#x9593;&#x63A5;&#x5149;</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.IndirectIlluminationSamples : float : Read|Write|Validated by Range: 0.001 to 1.0</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>&#x9593;&#x63A5;&#x5149;&#x306E;&#x30B5;&#x30F3;&#x30D7;&#x30EB;&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6709;&#x52B9;&#x306A;&#x5024;&#x306F; 0.001 &#x304B;&#x3089; 1.0 &#x306E;&#x9593;&#x3067;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; 1.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"transparency-reflections\"></a></p>\n\
<h3 id=\"-\">&#x900F;&#x660E;&#x5EA6; / &#x53CD;&#x5C04;</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.TransparencyMode : enum : Read|Write\n\
\n\
TransparencyMode enums: {#Simple|#Best}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>&#x7570;&#x65B9;&#x6027;&#x53CD;&#x5C04;&#x30E2;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; <code>#Simple</code> &#x3067;&#x3059;&#x3002;</p>\n\
<p><a name=\"depth-of-field\"></a></p>\n\
<h3 id=\"-dof-\">&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6; (DOF)</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.NearPlane : float : Read|Write</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;&#x306E;[&#x8FD1;&#x63A5;&#x5E73;&#x9762;](Near Plane)&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; 90.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p><code>.DepthOfFieldMode</code> &#x304C; <code>#Override</code> &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x306E;&#x307F;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.FarPlane : float : Read|Write</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>&#x88AB;&#x5199;&#x754C;&#x6DF1;&#x5EA6;&#x306E;[&#x9060;&#x65B9;&#x5E73;&#x9762;](Far Plane)&#x306E;&#x5024;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; 110.0 &#x3067;&#x3059;&#x3002;</p>\n\
<p><code>.DepthOfFieldMode</code> &#x304C; <code>#Override</code> &#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306B;&#x306E;&#x307F;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><a name=\"other-properties-not-exposed-to-the-ui\"></a></p>\n\
<h3 id=\"-ui-\">&#x305D;&#x306E;&#x4ED6;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3; (UI &#x306B;&#x516C;&#x958B;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x3082;&#x306E;)</h3><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.LightingMode : enum : Read|Write\n\
\n\
LightingMode enums: {#Deferred| #Forward}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>&#x30E9;&#x30A4;&#x30C8;&#x30E2;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; <code>#Deferred</code> &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;Quicksilver_Hardware_Renderer&gt;.ShadingMode : enum : Read|Write\n\
\n\
ShadingMode enums: {#Luminance| #Illuminance}</code></pre><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt>&#x30B7;&#x30A7;&#x30FC;&#x30C7;&#x30A3;&#x30F3;&#x30B0; &#x30E2;&#x30FC;&#x30C9;&#x3092;&#x53D6;&#x5F97;/&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65E2;&#x5B9A;&#x5024;&#x306F; <code>#Luminance</code> &#x3067;&#x3059;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../RendererClass.html\">RendererClass</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Default_Scanline_Renderer.html\">Default_Scanline_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"VUE_File_Renderer-RendererClass.html\">VUE_File_Renderer : RendererClass</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">レンダラー</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";