var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7BC5A515-913D-45D2-A45F-43792D828055\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Mixin インタフェースとは</h1></div><p><strong>Mixin インタフェース</strong> は、プラグインが自身の機能を公開し、他のプラグインまたは MAXScript からそのプラグインの機能を利用できるようにするものです。</p>\n\
<p>「Mixin」というのは、<strong>インタフェースはプラグイン クラス</strong>のサブクラス であり、プラグインと<strong>「組み合わせて」</strong>使用するものであるという考えを表します。 </p>\n\
<p>Mixin インタフェースのメソッドにアクセスする方法は次の 2 つです。</p>\n\
<ul>\n\
<li>スタントアロン インタフェースとしてこのメソッドは、通常は実効速度が非常に高速です。この場合は、次の例に示すように、動作が行われるオブジェクトを最初の引数として指定します。<code>someInterface.someMethod $MyObject01 1 2</code></li>\n\
<li>特定のオブジェクトのインタフェースとして使用する場合は、次のように使用します。<code>$MyObject01.someInterface.someMethod 1 2</code></li>\n\
</ul>\n\
<p>2 番目の方法を使用する場合には、Mixin インタフェースによって公開されるプロパティおよびメソッドに対しては、インタフェースの名前を明示的に指定することなく、次の例に示すように、インタフェースを公開しているオブジェクトのプロパティおよびメソッドとして直接アクセスすることができます。<code>$MyObject01.someMethod 1 2</code></p>\n\
<p>MAXScript はオブジェクト自体およびそのすべてのインタフェース内を検索してプロパティまたは名前を検出します。あるオブジェクトの複数のインタフェースが同じ名前のプロパティまたはメソッドを公開している場合は、明示的にインタフェースを指定することによって、名前の衝突を解決することができます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Syntax-and-Terminology.html\">MAXScript の構文と用語</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";