var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B94A1094-002C-4A7D-B5DD-AF5AB3435041\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30DC;&#x30EA;&#x30E5;&#x30FC;&#x30E0;&#x3092;&#x8A08;&#x7B97;&#x3059;&#x308B;&#x65B9;&#x6CD5;&#x306F;&#x3042;&#x308A;&#x307E;&#x3059;&#x304B;&#x3002;</h1></div><p>&#x73FE;&#x5728;&#x3001;MAXScript &#x304B;&#x3089; Measure Utility &#x3078;&#x306F;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002; &#x3057;&#x304B;&#x3057;&#x3001;&#x6B21;&#x306E; MAXScript &#x95A2;&#x6570;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x540C;&#x3058;&#x7D50;&#x679C;&#x3092;&#x5F97;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    fn CalculateVolumeAndCenterOfMass obj =\n\
    (\n\
    local Volume= 0.0\n\
    local Center= [0.0, 0.0, 0.0]\n\
    local theMesh = snapshotasmesh obj\n\
    local numFaces = theMesh.numfaces\n\
    for i = 1 to numFaces do\n\
    (\n\
      local Face= getFace theMesh i\n\
      local vert2 = getVert theMesh Face.z\n\
      local vert1 = getVert theMesh Face.y\n\
      local vert0 = getVert theMesh Face.x\n\
      local dV = Dot (Cross (vert1 - vert0) (vert2 - vert0)) vert0\n\
      Volume+= dV\n\
      Center+= (vert0 + vert1 + vert2) * dV\n\
    )\n\
    delete theMesh\n\
    Volume /= 6\n\
    Center /= 24\n\
    Center /= Volume\n\
    #(Volume,Center)\n\
    )\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    --Call the function on a geometry object - the result will be a list\n\
    --containing the Volume and the Center of mass in local space.\n\
    s = sphere()\n\
    theVolAndCom = CalculateVolumeAndCenterOfMass $Sphere001\n\
    --To get the world space of the Center of Mass just like in the Utility,\n\
    --you have to do some extra work:\n\
    theComInWorld = theVolAndCom[2] * $Sphere001.objectTransform\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Working-with-MAXScript-Values.html\">MAXScript 値の操作</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Point3-Values.html\">Point3 値</a></li>\n\
          <li><a class=\"link\" href=\"../../Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";