var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0030AA3F-47D9-4FDD-8517-5F7902884B37\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>処理速度を上げる方法</h1></div><p>この章では、コーディングによって処理速度を最大限に上げるための一般的な規則やアプローチについて説明します。MAXScript は記述どおりに作業を実行しますが、開発者の記述スタイルによって処理速度が非常に上がったり下がったりします。</p>\n\
<p>また、処理速度を上げるためにスクリプトを最適化することで、他の人が読んだり、他の開発者がメンテナンスしやすいすっきりとしたコードに改良できます。</p>\n\
<h2 id=\"-\">トピック:</h2><p><a href=\"How-To-Make-It-Faster-/Disable-Viewport-Redraws-when.html\">シーン オブジェクトに変更を加えるときに、[ビューポートの再描画](Viewport Redraws)を使用不可にする</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Disable-Undo-system-when.html\">可能な場合は[元に戻す]を使用不可にする</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Modify-Panel-can-be-slow-change.html\">[修正]パネルの速度が低下する可能性 - 可能な場合は[作成]パネルに変更する</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Use-the-flagForeground-node.html\">「flagForeground」ノードのビューポート状態のメソッドを使用する</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\">ライン全体を取得できる場合は単一ピクセルを取得しない</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Only-calculate-once-if-possible.html\">可能であれば計算の実行は 1 回だけにする</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Cache-frequently-used-functions.html\">頻繁に使用する関数とオブジェクトをキャッシュする</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Dice-your-data-into-smaller.html\">データをより小さく切り分ける</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Use-bitArrays-instead-of-Arrays.html\">可能な場合は配列ではなく bitArray を使用する</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Pre-initialize-arrays-when-final.html\">最終的なサイズがわかっている場合は、配列をあらかじめ初期化しておく</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Recursive-functions-can-be.html\">再帰関数を使用する</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/matchPattern-is-faster-than.html\">matchPattern は findString より高速である</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\">return、break、exit、continue を使用しない</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\">StringStream を使用して巨大文字列を構築する</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Use-name-values-instead-of.html\">可能な場合は文字列の代わりに名前の値を使用する</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Try-not-to-use-Execute-function.html\">別の方法がある場合は実行関数を使用しない</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\">インデックスを使用する for ループとコレクションを使用する for ループのパフォーマンス比較</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/For-Loop-Collect-Vs-For-Loop-Do.html\">for ... collect と for ... do のパフォーマンスの比較</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\">パーティクル フロー Script オペレータの for ループを最適化して処理速度を上げる</a></p>\n\
<p><a href=\"How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Bsearch を使用してテーブル検索を高速化する</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Cache-frequently-used-functions.html\">頻繁に使用する関数とオブジェクトをキャッシュする</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Dice-your-data-into-smaller.html\">データをより小さく切り分ける</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Disable-Undo-system-when.html\">可能な場合は[元に戻す]を使用不可にする</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Disable-Viewport-Redraws-when.html\">シーン オブジェクトに変更を加えるときに、[ビューポートの再描画]を使用不可にする</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\">return、break、exit、continue を使用しない</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\">インデックスを使用する for ループとコレクションを使用する for ループのパフォーマンス比較</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/For-Loop-Collect-Vs-For-Loop-Do.html\">for ... collect と for ... do のパフォーマンスの比較</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/matchPattern-is-faster-than.html\">matchPattern は findString より高速である</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Modify-Panel-can-be-slow-change.html\">[修正]パネルの速度が低下する可能性 - 可能な場合は[作成]パネルに変更する</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\">ライン全体を取得できる場合は単一ピクセルを取得しない</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Only-calculate-once-if-possible.html\">可能であれば計算の実行は 1 回だけにする</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\">パーティクル フロー Script オペレータの for ループを最適化して処理速度を上げる</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Pre-initialize-arrays-when-final.html\">最終的なサイズがわかっている場合は、配列をあらかじめ初期化しておく</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Recursive-functions-can-be.html\">再帰関数を使用する</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Try-not-to-use-Execute-function.html\">別の方法がある場合は実行関数を使用しない</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Use-bitArrays-instead-of-Arrays.html\">可能な場合は配列ではなく bitArray を使用する</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Use-name-values-instead-of.html\">可能な場合は文字列の代わりに名前の値を使用する</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\">StringStream を使用して巨大文字列を構築する</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Use-the-flagForeground-node.html\">「flagForeground」ノードのビューポート状態のメソッドを使用する</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\">Bsearch を使用してテーブル検索を高速化する</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Writing-Better-and-Faster.html\">高速で優れたスクリプトの作成</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"How-To-Make-It-Better-.html\">より適切な処理方法</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";