var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-75BB21C9-2283-49BD-853C-78006717FBE2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>シーン オブジェクトに変更を加えるときに、[ビューポートの再描画]を使用不可にする</h1></div><p>MAXScript を使用してオブジェクトを変更した場合、<strong>3ds Max</strong> はビューポートでの変更をできる限り速やかに更新しようとします。変更点が多く、ループで迅速に処理する場合には、すべての変更が完了するまで再描画を使用不可にすべきです。</p>\n\
<p><strong><code>with redraw off()</code> コンテキスト、または <code>disableSceneRedraw()</code> と <code>enableSceneRedraw()</code></strong> 呼び出しのペアを使用すると、コードの処理速度を上げることができます。前者の方法をお勧めします。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/redraw-Context.html\">redraw コンテキスト</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Refreshing-the-Viewports.html\">ビューポートのリフレッシュ</a></p>\n\
<p><strong>次のヒント</strong></p>\n\
<p><a href=\"Disable-Undo-system-when.html\">可能な場合は[元に戻す]を使用不可にする</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">処理速度を上げる方法</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";