var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E2FA13DE-C491-4244-A7AA-62631FB03CA4\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>可能な場合は配列ではなく bitArray を使用する</h1></div><p>多くのメッシュ関連メソッドは bitArray で動作します。bitArray では、true フラグと false フラグのみが保存されて非常にメモリ効率が良いのですが、bitArray への新規要素追加は、通常の配列への新規要素追加よりもずっと低速です。</p>\n\
<p>bitArray のサイズが固定されている場合 (たとえば別のメソッドによって返される場合) は、通常の配列を使用するより bitArray を使用する方が適切です。</p>\n\
<p>配列または bitArray の最終サイズがわかっている場合は、以下で説明するように配列を事前に宣言し、最終要素に値を割り当てて多くの要素用にメモリを確保できます。その後、要素にインデックスでアクセスして bitArray の配列の値を設定すると、非常に速くなります。このケースでも、true と false の値しか必要にならない場合は bitArray を使用します。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\">BitArray 値</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">配列の値</a></p>\n\
<p><strong>前のヒント</strong></p>\n\
<p><a href=\"Dice-your-data-into-smaller.html\">データをより小さく切り分ける</a></p>\n\
<p><strong>次のヒント</strong></p>\n\
<p><a href=\"Pre-initialize-arrays-when-final.html\">最終的なサイズがわかっている場合は、配列をあらかじめ初期化しておく</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Make-It-Faster-.html\">処理速度を上げる方法</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";