var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-89495341-DEA2-41D9-BFBB-543006E64CA2\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x306E;&#x958B;&#x767A; - &#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x5F37;&#x5316;</h1></div><p>&#x3053;&#x306E;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x958B;&#x767A;&#x306E;&#x624B;&#x9806;&#x3067;&#x306F;&#x3001;&#x3088;&#x308A;&#x3088;&#x3044;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x63CF;&#x753B;&#x306E;&#x30B3;&#x30FC;&#x30C9;&#x3092;&#x8FFD;&#x52A0;&#x3057;&#x3001;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x304C;&#x70B9;&#x7DDA;&#x72B6;&#x306B;&#x306A;&#x3089;&#x306A;&#x3044;&#x3088;&#x3046;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x5168;&#x4F53;&#x306E;&#x6D41;&#x308C;</strong></p>\n\
<p>&#x65B0;&#x3057;&#x3044;&#x95A2;&#x6570;&#x3092;&#x8FFD;&#x52A0;&#x3059;&#x308B;&#x3053;&#x3068;&#x306B;&#x3088;&#x3063;&#x3066;&#x65E2;&#x5B58;&#x306E; MacroScript &#x3092;&#x62E1;&#x5F35;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x65B0;&#x3057;&#x3044;&#x95A2;&#x6570;&#x306B;&#x306F;&#x30DE;&#x30A6;&#x30B9;&#x306E;&#x5143;&#x306E;&#x4F4D;&#x7F6E;&#x3068;&#x65B0;&#x3057;&#x3044;&#x4F4D;&#x7F6E;&#x3092;&#x6E21;&#x3057;&#x307E;&#x3059;&#x3002; 2 &#x3064;&#x306E;&#x5730;&#x70B9;&#x306E;&#x9593;&#x306B;&#x7DDA;&#x304C;&#x5F15;&#x304B;&#x308C;&#x3001;&#x305D;&#x308C;&#x304C;&#x9023;&#x7D9A;&#x3057;&#x305F;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">macroScript MicroPaint category: &quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try (destroyDialog MicroPaint_CanvasRollout) catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
local currentPos = lastPos = [0,0]\n\
\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
  bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
  fn paintBrush pos = ( setPixels theCanvasBitmap pos #(color 0 0 0) )\n\
  fn drawStroke lastPos pos =\n\
  (\n\
    currentPos = lastPos\n\
    deltaX = pos.x - lastPos.x\n\
    deltaY = pos.y - lastPos.y\n\
    maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
    deltaStepX = deltaX / maxSteps\n\
    deltaStepY = deltaY / maxSteps\n\
    for i = 0 to maxSteps do\n\
    (\n\
      paintBrush currentPos\n\
      currentPos += [deltaStepX, deltaStepY]\n\
    ) \n\
    theCanvas.bitmap = theCanvasBitmap\n\
  )\n\
  on MicroPaint_CanvasRollout lbuttondown pos do\n\
  (\n\
    lastPos = pos\n\
    isDrawing = true\n\
    drawStroke lastPos pos\n\
  )\n\
  on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
  on MicroPaint_CanvasRollout mousemove pos do\n\
  (\n\
    if isDrawing do drawStroke lastPos pos\n\
    lastPos = pos\n\
  )\n\
)\n\
createDialog MicroPaint_CanvasRollout bitmapX bitmapY\n\
)\n\
</code></pre><h2 id=\"-\">&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x3054;&#x3068;&#x306E;&#x89E3;&#x8AAC;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version. macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog CanvasRollout)catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white local currentPos = lastPos = [0,0]</code></pre><p>&#x6700;&#x521D;&#x306B;&#x884C;&#x3046;&#x3079;&#x304D;&#x5909;&#x66F4;&#x306F;&#x3001;&#x73FE;&#x5728;&#x306E;&#x4F4D;&#x7F6E;&#x3068;&#x76F4;&#x524D;&#x306E;&#x65E2;&#x77E5;&#x306E;&#x4F4D;&#x7F6E;&#x306E;&#x5909;&#x6570;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x3053;&#x3068;&#x3067;&#x3059;&#x3002;&#x3053;&#x308C;&#x3089;&#x306E;&#x5909;&#x6570;&#x306F;&#x3001;&#x73FE;&#x5728;&#x306E;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x3092;&#x8FFD;&#x8DE1;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3069;&#x3061;&#x3089;&#x3082;[0,0]&#x306B;&#x521D;&#x671F;&#x5316;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rolloutMicroPaint_CanvasRollout &quot;MicroPaint&quot; ( bitmap theCanvas pos:[0,0] width:400 height:400 bitmap:theCanvasBitmap fn paintBrush pos = ( setPixels theCanvasBitmap pos #(black) )</code></pre><p>paintBrush &#x95A2;&#x6570;&#x3092;&#x7C21;&#x7D20;&#x5316;&#x3057;&#x307E;&#x3059;&#x3002;&#x70B9;&#x3092;&#x63CF;&#x753B;&#x3059;&#x308B;&#x3060;&#x3051;&#x3067;&#x3001;&#x30AD;&#x30E3;&#x30F3;&#x30D0;&#x30B9;&#x306E;&#x66F4;&#x65B0;&#x306F;&#x884C;&#x3044;&#x307E;&#x305B;&#x3093;&#x3002;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x5185;&#x306B;&#x306F;&#x5927;&#x91CF;&#x306E;&#x30D6;&#x30E9;&#x30B7;&#x306E;&#x70B9;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x304C;&#x3001;&#x66F4;&#x65B0;&#x306F;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x5F8C; 1 &#x56DE;&#x3060;&#x3051;&#x306B;&#x3057;&#x3066;&#x3001;&#x30A4;&#x30F3;&#x30BF;&#x30E9;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x6027;&#x3092;&#x4FDD;&#x3061;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn drawStroke lastPos pos =\n\
(</code></pre><p>&#x30DE;&#x30A6;&#x30B9;&#x95A2;&#x9023;&#x306E;&#x30CF;&#x30F3;&#x30C9;&#x30E9;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x308B;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x63CF;&#x753B;&#x306E;&#x95A2;&#x6570;&#x3067;&#x3059;&#x3002;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x306F; 2 &#x3064;&#x306E;&#x5F15;&#x6570;&#x304C;&#x6E21;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;1 &#x3064;&#x306F;&#x76F4;&#x524D;&#x306E;&#x30DE;&#x30A6;&#x30B9;&#x4F4D;&#x7F6E;(&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x958B;&#x59CB;&#x5730;&#x70B9;)&#x3067;&#x3001;&#x3082;&#x3046; 1 &#x3064;&#x306F;&#x73FE;&#x5728;&#x306E;&#x30DE;&#x30A6;&#x30B9;&#x4F4D;&#x7F6E;(&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x7D42;&#x4E86;&#x5730;&#x70B9;)&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">currentPos = lastPos</code></pre><p>&#x73FE;&#x5728;&#x4F4D;&#x7F6E;&#x306E;&#x5909;&#x6570;&#x304C;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x958B;&#x59CB;&#x5730;&#x70B9;&#x306B;&#x521D;&#x671F;&#x5316;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x958B;&#x59CB;&#x5730;&#x70B9;&#x304B;&#x3089;&#x7D42;&#x4E86;&#x5730;&#x70B9;&#x306B;&#x5411;&#x304B;&#x3063;&#x3066;&#x7DDA;&#x3092;&#x63CF;&#x753B;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y</code></pre><p>&#x76F4;&#x524D;&#x306E;&#x4F4D;&#x7F6E;&#x304B;&#x3089;&#x65B0;&#x3057;&#x3044;&#x4F4D;&#x7F6E;&#x306B;&#x7DDA;&#x3092;&#x307E;&#x3063;&#x3059;&#x3050;&#x306B;&#x63CF;&#x753B;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;2 &#x3064;&#x306E;&#x70B9;&#x304C; X &#x8EF8;&#x3068; Y &#x8EF8;&#x306B;&#x3064;&#x3044;&#x3066;&#x305D;&#x308C;&#x305E;&#x308C;&#x3069;&#x308C;&#x304F;&#x3089;&#x3044;&#x96E2;&#x308C;&#x3066;&#x3044;&#x308B;&#x306E;&#x304B;&#x3092;&#x77E5;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">maxSteps = amax #(abs(deltaX),abs(deltaY))</code></pre><p>&#x6B21;&#x306B;&#x3001;X &#x8EF8;&#x3068; Y &#x8EF8;&#x306B;&#x3064;&#x3044;&#x3066; 2 &#x3064;&#x306E;&#x70B9;&#x306E;&#x7D76;&#x5BFE;&#x5024;&#x3092;&#x6BD4;&#x8F03;&#x3057;&#x3001;&#x3069;&#x3061;&#x3089;&#x306E;&#x5024;&#x304C;&#x5927;&#x304D;&#x3044;&#x304B;&#x3092;&#x8ABF;&#x3079;&#x307E;&#x3059;&#x3002;maxSteps &#x306F;&#x3001;X &#x8EF8;&#x307E;&#x305F;&#x306F; Y &#x8EF8;&#x306E;&#x3069;&#x3061;&#x3089;&#x304B;&#x3067;&#x306E; 2 &#x70B9;&#x9593;&#x306E;&#x30D4;&#x30AF;&#x30BB;&#x30EB;&#x6570;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps</code></pre><p>&#x3053;&#x3053;&#x3067;&#x3001;&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x3054;&#x3068;&#x306E;&#x5897;&#x5206;&#x3092; X &#x8EF8;&#x3068; Y &#x8EF8;&#x306B;&#x3064;&#x3044;&#x3066;&#x8A08;&#x7B97;&#x3057;&#x307E;&#x3059;&#x3002;maxSteps &#x304C; X &#x306B;&#x6CBF;&#x3063;&#x305F;&#x8DDD;&#x96E2;&#x3068;&#x7B49;&#x3057;&#x3044;&#x5834;&#x5408;&#x3001;deltaStepX &#x306F; +1 &#x307E;&#x305F;&#x306F; -1 &#x306B;&#x306A;&#x308A;&#x3001;deltaStepY &#x306F; 1.0 &#x672A;&#x6E80;&#x306E;&#x6570;&#x5024;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;maxSteps &#x304C; Y &#x306B;&#x6CBF;&#x3063;&#x305F;&#x8DDD;&#x96E2;&#x3068;&#x7B49;&#x3057;&#x3044;&#x5834;&#x5408;&#x3001;deltaStepY &#x306F; +1 &#x307E;&#x305F;&#x306F; -1 &#x306B;&#x306A;&#x308A;&#x3001;deltaStepX &#x306F; 1.0 &#x672A;&#x6E80;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">for i = 0 to maxSteps do\n\
(</code></pre><p>0 &#x304B;&#x3089;&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x306E;&#x6570;&#x3060;&#x3051;&#x30EB;&#x30FC;&#x30D7;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">paintBrush currentPos</code></pre><p>&#x30AB;&#x30B9;&#x30BF;&#x30E0;&#x95A2;&#x6570;&#x306E; paintBrush &#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3001;&#x73FE;&#x5728;&#x4F4D;&#x7F6E;&#x306B;&#x9ED2;&#x306E;&#x30C9;&#x30C3;&#x30C8;&#x3092;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">currentPos += [deltaStepX, deltaStepY]</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30DE;&#x30A6;&#x30B9;&#x4F4D;&#x7F6E;&#x306B;&#x306A;&#x308B;&#x307E;&#x3067;&#x3001;&#x73FE;&#x5728;&#x4F4D;&#x7F6E;&#x3092; deltaStep &#x306E;&#x5024;&#x3067;&#x5897;&#x5206;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) \n\
theCanvas.bitmap = theCanvasBitmap</code></pre><p>&#x6700;&#x5F8C;&#x306B;&#x3001;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x304C;&#x7D42;&#x4E86;&#x3057;&#x305F;&#x3089;&#x3001;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x306E;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7;&#x3092;&#x66F4;&#x65B0;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) on MicroPaint_CanvasRollout lbuttondown pos do\n\
(  \n\
lastPos = pos</code></pre><p>&#x30E6;&#x30FC;&#x30B6;&#x304C;&#x30DE;&#x30A6;&#x30B9; &#x30DC;&#x30BF;&#x30F3;&#x3092;&#x62BC;&#x3057;&#x305F;&#x3089;&#x3001;&#x305D;&#x306E;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x305F;&#x5730;&#x70B9;&#x306B;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x3092;&#x30EA;&#x30BB;&#x30C3;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">isDrawing = true drawStroke lastPos pos</code></pre><p>paintBrush &#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3059;&#x4EE3;&#x308F;&#x308A;&#x306B; drawStroke &#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3001;&#x76F4;&#x524D;&#x304A;&#x3088;&#x3073;&#x73FE;&#x5728;&#x306E;&#x4F4D;&#x7F6E;(&#x3053;&#x306E;&#x6642;&#x70B9;&#x3067;&#x306F;&#x540C;&#x3058;&#x3067;&#x3059;)&#x3092;&#x6E21;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x5730;&#x70B9;&#x3067; 1 &#x3064;&#x306E;&#x30C9;&#x30C3;&#x30C8;&#x304C;&#x63CF;&#x753B;&#x3055;&#x308C;&#x307E;&#x3059;(&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x9577;&#x3055;&#x306F; 0 &#x3067;&#x3001;deltaX &#x3068; deltaY &#x3082;&#x4E21;&#x65B9; 0 &#x3067;&#x3042;&#x308A;&#x3001;&#x3057;&#x305F;&#x304C;&#x3063;&#x3066; maxSteps &#x3082; 0 &#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x304C;&#x3001;for i &#x30EB;&#x30FC;&#x30D7;&#x306E;&#x30AB;&#x30A6;&#x30F3;&#x30C8;&#x304C; 0 &#x304B;&#x3089;&#x958B;&#x59CB;&#x3055;&#x308C;&#x308B;&#x305F;&#x3081; 1 &#x56DE;&#x3060;&#x3051;&#x30EB;&#x30FC;&#x30D7;&#x304C;&#x5B9F;&#x884C;&#x3055;&#x308C;&#x3001;&#x70B9;&#x304C;&#x63CF;&#x753B;&#x3055;&#x308C;&#x307E;&#x3059;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) on MicroPaint_CanvasRollout mousemove pos do ( if isDrawing do drawStroke lastPos pos on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false</code></pre><p>paintBrush &#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3059;&#x4EE3;&#x308F;&#x308A;&#x306B;&#x3082;&#x3046;&#x4E00;&#x5EA6; drawStroke &#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x3068;&#x304D;&#x306B;&#x306F; lastPos &#x3068; pos &#x306E;&#x5024;&#x304C;&#x7570;&#x306A;&#x308B;&#x306E;&#x3067;&#x3001;&#x9577;&#x3044;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x304C;&#x63CF;&#x753B;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">lastPos = pos</code></pre><p>&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x63CF;&#x753B;&#x5F8C;&#x3001;&#x73FE;&#x5728;&#x306E;&#x30DE;&#x30A6;&#x30B9;&#x4F4D;&#x7F6E;&#x3092; lastPos &#x5909;&#x6570;&#x306B;&#x8A18;&#x9332;&#x3057;&#x307E;&#x3059;&#x3002; &#x3053;&#x308C;&#x306F;&#x6B21;&#x306E;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x958B;&#x59CB;&#x5730;&#x70B9;&#x3068;&#x3057;&#x3066;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">)\n\
)\n\
createDialog MicroPaint_CanvasRollout bitmapX bitmapY\n\
)</code></pre><h2 id=\"-\">&#x7D50;&#x679C;</h2><p><img src=\"./images/GUID-7E7978E1-C49D-4644-85E8-0B26A37CE643-low.gif\" alt></p>\n\
<p><strong>&#x524D;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-1.html\">&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x306E;&#x958B;&#x767A; - &#x57FA;&#x672C;&#x30E6;&#x30FC;&#x30C6;&#x30A3;&#x30EA;&#x30C6;&#x30A3;</a></p>\n\
<p><strong>&#x6B21;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-3.html\">&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x306E;&#x958B;&#x767A; - &#x30D6;&#x30E9;&#x30B7;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3068;&#x30AB;&#x30E9;&#x30FC;</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">チュートリアル - ビットマップ ペイント ツールを 9 つの簡単なステップで作成する</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">チュートリアル - チュートリアルについて</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";