var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-E9C5AFAA-52A0-4274-A92C-8075C3BD0F25\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x306E;&#x958B;&#x767A; - &#x30D6;&#x30E9;&#x30B7;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3068;&#x30AB;&#x30E9;&#x30FC;</h1></div><p>&#x3053;&#x306E;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x958B;&#x767A;&#x306E;&#x624B;&#x9806;&#x3067;&#x306F;&#x3001;&#x30D6;&#x30E9;&#x30B7;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x3068;&#x30B5;&#x30A4;&#x30BA;&#x306E;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3092;&#x8FFD;&#x52A0;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x5168;&#x4F53;&#x306E;&#x6D41;&#x308C;</strong></p>\n\
<p>&#x65E2;&#x5B58;&#x306E; MacroScript &#x3092;&#x62E1;&#x5F35;&#x3057;&#x3001;&#x30A4;&#x30F3;&#x30AF; &#x30AB;&#x30E9;&#x30FC;&#x3068;&#x30D6;&#x30E9;&#x30B7; &#x30B5;&#x30A4;&#x30BA;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x305F;&#x3081;&#x306E; UI &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3092;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x306B;&#x8FFD;&#x52A0;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>paintBrush &#x95A2;&#x6570;&#x3092;&#x5909;&#x66F4;&#x3057;&#x3001;UI &#x306E;&#x30AB;&#x30E9;&#x30FC; &#x30D4;&#x30C3;&#x30AB;&#x30FC;&#x3067;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x305F;&#x30AB;&#x30E9;&#x30FC;&#x304C;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x3088;&#x3046;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>drawStroke &#x95A2;&#x6570;&#x3092;&#x62E1;&#x5F35;&#x3057;&#x3001;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x305F;&#x30B5;&#x30A4;&#x30BA;&#x306B;&#x5F93;&#x3063;&#x3066;&#x5927;&#x304D;&#x306A;&#x9577;&#x65B9;&#x5F62;&#x3092;&#x63CF;&#x753B;&#x3067;&#x304D;&#x308B;&#x3088;&#x3046;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
local currentPos = lastPos = [0,0]\n\
\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
  bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
  colorpicker inkColor height:16 modal:false color:black across:2\n\
  spinner BrushSize&quot;Size&quot;range:[1,50,10] type:#integer fieldwidth:40\n\
\n\
  fn paintBrush pos = (setPixels theCanvasBitmap pos #(inkColor.color))\n\
  fn drawStroke lastPos pos =\n\
  (\n\
    currentPos = lastPos\n\
    deltaX = pos.x - lastPos.x\n\
    deltaY = pos.y - lastPos.y\n\
    maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
    deltaStepX = deltaX / maxSteps\n\
    deltaStepY = deltaY / maxSteps\n\
    for i = 0 to maxSteps do\n\
    (\n\
      for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
        for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
          paintBrush (currentPos + [c,b])\n\
      currentPos += [deltaStepX, deltaStepY]\n\
    ) \n\
    theCanvas.bitmap = theCanvasBitmap\n\
  )\n\
  on MicroPaint_CanvasRollout lbuttondown pos do\n\
  (\n\
    lastPos = pos\n\
    isDrawing = true\n\
    drawStroke lastPos pos\n\
  )\n\
  on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
  on MicroPaint_CanvasRollout mousemove pos do\n\
  (\n\
    if isDrawing do drawStroke lastPos pos\n\
    lastPos = pos\n\
  )\n\
)\n\
createDialog MicroPaint_CanvasRollout bitmapX (bitmapY+30)\n\
)\n\
</code></pre><h2 id=\"-\">&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x3054;&#x3068;&#x306E;&#x89E3;&#x8AAC;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version. macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog CanvasRollout)catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap colorpicker inkColor height:16 modal:false color:black across:2</code></pre><p>&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x30D6;&#x30E9;&#x30B7;&#x306E;&#x30AB;&#x30E9;&#x30FC;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x30AB;&#x30E9;&#x30FC; &#x30D4;&#x30C3;&#x30AB;&#x30FC;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\">colorpicker</a></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">spinner BrushSize &quot;Size&quot; range:[1,50,10] type:#integer fieldwidth:40</code></pre><p>&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x30D6;&#x30E9;&#x30B7;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x7DE8;&#x96C6;&#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x3059;&#x3002;</p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\">&#x30B9;&#x30D4;&#x30CA;&#x30FC;</a></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn paintBrush pos = (setPixels theCanvasBitmap pos)\n\
fn drawAPoint lastPos pos =\n\
(\n\
currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
( for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
(</code></pre><p>&#x3053;&#x306E;&#x65B0;&#x3057;&#x3044;&#x30EB;&#x30FC;&#x30D7;&#x3067;&#x3001;&#x30D6;&#x30E9;&#x30B7;&#x306E;&#x7E26;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;&#x30B5;&#x30A4;&#x30BA;&#x306E;&#x534A;&#x5206;&#x306E;&#x30DE;&#x30A4;&#x30CA;&#x30B9;&#x304B;&#x3089;&#x30B5;&#x30A4;&#x30BA;&#x306E;&#x534A;&#x5206;&#x306E;&#x30D7;&#x30E9;&#x30B9;&#x307E;&#x3067;&#x3001;&#x5408;&#x308F;&#x305B;&#x3066;&#x30D5;&#x30EB; &#x30B5;&#x30A4;&#x30BA;&#x5206;&#x3092;&#x30AB;&#x30A6;&#x30F3;&#x30C8;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">for c = -BrushSize.value/2 to BrushSize.value/2 do</code></pre><p>&#x3053;&#x306E; 2 &#x3064;&#x76EE;&#x306E;&#x30EB;&#x30FC;&#x30D7;&#x3067;&#x306F;&#x3001;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x30D6;&#x30E9;&#x30B7;&#x306E;&#x5E45;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x3053;&#x3067;&#x3082;&#x3001;&#x30B5;&#x30A4;&#x30BA;&#x306E;&#x534A;&#x5206;&#x306E;&#x30DE;&#x30A4;&#x30CA;&#x30B9;&#x304B;&#x3089;&#x30B5;&#x30A4;&#x30BA;&#x306E;&#x534A;&#x5206;&#x306E;&#x30D7;&#x30E9;&#x30B9;&#x307E;&#x3067;&#x3001;&#x5408;&#x308F;&#x305B;&#x3066;&#x30D5;&#x30EB; &#x30B5;&#x30A4;&#x30BA;&#x5206;&#x3092;&#x30EB;&#x30FC;&#x30D7;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">paintBrush (currentPos + [c,b])</code></pre><p>c &#x30EB;&#x30FC;&#x30D7;&#x306E;&#x53CD;&#x5FA9;&#x304C;&#x7D42;&#x308F;&#x308B;&#x3054;&#x3068;&#x306B; paintBrush &#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3001;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x73FE;&#x5728;&#x4F4D;&#x7F6E;&#x306B;&#x3001;&#x30D6;&#x30E9;&#x30B7;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x306E;&#x534A;&#x5206;&#x3068; b &#x30EB;&#x30FC;&#x30D7;&#x306B;&#x57FA;&#x3065;&#x3044;&#x305F;&#x30AA;&#x30D5;&#x30BB;&#x30C3;&#x30C8;&#x3092;&#x8DB3;&#x3057;&#x305F;&#x5024;&#x3092;&#x6E21;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">)\n\
currentPos += [deltaStepX, deltaStepY]\n\
) \n\
theCanvas.bitmap = theCanvasBitmap\n\
)\n\
on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true\n\
drawAPoint lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawAPoint lastPos pos\n\
lastPos = pos\n\
) createDialog MicroPaint_CanvasRollout bitmapX (bitmapY+30)</code></pre><p>&#x30AB;&#x30E9;&#x30FC;&#x3068;&#x30D6;&#x30E9;&#x30B7; &#x30B5;&#x30A4;&#x30BA;&#x306E;&#x65B0;&#x3057;&#x3044;&#x30E6;&#x30FC;&#x30B6; &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9; &#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3092;&#x53CE;&#x3081;&#x308B;&#x306B;&#x306F;&#x3001;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x7E26;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x3092; 30 &#x30D4;&#x30AF;&#x30BB;&#x30EB;&#x5927;&#x304D;&#x304F;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">)</code></pre><h2 id=\"-\">&#x7D50;&#x679C;</h2><p><img src=\"./images/GUID-9824C739-088F-4B3A-B6C7-BBE2C7530F4F-low.gif\" alt></p>\n\
<p><strong>&#x524D;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-2.html\">&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x306E;&#x958B;&#x767A; - &#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x5F37;&#x5316;</a></p>\n\
<p><strong>&#x6B21;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-4.html\">&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x306E;&#x958B;&#x767A; - &#x30A8;&#x30A2;&#x30D6;&#x30E9;&#x30B7;&#x3068;&#x30B7;&#x30A7;&#x30A4;&#x30D7;</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">チュートリアル - ビットマップ ペイント ツールを 9 つの簡単なステップで作成する</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">チュートリアル - チュートリアルについて</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";