var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-409D100A-02E1-4539-B847-C3F6DFE6A66B\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x306E;&#x958B;&#x767A; - 3D &#x30DA;&#x30A4;&#x30F3;&#x30C8;</h1></div><p>&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x958B;&#x767A;&#x306E;&#x624B;&#x9806;&#x3067;&#x306F;&#x3001;<strong>3ds Max</strong> &#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x5185;&#x306E;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306B;&#x76F4;&#x63A5;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3059;&#x308B;&#x30AA;&#x30D7;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x8FFD;&#x52A0;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x5168;&#x4F53;&#x306E;&#x6D41;&#x308C;</strong></p>\n\
<p>&#x30E6;&#x30FC;&#x30B6; &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x306B;&#x3001;3D &#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x6709;&#x52B9;&#x3068;&#x7121;&#x52B9;&#x3092;&#x5207;&#x308A;&#x66FF;&#x3048;&#x308B;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x8FFD;&#x52A0;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">PainterInterface</a> &#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x5185;&#x3067;&#x30D6;&#x30E9;&#x30B7;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3059;&#x308B;&#x5358;&#x7D14;&#x306A;&#x95A2;&#x6570;&#x3092;&#x3044;&#x304F;&#x3064;&#x304B;&#x5B9A;&#x7FA9;&#x3057;&#x3001;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3059;&#x308B;&#x9762;&#x306E; UV &#x5EA7;&#x6A19;&#x3092;&#x8AAD;&#x307F;&#x53D6;&#x3063;&#x3066;&#x3001;&#x5BFE;&#x5FDC;&#x3059;&#x308B;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7;&#x306E;&#x9818;&#x57DF;&#x5185;&#x306B;&#x63CF;&#x753B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">macroScript MicroPaint category: &quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
local isErasing = isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local bitmapx_1 = bitmapx-1\n\
local bitmapy_1 = bitmapy-1\n\
\n\
local temp_bitmap_filename = (getDir #preview +&quot;/microPaint_temp.tga&quot;)\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white filename:temp_bitmap_filename\n\
local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
local currentPos = lastPos = [0,0]\n\
local theChannel = 1\n\
local theObj = undefined\n\
\n\
local bary = [0,0,0]\n\
local faceIndex = 1\n\
\n\
rcMenu CanvasMenu\n\
(\n\
  subMenu&quot;File&quot;\n\
  (\n\
    menuItem new_menu &quot;New&quot;\n\
    menuItem open_menu &quot;Open...&quot;\n\
    menuItem save_as &quot;Save As...&quot;\n\
    separator file_menu_1\n\
    menuItem quit_tool &quot;Quit&quot;  \n\
  )\n\
  subMenu&quot;Edit&quot;\n\
  (\n\
    menuItem commit_menu &quot;Commit Changes&quot;\n\
    separator edit_menu_1\n\
    menuItem uv_menu &quot;Get UV Coordinates...&quot;\n\
    menuItem paint3d_menu &quot;Toggle 3D Painting...&quot;\n\
  )\n\
  on commit_menu picked do copy theCanvasBitmap theBackgroundBitmap\n\
\n\
  on uv_menu picked do MicroPaint_CanvasRollout.unwrapTexture()\n\
  on paint3d_menu picked do MicroPaint_CanvasRollout.startPainting3D()\n\
\n\
  subMenu&quot;Help&quot;\n\
  (\n\
    menuItem about_tool &quot;About MicroPaint...&quot; \n\
  )\n\
\n\
  on new_menu picked do\n\
  (\n\
    theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color filename:temp_bitmap_filename\n\
    MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
  )\n\
\n\
  on open_menu picked do\n\
  (\n\
    theOpenBitmap= selectBitmap()\n\
    if theOpenBitmap != undefined do\n\
    (\n\
      copy theOpenBitmap theCanvasBitmap\n\
      copy theOpenBitmap theBackgroundBitmap\n\
      close theOpenBitmap\n\
      MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
    )\n\
  )\n\
\n\
  on save_as picked do\n\
  (\n\
    theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
    if theSaveName != undefined do\n\
    (\n\
      theCanvasBitmap.filename = theSaveName\n\
      save theCanvasBitmap\n\
      theCanvasBitmap.filename = temp_bitmap_filename\n\
    )\n\
  )\n\
  on about_too lpicked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
  on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
)\n\
\n\
\n\
fn mesh_filter obj = superclassof obj == GeometryClass and classof obj != TargetObject\n\
\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
  bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
  colorpicker inkColor height:16 modal:false color:black across:6\n\
  colorpicker paperColor height:16 modal:false color:white\n\
  checkbutton autoSave &quot;AutoSave&quot; width:70 offset:[0,-3] highlightcolor:(color 255 200 200)\n\
  checkbutton airBrush &quot;AirBrush&quot; width:70 offset:[0,-3] highlightcolor:(color 200 255 200)\n\
  spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
  spinner BrushSize &quot;Size&quot; range:[1,50,1] type:#integer fieldwidth:40\n\
  listbox BrushShape items:#(&quot;Circle&quot;,&quot;Box&quot;,&quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
  pickbutton pickMesh &quot;Pick Mesh&quot; width:90 height:30 highlightcolor:(color 200 200 255) pos:[bitmapX+5,140] filter:mesh_filter autodisplay:true\n\
\n\
  on pickMesh picked obj do\n\
  (\n\
    if obj != undefined do\n\
    (\n\
      theObj = Obj\n\
      try\n\
      (\n\
        copy theObj.material.diffusemap.bitmap theCanvasBitmap\n\
        copy theObj.material.diffusemap.bitmap theBackgroundBitmap\n\
        theCanvas.bitmap = theCanvasBitmap\n\
      )catch() \n\
    ) \n\
  ) \n\
\n\
  checkbutton paint3D &quot;3D PAINT&quot; width:90 height:50 highlightcolor:(color 200 200 255) pos:[bitmapX+5,180]\n\
\n\
  fn paintBrush pos =\n\
  (\n\
    if isErasing then\n\
      thePaintColor = (getPixels theBackgroundBitmap pos 1)[1]\n\
    else\n\
      thePaintColor = inkColor.color\n\
    if thePaintColor == undefined then thePaintColor = white\n\
\n\
    case BrushShape.selection of\n\
    (\n\
      1: (\n\
        if distance pos currentPos &lt;= BrushSize.value/2 do\n\
          setPixels theCanvasBitmap pos #(thePaintColor)\n\
      )\n\
      2: setPixels theCanvasBitmap pos #(thePaintColor)\n\
      3: (\n\
        theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
        if theFactor &lt;= 1.0 do\n\
        (\n\
          theFactor = sin ( 90.0 * theFactor)\n\
          thePixels = getPixels theCanvasBitmap pos 1\n\
          if thePixels[1] != undefined do\n\
          (\n\
            thePixels[1] = (thePixels[1] * theFactor) + (thePaintColor * (1.0 - theFactor))\n\
            setPixels theCanvasBitmap pos thePixels\n\
          )\n\
        )\n\
      )--end case 3\n\
    )--end case\n\
  )--end fn\n\
\n\
  fn drawStroke lastPos pos drawIt: =\n\
  (\n\
    currentPos = lastPos\n\
    deltaX = pos.x - lastPos.x\n\
    deltaY = pos.y - lastPos.y\n\
    maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
    deltaStepX = deltaX / maxSteps\n\
    deltaStepY = deltaY / maxSteps\n\
    for i = 0 to maxSteps do\n\
    (\n\
      if airBrush.checked then\n\
        for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
          paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
      else\n\
        for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
          for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
            paintBrush (currentPos + [c,b])\n\
      currentPos += [deltaStepX, deltaStepY]\n\
    )\n\
    if drawIt== true or drawIt == unsupplied do theCanvas.bitmap = theCanvasBitmap\n\
  )\n\
\n\
  fn unwrapTexture =\n\
  (\n\
    if theObj != undefined then\n\
    (\n\
      theMesh = snapshotAsMesh theObj\n\
      if meshop.getMapSupport theMesh theChannel do\n\
      (\n\
        faceCount = meshop.getNumMapFaces theMesh theChannel\n\
        for f = 1 to faceCount do\n\
        (\n\
          theFace = meshop.getMapFace theMesh theChannel f\n\
          vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
          vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
          vert3= meshop.getMapVert theMesh theChannel theFace.z\n\
\n\
          drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
          drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] drawIt:false\n\
          drawStroke [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
        )\n\
      ) \n\
      theCanvas.bitmap = theCanvasBitmap\n\
      save theCanvasBitmap\n\
      if theObj.material == undefined do theObj.material = Standard()\n\
      if theObj.material.diffusemap == undefined do\n\
      theObj.material.diffusemap = bitmapTexture filename:temp_bitmap_filename\n\
      showTextureMap theObj.material true\n\
      autoSave.checked = true\n\
    )\n\
  )\n\
\n\
\n\
  fn StartStroke = ( thePainterInterface.undoStart() )\n\
  fn PaintStroke =\n\
  (\n\
    theMesh = theObj.mesh\n\
    thePainterInterface.getHitFaceData &amp;bary &amp;faceIndex theObj 0\n\
    theFace = meshop.getMapFace theMesh theChannel faceIndex\n\
    vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
    vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
    vert3= meshop.getMapVert theMesh theChannel theFace.z\n\
    thePoint = bary.x*vert1 + bary.y*vert2 + bary.z*vert3\n\
    drawStroke [thePoint.x * bitmapx_1, bitmapy_1 - thePoint.y * bitmapy_1] [thePoint.x * bitmapx_1, bitmapy_1 - thePoint.y * bitmapy_1]\n\
    thePainterInterface.clearStroke()\n\
  )\n\
  fn EndStroke =\n\
  (\n\
    thePainterInterface.undoAccept()\n\
    if autoSave.checked do\n\
    (\n\
      save theCanvasBitmap\n\
      try(theObj.material.diffsemap.bitmap = theCanvasBitmap)catch()\n\
    ) \n\
  )\n\
\n\
  fn CancelStroke = (thePainterInterface.undoCancel())\n\
\n\
  fn SystemEndPaintSession = ( paint3D.checked = false )\n\
\n\
  fn startPainting3D =\n\
  (\n\
    if thePainterInterface.InPaintMode() or theObj == undefined then\n\
    (\n\
      thePainterInterface.EndPaintSession()\n\
      paint3D.checked = false\n\
    )\n\
    else\n\
    (\n\
      paint3D.checked = true\n\
      thePainterInterface.pointGatherEnable = TRUE\n\
      thePainterInterface.initializeNodes 0 #(theObj)\n\
      thePainterInterface.offMeshHitType = 2\n\
      thePainterInterface.ScriptFunctions startStroke paintStroke endStroke cancelStroke SystemEndPaintSession\n\
      thePainterInterface.startPaintSession()\n\
    )\n\
  )\n\
\n\
  on paint3D changed state do startPainting3D()\n\
\n\
  on MicroPaint_CanvasRollout lbuttondown pos do\n\
  (\n\
    lastPos = pos\n\
    isDrawing = true\n\
    isErasing = false\n\
    drawStroke lastPos pos\n\
  )\n\
  on MicroPaint_CanvasRollout rbuttondown pos do\n\
  (\n\
    lastPos = pos\n\
    isErasing = isDrawing = true\n\
    drawStroke lastPos pos\n\
  )\n\
  on MicroPaint_CanvasRollout lbuttonup pos do\n\
  (\n\
    isErasing = isDrawing = false\n\
    if autoSave.checked do save theCanvasBitmap\n\
  ) \n\
  on MicroPaint_CanvasRollout rbuttonup pos do\n\
  (\n\
    isErasing = isDrawing = false\n\
    if autoSave.checked do save theCanvasBitmap\n\
  ) \n\
  on autoSave changed state do if state do save theCanvasBitmap\n\
\n\
  on MicroPaint_CanvasRollout mousemove pos do\n\
  (\n\
    if isDrawing do drawStroke lastPos pos\n\
    lastPos = pos\n\
  )\n\
)\n\
createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
)\n\
</code></pre><h2 id=\"-\">&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x3054;&#x3068;&#x306E;&#x89E3;&#x8AAC;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">--Code in italic has no changes since the previous version macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
local isErasing = isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local bitmapx_1 = bitmapx-1\n\
local bitmapy_1 = bitmapy-1\n\
\n\
local temp_bitmap_filename = (getDir #preview +&quot;/microPaint_temp.tga&quot;)\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white filename:temp_bitmap_filename\n\
local theBackgroundBitmap = bitmap bitmapX bitmapY color:white\n\
local currentPos = lastPos = [0,0]\n\
local theChannel = 1\n\
local theObj = undefined local bary = [0,0,0]</code></pre><p>&#x3053;&#x306E;&#x5909;&#x6570;&#x306F;&#x3001;PainterInterface &#x304C;&#x9762;&#x5185;&#x306E;&#x30D2;&#x30C3;&#x30C8; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x91CD;&#x5FC3;&#x5EA7;&#x6A19;&#x3092;&#x8FD4;&#x3059;&#x305F;&#x3081;&#x306B;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">local faceIndex = 1</code></pre><p>&#x3053;&#x306E;&#x5909;&#x6570;&#x306F;&#x3001;PainterInterface &#x304C;&#x30D2;&#x30C3;&#x30C8;&#x3057;&#x305F;&#x9762;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x8FD4;&#x3059;&#x3068;&#x304D;&#x306B;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rcMenu CanvasMenu\n\
(\n\
subMenu &quot;File&quot;\n\
(\n\
menuItem new_menu &quot;New&quot;\n\
menuItem open_menu &quot;Open...&quot;\n\
menuItem save_as &quot;Save As...&quot;\n\
separator file_menu_1\n\
menuItem quit_tool &quot;Quit&quot;  \n\
)\n\
subMenu &quot;Edit&quot;\n\
(\n\
menuItem commit_menu &quot;Commit Changes&quot;\n\
separator edit_menu_1\n\
menuItem uv_menu &quot;Get UV Coordinates...&quot; menuItem paint3d_menu &quot;Toggle 3D Painting...&quot;</code></pre><p>&#x65B0;&#x3057;&#x3044;[Toggle 3D Painting]&#x306E;&#x30E1;&#x30CB;&#x30E5;&#x30FC;&#x9805;&#x76EE;&#x3067;&#x3059;&#x3002;&#x30E1;&#x30A4;&#x30F3;&#x306E;&#x30E6;&#x30FC;&#x30B6; &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x306B;&#x3082;&#x3001;&#x3088;&#x304F;&#x76EE;&#x7ACB;&#x3064;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x8FFD;&#x52A0;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">)\n\
on commit_menu picked do copy theCanvasBitmap theBackgroundBitmap\n\
on uv_menu picked do MicroPaint_CanvasRollout.unwrapTexture() on paint3d_menu picked do MicroPaint_CanvasRollout.startPainting3D()</code></pre><p>&#x65B0;&#x3057;&#x3044;&#x30E1;&#x30CB;&#x30E5;&#x30FC;&#x9805;&#x76EE;[Toggle 3D Painting]&#x306E;&#x30CF;&#x30F3;&#x30C9;&#x30E9;&#x3067;&#x3059;&#x3002;PainterInterface &#x306E;&#x30AA;&#x30F3;&#x3068;&#x30AA;&#x30D5;&#x3092;&#x5207;&#x308A;&#x66FF;&#x3048;&#x308B;&#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">subMenu &quot;Help&quot;\n\
(\n\
menuItem about_tool &quot;About MicroPaint...&quot; \n\
)\n\
\n\
on new_menu picked do\n\
(\n\
theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color filename:temp_bitmap_filename\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on open_menu picked do\n\
(\n\
theOpenBitmap= selectBitmap()\n\
if theOpenBitmap != undefined do\n\
(\n\
copy theOpenBitmap theCanvasBitmap\n\
copy theOpenBitmap theBackgroundBitmap\n\
close theOpenBitmap\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
)\n\
)\n\
\n\
on save_as picked do\n\
(\n\
theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
if theSaveName != undefined do\n\
(\n\
theCanvasBitmap.filename = theSaveName\n\
save theCanvasBitmap\n\
theCanvasBitmap.filename = temp_bitmap_filename\n\
)\n\
)\n\
on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
)\n\
\n\
fn mesh_filter obj = superclassof obj == GeometryClass and classof obj != TargetObject\n\
\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
colorpicker inkColor height:16 modal:false color:black across:6\n\
colorpicker paperColor height:16 modal:false color:white\n\
checkbutton autoSave &quot;AutoSave&quot; width:70 offset:[0,-3] highlightcolor:(color 255 200 200)\n\
checkbutton airBrush &quot;AirBrush&quot; width:70 offset:[0,-3] highlightcolor:(color 200 255 200)\n\
spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
spinner BrushSize &quot;Size&quot; range:[1,50,1] type:#integer fieldwidth:40\n\
listbox BrushShape items:#(&quot;Circle&quot;, &quot;Box&quot;, &quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
pickbutton pickMesh &quot;Pick Mesh&quot; width:90 height:30 highlightcolor:(color 200 200 255) pos:[bitmapX+5,140] filter:mesh_filter autodisplay:true\n\
\n\
on pickMesh picked obj do\n\
(\n\
if obj != undefined do\n\
(\n\
theObj = Obj\n\
try\n\
(\n\
copy theObj.material.diffusemap.bitmap theCanvasBitmap\n\
copy theObj.material.diffusemap.bitmap theBackgroundBitmap\n\
theCanvas.bitmap = theCanvasBitmap\n\
)catch()\n\
)\n\
) checkbutton paint3D &quot;3D PAINT&quot; width:90 height:50 highlightcolor:(color 200 200 255) pos:[bitmapX+5,180]</code></pre><p>3D &#x7A7A;&#x9593;&#x3067;&#x306E;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x5236;&#x5FA1;&#x3059;&#x308B;&#x65B0;&#x3057;&#x3044;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x3067;&#x3059;&#x3002;&#x6709;&#x52B9;&#x306B;&#x3059;&#x308B;&#x3068;&#x3001;&#x9752;&#x8272;&#x306B;&#x5909;&#x308F;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn paintBrush pos =\n\
(\n\
if isErasing then\n\
thePaintColor = (getPixels theBackgroundBitmap pos 1)[1]\n\
else\n\
thePaintColor = inkColor.color\n\
if thePaintColor == undefined then thePaintColor = white\n\
\n\
case BrushShape.selection of\n\
(\n\
1: (\n\
if distance pos currentPos &lt;= BrushSize.value/2 do\n\
setPixels theCanvasBitmap pos #(thePaintColor)\n\
)\n\
2: setPixels theCanvasBitmap pos #(thePaintColor)\n\
3: (\n\
theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
if theFactor &lt;= 1.0 do\n\
(\n\
theFactor = sin ( 90.0 * theFactor)\n\
thePixels = getPixels theCanvasBitmap pos 1\n\
if thePixels[1] != undefined do\n\
(\n\
thePixels[1] = (thePixels[1] * theFactor) + (thePaintColor * (1.0 - theFactor))\n\
setPixels theCanvasBitmap pos thePixels\n\
)\n\
)\n\
)--end case 3\n\
)--end case\n\
)--end fn\n\
\n\
fn drawStroke lastPos pos drawIt: =\n\
(\n\
currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
(\n\
if airBrush.checked then\n\
for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
else\n\
for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
paintBrush (currentPos + [c,b])\n\
currentPos += [deltaStepX, deltaStepY]\n\
)\n\
if drawIt== true or drawIt == unsupplied do theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on pickMesh picked obj do if obj != undefined do theObj = Obj\n\
\n\
fn unwrapTexture =\n\
(\n\
if theObj != undefined then\n\
(\n\
theMesh = snapshotAsMesh theObj\n\
if meshop.getMapSupport theMesh theChannel do\n\
(\n\
faceCount = meshop.getNumMapFaces theMesh theChannel\n\
for f = 1 to faceCount do\n\
(\n\
theFace = meshop.getMapFace theMesh theChannel f\n\
vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
vert3= meshop.getMapVert theMesh theChannel theFace.z\n\
\n\
drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
drawStroke [vert1.x * bitmapx_1, bitmapy_1 - vert1.y * bitmapy_1] [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] drawIt:false\n\
drawStroke [vert3.x * bitmapx_1, bitmapy_1 - vert3.y * bitmapy_1] [vert2.x * bitmapx_1, bitmapy_1 - vert2.y * bitmapy_1] drawIt:false\n\
)\n\
) \n\
theCanvas.bitmap = theCanvasBitmap\n\
save theCanvasBitmap\n\
if theObj.material == undefined do theObj.material = Standard()\n\
if theObj.material.diffusemap == undefined do\n\
theObj.material.diffusemap = bitmapTexture filename:temp_bitmap_filename\n\
showTextureMap theObj.material true\n\
autoSave.checked = true\n\
)\n\
)\n\
\n\
fn StartStroke = ( thePainterInterface.undoStart() )</code></pre><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x958B;&#x59CB;&#x6642;&#x70B9;&#x3067;&#x5B9F;&#x884C;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x8A73;&#x7D30;&#x306F;&#x3001;&#x300C;<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">PainterInterface &#x306E;&#x8AAC;&#x660E;</a>&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn PaintStroke =\n\
(</code></pre><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;3D &#x3067;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x884C;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">theMesh = theObj.mesh</code></pre><p>&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3059;&#x308B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E; TriMesh &#x306E;&#x30B3;&#x30D4;&#x30FC;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePainterInterface.getHitFaceData &amp;bary &amp;faceIndex theObj 0</code></pre><p>&#x6B21;&#x306B;&#x3053;&#x306E;&#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3001;&#x30D6;&#x30E9;&#x30B7;&#x304C;&#x6700;&#x5F8C;&#x306B;&#x30D2;&#x30C3;&#x30C8;&#x3057;&#x305F;&#x9762;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059; (&#x6700;&#x5F8C;&#x306E;&#x5F15;&#x6570;&#x306F; 0 &#x3068;&#x3044;&#x3046;&#x9762;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x3001;&#x300C;&#x6700;&#x5F8C;&#x306E;&#x30D2;&#x30C3;&#x30C8;&#x3092;&#x53D6;&#x5F97;&#x3059;&#x308B;&#x300D;&#x3053;&#x3068;&#x3092;&#x610F;&#x5473;&#x3057;&#x307E;&#x3059;)&#x3002;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306E;&#x521D;&#x3081;&#x306E;&#x65B9;&#x3067;&#x5B9A;&#x7FA9;&#x3057;&#x305F;&#x5909;&#x6570; bary &#x304A;&#x3088;&#x3073; faceIndex &#x306F;&#x3001;&#x300C;&#x53C2;&#x7167;&#x306B;&#x3088;&#x3063;&#x3066;&#x300D;&#x6E21;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002; &#x3064;&#x307E;&#x308A;&#x3001;&#x95A2;&#x6570;&#x306E;&#x7D50;&#x679C;&#x306F;&#x3053;&#x308C;&#x3089;&#x306B;&#x66F8;&#x304D;&#x51FA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x547C;&#x3073;&#x51FA;&#x3057;&#x5F8C;&#x3001;bary &#x306B;&#x306F;&#x9762;&#x5185;&#x306E;&#x30D2;&#x30C3;&#x30C8; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x91CD;&#x5FC3;&#x5EA7;&#x6A19;&#x304C;&#x5165;&#x308A;&#x3001;faceIndex &#x306B;&#x306F;&#x6700;&#x5F8C;&#x306B;&#x30D2;&#x30C3;&#x30C8;&#x3057;&#x305F;&#x9762;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x5165;&#x308A;&#x307E;&#x3059;&#x3002;theObj &#x306F;&#x3001;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x5BFE;&#x8C61;&#x3068;&#x3057;&#x3066;&#x30B7;&#x30FC;&#x30F3;&#x5185;&#x3067;&#x9078;&#x629E;&#x3057;&#x305F;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x5165;&#x308C;&#x308B;&#x5909;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">theFace = meshop.getMapFace theMesh theChannel faceIndex</code></pre><p>&#x3053;&#x306E;&#x30C7;&#x30FC;&#x30BF;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3001;&#x30D2;&#x30C3;&#x30C8;&#x3057;&#x305F;&#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x306E;&#x9762;&#x3068;&#x540C;&#x3058;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x6301;&#x3064;&#x30C1;&#x30E3;&#x30CD;&#x30EB; 1 &#x306E;&#x30DE;&#x30C3;&#x30D7;&#x9762;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">vert1= meshop.getMapVert theMesh theChannel theFace.x\n\
vert2= meshop.getMapVert theMesh theChannel theFace.y\n\
vert3= meshop.getMapVert theMesh theChannel theFace.z</code></pre><p>&#x6B21;&#x306B;&#x3001;&#x30DE;&#x30C3;&#x30D7;&#x9762;&#x304C;&#x53C2;&#x7167;&#x3059;&#x308B;&#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x9802;&#x70B9;&#x3092;&#x8AAD;&#x307F;&#x53D6;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePoint= bary.x*vert1 + bary.y*vert2 + bary.z*vert3\n\
 drawStroke [thePoint.x * bitmapx_1, bitmapy_1 -thePoint.y * bitmapy_1] [thePoint.x * bitmapx_1, bitmapy_1 -thePoint.y * bitmapy_1]</code></pre><p>&#x3053;&#x308C;&#x3067;&#x3001;&#x9762;&#x5185;&#x306E;&#x30D2;&#x30C3;&#x30C8; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E;<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\"\">&#x91CD;&#x5FC3;&#x5EA7;&#x6A19;</a>&#x3068;&#x3001;&#x305D;&#x306E;&#x9762;&#x306B;&#x5BFE;&#x5FDC;&#x3059;&#x308B; &#x30C6;&#x30AF;&#x30B9;&#x30C1;&#x30E3;&#x9802;&#x70B9;&#x306E;&#x5EA7;&#x6A19;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x30D2;&#x30C3;&#x30C8; &#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306E; UV &#x5EA7;&#x6A19;&#x3092;&#x8A08;&#x7B97;&#x3067;&#x304D;&#x308B;&#x3088;&#x3046;&#x306B;&#x306A;&#x308A;&#x307E;&#x3057;&#x305F;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePainterInterface.clearStroke()</code></pre><p>&#x6700;&#x5F8C;&#x306B;&#x3001;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x3092;&#x30AF;&#x30EA;&#x30A2;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) fn EndStroke = (</code></pre><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x306E;&#x7D42;&#x4E86;&#x6642;&#x70B9;&#x3067;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePainterInterface.undoAccept()</code></pre><p>&#x30A2;&#x30F3;&#x30C9;&#x30A5; &#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306E;&#x5909;&#x66F4;&#x3092;&#x53D7;&#x3051;&#x5165;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">if autoSave.checked do (</code></pre><p>&#x305F;&#x3060;&#x3057;&#x81EA;&#x52D5;&#x4FDD;&#x5B58;&#x304C;&#x6709;&#x52B9;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">save theCanvasBitmap</code></pre><p>&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x30C7;&#x30A3;&#x30B9;&#x30AF;&#x306B;&#x4FDD;&#x5B58;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">try(theObj.material.diffsemap.bitmap = theCanvasBitmap)catch()</code></pre><p>&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30DE;&#x30C6;&#x30EA;&#x30A2;&#x30EB;&#x306E;&#x62E1;&#x6563;&#x53CD;&#x5C04;&#x5149;&#x30DE;&#x30C3;&#x30D7; &#x30C1;&#x30E3;&#x30CD;&#x30EB;&#x306E;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7;&#x306B;&#x3001;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7;&#x5024;&#x3092;&#x5F37;&#x5236;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) \n\
)\n\
\n\
fn CancelStroke = (thePainterInterface.undoCancel())</code></pre><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;&#x30B9;&#x30C8;&#x30ED;&#x30FC;&#x30AF;&#x3092;&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;&#x3057;&#x305F;&#x5834;&#x5408;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn SystemEndPaintSession = ( paint3D.checked = false )</code></pre><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30BB;&#x30C3;&#x30B7;&#x30E7;&#x30F3;&#x304C;&#x7D42;&#x4E86;&#x3057;&#x305F;&#x3068;&#x304D;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x5225;&#x306E;&#x7406;&#x7531;&#x3067;&#x7D42;&#x4E86;&#x3059;&#x308B;&#x5834;&#x5408;&#x306B;&#x3001;UI &#x30DC;&#x30BF;&#x30F3;&#x3092;&#x30AA;&#x30D5;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn startPainting3D =\n\
(</code></pre><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;3D &#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30AA;&#x30F3;&#x3068;&#x30AA;&#x30D5;&#x3092;&#x5207;&#x308A;&#x66FF;&#x3048;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">if thePainterInterface.InPaintMode() or theObj == undefined then\n\
(</code></pre><p>&#x3059;&#x3067;&#x306B;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x4E2D;&#x3067;&#x3042;&#x308B;&#x5834;&#x5408;&#x3001;&#x307E;&#x305F;&#x306F;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x307E;&#x3060;&#x9078;&#x629E;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x306F;&#x3001;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">  thePainterInterface.EndPaintSession()\n\
  paint3D.checked = false</code></pre><p>3D &#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x306E;&#x30BB;&#x30C3;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x7D42;&#x4E86;&#x3057;&#x3001;UI &#x306E;&#x30DC;&#x30BF;&#x30F3;&#x306E;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DE;&#x30FC;&#x30AF;&#x3092;&#x5916;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) \n\
else\n\
(</code></pre><p>3D &#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x6709;&#x52B9;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x306A;&#x3044;&#x3068;&#x304D;&#x306B;&#x30E1;&#x30C3;&#x30B7;&#x30E5; &#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x9078;&#x629E;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306F;&#x3001;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">paint3D.checked = true</code></pre><p>&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x306E;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DE;&#x30FC;&#x30AF;&#x304C;&#x5FC5;&#x305A;&#x4ED8;&#x3044;&#x305F;&#x72B6;&#x614B;&#x306B;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x3088;&#x3046;&#x306B;&#x3057;&#x307E;&#x3059; (&#x30E1;&#x30A4;&#x30F3; &#x30E1;&#x30CB;&#x30E5;&#x30FC;&#x304B;&#x3089;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DE;&#x30FC;&#x30AF;&#x3092;&#x4ED8;&#x3051;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;)&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePainterInterface.pointGatherEnable = TRUE</code></pre><p>&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x53CE;&#x96C6;&#x30E2;&#x30FC;&#x30C9;&#x3092;&#x6709;&#x52B9;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePainterInterface.initializeNodes 0 #(theObj)</code></pre><p>&#x9078;&#x629E;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B; 1 &#x3064;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3060;&#x3051;&#x3067; PainterInterface &#x3092;&#x521D;&#x671F;&#x5316;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePainterInterface.offMeshHitType = 2</code></pre><p>&#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x304C;&#x30D2;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x306A;&#x3044;&#x5834;&#x5408;&#x306E;&#x52D5;&#x4F5C;&#x3092; 2 &#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x52D5;&#x4F5C;&#x3067;&#x306F;&#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x306F;&#x5FC5;&#x8981;&#x3067;&#x306F;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;&#x3002;&#x3053;&#x306E;&#x5834;&#x5408;&#x306B;&#x306F;&#x30D2;&#x30C3;&#x30C8;&#x3055;&#x308C;&#x308B;&#x9762;&#x306F;&#x306A;&#x304F;&#x3001;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x304C;&#x884C;&#x308F;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePainterInterface.ScriptFunctions startStroke paintStroke endStroke cancelStroke SystemEndPaintSession</code></pre><p>&#x4E8B;&#x524D;&#x306B;&#x5B9A;&#x7FA9;&#x6E08;&#x307F;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x95A2;&#x6570;&#x3092;&#x3059;&#x3079;&#x3066; PainterInterface &#x306B;&#x767B;&#x9332;&#x3057;&#x3001;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">thePainterInterface.startPaintSession()</code></pre><p>&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3092;&#x958B;&#x59CB;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) \n\
) \n\
\n\
on paint3D changed state do startPainting3D()</code></pre><p>&#x30E6;&#x30FC;&#x30B6;&#x304C;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x62BC;&#x3057;&#x305F;&#x5834;&#x5408;&#x306B;&#x4E0A;&#x306E;&#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true\n\
isErasing = false\n\
drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout rbuttondown pos do\n\
(\n\
lastPos = pos\n\
isErasing = isDrawing = true\n\
drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do\n\
(\n\
isErasing = isDrawing = false\n\
if autoSave.checked do save theCanvasBitmap\n\
) \n\
on MicroPaint_CanvasRollout rbuttonup pos do\n\
(\n\
isErasing = isDrawing = false\n\
if autoSave.checked do save theCanvasBitmap\n\
) \n\
on autoSave changed state do if state do save theCanvasBitmap\n\
\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawStroke lastPos pos\n\
lastPos = pos\n\
)\n\
)\n\
createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu\n\
MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
)</code></pre><p><strong>&#x7D50;&#x679C;:</strong></p>\n\
<p><img src=\"./images/GUID-76F7EB0D-5D9A-494B-BD95-650873293731-low.gif\" alt> <img src=\"./images/GUID-1B50C09C-B5FD-4859-BB44-DC8F5AABBF7F-low.gif\" alt></p>\n\
<p>3D &#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3068; 2D &#x306E;&#x30A4;&#x30E1;&#x30FC;&#x30B8;&#x306F;&#x540C;&#x6642;&#x306B;&#x30DA;&#x30A4;&#x30F3;&#x30C8;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x524D;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;:</strong></p>\n\
<p><a href=\"How-To-Develop-a-Bitmap-Painting-8.html\">&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x30D3;&#x30C3;&#x30C8;&#x30DE;&#x30C3;&#x30D7; &#x30DA;&#x30A4;&#x30F3;&#x30C8; &#x30C4;&#x30FC;&#x30EB;&#x306E;&#x958B;&#x767A; - UV &#x5EA7;&#x6A19;&#x306E;&#x30A2;&#x30F3;&#x30E9;&#x30C3;&#x30D7;</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Develop-a-Bitmap-Painting.html\">チュートリアル - ビットマップ ペイント ツールを 9 つの簡単なステップで作成する</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">PainterInterface : ReferenceTarget</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">チュートリアル - チュートリアルについて</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";