var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-C94469C6-19A5-427E-A16B-D46054B3AA1A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x9762;&#x9818;&#x57DF; xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x958B;&#x767A; - &#x7B2C; 1 &#x90E8;</h1></div><p>&#x3053;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;&#x3067;&#x306F;&#x3001;MAXScript &#x95A2;&#x6570;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;<strong>&#x30AB;&#x30B9;&#x30BF;&#x30E0; xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;</strong>&#x3092;&#x4F5C;&#x6210;&#x3059;&#x308B;&#x65B9;&#x6CD5;&#x3092;&#x8AAC;&#x660E;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306F;&#x3001;<strong>3ds Max 2010</strong> &#x4EE5;&#x964D;&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x95A2;&#x9023;&#x30C8;&#x30D4;&#x30C3;&#x30AF;:</strong></p>\n\
<p><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xView &#x30B8;&#x30AA;&#x30E1;&#x30C8;&#x30EA; &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;</a></p>\n\
<p><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">&#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;: xViewChecker</a></p>\n\
<p><strong>&#x5168;&#x4F53;&#x306E;&#x6D41;&#x308C;</strong></p>\n\
<p>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3068;&#x95A2;&#x6570;&#x3092;&#x542B;&#x3080;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB;&#x69CB;&#x9020;&#x4F53;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>xView &#x30B8;&#x30AA;&#x30E1;&#x30C8;&#x30EA; &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x95A2;&#x6570;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B5;&#x30DD;&#x30FC;&#x30C8;&#x3055;&#x308C;&#x308B;&#x95A2;&#x6570;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x767B;&#x9332;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">(\n\
global FaceAreaChecker\n\
struct FaceAreaCheckerStruct\n\
(\n\
FaceAreaThresholdMin = 1,\n\
FaceAreaThresholdMax = 10,\n\
faceAreaDialog = undefined,\n\
\n\
fn geomCheck theTime theNode theResults =\n\
(\n\
  local theCount = case classof theNode of\n\
  (\n\
    Editable_Poly: getNumFaces theNode\n\
    Editable_Mesh: theNode.numfaces\n\
  )\n\
  local theAreaMethod = case classof theNode of\n\
  (\n\
    Editable_Poly: polyOp.getFaceArea\n\
    Editable_Mesh: meshOp.getFaceArea\n\
  )\n\
\n\
  for f = 1 to theCount do\n\
  (\n\
    local theArea = theAreaMethod theNode f\n\
    if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin and theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f\n\
  ) \n\
3\n\
),\n\
\n\
fn supportedCheck theNode =\n\
(\n\
  classof theNode == Editable_Mesh or classof theNode == Editable_Poly\n\
),\n\
\n\
fn configDlg =\n\
(\n\
  try(destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
  rollout faceAreaDialog &quot;Face Area Checker&quot;\n\
  (\n\
    spinner spn_FaceAreaThresholdMin &quot;Min. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMin] offset:[7,-3] type:#worldUnits\n\
    spinner spn_FaceAreaThresholdMax &quot;Max. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMax] offset:[7,-3] type:#worldUnits\n\
\n\
    fn updateDisplay =\n\
    (\n\
      XViewChecker.runCheck CurrentTime\n\
      max views redraw\n\
    )\n\
    on spn_FaceAreaThresholdMin changed val do\n\
    (\n\
      FaceAreaChecker.FaceAreaThresholdMin = val\n\
      updateDisplay()\n\
    ) \n\
    on spn_FaceAreaThresholdMax changed val do\n\
    (\n\
      FaceAreaChecker.FaceAreaThresholdMax = val\n\
      updateDisplay()\n\
    )   \n\
  )--end rollout\n\
\n\
  createDialog faceAreaDialog\n\
  setDialogPos faceAreaDialog mouse.screenpos\n\
  FaceAreaChecker.faceAreaDialog = faceAreaDialog\n\
)\n\
)--end struct\n\
\n\
try(destroyDialog FaceAreaChecker.faceAreaDialog)catch()\n\
FaceAreaChecker = FaceAreaCheckerStruct()\n\
\n\
XViewChecker.unRegisterChecker &quot;Face Area Checker&quot;\n\
XViewChecker.registerChecker FaceAreaChecker.geomCheck FaceAreaChecker.supportedCheck #Faces &quot;Face Area Checker&quot; FaceAreaChecker.configDlg undefined undefined\n\
)--end script\n\
</code></pre><h2 id=\"-\">&#x30B9;&#x30C6;&#x30C3;&#x30D7;&#x3054;&#x3068;&#x306E;&#x89E3;&#x8AAC;</h2><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">(</code></pre><p>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x5168;&#x4F53;&#x3092;&#x30ED;&#x30FC;&#x30AB;&#x30EB; &#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x5185;&#x306B;&#x914D;&#x7F6E;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">global FaceAreaChecker</code></pre><p>xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3068;&#x95A2;&#x6570;&#x3092;&#x683C;&#x7D0D;&#x3059;&#x308B;&#x69CB;&#x9020;&#x4F53;&#x306E;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x3060;&#x3051;&#x3092;&#x3001;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB; &#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x306B;&#x516C;&#x958B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">struct FaceAreaCheckerStruct (</code></pre><p>&#x3059;&#x3079;&#x3066;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3068;&#x95A2;&#x6570;&#x3092;&#x542B;&#x3080;&#x69CB;&#x9020;&#x4F53;&#x306E;&#x4F5C;&#x6210;&#x304B;&#x3089;&#x958B;&#x59CB;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x69CB;&#x9020;&#x4F53;&#x306F;&#x3001;&#x73FE;&#x5728;&#x306E;&#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x306B;&#x30ED;&#x30FC;&#x30AB;&#x30EB;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">FaceAreaThresholdMin = 1,</code></pre><p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x306F;&#x3001;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3059;&#x308B;&#x6700;&#x5C0F;&#x306E;&#x9762;&#x9818;&#x57DF;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">FaceAreaThresholdMax = 10,</code></pre><p>&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x306F;&#x3001;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3059;&#x308B;&#x6700;&#x5927;&#x306E;&#x9762;&#x9818;&#x57DF;&#x304C;&#x542B;&#x307E;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">faceAreaDialog = undefined,</code></pre><p>&#x3053;&#x306E; xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306B;&#x306F;&#x3001;&#x8A2D;&#x5B9A;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0;&#x3092;&#x7D44;&#x307F;&#x8FBC;&#x307F;&#x307E;&#x3059;&#x3002;&#x30BB;&#x30C3;&#x30B7;&#x30E7;&#x30F3;&#x9593;&#x3067;&#x3053;&#x308C;&#x3092;&#x9589;&#x3058;&#x3089;&#x308C;&#x308B;&#x3088;&#x3046;&#x306B;&#x3059;&#x308B;&#x305F;&#x3081;&#x3001;&#x3053;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x3092;&#x683C;&#x7D0D;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB;&#x5909;&#x6570;&#x306B;&#x76F4;&#x63A5;&#x683C;&#x7D0D;&#x3057;&#x306A;&#x304F;&#x3066;&#x3082;&#x3001;&#x3053;&#x306E;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306B;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x308B;&#x3088;&#x3046;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn geomCheck theTime theNode theResults =\n\
(</code></pre><p>&#x30E1;&#x30A4;&#x30F3;&#x306E; xViewChecker &#x95A2;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<p>xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x95A2;&#x6570;&#x306F;&#x3001;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3092;&#x5B9F;&#x884C;&#x3059;&#x308B;&#x6642;&#x9593;&#x3001;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x5BFE;&#x8C61;&#x306E;&#x30CE;&#x30FC;&#x30C9;&#x3001;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x306E;&#x7D50;&#x679C;&#x3092;&#x5165;&#x308C;&#x308B;&#x305F;&#x3081;&#x306E;&#x914D;&#x5217;&#x306E; 3 &#x3064;&#x306E;&#x5F15;&#x6570;&#x3092;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x304B;&#x3089;&#x53D7;&#x3051;&#x53D6;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">local theCount = case classof theNode of\n\
(\n\
Editable_Poly: getNumFaces theNode\n\
Editable_Mesh: theNode.numfaces\n\
)</code></pre><p>&#x3053;&#x3053;&#x3067;&#x306F;&#x3001;&#x7DE8;&#x96C6;&#x53EF;&#x80FD;&#x30DD;&#x30EA;&#x30B4;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3068;&#x7DE8;&#x96C6;&#x53EF;&#x80FD;&#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x306E;&#x4E21;&#x65B9;&#x3092;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3067;&#x304D;&#x308B;&#x3088;&#x3046;&#x306B;&#x3057;&#x305F;&#x3044;&#x306E;&#x3067;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x6E21;&#x3055;&#x308C;&#x305F;&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30AF;&#x30E9;&#x30B9;&#x3092;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3057;&#x3001;&#x9069;&#x5207;&#x306A;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x307E;&#x305F;&#x306F;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x9762;&#x307E;&#x305F;&#x306F;&#x30DD;&#x30EA;&#x30B4;&#x30F3;&#x306E;&#x30AB;&#x30A6;&#x30F3;&#x30C8;&#x3092;&#x53D6;&#x5F97;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">local theAreaMethod = case classof theNode of\n\
(\n\
Editable_Poly: polyOp.getFaceArea\n\
Editable_Mesh: meshOp.getFaceArea\n\
)</code></pre><p>&#x540C;&#x3058;&#x304F;&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30AF;&#x30E9;&#x30B9;&#x306B;&#x57FA;&#x3065;&#x3044;&#x3066;&#x3001;&#x30E6;&#x30FC;&#x30B6;&#x5909;&#x6570;&#x306B;&#x30DD;&#x30EA;&#x30B4;&#x30F3;&#x307E;&#x305F;&#x306F;&#x9762;&#x306E;&#x9818;&#x57DF;&#x3092;&#x53D6;&#x5F97;&#x3059;&#x308B;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x683C;&#x7D0D;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x901F;&#x5EA6;&#x304C;&#x4E0A;&#x304C;&#x308A;&#x3001;&#x3055;&#x3089;&#x306B;&#x4EE5;&#x4E0B;&#x306E;&#x30EB;&#x30FC;&#x30D7;&#x3067;&#x540C;&#x3058;&#x5F0F;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x9762;&#x9818;&#x57DF;&#x3092;&#x53D6;&#x5F97;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">for f = 1 to theCount do\n\
(</code></pre><p>&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x3059;&#x3079;&#x3066;&#x306E;&#x9762;&#x307E;&#x305F;&#x306F;&#x30DD;&#x30EA;&#x30B4;&#x30F3;&#x3092;&#x30EB;&#x30FC;&#x30D7;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">local theArea = theAreaMethod theNode f</code></pre><p>&#x30DD;&#x30EA;&#x30B4;&#x30F3;&#x307E;&#x305F;&#x306F;&#x9762;&#x306E;&#x9818;&#x57DF;&#x7528;&#x306B;&#x30AD;&#x30E3;&#x30C3;&#x30B7;&#x30E5;&#x3057;&#x305F;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3001;&#x30CE;&#x30FC;&#x30C9;&#x3068;&#x9762;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x6E21;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">if theArea &gt;= FaceAreaChecker.FaceAreaThresholdMin and theArea &lt;= FaceAreaChecker.FaceAreaThresholdMax do append theResults f</code></pre><p>&#x6B21;&#x306B;&#x3001;&#x5024;&#x3092;&#x6700;&#x5C0F;&#x3057;&#x304D;&#x3044;&#x5024;&#x304A;&#x3088;&#x3073;&#x6700;&#x5927;&#x3057;&#x304D;&#x3044;&#x5024;&#x3068;&#x6BD4;&#x8F03;&#x3057;&#x3066;&#x3001;&#x9818;&#x57DF;&#x304C; 2 &#x3064;&#x306E;&#x3057;&#x304D;&#x3044;&#x5024;&#x306E;&#x9593;&#x306B;&#x3042;&#x308C;&#x3070;&#x3001;&#x9762;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x7D50;&#x679C;&#x306E;&#x914D;&#x5217;&#x306B;&#x8FFD;&#x52A0;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) \n\
3</code></pre><p>xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306F;&#x3001;&#x7D50;&#x679C;&#x306E;&#x30BF;&#x30A4;&#x30D7;&#x3092;&#x793A;&#x3059;&#x6574;&#x6570;&#x3092;&#x8FD4;&#x3059;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x3053;&#x3067;&#x306F;&#x7D50;&#x679C;&#x306E;&#x914D;&#x5217;&#x306B;&#x9762;&#x306E;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x683C;&#x7D0D;&#x3057;&#x305F;&#x305F;&#x3081;&#x3001;3 &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x305D;&#x306E;&#x4ED6;&#x306E;&#x5024;&#x306B;&#x306F;&#x3001;2 (&#x30A8;&#x30C3;&#x30B8;)&#x3001;1 (&#x9802;&#x70B9;)&#x3001;0 (&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x5931;&#x6557;)&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x3053;&#x308C;&#x306F;&#x3001;&#x305D;&#x306E;&#x4ED6;&#x306E; xView Checker &#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x304C;&#x3001;&#x7D50;&#x679C;&#x306E;&#x914D;&#x5217;&#x5185;&#x306B;&#x3042;&#x308B;&#x30C7;&#x30FC;&#x30BF;&#x3092;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3067;&#x306E;&#x8868;&#x793A;&#x306B;&#x4F7F;&#x7528;&#x3057;&#x305F;&#x308A;&#x3001;&#x7D50;&#x679C;&#x3092;&#x30B5;&#x30D6;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x9078;&#x629E;&#x306B;&#x5909;&#x63DB;&#x3057;&#x305F;&#x308A;&#x3059;&#x308B;&#x65B9;&#x6CD5;&#x3092;&#x8B58;&#x5225;&#x3059;&#x308B;&#x306E;&#x306B;&#x5F79;&#x7ACB;&#x3061;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">),\n\
\n\
fn supportedCheck theNode =\n\
(\n\
classof theNode == Editable_Mesh or classof theNode == Editable_Poly\n\
),</code></pre><p>&#x30B5;&#x30DD;&#x30FC;&#x30C8; &#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x95A2;&#x6570;&#x306F;&#x3001;xView Checker &#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306B;&#x3088;&#x3063;&#x3066;&#x3001;&#x30CE;&#x30FC;&#x30C9;&#x304C;&#x3053;&#x306E;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x30B5;&#x30DD;&#x30FC;&#x30C8;&#x3057;&#x3066;&#x3044;&#x308B;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x5224;&#x65AD;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3053;&#x3053;&#x3067;&#x306F;&#x3001;&#x7DE8;&#x96C6;&#x53EF;&#x80FD;&#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x3068;&#x7DE8;&#x96C6;&#x53EF;&#x80FD;&#x30DD;&#x30EA;&#x30B4;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3092;&#x53EF;&#x80FD;&#x306B;&#x3057;&#x305F;&#x3044;&#x306E;&#x3067;&#x3001;&#x30CE;&#x30FC;&#x30C9;&#x306E;&#x30AF;&#x30E9;&#x30B9;&#x3092;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3057;&#x3001;&#x3053;&#x308C;&#x3089;&#x306E;&#x30AF;&#x30E9;&#x30B9;&#x3068;&#x6BD4;&#x8F03;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;&#x305D;&#x306E;&#x4ED6;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306F;&#x30B9;&#x30AD;&#x30C3;&#x30D7;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn configDlg =\n\
(</code></pre><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;&#x30E6;&#x30FC;&#x30B6;&#x304C;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x306E;[&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x8A2D;&#x5B9A;](Click Here To Configure)&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x305F;&#x3068;&#x304D;&#x306B;&#x3001;xView Checker &#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306B;&#x3088;&#x3063;&#x3066;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x95A2;&#x6570;&#x304C;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306B;&#x767B;&#x9332;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408; (&#x305F;&#x3060;&#x3057;&#x4EE3;&#x308F;&#x308A;&#x306B; undefined &#x5024;&#x3068;&#x3057;&#x3066;&#x6E21;&#x3055;&#x308C;&#x305F;&#x5834;&#x5408;)&#x3001;&#x3053;&#x306E;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8; &#x30DC;&#x30BF;&#x30F3;&#x306F;&#x8868;&#x793A;&#x3055;&#x308C;&#x305A;&#x3001;&#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306F;&#x3053;&#x306E;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3067;&#x306F;&#x8A2D;&#x5B9A;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x30B5;&#x30DD;&#x30FC;&#x30C8;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x3082;&#x306E;&#x3068;&#x307F;&#x306A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">try (destroyDialog FaceAreaChecker.faceAreaDialog)catch()</code></pre><p>&#x3053;&#x308C;&#x307E;&#x3067;&#x306B;&#x958B;&#x3044;&#x305F;&#x53EF;&#x80FD;&#x6027;&#x304C;&#x3042;&#x308B;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x3059;&#x3079;&#x3066;&#x9589;&#x3058;&#x307E;&#x3059;&#x3002;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x305F;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x306E;&#x5272;&#x308A;&#x5F53;&#x3066;&#x5148;&#x3068;&#x306A;&#x308B;&#x3001;&#x69CB;&#x9020;&#x4F53;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x958B;&#x3044;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x306B;&#x306F;&#x3001;&#x4F55;&#x3082;&#x8D77;&#x3053;&#x308A;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rollout faceAreaDialog &quot;Face Area Checker&quot;\n\
(</code></pre><p>&#x8A2D;&#x5B9A;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3068;&#x3057;&#x3066;&#x8868;&#x793A;&#x3059;&#x308B;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">spinner spn_FaceAreaThresholdMin &quot;Min. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMin] offset:[7,-3] type:#worldUnits\n\
spinner spn_FaceAreaThresholdMax &quot;Max. Threshold:&quot; range:[0,1000000,FaceAreaChecker.FaceAreaThresholdMax] offset:[7,-3] type:#worldUnits </code></pre><p>&#x3053;&#x306E;&#x30C6;&#x30B9;&#x30C8;&#x3067;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x6700;&#x5C0F;&#x3057;&#x304D;&#x3044;&#x5024;&#x3068;&#x6700;&#x5927;&#x3057;&#x304D;&#x3044;&#x5024;&#x3092;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x3059;&#x308B; 2 &#x500B;&#x306E;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;&#x3069;&#x3061;&#x3089;&#x306E;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x3082;&#x3001;&#x69CB;&#x9020;&#x4F53;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x306E;&#x73FE;&#x5728;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x65E2;&#x5B9A;&#x5024;&#x3067;&#x8A2D;&#x5B9A;&#x3057;&#x3001;&#x30EF;&#x30FC;&#x30EB;&#x30C9;&#x5358;&#x4F4D;&#x3067;&#x8868;&#x793A;&#x3055;&#x308C;&#x308B;&#x3088;&#x3046;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;&#x3082;&#x3061;&#x308D;&#x3093;&#x3001;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x306F;&#x5E73;&#x65B9;&#x5358;&#x4F4D;&#x3067;&#x884C;&#x3044;&#x307E;&#x3059;&#x304C;&#x3001;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306B;&#x306F;&#x901A;&#x5E38;&#x306E;&#x7DDA;&#x5F62;&#x5358;&#x4F4D;&#x3060;&#x3051;&#x3092;&#x8868;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x305F;&#x3081;&#x3001;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x306B; 10&quot; &#x3068;&#x8868;&#x793A;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x5024;&#x306F; 10 &#x5E73;&#x65B9;&#x30A4;&#x30F3;&#x30C1;&#x3067;&#x3042;&#x308B;&#x3068;&#x89E3;&#x91C8;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">fn updateDisplay =\n\
(\n\
XViewChecker.runCheck CurrentTime\n\
max views redraw\n\
)</code></pre><p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;&#x30E6;&#x30FC;&#x30B6; &#x30A4;&#x30F3;&#x30BF;&#x30D5;&#x30A7;&#x30FC;&#x30B9;&#x8981;&#x7D20; (&#x30B9;&#x30D4;&#x30CA;&#x30FC;) &#x306E;&#x5024;&#x304C;&#x5909;&#x5316;&#x3057;&#x305F;&#x3068;&#x304D;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;&#x73FE;&#x5728;&#x306E; xView &#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3092;&#x73FE;&#x5728;&#x6642;&#x523B;&#x3067;&#x5B9F;&#x884C;&#x3059;&#x308B;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3001;&#x305D;&#x306E;&#x7D50;&#x679C;&#x3068;&#x3057;&#x3066;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x30C7;&#x30FC;&#x30BF;&#x304C;&#x66F4;&#x65B0;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x65B0;&#x3057;&#x3044;&#x30C7;&#x30FC;&#x30BF;&#x3092;&#x8868;&#x793A;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x3059;&#x3079;&#x3066;&#x306E;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3092;&#x5B8C;&#x5168;&#x306B;&#x518D;&#x63CF;&#x753B;&#x3059;&#x308B;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on spn_FaceAreaThresholdMin changed val do\n\
(\n\
FaceAreaChecker.FaceAreaThresholdMin = val\n\
updateDisplay()\n\
) </code></pre><p>&#x6700;&#x5C0F;&#x3057;&#x304D;&#x3044;&#x5024;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x304C;&#x5909;&#x66F4;&#x3055;&#x308C;&#x308B;&#x305F;&#x3073;&#x306B;&#x3001;&#x65B0;&#x3057;&#x3044;&#x5024;&#x3092;&#x69CB;&#x9020;&#x4F53;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x683C;&#x7D0D;&#x3057;&#x3001;&#x66F4;&#x65B0;&#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3066;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3092;&#x30EA;&#x30D5;&#x30EC;&#x30C3;&#x30B7;&#x30E5;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">on spn_FaceAreaThresholdMax changed val do\n\
(\n\
FaceAreaChecker.FaceAreaThresholdMax = val\n\
updateDisplay()\n\
)   </code></pre><p>&#x6700;&#x5927;&#x3057;&#x304D;&#x3044;&#x5024;&#x30B9;&#x30D4;&#x30CA;&#x30FC;&#x3067;&#x540C;&#x3058;&#x51E6;&#x7406;&#x3092;&#x884C;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">)--end rollout \n\
\n\
createDialog faceAreaDialog</code></pre><p>&#x3053;&#x306E;&#x6642;&#x70B9;&#x3067;&#x3001;&#x3053;&#x306E;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x304B;&#x3089;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x306F;&#x3001;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x5185;&#x306E;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;&#x306E;&#x30B5;&#x30A4;&#x30BA;&#x306B;&#x57FA;&#x3065;&#x3044;&#x3066;&#x81EA;&#x52D5;&#x7684;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">setDialogPos faceAreaDialog mouse.screenpos</code></pre><p>&#x6B21;&#x306B;&#x3001;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x30DE;&#x30A6;&#x30B9;&#x4F4D;&#x7F6E;&#x306B;&#x79FB;&#x52D5;&#x3057;&#x307E;&#x3059;&#x3002; &#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x30E6;&#x30FC;&#x30B6;&#x304C;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3067;[&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x8A2D;&#x5B9A;](Click Here To Configure)&#x30DC;&#x30BF;&#x30F3;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3059;&#x308B;&#x3068;&#x3001;&#x30DE;&#x30A6;&#x30B9; &#x30DD;&#x30A4;&#x30F3;&#x30BF;&#x306E;&#x6A2A;&#x306B;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">FaceAreaChecker.faceAreaDialog = faceAreaDialog</code></pre><p>&#x6700;&#x5F8C;&#x306B;&#x3001;&#x69CB;&#x9020;&#x4F53;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x5B9A;&#x7FA9;&#x3092;&#x683C;&#x7D0D;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x30ED;&#x30FC;&#x30EB;&#x30A2;&#x30A6;&#x30C8;&#x306E;&#x5B9A;&#x7FA9;&#x306E;&#x524D;&#x306B;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x9589;&#x3058;&#x3088;&#x3046;&#x3068;&#x3057;&#x3066;&#x3082;&#x3001;&#x6B63;&#x3057;&#x3044;&#x5024;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">) )--end struct\n\
\n\
try (destroyDialog FaceAreaChecker.faceAreaDialog)catch()</code></pre><p>&#x3053;&#x306E;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x9589;&#x3058;&#x3088;&#x3046;&#x3068;&#x3059;&#x308B;&#x8A66;&#x884C;&#x51E6;&#x7406;&#x306F;&#x3001;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x306E;&#x958B;&#x767A;&#x6642;&#x306B;&#x30BD;&#x30FC;&#x30B9;&#x3092;&#x4F55;&#x5EA6;&#x3082;&#x518D;&#x8A55;&#x4FA1;&#x3059;&#x308B;&#x5834;&#x5408;&#x306B;&#x4FBF;&#x5229;&#x3067;&#x3059;&#x3002; &#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x5B9F;&#x884C;&#x3059;&#x308B;&#x305F;&#x3073;&#x306B;&#x3001;&#x3053;&#x308C;&#x307E;&#x3067;&#x306B;&#x958B;&#x3044;&#x305F;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0;&#x304C;&#x9589;&#x3058;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x51E6;&#x7406;&#x3092;&#x884C;&#x308F;&#x306A;&#x3044;&#x5834;&#x5408;&#x3001;&#x30C6;&#x30B9;&#x30C8;&#x4E2D;&#x306B;&#x3044;&#x304F;&#x3064;&#x3082;&#x306E;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x53D6;&#x308A;&#x6B8B;&#x3055;&#x308C;&#x308B;&#x3053;&#x3068;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">FaceAreaChecker = FaceAreaCheckerStruct()</code></pre><p>&#x3053;&#x3053;&#x3067;&#x306F;&#x3001;&#x30ED;&#x30FC;&#x30AB;&#x30EB;&#x69CB;&#x9020;&#x4F53;&#x306E;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x3001;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB;&#x5909;&#x6570;&#x306B;&#x5272;&#x308A;&#x5F53;&#x3066;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x3088;&#x308A;&#x3001;&#x305D;&#x306E;&#x4ED6;&#x306E;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x307E;&#x305F;&#x306F;&#x30EA;&#x30B9;&#x30CA;&#x30FC;&#x304C;&#x3053;&#x306E;&#x69CB;&#x9020;&#x4F53;&#x30A4;&#x30F3;&#x30B9;&#x30BF;&#x30F3;&#x30B9;&#x5185;&#x306E;&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x3068;&#x95A2;&#x6570;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3067;&#x304D;&#x308B;&#x3088;&#x3046;&#x306B;&#x306A;&#x308A;&#x3001;&#x958B;&#x767A;&#x3084;&#x30C7;&#x30D0;&#x30C3;&#x30B0;&#x304C;&#x7C21;&#x5358;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">XViewChecker.unRegisterChecker &quot;Face Area Checker&quot;</code></pre><p>&#x540D;&#x524D;&#x306B;&#x3088;&#x308A; xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x767B;&#x9332;&#x89E3;&#x9664;&#x3057;&#x307E;&#x3059;&#x3002;&#x540C;&#x3058;&#x30B3;&#x30FC;&#x30C9;&#x304C;&#x8907;&#x6570;&#x56DE;&#x5B9F;&#x884C;&#x3055;&#x308C;&#x305F;&#x5834;&#x5408;&#x3001;&#x524D;&#x306E;&#x30D0;&#x30FC;&#x30B8;&#x30E7;&#x30F3;&#x3092;&#x524A;&#x9664;&#x3057;&#x3066;&#x304B;&#x3089;&#x3053;&#x308C;&#x3092;&#x518D;&#x767B;&#x9332;&#x3059;&#x308B;&#x3088;&#x3046;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">XViewChecker.registerChecker FaceAreaChecker.geomCheck FaceAreaChecker.supportedCheck #Faces &quot;Face Area Checker&quot; FaceAreaChecker.configDlg undefined undefined</code></pre><p>&#x6700;&#x5F8C;&#x306B;&#x3001;xView Checker &#x30B7;&#x30B9;&#x30C6;&#x30E0;&#x306B;&#x4F5C;&#x6210;&#x3057;&#x305F;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x767B;&#x9332;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>1 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3059;&#x95A2;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<p>2 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x3001;&#x30B7;&#x30FC;&#x30F3; &#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x304C;&#x30C1;&#x30A7;&#x30C3;&#x30AF;&#x53EF;&#x80FD;&#x304B;&#x3069;&#x3046;&#x304B;&#x3092;&#x5224;&#x5B9A;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3059;&#x95A2;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<p>3 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x3001;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x30BF;&#x30A4;&#x30D7; (&#x9762;&#x3001;&#x30A8;&#x30C3;&#x30B8;&#x3001;&#x9802;&#x70B9;&#x306E;&#x3044;&#x305A;&#x308C;&#x306B;&#x5BFE;&#x3057;&#x3066;&#x6A5F;&#x80FD;&#x3059;&#x308B;&#x304B;) &#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x9078;&#x629E;&#x5909;&#x63DB;&#x3067;&#x3001;&#x7D50;&#x679C;&#x306E;&#x914D;&#x5217;&#x306E;&#x5185;&#x5BB9;&#x3092;&#x6B63;&#x3057;&#x3044;&#x30BF;&#x30A4;&#x30D7;&#x306E;&#x30B5;&#x30D6;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8; &#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3068;&#x3057;&#x3066;&#x89E3;&#x91C8;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x5FC5;&#x8981;&#x3067;&#x3059;&#x3002;</p>\n\
<p>4 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x540D;&#x524D;&#x3067;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x30EA;&#x30B9;&#x30C8;&#x304A;&#x3088;&#x3073;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x306B;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x8868;&#x793A;&#x3059;&#x308B;&#x305F;&#x3081;&#x3068;&#x3001;&#x767B;&#x9332;&#x89E3;&#x9664;&#x3059;&#x308B;&#x3068;&#x304D;&#x306B;&#x540D;&#x524D;&#x3067;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306B;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3059;&#x308B;&#x305F;&#x3081;&#x306E;&#x4E21;&#x65B9;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>5 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x3001;[&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x8A2D;&#x5B9A;](Click Here To Configure)&#x30DC;&#x30BF;&#x30F3;&#x304C;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3055;&#x308C;&#x305F;&#x3068;&#x304D;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3055;&#x308C;&#x308B;&#x95A2;&#x6570;&#x3067;&#x3059;&#x3002;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x4E0D;&#x8981;&#x306A;&#x5834;&#x5408;&#x306F;&#x3001;undefined &#x3068;&#x3057;&#x3066;&#x6E21;&#x3059;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<p>6 &#x756A;&#x76EE;&#x306E;&#x5F15;&#x6570;&#x306F;&#x3001;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3067;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x540D;&#x524D;&#x306E;&#x6A2A;&#x306B;&#x8868;&#x793A;&#x3055;&#x308C;&#x308B;&#x30C6;&#x30AD;&#x30B9;&#x30C8;&#x3092;&#x4E0A;&#x66F8;&#x304D;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3059;&#x95A2;&#x6570;&#x3067;&#x3059;&#x3002;&#x73FE;&#x6642;&#x70B9;&#x3067;&#x306F;&#x3001;&#x30C6;&#x30AD;&#x30B9;&#x30C8;&#x306E;&#x4E0A;&#x66F8;&#x304D;&#x306F;&#x884C;&#x308F;&#x306A;&#x3044;&#x305F;&#x3081; undefined &#x3092;&#x6E21;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;&#x306E;&#x6B21;&#x306E;&#x90E8;&#x3067;&#x5B9F;&#x88C5;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x6700;&#x5F8C;&#x306E;&#x5F15;&#x6570;&#x306F;&#x3001;&#x65E2;&#x5B9A;&#x5024;&#x306E;&#x8868;&#x793A;&#x6A5F;&#x80FD;&#x3092;&#x4E0A;&#x66F8;&#x304D;&#x3059;&#x308B;&#x305F;&#x3081;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3059;&#x95A2;&#x6570;&#x3067;&#x3059;&#x3002;&#x3053;&#x3053;&#x3067;&#x306F;&#x3001;&#x65E2;&#x5B9A;&#x5024;&#x306E;&#x8868;&#x793A;&#x6A5F;&#x80FD;&#x3092;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x305F;&#x3081;&#x3001;&#x540C;&#x3058;&#x304F; undefined &#x3092;&#x6E21;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x3001;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;&#x306E;&#x6B21;&#x306E;&#x90E8;&#x3067;&#x5B9F;&#x88C5;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">)--end script</code></pre><h2 id=\"xview-\">xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x4F7F;&#x7528;</h2><p>&#x73FE;&#x6642;&#x70B9;&#x3067;&#x3001;<strong>[Ctrl]+[E]</strong>&#x3092;&#x62BC;&#x3059;&#x3068;&#x30B3;&#x30FC;&#x30C9;&#x304C;&#x8A55;&#x4FA1;&#x3055;&#x308C;&#x3001;xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x4F7F;&#x7528;&#x3067;&#x304D;&#x307E;&#x3059;&#x304C;&#x3001;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8; &#x30E1;&#x30CB;&#x30E5;&#x30FC;&#x306B;&#x306F;&#x307E;&#x3060;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3002;</p>\n\
<p>&#x65B0;&#x3057;&#x3044;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x8868;&#x793A;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;<strong>[&#x9762;&#x65B9;&#x5411;](Face Orientation)</strong>&#x306A;&#x3069;&#x306E;&#x4ED6;&#x306E; xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x6709;&#x52B9;&#x306B;&#x3057;&#x3001;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x306E;&#x4E0B;&#x90E8;&#x306B;&#x3042;&#x308B;[&#x9762;&#x65B9;&#x5411;](Face Orientation)&#x30E9;&#x30D9;&#x30EB;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x3001;&#x767B;&#x9332;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x30EA;&#x30B9;&#x30C8;&#x3092;&#x8868;&#x793A;&#x3057;&#x307E;&#x3059;&#x3002;<strong>Face Area Checker</strong> &#x304C;&#x305D;&#x3053;&#x306B;&#x8868;&#x793A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30EA;&#x30B9;&#x30C8;&#x304B;&#x3089;&#x3053;&#x308C;&#x3092;&#x9078;&#x629E;&#x3057;&#x3066;&#x6709;&#x52B9;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><img src=\"./images/GUID-6149F943-BBB7-4D34-9BF2-8CE841F2F2B0-low.gif\" alt></p>\n\
<p>&#x753B;&#x9762;&#x306E;&#x4E0B;&#x90E8;&#x306B;&#x30E9;&#x30D9;&#x30EB;<strong>[Face Area Checker]</strong>&#x304C;&#x8868;&#x793A;&#x3055;&#x308C;&#x3001;&#x6709;&#x52B9;&#x306A;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;(&#x7DE8;&#x96C6;&#x53EF;&#x80FD;&#x30E1;&#x30C3;&#x30B7;&#x30E5;&#x307E;&#x305F;&#x306F;&#x7DE8;&#x96C6;&#x53EF;&#x80FD;&#x30DD;&#x30EA;&#x30B4;&#x30F3;)&#x304C;&#x9078;&#x629E;&#x3055;&#x308C;&#x308B;&#x3068;&#x3001;&#x9762;/&#x30DD;&#x30EA;&#x30B4;&#x30F3;&#x304C;&#x30C6;&#x30B9;&#x30C8;&#x3055;&#x308C;&#x3001;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8;&#x3067;&#x30B7;&#x30A7;&#x30FC;&#x30C7;&#x30A3;&#x30F3;&#x30B0;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><img src=\"./images/GUID-0CB1EB81-A26C-4625-8702-A628E4BF8B71-low.gif\" alt></p>\n\
<p>&#x6700;&#x5C0F;&#x304A;&#x3088;&#x3073;&#x6700;&#x5927;&#x306E;&#x3057;&#x304D;&#x3044;&#x5024;&#x3092;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;[&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x8A2D;&#x5B9A;](Click Here To Configure)&#x30E9;&#x30D9;&#x30EB;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x307E;&#x3059;&#x3002;&#x3057;&#x304D;&#x3044;&#x5024;&#x3092;&#x69CB;&#x6210;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;<strong>[&#x3053;&#x3053;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x3066;&#x8A2D;&#x5B9A;](Click Here To Configure)</strong>&#x30E9;&#x30D9;&#x30EB;&#x3092;&#x30AF;&#x30EA;&#x30C3;&#x30AF;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><img src=\"./images/GUID-5D751E6C-E60B-4490-B68D-8AB67F2536A2-low.gif\" alt></p>\n\
<p>&#x4ECA;&#x5F8C;&#x306E; <strong>3ds Max</strong> &#x30BB;&#x30C3;&#x30B7;&#x30E7;&#x30F3;&#x3067;&#x3001;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x624B;&#x52D5;&#x3067;&#x8A55;&#x4FA1;&#x3057;&#x306A;&#x304F;&#x3066;&#x3082;&#x3053;&#x306E;&#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x4F7F;&#x7528;&#x3067;&#x304D;&#x308B;&#x3088;&#x3046;&#x306B;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092; \\Startup &#x30D5;&#x30A9;&#x30EB;&#x30C0;&#x3001;&#x3082;&#x3057;&#x304F;&#x306F;&#x30D7;&#x30E9;&#x30B0;&#x30A4;&#x30F3; &#x30D1;&#x30B9;&#x3068;&#x3057;&#x3066;&#x767B;&#x9332;&#x3055;&#x308C;&#x3066;&#x3044;&#x308B;&#x30D5;&#x30A9;&#x30EB;&#x30C0;&#x307E;&#x305F;&#x306F;&#x305D;&#x306E;&#x30B5;&#x30D6;&#x30D5;&#x30A9;&#x30EB;&#x30C0;&#x306B;&#x30B3;&#x30D4;&#x30FC;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30AB;&#x30B9;&#x30BF;&#x30E0;&#x306E; xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x3092;&#x30D3;&#x30E5;&#x30FC;&#x30DD;&#x30FC;&#x30C8; &#x30E1;&#x30CB;&#x30E5;&#x30FC;&#x306B;&#x8FFD;&#x52A0;&#x3059;&#x308B;&#x65B9;&#x6CD5;&#x306F;&#x3001;<a href=\"How-To-Develop-A-Face-Area-XView-3.html\">&#x3053;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;&#x306E;&#x7B2C; 4 &#x90E8;</a>&#x3067;&#x8AAC;&#x660E;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x6B21;&#x306E;&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB;:</strong></p>\n\
<p><a href=\"How-To-Develop-A-Face-Area-XView-1.html\">&#x30C1;&#x30E5;&#x30FC;&#x30C8;&#x30EA;&#x30A2;&#x30EB; - &#x9762;&#x9818;&#x57DF; xView &#x30C1;&#x30A7;&#x30C3;&#x30AB;&#x30FC;&#x306E;&#x958B;&#x767A; - &#x7B2C; 2 &#x90E8;</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../How-To-Develop-an-XView-Geometry.html\">チュートリアル - ジオメトリ xView チェッカーの開発</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xView ジオメトリ チェッカーへのアクセス</a></li>\n\
          <li><a class=\"link\" href=\"../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">インタフェース: xViewChecker</a></li>\n\
          <li><a class=\"link\" href=\"../How-To-Introduction-to-the.html\">チュートリアル - チュートリアルについて</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";