var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B51DE21E-DD2E-4A06-A7FD-F63C788EAC3D\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript へのアクセス</h1></div><p>MAXScript は、<strong>3ds Max</strong> (バージョン 2.0 以上) 用の組み込みスクリプト言語です。 そのため、MAXScript は、<strong>3ds Max</strong> が実行中でないと使用できません。<strong>3ds Max</strong> から MAXScript にアクセスする場合、いくつかの方法があります。</p>\n\
<p><a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">[スクリプト リスナー](Scripting Listener)</a>は、<strong>メイン メニューの[スクリプト] (Scripting)メニュー</strong>から開くことができます(メイン メニュー &gt; [スクリプト] (Scripting) &gt; [スクリプト リスナー](Scripting Listener))。</p>\n\
<p>スクリプト リスナーへの既定値のキーボード ショートカットである<strong>[F11]</strong>もメニュー項目の隣に表示されます。<strong>[F11]</strong>を押すと、いつでもスクリプト リスナーを開くことができます。</p>\n\
<p><img src=\"./images/scripting_menu.png\" alt></p>\n\
<p>また、3ds Max のユーザ インタフェースの左下隅にある<strong>[ミニ リスナー] (Mini-Listener)を右クリック</strong>することもできます。右クリックで表示されるコンテキスト メニューには、[スクリプト リスナー](Scripting Listener)ウィンドウを開くオプションが含まれています。</p>\n\
<p><img src=\"./images/GUID-2085E253-0B6E-49C6-84F6-B2478802EA18-low.gif\" alt></p>\n\
<p>スクリプト リスナーを開くには、もう 1 つの別の方法があります。</p>\n\
<ol>\n\
<li><p><img src=\"./images/GUID-4D61E4AE-8458-44D6-AF7C-A3F3E459F179-low.gif\" alt>[コマンド] (Command)パネルで[ユーティリティ] (Utility)を選択し、[MAXScript]をクリックします。</p>\n\
<p>[MAXScript]ロールアウトが表示されます。</p>\n\
<p><img src=\"./images/GUID-FC8EB6E6-8E38-467B-BF70-BDDF6C11FB3E-low.gif\" alt></p>\n\
</li>\n\
<li><p>[リスナーを開く](Open Listener)をクリックします。</p>\n\
</li>\n\
</ol>\n\
<p>ウエルカム メッセージとともに[スクリプト リスナー](Scripting Listener)ウィンドウが表示されます。</p>\n\
<h2 id=\"-\">スクリプト リスナー</h2><p>[スクリプト リスナー](Scripting Listener)ウィンドウは、MAXScript 言語のインタラクティブ インタープリタです。 動作は、DOS コマンド プロンプト ウィンドウと似ています。このウィンドウに MAXScript コマンドを入力してテンキーの <strong>[Enter]</strong> キーを押すと、すぐにコマンドを実行できます。  </p>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>注:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> スクリプト リスナーは、Python モードもサポートします。詳細については、_3ds Max Python API ヘルプ_を参照してください。</p>\n\
\n\
</div></div>\n\
\n\
<p><img src=\"./images/scripting_listener_window.png\" alt></p>\n\
<p>スクリプト リスナーの詳細については、「<a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">[スクリプト リスナー](Scripting Listener)ウィンドウ</a>」を参照してください。</p>\n\
<h2 id=\"-\">スクリプト ミニ リスナー</h2><p>ステータス バーの左端には、サイズ変更が可能な[ミニ リスナー](Mini Listener)があります。</p>\n\
<p><img src=\"./images/GUID-37680B1E-BED1-43F5-AAC0-C82DE2B233CA-low.gif\" alt></p>\n\
<p>[ミニ リスナー](Mini Listener)が表示されていない場合、ステータス パネルの左端にある縦の分割バーをドラッグすると表示されます。[ミニ リスナー](Mini Listener)ペインは、対応する[リスナー] (Listener)ペインの現在行を 1 行にスライドするウィンドウとして機能します。[ミニ リスナー](Mini Listener)ペインには、現在入力している文字、または[リスナー] (Listener)ペイン内のカーソルの位置が常に表示されます。逆に、[ミニ リスナー](Mini Listener)ペインに入力した文字は、対応する[リスナー] (Listener)ペインの現在のカーソル位置に入力されます。</p>\n\
<p>ミニ リスナーの詳細については、「<a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Listener-Window.html\">[スクリプト リスナー](Scripting Listener)ウィンドウ</a>」を参照してください。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Getting-Started.html\">スタートアップ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";