var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-78A07874-70D3-4FFF-BE06-C9BB3721F252\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>三角関数</h1></div><p>この項は、数学におけるこの分野を復習するための簡単な解説です。三角関数に関する十分な知識があれば、省略して次に進んでください。このトピックの内容が難しい場合は、より基本的な参考書をお読みください。</p>\n\
<p>三角関数は主に次の項目のモデリングや記述に使用します。</p>\n\
<ul>\n\
<li><p>三角形の内角の関係(つまり名前)</p>\n\
</li>\n\
<li><p>円を中心とした回転。 極座標による位置も含む</p>\n\
</li>\n\
<li><p>循環的、または定期的値音波など</p>\n\
</li>\n\
</ul>\n\
<p>単位円を中心に回転する角度から 3 つの基本三角関数が導き出されます。</p>\n\
<p><img src=\"./images/GUID-AC6792B8-7D79-4850-BD89-E64280A0B1A2-low.gif\" alt=\"\"></p>\n\
<p>単位円を基本とする三角関数</p>\n\
<p><img src=\"./images/GUID-3727A2D1-816F-47CD-96FC-77C598B42B78-low.gif\" alt=\"\"></p>\n\
<p>タンジェント関数は x=0 には定義されません。 ターゲットを定義する他の方法は次のようになります。</p>\n\
<p><img src=\"./images/GUID-43C75AC0-CDCF-46DD-A222-07E30483A566-low.gif\" alt=\"\"></p>\n\
<p><em>XYR</em> は直角三角形を定義するので、サインとコサインの関係は次のようになります。</p>\n\
<p><img src=\"./images/GUID-0959AA12-8A11-4F5B-A57F-CD2F32A3B7BC-low.gif\" alt=\"\"></p>\n\
<p>基本三角関数のグラフは、各関数の循環特性を表しています。</p>\n\
<p><img src=\"./images/GUID-1B9B81A2-255D-4BA5-B04D-B042BF9EA022-low.gif\" alt=\"\"></p>\n\
<p>基本三角関数のグラフ</p>\n\
<p>サイン関数とコサイン関数は同じ値を生成しますが、位相は X 軸方向に π/2 (つまり 90度) だけずれています。</p>\n\
<p>逆関数は π/2 = X = π/2 で制限される x 値にのみ適用されます。これらの関数のグラフは基本的な三角関数グラフのようですが、90 度回転した状態です。</p>\n\
<p><img src=\"./images/GUID-ABF4269D-D5C1-4F0C-8041-7772AC921BD6-low.gif\" alt=\"\"></p>\n\
<p><strong>基本的な弧関数のグラフ</strong></p>\n\
<p>双曲線関数では、循環計測値の代わりに指数定数 <em>e</em> がベースになります。ただし、働きは三角関数に似ており、三角関数のために取りあげたものです。基本双曲線関数は、次のとおりです。</p>\n\
<p><img src=\"./images/GUID-86F381E1-4DC6-426B-97D0-D91896320E04-low.gif\" alt=\"\"></p>\n\
<p><img src=\"./images/GUID-A9C7C2AC-0E02-49E7-9527-453807AE8D53-low.gif\" alt=\"\"></p>\n\
<p>基本双曲線関数のグラフ</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Learning-MAXScript.html\">MAXScript トレーニング</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";