var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F039181A-C072-4469-A329-AE60FF7535E7\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript の紹介</h1></div><p><strong>MAXScript リファレンスへようこそ!</strong></p>\n\
<p>MAXScript は、<strong>Autodesk</strong>® <strong>3ds Max</strong>® のビルトイン スクリプト言語です。</p>\n\
<h2 id=\"-\">よく利用される一部のトピックを一覧する場合は、次のリンクにアクセスしてください</h2><h2 id=\"-maxscript-\">前のバージョンのソフトウェアで MAXScript を使用していた方</h2><p>次のトピックでは、最新バージョンにおける MAXScript 言語の変更・追加に関する概要を説明しています。</p>\n\
<p><img src=\"images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\"\">3ds Max の MAXScript の新機能</a></p>\n\
<p>インデックス ページ「<a href=\"What-is-New-in-MAXScript/What-was-New-in-MAXScript-in.html\">MAXScript の新機能(以前のバージョン)</a>」には、以前のバージョンでの MAXScript の変更を記述したすべてのトピックへのリンクが掲載されています。</p>\n\
<h2 id=\"maxscript-\">MAXScript を初めて使用する方</h2><p>次のトピックでは、このドキュメントの構成と MAXScript スクリプト言語の概念に関する情報を提供しています。</p>\n\
<p>MAXScript を使用してワークフローと生産性を向上させる方法の概要については、「<a href=\"MAXScript-Introduction/What-is-MAXScript-.html\">MAXScript とは</a>」を参照してください。</p>\n\
<p>MAXScript の用途についてのより詳細な紹介は、「<a href=\"MAXScript-Introduction/MAXScript-Overview.html\">MAXScript の概要</a>」を参照してください。</p>\n\
<p>以下のトピックは、MAXScript リファレンスの概要です。</p>\n\
<ul>\n\
<li><a href=\"MAXScript-Introduction/Using-the-MAXScript.html\">MAXScript ドキュメントの使い方</a> </li>\n\
<li><a href=\"MAXScript-Introduction/Syntax-Definitions-in-This/Syntax-Definitions-in-This-1.html\">このヘルプ ファイルで使用する構文定義</a> </li>\n\
</ul>\n\
<p>以下のトピックには、トレーニング資料、チュートリアル、および MAXScript に関する質問と回答へのリンクがまとめられています。</p>\n\
<ul>\n\
<li>MAXScript トレーニング - トピック インデックス </li>\n\
<li><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">新規および臨時ユーザ用 MAXScript</a> </li>\n\
<li><a href=\"How-To-Practical-Examples/How-To-Introduction-to-the.html\">チュートリアル:</a> </li>\n\
<li><a href=\"Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/Accessing-MAXScript.html\">MAXScript へのアクセス</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/General-MAXScript-Topics.html\">一般的な MAXScript</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/MAXScript-for-New-and-Casual.html\">新規および臨時ユーザ用 MAXScript</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/MAXScript-Overview.html\">MAXScript の概要</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/Objects-and-Classes-in-Object.html\">オブジェクト指向プログラミングにおけるオブジェクトとクラス</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/Syntax-Definitions-in-This.html\">このヘルプ ファイルで使用する構文定義</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/The-MAXScript-Debugger.html\">MAXScript デバッガ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/The-MAXScript-Editor.html\">スクリプト エディタ</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/The-SDK-and-MAXScript.html\">SDK と MAXScript</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/Using-the-MAXScript.html\">MAXScript ドキュメントの使い方</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"MAXScript-Introduction/What-is-MAXScript-.html\">MAXScript とは</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";