var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-88C7A01F-F411-4015-A4AC-71059508E4C8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>macroScript ボタンのカスタマイズ</h1></div><p><strong>3ds Max 3</strong> にマクロ レコーダと macroScript を導入して以来、多くのユーザ インタフェース要素が MAXScript を使用して実装されてきました。</p>\n\
<p><strong>3ds Max 4</strong> では、アクション項目システムが導入され、カスタマイズ ダイアログ ボックスの 4 つの主要なすべての領域(キーボード ショートカット、ツールバー、メニュー、およびクアッドメニュー)に macroScript を表示できるようになりました。</p>\n\
<p>ツールバーのボタンの場合には、コンテキスト依存の右クリック メニューで macroScript を利用でき、次のオプションが表示されます。</p>\n\
<ul>\n\
<li>ボタンの外観を編集...    </li>\n\
<li>ボタンを削除    </li>\n\
<li>マクロ スクリプトを編集    </li>\n\
<li>カスタマイズ...(Customize...)</li>\n\
</ul>\n\
<p><img src=\"./images/GUID-D280F4C6-7DA5-4DF4-A54C-0F921E731D87-low.gif\" alt=\"\"></p>\n\
<p>上の例では、ユーザが[レンダリング ショートカット](Render Shortcuts)ツールバーの 2 番目のアイコンを右クリックしました。ここには、レンダリング プリセットを現在のプロダクション レンダラーにすばやく割り当てるために使用されるレンダリング プリセット スロット B が含まれています。</p>\n\
<h2 id=\"-edit-button-appearance-\">ボタンの外観を編集...(Edit Button Appearance...)</h2><p><strong>[ボタンの概観を編集...](Edit Button Appearance...</strong>)オプションを選択すると、ボタンの外観を調整するための新しいダイアログ ボックスが開きます。たとえば、次の外観を調整できます。</p>\n\
<ul>\n\
<li><p>ボタンの上にマウスを置いたときに表示されるツールチップ</p>\n\
</li>\n\
<li><p>テキスト ボタンが要求されたときのテキスト ラベル</p>\n\
</li>\n\
<li><p>イメージ ボタンが必要な場合に使用されるイメージ ファイルとアイコン番号</p>\n\
<p>  <img src=\"./images/GUID-464FC2BF-18B4-4E8B-AB1B-A8C45F3D5EF7-low.gif\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
<p>これは、ダイアログ ボックスの既定値の設定です。現在、(スクリプトのソース コードで指定された)アイコンがボタンに表示されている場合でも、ダイアログ ボックスでは[テキスト ボタン](Text Button)の設定が既定の状態として表示されます。</p>\n\
<p>ユーザは、ボタン モードを[イメージ ボタン](Image Button)に切り替え、ドロップダウン リストからアイコン ライブラリを選択して(たとえば「レンダリング」)、リストから新しいアイコンを選択できます。</p>\n\
<p><img src=\"./images/GUID-4C8CF39D-36B3-46CA-B2FE-5DD8FF549C52-low.gif\" alt=\"\"></p>\n\
<h2 id=\"-delete-button-\">ボタンを削除(Delete Button)</h2><p><strong>[ボタンを削除](Delete Button)</strong>オプションを使用すると、ユーザはツールバーからボタンを削除できます。これは削除に伴う操作なので、次のプロンプトが表示されます。</p>\n\
<p><img src=\"./images/GUID-9D5EED2E-8E6B-488A-A6C9-437437499014-low.gif\" alt=\"\"></p>\n\
<p>[はい] (Yes)と答えた場合でも、その後で CUI ファイルから元のツールバー定義を復元したり、削除したボタンを[ユーザ インタフェースをカスタマイズ](mize User Interface)ダイアログ ボックスで作成し直すこともできます。</p>\n\
<h2 id=\"-edit-macro-script-\">マクロ スクリプトを編集(Edit Macro Script)</h2><p><strong>[マクロ スクリプトを編集](Edit Macro Script)</strong>オプションを使用すると、ユーザは、ボタンの定義に使用する macroScript のソース コードを直接表示することができます。機能面でのささいなエラーを簡単に修正したり、オートデスクまたはサードパーティが開発した特定の機能の動作を学習する場合に非常に役立ちます。</p>\n\
<p>3ds Max に付属する「ファクトリ」 macroScript を開くと、¥macroscripts フォルダから現在のユーザのローカル AppData フォルダ内の ¥usermacros フォルダにファイルがコピーされ、コードのカスタム変更が可能になります。¥usermacros フォルダに格納されたスクリプトはファクトリ スクリプトの後で評価されるので、ファクトリ スクリプトを上書きします。次の警告が既定で表示されます(左下隅のチェック ボックス オプションで無効にしていない場合)。</p>\n\
<p><img src=\"./images/GUID-61DFE8A9-D686-420A-B4E3-E4164A133631-low.bmp\" alt=\"\"></p>\n\
<p>たとえば、[レンダリング プリセット スロット B](Render Presets Slot B)ボタンのソース コードをスクリプト エディタで表示すると次のようになります。macroScript の最初の行が自動的に強調表示されています。</p>\n\
<p><img src=\"./images/GUID-737CAF64-B8CD-4DCF-9EE8-A818280166E5-low.bmp\" alt=\"\"></p>\n\
<p>MAXScript を使用しないでボタンが実装されている場合、[マクロ スクリプトを編集](Edit Macro Script)オプションは淡色表示されます。たとえば、メイン ツールバーの[マニピュレータ] (Manipulate)ボタンを参照してください。</p>\n\
<p><img src=\"./images/GUID-E7C68EBB-A32A-43F4-ABDE-6B5C7F28CE82-low.gif\" alt=\"\"></p>\n\
<p>3ds Max のコア インタフェースとして実装されたボタンの中には、その外観を変更できないものもあります([マテリアル エディタ](Material Editor)や[レンダリング] (Render)など、メイン ツールバーのほとんどのボタンを参照)。これらのボタンを右クリックしても、コンテキスト メニューは表示されません。</p>\n\
<h2 id=\"-customize-\">カスタマイズ...(Customize...)</h2><p><strong>[カスタマイズ...] (Customize...)</strong>オプションを選択すると、標準の[ユーザ インタフェースをカスタマイズ](Customize User Interface)ダイアログ ボックスが開き、新しいボタンを作成したり、アクション項目をショートカットに割り当てたり、アクション項目をメニューおよびクアッドメニューに配置したり、ユーザ インタフェースのカラーを調整することができます。また、MAXScript を使用して作成されている項目の macroScript を検索および編集することもできます。</p>\n\
<p><img src=\"./images/GUID-738B5F21-C243-4C25-B15E-984130BEDA64-low.gif\" alt=\"\"></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">MAXScript へのアクセス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\">新規ユーザのための MacroScript</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">マクロ スクリプトの定義</a></li>\n\
          <li><a class=\"link\" href=\"../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts/Creating-Icon-Bitmap-Files.html\">アイコン ビットマップ ファイルの作成</a></li>\n\
          <li><a class=\"link\" href=\"The-Macro-Recorder.html\">マクロ レコーダ</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";