var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DD3A8F38-9CD8-47FE-AE32-AA65D8A429D6\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト リスナーを使用する</h1></div><p>スクリプト リスナーは、テキスト エディタとコマンド プロンプト ウィンドウの機能を兼ね備えたものです。[Enter]を押すと作成したコマンドが実行されますが、テキストをスクロールして既存のコマンドを再実行したり、コマンドを編集した後に修正したコードを実行することもできます。</p>\n\
<p><strong>リスナーには以下の機能があります。</strong></p>\n\
<ul>\n\
<li><p>左ウィンドウ境界線の行選択マージン。カーソルを左マージンに移動すると、カーソルは右矢印に変わります。シングルクリックで行全体が選択され、クリックしてドラッグすると複数の行が選択されます。</p>\n\
</li>\n\
<li><p>リスナーと[スクリプト エディタ](Script Editor)ウィンドウ間でのドラッグ アンド ドロップによるテキストのコピー。</p>\n\
</li>\n\
<li><p>[検索 &gt; 検索](Search &gt; Find)または[検索 &gt; 置換](Search &gt; Replace)を選択すると、選択したテキストは自動的に[検索する文字列](search text)ダイアログ ボックスのフィールドにロードされます。これは、選択したテキストが他にあるかどうかを見つけるのに便利です。</p>\n\
</li>\n\
<li><p>テキスト入力、テキスト出力、およびエラー メッセージ テキストを識別するカラーコーディング。これらのカラーおよびバックグラウンド カラーは、いくつかの MAXScript システム グローバル変数によってコントロールされます。また、新しいカラーを割り当ててリスナーをカスタマイズすることもできます。</p>\n\
</li>\n\
</ul>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>[テキスト タイプ]</th>\n\
<th>変数</th>\n\
<th>既定値カラー</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>キー入力テキスト</td>\n\
<td><code>inputTextColor</code></td>\n\
<td>black</td>\n\
</tr>\n\
<tr>\n\
<td>出力テキスト</td>\n\
<td><code>outputTextColor</code></td>\n\
<td>blue</td>\n\
</tr>\n\
<tr>\n\
<td>エラー メッセージ テキスト</td>\n\
<td><code>messageTextColor</code></td>\n\
<td>red</td>\n\
</tr>\n\
<tr>\n\
<td>リスナーのバックグラウンド色</td>\n\
<td><code>listenerBackgroundColor</code></td>\n\
<td>white</td>\n\
</tr>\n\
<tr>\n\
<td>マクロ レコーダのバックグラウンド色</td>\n\
<td><code>macroRecorderBackgroundColor</code></td>\n\
<td>色 219 195 195</td>\n\
</tr>\n\
<tr>\n\
<td>マクロ レコーダのテキストの色</td>\n\
<td><code>macroRecorderTextColor</code></td>\n\
<td>黒</td>\n\
</tr>\n\
<tr>\n\
<td>Python モード プロンプトの色</td>\n\
<td><code>pythonPromptColor</code></td>\n\
<td>色 255 100 0</td>\n\
</tr>\n\
</tbody></table>\n\
<p>リスナー ウィンドウでのコマンドについては、「<a href=\"Listener-Commands.html\">リスナー コマンド</a>」を参照してください。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Accessing-MAXScript.html\">MAXScript へのアクセス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Using-the-Symbol.html\">「?」記号の使い方</a></li>\n\
          <li><a class=\"link\" href=\"Turning-On-the-Listener-Log.html\">リスナー ログの取得</a></li>\n\
          <li><a class=\"link\" href=\"Controlling-the-Listener.html\">リスナーの内容と挿入点の制御</a></li>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Including-Scripts-Within-Scripts.html\">スクリプト内へのスクリプトの組み込み</a></li>\n\
          <li><a class=\"link\" href=\"../General-MAXScript-Topics/Aborting-Execution-with-the-ESC.html\">[Esc]による中止</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";