var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-473FDB9A-18EE-4340-B9F3-E7536841468A\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript のファイル タイプ</h1></div><p>MAXScript のコードには、いくつかの異なる「タイプ」のファイルがあり、それらのファイルの種類や 3ds Max での処理方法は、拡張子で示されます。</p>\n\
<p>サポートされている MAXScript の拡張子は次のとおりです。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>拡張子</th>\n\
<th>説明</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>.mxs</td>\n\
<td>MAXScript スクリプト ファイル。スクリプト エディタで認識されますが、起動時にはロードされません。</td>\n\
</tr>\n\
<tr>\n\
<td>.ms</td>\n\
<td>MAXScript スクリプト ファイル。スクリプト エディタで認識され、<a href=\"Startup-Scripts.html\"\">起動スクリプトの場所</a>のいずれかに保存すると、起動時にロードされます。</td>\n\
</tr>\n\
<tr>\n\
<td>.mcr</td>\n\
<td>MAXScript <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Macro-Scripts/Macro-Scripts-1.html\"\">マクロ スクリプト</a>。</td>\n\
</tr>\n\
<tr>\n\
<td>.mse</td>\n\
<td>内容を保護するために、<a href=\"Encrypting-Script-Files.html\"\">encryptScript</a> コマンドを使用して暗号化された MAXScript スクリプト ファイル。<a href=\"Startup-Scripts.html\"\">起動スクリプトの場所</a>のいずれかに保存すると、起動時にロードされます。</td>\n\
</tr>\n\
<tr>\n\
<td>.mzp</td>\n\
<td>MAXScript の <a href=\"GUID-A085EFDD-A397-41D6-9391-421344294422.zip\">zip ファイル パッケージ</a>。</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../General-MAXScript-Topics.html\">一般的な MAXScript</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";