var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CFC04B9D-4645-4BA9-AABF-EDDB6F92B2C5\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript の概要</h1></div><h2 id=\"maxscript-3ds-max-\">MAXScript 3ds Max を補うため専用に設計された言語です。</h2><p>MAXScript 言語は、座標系のコンテキスト、オブジェクトのプリミティブとマテリアルなど <strong>3ds Max</strong> のユーザ インタフェースの高度な概念を反映する数多くの特別な機能やコンストラクタを備えています。</p>\n\
<p>MAXScript のアニメーション モードでは、自動キーフレームや <strong>3ds Max</strong> オブジェクト階層に対応する階層パス名を使用したシーン オブジェクトへのアクセスが可能です。</p>\n\
<h2 id=\"maxscript-\">MAXScript 言語の構文は、プログラマ以外のユーザでも簡単に使用することができます。</h2><p>最小限の区切り記号とフォーマットでを含んでいます。</p>\n\
<p>コマンドライン リスナー ウィンドウ、ツールバー ボタンでのスクリプトの組み込み機能、MAXScript コマンドとしてのユーザ操作の記録機能と合わせて、<strong>3ds Max</strong> ポイント アンド クリック ユーザ インタフェースを使用することで、ユーザは MAXScript を気軽に利用できます。</p>\n\
<h2 id=\"maxscript-\">MAXScript は、高度なプログラミング タスクを可能にする強力な言語です。</h2><p>3D ベクトル、マトリクス、Quaternion 代数などの機能により、MAXScript を使用して実際のプロダクション状況において複雑なプログラミング タスクを実現できるようになりました。</p>\n\
<p>複雑なプロシージャの選択、ランダム スター フィールドの構成、数値精度の高いパターンへのオブジェクトの配置など、大量のオブジェクト収集の作業に最適です。</p>\n\
<h2 id=\"maxscript-3ds-max-\">MAXScript は、3ds Max ユーザ インタフェースに完全に統合されています。</h2><p>MAXScript では、[ユーティリティ] (Utility)パネル ロールアウト、モードレス ウィンドウ、および <strong>3ds Max</strong> アクション項目としてスクリプトをパッケージ化し、ツールバー ボタン、メニューとクアッドメニュー項目、またはキーボード ショートカットとして使用することができます。</p>\n\
<p>また、MAXScript を使用して、オブジェクト、モディファイヤ、マテリアル、テクスチャ、レンダリング効果、環境効果用にユーザ インタフェースを拡張/置換したり、カスタム メッシュ オブジェクト、モディファイヤ、レンダリング効果などを作成することもできます。</p>\n\
<p>これにより、技術部門がジョブ固有のツールをスクリプト化し、それをアーティストやアニメータが標準の <strong>3ds Max</strong> ポイント アンド クリック ユーザ インタフェースで使用できます。</p>\n\
<h2 id=\"maxscript-\">MAXScript では、フォーマット付きのテキストおよびバイナリ データの入出力がサポートされています。</h2><p><strong>3ds Max</strong> のシーン ファイルからアセット レポートを直接作成したり、シーン レイアウト、ファイル名、テクスチャの詳細などが含まれたファイルを他のプロジェクト管理ソフトウェアから書き出して読み込んだりすることができます。</p>\n\
<p>MAXScript には、外部ファイルおよびディレクトリへのアクセスが組み込まれているため、一般的なデータの収集および分析、データ アセットやレンダリング ファイルなどに関するレポートの生成、組み込みコマンド ラインおよびシェル サポートを通じた他のアプリケーションやスクリプト言語との対話を適切に行うことができます。</p>\n\
<h2 id=\"maxscript-\">MAXScript を上級シーン読み込みユーティリティとして使用することもできます。</h2><p>オブジェクト作成コマンドを含む MAXScript スクリプトを出力することで、他のプログラムやパッケージを任意の上級 <strong>3ds Max</strong> 構成に書き出すことができます。</p>\n\
<p>さらに、MAXScript は、<strong>3ds Max</strong> の新しいバージョンと古いバージョンの差を埋めるためにも使用できます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Introduction.html\">MAXScript の紹介</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">新規および臨時ユーザ用 MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"../Learning-MAXScript.html\">MAXScript トレーニング</a></li>\n\
          <li><a class=\"link\" href=\"../Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\">よくある質問と回答</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";