var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-2F696A25-6854-4A9F-8E71-5EB81816D51E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>エディタの主なコマンドのリスト</h1></div><p><strong>3ds Max 2008</strong> で導入された<a href=\"./../MAXScript-Tabbed-Editor-Window.html\">タブ付きスクリプト エディタ</a>には、次の COMMAND ID があります。これらの ID を使用して、現在のドキュメントで動作するカスタムの<a href=\"MAXScript-Editor-Defining-Custom-1.html\">キーボード ショートカット</a>や<a href=\"MAXScript-Editor-Defining-Custom-2.html\">右クリック メニュー</a>を定義することができます。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>コマンド</th>\n\
<th>名前</th>\n\
<th>説明</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><code>2101</code></td>\n\
<td><code>AutoCCancel</code></td>\n\
<td>画面から推定入力用のリストを除去します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2104</code></td>\n\
<td><code>AutoCComplete</code></td>\n\
<td>ユーザが項目を選択したので、リストを除去して選択内容を挿入します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2328</code></td>\n\
<td><code>BackTab</code></td>\n\
<td>選択された行を字下げします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2078</code></td>\n\
<td><code>BeginUndoAction</code></td>\n\
<td>1 つの単位として[元に戻す]および[やり直し]の一連の操作を開始します。ネストすることができます。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2201</code></td>\n\
<td><code>CallTipCancel</code></td>\n\
<td>画面からコール チップを除去します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2325</code></td>\n\
<td><code>Cancel</code></td>\n\
<td>コール チップや推定入力リスト表示などのすべてのモードを取り消します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2304</code></td>\n\
<td><code>CharLeft</code></td>\n\
<td>キャレットを左に 1 文字移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2305</code></td>\n\
<td><code>CharLeftExtend</code></td>\n\
<td>キャレットを左に 1 文字移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2428</code></td>\n\
<td><code>CharLeftRectExtend</code></td>\n\
<td>キャレットを左に 1 文字移動し、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2306</code></td>\n\
<td><code>CharRightMove</code></td>\n\
<td>キャレットを右に 1 文字移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2307</code></td>\n\
<td><code>CharRightExtend</code></td>\n\
<td>キャレットを右に 1 文字移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2429</code></td>\n\
<td><code>CharRightRectExtend</code></td>\n\
<td>キャレットを右に 1 文字移動し、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2399</code></td>\n\
<td><code>ChooseCaretX</code></td>\n\
<td>前回の x 選択値をキャレットの x 位置に設定します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2180</code></td>\n\
<td><code>Clear</code></td>\n\
<td>選択を解除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2004</code></td>\n\
<td><code>ClearAll</code></td>\n\
<td>ドキュメント内のすべてのテキストを削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2072</code></td>\n\
<td><code>ClearAllCmdKeys</code></td>\n\
<td>すべてのキー マッピングを解除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2005</code></td>\n\
<td><code>ClearDocumentStyle</code></td>\n\
<td>すべてのスタイルのバイト数を 0 に設定し、すべての折りたたみ情報を削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2408</code></td>\n\
<td><code>ClearRegisteredImages</code></td>\n\
<td>登録されているすべての XPM イメージをクリアします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2178</code></td>\n\
<td><code>Copy</code></td>\n\
<td>選択をクリップボードにコピーします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2177</code></td>\n\
<td><code>Cut</code></td>\n\
<td>選択をクリップボードに切り取ります。</td>\n\
</tr>\n\
<tr>\n\
<td><code>3295</code></td>\n\
<td><code>DelLineLeft</code></td>\n\
<td>行頭から現在の位置までを削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2395</code></td>\n\
<td><code>DelLineRight</code></td>\n\
<td>現在の位置から行末までを削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2335</code></td>\n\
<td><code>DelWordLeft</code></td>\n\
<td>キャレットの左側にある 1 語を削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2336</code></td>\n\
<td><code>DelWordRight</code></td>\n\
<td>キャレットの右側にある 1 語を削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2326</code></td>\n\
<td><code>DeleteBack</code></td>\n\
<td>選択を削除します。選択されていない場合はキャレットの直前の文字を削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2344</code></td>\n\
<td><code>DeleteBackNotLine</code></td>\n\
<td>選択を削除します。選択されていない場合はキャレットの直前の文字を削除します。行頭より前にある文字は削除しません。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2318</code></td>\n\
<td><code>DocumentEnd</code></td>\n\
<td>キャレットをドキュメントの末尾に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2319</code></td>\n\
<td><code>DocumentEndExtend</code></td>\n\
<td>キャレットをドキュメントの末尾に移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2316</code></td>\n\
<td><code>DocumentStart</code></td>\n\
<td>キャレットをドキュメントの先頭に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2317</code></td>\n\
<td><code>DocumentStartExtend</code></td>\n\
<td>キャレットをドキュメントの先頭に移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2324</code></td>\n\
<td><code>EditToggleOvertype</code></td>\n\
<td>挿入モードから上書きモードに、または上書きモードから挿入モードに切り替えます。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2175</code></td>\n\
<td><code>EmptyUndoBuffer</code></td>\n\
<td>[元に戻す]の履歴を削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2079</code></td>\n\
<td><code>EndUndoAction</code></td>\n\
<td>1 つの単位としての[元に戻す]および[やり直し]の一連の操作を終了します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2330</code></td>\n\
<td><code>FormFeed</code></td>\n\
<td>改ページ文字を挿入します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2400</code></td>\n\
<td><code>GrabFocus</code></td>\n\
<td>この Scintilla ウィジェットにフォーカスを設定します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2312</code></td>\n\
<td><code>Home</code></td>\n\
<td>キャレットを行頭に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2345</code></td>\n\
<td><code>HomeDisplay</code></td>\n\
<td>キャレットを表示行の行頭に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2346</code></td>\n\
<td><code>HomeDisplayExtend</code></td>\n\
<td>キャレットを表示行の行頭に移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2313</code></td>\n\
<td><code>HomeExtend</code></td>\n\
<td>キャレットを行頭に移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2430</code></td>\n\
<td><code>HomeRectExtend</code></td>\n\
<td>キャレットを行頭に移動し、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2349</code></td>\n\
<td><code>HomeWrap</code></td>\n\
<td>この機能は Home (Extend)?、LineEnd (Extend)?、VCHome (Extend)? の対応するものと似た機能ですが、折り返しが有効になっている場合の動作が異なります。(Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2450</code></td>\n\
<td><code>HomeWrapExtend</code></td>\n\
<td>この機能は Home (Extend)?、LineEnd (Extend)?、VCHome (Extend)? の対応するものと似た機能ですが、折り返しが有効になっている場合の動作が異なります。(Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2455</code></td>\n\
<td><code>LineCopy</code></td>\n\
<td>キャレットが含まれている行をコピーします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2337</code></td>\n\
<td><code>LineCut</code></td>\n\
<td>キャレットが含まれている行を切り取ります。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2338</code></td>\n\
<td><code>LineDelete</code></td>\n\
<td>キャレットが含まれている行を削除します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2300</code></td>\n\
<td><code>LineDown</code></td>\n\
<td>キャレットを下に 1 行移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2301</code></td>\n\
<td><code>LineDownExtend</code></td>\n\
<td>キャレットを下に 1 行移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2426</code></td>\n\
<td><code>LineDownRectExtend</code></td>\n\
<td>キャレットを下に 1 行移動し、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2404</code></td>\n\
<td><code>LineDuplicate</code></td>\n\
<td>現在の行を複製します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2314</code></td>\n\
<td><code>LineEnd</code></td>\n\
<td>キャレットを行末に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2347</code></td>\n\
<td><code>LineEndDisplay</code></td>\n\
<td>キャレットを表示行の行末に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2348</code></td>\n\
<td><code>LineEndDisplayExtend</code></td>\n\
<td>キャレットを表示行の行末に移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2315</code></td>\n\
<td><code>LineEndExtend</code></td>\n\
<td>キャレットを行末に移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2432</code></td>\n\
<td><code>LineEndRectExtend</code></td>\n\
<td>キャレットを行末に移動し、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2451</code></td>\n\
<td><code>LineEndWrap</code></td>\n\
<td>この機能は Home (Extend)?、LineEnd (Extend)?、VCHome (Extend)? の対応するものと似た機能ですが、折り返しが有効になっている場合の動作が異なります。(Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2452</code></td>\n\
<td><code>LineEndWrapExtend</code></td>\n\
<td>この機能は Home (Extend)?、LineEnd (Extend)?、VCHome (Extend)? の対応するものと似た機能ですが、折り返しが有効になっている場合の動作が異なります。(Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2342</code></td>\n\
<td><code>LineScrollDown</code></td>\n\
<td>キャレットを表示したままドキュメントを下にスクロールします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2343</code></td>\n\
<td><code>LineScrollUp</code></td>\n\
<td>キャレットを表示したままドキュメントを上にスクロールします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2339</code></td>\n\
<td><code>LineTranspose</code></td>\n\
<td>現在の行を直前の行と入れ替えます。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2302</code></td>\n\
<td><code>LineUp</code></td>\n\
<td>キャレットを上に 1 行移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2303</code></td>\n\
<td><code>LineUpExtend</code></td>\n\
<td>キャレットを上に 1 行移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2427</code></td>\n\
<td><code>LineUpRectExtend</code></td>\n\
<td>キャレットを上に 1 行移動し、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2288</code></td>\n\
<td><code>LinesJoin</code></td>\n\
<td>ターゲット内の複数の行を結合します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2340</code></td>\n\
<td><code>LowerCase</code></td>\n\
<td>選択を小文字に変換します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2401</code></td>\n\
<td><code>MoveCaretInsideView</code></td>\n\
<td>キャレットが表示されていない場合は、現在の表示内にキャレットを移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2329</code></td>\n\
<td><code>NewLine</code></td>\n\
<td>EOL モードに合わせて CRLF、CR、LF のいずれかを使用して新しい行を挿入します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2172</code></td>\n\
<td><code>Null</code></td>\n\
<td>null 操作です。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2322</code></td>\n\
<td><code>PageDown</code></td>\n\
<td>キャレットを下に 1 ページ移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2323</code></td>\n\
<td><code>PageDownExtend</code></td>\n\
<td>キャレットを下に 1 ページ移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2434</code></td>\n\
<td><code>PageDownRectExtend</code></td>\n\
<td>キャレットを下に 1 ページ移動し、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2320</code></td>\n\
<td><code>PageUp</code></td>\n\
<td>キャレットを上に 1 ページ移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2321</code></td>\n\
<td><code>PageUpExtend</code></td>\n\
<td>キャレットを上に 1 ページ移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2433</code></td>\n\
<td><code>PageUpRectExtend</code></td>\n\
<td>キャレットを上に 1 ページ移動し、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2413</code></td>\n\
<td><code>ParaDown</code></td>\n\
<td>パラグラフとパラグラフの間にキャレットを移動します (空白行で区切られた箇所)。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2414</code></td>\n\
<td><code>ParaDownExtend</code></td>\n\
<td>パラグラフとパラグラフの間にキャレットを移動します (空白行で区切られた箇所)。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2415</code></td>\n\
<td><code>ParaUp</code></td>\n\
<td>パラグラフとパラグラフの間にキャレットを移動します (空白行で区切られた箇所)。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2416</code></td>\n\
<td><code>ParaUpExtend</code></td>\n\
<td>パラグラフとパラグラフの間にキャレットを移動します (空白行で区切られた箇所)。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2179</code></td>\n\
<td><code>Paste</code></td>\n\
<td>クリップボードの内容をドキュメントに貼り付け、選択を置き換えます。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2011</code></td>\n\
<td><code>Redo</code></td>\n\
<td>[元に戻す]の履歴における次の操作をやり直します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2169</code></td>\n\
<td><code>ScrollCaret</code></td>\n\
<td>キャレットが表示されていることを確認します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2366</code></td>\n\
<td><code>SearchAnchor</code></td>\n\
<td>現在のキャレット位置を検索のアンカーに設定します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2013</code></td>\n\
<td><code>SelectAll</code></td>\n\
<td>ドキュメント内のすべてのテキストを選択します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2469</code></td>\n\
<td><code>SelectionDuplicate</code></td>\n\
<td>選択を複製します。選択が空の場合は、キャレットが含まれている行を複製します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2444</code></td>\n\
<td><code>SetCharsDefault</code></td>\n\
<td>空白および通常の文字に使用する文字セットをリセットして既定値に戻します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2014</code></td>\n\
<td><code>SetSavePoint</code></td>\n\
<td>[元に戻す]の履歴における現在位置をドキュメントが保存されたときの位置として記憶します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>3001</code></td>\n\
<td><code>StartRecord</code></td>\n\
<td>コンテナに対し、すべてのキー操作およびコマンドの通知を開始します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>3002</code></td>\n\
<td><code>StopRecord</code></td>\n\
<td>コンテナに対し、すべてのキー操作およびコマンドの通知を停止します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2437</code></td>\n\
<td><code>StutteredPageDown</code></td>\n\
<td>キャレットをページの最下部に移動するか、すでにページの最下部にある場合は下に 1 ページ移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2438</code></td>\n\
<td><code>StutteredPageDownExtend</code></td>\n\
<td>キャレットをページの最下部に移動するか、すでにページの最下部にある場合は下に 1 ページ移動して選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2435</code></td>\n\
<td><code>StutteredPageUp</code></td>\n\
<td>キャレットをページの最上部に移動するか、すでにページの最上部にある場合は上に 1 ページ移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2436</code></td>\n\
<td><code>StutteredPageUpExtend</code></td>\n\
<td>キャレットをページの最上部に移動するか、すでにページの最上部にある場合は上に 1 ページ移動して選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2058</code></td>\n\
<td><code>StyleResetDefault</code></td>\n\
<td>既定値のスタイルを起動時の状態にリセットします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2327</code></td>\n\
<td><code>Tab</code></td>\n\
<td>選択が空の場合、または 1 行に納まっている場合は、選択をタブ文字に置き換えます。複数の行が選択されている場合は、それらの行をインデントします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2287</code></td>\n\
<td><code>TargetFromSelection</code></td>\n\
<td>ターゲット範囲の開始および終了を、選択範囲の開始および終了と同一にします。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2459</code></td>\n\
<td><code>ToggleCaretSticky</code></td>\n\
<td>スティッキーと非スティッキーを切り替えます (1 つのキーに割り当てるようになっています) 。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2176</code></td>\n\
<td><code>Undo</code></td>\n\
<td>[元に戻す]の履歴の中から 1 つのアクションを元に戻します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2341</code></td>\n\
<td><code>UpperCase</code></td>\n\
<td>選択を大文字に変換します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2331</code></td>\n\
<td><code>VCHome</code></td>\n\
<td>その行で表示されている 1 つ目の文字にキャレットを移動します。すでにその位置にある場合は、その行の最初の文字に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2332</code></td>\n\
<td><code>VCHomeExtend</code></td>\n\
<td>VCHome に似ていますが、選択範囲をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2431</code></td>\n\
<td><code>VCHomeRectExtend</code></td>\n\
<td>その行で表示されている 1 つ目の文字にキャレットを移動します。すでにその位置にある場合は、その行の最初の文字に移動します。いずれの場合も、矩形選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2453</code></td>\n\
<td><code>VCHomeWrap</code></td>\n\
<td>この機能は Home (Extend)?、LineEnd (Extend)?、VCHome (Extend)? の対応するものと似た機能ですが、折り返しが有効になっている場合の動作が異なります。(Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2454</code></td>\n\
<td><code>VCHomeWrapExtend</code></td>\n\
<td>この機能は Home (Extend)?、LineEnd (Extend)?、VCHome (Extend)? の対応するものと似た機能ですが、折り返しが有効になっている場合の動作が異なります。(Home</td>\n\
</tr>\n\
<tr>\n\
<td><code>2308</code></td>\n\
<td><code>WordLeft</code></td>\n\
<td>キャレットを左に 1 文字移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2439</code></td>\n\
<td><code>WordLeftEnd</code></td>\n\
<td>キャレットを左に 1 語移動し、その語の末尾にカーソルを配置します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2440</code></td>\n\
<td><code>WordLeftEndExtend</code></td>\n\
<td>キャレットを左に 1 語移動し、その後の末尾にカーソルを配置して選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2309</code></td>\n\
<td><code>WordLeftExtend</code></td>\n\
<td>キャレットを左に 1 語移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2390</code></td>\n\
<td><code>WordPartLeft</code></td>\n\
<td>表示されている文字が大文字から小文字に、または小文字から大文字に変化している直前の位置に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2391</code></td>\n\
<td><code>WordPartLeftExtend</code></td>\n\
<td>表示されている文字が大文字から小文字に、または小文字から大文字に変化している直前の位置に移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2392</code></td>\n\
<td><code>WordPartRight</code></td>\n\
<td>表示されている文字が大文字から小文字に、または小文字から大文字に変化している次の位置に移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2393</code></td>\n\
<td><code>WordPartRightExtend</code></td>\n\
<td>表示されている文字が大文字から小文字に、または小文字から大文字変に化している次の位置に移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2310</code></td>\n\
<td><code>WordRight</code></td>\n\
<td>キャレットを右に 1 語移動します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2441</code></td>\n\
<td><code>WordRightEnd</code></td>\n\
<td>キャレットを右に 1 語移動し、その語の末尾にカーソルを配置します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2442</code></td>\n\
<td><code>WordRightEndExtend</code></td>\n\
<td>キャレットを右に 1 語移動し、その後の末尾にカーソルを配置して選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2311</code></td>\n\
<td><code>WordRightExtend</code></td>\n\
<td>キャレットを右に 1 語移動し、選択をキャレットの新しい位置まで延長します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2333</code></td>\n\
<td><code>ZoomIn</code></td>\n\
<td>文字サイズを 1 ポイント大きくして表示を拡大します。</td>\n\
</tr>\n\
<tr>\n\
<td><code>2334</code></td>\n\
<td><code>ZoomOut</code></td>\n\
<td>文字サイズを 1 ポイント小さくして表示を縮小します。</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Configuration.html\">スクリプト エディタ - 設定とカスタマイズ</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";