var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F8D7BDAD-1894-419C-8A1F-46A2AD56E529\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト エディタ - [ファイル] (File)メニュー</h1></div><p><strong>3ds Max 2008</strong> で導入された<a href=\"./../MAXScript-Tabbed-Editor-Window.html\">タブ付きのスクリプト エディタ</a>の<strong>[ファイル] (File)</strong>メニューには、ファイルの作成、開く、閉じる、書き出し、印刷を行うためのファイル関連のすべてのコマンドがあります。</p>\n\
<p><img src=\"./images/scripting_editor_file_menu.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p><strong>[新規] (New) ([Ctrl]+[N])</strong> - 新しいタブに新しいスクリプトを作成します。これは、<strong>メイン メニュー/[MAXScript]/[新規スクリプト](New Script)</strong>を選択するのと同じです。ウィンドウの数が最大に達し、これ以上タブを開けない場合は、いずれかのスクリプトを保存して閉じ、新規スクリプトのために場所を空ける必要があります。既定のタブの上限数は、10 です。これは、<a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">プロパティ ファイル</a>を使用して、1 ～ 100 の数にカスタマイズできます。</p>\n\
</li>\n\
<li><p><strong>[開く...] (Open...)([Ctrl]+[O])</strong> - 1 つまたは複数の既存ファイルを開きます。</p>\n\
</li>\n\
<li><p>スクリプト エディタの主な機能は MAXScript ファイル(.ms, .mcr)を編集することですが、テキスト ファイルであれば何でも編集できます。</p>\n\
</li>\n\
<li><p>[ファイルを開く](File Open)ダイアログ ボックスは、マルチファイル ダイアログ ボックスで、一度に複数のファイルを選択して、複数のタブにロードすることができます。</p>\n\
</li>\n\
</ul>\n\
<p><img src=\"./images/scripting_editor_open_file_dlg.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p><strong>[ファイル名を選択して開く](Open Selected Filename) ([Ctrl]+[Shift]+[O])</strong> - 現在のエディタ ウィンドウで選択されているファイル名を開きます。    </p>\n\
</li>\n\
<li><p>ファイル名が引用符で囲まれている場合、引用符は<strong>選択しないでください</strong>。</p>\n\
</li>\n\
<li><p>ファイル名では、スラッシュ(/)、バックスラッシュ(円)記号(¥)、バックスラッシュ(円)記号の並び(¥¥)、スペースの使用がサポートされています。</p>\n\
</li>\n\
<li><p>一度に開くことができるのは 1 ファイルだけです。2 つのファイル名を含む 2 行を選択しても、両方を開くことは<strong>できません</strong>。</p>\n\
</li>\n\
<li><p><strong>[閉じる] (Close) ([Ctrl]+[W])</strong> - 多くの Windows アプリケーションと同じように、このオプションは、現在のエディタ ウィンドウ(タブ)を閉じます。エディタ自体は閉じられません。少なくとも 1 つのタブに編集可能な Untitled スクリプトが表示された状態で開いたままになります。</p>\n\
</li>\n\
<li><p><strong>[保存] (Save) ([Ctrl]+[S])</strong> - 現在のスクリプトをディスクに保存します。「タイトルなし」の場合には、最初にファイル名を指定するための[名前を付けて保存](Save As)ダイアログ ボックスが開きます。</p>\n\
</li>\n\
<li><p><strong>[名前を付けて保存...](Save As...)([Ctrl]+[Shift]+[S])</strong> - スクリプトにすでに名前がある場合でも、新しい名前を入力するための[名前を付けて保存](Save As)ダイアログ ボックスを開きます。このダイアログ ボックスでは、拡張子の定義に従ってファイル タイプを指定することもできます。</p>\n\
</li>\n\
<li><p><strong>[コピーを保存...]S(ave a Copy...)([Ctrl]+[Shift]+[P])</strong> - [名前を付けて保存](Save As)ダイアログ ボックスを開き、エディタにロードされているスクリプトのファイル名を変えずに、現在のスクリプトのコピーを指定の名前で保存します。</p>\n\
</li>\n\
<li><p><strong>[復元] (Revert) ([Ctrl]+[R])</strong> - 現在のファイルに変更が加えられているのに、まだ保存されていない場合(名前の横に * 記号が表示されます)、このオプションを使用するとファイルを最後に保存された状態に戻すことができます。最初に、新しいファイルに変更を保存するかどうかを確認するメッセージが表示されます。</p>\n\
</li>\n\
<li><p><strong>[書き出し] (Export)</strong> - 複数の書き出しオプションを持つサブメニューを表示します。各オプションを選択すると、[ファイルを xxx 形式で書き出し](Export File As...)ダイアログ ボックスが開き、以下の形式のいずれかで書き出すことができます。    </p>\n\
<ul>\n\
<li><strong>HTML 形式</strong>        </li>\n\
<li><strong>RTF 形式</strong>        </li>\n\
<li><strong>PDF 形式</strong>        </li>\n\
<li><strong>LaTeX 形式</strong>        </li>\n\
<li><strong>XML 形式</strong></li>\n\
</ul>\n\
</li>\n\
<li><p><strong>[ソース コントロール](Source Control)</strong> - ソース コントロール オプションを持つサブメニューを表示します。これらのオプションは Perforce や Subversion などのソース コントロール ソフトウェアと組み合わせて使用できます(インストールされている場合)。エディタをカスタマイズして外部ソース コントロール アプリケーションを使用する方法の詳細は、「<a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\"#source-control-integration\">スクリプト エディタ プロパティ - ソース コントロール</a>」を参照してください。</p>\n\
<ul>\n\
<li><p><strong>ファイルを追加</strong></p>\n\
</li>\n\
<li><p><strong>ファイルを除去</strong></p>\n\
</li>\n\
<li><p><strong>チェックイン</strong></p>\n\
</li>\n\
<li><p><strong>チェックアウト</strong></p>\n\
</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><p><strong>[ページ設定](Page Setup)</strong> - 印刷準備を行うための[ページ設定](Page Setup)ダイアログ ボックスを開きます。</p>\n\
</li>\n\
<li><p><strong>[印刷] (Print)</strong> - Windows のプリンタ選択ダイアログ ボックスを開き、現在のファイルを印刷します。</p>\n\
</li>\n\
</ul>\n\
<ul>\n\
<li><strong>最近編集したファイルのリスト</strong> - スクリプト エディタは、アクセスを容易にするために最近編集したファイルのリストを保持しています。最近編集したファイルのリストは、3ds Max ルート ディレクトリの <strong>MXS_SciTE.recent</strong> ファイルに保持されています。このリストは手動で編集できます。また、MAXScript を使用して最近編集したファイル メニューにファイルを追加することもできます。</li>\n\
</ul>\n\
<ul>\n\
<li><strong>[エディタを閉じる](Close Editor)</strong> - エディタ ウィンドウを閉じます。<strong>注</strong> このコマンドを実行すると、エディタが非表示になるだけで、現在ロードされている、開いているファイルは削除されません。再度エディタを開いて、開かれているファイルまたは新しいファイルの編集を続けることができます。これには、メイン メニュー/[MAXScript]/[スクリプト エディタ...](Scripting Editor...メニュー オプションを使用するか、新規ファイルの作成または既存ファイルの編集を行う他のオプションを選択します。この操作方法については、「<a href=\"./../MAXScript-Tabbed-Editor-Window.html\">スクリプト エディタ ウィンドウ</a>」で説明しています。同じメニュー オプションを使用して、エディタのオンとオフを切り替えることもできます。</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Menu-Options.html\">スクリプトエディタのメニューオプション</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";