var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B19682EB-8A8C-4D4B-9596-56571F490754\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト エディタ - [オプション] (Options)メニュー</h1></div><p><strong>3ds Max 2008</strong> で導入 された <a href=\"./../MAXScript-Tabbed-Editor-Window.html\">タブ付きの スクリプト エディタ</a> の<strong>[オプション] (Options)メニュー</strong>には、エディタのさまざまな動作を制御するオプションに加えて、行末文字の修正、インデント設定の変更、プロポーショナル フォントと等幅フォントの切り替えを行うためのコマンドがあります。</p>\n\
<p><img src=\"./images/scripting_editor_options_menu.png\" alt></p>\n\
<ul>\n\
<li><p><strong>[常に前面に表示](Always On Top)</strong> - 既定値はオフです。オンにすると、スクリプト エディタは、その他の <strong>3ds Max</strong> フロータおよび他のアプリケーションを含む、すべてのウィンドウのよりも常に手前に表示されます。</p>\n\
</li>\n\
<li><p><strong>[垂直分割](Vertical Split)</strong> - 既定値はオフです。オンにすると、出力ペインが、エディタ ペインの右側に配置されるようになります。オフの場合は、下に表示されます。</p>\n\
</li>\n\
<li><p><strong>[折り返し] (Wrap)</strong> - オフにすると (既定値)、エディタ ペインの幅よりも長い行は、部分的にしか表示されません。オンにすると、エディタ ペインの幅よりも長いテキスト行は折り返されて複数行に表示されるため、すべてのテキストが見えるようになります。</p>\n\
</li>\n\
<li><p><strong>[出力を折り返し](Wrap Output)</strong> - オフにすると (既定値)、出力ペインの幅よりも長い行は、部分的にしか表示されません。オンにすると、出力ペインの幅よりも長いテキスト行は折り返されて複数行に表示されるため、すべてのテキストが見えるようになります。</p>\n\
</li>\n\
<li><p><strong>読み取り専用 (Read-Only)</strong> - 既定値はオフです。オンにすると、現在のドキュメントは読み取り専用になります。このドキュメントへの入力は無効になりますが、テキストの選択やコピーは可能です。</p>\n\
</li>\n\
<li><p><strong>[行端文字を固定](Fixup Line End Characters)</strong> - CR のみで終わっている行に LF を追加することにより、行末文字を修正します。</p>\n\
</li>\n\
<li><p><strong>インデント設定を変更...(Change Indentations Settings...)([Ctrl]+[Shift]+[I])</strong> - インデント文字のタイプと数を制御するダイアログ ボックスを開きます。</p>\n\
<p>  <img src=\"./images/scripting_editor_indent_settings.png\" alt></p>\n\
<ul>\n\
<li><strong>[タブ サイズ](Tab Size)</strong> - スペース文字単位でタブの幅を定義します。既定値は 4 です。        </li>\n\
<li><strong>[インデント サイズ](Indent Size)</strong> - タブを使用しない場合に、インデントに使用する空白の数を定義します。既定値は 4 です。        </li>\n\
<li><strong>[タブの使用](Use Tabs)</strong> - オンにすると、自動的にまたは<strong>[Tab]</strong>キーが押されたときに、指定したサイズのタブを使用してコードをインデントします。オフにした場合、代わりに指定した数のスペースが挿入されます。        </li>\n\
<li><strong>[変換] (Convert)</strong> - <strong>[タブの使用](Use Tabs)</strong>がオフの場合は、行の先頭のタブをスペースに変換します。<strong>[タブの使用](Use Tabs)</strong>がオンの場合は、スペースをタブに変換します。</li>\n\
</ul>\n\
</li>\n\
</ul>\n\
\n\
<div class=\"callout callout-note\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-pencil\" aria-hidden=\"true\"></i>注:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> このダイアログ ボックスを使用して設定したインデント設定は、現在アクティブなタブにのみ適用され、3ds Max セッション間では維持されません。</p>\n\
\n\
</div></div>\n\
\n\
<ul>\n\
<li><strong>[等幅フォントを使用](Use Monospaced Font) ([Ctrl]+[F11])</strong> - プロポーショナル フォントと等幅フォントを切り替えます。等幅フォントを使用すると、すべてのキャラクタに同じピクセル サイズが適用されるため、すべての行の位置が完全に揃います。</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Menu-Options.html\">スクリプトエディタのメニューオプション</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";