var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7E64E05E-6382-481A-97AB-0D8107E053EB\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト エディタ - [検索] (Search)メニュー</h1></div><p><strong>3ds Max 2008</strong> で導入された<a href=\"./../MAXScript-Tabbed-Editor-Window.html\">タブ付きのスクリプト エディタ</a>の<strong>[検索] (Search)</strong>メニューには、テキストの検索と置換、行、オフセット、またはブックマークへのジャンプ、およびブックマークの管理を行うためのコマンドがあります。</p>\n\
<p><img src=\"./images/scripting_editor_search_commands.png\" alt=\"\"></p>\n\
<p><strong>[検索] (Search)([Ctrl]+[F])</strong> - [検索] (Search)ダイアログ ボックスを開きます。</p>\n\
<p><img src=\"./images/GUID-DBB77F65-C49D-4486-93FF-476D3AB505BF-low.gif\" alt=\"\"></p>\n\
<ul>\n\
<li><p>エディタで文字列が選択されている場合、その文字列が自動的に<strong>[検索対象](Find what)</strong>フィールドに入力されます。<strong>[Ctrl]+[F3]</strong>および<strong>[Ctrl]+[Shift]+[F3]</strong>を使用すると、[検索] (Find)ダイアログ ボックスを開かずに、現在選択されている文字列を直接検索できます。</p>\n\
</li>\n\
<li><p>ドロップダウン リストから過去に使用した検索文字列にアクセスできます。</p>\n\
</li>\n\
<li><p>既定値の検索方向は[下] (Down)です。これは、<strong>[方向] (Direction)</strong>ラジオ ボタンを使用して[上] (Up)に切り替えることができます。</p>\n\
</li>\n\
<li><p>既定では、文字列は単語の一部として検索されます。<strong>[単語完全一致検索](Match whole word only)</strong>をオンにすると、正確に一致する単語が検索されます。</p>\n\
</li>\n\
<li><p>既定では、検索で大文字と小文字は区別されません。<strong>[大文字と小文字を区別する](Match case)</strong>をオンにすると、大文字小文字まで一致する項目が検索されます。</p>\n\
</li>\n\
<li><p><strong>[正規表現](Regular expression)</strong>オプションをオンにすると、正規表現を使用して検索が行われます。正規表現の使用の詳細については、「<a href=\"./../Regular-Expressions-Find-and.html\">スクリプト エディタにおける正規表現を使用した検索置換</a>」を参照してください。</p>\n\
</li>\n\
<li><p>既定では、<strong>[折り返し](Wrap around)</strong>がオンになっています。これは、検索がファイルの末尾まで行われた後、ファイルの先頭から続行されることを意味します。検索をファイルの末尾で(上向きに検索している場合は先頭で)終了するには、このオプションをオフにします。</p>\n\
</li>\n\
<li><p><strong>[バックスラッシュ表現の変換](Transform backslash expressions)</strong>をオンにして、先頭に円記号(¥t、¥n など)が付いた特殊文字を、<code>&lt;tab&gt;</code>、<code>&lt;newline&gt;</code> などの対応する文字に変換します。たとえば、[検索対象](Find what)フィールドに <strong>\\n</strong> と入力し、このオプションをオンにすると、ドキュメント内のすべての改行文字が検索されます。オプションをオフにすると、フォーマット文字列内などにある、文字どおりの「¥n」だけが検索されます。エスケープ文字には以下があります。</p>\n\
</li>\n\
<li><p>\\\\ バックスラッシュ    </p>\n\
</li>\n\
<li><p>\\n 改行    </p>\n\
</li>\n\
<li><p>\\r 復帰改行    </p>\n\
</li>\n\
<li><p>\\t タブ</p>\n\
</li>\n\
</ul>\n\
<p>このオプションは正規表現と一緒には使用できません。[正規表現](Regular Expression)オプションが選択されている場合は、無効になります。</p>\n\
<ul>\n\
<li><p><strong>[次を検索](Find Next)</strong>ボタンをクリックすると、指定された方向に向かって次の検索文字列が検索されます。</p>\n\
</li>\n\
<li><p><strong>[すべてをマーク](Mark All)</strong>ボタンをクリックすると、検索文字列を含む各行の前にブックマークが追加され、ダイアログ ボックスが閉じます。</p>\n\
</li>\n\
<li><p><strong>[閉じる] (Close)</strong>ボタンをクリックすると、[検索] (Search)ダイアログ ボックスが閉じます。</p>\n\
</li>\n\
</ul>\n\
<p><strong>[次を検索](Find Next) ([F3])</strong> - 複数回クリックすると、ダイアログ ボックスの最新の設定に従って、最後に入力された検索文字列が使用されます。この設定は、セッション間で保持されます。このため、最後に入力した文字列は、次に <strong>3ds Max</strong> を起動して<strong>[F3]</strong>または<strong>[Ctrl]+[F]</strong>を押したときにも、入力されたままになっています。</p>\n\
<p><strong>[前を検索](Find Previous) ([Shift]+[F3])</strong> - [検索] (Search)ダイアログ ボックスの[方向] (Direction)ラジオ ボタンで指定された方向の逆方向に検索します。</p>\n\
<p><strong>[置換] (Replace) ([Ctrl]+[H])</strong> - 指定された文字列を検索し、別の文字列に置換します。</p>\n\
<p><img src=\"./images/GUID-6370C8F1-865B-4D78-9742-380EC83EDA20-low.gif\" alt=\"\"></p>\n\
<p><strong>[置換] (Replace)</strong>ダイアログ ボックスには、[検索] (Search)ダイアログ ボックスと同じようなコントロールがあります。最も大きな違いは、<strong>[置換後の文字列](Replace with)</strong>フィールドがあることです。このフィールドは<strong>[検索対象](Find what:)</strong>フィールドと同じように使用でき、置換文字列を入力するか、最近使用した置換文字列をドロップダウン リストから選択できます。</p>\n\
<p><strong>[次を検索](Find Next)</strong>ボタンは、次の検索文字列を検索します。置換は行いません。</p>\n\
<p><strong>[置換] (Replace)</strong>ボタンは、たとえば[次を検索](Find Next)ボタンを使用して検索された現在選択されている検索文字列を、置換文字列に置換します。</p>\n\
<p><strong>[すべて置換](Replace All)</strong>ボタンは、ドキュメント全体で見つかったすべての検索文字を置換文字列に置き換えます。</p>\n\
<p><strong>[選択範囲内を置換](Replace in Selection)</strong>ボタンは、現在選択されているテキスト内にある検索文字列だけを、置換文字列に置き換えます。たとえば、あるキーワードを 1 つの関数内でのみ置換したい場合、その関数の本体を選択し、[選択範囲内を置換](Replace in Selection)ボタンを使用します。</p>\n\
<p><strong>[ファイル内を検索](Find in Files) ([Ctrl]+[Shift]+[F])</strong> - [ファイル内を検索](Find in Files)ダイアログ ボックスを開きます。</p>\n\
<p><img src=\"./images/GUID-1FBED8DC-EC0A-4F62-84E9-9F32EEEDCEF7-low.gif\" alt=\"\"></p>\n\
<p><strong>[ファイル内を検索](Find in Files)</strong>ダイアログ ボックスには、指定したファイルで検索する文字列を入力するための<strong>[検索対象](Find what:)</strong>フィールドがあります。このフィールドは最近使用した検索文字列を含むドロップダウン リストにもなっています。</p>\n\
<p><strong>[ファイル] (File)</strong>フィールドには、既定で一般的な MAXScript ファイル拡張子が含まれていますが、ワイルドカードを使用して、任意のファイル名パターンを指定することもできます。このフィールドは最近使用した検索パターンを含むドロップダウン リストにもなっています。</p>\n\
<p><strong>[ディレクトリ] (Directory)</strong>フィールドを使用すると、検索のルート ディレクトリを指定できます。指定したディレクトリと、そのすべてのサブディレクトリで、検索文字列を含む指定したファイル名パターンのファイルが再帰的に検索されます。このフィールドは最近使用した検索パスを含むドロップダウン リストにもなっています。</p>\n\
<p>[ディレクトリ] (Directory)フィールドの右にあるボタンを使用すると、パスからフォルダの名前を 1 つずつ削除できます。つまり、1 つ上のディレクトリ階層に移動します。</p>\n\
<p><strong>[参照] (Browse)</strong>ボタンを使用すると、[フォルダの参照](Get Directory)ダイアログ ボックスを使用して検索パスを選択できます。</p>\n\
<p><strong>[単語完全一致検索](Match whole word only)</strong>チェックボックスをオンにすると、独立した単語を検索できます。オフ(既定値)にすると、部分文字列検索が実行されます。</p>\n\
<ul>\n\
<li><p><strong>[大文字と小文字を区別する](Match Case)</strong>チェックボックスをオンにすると、大文字小文字まで正確に一致する単語を検索できます。既定では、大文字小文字を区別せずに検索されます。</p>\n\
</li>\n\
<li><p>指定した設定を使用して検索するには、<strong>[検索] (Search)</strong>ボタンをクリックします。キャンセルするには、<strong>[キャンセル] (Cancel)</strong>ボタンをクリックします。</p>\n\
</li>\n\
<li><p>検索の結果は、エディタの<a href=\"./../MAXScript-Editor-Output-Pane.html\">出力ペイン</a>に表示されます。出力ペインは、編集ペインの下または右にあります。</p>\n\
</li>\n\
<li><p>出力ペインで検索結果のファイル名をダブルクリックすると、編集ペインの新しいタブにそのファイルが開かれ、検索文字列がある行が選択されます。一致した行は黄色い丸で示されます。</p>\n\
<p>  <img src=\"./images/scripting_editor_find_in_files.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>[移動] (Go) ([Ctrl]+[G])</strong> - [移動] (Go)ダイアログ ボックスを開きます。このダイアログ ボックスを使用すると、特定の行番号または文字オフセットにジャンプできます。番号は、スクリプト リスナーまたはデバッガのエラー メッセージからコピーできます。このダイアログ ボックスには現在行と最後行およびオフセットが表示されます。</p>\n\
<p>  <img src=\"./images/GUID-75FDEEF2-9F2D-45D2-8BB2-4EBF961F1249-low.gif\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>[次のブックマーク](Next Bookmark) ([F2])</strong> - 次のブックマークにジャンプします。</p>\n\
</li>\n\
<li><p><strong>[前のブックマーク](Previous Bookmark) ([Shift]+[F2])</strong> - 前のブックマークにジャンプします。</p>\n\
</li>\n\
<li><p><strong>[ブックマークを切り替え](Toggle Bookmarks) ([Ctrl]+[F2])</strong> - 現在行のブックマークのオン/オフを切り替えます。</p>\n\
</li>\n\
<li><p><strong>[すべてのブックマークをクリア](Clear All Bookmarks)</strong> - 現在ドキュメントのすべてのブックマークをオフにします。</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Menu-Options.html\">スクリプトエディタのメニューオプション</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";