var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F0B3414D-BA92-4005-AD35-CE1ACDB354B8\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト エディタ - [表示] (View)メニュー</h1></div><p><strong>3ds Max 2008</strong> で導入された<a href=\"./../MAXScript-Tabbed-Editor-Window.html\">タブ付きのスクリプト エディタ</a>の<strong>[表示] (View)メニュー</strong>には、コード ブロックの折りたたみ/展開、さまざまなエディタ要素の表示切り替え、および空白、行末記号、インデント ガイド、行番号、余白といった追加の編集ガイドの表示を行うためのコマンドがあります。</p>\n\
<p><img src=\"./images/scripting_editor_view_menu.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p><strong>[現在の折りたたみを切り替え](Toggle current fold)</strong> - 現在カーソルが置かれているコード ブロックを折りたたみ/展開します。</p>\n\
</li>\n\
<li><p><strong>[すべての折りたたみを切り替え](Toggle all folds)</strong> - ドキュメント内のすべてのコード ブロックを、現在の状態にかかわらず、折りたたみ/展開します。つまり、スクリプトに 10 個の折りたたみ可能なブロックがあり、そのうち 5 個が折りたたまれていて、残りの 5 個が折りたたまれていない状態である場合、このコマンドを実行すると、それぞれの現在の折りたたみ状態が反転するのではなく、すべてが折りたたまれるか、展開されます。</p>\n\
</li>\n\
<li><p><strong>[フル スクリーン](Full Screen) ([F11])</strong> - エディタを全画面表示で開きます。タイトル バーがなくなり、編集スペースが広くなります。もう一度押すと、通常のウィンドウに戻ります。</p>\n\
</li>\n\
<li><p><strong>[ツール バー] (Toolbar)</strong>- 既定値はオフです。オンにすると、アイコン フォームに最も重要なコマンドが配置されたツールバーが表示されます。配置されるのは、[新規] (New)、[開く] (Open)、[保存] (Save)、[閉じる] (Close)、[印刷] (Print)、[切り取り] (Cut)、[コピー] (Copy)、[貼り付け] (Paste)、[削除] (Delete)、[元に戻す] (Undo)、[やり直し] (Redo)、[検索] (Find)、[置換] (Replace)の各コマンドです。</p>\n\
<p>  <img src=\"./images/scripting_editor_toolbar.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>[タブ バー](Tab Bar)</strong> - 既定値はオンです。タブ バーに、現在開かれているすべてのファイルがタブとして表示されます。タブ バーが非表示の場合にも、このショートカットを使用するか、[ウィンドウ] (Windows)メニューを使用してタブを切り替えることができます。</p>\n\
</li>\n\
<li><p><strong>[ステータス バー](Status Bar)</strong> - 既定値はオンです。</p>\n\
<ul>\n\
<li><p>既定のステータス バーには、行 (li)、列 (co)、オフセット、挿入/上書きモード、および行末文字モードが表示されます。</p>\n\
</li>\n\
<li><p>複数のステータス バーを定義し、異なる情報を表示することもできます。既定では、4 つの事前定義されたステータス バーがあり、ステータス バーをクリックすることでこれらを切り替えることができます。</p>\n\
</li>\n\
<li><p>新しいステータス バーを定義することもできます。詳細については、「<a href=\"./../MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\">MAXScript エディタ - カスタム ステータス バーの定義</a>」を参照してください。</p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p><strong>[空白] (Whitespace) ([Ctrl]+[Shift]+[8])</strong> - 既定値はオフです。オンにすると、タブやスペースなどの空白が記号として表示されます。</p>\n\
<p>  <img src=\"./images/scripting_editor_view_default.png\" alt=\"\"></p>\n\
<p>  <img src=\"./images/scripting_editor_view_whitespace.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>[行末](End Of Line) ([Ctrl]+[Shift]+[9])</strong> - 既定値はオフです。オンにすると、以下の行末文字が表示されます。</p>\n\
<p>  <img src=\"./images/scripting_editor_view_eol.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>[インデント ガイド](Indentation Guides)</strong> - 既定値はオンです。オフにすると、大括弧とインデントの位置揃えに役立つ垂直なラインが非表示になります。</p>\n\
<p>  <img src=\"./images/scripting_editor_view_indents.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>[行番号](Line Numbers)</strong> - 既定値はオンです。オフにすると、各行の前の行番号が非表示になります。現在の位置はステータス バーで確認できます。</p>\n\
<p>  <img src=\"./images/scripting_editor_view_line_numbers.png\" alt=\"\"></p>\n\
</li>\n\
<li><p><strong>[余白] (Margin)</strong> - 既定値はオンです。余白は、ブックマークを表示するために使用されます。</p>\n\
<p>  <img src=\"./images/scripting_editor_view_bookmarks.png\" alt=\"\"></p>\n\
<ul>\n\
<li><p>オフにすると、余白は無効になります。この場合、ブックマークの位置が分かるように、ブックマーク行のバックグラウンド カラーが変わります。<strong>[F2]</strong>/<strong>[Shift]+[F2]</strong>でも、次の/前のブックマークへの移動を同じように行うことができます。</p>\n\
<p>  <img src=\"./images/scripting_editor_view_margins.png\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
</li>\n\
<li><p><strong>[とじしろ] (Fold Margin)</strong> - 既定値はオンです。オフにすると、折りたたみ表示用の余白は表示されません。現在のコード ブロックの折りたたみや、全コード ブロックの折りたたみは、メニュー コマンドまたはキーボード ショートカットを使用して実行できますが、折りたたみ記号[+]/[-]のクリックはできなくなります。</p>\n\
<p>  <img src=\"./images/scripting_editor_view_fold_margin.png\" alt=\"\"></p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Editor-Menu-Options.html\">スクリプトエディタのメニューオプション</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";