var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-41315287-B2FA-4496-BDB6-28F8D38D2213\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>MAXScript とは</h1></div><p>MAXScript は、<strong>Autodesk</strong>® <strong>3ds Max</strong>® のビルトイン スクリプト言語です。</p>\n\
<p>MAXScript を使用することで、これらの製品のユーザは次のことができるようになります。</p>\n\
<ul>\n\
<li><p>モデリング、アニメーション、マテリアル、レンダリングなど、プログラムで使えるあらゆる機能をスクリプトで実現する。</p>\n\
</li>\n\
<li><p>コマンドライン リスナー ウィンドウでプログラムをインタラクティブに制御する。</p>\n\
</li>\n\
<li><p>カスタム ユーティリティのパネル ロールアウトやモードレス ウィンドウ内にスクリプトをパッケージし、そのスクリプトに標準のユーザ インタフェースを提供する。</p>\n\
</li>\n\
<li><p>スクリプトをマクロ スクリプトとしてパッケージ化して、これらのマクロ スクリプトを製品のツールバーのボタンやメニューの項目としてインストールしたり、キーボード ショートカットに割り当てたりする。</p>\n\
</li>\n\
<li><p>オブジェクト、モディファイヤ、マテリアル、テクスチャ、レンダリング効果、環境効果に関するユーザ インタフェースを拡張または置換する。</p>\n\
</li>\n\
<li><p>カスタム メッシュ オブジェクト、モディファイヤ、レンダリング効果などに関する、スクリプトで記述したプラグインを構築する。</p>\n\
</li>\n\
<li><p>ASCII およびバイナリ ファイル I/O を使用してカスタムの読み込み/書き出しツールを構築する。</p>\n\
</li>\n\
<li><p>シーンの全状態にアクセスできる手続き型コントローラを記述する。</p>\n\
</li>\n\
<li><p>バッチ処理スクリプトなどのバッチ処理ツールを構築する。</p>\n\
</li>\n\
<li><p>OLE オートメーションを介して、外部システムへのライブ インタフェースをセットアップする。</p>\n\
</li>\n\
<li><p>製品での操作を MAXScript コマンドとして記録する。</p>\n\
</li>\n\
<li><p>シーン ファイルにスクリプトを保存して、サポートされた各通知イベントで実行する。たとえば、シーンがリセットされた場合、ファイルが開かれるか保存された場合、レンダリングが開始または停止された場合、オブジェクトの選択が変更された場合などである。</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Introduction.html\">MAXScript の紹介</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MAXScript-Overview.html\">MAXScript の概要</a></li>\n\
          <li><a class=\"link\" href=\"General-MAXScript-Topics.html\">一般的な MAXScript</a></li>\n\
          <li><a class=\"link\" href=\"MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\">新規および臨時ユーザ用 MAXScript</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";