var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-7B851ED2-B59C-45E7-97BF-16B0A5C02971\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>&#x95A2;&#x6570;&#x5909;&#x6570;</h1></div><p>&#x95A2;&#x6570;&#x3092;&#x5B9A;&#x7FA9;&#x3059;&#x308B;&#x3068;&#x3001;&#x6B21;&#x306E;&#x30A4;&#x30D9;&#x30F3;&#x30C8;&#x304C;&#x767A;&#x751F;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<ul>\n\
<li><p>&#x95A2;&#x6570;&#x5B9A;&#x7FA9;&#x304C;&#x8A55;&#x4FA1;&#x3055;&#x308C;&#x3001;&#x95A2;&#x6570;&#x5024;&#x304C;&#x4F5C;&#x6210;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
</li>\n\
<li><p>&#x95A2;&#x6570; <code>&lt;name&gt;</code> &#x306E;&#x540D;&#x524D;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;&#x65B0;&#x898F;&#x5909;&#x6570;&#x304C;&#x5BA3;&#x8A00;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
</li>\n\
<li><p>&#x95A2;&#x6570;&#x5024;&#x304C;&#x305D;&#x306E;&#x5909;&#x6570;&#x306B;&#x8A2D;&#x5B9A;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
</li>\n\
<li><p>&#x95A2;&#x6570;&#x5024;&#x304C;&#x95A2;&#x6570;&#x5B9A;&#x7FA9;&#x5F0F;&#x306E;&#x7D50;&#x679C;&#x3068;&#x3057;&#x3066;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
</li>\n\
</ul>\n\
<p>&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F;&#x305D;&#x308C;&#x81EA;&#x4F53;&#x304C;&#x5909;&#x6570;&#x306B;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x305F;&#x5024;&#x306A;&#x306E;&#x3067;&#x3001;&#x95A2;&#x6570;&#x540D;&#x306E;&#x5909;&#x6570;&#x3092;&#x4F7F;&#x3063;&#x3066;&#x95A2;&#x6570;&#x3092;&#x547C;&#x3073;&#x51FA;&#x305B;&#x308B;&#x3060;&#x3051;&#x3067;&#x306F;&#x3042;&#x308A;&#x307E;&#x305B;&#x3093;&#x3002;&#x95A2;&#x6570;&#x5909;&#x6570;&#x3092;&#x53C2;&#x7167;&#x3059;&#x308B;&#x3060;&#x3051;&#x3067;&#x3001;&#x95A2;&#x6570;&#x306E;&#x5024;&#x3092;&#x307B;&#x304B;&#x306E;&#x5909;&#x6570;&#x306B;&#x5272;&#x308A;&#x5F53;&#x3066;&#x305F;&#x308A;&#x3001;&#x914D;&#x5217;&#x306B;&#x683C;&#x7D0D;&#x3057;&#x305F;&#x308A;&#x3001;&#x307E;&#x305F;&#x306F;&#x5F15;&#x6570;&#x3068;&#x3057;&#x3066;&#x307B;&#x304B;&#x306E;&#x95A2;&#x6570;&#x306B;&#x6E21;&#x3057;&#x305F;&#x308A;&#x3059;&#x308B;&#x3053;&#x3068;&#x3082;&#x3067;&#x304D;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    surface_functions=#()\n\
    fn build_math_mesh x = print &quot;build math mesh&quot;\n\
\n\
    -- some 3D surface functions\n\
    fn saddle x y = sin x * sin y\n\
    fn sombrero x y = cos (x^2 + y^2) / (1 + (x^2 + y^2))\n\
    print (saddle 1 1) -- try one out\n\
    surface_functions[1] = saddle -- store the functions in an array\n\
    surface_functions[2] = sombrero\n\
    -- call one of them from within the array:\n\
    z = (surface_functions[1]) 10 10\n\
    -- pass one in to a higher-order function:\n\
    build_math_mesh sombrero\n\
</code></pre></blockquote>\n\
<p>&#x95A2;&#x6570;&#x5909;&#x6570;&#x306E;&#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x306F;&#x3001;&#x73FE;&#x5728;&#x306E; MAXScript &#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x306E;&#x30B3;&#x30F3;&#x30C6;&#x30AD;&#x30B9;&#x30C8;&#x3067;&#x3059;&#x3002;&#x95A2;&#x6570;&#x5185;&#x3067;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x308B;&#x5909;&#x6570;&#x306F;&#x3001;&#x305D;&#x306E;&#x5909;&#x6570;&#x304C;&#x65E2;&#x306B;&#x4E0A;&#x306E;&#x30EC;&#x30D9;&#x30EB;&#x306E;&#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x3067;&#x5B9A;&#x7FA9;&#x3055;&#x308C;&#x3066;&#x3044;&#x305F;&#x308A;&#x3001;&#x95A2;&#x6570;&#x5185;&#x3067;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB;&#x5909;&#x6570;&#x3068;&#x3057;&#x3066;&#x5BA3;&#x8A00;&#x3055;&#x308C;&#x3066;&#x3044;&#x306A;&#x3044;&#x9650;&#x308A;&#x3001;&#x30ED;&#x30FC;&#x30AB;&#x30EB; &#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x3092;&#x6301;&#x3061;&#x307E;&#x3059;&#x3002;&#x4F8B;&#x5916;&#x3068;&#x3057;&#x3066;&#x95A2;&#x6570;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x5909;&#x6570;&#x304C;&#x3042;&#x308A;&#x3001;&#x3053;&#x306E;&#x5909;&#x6570;&#x306F;&#x5E38;&#x306B;&#x30ED;&#x30FC;&#x30AB;&#x30EB; &#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x3092;&#x6301;&#x3061;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3059;&#x308B;&#x3068;&#x304D;&#x306F;&#x3001;<strong>&#x30ED;&#x30FC;&#x30AB;&#x30EB;&#x5909;&#x6570;&#x304A;&#x3088;&#x3073;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB;&#x5909;&#x6570;&#x3092;&#x660E;&#x793A;&#x7684;&#x306B;&#x5BA3;&#x8A00;&#x3059;&#x308B;</strong>&#x3053;&#x3068;&#x3092;<strong>&#x304A;&#x52E7;&#x3081;&#x3057;&#x307E;&#x3059;</strong>&#x3002;&#x6697;&#x793A;&#x7684;&#x306A;&#x5BA3;&#x8A00;&#x306F;&#x7C21;&#x6613;&#x7684;&#x306B;&#x63D0;&#x4F9B;&#x3055;&#x308C;&#x308B;&#x3082;&#x306E;&#x3067;&#x3042;&#x308A;&#x3001;&#x901A;&#x5E38;&#x3001;&#x30EA;&#x30B9;&#x30CA;&#x30FC;&#x3067;&#x30A4;&#x30F3;&#x30BF;&#x30E9;&#x30AF;&#x30C6;&#x30A3;&#x30D6;&#x306B;&#x4F5C;&#x696D;&#x3059;&#x308B;&#x5834;&#x5408;&#x3084;&#x77ED;&#x3044;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3059;&#x308B;&#x5834;&#x5408;&#x306B;&#x4F7F;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x9577;&#x3044;&#x30B9;&#x30AF;&#x30EA;&#x30D7;&#x30C8;&#x3092;&#x4F5C;&#x6210;&#x3059;&#x308B;&#x5834;&#x5408;&#x306F;&#x3001;&#x5909;&#x6570;&#x3092;&#x660E;&#x793A;&#x7684;&#x306B;&#x5BA3;&#x8A00;&#x3059;&#x308B;&#x3068;&#x30A8;&#x30E9;&#x30FC;&#x3092;&#x8EFD;&#x6E1B;&#x3057;&#x3001;&#x30B3;&#x30FC;&#x30C9;&#x304C;&#x8AAD;&#x307F;&#x3084;&#x3059;&#x304F;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;&#x307E;&#x305F;&#x3001;&#x7279;&#x306B;&#x30B0;&#x30ED;&#x30FC;&#x30D0;&#x30EB;&#x5909;&#x6570;&#x3092;&#x5FC5;&#x8981;&#x306A;&#x5834;&#x5408;&#x3092;&#x9664;&#x304D;&#x3001;&#x3059;&#x3079;&#x3066;&#x306E;&#x5909;&#x6570;&#x3092;&#x30ED;&#x30FC;&#x30AB;&#x30EB;&#x3068;&#x3057;&#x3066;&#x5BA3;&#x8A00;&#x3059;&#x308B;&#x3053;&#x3068;&#x3092;&#x304A;&#x52E7;&#x3081;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x7406;&#x7531;&#x306B;&#x3064;&#x3044;&#x3066;&#x306F;&#x3001;&#x300C;<a href=\"./../Variables-Assignment-and-Scope/Scope-of-Variables.html\">&#x5909;&#x6570;&#x306E;&#x30B9;&#x30B3;&#x30FC;&#x30D7;</a>&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
<p>&#x95A2;&#x6570;&#x5909;&#x6570;&#x304C;&#x5225;&#x306E;&#x5909;&#x6570;&#x306B;&#x5272;&#x308A;&#x5F53;&#x3066;&#x3089;&#x308C;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306F;&#x3001;&#x95A2;&#x6570;&#x5024;&#x3078;&#x306E;&#x53C2;&#x7167;&#x306F;&#x305D;&#x306E;&#x5909;&#x6570;&#x306B;&#x683C;&#x7D0D;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3057;&#x305F;&#x304C;&#x3063;&#x3066;&#x3001;&#x95A2;&#x6570;&#x5909;&#x6570;&#x304C;&#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x5185;&#x306B;&#x306A;&#x304F;&#x3066;&#x3082;&#x3001;&#x95A2;&#x6570;&#x304C;&#x5272;&#x308A;&#x5F53;&#x3066;&#x3089;&#x308C;&#x3066;&#x3044;&#x308B;&#x5909;&#x6570;&#x306E;&#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x304C;&#x73FE;&#x5728;&#x306E; MAXScript &#x30B9;&#x30B3;&#x30FC;&#x30D7; &#x30B3;&#x30F3;&#x30C6;&#x30AD;&#x30B9;&#x30C8;&#x5916;&#x3067;&#x3042;&#x308B;&#x5834;&#x5408;&#x3001;&#x95A2;&#x6570;&#x81EA;&#x4F53;&#x306F;&#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x5185;&#x306B;&#x3042;&#x308B;&#x3053;&#x3068;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">    fn funcA which =\n\
    (\n\
    if which == 1 then\n\
    fn saddle x y = sin x * sin y\n\
    else\n\
    fn sombrero x y = cos (x^2 + y^2) / (1 + (x^2 + y^2))\n\
    )\n\
    myfunc=funcA 2\n\
    z=myfunc 10 10\n\
</code></pre><p>&#x4E0A;&#x8A18;&#x306E;&#x4F8B;&#x3067;&#x306F;&#x3001;&#x5909;&#x6570; <code>saddle</code> &#x304A;&#x3088;&#x3073; <code>sombrero</code> &#x306E;&#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x306F; <code>funcA</code> &#x306B;&#x5BFE;&#x3057;&#x3066;&#x30ED;&#x30FC;&#x30AB;&#x30EB;&#x3067;&#x3042;&#x308A;&#x3001;&#x5909;&#x6570;&#x306F;&#x95A2;&#x6570;&#x306E;&#x5916;&#x3067;&#x306F;&#x30B9;&#x30B3;&#x30FC;&#x30D7;&#x306E;&#x7BC4;&#x56F2;&#x5916;&#x3068;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;<code>funcA</code> &#x306E;&#x623B;&#x308A;&#x5024;&#x306F;&#x3001;&#x95A2;&#x6570; <code>saddle()</code> &#x307E;&#x305F;&#x306F; <code>sombrero()</code> &#x306E;&#x3044;&#x305A;&#x308C;&#x304B;&#x306E;&#x5024;&#x3092;&#x3068;&#x308A;&#x3001;&#x5909;&#x6570; <code>myfunc</code> &#x306B;&#x4EE3;&#x5165;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x307E;&#x305F;&#x3001;&#x3053;&#x306E;&#x4F8B;&#x306F;&#x95A2;&#x6570;&#x304C;&#x3069;&#x306E;&#x3088;&#x3046;&#x306A;&#x5F0F;&#x5185;&#x306B;&#x3067;&#x3082;&#x5B9A;&#x7FA9;&#x3067;&#x304D;&#x308B;&#x3053;&#x3068;&#x3092;&#x793A;&#x3057;&#x3066;&#x3044;&#x307E;&#x3059;&#x3002;</p>\n\
</blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Creating-Functions.html\">関数の作成</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Variables-Assignment-and-Scope/Scope-of-Variables.html\">変数のスコープ</a></li>\n\
          <li><a class=\"link\" href=\"../Names-Literal-Constants-and/Simple-Expressions/Function-Calls.html\">関数呼び出し</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";