var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-874741B6-FE4B-496F-856D-1C66541F5DBC\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>予約済みキーワード、記号、区切り記号、および変数</h1></div><p>他のコンピュータ言語と同様、MAXScript では英語の基盤である単語、数字、区切り記号などに対応する多くの字句トークンを使用します。トークンは次のカテゴリに分類されます。</p>\n\
<ul>\n\
<li><p>言語での句として一般的な予約済みキーワードである <code>if</code>、<code>for</code>、<code>function</code></p>\n\
</li>\n\
<li><p>句の分離またはグループ化を行うか、数値演算子を指定する区切り記号</p>\n\
</li>\n\
<li><p><strong>3ds Max</strong> システム グローバル変数および MAXScript の定義済みグローバル変数を含む予約済みグローバル変数</p>\n\
</li>\n\
</ul>\n\
<p>次のトピックには、以上のトークンとその構文に関する情報が含まれています。</p>\n\
<p><a href=\"Reserved-Keywords-Symbols/Language-Reserved-Keywords.html\">言語の予約キーワード</a></p>\n\
<p><a href=\"Reserved-Keywords-Symbols/Punctuation-and-Symbols.html\">区切り記号と記号</a></p>\n\
<p><a href=\"Reserved-Keywords-Symbols/Reserved-Global-Variables.html\">予約済みグローバル変数</a></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
      <div class=\"relinfo relchildren\">\n\
        <strong>このセクションのページ</strong>\n\
        <ul class=\"ullinks\">\n\
          <li class=\"link ulchildlink\"><a href=\"Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max システム グローバル</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Reserved-Keywords-Symbols/C-style-bracketing-comments.html\">C++ スタイルのブラケット付きコメント</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Reserved-Keywords-Symbols/Language-Reserved-Keywords.html\">言語の予約キーワード</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript システム グローバル</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Reserved-Keywords-Symbols/Predefined-Globals.html\">定義済みグローバル</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Reserved-Keywords-Symbols/Punctuation-and-Symbols.html\">区切り記号と記号</a></li>\n\
          <li class=\"link ulchildlink\"><a href=\"Reserved-Keywords-Symbols/Reserved-Global-Variables.html\">予約済みグローバル変数</a></li>\n\
        </ul>\n\
      </div>\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../MAXScript-Language-Reference.html\">MAXScript 言語リファレンス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";