var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4B43FD67-0B2B-4234-AB66-20B6D18EAEFF\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>区切り記号と記号</h1></div><p>次の表に、MAXScript のすべての区切り記号と記号を示します。それぞれの記号の意味は、これらの記号を使用するさまざまな言語コンストラクタの項や「<a href=\"./../MAXScript-Grammar.html\">MAXScript の文法</a>」 に説明があり、中には、より詳しい情報が提供されているものもあります。リンクの設定されている区切り記号や記号をクリックすると、それぞれの記号の使用方法の説明にジャンプできます。コンテキストによって、キーワードに追加情報が含まれている場合もあります。</p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Block-Expressions.html\">(</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Block-Expressions.html\">)</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\">+</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\">*</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\">-</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\">/</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions.html\">^</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\">+=</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\">-=</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\">*=</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\">/=</a></p>\n\
<p><a href=\"./../../MAXScript-Introduction/General-MAXScript-Topics/Source-Code-Layout-and.html\">--</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Math-Expressions/Math-Assignment.html\">=</a></p>\n\
<p><a href=\"./../../MAXScript-Introduction/General-MAXScript-Topics/Source-Code-Layout-and.html\">;</a></p>\n\
<eol>\n\
\n\
<p>,</p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Literal-Constants/2D-and-3D-Point-Literals.html\">[</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Literal-Constants/2D-and-3D-Point-Literals.html\">]</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Function-Calls.html\">:</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Names.html\">&#39;</a></p>\n\
<p>&amp;</p>\n\
<p>.</p>\n\
<p><a href=\"./../Collections/Collection-Types/BitArray-Values.html\">{</a></p>\n\
<p><a href=\"./../Collections/Collection-Types/BitArray-Values.html\">}</a></p>\n\
<p><a href=\"./../Collections/Collection-Types/Array-Values.html\">#</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">==</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">!=</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">&lt;</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">&gt;</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">&gt;=</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\">&lt;=</a></p>\n\
<p><a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/Using-the-Symbol.html\">?</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">$</a></p>\n\
<p><a href=\"./../Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\">...</a></p>\n\
<p><a href=\"./../Collections/Collection-Types/BitArray-Values.html\">..</a></p>\n\
<p>[](../../MAXScript-Introduction/General-MAXScript-Topics/Source-Code-Layout-and.html)</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Reserved-Keywords-Symbols.html\">予約済みキーワード、記号、区切り記号、および変数</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";