var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-92E3BC56-2B85-4D54-AB88-EC0B5B23C470\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>予約済みグローバル変数</h1></div><p>予約済みグローバル変数は、MAXScript によって自動的に値が割り当てられる変数です。MAXScript の予約済みグローバル変数は、次の 3 つのカテゴリに分類されます。定義済みグローバル(<code>red</code> や <code>pi</code> など)、<strong>3ds Max</strong> システム内の状態に関する情報(<code>currentTime</code> など)へのアクセスを提供する <strong>3ds Max</strong> システム グローバル、そして MAXScript システムの状態へのアクセスを提供する MAXScript システム グローバルです。</p>\n\
<p>言語で予約済みのキーワードとは異なり、これらの変数名はローカル変数として、指定した値で再利用することが<strong>できます</strong>。ただし、<strong>混乱を防ぐ</strong>ために、<strong>予約済みグローバル変数名は使用しない</strong>ことを<strong>強くお勧めします</strong>。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Reserved-Keywords-Symbols.html\">予約済みキーワード、記号、区切り記号、および変数</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Predefined-Globals.html\">定義済みグローバル</a></li>\n\
          <li><a class=\"link\" href=\"3ds-Max-System-Globals.html\">3ds Max システム グローバル</a></li>\n\
          <li><a class=\"link\" href=\"MAXScript-System-Globals.html\">MAXScript システム グローバル</a></li>\n\
          <li><a class=\"link\" href=\"../Variables-Assignment-and-Scope.html\">変数 - 代入およびスコープ</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";