var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D5426B3F-7060-4C02-BA75-CB24A66B2ABD\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>構造体継承メソッド</h1></div><p>すべての構造体は <a href=\"./../Values/Values-1.html\">Value</a> クラスから継承されるため、構造体インスタンスは、Value メソッドである <code>print()</code>、<code>format()</code>、<code>classOf()</code>、<code>superClassOf()</code>、<code>isKindOf()</code>、<code>==</code>、および <code>!=</code> を実現します。<code>copy()</code> メソッドは、構造体が実装する Value から継承されない唯一のメソッドです。これは、呼び出した構造体のトップレベルのコピーを生成します。つまり、オリジナルと同じ要素値を含んだ新しい別の構造体インスタンスが得られ、そのコピーを単独で変更することができます。要素値自体はコピーではないため、要素の 1 つが配列である場合、コピーはその配列のコピーではなく、配列そのものを参照します。</p>\n\
<p>deepCopy() メソッドは構造のディープ コピーを返します。ディープ コピーは、トップレベル構造のコピーだけでなく、すべての要素のコピーも作成します。<strong>3ds Max 2019 以降</strong>で使用可能です。要素に 1 つの値に対する複数の参照が含まれている場合は、コピーの中に新しい値に対する複数の参照が含まれます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Structure-Definition.html\">構造体定義</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Structure-Definition-1.html\">構造体定義</a></li>\n\
          <li><a class=\"link\" href=\"Defining-Local-Functions-in.html\">構造体でのローカル関数の定義</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Scope-While.html\">初期化中の構造スコープ</a></li>\n\
          <li><a class=\"link\" href=\"Structure-Creation-and-Cloning.html\">構造体の作成およびクローン作成用イベント ハンドラ</a></li>\n\
          <li><a class=\"link\" href=\"Private-and-Public-Members-in.html\">構造体定義における Pirvate メンバと Public メンバ</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";