var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D77C780A-4E8A-4528-949F-CC09AAE048DA\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>Matrix3 &#x5024;</h1></div><p><strong>Matrix3</strong> &#x30AF;&#x30E9;&#x30B9;&#x306F;&#x3001;4x3 &#x306E; 3D &#x5909;&#x63DB;&#x884C;&#x5217;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x3092;&#x5B9F;&#x88C5;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p>&#x5909;&#x63DB;&#x884C;&#x5217;&#x306F; 3D &#x540C;&#x6B21;&#x884C;&#x5217;&#x3067;&#x3001;&#x4E00;&#x822C;&#x7684;&#x306B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x5EA7;&#x6A19;&#x7CFB;&#x3068;&#x5909;&#x63DB;&#x3092;&#x4FDD;&#x6301;&#x3059;&#x308B;&#x306E;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30B3;&#x30F3;&#x30B9;&#x30C8;&#x30E9;&#x30AF;&#x30BF;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">matrix3 &lt;row1_point3&gt; &lt;row2_point3&gt; &lt;row3_point3&gt; &lt;row4_point3&gt;</code></pre><p>&#x884C;&#x30D9;&#x30AF;&#x30C8;&#x30EB;&#x304B;&#x3089;&#x884C;&#x5217;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">matrix3 0</code></pre><p>&#x30BC;&#x30ED;&#x884C;&#x5217;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;<code>(matrix3 \\[0,0,0\\] \\[0,0,0\\] \\[0,0,0\\] \\[0,0,0\\])</code></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">matrix3 1</code></pre><p>&#x5358;&#x4F4D;&#x884C;&#x5217;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;<code>(matrix3 \\[1,0,0\\] \\[0,1,0\\] \\[0,0,1\\] \\[0,0,0\\])</code></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;quat&gt; as matrix3\n\
&lt;angleaxis&gt; as matrix3\n\
&lt;eulerangles&gt; as matrix3</code></pre><p>&#x4EFB;&#x610F;&#x306E;&#x56DE;&#x8EE2;&#x5024;&#x304B;&#x3089;&#x56DE;&#x8EE2;&#x884C;&#x5217;&#x3092;&#x4F5C;&#x6210;&#x304A;&#x3088;&#x3073;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rotateXMatrix &lt;number&gt; -- all angles in degrees rotateYMatrix &lt;number&gt;\n\
rotateZMatrix &lt;number&gt;</code></pre><p>&#x4E3B;&#x8981;&#x30EF;&#x30FC;&#x30EB;&#x30C9;&#x8EF8;&#x306B;&#x76F8;&#x5BFE;&#x7684;&#x306A;&#x56DE;&#x8EE2;&#x884C;&#x5217;&#x3092;&#x4F5C;&#x6210;&#x304A;&#x3088;&#x3073;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">transMatrix &lt;point3&gt;</code></pre><p>&#x5909;&#x63DB;&#x884C;&#x5217;&#x3092;&#x4F5C;&#x6210;&#x304A;&#x3088;&#x3073;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">scaleMatrix &lt;point3&gt;</code></pre><p>&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x884C;&#x5217;&#x3092;&#x4F5C;&#x6210;&#x304A;&#x3088;&#x3073;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">rotateYPRMatrix &lt;yaw_number&gt; &lt;pitch_number&gt; &lt;roll_number&gt;</code></pre><p>&#x30E8;&#x30FC;&#x3001;&#x30D4;&#x30C3;&#x30C1;&#x3001;&#x30ED;&#x30FC;&#x30EB;&#x89D2;&#x5EA6;&#x306E;&#x6307;&#x5B9A;&#x306B;&#x3088;&#x308B;&#x56DE;&#x8EE2;&#x5909;&#x63DB;&#x3068;&#x3057;&#x3066;&#x4F7F;&#x7528;&#x3059;&#x308B; Matrix3 &#x5024;&#x3092;&#x4F5C;&#x6210;&#x304A;&#x3088;&#x3073;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x89D2;&#x5EA6;&#x306F;&#x5EA6;&#x3067;&#x8868;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">matrixFromNormal &lt;point3&gt;</code></pre><p>&#x4E0E;&#x3048;&#x3089;&#x308C;&#x305F;&#x30DD;&#x30A4;&#x30F3;&#x30C8;&#x306B;&#x3088;&#x3063;&#x3066;&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x6CD5;&#x7DDA;&#x3092; Z &#x8EF8;&#x3068;&#x3059;&#x308B; Matrix3 &#x5024;&#x3092;&#x4F5C;&#x6210;&#x304A;&#x3088;&#x3073;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;Matrix3 &#x5024;&#x306E;&#x5909;&#x63DB;&#x90E8;&#x5206;&#x306F;[0,0,0]&#x3067;&#x3059;&#x3002;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x90E8;&#x5206;&#x306E;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x306F;&#x3001;<code>point3</code> &#x5024;&#x306E;&#x5E73;&#x5747;&#x5316;&#x306B;&#x5FC5;&#x8981;&#x306A;&#x5024;&#x306E;&#x9006;&#x6570;&#x3067;&#x3059;&#x3002;</p>\n\
<p><strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">MatrixFromNormal [0,0,1]\n\
MatrixFromNormal [0,1,1]\n\
</code></pre><p>&#x6B21;&#x306E;&#x3088;&#x3046;&#x306B;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">(matrix3 [1,0,0], [0,1,0], [0,0,1], [0,0,0])\n\
(matrix3 [0,-0.707107,0.707107] [1.41421,0,0] [0,1,1] [0,0,0])\n\
</code></pre><p><strong>&#x6F14;&#x7B97;&#x5B50;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt; + &lt;matrix3&gt;\n\
&lt;matrix3&gt; - &lt;matrix3&gt;\n\
&lt;matrix3&gt; * &lt;matrix3&gt;\n\
&lt;matrix3&gt; as &lt;class&gt;</code></pre><p>Matrix3 &#x306F;&#x884C;&#x5217;&#x306E;&#x56DE;&#x8EE2;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x3001;Quaternion&#x3001;AngleAxe&#x3001;EulerAngle &#x306B;&#x5909;&#x63DB;&#x53EF;&#x80FD;&#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;[&lt;integer&gt;]</code></pre><p>Matrix3 &#x306E;&#x884C;&#x3092; Point3 &#x3068;&#x3057;&#x3066;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6709;&#x52B9;&#x306A;&#x7BC4;&#x56F2;&#x306F; 1 &#xFF5E; 4 &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;[&lt;integer&gt;] = &lt;Point3&gt;</code></pre><p>Matrix3 &#x306E;&#x884C;&#x3092; Point3 &#x306B;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x30A4;&#x30F3;&#x30C7;&#x30C3;&#x30AF;&#x30B9;&#x3067;&#x6709;&#x52B9;&#x306A;&#x7BC4;&#x56F2;&#x306F; 1 &#xFF5E; 4 &#x3067;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt; == &lt;matrxi3&gt;\n\
&lt;matrix3&gt; != &lt;matrix3&gt;</code></pre><p><strong>3ds Max 2018 &#x4EE5;&#x964D;</strong>&#x3067;&#x4F7F;&#x7528;&#x53EF;&#x80FD;: &#x6A19;&#x6E96;&#x30B3;&#x30F3;&#x30D7;&#x30E9;&#x30A4;&#x30A2;&#x30F3;&#x30B9;&#x3002;</p>\n\
<p><strong>&#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;.row1: Point3\n\
&lt;matrix3&gt;.row2: Point3\n\
&lt;matrix3&gt;.row3: Point3\n\
&lt;matrix3&gt;.row4: Point3\n\
&lt;matrix3&gt;.translation: Point3</code></pre><p>&#x884C;&#x3078;&#x306E;&#x8AAD;&#x307F;&#x8FBC;&#x307F;/&#x66F8;&#x304D;&#x8FBC;&#x307F;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3002;Row4 &#x306F;&#x5909;&#x63DB;&#x3002;</p>\n\
<div class=\"note &#x6CE8;:\"><span class=\"notetitle\">&#x6CE8;:</span></div>\n\
<p>&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x5909;&#x63DB;&#x306E; matrix3 &#x5024;&#x3067;&#x4F5C;&#x696D;&#x3092;&#x884C;&#x3046;&#x5834;&#x5408;&#x3001;&#x884C;&#x3068;&#x305D;&#x306E;&#x30B5;&#x30D6;&#x8981;&#x7D20;&#x3092;&#x76F4;&#x63A5;&#x5909;&#x66F4;&#x3059;&#x308B;&#x3053;&#x3068;&#x306F;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3002;&#x884C;&#x307E;&#x305F;&#x306F;&#x884C;&#x306E;&#x8981;&#x7D20;&#x3092;&#x5909;&#x66F4;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x307E;&#x305A;&#x30E6;&#x30FC;&#x30B6;&#x5909;&#x6570;&#x306B; matrix3 &#x5024;&#x3092;&#x5272;&#x308A;&#x5F53;&#x3066;&#x3001;&#x5909;&#x6570;&#x3092;&#x5272;&#x308A;&#x5F53;&#x3066;&#x308B;&#x3053;&#x3068;&#x3067; matrix3 &#x306E;&#x884C;&#x3092;&#x5909;&#x66F4;&#x3057;&#x3001;&#x6B21;&#x306B;&#x5143;&#x306E;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E; <code>.transform</code> &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;&#x306B;&#x5909;&#x6570;&#x3092;&#x623B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x4F55;&#x3082;&#x5B9F;&#x884C;&#x3057;&#x306A;&#x3044;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">$Teapot01.transform.row4 = [10.0,20.0,30.0]\n\
</code></pre><p><strong>&#x6A5F;&#x80FD;&#x3059;&#x308B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">myTransform = $Teapot01.transform\n\
myTransform.row4 = [10.0,20.0,30.0]\n\
$Teapot01.transform = myTransform\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;.rotationpart: Quat, read-only\n\
&lt;matrix3&gt;.translationpart: Point3, read-only\n\
&lt;matrix3&gt;.scalerotationpart: Quat, read-only\n\
&lt;matrix3&gt;.scalepart: Point3, read-only</code></pre><p>&#x4ED6;&#x306E;&#x5909;&#x63DB;&#x306F;&#x30BC;&#x30ED;&#x306E;&#x72B6;&#x614B;&#x3067;&#x306E;&#x3055;&#x307E;&#x3056;&#x307E;&#x306A;&#x5909;&#x63DB;&#x3078;&#x306E;&#x30A2;&#x30AF;&#x30BB;&#x30B9;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;matrix3&gt;.determinantsign: Integer, read-only</code></pre><p>&#x884C;&#x5217;&#x306E;&#x884C;&#x5217;&#x5F0F;&#x306E;&#x30B5;&#x30A4;&#x30F3;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">copy &lt;matrix3&gt;</code></pre><p>matrix 3 &#x5024;&#x306E;&#x65B0;&#x3057;&#x3044;&#x30B3;&#x30D4;&#x30FC;&#x3092;&#x4F5C;&#x6210;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">newMatrix3 = copy oldMatrix3\n\
</code></pre><p>&#x65B0;&#x3057;&#x3044;&#x5024;&#x306F;&#x3001;matrix3 &#x306E;&#x5165;&#x529B;&#x5024;&#x306E;&#x30B3;&#x30D4;&#x30FC;&#x3092;&#x542B;&#x307F;&#x3001;&#x5165;&#x529B;&#x5024;&#x304B;&#x3089;&#x72EC;&#x7ACB;&#x3057;&#x305F;&#x5024;&#x306B;&#x306A;&#x308A;&#x307E;&#x3059;&#x3002;</p>\n\
<p><a href=\"./../../Names-Literal-Constants-and/Simple-Expressions/Comparison-Expressions.html\">&#x7B49;&#x4FA1;&#x6BD4;&#x8F03;&#x5F0F;</a>&#x3092;&#x30AA;&#x30EA;&#x30B8;&#x30CA;&#x30EB;&#x304A;&#x3088;&#x3073;&#x30B3;&#x30D4;&#x30FC;&#x306E;&#x5024;&#x3067;&#x4F7F;&#x7528;&#x3059;&#x308B;&#x3068;&#x5E38;&#x306B; false &#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p>2 &#x3064;&#x306E; Matrix3 &#x5024;&#x306E;&#x7B49;&#x3057;&#x3055;&#x3092;&#x6B63;&#x3057;&#x304F;&#x6BD4;&#x8F03;&#x3059;&#x308B;&#x306B;&#x306F;&#x3001;&#x305D;&#x308C;&#x3089;&#x306E; 4 &#x3064;&#x306E;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x304C;&#x5225;&#x500B;&#x306B;&#x6BD4;&#x8F03;&#x3055;&#x308C;&#x306A;&#x304F;&#x3066;&#x306F;&#x306A;&#x308A;&#x307E;&#x305B;&#x3093;&#x3002;2 &#x3064;&#x306E;&#x5024;&#x306F;&#x6587;&#x5B57;&#x5217;&#x306B;&#x5909;&#x63DB;&#x3055;&#x308C;&#x3001;&#x6587;&#x5B57;&#x5217;&#x3068;&#x3057;&#x3066;&#x6BD4;&#x8F03;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x3042;&#x308B;&#x3044;&#x306F;&#x3001;1 &#x3064;&#x306E; Matrix3 &#x5024;&#x304C;&#x3082;&#x3046; 1 &#x3064;&#x306E;&#x9006;&#x6570;&#x3067;&#x4E57;&#x7B97;&#x3055;&#x308C;&#x3001;&#x5358;&#x4F4D;&#x884C;&#x672D;&#x306B;&#x306A;&#x308B;&#x304B;&#x8A66;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x884C;&#x5217;&#x306E;&#x6BD4;&#x8F03;&#x306E;&#x4F8B;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">a = matrix3 1 --create an identity matrix\n\
(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
b = copy a --copy the value of a into variable b\n\
(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
a == b --compare a and b - although their values are equal, result is false\n\
false\n\
\n\
--This is because the equality test of compound values like Matrix3 and Array\n\
--is testing to see whether the two variables point at the same memory address\n\
--and does not perform a per-component equality test.\n\
--Thus:\n\
c = a\n\
(matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0])\n\
a == c --compare a and c - both point at the same memory and are considered equal:\n\
true\n\
\n\
--To compare a and b, we can either convert both to strings and compare them:\n\
a as string == b as string\n\
true\n\
\n\
--or we can test their components in pairs,\n\
a.row1 == b.row1 AND a.row2 == b.row2 AND a.row3 == b.row3 AND a.row4 == b.row4\n\
true\n\
\n\
--or we can multiply a with the inverse of b and test if the result is the identity matrix:\n\
isIdentity (a * inverse b)\n\
true\n\
</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">isIdentity &lt;matrix3&gt;</code></pre><p>&#x884C;&#x5217;&#x304C;&#x5358;&#x4F4D;&#x884C;&#x5217;&#x3068;&#x7B49;&#x3057;&#x3044;&#x5834;&#x5408;&#x3001;<code>true</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">inverse &lt;matrix3&gt;</code></pre><p>&#x9006;&#x884C;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">inverseHighPrecision &lt;matrix3&gt;</code></pre><p>&#x4E2D;&#x9593;&#x7D50;&#x679C;&#x3092;&#x5F97;&#x308B;&#x305F;&#x3081;&#x306B;&#x500D;&#x7CBE;&#x5EA6;&#x6D6E;&#x52D5;&#x5C0F;&#x6570;&#x70B9;&#x6570;&#x3092;&#x4F7F;&#x7528;&#x3057;&#x3066;&#x9006;&#x884C;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">xformMat &lt;transform_matrix3&gt; &lt;space_matrix3&gt;</code></pre><p>&#x7279;&#x5B9A;&#x306E;&#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306B;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x5909;&#x63DB;&#x884C;&#x5217;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x305F;&#x3068;&#x3048;&#x3070;&#x3001;&#x3042;&#x308B;&#x56DE;&#x8EE2;&#x3092;&#x5225;&#x306E;&#x5EA7;&#x6A19;&#x7CFB;&#x3067;&#x9069;&#x7528;&#x3057;&#x305F;&#x3044;&#x3068;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306B;&#x306F;&#x3001;&#x901A;&#x5E38;&#x306E;&#x5834;&#x5408;&#x5EA7;&#x6A19;&#x7CFB;&#x306E;&#x30B9;&#x30DA;&#x30FC;&#x30B9;&#x306B;&#x5909;&#x63DB;&#x3057;&#x3066;&#x3001;&#x305D;&#x306E;&#x5EA7;&#x6A19;&#x7CFB;&#x3067;&#x5909;&#x63DB;&#x3092;&#x884C;&#x3044;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x884C;&#x5217; <code>&lt;transform_matrix3&gt;</code> &#x3092; <code>&lt;space_matrix3&gt;</code> &#x306B;&#x5909;&#x63DB;&#x3057;&#x307E;&#x3059;&#x3002;&#x7D50;&#x679C;&#x306E; matrix3 &#x5024;&#x306F; <code>space_matrix3 * transform_matrix3 * inverse(space_matrix3)</code> &#x3068;&#x3057;&#x3066;&#x8A08;&#x7B97;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">identity &lt;matrix3&gt; -- mapped function</code></pre><p>&#x5358;&#x4F4D;&#x884C;&#x5217;&#x3078;&#x306E;&#x5165;&#x529B;&#x884C;&#x5217;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x5358;&#x4F4D;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x5358;&#x4F4D;&#x884C;&#x5217;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">zero &lt;matrix3&gt; -- mapped function</code></pre><p>&#x30BC;&#x30ED;&#x884C;&#x5217;&#x3078;&#x306E;&#x5165;&#x529B;&#x884C;&#x5217;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x30BC;&#x30ED;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x30BC;&#x30ED;&#x884C;&#x5217;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">orthogonalize &lt;matrix3&gt; -- mapped function</code></pre><p>&#x884C;&#x5217;&#x306E;&#x300C;&#x30D0;&#x30A4;&#x30A2;&#x30B9;&#x306E;&#x304B;&#x304B;&#x3063;&#x3066;&#x3044;&#x306A;&#x3044;&#x300D;&#x76F4;&#x4EA4;&#x5316;&#x3078;&#x306E;&#x5165;&#x529B;&#x884C;&#x5217;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;&#x76F4;&#x4EA4;&#x884C;&#x5217;&#x3067;&#x306F;&#x3001;&#x5404;&#x8EF8;&#x9593;&#x306E;&#x89D2;&#x5EA6;&#x304C; 90 &#x5EA6;&#x3067;&#x3059;(&#x659C;&#x3081;&#x306B;&#x3086;&#x304C;&#x3093;&#x3067;&#x3044;&#x307E;&#x305B;&#x3093;)&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x76F4;&#x4EA4;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x76F4;&#x4EA4;&#x884C;&#x5217;&#x306E;&#x5024;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">translate &lt;matrix3&gt; &lt;point3&gt; --mapped function</code></pre><p>&#x5165;&#x529B;&#x884C;&#x5217;&#x306B;&#x9806;&#x6B21;&#x5897;&#x52A0;&#x3059;&#x308B;&#x89E3;&#x91C8;&#x5909;&#x63DB;&#x3092;&#x9069;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x5909;&#x63DB;&#x306B;&#x3088;&#x308A;&#x53F3;&#x3067;&#x4E57;&#x7B97;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;matrix3 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x306E;&#x5024;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- all angles in degrees\n\
--mapped functions\n\
rotateX &lt;matrix3&gt; &lt;number&gt;  \n\
rotateY &lt;matrix3&gt; &lt;number&gt;\n\
rotateZ &lt;matrix3&gt; &lt;number&gt;\n\
rotate &lt;matrix3&gt; &lt;quat&gt;</code></pre><p>&#x5165;&#x529B;&#x884C;&#x5217;&#x306B;&#x9806;&#x6B21;&#x5897;&#x52A0;&#x3059;&#x308B;&#x56DE;&#x8EE2;&#x5909;&#x63DB;&#x3092;&#x9069;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x5909;&#x63DB;&#x306B;&#x3088;&#x308A;&#x53F3;&#x3067;&#x4E57;&#x7B97;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;matrix3 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x306E;&#x5024;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">scale &lt;matrix3&gt; &lt;point3&gt; [ &lt;boolean&gt; ] -- mapped function</code></pre><p>&#x5165;&#x529B;&#x884C;&#x5217;&#x306B;&#x9806;&#x6B21;&#x5897;&#x52A0;&#x3059;&#x308B;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x5909;&#x63DB;&#x3092;&#x9069;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x5909;&#x63DB;&#x306B;&#x3088;&#x308A;&#x53F3;&#x3067;&#x4E57;&#x7B97;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;<code>&lt;boolean&gt;</code> &#x304C; <code>true</code> &#x306E;&#x5834;&#x5408;&#x3001;&#x5909;&#x63DB;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x306F;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;<code>&lt;boolean&gt;</code> &#x304C; <code>false</code> &#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x5909;&#x63DB;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x306F;&#x5F71;&#x97FF;&#x3092;&#x53D7;&#x3051;&#x307E;&#x305B;&#x3093;&#x3002;&#x5F53;&#x521D; <strong>3ds Max</strong> &#x304C;&#x66F8;&#x304B;&#x308C;&#x305F;&#x3068;&#x304D;&#x306B;&#x306F;&#x3001;&#x3053;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306E;&#x30B3;&#x30FC;&#x30C9;&#x306B;&#x30D0;&#x30B0;&#x304C;&#x3042;&#x3063;&#x305F;&#x305F;&#x3081;&#x3001;&#x884C;&#x5217;&#x306E;&#x5909;&#x63DB;&#x90E8;&#x5206;&#x304C;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;&#x884C;&#x5217;&#x3092;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x3057;&#x3066;&#x3082;&#x4E00;&#x756A;&#x4E0B;&#x306E;&#x884C;&#x304C;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;&#x3053;&#x306E;&#x305F;&#x3081;&#x3001;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x306E;&#x57FA;&#x6E96;&#x306F;&#x5E38;&#x306B;&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8;&#x306E;&#x30ED;&#x30FC;&#x30AB;&#x30EB;&#x539F;&#x70B9;&#x3067;&#x3042;&#x308B;&#x4E00;&#x65B9;&#x3067;&#x3001;&#x30EF;&#x30FC;&#x30EB;&#x30C9;&#x8EF8;&#x304C;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x307E;&#x3057;&#x305F;&#x3002;&#x3053;&#x306E;&#x30D0;&#x30B0;&#x304C;&#x767A;&#x898B;&#x3055;&#x308C;&#x305F;&#x3068;&#x304D;&#x3001;&#x539F;&#x56E0;&#x3068;&#x306A;&#x3063;&#x3066;&#x3044;&#x308B;&#x30B3;&#x30FC;&#x30C9;&#x306B;&#x4F9D;&#x5B58;&#x3059;&#x308B;&#x90E8;&#x5206;&#x304C;&#x3042;&#x308B;&#x3053;&#x3068;&#x304C;&#x308F;&#x304B;&#x308A;&#x307E;&#x3057;&#x305F;&#x3002;&#x4E0D;&#x9069;&#x6B63;&#x306B;&#x52D5;&#x4F5C;&#x3057;&#x3066;&#x3044;&#x308B;&#x90E8;&#x5206;&#x306B;&#x4F9D;&#x5B58;&#x3059;&#x308B;&#x65E2;&#x5B58;&#x306E;&#x30B3;&#x30FC;&#x30C9;&#x3092;&#x58CA;&#x3057;&#x3066;&#x3057;&#x307E;&#x3046;&#x3053;&#x3068;&#x306B;&#x306A;&#x308B;&#x305F;&#x3081;&#x3001;&#x7C21;&#x5358;&#x306B;&#x4FEE;&#x6B63;&#x3059;&#x308B;&#x3053;&#x3068;&#x304C;&#x3067;&#x304D;&#x307E;&#x305B;&#x3093;&#x3067;&#x3057;&#x305F;&#x3002;&#x3053;&#x306E;&#x554F;&#x984C;&#x3092;&#x89E3;&#x6C7A;&#x3059;&#x308B;&#x305F;&#x3081;&#x30D6;&#x30FC;&#x30EB;&#x5024;&#x306E;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x8FFD;&#x52A0;&#x3055;&#x308C;&#x307E;&#x3057;&#x305F;&#x3002;&#x3053;&#x306E;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x3092; <code>true</code> &#x306B;&#x8A2D;&#x5B9A;&#x3059;&#x308B;&#x3068;&#x3001;&#x5909;&#x63DB;&#x30B3;&#x30F3;&#x30DD;&#x30FC;&#x30CD;&#x30F3;&#x30C8;&#x306F;&#x6B63;&#x3057;&#x304F;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x6307;&#x5B9A;&#x3057;&#x306A;&#x3044;&#x5834;&#x5408;&#x3001;&#x30D6;&#x30FC;&#x30EB;&#x5024;&#x306E;&#x65E2;&#x5B9A;&#x5024; <code>false</code> &#x304C;&#x9069;&#x7528;&#x3055;&#x308C;&#x3001;&#x30B3;&#x30FC;&#x30C9;&#x306F;&#x5F93;&#x6765;&#x306E;&#x65B9;&#x6CD5;&#x3067;&#x52D5;&#x4F5C;&#x3057;&#x307E;&#x3059;&#x3002;matrix3 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x306E;&#x5024;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">preTranslate &lt;matrix3&gt; &lt;point3&gt; -- mapped function</code></pre><p>&#x5165;&#x529B;&#x884C;&#x5217;&#x306B;&#x9806;&#x6B21;&#x5897;&#x52A0;&#x3059;&#x308B;&#x79FB;&#x52D5;&#x5909;&#x63DB;&#x3092;&#x9069;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x5909;&#x63DB;&#x306B;&#x3088;&#x308A;&#x5DE6;&#x3067;&#x4E57;&#x7B97;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;matrix3 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x306E;&#x5024;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">-- all angles in degrees\n\
-- mapped functions\n\
preRotateX&lt;matrix3&gt; &lt;number&gt;\n\
preRotateY&lt;matrix3&gt; &lt;number&gt;\n\
preRotateZ&lt;matrix3&gt; &lt;number&gt;\n\
preRotate&lt;matrix3&gt; &lt;quat&gt;</code></pre><p>&#x5165;&#x529B;&#x884C;&#x5217;&#x306B;&#x9806;&#x6B21;&#x5897;&#x52A0;&#x3059;&#x308B;&#x56DE;&#x8EE2;&#x5909;&#x63DB;&#x3092;&#x9069;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x5909;&#x63DB;&#x306B;&#x3088;&#x308A;&#x5DE6;&#x3067;&#x4E57;&#x7B97;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;matrix3 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x306E;&#x5024;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">preScale &lt;matrix3&gt; &lt;point3&gt; -- mapped function</code></pre><p>&#x5165;&#x529B;&#x884C;&#x5217;&#x306B;&#x9806;&#x6B21;&#x5897;&#x52A0;&#x3059;&#x308B;&#x30B9;&#x30B1;&#x30FC;&#x30EB;&#x5909;&#x63DB;&#x3092;&#x9069;&#x7528;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x308C;&#x306F;&#x3001;&#x5909;&#x63DB;&#x306B;&#x3088;&#x308A;&#x5DE6;&#x3067;&#x4E57;&#x7B97;&#x3059;&#x308B;&#x306E;&#x3068;&#x540C;&#x3058;&#x3067;&#x3059;&#x3002;matrix3 &#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x5358;&#x72EC;&#x306E;&#x884C;&#x5217;&#x306E;&#x5834;&#x5408;&#x306F;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306B;&#x3088;&#x308A;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;&#x30D1;&#x30E9;&#x30E1;&#x30FC;&#x30BF;&#x304C;&#x884C;&#x5217;&#x306E;&#x914D;&#x5217;&#x306E;&#x5834;&#x5408;&#x3001;&#x3053;&#x306E;&#x95A2;&#x6570;&#x306F; <code>OK</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x3044;&#x305A;&#x308C;&#x306E;&#x5834;&#x5408;&#x3082;&#x3001;&#x5165;&#x529B; matrix3 &#x306E;&#x5024;&#x306F;&#x5909;&#x63DB;&#x3055;&#x308C;&#x305F;&#x884C;&#x5217;&#x306E;&#x5024;&#x3067;&#x7F6E;&#x304D;&#x63DB;&#x3048;&#x3089;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x95A2;&#x9023;&#x3059;&#x308B;&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat2&gt; &lt;array1&gt; &lt;array2&gt;</code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat1&gt; &lt;eulerAngle1&gt; &lt;eulerAngle2&gt;  </code></pre><pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;float&gt;GetEulerMatAngleRatio &lt;mat1&gt; &lt;mat1&gt; &amp;&lt;var1&gt; &amp;&lt;var2&gt;</code></pre><p>&#x8A73;&#x7D30;&#x306F;&#x3001;&#x300C;<a href=\"EulerAngles-Values.html\"\">EulerAngles &#x5024;</a>&#x300D;&#x3092;&#x53C2;&#x7167;&#x3057;&#x3066;&#x304F;&#x3060;&#x3055;&#x3044;&#x3002;</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Basic-Data-Values.html\">基本的なデータ値</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"AngleAxis-Values.html\">AngleAxis 値</a></li>\n\
          <li><a class=\"link\" href=\"EulerAngles-Values.html\">EulerAngles 値</a></li>\n\
          <li><a class=\"link\" href=\"Quat-Values.html\">Quat 値</a></li>\n\
          <li><a class=\"link\" href=\"BigMatrix-Values.html\">BigMatrix 値および BigMatrixRowArray 値</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";