var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-4E926577-61C6-463E-9238-D422EFC03718\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>リソース文字列の置換</h1></div><h2 id=\"-\">概要</h2><p><strong>3ds Max 2012</strong> から、スクリプトおよびマクロスクリプトで、文字列の代わりにリソース ID を使用できるようになりました。</p>\n\
<p>これにより、スクリプトのローカライズが大幅に簡略化されます。</p>\n\
<p>ハードコードされた英語の文字列はすべてリソース ID に置き換えることができます。また、リソース ID は元の値とともにリソース ファイルに保存できます。</p>\n\
<p>リソース ファイルは複数の言語に翻訳することができます。また、対応する言語バージョンは <strong>3ds Max</strong> の言語設定に従って自動的にロードされます。</p>\n\
<h2 id=\"-\">実装</h2><p><strong>リソース ID</strong> は、名前をティルダで囲んで指定します(例: <del>LIGHT_LISTER_DIALOG_NAME</del>)。</p>\n\
<p>MAXScript で<strong>コンパイル時</strong>にリソース ID が検出されると、リソース ID とリソース値のペアが含まれるリソース ファイルが検索およびロードされ、リソース ID の代わりにリソース値が使用されます。MAXScript はサイズが 0 の一致ファイルを無視し、下記の手順で検索を続行します。</p>\n\
<p>リソース ファイルの検索は次のように実行されます。</p>\n\
<ul>\n\
<li>スクリプトのソース ファイルが保存されているディレクトリで、スクリプト ファイルと名前が同じで、拡張子が .RES のファイルがスキャンされます。スクリプトがファイルに保存されていない場合、コンパイル エラーが発生します。</li>\n\
<li>リソース ファイルが見つからなかった場合、ISO の言語/国名に基づいた名前を持つサブディレクトリ（fr-FRなど)で該当のファイル名が検索されます。</li>\n\
<li>それでもファイルが見つからない場合は、en-US サブディレクトリが検索されます。</li>\n\
<li>結果として、リソース ファイルのローカライズ バージョンが見つからない場合、既定で英語のリソース ファイルが使用されます(見つかった場合)。</li>\n\
<li>一致するリソース ファイルが見つからなかった場合、コンパイル エラーが発生します。</li>\n\
</ul>\n\
<p>マクロスクリプトのロードに関連するエラーと警告、および特にリソース ID、リソース値、リソース ファイルに関連する問題がスクリプト リスナーに報告されます。</p>\n\
<h2 id=\"-\">リソース ファイルの編集</h2><p>リソース ファイル(<em>.res)は、スクリプト エディタの*</em>[ファイル] (File) &gt; [開く] (Open)<strong>および</strong>[ファイル] (File) &gt; [保存] (Save)**ダイアログでサポートされます。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Defining-Macro-Scripts.html\">マクロ スクリプトの定義</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";