var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-989123A7-E556-4AA2-96A2-1DFC32591E85\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>スクリプト プラグインと Max クリエーション グラフ ツール</h1></div><p>Max クリエーション グラフ システムは DotNet CLI として評価されますが、自動的に生成されるスクリプト プラグインを介して 3ds Max とユーザ インタフェースが統合されています。スクリプト プラグインのタイプは、Max クリエーション グラフの出力ノードによって定義されているツールの種類によって異なります。</p>\n\
<ul>\n\
<li>MCG ジオメトリは Geometry スクリプト プラグインを作成します。</li>\n\
<li>MCG モディファイヤは SimpleMeshMod スクリプト プラグインを作成します。</li>\n\
</ul>\n\
<p>通常、実際のプラグイン定義の大部分は手動で微調整する必要がありますが、自動的に生成されたユーザ インタフェース コード(ロールアウト定義や UI コントロール)を変更することが非常に一般的で、これは Max クリエーション グラフ エディタで直接サポートされます。これにより、グラフの作成者は、各評価に合わせて同じように手動で調整されたコントロールを生成できるようにカスタム MAXScript ユーザ インタフェース定義を追加できるため、スクリプト プラグイン定義を何度も再編集する必要がなくなります。</p>\n\
<h2 id=\"-max-\">カスタマイズ Max クリエーション グラフ ユーザ インタフェース</h2><p>一般的な Max クリエーション グラフ ワークフロー は次のようになります。</p>\n\
<ul>\n\
<li>UI に公開する入力ノードを含むノード グラフを作成します。</li>\n\
<li>.MS スクリプト プラグイン ファイルを含むすべてのファイルを生成するためのグラフを保存および評価します。</li>\n\
<li>プラグインの初期テストが完了し、UI コントロールをすべて公開したら、Max クリエーション グラフ エディタの[編集] (Edit)メニューを介してアクセス可能な[グラフのプロパティ](Graph Properties)ダイアログ ボックスの[カスタム UI](Custom UI )タブに対して、.MS ファイルからロールアウト定義をコピーします。</li>\n\
<li>コントロールのレンダリング、グループへの共通コントロールの統合、コントロール外観の微調整、ツールなどに関する情報の追加ロールアウトのためのロールアウト定義を修正します。</li>\n\
<li>カスタム ユーザ インタフェースを持つツールを生成し、その UI 外観を繰り返し微調整するためのグラフを保存および評価します。</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Scripted-Plug-ins.html\">スクリプト プラグイン</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";