var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F9363BDCD-AE10-4D5D-B316-C91EE7539CB1\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>ファイル アクセス関数の検索動作</h1></div><p><strong>3ds Max 2022.1 Update</strong> 以降、「スクリプトのプランティング」を防ぐ目的で、各種のファイル アクセス関数が完全修飾パスなしで指定されたファイルを検索する動作が標準化されました。「スクリプトのプランティング」は、悪意のあるスクリプトをロードするようにアプリケーションを誘導するために使用されるテクニックです。MAXScript は、いくつかの適切にコントロールされた場所からスクリプトをロードするだけで、このセキュリティの脆弱性を緩和します。</p>\n\
<p>次の表に、完全なパスを指定しない場合に、ファイルまたはスクリプトをロードする関数がファイルを検索する場所を示します。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th>MAXScript 関数</th>\n\
<th>現在の MZP</th>\n\
<th>現在のスクリプトのディレクトリ</th>\n\
<th>ユーザ スクリプト</th>\n\
<th>システム スクリプト</th>\n\
<th>ユーザ スタートアップ スクリプト</th>\n\
<th>システム スタートアップ スクリプト</th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>fileIn</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>include</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>encryptScript</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>edit</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>openFile</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>createFile</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>openEncryptedFile</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>openLog</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>callbacks.AddScript</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>mzp run</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>PFlow<br> pf.Final_Step_Update_Script_File <br>pf.Every_Step_Update_Script_File</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
</tr>\n\
<tr>\n\
<td>python.ExecuteFile</td>\n\
<td>✗</td>\n\
<td>✗</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
</tr>\n\
<tr>\n\
<td>startup.ms</td>\n\
<td>N.A.</td>\n\
<td>N.A.</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
<td>✓</td>\n\
</tr>\n\
</tbody></table>\n\
<ul>\n\
<li><strong>現在の MZP</strong> - 関数が MZP スクリプト ファイル内で呼び出された場合。</li>\n\
<li><strong>現在のスクリプトのディレクトリ</strong> - 現在実行中のスクリプトが置かれているディレクトリ。</li>\n\
<li><strong>ユーザ スクリプト</strong>、<strong>システム スクリプト</strong>、<strong>ユーザ スタートアップ スクリプト</strong>、<strong>システム スタートアップ スクリプト</strong>は、それぞれ <code>#userscripts</code>、<code>#systemscripts</code>、<code>#userstartupscripts</code>、<code>#startupScripts</code> に対応する場所です。「<a href=\"3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\"\">3ds Max システム ディレクトリ</a>」を参照してください。</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../File-Access.html\">ファイル アクセス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";