var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-3E1B1FA8-710C-4FF8-A067-68F6DFF15799\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>xView ジオメトリ チェッカーへのアクセス</h1></div><p><strong>3ds Max 2010</strong> で導入された <strong>xView ジオメトリ チェッカー</strong> は、ビューポート内のジオメトリ オブジェクトを対話的にチェックして、さまざまなエラー状態を確認します。</p>\n\
<p>MAXScript は以下の目的で使用できます。</p>\n\
<ul>\n\
<li><p>xView システムの<strong>設定のコントロール</strong></p>\n\
</li>\n\
<li><p>xView システムのユーザ インタフェースを使用せずに MAXScript コードから結果を取得するための <strong>xView チェッカーの呼び出し</strong></p>\n\
</li>\n\
<li><p>選択されたジオメトリ オブジェクトのさまざまな側面をテストするための、<strong>新しいカスタム xView チェッカーの作成</strong></p>\n\
</li>\n\
</ul>\n\
<p>以下のインタフェースは、xView チェッカーの機能のコンポーネントを MAXScript に公開するものです。</p>\n\
<h3 id=\"xview-\">xView ジオメトリ チェッカーのコントロール</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">インタフェース: XViewChecker</a></p>\n\
<p>このインタフェースは、xView ジオメトリ チェッカー システムをコントロールし、MAXScript 関数を使用して追加のチェッカーを登録するためのプロパティおよびメソッドを提供します。</p>\n\
<h3 id=\"xview-\">xView ジオメトリ チェッカーのモジュール</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FacesOrientation.html\">インタフェース: FacesOrientation</a></p>\n\
<p>反転面をチェックし、背面を異なる色で表示します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlippedUVWFaces.html\">インタフェース : FlippedUVWFaces</a></p>\n\
<p>反転されたテクスチャ面をチェックします。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IsolatedVertices.html\">インタフェース : IsolatedVertices</a></p>\n\
<p>いずれの面にも使用されていない分離した頂点をチェックします。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MissingUVCoordinates.html\">インタフェース : MissingUVCoordinates</a></p>\n\
<p>不足のテクスチャ座標をチェックします。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MultipleEdges.html\">インタフェース: MultipleEdges</a></p>\n\
<p>複数エッジをチェックします。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OpenEdges.html\">インタフェース: OpenEdges</a></p>\n\
<p>1 つのポリゴンだけを参照する、開いたエッジをチェックします。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappedUVWFaces.html\">インタフェース: OverlappedUVWFaces</a></p>\n\
<p>重なり合っているテクスチャ面をチェックします。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingFaces.html\">インタフェース: OverlappingFaces</a></p>\n\
<p>通常はビューポートおよびレンダリングにおける Z の競合の原因となる、重なり合っている面をチェックします。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingVertices.html\">インタフェース: OverlappingVertices</a></p>\n\
<p>指定された許容度の範囲内にある、重なり合っている(連結されていない)頂点をチェックします。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-TVerts.html\">インタフェース: TVerts</a></p>\n\
<p>T-頂点(3 つのエッジを共有している頂点)をチェックします。</p>\n\
<h3 id=\"maxscript-xview-\">MAXScript を使用したカスタム xView チェッカーの開発</h3><p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\">チュートリアル - 面領域 xView チェッカーの開発 - 第 1 部</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\">チュートリアル - 面領域 xView チェッカーの開発 - 第 2 部</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\">チュートリアル - 面領域 xView チェッカーの開発 - 第 3 部</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\">チュートリアル - 面領域 xView チェッカーの開発 - 第 4 部</a></p>\n\
<p>これらのチュートリアルでは、MAXScript 関数を使用してカスタム xView チェッカーを作成する手順を紹介しています。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Geometry-Checker.html\">ジオメトリ チェッカー</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";