var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-37D4FFFF-1BF1-4B51-B9C5-99D5E20E1D30\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
      <script src=\"/cloudhelp/2024/JPN/MAXScript-Help/scripts/prettify/lang-maxscript.js\"></script>\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>TabbedDialogs - &#x30BF;&#x30D6;&#x8868;&#x793A;&#x3055;&#x308C;&#x305F;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E;&#x30B3;&#x30F3;&#x30C8;&#x30ED;&#x30FC;&#x30EB;</h1></div><p>&#x3053;&#x308C;&#x3089;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306B;&#x3088;&#x3063;&#x3066;&#x3001;[&#x30EC;&#x30F3;&#x30C0;&#x30EA;&#x30F3;&#x30B0;] (Rendering)&#x3001;[&#x74B0;&#x5883;&#x3068;&#x52B9;&#x679C;](Environment and Effects)&#x3001;[&#x30AA;&#x30D6;&#x30B8;&#x30A7;&#x30AF;&#x30C8; &#x30D7;&#x30ED;&#x30D1;&#x30C6;&#x30A3;](Object Properties)&#x3001;[&#x30D1;&#x30B9;&#x3092;&#x8A2D;&#x5B9A;](Configure Paths)&#x306A;&#x3069;&#x3001;<strong>3ds Max</strong> &#x306E;&#x30BF;&#x30D6;&#x8868;&#x793A;&#x3055;&#x308C;&#x305F;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x5236;&#x5FA1;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<p><strong>&#x4ED5;&#x69D8;:</strong></p>\n\
<p>&#x6B21;&#x306E;&#x4ED5;&#x69D8;&#x306B;&#x3088;&#x3063;&#x3066;&#x3001;tabbedDialogs &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306B;&#x3064;&#x3044;&#x3066;&#x6709;&#x52B9;&#x306A;&#x5F15;&#x6570;&#x306F;&#x3069;&#x306E;&#x3088;&#x3046;&#x306A;&#x3082;&#x306E;&#x3067;&#x3042;&#x308B;&#x304B;&#x3092;&#x5B9A;&#x7FA9;&#x3057;&#x307E;&#x3059;&#x3002;MAXScript &#x306B;&#x306F; Class_ID &#x306B;&#x5BFE;&#x5FDC;&#x3059;&#x308B;&#x30AF;&#x30E9;&#x30B9;&#x306F;&#x306A;&#x3044;&#x306E;&#x3067;&#x3001;&#x3053;&#x308C;&#x3089;&#x306F; 2 &#x3064;&#x306E;&#x8981;&#x7D20;&#x306B;&#x3088;&#x308B;&#x6574;&#x6570;&#x306E;&#x914D;&#x5217;&#x3068;&#x3057;&#x3066;&#x6E21;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tabbedDialogSpec ::= ( #render | #renderVP | #envEffects | #objProp | #preferences | #configPath | #(&lt;int&gt;,&lt;int&gt;) )\n\
\n\
#(&lt;int&gt;,&lt;int&gt;) is Class_ID of tabbed dialog\n\
tabPageSpec ::= ( &lt;int&gt; | #(&lt;int&gt;,&lt;int&gt;) )\n\
&lt;int&gt; is index in dialog (1-based)\n\
#(&lt;int&gt;,&lt;int&gt;) is Class_ID of tab page\n\
</code></pre><p><strong>&#x30E1;&#x30BD;&#x30C3;&#x30C9;:</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;tabbedDialogs.isOpen &lt;tabbedDialogSpec&gt;</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x958B;&#x3044;&#x3066;&#x3044;&#x308B;&#x5834;&#x5408;&#x306F; <code>true</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
<div class=\"callout callout-warning\">\n\
<div class=\"callout-title\"><i class=\"callout-icon fa fa-bomb\" aria-hidden=\"true\"></i>&#x8B66;&#x544A;:</div>\n\
<div class=\"callout-body\">\n\
\n\
<p> <code>tabbedDialogs.isOpen</code> &#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306F;&#x3001;&#x4ED6;&#x306E;&#x3069;&#x306E;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306E;&#x547C;&#x3073;&#x51FA;&#x3057;&#x3088;&#x308A;&#x3082;&#x524D;&#x306B;&#x547C;&#x3073;&#x51FA;&#x3059;&#x5FC5;&#x8981;&#x304C;&#x3042;&#x308A;&#x307E;&#x3059;&#x3002;&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x958B;&#x3044;&#x3066;&#x3044;&#x306A;&#x3044;&#x5834;&#x5408;&#x3001;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x306E;&#x6B8B;&#x308A;&#x306E;&#x90E8;&#x5206;&#x306F;&#x4F55;&#x3082;&#x30A2;&#x30AF;&#x30B7;&#x30E7;&#x30F3;&#x3092;&#x5B9F;&#x884C;&#x3057;&#x306A;&#x3044;&#x304B;&#x3001;&#x30A8;&#x30E9;&#x30FC;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002; &#x307E;&#x305F;&#x3001;&#x30E1;&#x30BD;&#x30C3;&#x30C9;&#x304C;&#x5024;&#x3092;&#x8FD4;&#x3059;&#x5834;&#x5408;&#x306F;&#x300C;undefined&#x300D;&#x304C;&#x8FD4;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
\n\
</div></div>\n\
\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;#(&lt;int&gt;,&lt;int&gt;)&gt;tabbedDialogs.getDialogID &lt;tabbedDialogSpec&gt;</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30BF;&#x30D6;&#x8868;&#x793A;&#x306E;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x306E; Class_ID &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.invalidate &lt;tabbedDialogSpec&gt;</code></pre><p>&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x5185;&#x306E;&#x3059;&#x3079;&#x3066;&#x306E;&#x30DA;&#x30FC;&#x30B8;&#x3092;&#x7121;&#x52B9;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;tabbedDialogs.OkToCommit &lt;tabbedDialogSpec&gt;</code></pre><p>&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x5185;&#x306E;&#x3059;&#x3079;&#x3066;&#x306E;&#x30DA;&#x30FC;&#x30B8;&#x306B;&#x304A;&#x3051;&#x308B;&#x5909;&#x66F4;&#x304C;&#x78BA;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x5834;&#x5408;&#x3001;<code>true</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;IDOK &#x3068; IDCANCEL &#x306B;&#x3088;&#x308B;&#x30E2;&#x30FC;&#x30C0;&#x30EB; &#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x7528;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.CommitPages &lt;tabbedDialogSpec&gt;</code></pre><p>&#x3059;&#x3079;&#x3066;&#x306E;&#x30DA;&#x30FC;&#x30B8;&#x306B;&#x304A;&#x3051;&#x308B;&#x5909;&#x66F4;&#x3092;&#x78BA;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;IDOK &#x3068; IDCANCEL &#x306B;&#x3088;&#x308B;&#x30E2;&#x30FC;&#x30C0;&#x30EB; &#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x7528;&#x306B;&#x4F7F;&#x7528;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.CloseDialog &lt;tabbedDialogSpec&gt;</code></pre><p>&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x304C;&#x9589;&#x3058;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.CancelDialog &lt;tabbedDialogSpec&gt;</code></pre><p>&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x3092;&#x30AD;&#x30E3;&#x30F3;&#x30BB;&#x30EB;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;int&gt;tabbedDialogs.getNumPages &lt;tabbedDialogSpec&gt;</code></pre><p>&#x6307;&#x5B9A;&#x3055;&#x308C;&#x305F;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x5185;&#x306E;&#x30BF;&#x30D6; &#x30DA;&#x30FC;&#x30B8;&#x306E;&#x6570;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;#(&lt;int&gt;,&lt;int&gt;)&gt;tabbedDialogs.getPageID &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30BF;&#x30D6; &#x30DA;&#x30FC;&#x30B8;&#x306E; Class_ID &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;#(&lt;int&gt;,&lt;int&gt;)&gt;tabbedDialogs.getCurrentPage &lt;tabbedDialogSpec&gt;</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30BF;&#x30D6; &#x30DA;&#x30FC;&#x30B8;&#x306E; Class_ID &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.setCurrentPage &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>&#x73FE;&#x5728;&#x306E;&#x30BF;&#x30D6; &#x30DA;&#x30FC;&#x30B8;&#x3068;&#x3057;&#x3066;&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30BF;&#x30D6; &#x30DA;&#x30FC;&#x30B8;&#x3092;&#x8A2D;&#x5B9A;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.invalidatePage &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30BF;&#x30D6; &#x30DA;&#x30FC;&#x30B8;&#x3092;&#x7121;&#x52B9;&#x306B;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">tabbedDialogs.getPageTitle &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30BF;&#x30D6; &#x30DA;&#x30FC;&#x30B8;&#x306E;&#x30BF;&#x30D6; &#x30BF;&#x30A4;&#x30C8;&#x30EB;&#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;&#x3053;&#x306E;&#x30BF;&#x30A4;&#x30C8;&#x30EB;&#x306F;&#x30ED;&#x30FC;&#x30AB;&#x30E9;&#x30A4;&#x30BA;&#x3055;&#x308C;&#x307E;&#x3059;&#x3002;</p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">&lt;boolean&gt;tabbedDialogs.isPage &lt;tabbedDialogSpec&gt; &lt;tabPageSpec&gt;</code></pre><p>&#x6307;&#x5B9A;&#x3057;&#x305F;&#x30BF;&#x30D6; &#x30DA;&#x30FC;&#x30B8;&#x304C;&#x30C0;&#x30A4;&#x30A2;&#x30ED;&#x30B0; &#x30DC;&#x30C3;&#x30AF;&#x30B9;&#x5185;&#x306B;&#x5B58;&#x5728;&#x3059;&#x308B;&#x5834;&#x5408;&#x3001;<code>true</code> &#x3092;&#x8FD4;&#x3057;&#x307E;&#x3059;&#x3002;</p>\n\
<blockquote>\n\
<p>   <strong>&#x4F8B;</strong></p>\n\
<pre class=\"pre codeblock\"><code class=\"language-maxscript prettyprint\">   --Switch to Adv.Lighting tab if Render Scene dialog is open:\n\
   if tabbedDialogs.isOpen #render do\n\
   tabbedDialogs.setCurrentPage #render #(1758358594, 1812881699)\n\
</code></pre></blockquote>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../Tabbed-Dialogs.html\">タブ表示されたダイアログ ボックス</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../Environment-And-Effects-Dialog/envEffectsDialog-Open-and-Close.html\">envEffectsDialog - [環境と効果](Environment and Effects)ダイアログ ボックスの開閉</a></li>\n\
          <li><a class=\"link\" href=\"../Render-Scene-Dialog/renderscenedialog.html\">renderscenedialog</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";