var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"./scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"./scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-6B55BDA6-7A44-4910-9650-C65CA1457343\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>このヘルプのスクリプトの例</h1></div><p>以下のサンプル スクリプトは、特定の機能の例として、ヘルプのさまざまな場所にあります。通常の操作を行うときや独自のスクリプトを作成するときに、これらのスクリプトをそのまま使用したり、いくらか変更を加えて使用することができます。以下に示した一覧から、必要なサンプル スクリプトを検索できます。</p>\n\
<h2 id=\"-\">サンプル スクリプト</h2><h3 id=\"-a-href-guid-934d13d7-94e9-4481-8832-25a5b83c949f-html-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-Clauses.html\"\">最初に作成するユーティリティの例</a></h3><p>単純なスクリプト化されたユーティリティの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-90843ec5-ae3a-43eb-9406-a3631daeadef-html-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\"\">超高層ビルの押し出し</a></h3><p>EditablePoly 押し出し機能の使用例を示します。</p>\n\
<h3 id=\"-a-href-guid-9394c031-25fb-434b-a744-a587c5d99c6a-html-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Working-with-Atmospherics.html\"\">環境効果のテスト ベッド</a></h3><p>環境効果の作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-9f6abee1-0728-4b39-8903-d909634c1304-html-a-\"><a href=\"MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\"\">カスタム合成の例</a></h3><p>2 つのイメージ(この場合は、アナグリフ(赤/シアン)のステレオ表示)を 1 つに結合する方法を示します。</p>\n\
<h3 id=\"-a-href-guid-9f6abee1-0728-4b39-8903-d909634c1304-html-a-\"><a href=\"MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\"\">マルチフレーム イメージ ファイルの保存</a></h3><p>マルチフレーム イメージ ファイルの正しい保存方法を示します。</p>\n\
<h3 id=\"-a-href-guid-9f6abee1-0728-4b39-8903-d909634c1304-html-a-\"><a href=\"MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\"\">ビットマップのスクリプトへの変換</a></h3><p>ビットマップをスクリプト コードの一部として配布するために、ビットマップを MAXScript に変換する方法を示します。</p>\n\
<h3 id=\"-a-href-guid-def2cdbf-c729-46b9-bc0d-f030e255e3a7-html-netrender-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetRender.html\"\">NetRender の例</a></h3><p>NetRender インタフェースの正しい操作方法を示します。</p>\n\
<h3 id=\"-a-href-guid-8c8aa5d7-5c8d-44c5-baed-ba8ec10c59fc-html-trackbarkeylimit-a-\"><a href=\"MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter/Trackbar-Keys-Filter-Callback.html\"\">TrackBarKeyLimit</a></h3><p>トラックバー フィルタのコールバック関数を使用してトラックバーに表示できるキーの数を制限するための編集ボックスを実装します。</p>\n\
<h2 id=\"-\">スクリプト化された関数</h2><h3 id=\"-a-href-guid-ca252e0a-3eb7-4ddd-9e9a-19b95e592902-html-applyplanarmap-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Working-with-Editable-Meshes-1.html\"\">ApplyPlanarMap</a></h3><p>平面マッピングの適用方法を示します。</p>\n\
<h3 id=\"-a-href-guid-b94a1094-002c-4a7d-b5dd-af5ab3435041-html-calculatevolumeandcenterofmass-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-MAXScript-Values/How-do-I-calculate-the-Volume-of.html\"\">CalculateVolumeAndCenterOfMass</a></h3><p>ジオメトリ オブジェクトのボリュームと重心を算出するために、[計測]ユーティリティの機能を再実装します。</p>\n\
<h3 id=\"-a-href-guid-48069d3b-6faf-42bc-944f-761ba9ee70f3-html-drawlinebetweentwopoints-drawlinebetweentwopoints-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-Scene-Nodes/How-do-I-create-a-line-between.html\"#drawLineBetweenTwoPoints\">drawLineBetweenTwoPoints</a></h3><p>スペース内で 2 点間に単純なラインを作成する方法を示します。</p>\n\
<h3 id=\"-a-href-guid-2616ce55-ce46-404b-8bb9-2c7e4d379d8c-html-edgeverts-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Edge-Methods.html\"\">EdgeVerts</a></h3><p>編集可能メッシュ内のエッジで使用されている 2 つの頂点を返します。</p>\n\
<h3 id=\"-a-href-3ds-max-objects-and-interfaces-editable-meshes-splines-patches-editable_mesh-and-trimesh-working-with-editable-meshes-1-html-flipobjnormal-a-\"><a href=\"./3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Working-with-Editable-Meshes-1.html\">FlipObjNormal</a></h3><p>頂点順序を逆にすることによって、編集可能なメッシュのすべての法線を反転します。</p>\n\
<h3 id=\"-a-href-guid-887d3a2c-64cb-4aaa-a6e9-ffc73455cdad-html-getlocalfacerotation-getlocalfacerotation-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Get-the-Local-Rotation.html\"#getLocalFaceRotation\">getLocalFaceRotation</a></h3><p>[キー入力変換]に表示される面のローカル回転を返します。</p>\n\
<h3 id=\"-a-href-maxscript-tools-and-interaction-file-access-external-files-access-external-file-methods-html-getfilesrecursive-a-\"><a href=\"./MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">getFilesRecursive</a></h3><p>指定したルートとそのすべてのサブディレクトリから、パターンに一致するすべてのファイルを返します。</p>\n\
<h3 id=\"-a-href-guid-9eeff581-95cc-4d3c-887f-a7e1b2752c4f-html-timefromsolartime-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/System-Node/Daylight-System.html\"\">TimeFromSolarTime</a></h3><p><code>Daylight_Driven_Controller</code> に保存された時間の値を返します。</p>\n\
<h3 id=\"-a-href-guid-58d1f8b6-0012-4727-aa29-b2c79ea46e16-html-getfacesmoothgroupb-getfacesmoothgroupb-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\"#getFaceSmoothGroupB\">getFaceSmoothGroupB</a></h3><p>EMesh スムージング グループを取得します。</p>\n\
<h3 id=\"-a-href-guid-58d1f8b6-0012-4727-aa29-b2c79ea46e16-html-setfacesmoothgroupb-setfacesmoothgroupb-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\"#setFaceSmoothGroupB\">setFaceSmoothGroupB</a></h3><p>EMesh スムージング グループを設定します。</p>\n\
<h3 id=\"-a-href-guid-624d3d05-b15d-4a97-9f15-da35cdb0ddd2-html-maybe_savemaxfile-maybe_savemaxfile-a-\"><a href=\"MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"#maybe_saveMaxFile\">maybe_saveMaxFile</a></h3><p>既存のファイルをチェックして上書きする前に確認メッセージを表示する saveMaxFile 用の置換関数を示します。</p>\n\
<h3 id=\"-a-href-guid-624d3d05-b15d-4a97-9f15-da35cdb0ddd2-html-maybe_savenodes-maybe_savenodes-a-\"><a href=\"MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\"#maybe_saveNodes\">maybe_saveNodes</a></h3><p>既存のファイルをチェックして上書きする前に確認メッセージを表示する saveNodes 用の置換関数を示します。</p>\n\
<h3 id=\"-a-href-guid-c17d0e4b-c408-426b-b300-7e23a0d98515-html-setnodeworldrotation-setnodeworldrotation-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Transform-Properties.html\"#setNodeWorldRotation\">setNodeWorldRotation</a></h3><p>ノードの回転をワールド スペースの相対位置に設定します。</p>\n\
<h3 id=\"-a-href-guid-38d6774c-2377-4976-bda1-a56c88620537-html-sortmultisubbyid-sortmultisubbyid-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-Sort-a-MultiMaterial-By.html\"#sortMultiSubById\">sortMultiSubById</a></h3><p>マルチ/サブ マテリアルのサブマテリアルをマテリアル ID によってソートします。</p>\n\
<h3 id=\"-a-href-guid-f1b3ecfd-2649-48c8-b130-15a17527433c-html-splitmeshbyuvelements-splitmeshbyuvelements-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Split-a-Mesh-by-UV.html\"#splitMeshByUVElements\">splitMeshByUVElements</a></h3><p>UVW 面の要素に基づいてメッシュを要素に分割します。</p>\n\
<h3 id=\"-a-href-guid-a6a60fc7-6206-4ffc-80e2-0ef8544be2c4-html-uppercase-uppercase-a-\"><a href=\"MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\"#uppercase\">UpperCase</a></h3><p>大文字と小文字が混在する文字列を大文字に変換し、文字列値に関連するさまざまなメソッドの使用方法を示します。</p>\n\
<h2 id=\"macroscript\">MacroScript</h2><h3 id=\"-a-href-guid-34892db6-e840-4f52-9175-30332799b7b1-html-nprexplorer-nprexplorer-a-nitrous-npr-macroscript\"><a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#NPRExplorer\">NPRExplorer</a> - Nitrous NPR 設定 MacroScript</h3><p>Nitrous グラフィックス マネージャ ビューポートの現在の NPR (スタイル化された)ビジュアル スタイルのすべての部分を動的に制御します。</p>\n\
<h3 id=\"-a-href-guid-e15a1883-b97d-4cb8-98fd-6c6c8e502f19-html-viewportshadingexplorer-viewportshadingexplorer-a-macroscript\"><a href=\"MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\"#ViewportShadingExplorer\">ViewportShadingExplorer</a> - ビューポート シェーディング エクスプローラ MacroScript</h3><p>アンビエント オクルージョン、間接光、被写界深度(DOF)などの、高度なビューポート シェーディング設定を調べるためのユーザ インタフェースを提供します。</p>\n\
<h3 id=\"-a-href-guid-6b1d330e-8895-4dd8-b06f-81ac742edf68-html-polytoelements-polytoelements-a-macroscript\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Detach-Methods.html\"#PolyToElements\">PolyToElements</a> MacroScript</h3><p>EditablePoly 内のすべてのポリゴンを要素に分割する方法を示します。</p>\n\
<h3 id=\"-a-href-guid-6e21c768-7256-4500-ab1f-b144f492f055-html-ram_render-ram_render-a-ramplayer-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\"#RAM_Render\">RAM_Render</a>: RamPlayer へのレンダリング</h3><p>macroScript 内でロールアウトと rolloutFloater を使用する方法を示します。</p>\n\
<h3 id=\"-a-href-guid-6e21c768-7256-4500-ab1f-b144f492f055-html-subobject_vertex-subobject_vertex-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\"#SubObject_Vertex\">SubObject_Vertex</a></h3><p>マクロ スクリプトの定義例を示します。</p>\n\
<h3 id=\"-a-href-guid-d62137ae-e500-4b42-983d-e7443e3dff04-html-superexpertmode-superexpertmode-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-StatusPanel.html\"#SuperExpertMode\">SuperExpertMode</a></h3><p>ビューポートとメイン メニューだけが可視になっているスーパー エキスパート モードを実装します。</p>\n\
<h3 id=\"-a-href-guid-6e21c768-7256-4500-ab1f-b144f492f055-html-paramwire-altexectute-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\"#paramWire\">パラメータ ワイヤ altExectute</a></h3><p>MacroScript 内に代替実行ハンドラを定義する例を示します。</p>\n\
<h3 id=\"-a-href-guid-e26199ac-496c-42c4-bcb4-52a3c4def411-html-microlistener-microlistener-a-\"><a href=\"Frequently-Asked-Questions/Practical-Questions/Working-with-MAXScript-Values/How-do-I-check-if-a-string.html\"#MicroListener\">MicroListener</a></h3><p>Execute メソッドを使用して文字列を MAXScript 式に変換する方法を示します。</p>\n\
<h3 id=\"-a-href-guid-226b4fea-9707-4582-a7fe-34bf142f345f-html-growskinsel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SkinUtils.html\"#GrowSkinSel\">スキン選択の拡大/縮小/ループ/リング</a></h3><p>スキン処理を行うときにクアッドメニューで使用するアクション項目として、スキン選択の拡大/縮小、ループおよびリングを実装します。</p>\n\
<h2 id=\"-macroscript\">編集可能メッシュ選択コンバータの MacroScript</h2><h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-edge2facesel-edge2facesel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#Edge2FaceSel\">Edge2FaceSel</a></h3><p>編集可能メッシュ内のエッジ選択を面選択に変換します。</p>\n\
<h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-edge2polysel-edge2polysel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#Edge2PolySel\">Edge2PolySel</a></h3><p>編集可能メッシュ内のエッジ選択をポリゴン選択に変換します。</p>\n\
<h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-edge2vertsel-edge2vertsel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#Edge2VertSel\">Edge2VertSel</a></h3><p>編集可能メッシュ内のエッジ選択を頂点選択に変換します。</p>\n\
<h3 id=\"-a-href-guid-ef78fa1a-a382-4bed-ba10-7c856a7551a5-html-face2edgesel-face2edgesel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"#Face2EdgeSel\">Face2EdgeSel</a></h3><p>編集可能メッシュ内の面選択をエッジ選択に変換します。</p>\n\
<h3 id=\"-a-href-guid-ef78fa1a-a382-4bed-ba10-7c856a7551a5-html-face2vertsel-face2vertsel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"#Face2VertSel\">Face2VertSel</a></h3><p>編集可能メッシュ内の面選択を頂点選択に変換します。</p>\n\
<h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-vert2edgesel-vert2edgesel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#Vert2EdgeSel\">Vert2EdgeSel</a></h3><p>編集可能メッシュ内の頂点選択をエッジ選択に変換します。</p>\n\
<h3 id=\"-a-href-guid-ef78fa1a-a382-4bed-ba10-7c856a7551a5-html-vert2facesel-vert2facesel-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\"#Vert2FaceSel\">Vert2FaceSel</a></h3><p>編集可能メッシュ内の頂点選択を面選択に変換します。</p>\n\
<h3 id=\"-a-href-guid-78cc4cf5-1ce9-4dc8-b093-23eba5eba43b-html-selopenedges-selopenedges-a-\"><a href=\"3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\"#SelOpenEdges\">SelOpenEdges</a></h3><p>編集可能メッシュで開いたエッジを選択します。</p>\n\
<h2 id=\"-\">スクリプト化されたプラグイン</h2><h3 id=\"-a-href-guid-4c8d01b5-5ad3-4a73-bd8a-5c3609b6afea-html-extended_rect-rect-shape-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Shape-Plug-ins.html\"#Extended_Rect\">拡張 Rect Shape プラグイン</a></h3><p>スクリプト化された Shape プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-44d4ac45-65dd-401b-b4a1-07b71b35d544-html-lightmaster-lightmaster-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Updating-Scripted-Plug-ins.html\"#lightMaster\">lightMaster</a></h3><p>スクリプト化されたプラグイン メソッドの適用例を示します。「threeLights」も参照してください。</p>\n\
<h3 id=\"-a-href-guid-db36699e-7589-4c38-97c2-a04f093c6789-html-threelights-threelights-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Methods.html\"#threelights\">threeLights</a></h3><p>スクリプト化されたプラグイン メソッドの適用例を示します。「lightMaster」も参照してください。</p>\n\
<h3 id=\"-a-href-guid-f4eaad9b-2961-43bb-bc41-b380cc8e8e32-html-rendereffect-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\"\">負の renderEffect</a></h3><p>スクリプト化された RenderEffect プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-e91909ad-28d5-4aef-8c6c-2ef2ac0c78af-html-nspline-modifier-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Modifier-Plug-ins.html\"#NSpline\">通常のスクリプト Modifier プラグイン</a></h3><p>スクリプト化されたモディファイヤ プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-3fb57157-0112-4617-9532-014b9cecc98e-html-saddledeform-saddledeform-simplemod-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleMod-Plug-ins.html\"#SaddleDeform\">SaddleDeform simpleMod</a></h3><p>スクリプト化された SimpleMod プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-c0bffe27-bb59-4265-8f70-bfe8a636f7cb-html-squaretube-squaretube-simpleobject-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\"#SquareTube\">SquareTube simpleObject</a></h3><p>スクリプト化された SimpleObject プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-e91909ad-28d5-4aef-8c6c-2ef2ac0c78af-html-supamod-supa-mod-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Modifier-Plug-ins.html\"#SupaMod\">Supa Mod モディファイヤ</a></h3><p>スクリプト化されたモディファイヤ プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-7ead66b1-29be-4ec7-ac82-7d2831062856-html-supaglass-supaglass-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Material-Plug-ins.html\"#SupaGlass\">SupaGlass マテリアル</a></h3><p>スクリプト化された Material プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-f4eaad9b-2961-43bb-bc41-b380cc8e8e32-html-superblur-super-blur-fx-rendereffect-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\"#SuperBlur\">Super Blur FX renderEffect</a></h3><p>スクリプト化された RenderEffect プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-f4eaad9b-2961-43bb-bc41-b380cc8e8e32-html-supercolor-super-color-balance-fx-rendereffect-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\"#SuperColor\">Super Color Balance FX renderEffect</a></h3><p>スクリプト化された RenderEffect プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-c72a6b9d-c5be-4757-93fd-fa40e43fd028-html-superfog-super-fog-env-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Atmospheric-Plug-ins.html\"#SuperFog\">Super Fog Env 環境効果</a></h3><p>スクリプト化された Atmospheric プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-c0bffe27-bb59-4265-8f70-bfe8a636f7cb-html-textureplane-texture-plane-simpleobject-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\"#TexturePlane\">Texture Plane SimpleObject</a></h3><p>UVW 座標によるスクリプト化された SimpleObject プラグインの作成例を示します。</p>\n\
<h3 id=\"-a-href-guid-c0bffe27-bb59-4265-8f70-bfe8a636f7cb-html-tower_plugin-tower-a-\"><a href=\"MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\"#tower_plugin\">Tower プラグイン</a></h3><p>スクリプト化された SimpleObject プラグインの作成例を示します。</p>\n\
<h2 id=\"-\">チュートリアル:</h2><h3 id=\"-a-href-guid-8eb13535-72b4-439c-94d3-e93434ba163b-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-A-Transform-Lock.html\"\">チュートリアル - 変換ロック スクリプトの開発</a></h3><p>すべての変換ロックをチェックするための簡単なスクリプトを開発します。</p>\n\
<h3 id=\"-a-href-guid-bb996dfb-0367-4dff-a1cc-50beb3a97757-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Remove-All-Materials.html\"\">チュートリアル - すべてのマテリアルの削除</a></h3><p>シーンからすべてのマテリアルを削除するための簡単なスクリプトを作成します。</p>\n\
<h3 id=\"-a-href-guid-5986cad3-bb68-47bc-b4b2-ef84c4659271-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Quickly-Rename-Selected.html\"\">チュートリアル - 選択したオブジェクトに対する迅速な名前変更</a></h3><p>選択したオブジェクトの名前を変更するための簡単な名前変更ユーティリティを開発します。</p>\n\
<h3 id=\"-a-href-guid-6021c91d-405d-4da9-81d9-02547b9d4370-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Select-Non-Quad-Polygons.html\"\">チュートリアル - 非四角形ポリゴンの選択</a></h3><p>EditablePoly オブジェクト内でポリゴンにアクセスして選択する例を示します。</p>\n\
<h3 id=\"-a-href-guid-7f799bca-b11d-4307-aa34-8fb0e2f757a4-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Assign-Materials.html\"\">チュートリアル - マテリアルの自動割り当て</a></h3><p>マテリアルの割り当てを自動化するための MAXScript の使い方を示します。</p>\n\
<h3 id=\"-a-href-guid-84e24969-c175-4389-b9a6-3b2699b66785-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Move-Objects-to-a-Surface.html\"\">チュートリアル - オブジェクトのサーフェスへの移動</a></h3><p>intersectRay 関数を使用してオブジェクト上でサーフェス ポイントを見つける方法を説明します。</p>\n\
<h3 id=\"-a-href-guid-2db3a775-776f-4d63-bdfb-d99523ecb69d-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Output-Object-Data-To.html\"\">チュートリアル - オブジェクト データのファイルへの出力</a></h3><p>オブジェクト データを外部テキスト ファイルに書き込むときの基本的な手順を説明します。</p>\n\
<h3 id=\"-a-href-guid-38562330-1435-4112-9265-de965319a2f2-html-1-a-\"><a href=\"How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To.html\"\">チュートリアル - ジオメトリ データをテキスト ファイルに出力する - 第 1 部</a></h3><p>メッシュ ジオメトリ データを外部テキスト ファイルに書き込むときの基本的な手順を説明します。</p>\n\
<h3 id=\"-a-href-guid-bc1c2cb2-f6c5-48d7-8686-dd3988d4aeba-html-1-a-\"><a href=\"How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Read-Geometry-Data-From.html\"\">チュートリアル - ジオメトリ データのテキスト ファイルからの読み取り - 第 1 部</a></h3><p>オブジェクト データを外部テキスト ファイルに読み込むときの基本的な手順を説明します。</p>\n\
<h3 id=\"-a-href-guid-537409fe-ef5b-4e02-8261-456f74134ca5-html-2-a-\"><a href=\"How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To-1.html\"\">チュートリアル - ジオメトリ データのテキスト ファイルへの出力 - 第 2 部</a></h3><p>スムージング グループ、マテリアル ID、およびエッジの可視性をサポートするために、メッシュ ジオメトリ出力スクリプトを拡張します。</p>\n\
<h3 id=\"-a-href-guid-4ed6c9c6-53b3-437c-969e-b8c924df34aa-html-2-a-\"><a href=\"How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Read-Geometry-Data-From-1.html\"\">チュートリアル - ジオメトリ データのテキスト ファイルからの読み取り - 第 2 部</a></h3><p>第 1 部で開発した入力スクリプトを拡張して、前のチュートリアルで追加した新しいデータをサポートします。</p>\n\
<h3 id=\"-a-href-guid-333382d0-57af-4797-98f2-c2be09442607-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-a-Quick-Preview.html\"\">チュートリアル - クイック プレビューの作成</a></h3><p>ビューポートの簡単なプレビューと RAMplayer の自動ロードを実装します。</p>\n\
<h3 id=\"-a-href-guid-3667a33c-e3e4-4f39-a480-3713240838f1-html-z-a-\"><a href=\"How-To-Practical-Examples/How-To-Access-the-Z-Depth.html\"\">チュートリアル - Z-深度チャネルへのアクセス</a></h3><p>カメラの Z-深度に基づくオブジェクト作成の小規模の実験です。</p>\n\
<h3 id=\"-a-href-guid-5e5e1a71-24e2-4605-9720-2178b941decc-html-monochrome-rendereffect-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-a-MonoChrome.html\"\">チュートリアル - MonoChrome RenderEffect の作成</a></h3><p>スクリプト化された RenderEffect プラグインの簡単な例を示します。</p>\n\
<h3 id=\"-a-href-guid-bfe0d012-e8f6-4903-b3c5-abda06f4f18c-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-Custom-Mesh-Object.html\"\">チュートリアル - カスタム メッシュ オブジェクトの作成</a></h3><p>カスタム メッシュ オブジェクトの例を示します。</p>\n\
<h3 id=\"-a-href-guid-ec33589d-822a-4e79-9682-185ec5dbab9f-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-Scripted-Geometry.html\"\">チュートリアル - スクリプト化されたジオメトリ プラグインの作成</a></h3><p>スクリプト化されたジオメトリ プラグインの例を示します。</p>\n\
<h3 id=\"-a-href-guid-26d082d6-b086-48a2-a642-1137aea145bd-html-dalmatian-texturemap-a-\"><a href=\"How-To-Practical-Examples/How-To-Create-a-Dalmatian.html\"\">チュートリアル - Dalmatian TextureMap プラグインの作成</a></h3><p>水玉模様の犬を表示するスクリプト化されたテクスチャマップ プラグインの例を示します。</p>\n\
<h3 id=\"-a-href-guid-f4a71dc8-dc5a-4aca-8475-c8869bac7eff-html-windows-a-\"><a href=\"How-To-Practical-Examples/How-To-Access-Windows-System.html\"\">チュートリアル - Windows システム データへのアクセス</a></h3><p>MAXScript に直接公開されていないシステム データにアクセスする方法を示します。</p>\n\
<h3 id=\"-a-href-guid-71415c32-4325-4474-8dfb-67be74587970-html-trackview-a-\"><a href=\"How-To-Practical-Examples/How-To-Sort-TrackView.html\"\">チュートリアル - TrackView のアルファベット順のソート</a></h3><p>TrackView 内でオブジェクトをソートする方法を説明します。</p>\n\
<h3 id=\"-a-href-guid-68e7c8be-e2a1-4c0a-a5a9-a9a122de7a66-html-splineshape-a-\"><a href=\"How-To-Practical-Examples/How-To-Flatten-a-SplineShape.html\"\">チュートリアル - SplineShape のフラット化</a></h3><p>ノット ベクトルとベジェ ベクトルを移動して slineShape を変更する例を示します。</p>\n\
<h3 id=\"-a-href-guid-0876df46-faa3-4131-838d-5739a67ff2c1-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Draw-a-Freehand-Spline.html\"\">チュートリアル - フリーハンドのスプラインの描画</a></h3><p>地表面でマウスを使用してスプラインを描画する例を示します。</p>\n\
<h3 id=\"-a-href-guid-496428b3-d9f8-4cf1-91ed-5d1708df100e-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Enhance-the-Morpher.html\"\">チュートリアル - フローティング コントロールによるモーファー モディファイヤの拡張</a></h3><p>モーファー モディファイヤにインタラクティブにリンクされたコントロールを持つフロータを作成するための、ダイナミック UI の作成、時間、変更コールバックの使用例を示します。</p>\n\
<h3 id=\"-a-href-guid-f7fa2755-0408-4610-abdb-b403d85aa597-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Change-Objects-At-Render.html\"\">チュートリアル - レンダリング時のオブジェクトの変更</a></h3><p>コールバック スクリプトを使用して、レンダリング時にオブジェクト プロパティを変更する例を示します。</p>\n\
<h3 id=\"-a-href-guid-853014ac-9dc8-4f5c-b14b-3643e5925ad8-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Vertex-Renderer.html\"\">チュートリアル - 頂点レンダラーの開発</a></h3><p>スクリプト化されたリアルタイム頂点レンダラーの例です。</p>\n\
<h3 id=\"-\">チュートリアル - パーティクル フローのスクリプトを作成する</h3><h3 id=\"-a-href-guid-8f114e91-183d-47a9-a302-6b8a1bd15c6e-html-particleflow-a-\"><a href=\"How-To-Practical-Examples/How-To-Script-Particle-Flow/How-To-Transfer-ParticleFlow.html\"\">チュートリアル -ParticleFlow のパーティクル モーションのシーン オブジェクトへの転送</a></h3><p>パーティクル フローのパーティクルを使用してシーン オブジェクトを移動させる例です。</p>\n\
<h3 id=\"-a-href-guid-8c394f51-48ff-4605-b7c5-f3e62aabb5f9-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Script-Particle-Flow/How-To-Affect-Particle-Flow.html\"\">チュートリアル - 質量によるパーティクル フローのパーティクルへの影響</a></h3><p>質量に基づいてパーティクルにフォースを適用する例です。</p>\n\
<h3 id=\"-9-\">チュートリアル - ビットマップ ペイント ツールを 9 つの簡単なステップで作成する</h3><h3 id=\"-a-href-guid-9355b32d-ddc4-4c26-befd-66be3d291b63-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-1.html\"\">チュートリアル - ビットマップ ペイント ツールの開発 - 基本ユーティリティ</a></h3><p>ツール作成の最初のステップです。 基本的なツールで、ストロークをサポートしない単一の点だけのブラシを備えています。</p>\n\
<h3 id=\"-a-href-guid-89495341-dea2-41d9-bfbb-543006e64ca2-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-2.html\"\">チュートリアル - ビットマップ ペイント ツールの開発 - ストロークの強化</a></h3><p>ツール作成の 2 番目のステップでは、連続したストローク描画を追加します。</p>\n\
<h3 id=\"-a-href-guid-e9c5afaa-52a0-4274-a92c-8075c3bd0f25-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-3.html\"\">チュートリアル - ビットマップ ペイント ツールの開発 - ブラシのサイズとカラー</a></h3><p>ツール作成の 3 番目のステップでは、ブラシのサイズとカラーのコントロールを追加します。</p>\n\
<h3 id=\"-a-href-guid-78460dd3-5fa4-4f68-990a-54d8d6092802-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-4.html\"\">チュートリアル - ビットマップ ペイント ツールの開発 - エアブラシとシェイプ</a></h3><p>ツール作成の 4 番目のステップでは、円形のブラシ シェイプのサポートと、変更可能な強度を持ったエアブラシ オプションを追加します。</p>\n\
<h3 id=\"-a-href-guid-6ac542fd-a91b-4f32-89dd-56a9e1b118e3-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-5.html\"\">チュートリアル - ビットマップ ペイント ツールの開発 - スムーズ ブラシ</a></h3><p>ツール作成の 5 番目のステップでは、スムーズ フォールオフのあるブラシを追加します。</p>\n\
<h3 id=\"-a-href-guid-2a734060-09d6-44ce-a0b1-6e7094c03ac3-html-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-6.html\"\">チュートリアル - ビットマップ ペイント ツールの開発 - ロードと保存</a></h3><p>ツール作成の 6 番目のステップでは、ビットマップ ファイルのロードと保存の機能を追加します。ついに作品をディスクに保存できます。</p>\n\
<h3 id=\"-how-to-develop-a-bitmap-painting-tool-erase-changes-html-\">[チュートリアル - ビットマップ ペイント ツールの開発 - 変更の消去](How To ... Develop a Bitmap Painting Tool - Erase Changes.html)</h3><p>ツール作成の 9 番目のステップでは、ビューポート内で選択したオブジェクトに 3D ペイントを追加します。チュートリアル -ListView ActiveX コントロールを使用した選択オブジェクト検査プログラムの開発</p>\n\
<h3 id=\"-a-href-guid-8ecde2e0-2c77-4191-9710-c527d95f763e-html-uv-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-8.html\"\">チュートリアル - ビットマップ ペイント ツールの開発 - UV 座標のアンラップ</a></h3><p>ツール作成の 8 番目のステップでは、UV テクスチャ座標のアンラップと、選択したオブジェクト上の拡散反射光マップとしてビットマップをリアルタイムで更新する機能を追加します。</p>\n\
<h3 id=\"-a-href-guid-409d100a-02e1-4539-b847-c3f6dfe6a66b-html-3d-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-9.html\"\">チュートリアル - ビットマップ ペイント ツールの開発 - 3D ペイント</a></h3><p>ツール作成の 9 番目のステップでは、ビューポート内で選択したオブジェクトに 3D ペイントを追加します。</p>\n\
<h3 id=\"-dotnet-\">チュートリアル - DotNet を使用したツールの開発</h3><h3 id=\"-a-href-guid-dea74f18-7b83-4459-abfb-f36a3bd49bd7-html-windows-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Copy-The-Last-Rendered.html\"\">チュートリアル - 最後にレンダリングされたイメージを Windows のクリップボードにコピーする</a></h3><p>このチュートリアルでは、DotNet クラスを使用して最後にレンダリングしたイメージを Windows クリップボードに追加する方法を示します。</p>\n\
<h3 id=\"-a-href-guid-db82f222-b77f-4f85-865f-a4d54b53107d-html-dotnet-maxscript-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Call-a-MAXScript-Function.html\"\">チュートリアル - DotNet を使用して MAXScript 関数を定期的に呼び出す</a></h3><p>このチュートリアルでは、DotNet Timer オブジェクトを使用してロールアウトを使用せずに指定した間隔を空けて MAXScript 関数を呼び出す方法を示します。</p>\n\
<h3 id=\"-a-href-guid-8ec1eea5-41cd-4e1f-b9fa-562b515eade7-html-dotnet-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Generate-Hash-Checksums.html\"\">チュートリアル - DotNet を使用したハッシュ チェックサムの生成</a></h3><p>このチュートリアルでは、DotNet Timer オブジェクトを使用してロールアウトを使用せずに指定した間隔を空けて MAXScript 関数を呼び出す方法を示します。</p>\n\
<h3 id=\"-a-href-guid-5a63220f-1c0e-4916-b9f5-905be92c4673-html-dotnet-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Print-Using-DotNet.html\"\">チュートリアル - DotNet を使用した印刷</a></h3><p>このチュートリアルでは、DotNet フォームを使用してディスクのファイルを表示してから、ファイルを複数ページとしてプリンタに出力する方法を示します。</p>\n\
<h3 id=\"-xview-\">チュートリアル - 面領域 xView チェッカーの開発</h3><h3 id=\"-a-href-guid-c94469c6-19a5-427e-a16b-d46054b3aa1a-html-xview-1-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\"\">チュートリアル - 面領域 xView チェッカーの開発 - 第 1 部</a></h3><p>このチュートリアルでは、<em>3ds Max 2010</em> で追加された XViewChecker インタフェースを使用して、ジオメトリ オブジェクトに対して面範囲のテストを実行する MAXScript 関数を定義する方法およびこれを登録する方法を示します。</p>\n\
<h3 id=\"-a-href-guid-09495930-94a5-4ce7-badb-d630b8306883-html-xview-2-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\"\">チュートリアル - 面領域 xView チェッカーの開発 - 第 2 部</a></h3><p>このチュートリアルでは、複数のチェッカーモード、カスタム テキスト、上書き関数の表示を追加することにより前の例を拡張します。</p>\n\
<h3 id=\"-a-href-guid-33391123-6956-49b8-9535-37a87754ba32-html-xview-3-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\"\">チュートリアル - 面領域 xView チェッカーの開発 - 第 3 部</a></h3><p>このチュートリアルでは、引き続き面領域ジオメトリ チェッカーに INI ファイルを使用して設定を保持する機能を実装します。</p>\n\
<h3 id=\"-a-href-guid-8385056c-4105-485f-b9ae-4280f87e366a-html-xview-4-a-\"><a href=\"How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\"\">チュートリアル - 面領域 xView チェッカーの開発 - 第 4 部</a></h3><p>このチュートリアルは、ビューポート メニューにマクロ スクリプトを追加する、面領域ジオメトリ チェッカーの開発の最後のステップです。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";