var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-1AB01BA7-7337-4E2F-8CFE-E0AB55EFE995\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2018 の MAXScript の新機能</h1></div><p>このトピックでは、<strong>3ds Max 2018</strong> の MAXScript 言語の変更および改善点についての概要を簡単に説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<p>ハイライト</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><img src=\"./images/GUID-16261D42-A6B2-4DFB-913C-3D7E25500ACF-low.png\" alt=\"\"></td>\n\
<td><img src=\"./images/GUID-370DFD6B-B6A8-4F4F-B2C8-686FD17E15BD-low.png\" alt=\"\"></td>\n\
<td><img src=\"./images/GUID-E5746E12-83E7-4794-BBEB-917EFA26359B-low.png\" alt=\"\"></td>\n\
</tr>\n\
<tr>\n\
<td>マテリアル、シェーダ、およびマップ: <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">isUsedInScene()</a> を使用してシーン内でマテリアル(または他の MAXWrapper)が使用されているかどうかの判別や、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Common-Properties.html\">isMtlUsedInSceneMtl()</a> を使用してマテリアル内でマテリアルまたはテクスチャが使用されているかどうかの判別を実行できるようになりました。<a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\">UpdateSceneMaterialLib()</a> を使用して、シーンのマテリアル ライブラリ(<code>sceneMaterials</code> コレクション)を強制的に更新することができます。このコレクションが古くなることや、ノードが削除された場合のように、シーンで現在使用されていないマテリアルが含まれる場合があります。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\">DirectX_9_Shader</a> で <code>.parentMaterial</code> プロパティが公開されるようになりました。<a href=\"./../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Vector_Map-TextureMap/Vector_Map-textureMap.html\">vector_map</a> で <code>.finiteResolution</code> および <code>.resType</code> プロパティが公開されるようになりました。</td>\n\
<td>スクリプト プラグイン: <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">スクリプト プラグイン</a>が、新しいパラメータ タイプの #paramBlock2 および #point2 をサポートするようになりました。<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">スクリプト プラグイン</a>は、preSet および postSet という、元のパラメータ値と新しいパラメータ値をそれぞれ使用することが保証された、新しいパラメータ イベント ハンドラをサポートするようになりました。Arnold ノード用の<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/MAXtoA-Scripted-Plug-ins.html\">スクリプト化された MAXtoA</a> プラグインを作成できるようになりました。</td>\n\
<td>TrackView: <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-1.html\">TrackView</a> 用の新しいフィルタ フラグ(#activeLayer および #unlockedTracks)があります。フラグをテストする新しいメソッド <code>testFilter()</code> が追加されました。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\">Mixin インタフェース trackviews.current.ui</a> で、ローカライズされていないツールバー名を取得するメソッド <code>getToolbarObjectName</code> が公開されるようになりました。対照的に、<code>getToolbarName</code> メソッドはローカライズされた文字列を返します。</td>\n\
</tr>\n\
<tr>\n\
<td><img src=\"./images/GUID-7F5779B3-2973-4D9A-BF8F-6BF0F3230566-low.png\" alt=\"\"></td>\n\
<td><img src=\"./images/GUID-53A6604C-BE7E-4334-919C-97BA781DCF2C-low.png\" alt=\"\"></td>\n\
<td><img src=\"./images/GUID-0480BD60-4A2A-4103-9EF1-592AAEC2A374-low.png\" alt=\"\"></td>\n\
</tr>\n\
<tr>\n\
<td>ジオメトリ オブジェクトの入力プロパティ: いくつかのジオメトリ オブジェクトのキーボード入力プロパティが公開されるようになりました。これらのプロパティを <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Box-GeometryClass.html\">Box</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/C_Ext-GeometryClass.html\">C_Ext</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/ChamferBox-GeometryClass.html\">ChamferBox</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/ChamferCyl-GeometryClass.html\">ChamferCyl</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Cone-GeometryClass.html\">Cone</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Cylinder-GeometryClass.html\">Cylinder</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/L_Ext-GeometryClass.html\">L_Ext</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/Prism-GeometryClass.html\">Prism</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Pyramid-GeometryClass.html\">Pyramid</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Sphere-GeometryClass.html\">Sphere</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Teapot-GeometryClass.html\">Teapot</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Torus-GeometryClass.html\">Torus</a>、および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/Tube-GeometryClass.html\">Tube</a> で使用できるようになりました。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/C_Ext-GeometryClass.html\">C_Ext</a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Extended-Objects/L_Ext-GeometryClass.html\">L_Ext</a> で、中央から作成されている場合と同様にメッシュのオフセットをコントロールする <code>.CenterCreate</code> プロパティも定義できるようになりました。</td>\n\
<td>面取り四角形交差モード: 四角形交差モードをコントロールする次のブール演算プロパティが追加されました。 このモードを有効にすると、面取りしたエッジに含まれているフェースの四角形構造が維持されるようになります。 <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Chamfer-Modifier.html\">Chamfer</a><code>.quadIntersectionMode</code> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly</a><code>.edgeChamferQuadIntersections</code> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\">Editable_Poly</a><code>.edgeChamferQuadIntersections</code></td>\n\
<td>BooleanClass の比較: <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/BooleanClass-Values.html\">BooleanClass</a> 値を整数値と比較できるようになりました。0 は false に、その他のすべての値は true に対応します。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"3ds-max-2018-2-update-\">3ds Max 2018.2 Update の新機能</h2><p>このセクションでは、3ds Max 2018.2 Update の機能強化点および変更点について説明します。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>スプラインの機能強化</td>\n\
<td>次に示すスプライン ツール機能内のいくつかの新しいオブジェクトおよびモディファイヤが、MAXScript で公開されるようになりました。<br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Freehand-Shape.html\">FreehandSpline: Shape</a> オブジェクト <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Normalize_Spline2-Modifier.html\">Normalize_Spline2</a> モディファイヤ <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Path_Deform2-Modfier.html\">Path_Deform2</a> モディファイヤ <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Optimize_Spline-Modifier.html\">Optimize_Spline</a> モディファイヤ <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineInfluence-Modifier.html\">SplineInfluence</a> モディファイヤ <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/InfluenceHelper-Helper.html\">InfluenceHelper</a> ヘルパー <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineRelax-Modifier.html\">SplineRelax</a> モディファイヤ <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineMorph-Modifier.html\">SplineMorph</a> モディファイヤ <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineOverlap-Modifier.html\">SplineOverlap</a> モディファイヤ <br/><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/SplineMirror-Modifier.html\">SplineMirror</a> モディファイヤ</td>\n\
</tr>\n\
<tr>\n\
<td>ダンプ ファイルの作成</td>\n\
<td><a href=\"./../../Interaction-With-The-Operating/System-Tools.html\">systemTools</a> 構造体は、ダンプ ファイルの作成方法とダンプ ファイルの内容を制御するいくつかの関数を公開するようになりました。 該当する関数は、<code>GenerateMiniDumpAndContinue()</code>、<code>SetMiniDumpContents()</code>、および <code>SetBigMiniDumpContents()</code> です。</td>\n\
</tr>\n\
<tr>\n\
<td>これまでドキュメント化されていなかった項目</td>\n\
<td>これまでドキュメント化されなかった、次に示すいくつかの項目がドキュメント化されました。<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">[レンダリング設定](Render Setup)ダイアログ</a>の <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Box3-Values.html\">Box3 値</a>グローバル パラメータ <code>rendLockImageAspectRatio</code>、<code>rendImageAspectRatio</code>、<code>rendPixelAspectRatio</code>、<code>rendUseImgSeq</code>、<code>rendImgSeqType</code>、および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Ease-and-Multiplier.html\">コントローラ イーズ カーブと乗数カーブ</a>関数の <code>getMultiplierCurve()</code> と <code>getEaseCurve()</code>。<a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Matrix3</a> 値用の <code>inverseHighPrecision()</code> 関数。Body_Object 変換関数 <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Object-GeometryClass.html\">convertToBody()</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Join_Bodies-GeometryClass.html\">convertToJoinBodies()</a>、および <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Cutter-GeometryClass.html\">convertToBodyCutter()</a>。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">Edit_Poly</a> モディファイヤおよびインタフェース <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\">Editable_Poly</a> 用の <code>getCommandMode()</code> 関数。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"3ds-max-2018-3-update-\">3ds Max 2018.3 Update の新機能</h2><p>このセクションでは、3ds Max 2018.3 Update の機能強化点および変更点について説明します。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>流体シミュレーション</td>\n\
<td>流体シミュレーションをサポートする次の新しいオブジェクトが、MAXScript で公開されています。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Fluids/MaxLiquid-GeometryClass.html\">MaxLiquid : GeometryClass</a> オブジェクト <a href=\"./../../3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/MaxLiquidSolver.html\">LiquidSolver</a> オブジェクト</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"3ds-max-2018-4-update-\">3ds Max 2018.4 Update の新機能</h2><p>このセクションでは、3ds Max 2018.4 Update の機能強化点および変更点について説明します。</p>\n\
<table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>不明パス モニタ キャッシュ</td>\n\
<td>新しい不明パス モニタ キャッシュが新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-missingPathCache.html\">missingPathCache</a> インタフェースを介して MAXScript に公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td>.NET のサポート</td>\n\
<td>C# 値と MAXScript 値の間の変換のサポートが改善されました。C# の組み込みタイプ名の変換 Point2、Point3、Point4、Quat、EulerAngles、Matrix3 の .NET 配列への変換。「<a href=\"./../../Interaction-with-Other/DotNet-In-MAXScript/MAXScript-DotNet-Value.html\">MAXScript と Dotnet の値の変換</a>」を参照してください。</td>\n\
</tr>\n\
<tr>\n\
<td>MeshOp メソッド</td>\n\
<td>MeshOp 構造体の新しいメソッドは、次のリスト パラメータをとります: <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">meshOp.getFace()</a>、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">meshOp.getFaces()</a>、および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html#mesh-vertex-access\">meshOp.getVerts()</a>。</td>\n\
</tr>\n\
<tr>\n\
<td>PolyOp メソッド</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly</a> の既存のメソッドの新しいバージョンで、単一のインデックスの代わりにリストを取り、次の配列を返します。polyop.getEdgesVerts()polyop.getEdgesFaces()polyop.getFacesVerts()polyop.getFacesEdges()polyop.getVerts()</td>\n\
</tr>\n\
<tr>\n\
<td>PRT 書き出し</td>\n\
<td>流体用の拡張された PRT ファイル書き出し機能が新しいインタフェース <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PRTExport.html\">PRTExport</a> で公開されました。</td>\n\
</tr>\n\
<tr>\n\
<td>シンボル パス名</td>\n\
<td>システム ディレクトリ グローバルの <code>$pageFile</code> と一致する新しい<a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/Symbolic-Pathnames.html\">記号パス名</a> <code>#pageFile</code> が追加されました。これまでドキュメント化されなかった、3ds Max 2017 で導入されたいくつかのパス名とシステム ディレクトリ名がドキュメント化されました。</td>\n\
</tr>\n\
<tr>\n\
<td>3ds Max Batch</td>\n\
<td>この更新で導入された 3ds Max Batch の改善バージョンをサポートするための追加事項がいくつかあります。<a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\">quitMax()</a> 関数に新しい引数 <code>quiet:&lt;bool&gt;</code> および <code>exitcode:&lt;int&gt;</code> が追加されました。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">mxsOps</a> の新しいメンバー <code>mxsCmdLineArgs</code> に、<code>-mxsString</code> および <code>-mxsValue</code>パラメータを介して 3ds Max Batch.exe から渡される値の辞書が含まれています。</td>\n\
</tr>\n\
<tr>\n\
<td>コールバック</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">callbacks.show()</a> メソッドに新しい <code>to:&lt;stream&gt;</code> 引数が追加され、メソッドが出力を送信する際のストリーム値を指定できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>シーン コンバータ</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneConverter.html\">[シーン コンバータ](Scene Converter)</a>インタフェースに、失われた古いアセットをファイルのロード時または合成時に処理するための新しいプロパティが 1 つ、および新しいメソッドが 2 つ追加されました。<code>sceneconverter.AutoRemoveMissingLegacyAssets``sceneconverter.GetMissingLegacyAssetsName()``sceneconverter.RemoveMissingLegacyAssetsFromScene()</code></td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">機能強化点および変更点</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>mental ray および iray</td>\n\
<td>既定では、mental ray および iray が 3ds Max と一緒にインストールされることはなくなりました。対応するすべてのクラスおよびインタフェースは削除されましたが、これらの名前は予約されており、<code>apropos()</code> または <code>showclass()</code> を使用して調べると「undefined」と表示されます。</td>\n\
</tr>\n\
<tr>\n\
<td>Ray および Matrix3 の値</td>\n\
<td><a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Ray-Values.html\">Ray 値</a>および <a href=\"./../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Maxtrix3 値</a>を、<code>==</code> および <code>!=</code> オペレータを使用して比較できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>Try 式</td>\n\
<td><a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\">Try 式</a>で、<code>getErrorSourceFileName()</code>、<code>getErrorSourceFileLine()</code>、および <code>getErrorSourceFileOffset()</code> を使用して、catch ブロック内のエラーの場所についての詳細を取得できるようになりました。これは、<code>fileIn()</code> を介して外部スクリプトを実行する場合に便利です。</td>\n\
</tr>\n\
<tr>\n\
<td>XrefScene 値</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">XRefScene</a> に root および owner という、いずれも外部参照シーンの所有元のルート ノードを返す新しいパラメータが追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td><code>&lt;RootNode&gt; as XRefScene</code> を使用して、ルート ノードを <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefScene-Values.html\">XRefScene</a> 値に強制的に置き換えられるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>Alembic</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/AlembicFloat-FloatController.html\">AlembicFloat</a> コントローラは、読み込まれた Alembic オブジェクトの可視トラックを公開します。</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Export-ExporterPlugin.html\">Alembic_Export</a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/Alembic_Import-ImporterPlugin.html\">Alembic_Import</a> プラグインで、読み込まれたオブジェクトと書き出されたオブジェクトから「Shape」文字列サフィックスをトリムするかどうかをコントロールする <code>.ShapeName</code> ブール演算プロパティが公開されるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>Unwrap_UVW モディファイヤ - UVW フロータの編集</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Edit-UVWs.html\">Unwrap_UVW</a> の <code>addFloater()</code>、<code>ShowFloater()</code>、および <code>DeleteFloater()</code> メソッドが削除されました。</td>\n\
</tr>\n\
<tr>\n\
<td>グリッド ヘルパー</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Grid-Helper.html\">Grid Helper</a> で <code>.activeColor</code> および <code>.displayPlane</code> プロパティが公開されるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>cui.RegisterDialogBar</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/cui-RegisterDialogBar-and-cui.html\">cui.RegisterDialogBox</a> の maxSize パラメータが廃止され、ダイアログ ボックスのサイズに影響しなくなりました。</td>\n\
</tr>\n\
<tr>\n\
<td>maxops コア インタフェース</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxops コア インタフェース</a>でモーション パス(ユーザ インタフェースでの旧称は軌道)の設定が公開されるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td></td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">maxops コア インタフェース</a>で、リボンが非アクティブかどうかを調べる <code>isRibbonSupportEnabled</code> プロパティも公開されるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>Exchange Store パッケージ マネージャのコア インタフェース</td>\n\
<td><code>ExchangeStorePackageManager</code> コア インタフェースで、ファイルパスに基づいてカスタム インストール ディレクトリを処理する <code>ProcessCustomInstallDirectory</code> メソッドが公開されるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>HelpSystem コア インタフェース</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Grid-Helper.html\">HelpSystem コア インタフェース</a>を使用して、Python および MaxScript ヘルプを開いたり、ディスク上の任意の .CHM ファイルを開いたりできるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>AssetUser Mixin インタフェース</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">AssetUser Mixin インタフェース</a>で、元になるアセットに対する参照を放棄する <code>Reset</code> メソッドが公開されるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>PFlow および CFD シミュレーション</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/AirFlow_Node-Helper.html\">AirFlow_Node</a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/AirFlow_Spline-Helper.html\">AirFlow_Spline</a> オペレータはパーティクル フローを使用したエアフロー シミュレーションを行うために CFD データをインポートします。</td>\n\
</tr>\n\
</tbody></table>\n\
<p><em><a href=\"https://www.flaticon.com\" target=\"_blank\">www.flaticon.com</a> から <a href=\"https://www.flaticon.com/authors/freepik\" target=\"_blank\">Freepik</a> によって作成されたアイコン</em></p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">MAXScript の新機能 (以前のバージョン)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";