var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-73EE695C-A043-46D1-A13D-EAF79687A533\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2010 の MAXScript の新機能</h1></div><p>このページでは、<strong>3ds Max 2010</strong> の MAXScript 言語の変更と改良点について簡単にその概要を説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<p>新機能に関する説明以外の MAXScript リファレンスの変更内容については、「<a href=\"Documentation-Changes-in-3ds-Max-2.html\">3ds Max 2010 における ドキュメントの変更点</a>」を参照してください。</p>\n\
<h2 id=\"3ds-max-\">3ds Max の新機能の公開</h2><p><strong>3ds Max 2010</strong> には以下の新機能が追加され、MAXScript に公開されています。</p>\n\
<h3 id=\"-\">コンテナ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Containers/Containers-1.html\">コンテナ</a></p>\n\
<p><strong>コンテナ</strong>は、シーン内のヘルパー オブジェクトで、自己収容型の内容をグループ化して、その内容を管理、公開、継承することができます。また、メモリからコンテンツオブジェクトをロード解除することもできます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\">インタフェース: Containers</a></p>\n\
<p><strong>Containers</strong> インタフェースは、新しいコンテナ オブジェクトの操作に使用する管理機能を提供します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container : ヘルパー</a></p>\n\
<p><strong>Container</strong> ヘルパーは、シーン内のコンテナを作成および管理するために使用されるオブジェクトを表します。</p>\n\
<h3 id=\"-\">モディファイヤ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Subdivision-Surfaces/Quadify_Mesh-Modifier.html\">Quadify_Mesh : モディファイヤ</a></p>\n\
<p>新しい<strong>[四角面化メッシュ]モディファイヤ</strong>は、ProBoolean テクノロジをベースとし、ジオメトリ オブジェクトのトポロジを手続き的にユーザ定義のサイズの四角形に変更します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Welder-Modifier.html\">Welder : モディファイヤ</a></p>\n\
<p>新しい<strong>[連結化]モディファイヤ</strong>は、Cloth テクノロジをベースとし、手続き的に頂点または法線を連結します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/Cloth-Modifier.html\">Cloth Tearing メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/Cloth-Modifier.html\">既存の[布地]モディファイヤ</a>に<strong>新しいメソッド</strong>が 2 つ追加され、布地の裂け目を追加および削除します。</p>\n\
<h3 id=\"xview-\">xView ジオメトリ チェッカー</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\">xView ジオメトリ チェッカへのアクセス</a></p>\n\
<p><strong>xView チェッカー</strong>では、ビューポート内のジオメトリ オブジェクトを対話的に確認して、さまざまなエラー状態を確認することができます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\">インタフェース: xViewChecker</a></p>\n\
<p>このコア インタフェースは、xView Checker の機能と対話するためのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FacesOrientation.html\">インタフェース: FacesOrientation</a></p>\n\
<p>このコア インタフェースは、背面を異なる色で表示する反転面チェッカーのプロパティおよびメソッドを公開します。インタフェース: FlippedUVWFaces</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlippedUVWFaces.html\">インタフェース: FlippedUVWFaces</a></p>\n\
<p>このコア インタフェースは、反転したテクスチャ面を表示する xView チェッカーのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IsolatedVertices.html\">インタフェース: IsolatedVertices</a></p>\n\
<p>このコア インタフェースは、どの面からも使用されていない分離した頂点を表示する xView チェッカーのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MissingUVCoordinates.html\">インタフェース: MissingUVCoordinates</a></p>\n\
<p>このコア インタフェースは、不足しているテクスチャ座標を表示する xView チェッカーのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MultipleEdges.html\">インタフェース: MultipleEdges</a></p>\n\
<p>このコア インタフェースは、複数エッジを表示する xView チェッカーのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OpenEdges.html\">インタフェース: OpenEdges</a></p>\n\
<p>このコア インタフェースは、開いているエッジ（1 つのポリゴンだけを参照するエッジ）を表示するxView チェッカーのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappedUVWFaces.html\">インタフェース: OverlappedUVWFaces</a></p>\n\
<p>このコア インタフェースは、オーバーラップしているテクスチャ面を表示する xView チェッカーのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingFaces.html\">インタフェース: OverlappingFaces</a></p>\n\
<p>このコア インタフェースは、通常はビューポートおよびレンダリングにおける Z の競合の原因となる、オーバーラップしている面を表示するxView チェッカーのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingVertices.html\">インタフェース: OverlappingVertices</a></p>\n\
<p>このコア インタフェースは、指定された許容度の範囲内にあるオーバーラップした（連結されていない）頂点を表示する xView チェッカーのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-TVerts.html\">インタフェース: TVerts</a></p>\n\
<p>このコア インタフェースは、エッジが T 字型に交差し、エッジ ループ フローがポリゴン全体によって中断されている T-頂点を検出するxView チェッカーのメソッドを公開します。</p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\">チュートリアル - 面領域 xView チェッカーの開発 - 第 1 部</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\">チュートリアル - 面領域 xView チェッカーの開発 - 第 2 部</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\">チュートリアル - 面領域 xView チェッカーの開発 - 第 3 部</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\">チュートリアル - 面領域 xView チェッカーの開発 - 第 4 部</a></p>\n\
<p>これらのチュートリアルでは、MAXScript 関数を使用してカスタム xView チェッカーを作成する手順を紹介しています。</p>\n\
<h3 id=\"-\">ビットマップ ページャの公開および自動モード</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IBitmapPager.html\">インタフェース: IBitmapPager</a></p>\n\
<p>このコア インタフェースは、新しい[ビットマップ ページャ]の設定を公開します。このドキュメントでは、ビットマップ ページャおよび mental ray レンダラーに対して自動的に課される[メモリ制限]の計算に関するヒューリスティクスについても説明しています。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\">3ds Max システム ディレクトリ</a></p>\n\
<p>新しい <code>#pageFile</code> 列挙値が使用可能なシステム パスのリストに追加されました。</p>\n\
<h3 id=\"mental-ray-\">mental ray のレンダリング</h3><p>[グローバル調整パラメータ]ロールアウト</p>\n\
<p>mental ray レンダラーに新しく追加されたプロパティで、ソフト シャドウ、光沢反射、光沢屈折の精度に使用する新しいグローバル調整パラメータを公開します。</p>\n\
<p>間接光 再利用 FG と GI ディスク キャッシュ ロールアウトの再使用</p>\n\
<p>mental ray レンダラーに新しく追加されたプロパティで、FG キャッシュおよび GI キャッシュの再利用とキャッシュの補間をコントロールします。</p>\n\
<p>[処理]/[トランスレータ オプション]ロールアウト/[メモリ オプション]</p>\n\
<p>mental ray レンダラーに新しく追加されたプロパティで、自動および手動によるメモリ制限の使用をコントロールします。</p>\n\
<h3 id=\"-\">トラックビューでロック中のトラック</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LockedTracksMan.html\">インタフェース: LockedTracksMan</a></p>\n\
<p>トラックをロックして編集できないようにするための新しい機能を公開する、新しいコア インタフェースです。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\">トラックビュー の UI MixinInterface</a></p>\n\
<p>既存の MixinInterface に新しいプロパティ <code>.showUnlockedIcons</code> が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AnimLayerManager.html\">インタフェース: AnimLayerManager</a></p>\n\
<p>新しいメソッド <code>.getLayerLocked()</code> および <code>.setLayerLocked()</code> が、既存のコア インタフェースに追加されました。</p>\n\
<p>また、[プロパティ] (Properties)ダイアログ ボックスを再表示するためのメソッド <code>refreshAnimLayerPropertiesDlg()</code> が同じコア インタフェースに<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AnimLayerManager.html\">追加されました</a>。</p>\n\
<h3 id=\"-\">エクスプローラ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExplorerManager.html\">インタフェース: SceneExplorerManager</a></p>\n\
<p>新しいメソッド <code>AddLocalizableProperty()</code> および <code>AddLocalizableReadOnlyProperty()</code> が、ローカライズ可能なカスタム列のために既存のインタフェースに追加されました。</p>\n\
<p>固有の列レイアウトを持ったエクスプローラを作成できる <code>CreateExplorer()</code> メソッドおよび既存のエクスプローラの列レイアウトを設定する <code>SetExplorerVisibleColumns()</code> メソッドが既存のインタフェースに追加されました。</p>\n\
<p>すべてのシーン エクスプローラを閉じて[保存されたシーン エクスプローラ]メニュー リストをクリアする、新しい <code>clearAllExplorers()</code> メソッドが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-9.html\">インタフェース: MaterialExplorerManager</a></p>\n\
<p>この新しいコア インタフェースは、MAXScript にマテリアル エクスプローラを公開します。</p>\n\
<h3 id=\"-lut\">表示補正:ガンマ/LUT</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IDisplayGamma.html\">インタフェース: IDisplayGamma</a></p>\n\
<p>既存のインタフェースに、3 つの新しいプロパティが追加されました。<code>.colorCorrectionPrefMode</code> は、優先カラー補正モードをコントロールし、INI ファイルに保存されて、異なるファイル間で保持されます。<code>.affectColorPickers</code> と <code>.affectMEdit</code> はカラー ピッカーおよびマテリアル エディタがガンマ設定によって影響を受けるかどうかをコントロールします。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\">MAX コマンド</a></p>\n\
<p>新しいコマンド <code>max file preferences gamma</code> が使用可能な MAX コマンドのリストに追加されました。このコマンドは、[基本設定](Preference Settings)ダイアログ ボックスの[ガンマ] (Gamma)タブを開きます。</p>\n\
<h3 id=\"-\">ビューポート シェーディング</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\">ビューポートのシェーディング設定</a></p>\n\
<p>新しい <code>maxOps</code>** 構造体メソッド**は、ソフト シャドウ、アンビエント オクルージョン、露出制御プレビューなどのさまざまな高度なビューポート シェーディング オプションや、間接照明や被写界深度などの実験的な(サポートされていない）プレビュー モードをコントロールするいくつものインタフェースを公開するオブジェクトを提供します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">インタフェース: IViewportShadingMgr</a></p>\n\
<p>アンビエント オクルージョンの相互作用およびソフト シャドウ フィルタのサイズをコントロールするための 2 つの新しいプロパティが既存のコア インタフェースに追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportSSB.html\">インタフェース: ViewportSSB</a></p>\n\
<p>この新しいコア インタフェースは、ビューポート内におけるソフト シャドウの表示のコントロールに関連するいくつかのプロパティおよびメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportButtonMgr.html\">インタフェース: ViewportButtonMgr</a></p>\n\
<p>この新しいコア インタフェースは、ビューポート ボタンの表示をコントロールするためのプロパティを公開します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Direct-3D-Cache-Allocation-Query.html\">Direct 3D キャッシュ割り当てクエリー関数</a></p>\n\
<p>Direct3D メッシュ キャッシュのメモリ、面の数、およびタイミングに関する情報を問い合わせるための 3 つの新しい関数が追加されました。</p>\n\
<p>また、シングル スレッドとマルチ スレッドのメッシュ キャッシュの作成を切り替える別の関数もあります。</p>\n\
<h3 id=\"-\">編集可能ポリゴン</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\"#get-set-vertex-color--illumination-and-alpha\">編集可能ポリゴンの頂点カラー、照明、アルファの取得/設定</a></p>\n\
<p>選択した頂点および選択したポリゴンの頂点カラー、照明、およびアルファ値を取得および設定するための新しいメソッドが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\"#paint-deform\">編集可能ポリゴンのペイント変形</a></p>\n\
<p>ペイント変形データをコミットおよびキャンセルする新しいメソッドが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#set-select-id-floater\">編集可能ポリゴンの[ポリゴン: マテリアル ID]フロータ</a></p>\n\
<p>[マテリアル ID]ロールアウトの[ポリゴン: マテリアル ID]フロータ バージョンの可視性を切り替え、フロータの可視性をテストするための 2 つの新しいメソッドが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#smoothing-groups-floater\">編集可能ポリゴンの[ポリゴン: スムージング グループ]フロータ</a></p>\n\
<p>[スムージング グループ]ロールアウトの[ポリゴン: スムージング グループ]フロータ バージョンの可視性を切り替え、フロータの可視性をテストするための 2 つの新しいメソッドが追加されました。</p>\n\
<h3 id=\"-\">[ポリゴンを編集]モディファイヤ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\"#polygonmaterial-ids\">ポリゴンを編集の[ポリゴン: マテリアル ID]フロータ</a></p>\n\
<p>[マテリアル ID]ロールアウトの[ポリゴン: マテリアル ID]フロータ バージョンの可視性を切り替え、フロータの可視性をテストするための 2 つの新しいメソッドが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\"#polygon-smoothing-groups\">ポリゴンを編集の[ポリゴン: スムージング グループ]フロータ</a></p>\n\
<p>[スムージング グループ]ロールアウトの[ポリゴン: スムージング グループ]フロータ バージョンの可視性を切り替え、フロータの可視性をテストするための 2 つの新しいメソッドが追加されました。</p>\n\
<h3 id=\"-max-\">アセット マネージャと Max ファイル メタデータ</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/Accessing-AssetManager-AssetUser.html\">MAX ファイルの AssetManager、AssetUser、アセット メタデータへのアクセス</a></p>\n\
<p><strong>3ds Max</strong> 全体における外部アセットの作成、管理、保存方法が根底から作り直されました。アセット データ管理を処理するための新しいインタフェース、オブジェクト、メソッドが追加されています。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\">インタフェース: AssetManager</a></p>\n\
<p>アセット マネージャおよび AssetUser IObject と相互作用するためのメソッドを公開する新しいコア インタフェースです。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\">IObject:AssetUser</a></p>\n\
<p>アセット データの保存および管理に使用される、新しい AssetUser Class のインスタンスです。パラメータ ブロック内に保存される MAXScript ファイル名は、「.filename as AssetUser」という形式を使用して強制的に AssetUser クラスのインスタンスにできるようになりました。<object>.filename as AssetUser&#39;.</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/MAX-File-Asset-Metadata-Stream.html\">MAX ファイル アセット メタデータのストリーム アクセス</a></p>\n\
<p>.MAX ファイル形式では、すべてのアセット データ情報が、メタデータとして個別のストリームに保存されるようになりました。このデータは、外部アプリケーションまたは MAXScript を使用して、シーン自体をロードすることなくアクセスおよび変更することができます。.Max ファイルに保存されたメタデータに読み込みアクセスおよび書き込みアクセスを行うための 2 つのメソッドが用意されています。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\">インタフェース: FileResolutionManager</a></p>\n\
<p>アセット ファイルを解決するためのメソッドを公開する新しいコア インタフェースです。</p>\n\
<h3 id=\"-\">外部参照オブジェクト</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\">外部参照オブジェクト : ノード</a></p>\n\
<p>重複した名前を持ったマテリアルの合成をコントロールするための新しいオプション <code>dupMtlNameAction:</code> が、既存の <code>xrefs.addNewXRefObject()</code> 関数に追加されました。</p>\n\
<h3 id=\"mr_proxy-\">mr_Proxy オブジェクト</h3><p>mr_Proxy : GeometryClass</p>\n\
<p><strong>3ds Max 2009</strong> で公開された mr_Proxy の 2 つのプロパティは、同じ名前のノードレベルのプロパティで衝突を発生していました。この問題を解決するために、mr_Proxy オブジェクトの <code>.points</code> プロパティおよび <code>.scale</code> プロパティに、2 つの新しいエイリアスが追加されました。ドキュメントには、オブジェクトの <code>.baseobject</code> プロパティを代用して値にアクセスする方法についても記述されています。</p>\n\
<h3 id=\"obj-\">OBJ 読み込みおよび書き出し設定へのアクセス</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ObjExp-ExporterPlugin.html\">ObjExp : ExporterPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ObjImp-ImporterPlugin.html\">ObjImp : ImporterPlugin</a></p>\n\
<p>2 つの OBJ I/O プラグインでは、設定およびプリセットが純然たる ASCII INI ファイル形式で保存されるようになり、標準の <code>getIniSetting()</code> および <code>setIniSetting()</code> MAXScript 関数を使用して読み込みおよび修正できるようになりました。いずれも、現在の INI ファイル名およびプリセット INI ファイル名にアクセスするためのメソッドを公開します。</p>\n\
<h3 id=\"-\">布地</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/Cloth-Modifier.html\">Cloth : モディファイヤ</a></p>\n\
<p>[布地]モディファイヤに、連結、圧力、引き裂きの機能をコントロールするプロパティが追加されました。</p>\n\
<h3 id=\"flight-studio\">Flight Studio</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudio.html\">インタフェース: FlightStudio</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioExport.html\">インタフェース: FlightStudioExport</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioImport.html\">インタフェース: FlightStudioImport</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioImage.html\">インタフェース: FlightStudioImage</a></p>\n\
<p>これらのインタフェースは、<strong>3ds Max 2009</strong> では OpenFlight シミュレーション データベース I/O 用の Flight Studio アドオンによって追加されていましたが、<strong>3ds Max 2010</strong> では組み込み機能になりました。</p>\n\
<h3 id=\"-\">ユーザ インタフェースのカスタマイズ</h3><p>インタフェース: qat</p>\n\
<p><code>qat</code> インタフェースでは、アプリケーション アイコンの隣にあるクイック アクセス ツールバーのアクション項目の追加、入れ替え、削除を行うことができます。MacroScript によって定義されたアクション項目もこの対象です。</p>\n\
<h3 id=\"-\">[修正]パネルのコントロール アクセス</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\"#pin-stack-button\">[スタックをロック](Pin Stack) ボタン</a></p>\n\
<p>[修正]パネルの[スタックをロック]ボタンの状態にアクセスしてコントロールするための新しい 3 つのメソッドが、既存の <code>modPanel</code> 構造体に追加されました。</p>\n\
<h3 id=\"-id-\">プロダクト ID および言語へのアクセス</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">インタフェース: maxOps</a></p>\n\
<p>新しいプロパティ <code>maxOps.productID</code> が、スクリプトが実行されている <strong>3ds Max</strong> の「種類」(<strong>3ds Max</strong> Entertainment または <strong>3ds Max Design</strong>) を判別するために既存のインタフェースに追加されました。</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/System-Information.html\"#system-language-and-locale-\">sysinfo.getMaxLanguage()</a></p>\n\
<p><strong>3ds Max</strong> 言語を返す新しいシステム情報メソッドが追加されました。</p>\n\
<h3 id=\"character-studio\">character studio</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Controllers/Biped-Vertical_Horizontal_Turn.html\"#knuckles-and-short-thumb-properties\">Biped の指関節および親指第一関節のプロパティ</a></p>\n\
<p>指関節および親指第一間接をコントロールするための 2 つの新しいプロパティが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Layers.html\"#layer-retargeting-methods\">Biped レイヤ再ターゲット メソッド</a></p>\n\
<p>Biped レイヤ再ターゲットをコントロールするためのいくつかの新しいメソッドが追加されました。</p>\n\
<h3 id=\"extension\">Extension</h3><p>以下の機能は、はじめにサブスクリプションメンバー用の <strong>3ds Max 2009 用 Extension</strong> として提供され、<strong>3ds Max 2010</strong> で組み込まれたものです。</p>\n\
<h3 id=\"-\">プロ オプティマイザー</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/ProOptimizer-Modifier.html\">ProOptimizer : モディファイヤ</a></p>\n\
<p><strong>[プロ オプティマイザー]</strong>モディファイヤは、高度な最適化機能を提供します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\">インタフェース: BatchProOptimizer</a></p>\n\
<p><strong>BatchProOptimizer Interface</strong> は、最適化タスクをバッチで処理することができます。</p>\n\
<h3 id=\"-\">プロ サウンド拡張機能</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-2/ProSound-Extension.html\">プロ サウンド拡張機能</a></p>\n\
<p><strong>プロ サウンド</strong> 機能は、最大 100 のステレオ サウンド トラックをサポートし、数多くの機能を MAXScript に公開します。</p>\n\
<h3 id=\"-\">アドバンスド パーティクル フロー</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Paint-Helper.html\">Birth_Paint : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Texture-Helper.html\">Birth_Texture : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Initial_State-Helper.html\">Initial_State : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Operator-Helper.html\">Group_Operator : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Select-Helper.html\">Group_Select : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Lock_Bond-Helper.html\">Lock_Bond : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/Mapping_Object-Helper.html\">Mapping_Object : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/Placement_Paint-Helper.html\">Placement_Paint : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Group-Helper.html\">Split_Group : ヘルパー</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Particle-Flow-Helpers/Particle_Paint-Helper.html\">Particle_Paint : ヘルパー</a></p>\n\
<p><strong>アドバンスド パーティクル フロー</strong>拡張機能は、以前は Orbaz Particle Flow Toolbox #1 に含まれていたオペレータを提供します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Express_Save-Helper.html\">Express_Save : ヘルパー</a></p>\n\
<p><strong>アドバンスド パーティクル フロー</strong>拡張機能は、これまでは Orbaz Particle Flow Toolbox #1 だけに含まれていた Express_Save オペレータを提供し、このオペレータが含まれている既存のシーンをロードする場合の下位互換性を維持します。このオペレータの機能はパーティクル フローのコアに完全に統合され、このオペレータは<strong>廃止されました</strong>。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/ShapeLibrary-Helper.html\">シェイプ ライブラリ: ヘルパー</a></p>\n\
<p><strong>アドバンスド パーティクル フロー</strong>拡張機能は、従来の ShapeStandard ヘルパーを置き換える新しい既定値の Shape オペレータを提供します。従来のオペレータをロードしたり MAXScript で作成したりすることはできますが、パーティクル フロー Depot による公開は終了しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\">particleFlow グローバル インタフェース</a></p>\n\
<p>既存の ParticleFlow インタフェースに 5 つの新しいメソッドが追加され、従来は Orbaz Particle Flow Toolbox #1 に含まれていたクリーンアップ機能を、パーティクル フロー ユーティリティおよびユーティリティ オペレータを使用して実装できるようになりました。</p>\n\
<h2 id=\"maxscript-\">MAXScript 言語に関する改善点</h2><p><strong>3ds Max 2010</strong> では、MAXScript 言語に以下の新機能が追加されました。</p>\n\
<h3 id=\"-\">デバッグ</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/MAXScript-Source-Filename-Access.html\">MAXScript のソース ファイル名へのアクセス</a></p>\n\
<p><strong>行番号</strong>が MAXScript コード ツリーでサポートされるようになり、エラー メッセージとデバッガにおいて、エラーまたは中断が発生したコード内の行をレポートできるようになりました。新しいメソッド <code>getSourceFileLine()</code> は、呼び出し元のソース ファイル行番号を返します。</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\">assert 関数</a></p>\n\
<p>行番号のサポートにより、<code>Assert()</code> 関数を使用して開発者がスクリプト コード内で述語をアサートできるようになり、コードの実行が正しいことを論理的に判断できるようになりました。</p>\n\
<h3 id=\"-\">構造体定義</h3><p><a href=\"./../../../MAXScript-Language-Reference/Structure-Definition/Private-and-Public-Members-in.html\">構造体定義における Pirvate メンバと Public メンバ</a></p>\n\
<p><strong>構造体のメンバ</strong>(関数および変数)を <code>public</code> または <code>private</code> として宣言して、外部コードおよびデバッガに対する可視性をコントロールできるようになりました。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Structure-Definition/Structure-Creation-and-Cloning.html\">構造体の作成およびクローン作成用イベント ハンドラ</a></p>\n\
<p><strong>構造体定義</strong>は、private イベント ハンドラとして実装し、作成時またはクローン作成時に呼び出せるようになりました。</p>\n\
<h3 id=\"dotnet\">DotNet</h3><p><a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/DotNet-Objects-and-Classes-Life.html\">DotNet オブジェクトおよびクラスの寿命制御</a></p>\n\
<p>以前のバージョンの <strong>3ds Max</strong> では、MAXScript ガベージ コレクションを実行することによって DotNet イベント ハンドラの削除の実行が早くなりすぎてしまいました。新しいメソッドを使用することにより、この問題を回避できます。</p>\n\
<p><a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MAXScript-DotNet-Value.html#explicit-conversion\">MAXScript と Dotnet の値の変換</a></p>\n\
<p><strong>MAXScript 値を DotNet 値に明示的に変換する新しいメソッドが追加され</strong>、特に MAXScript 配列から DotNet 配列を作成する場合に便利です。</p>\n\
<h3 id=\"-\">ファイルおよびディレクトリのセキュリティ メソッド</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">外部ファイル メソッド</a></p>\n\
<p>ファイルおよびディレクトリのセキュリティ属性およびアクセス性をテストする 2 つの関数、<code>getFileSecurityInfo()</code> および <code>isDirectoryWriteable()</code> が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Executing-External-Commands.html\">外部コマンドおよびプログラムの実行</a></p>\n\
<p>既存の hiddenDOSCommand() メソッドがアップデートされ、オプションの開始パス引数を指定しなくても正しく動作できるようになりました。これまでのリリースでは、開始パス引数を省略すると実行できませんでした。さらに、参照変数を使用して DOS コマンドのリターン コードへのアクセスを提供する新しいオプション引数が追加されました。</p>\n\
<h3 id=\"-\">ノードの共通メソッド</h3><p>ノードの共通メソッド - グループ メソッド</p>\n\
<p>メイン メニュー &gt; [グループ] &gt; [アタッチ]または[デタッチ]の操作をミラー化するための新しい 2 つの関数、<code>attachNodesToGroup()</code> および <code>detachNodesFromGroup()</code> が MAXScript に追加されました。</p>\n\
<h3 id=\"-\">[作成]パネル - オブジェクトの作成</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Create-Panel.html\">isCreatingObjectMethod</a></p>\n\
<p>このメソッドは、引数が未定義の場合には false を返し、<a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Create-Panel.html\">OkToCreate()</a> メソッドと矛盾しないようになりました。</p>\n\
<h3 id=\"-\">カスタム ビットマップの合成</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">pasteBitmap</a></p>\n\
<p>既存の関数が強化され、2 つのイメージを合成して 1 つのイメージを作成する、カスタム MAXScript 関数がサポートされるようになりました。この関数は 2 つのピクセルのカラーと位置を渡し、作成されるピクセル カラーを返します。この関数は、結合するピクセルのペアごとに内部的に呼び出され、MAXScript の FOR ループで <code>getPixels()</code> および <code>setPixels()</code> を使用するよりも高速です。</p>\n\
<h3 id=\"maxscript-\">MAXScript ユーザ インタフェース コントロール</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Angle-UI-element.html\">[角度] (Angle)</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\">チェックボックス</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Combobox-UI-Control.html\">コンボ ボックス</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Curve-Control.html\">カーブ コントロール(Curve Control)</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\">Dropdownlist</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/hyperlink.html\">HyperLink</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\">Listbox</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/multilistbox.html\">MultiListBox</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/ProgressBar-UI-Control.html\">ProgressBar</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\">Radiobuttons</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Slider-UI-Control.html\">Slider</a></p>\n\
<p>新しい <code>on rightClick do()</code> ハンドラが、既存のユーザ インタフェース コントロールに追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\">スピナー</a></p>\n\
<p>新しい <code>tooltip</code> 作図パラメータとプロパティが、既存のスピナー ユーザ インタフェース コントロールに追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Slider-UI-Control.html\">Slider</a></p>\n\
<p>新しい<code>tooltip</code> 作図パラメータとプロパティが、既存のスライダ ユーザ インタフェース コントロールに追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">MacroScriptautoUndoEnabledParameter</a></p>\n\
<p>既存の MacroScript コンストラクタに、新しい <code>autoUndoEnabled</code> 作図パラメータが追加され、MacroScript 本体全体に対して、Undo レコードの自動生成を無効化できるようになりました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\">[グループ]ユーザ インタフェース項目</a></p>\n\
<p>ユーザ インタフェース コントロールのイベント ハンドラを、ユーザ インタフェース[グループ]の本体の内部に追加できるようになりました。これまでは、[グループ]にイベント ハンドラを追加すると構文エラーになっていました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Image-Buttons.html\">イメージ ボタン</a></p>\n\
<p>画像をサポートする 9 番目の新しいオプション要素が追加されました。Windows カラー テーマの使用をコントロールする構築パラメータおよびボタン、チェックボタン、マップボタン、マテリアルボタンのプロパティが追加されました。</p>\n\
<h3 id=\"-\">起動スクリプトのロード順序の改良</h3><p><a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Startup-Scripts.html\">スタートアップ スクリプト</a></p>\n\
<p>起動スクリプト（特に ¥Startup フォルダからロードされるもの）のロード順序が改良され、コマンド ラインから起動された .MAX ファイルをロードする場合、または <strong>3ds Max</strong> のデスクトップ ショートカット アイコンに .MAX ファイルをドラッグアンドドロップしてロードする場合に、¥Startup フォルダで評価されたコードを使用するため #preFileOpen コールバック イベントを使用できるようになりました。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-10.html\">3ds Max 2010 の MaxScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-2.html\">3ds Max 2010 におけるドキュメントの変更点</a></li>\n\
          <li><a class=\"link\" href=\"../../../What-is-New-in-MAXScript.html\">MAXScript の新機能</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";