var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-CD775B5B-2368-499A-A11F-A32244FD317E\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2008 の MaxScript の新機能</h1></div><p>このページでは、<strong>3ds Max 2008</strong> の MAXScript 言語の変更と改良点について簡単にその概要を説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<h2 id=\"-\">スクリプト エディタ</h2><p><a href=\"./../../../MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Editor-Windows.html\">[スクリプト エディタ](Scripting Editor)ウィンドウ</a></p>\n\
<p>従来の RichEdit をベースにした スクリプト エディタの大部分は、オープン ソースの Scintilla コントロールおよび SciTE エディタをベースにした<strong>新しいタブ付きのスクリプト エディタ</strong>に置き換えられました。</p>\n\
<p>スクリプト エディタのほか、<strong>スクリプト リスナー</strong>と、その GUI の左下隅にある <strong>MacroRecorder</strong> 領域および <strong>ミニリスナー</strong>でも Scintilla コントロールが使用されるようになり、<strong>最大 500 回の操作を元に戻すことができるようになりました</strong>。</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Overview.html\">スクリプト エディタの概要</a></p>\n\
<p>このトピックでは、新しいエディタと主な機能および利点について紹介しています。</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Commands.html\">スクリプト エディタのコマンド</a></p>\n\
<p>このトピックは、新しいエディタ、メニュー、コマンド、キーボード ショートカットの使用法とさまざまなカスタマイズ方法について説明した個別のトピックのインデックスになっています。同じリンクを以下に用意しておきます。</p>\n\
<h3 id=\"-\">スクリプト エディタ - メニュー オプション:</h3><p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-File-Menu.html\">[ファイル] (File)メニュー</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Edit-Menu.html\">[編集] (Edit)メニュー</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\">[検索] (Search)メニュー</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/Regular-Expressions-Find-and.html\">スクリプト エディタにおける正規表現を使用した検索置換</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Output-Pane.html\">スクリプト エディタ - 出力ペイン</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-View-Menu.html\">[表示] (View)メニュー</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Tools-Menu.html\">[ツール] (Tools)メニュー</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Options-Menu.html\">[オプション] (Options)メニュー</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Language-Menu.html\">[言語] (Language)メニュー</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Windows-Menu.html\">[ウィンドウ] (Windows)メニュー</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Help-Menu.html\">[ヘルプ] (Help)メニュー</a></p>\n\
<h3 id=\"-\">スクリプト エディタ - キーボード ショートカット:</h3><p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Keyboard.html\">スクリプト エディタ - キーボード ショートカット</a></p>\n\
<h3 id=\"-\">スクリプト エディタ - 設定とカスタマイズ:</h3><p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\">スクリプト エディタ - プロパティ ファイルの設定</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-MAXScript.html\">スクリプト エディタ - MAXScript 固有の言語設定</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\">スクリプト エディタ - 構文のカラー スキームのカスタマイズ</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\">スクリプト エディタ - カスタム キーボード ショートカットの定義</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-2.html\">スクリプト エディタ - カスタム コンテキスト メニュー項目の定義</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Menu-Commands.html\">エディタのメニュー コマンドのリスト</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Key-Commands.html\">エディタの主なコマンドのリスト</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\">スクリプト エディタ - 省略表現の定義と使用</a></p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\">スクリプト エディタ - カスタム ステータス バーの定義</a></p>\n\
<h2 id=\"3ds-max-\">3ds Max の新機能の公開</h2><p><strong>3ds Max 2008</strong> には以下の新機能が追加され、MAXScript に公開されています。</p>\n\
<h3 id=\"-\">ビューポートのシェーディング - イルミネーションとシャドウ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\">インタフェース: IViewportShadingMgr</a></p>\n\
<p>このインタフェースは、シャドウおよびピクセル単位のシェーディングを含めて<strong>ビューポート シェーディング システム</strong>を MAXScript に公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\">インタフェース: INodeShadingProperties</a></p>\n\
<p>このノード インタフェースは、<strong>ビューポート シェーディング ノードのプロパティ</strong>を MAXScript に公開します。</p>\n\
<h3 id=\"-\">最適表示</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Adaptive-Degradation-Access.html\">最適表示アクセス</a></p>\n\
<p><code>viewport</code> 構造体におけるこれらの新しいメソッドを使用すると、完全に書き替えられた<strong>最適表示</strong>システムのすべてのコントロールを取得および設定することができます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeDisplayProperties.html\">インタフェース: INodeDisplayProperties</a></p>\n\
<p><strong>最適表示</strong>からノードを除外するときに使用する <code>.neverDegrade</code> プロパティにアクセスするための新しいノード インタフェースです。</p>\n\
<h3 id=\"-\">ビューポート内でマップを表示</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\">ビューポート内でハードウェア マップを表示 </a></p>\n\
<p>新しい <code>enableHardwareMaterial()</code> メソッドおよび <code>showHWTextureMap()</code> メソッドは、[ビューポート内でマップを表示](Show Map In Viewports)アイコンの新しいフライアウト オプションを切り替える場合に使用します。</p>\n\
<h3 id=\"-\">ビューポート コントロール</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.SetFOV</a></p>\n\
<p>新しい <code>viewport.setFOV()</code> メソッドは、アクティブ ビューポートの視野を度数で設定します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.GetFocalDistance</a></p>\n\
<p>新しいメソッド <code>viewport.getFocalDistance()</code> および <code>viewport.setFocalDistance()</code> は、アクティブ ビューポートの焦点距離を取得および設定します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">ビューポート パン、ズーム、回転</a></p>\n\
<p>新しいメソッド <code>viewport.pan(), viewport.zoom(),</code>、<code>viewport.zoomPerspective()</code>、<code>viewport.rotate()</code> を使用すると、<strong>3ds Max</strong> UI のインタラクティブ パン、ズーム、画面回転コマンドと同じスクリプト ビューポート ナビゲーション操作を実装できます。</p>\n\
<h3 id=\"-lut\">表示カラー補正 - ガンマおよび LUT</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IDisplayGamma.html\">インタフェース: IDisplayGamma</a></p>\n\
<p>既存のコア インタフェースが拡張され、カラー補正モード、LUT ファイル名、ガンマ値などのいくつかのガンマ設定および LUT 設定が公開されました。</p>\n\
<h3 id=\"-\">シーン エクスプローラ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExplorerManager.html\">インタフェース: SceneExplorerManager</a></p>\n\
<p>この新しいコア インタフェースは、名前で指定されたシーン エクスプローラをオープン、クローズ、ロード、保存、配置、およびサイズ変更するためのメソッドや、スクリプト関数を使用してシーン エクスプローラに新しいプロパティ フィルタを追加するためのメソッドを含む<strong>シーン エクスプローラ 管理関数</strong>を提供します。</p>\n\
<h3 id=\"-\">優先機能を有効</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface.html\">インタフェース: ActionItemOverrideManager</a></p>\n\
<p>この新しいコア インタフェースは、<strong>優先機能を有効</strong>機能を MAXScript に公開します。</p>\n\
<h3 id=\"-\">作業基点</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-WorkingPivot.html\">インタフェース: WorkingPivot</a></p>\n\
<p>この新しいコア インタフェースは、<strong>作業基点</strong>機能を MAXScript に公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\">Axis_Helper : ヘルパー</a></p>\n\
<p>この内部ヘルパー クラスのインスタンスは、シーン内に座標軸を表示したり、この座標軸を現在の変換システムの参照ノードとして設定したりする目的で<strong>作業基点</strong>機能によって使用されます。</p>\n\
<h3 id=\"-\">ポリゴン モデリング</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\"#selection\">Edit_Poly 選択プロパティ</a></p>\n\
<p>新しいプロパティ <code>.selectMode</code> が Edit_Poly モディファイヤに追加されました。このプロパティは、新しいサブオブジェクト選択モード (Off、SubObj、Multi) を公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\"#chamfer\">Editable_Poly 面取りプロパティ</a></p>\n\
<p>新しいプロパティ <code>.edgeChamferSegments</code> が Edit_Poly モディファイヤに追加されました。このプロパティは、新しいセグメントによるエッジの面取り機能を公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#preview-selection\">Editable Poly プレビュー選択</a></p>\n\
<p>新しいプロパティ <code>.selectMode</code> が Editable_Poly 基本オブジェクトに追加されました。このプロパティは、新しいサブオブジェクト選択モード (Off、SubObj、Multi) を公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#edge-chamfer-extrude-values\">Editable_Poly エッジ面取りプロパティ</a></p>\n\
<p>新しいプロパティ <code>.edgeChamferSegments</code> が Editable_Poly 基本オブジェクトに追加されました。このプロパティは、新しいセグメントによるエッジの面取り機能を公開します。</p>\n\
<h3 id=\"unwrap_uvw-\">Unwrap_UVW モディファイヤ</h3><p><strong>Unwrap_UVW モディファイヤ</strong>によって公開される新しい <strong>unwrap6 インタフェース</strong>を使用すると、新しいプロパティにアクセスできます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW : モディファイヤ</a></p>\n\
<p>新しいプロパティ <code>.baseMaterial_list</code> が <strong>Unwrap_UVW モディファイヤ</strong>に追加されました。</p>\n\
<h3 id=\"projection-\">Projection モディファイヤ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Project_Mapping-ReferenceTarget.html\">Project_Mapping : ReferenceTarget</a></p>\n\
<p><strong>Project_Mapping モディファイヤ</strong>に、投影品質に関連するいくつかの新しいプロパティが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Projection-Modifier.html\"#cage-rollout\">Projection モディファイヤ ケージ</a></p>\n\
<p>新しいメソッド <code>exportCage()</code> と <code>importCage()</code> が、Projection モディファイヤによって公開されている <strong>projectionModOps インタフェース</strong>に追加されました。</p>\n\
<h3 id=\"-\">ポイント キャッシュ モディファイヤとスペースワープ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\">Point_Cache: モディファイヤ</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\">Point_CacheSpacewarpModifier: SpacewarpModifier</a></p>\n\
<p>新しい <code>.fileCount</code> プロパティが、ポイント キャッシュ モディファイヤとスペースワープに 1 つのファイルまたは 1 フレーム当たりに 1 ファイルを保存するかどうかをコントロールするために追加されました。</p>\n\
<h3 id=\"-\">アニメーションのロードと保存</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LoadSaveAnimation.html\">インタフェース: LoadSaveAnimation</a></p>\n\
<p><strong>LoadSaveAnimation Interface</strong> に、いくつかの新しいメソッドが追加されたほか、いくつかの既存のメソッドに <strong>stripLayers:</strong> オプションが追加されました。</p>\n\
<h3 id=\"biped-\">Biped:</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Controllers/Biped-Vertical_Horizontal_Turn.html\"#object-space-object\">オブジェクト スペース オブジェクトとヘッドの LookAt Target プロパティ</a></p>\n\
<p><strong>Biped Vertical_Horizontal_Turn(Body):Matrix3 コントローラ</strong>の <code>.osObject</code> プロパティおよび <code>.headObject</code> プロパティが変更され、<strong>undefined</strong> を有効な値として受け入れるようになりました。</p>\n\
<h3 id=\"directx-\">DirectX シェーダ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\">DirectX_9_Shader</a></p>\n\
<p>DirectX シェーダ マテリアルによって公開される関数公開インタフェースに、<strong>シェーダの技術</strong>の取得に関連するいくつかの新しいメソッドが追加されました。</p>\n\
<h3 id=\"-\">書き出し</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-s3dexporter.html\">インタフェース: s3dexporter</a></p>\n\
<p>この新しいコア インタフェースを使用すると、<strong>Shockwave 3D Exporter ダイアログ</strong>内のいくつかのアクションにアクセスすることができます。</p>\n\
<h3 id=\"-\">シーンをレンダリング ダイアログ ボックス</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Pre-Render-Script-Evaluation.html\">3ds Max 2008 におけるプリレンダリング スクリプト評価順序の変更</a></p>\n\
<p>プリレンダリング スクリプトおよびポストレンダリング スクリプトの評価順序が変更されました。</p>\n\
<h3 id=\"mental-ray\">mental ray</h3><p>mr_Sky_Portal : light</p>\n\
<p><strong>mental ray Sky ポータル ライト</strong>は、窓やドアのような開口部へのポータルの定義とスカイライトや HDRI 環境マップからのライトの収集によって、野外のライティングを屋内のライティングに変換するのに使用することができます。</p>\n\
<p>mr_Photographic_Exposure_Control : ToneOperator</p>\n\
<p>この新しい露出コントロールにより、従来の写真撮影で使用されていた実際のワークフローを使用できます。</p>\n\
<h3 id=\"-\">ベイク処理要素</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-BakeElementProperties.html\">インタフェース: BakeElementProperties</a></p>\n\
<p>すべての BakeElements によって公開されるこの新しいインタフェースを使用すると、従来はノードのインタフェースを使用しなければアクセスできなかったベイク処理要素のプロパティのいくつかに直接アクセスできます。</p>\n\
<h3 id=\"-maxops\">インタフェース: MaxOps</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">インタフェース: maxOps</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#autokey-default-key\">AutoKey の既定のキー</a>の作成および時間を制御するための新しいプロパティおよびメソッドが <strong>maxOps</strong> インタフェースに追加されました。<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#motion-paths\">[モーション] (Motion)タブ &gt; [軌道] (Trajectory)</a>サブオブジェクト モードを制御するための新しいプロパティも追加されています。</p>\n\
<p>新しい <code>maxOps.findNodes()</code> メソッドが追加されました。このメソッドは、マテリアルおよびレイヤによるフィルタリングを含む<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#find-nodes\">類似したノードの検索</a>に使用できます。</p>\n\
<h3 id=\"menuman-\">menuMan インタフェース</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">インタフェース: menuMan</a></p>\n\
<p>新しいメソッド <code>createMenuItemFromAction()</code> が <strong>menuMan インタフェース</strong>に追加されました。</p>\n\
<h3 id=\"animhandle-\">AnimHandle システム</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/AnimHandle-System.html\">AnimHandle システム</a></p>\n\
<p>新しい <strong>AnimHandle システム</strong>は、ノード、モディファイヤ、マテリアル、コントローラなどのシーン内の <strong>すべてのエンティティ</strong>に、<strong>一意の ID 番号</strong>を割り当てます。</p>\n\
<h3 id=\"-\">ノード イベント システム</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Node-Event-System.html\">ノード イベント システム</a></p>\n\
<p>新しい<strong>ノード イベント システム</strong>は、<strong>3ds Max</strong> の旧リリースで使用されていた一般的なイベント コールバック機能よりも、<strong>優れたノード関連イベント</strong>の処理が可能です。</p>\n\
<h3 id=\"-\">既定値のアクション</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-defaultActions.html\">インタフェース: defaultActions</a></p>\n\
<p>新しい<strong>既定値のアクション コア インタフェース</strong>を使用すると、見つからない UVW、見つからない DLL などのイベントに対する既定値のアクションにアクセスできます。</p>\n\
<h2 id=\"maxscript-\">MAXScript 言語に関する改善点</h2><p><strong>3ds Max 2008</strong> では、MAXScript に以下の新機能が追加されました:</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/String-Literals.html\">逐語的文字列リテラル</a></p>\n\
<p>「<code>&#39;@&#39;</code>」文字でプレフィックスされた<strong>逐語的文字列リテラル</strong>がサポートされるようになり、「¥\\t」、「\\¥n」、「\\¥r」などのエスケープ文字シーケンスを含んでいる場合でも評価時に拡張されないようになりました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\">ファイルを開くおよび保存する標準のダイアログ ボックス</a></p>\n\
<p>新しいオプション キーワード <strong>historyCategory</strong> がメソッド <code>getOpenFilename()</code> および <code>getSaveFilename()</code> に追加されました。このオプション キーワードを使用すると、ファイル ダイアログ ボックスで履歴カテゴリを指定できるようになります。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">OpenBitmap</a></p>\n\
<p>既存の <code>openBitMap()</code> メソッドは、ビットマップをロードできなかった場合に、ランタイム エラーを生成するのではなく <code>undefined</code> を返すようになりました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/SpaceWarp-Related-MAXScript/World-Space-Modifiers-Validity.html\">ワールド スペース モディファイヤ - 検証のメソッド</a></p>\n\
<p>新しい <code>isSpaceWarpValid()</code> メソッドは、指定されたオブジェクトにスペース ワープを適用できる場合に <code>true</code> を返します。</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Encrypting-Script-Files.html\">暗号化されたスクリプト ファイル</a></p>\n\
<p>従来の暗号化方式に加え、新しい暗号化方式が提供されるようになりました。新しい暗号化方式を使用した暗号化されたスクリプトは、旧バージョンの <strong>3ds Max</strong> では実行できません。</p>\n\
<h2 id=\"avguard-\">Avguard 拡張機能</h2><p><a href=\"./../../../MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\">Avguard DLX 拡張機能</a>は、<strong>3ds Max 2008</strong> に完全に組み込まれました。</p>\n\
<h3 id=\"-\">ノード関連のメソッド</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\">IntersectRayScene</a></p>\n\
<p>シーン内のすべてのノードを使用してレイを交差させるための新しいメソッドが追加されました。</p>\n\
<p>ノード モディファイヤ コンテキストの変換メソッド</p>\n\
<p>新しいメソッド <code>setModContextTM()</code> および <code>setModContextBBox().</code> が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Deformable-Methods.html\">ノード変形可能メソッド</a></p>\n\
<p>新しいメソッド <code>isDeformable(), numPoints()</code> および <code>getPointPos().</code> が追加されました。</p>\n\
<p>ノード バウンディング ボックス メソッド</p>\n\
<p>新しいメソッド <code>nodeGetBoundingBox()</code> および <code>nodeLocalBoundingBox().</code> が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">getNodeTM_Method</a></p>\n\
<p>ノードが外部参照シーン オブジェクトである場合にもノードの変換行列を返す新しいメソッド <code>getNodeTM()</code> が追加されました。</p>\n\
<h3 id=\"-\">参照、従属、インスタンス</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">refs.dependentNodes()</a></p>\n\
<p>指定された MAXObject に従属するノードを取得する新しいメソッドが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">notifyDependents()</a></p>\n\
<p>MAXObject のすべての従属を通知する新しいメソッドが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">disableRefMsgs() および enableRefMsgs()</a></p>\n\
<p>参照システムを無効または有効にする新しいメソッドが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\">replaceInstances メソッド</a></p>\n\
<p>既存の <code>replaceInstances()</code> メソッドが更新されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">AreNodesInstances メソッド</a></p>\n\
<p>引数として渡された 2 つのノードがインスタンスである場合に <code>true</code> を返す新しいメソッド <code>areNodesInstances()</code> が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">インタフェース: レイヤ マネージャ</a></p>\n\
<p>レイヤのリファレンスターゲットを返すメソッド <code>getLayerObject()</code> が追加されました。非推奨: Avguard 拡張機能を使用しているスクリプトとの互換性を保つためには、このメソッドを使用しないでください。</p>\n\
<h3 id=\"custattributes-\">CustAttributes 構造体メソッド</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attributes-Definition.html\">カスタム アトリビュートのアトリビュート定義値</a></p>\n\
<p>新しい 2 つのメソッド <code>custAttributes.getDefClass()</code> および <code>custAttributes.getDefInstances()</code> が追加されました。</p>\n\
<h3 id=\"-\">コントローラ メソッドおよび構造体</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Common-Properties-1.html\">clearControllerNewFlag Method</a></p>\n\
<p>コントローラがまだプロパティを割り当てられていない新しいインスタンスであることを示すフラグをクリアするための新しいメソッド <code>clearControllerNewFlag()</code> が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Bezier-Controllers/BezierDefaultParams-Structure.html\">BezierDefaultParams 構造体</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/TCB-Controllers/TCBDefaultParams-Structure.html\">TCBDefaultParams 構造体</a></p>\n\
<p>新規に作成されたキーに対して既定のベジェおよび TCB キーの設定を公開する 2 つの新しい構造体が追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/IK_ControllerMatrix3Controller.html\">IK_ControllerMatrix3Controller : Matrix3Controller</a></p>\n\
<p>IK コントローラの軸の設定(イーズ、最小、最大、ダンピング、角度、スプリングなど)にアクセスするための新しい 20 個のメソッドが <strong>IK 構造体</strong>に追加されました。</p>\n\
<h3 id=\"meshop-\">Meshop 構造体メソッド</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\">Meshop 頂点メソッド</a></p>\n\
<p>既存のメソッド <code>meshop.setVert()</code> および <code>meshop.moveVert()</code> を変更して位置を配列として指定できるようになったので、同時に複数の頂点に影響を与えることが可能になりました。また、polyop.moveVert() メソッドにはソフト選択のサポートも追加されています。</p>\n\
<h3 id=\"polyop-\">Polyop 構造体メソッド</h3><p>Editable_Poly メソッド</p>\n\
<p>既存のメソッド <code>polyop.setVert()</code> および <code>polyop.moveVert()</code> を変更して位置を配列として指定できるようになったので、同時に複数の頂点に影響を与えることが可能になりました。また、polyop.moveVert() メソッドにはソフト選択のサポートも追加されています。</p>\n\
<h3 id=\"-\">スプライン シェイプ メソッド</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\">新しい SplineShape メソッド</a></p>\n\
<p>新しいメソッド <code>weldSpline(), findPathSegAndParam(), findLengthSegAndParam(), interpBezier3D(), tangetBezier3D().</code> が追加されました。</p>\n\
<h3 id=\"-\">配列の値</h3><p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">配列の値</a></p>\n\
<p>配列に一意な値のみが含まれていることを確認するために使用する新しいメソッド <code>appendIfUnique()</code> および <code>makeUniqueArray()</code> が追加されました。</p>\n\
<h3 id=\"-\">グローバル変数管理</h3><p><a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/globalVars-Structure.html\">globalVars 構造体</a></p>\n\
<p><code>GlobalVars</code> 構造体は、グローバル変数を収集、検査、管理するためのメソッドを提供します。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/Persistents-Structure.html\">Persistents 構造体</a></p>\n\
<p><code>Persistents</code> 構造体は、存続グローバル変数を収集、検査、管理するためのメソッドを提供します。</p>\n\
<h3 id=\"-\">ビットマップ値</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">pasteBitmap</a></p>\n\
<p>新しいメソッド <code>pasteBitmap()</code> および <code>getBitmapInfo()</code> が追加されました。このメソッドを使用すると、ビットマップを別のビットマップに貼り付けたり、ビットマップの情報を取得できます。</p>\n\
<h3 id=\"datapair-\">DataPair 値</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/DataPair-Values/DataPair-Values-1.html\">DataPair 値</a></p>\n\
<p>任意のタイプの 2 つの値をラップする新しい <strong>DataPair Value</strong> クラスが追加されました。</p>\n\
<h3 id=\"-\">文字列値メソッド</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\">文字列値メソッド</a></p>\n\
<p>文字列を大文字および小文字に変換する、ある文字列のすべてのオカレンスを別の文字列に置き換える、ライン フィードをキャリッジ リターン/ライン フィードのテキストファイルに変換するための <code>toUpper(), toLower, substituteString(), replace_LF_with_CRLF()</code>、および <code>replace_CRFL_with_LF()</code> メソッドが新しく追加されました。</p>\n\
<h3 id=\"quat-\">Quat およびオイラー値のメソッド</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\">EulerAngles メソッド</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Quat-Values.html\">Quat に関連するメソッド</a></p>\n\
<p>[キー入力変換](Transform Type-In)ダイアログ ボックスに表示されるものと同じオイラー値を返す新しいメソッド <code>quatToEuler2()</code> と、Quat の配列をオイラー角度の配列に変換する新しいメソッド <code>quatArrayToEulerArray()</code> が追加されました。</p>\n\
<h3 id=\"-\">ワールド スペース モディファイヤとスペース ワープ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/SpaceWarp-Related-MAXScript/World-Space-Modifiers-Force.html\">ワールド スペース モディファイヤ - Force 関連メソッド</a></p>\n\
<p>ワールド スペース モディファイヤからのフォースを計算するために使用する新しいメソッドが追加されました。</p>\n\
<h3 id=\"-\">ファイルの入力および出力</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Stream-Values/BinStream-Value-for-Binary.html\">バイナリ読み込みおよび書き込み用 BinStream</a></p>\n\
<p>新しい BinStream I/O メソッド <code>writeLongLong(), writeDouble(), writeFloatAsDouble(), readLongLong(), readDouble()</code> および <code>readDoubleAsFloat().</code> が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Accessing-INI-File-Keys.html\">INI ファイル キーへのアクセス</a></p>\n\
<p>指定されたキーおよび(または)セクションが指定された INI ファイル内に存在する場合に true を返す新しいメソッド <code>hasINIsetting()</code> が追加されました。</p>\n\
<h3 id=\"-\">ファイル名の解析</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/File-Name-Parsing.html\">ファイル名の解析</a></p>\n\
<p>引数がネットワーク パスである場合に true を返す新しいメソッド <code>pathIsNetworkPath()</code> が追加されました。</p>\n\
<h3 id=\"-\">プラグインのロード</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\">その他の関数</a></p>\n\
<p>新しいプラグイン クラスをスキャンして MAXScript に公開する新しいメソッド <code>scanForNewPlugins()</code> が追加されました。</p>\n\
<h3 id=\"-\">ビューポート</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Grids.html\">ビューポート グリッド</a></p>\n\
<p>ビューポート グリッドの間隔と主線を設定するための新しいメソッド <code>setGridSpacing()</code> および <code>setGridMajorLines()</code> が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">Viewport.GetViewportDib()</a></p>\n\
<p>マルチパス カメラ効果プレビューなどのビューポートのデバイスに依存しないビットマップを取得するために使用する新しいメソッド <code>viewport.getViewportDIB()</code> が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">ビューポートに長方形を描画する</a></p>\n\
<p>ビューポートにカラー付きの長方形を描画するための新しいメソッド <code>gw.hRect()</code> および <code>gw.wRect()</code> が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">ビューポートに三角形を描画する</a></p>\n\
<p>ビューポートに一連の三角形を描画するための新しいメソッド <code>gw.startTriangles(). gw.endTriangles()</code> および <code>gw.triangles()</code> が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">ビューポートに三角ストリップを描画する</a></p>\n\
<p>ビューポートに一連の三角形を三角ストリップとして描画するための <code>gw.triStrip()</code> が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Refreshing-the-Viewports.html\">ビューポートのリフレッシュ</a></p>\n\
<p>MAXScript が値を返す前にビューポートを再描画する必要があることを示す内部的な MAXScript フラグを設定するための新しいメソッド <code>setNeedsRedraw()</code> が追加されました。</p>\n\
<h3 id=\"-\">アニメーション再生</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\">isAnimPlaying</a></p>\n\
<p>アニメーションが再生されている場合は true を返し、再生されていない場合は false を返す新しいメソッド <code>isAnimPlaying()</code> が追加されました。</p>\n\
<h3 id=\"-\">システム グローバル変数</h3><p><a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">timeDisplayMode</a></p>\n\
<p>時間表示モードを取得および設定するために使用する新しいシステム グローバル変数 <code>timeDisplayMode</code> が追加されました。</p>\n\
<h3 id=\"-\">レンダラー</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\">レンダラー</a></p>\n\
<p><strong>3ds Max 6</strong> で廃止された従来のドラフト レンダラー（古いファイルにまだ存在する可能性があります）を取得、リセットするための新しいメソッド <code>renderers.GetDraftRenderer()</code> および <code>renderers.ClearDraftRenderer()</code> が追加されました。</p>\n\
<h3 id=\"-\">マウス カーソル</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Mouse-Cursors.html\">マウス カーソル</a></p>\n\
<p>新しい読み取り専用プロパティ <code>mouse.inAbort</code> が追加されました。</p>\n\
<h3 id=\"-\">パスとファイル名</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/MAXScript-Source-Filename-Access.html\">MAXScript のソース ファイル名へのアクセス</a></p>\n\
<p>新しいメソッド <code>getThisScriptFilename()</code> が追加されました。これは <code>getSourceFileName()</code> と同じですが、Avguard 拡張機能で長い間使用可能であり、拡張機能を使用するように作成されたスクリプトとの下位互換性のために提供されています。</p>\n\
<h3 id=\"-\">外部コマンドおよびプログラムの実行</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Executing-External-Commands.html\">外部コマンドおよびプログラムの実行</a></p>\n\
<p>隠しウィンドウ内で DOS コマンドを実行するための新しいメソッド <code>HiddenDOSCommand()</code> が追加されました。</p>\n\
<h3 id=\"-\">オペレーティング システムとの連携</h3><p><a href=\"./../../../Interaction-With-The-Operating/Copy-To-and-From-Clipboard.html\">クリップボードへのコピーとクリップボードからのコピー</a></p>\n\
<p>Windows クリップボードとの間でテキストおよびビットマップ値を取得および設定するための新しいメソッド <code>getClipBoardText(), setClipboardText(), getClipboardBitmap()</code>、<code>setClipboardBitmap()</code> が追加されました。</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/System-Information.html\">システム情報</a></p>\n\
<p>CPU ごとの処理とシステムの親和性を取得および設定するための新しいプロパティ <code>sysinfo.processAffinity</code> および <code>sysinfo.systemAffinity</code> が追加されました。</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/System-Tools.html\">システム ツール</a></p>\n\
<p>Windows の環境変数の値を取得および設定するための新しいメソッド <code>systemTools.getEnvVariable()</code> および <code>systools.setEnvVariable()</code> が追加されました。</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/Windows-Structure.html\">Windows 構造体</a></p>\n\
<p>子ウィンドウ、<strong>3ds Max</strong>、および Windows デスクトップのウィンドウ HWND 値にアクセスするための新しい <strong>Windows</strong> 構造体が追加されました。</p>\n\
<h3 id=\"windows-\">Windows レジストリへのアクセス</h3><p><a href=\"./../../../Interaction-With-The-Operating/Registry-Access/Registry-Structure.html\">Registry 構造体</a></p>\n\
<p>Windows レジストリ キーおよびレジストリ値にアクセスするための新しい <strong>Registry</strong> 構造体が追加されました。</p>\n\
<p><a href=\"./../../../Interaction-With-The-Operating/Registry-Access/HKey-Values.html\">HKey の値</a></p>\n\
<p>レジストリ キーの値を表す新しい <strong>HKey の値</strong>クラスが追加されました。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-13.html\">3ds Max 2008 の MaxScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-4.html\">3ds Max 2008 におけるドキュメントの変更点</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";