var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-DE2A75A8-1CD5-4B21-86B4-5DCD5BC9D0A3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 9 におけるドキュメントの変更点</h1></div><p><strong>3ds Max 9</strong> の更新にあたり、MAXScript オンライン リファレンスに対して、次の変更が行われました。</p>\n\
<h2 id=\"-\">追加</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><strong>3ds Max 8</strong> で追加された <strong>IScriptCtrl</strong> インタフェースに関するドキュメントの不足を追記しました。このインタフェースは、新しい<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\">スクリプト コントローラ</a>へのフル アクセスを提供します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><strong>3ds Max 8</strong> で導入された <code>hdr:</code> <a href=\"./../../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">ビットマップ値</a>パラメータに関するドキュメントの不足を追記しました**。このパラメータを使用すると、既定値の 8 ビット/チャネルのビットマップの代わりに 32 ビット/チャネルのビットマップを構築することができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><strong>3ds Max 8</strong> で導入された <a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\">render() メソッド</a> の <code>outputHDRbitmap:</code>パラメータに関するドキュメントの不足を追記しました**。このパラメータを使用すると、既定値の 8 ビット/チャネルのビットマップの代わりに 32 ビット/チャネルのビットマップをレンダリングすることができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><strong>3ds Max 8</strong> で追加された、スクリプト エディタの[行か文字に移動](Go To Line Or Character)ダイアログ ボックスに関する<strong>ドキュメント</strong>の不足を追記しました。<strong>[Ctrl]+[J]</strong>キーを押すと、行数または文字数を入力するモーダル ダイアログ ボックスが表示されて、デバッガの出力やリスナーのエラー メッセージに基づいてソース コード内の対応する位置にジャンプできます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><strong>3ds Max 8</strong> で、<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">スキン モディファイヤ</a>によって公開される SkinOps 構造体に追加された <code>skinOps.setWeight(), skinOps.weightTool(), skinOps.isWeightToolOpen()</code> および <code>skinOps.closeWeightTool()</code> メソッドに関するドキュメントの不足を追記しました。また、<code>skinOps.unNormalizeVertex()</code> メソッドに、不足している 3 つめのブール値パラメータが追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">トピック「<a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\">外部ファイル メソッド</a>」に、<code>makeDir()</code> メソッドに対する <strong>all:</strong>オプション キーワード引数に関するドキュメントの不足を追記しました**。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">Asset Tracking System を公開している「<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSOps.html\">ATSOps インタフェース</a>」の次のメソッドに関するドキュメントの不足を追記**しました: <code>OpenProject(), CloseProject(), GetFilesByFileSystemStatus(), GetMinVersion(), GetMaxVersion(), GetVersion(), GetNotificationProviderIndex()</code> </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">外部参照オブジェクトによって公開される <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"#the-following-mixininterface-represents-an-object-xref-proxy-\">IXrefProxy インタフェース</a>および <a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"#the-following-mixininterface-represents-an-object-xref-proxy-\">IXrefObject インタフェース</a>に関する<strong>ドキュメントの不足を追記しました</strong>。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><strong>これまでドキュメント化されていなかったメソッド</strong> <code>biped.loadFigJustTwists()</code> と <code>biped.loadFigNoTwists()</code> を、「<a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Load-and-Save-Methods.html\">Biped のロードと保存</a>」に追記しました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">これまでドキュメント化されていなかったメソッド <code>previously undocumented methods biped.createCopyCollection(), biped.numCopyCollections(), biped.getCopyCollection(), biped.deleteCopyCollection(), biped.deleteAllCopyCollections()</code> を「<a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Copy-and-Paste-Posture.html\">Biped の姿勢のコピーと貼り付け</a>」に追加しました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">** これまでドキュメント化されていなかった** <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Twist-Poses.html\">Biped ツイスト ポーズ</a> コントロールに関連するメソッドの説明を追加しました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><strong>これまでドキュメント化されていなかった</strong> <a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Quaternions-Euler.html\">Biped クォータニオン/オイラー</a>に関連するメソッドの説明を追加しました。</p>\n\
<h2 id=\"-\">その他の変更</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">「<a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\">animationRange のドキュメント</a>」の説明文を、[シーンをレンダリング](Render Scene)ダイアログ ボックスで使用される<strong>用語に合わせて修正し</strong>、検索しやすくしました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">「<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Reactor-Controllers/Reactor-Controllers-1.html\">Reactor コントローラ</a>」トピックの <code>&lt;index_integer&gt;</code> パラメータの説明文を<strong>変更しました</strong>。従来の記述では、「リアクションの順序は、リアクションが作成される順序、およびリアクションが[リアクタ パラメータ](Reactor Parameters)ダイアログ ボックスに表示される順序です。」となっていました。 この動作は変更されています。コントローラおよびダイアログ ボックスは以前のリリースでリファクタリングされ、現在はリアクションの値に基づいてダイアログ ボックスに表示されるようになっており、ダイアログに表示される順序は作成順序とは関係なくなりました。新しい説明は、「リアクションの順序は、リアクションが作成される順序」です。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-15.html\">3ds Max 9 の MaxScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"What-was-New-in-MAXScript-in-3ds-16.html\">3ds Max 9 の MaxScript の新機能</a></li>\n\
          <li><a class=\"link\" href=\"MAXScript-Language-Improvements.html\">3ds Max 9 の MAXScript 言語に関する改良点</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";