var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F946B645-8672-43DA-BB60-8B19805120FE\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 9 の MaxScript の新機能</h1></div><p>このページでは、<strong>3ds Max 9</strong> の MAXScript 言語の変更と改良点について簡単にその概要を説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<h2 id=\"-\">ジオメトリ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/ProBoolean-Extension.html\">ProBoolean 拡張機能</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/Interface-PolyBoolean.html\">インタフェース: PolyBoolean</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> ProBoolean 合成オブジェクトを作成および管理するためのメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/Interface-ProCutter.html\">インタフェース: ProCutter</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> ProCutter 合成オブジェクトを作成および管理するためのメソッドを公開します。</p>\n\
<h2 id=\"-\">露出制御</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/ToneOperator-MAXWrapper/Logarithmic_Exposure_Control.html\">Logarithmic_Exposure_Control : ToneOperator</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> この露出コントロールに使用する <strong>新しいトーン マッピング アルゴリズム</strong>を実装しました。旧バージョンのアルゴリズムは、下位互換性を維持するために引き続き使用できます。新旧の動作を切り替えるための新しいプロパティ <strong>.useLegacyAlgorithm</strong> を追加しました。</p>\n\
<h2 id=\"directx-directx-\">DirectX および DirectX シェーダ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneEffectLoader.html\">インタフェース: SceneEffectLoader</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい SceneEffectLoader インタフェース</strong>は、[シーンの効果ローダ](Scene Effect Loader)ユーティリティを MAXScript に公開します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\">ビューポート描画メソッド</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><code>Newmethodgw.setDirectXDisplayAllTriangle()</code> を使用すると、Direct3D ドライバの<strong>[カスタマイズ] (Customize) &gt; [基本設定] (Preferences) &gt; [ビューポート] (Viewports) &gt; [ドライバを設定](Configure Driver)</strong>ダイアログ ボックスにチェックボックスとして表示されている UI、<strong>[三角形エッジをすべて表示](Display All Triangle Edges)</strong>を変更できます。</p>\n\
<h2 id=\"mental-ray\">mental ray</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>2 つの新しい読み込み専用プロパティ</strong>(<strong>.LastTotalNonRenderTime_ms</strong> および <strong>.LastTotalGeomTranslationTime_ms</strong>)を mental ray レンダラーに追加しました。これらのプロパティには、変換時間に関する詳細が含まれています。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい Arch &amp; Design マテリアル</strong>(<strong>3ds Max 9</strong> で追加)は、シェーダ プリセット、光沢反射、カスタム BRDF 反射機能、ビルトインの環境オクルージョン、ラウンド コーナー効果などの高度な機能を提供します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいフォトメトリック ライト</strong>を <strong>3ds Max 9</strong> に追加しました。mental ray を使用してレンダリングした場合に、物理的に正確なスカイ ライトおよびサン ライトを実現します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい mental ray シェーダ</strong>を <strong>3ds Max 9</strong> に追加しました。物理的な空を環境マップとして視覚的に表します。</p>\n\
<h2 id=\"-\">ビットマップ プロキシの管理</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BitmapProxyMgr.html\">インタフェース: BitmapProxyMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい BitmapProxyMgr インタフェース</strong>は、MAXScript にビットマップ プロキシ システムを公開します。</p>\n\
<h2 id=\"asset-tracking-system\">Asset Tracking System</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSOps.html\">インタフェース: ATSOps</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいプロパティ</strong> <strong>CheckNetworkPaths</strong> をアセット トラッキング システムに追加しました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいメソッド</strong> <code>GetFileStatus(), GetFileSystemStatus(), TestFileSystemStatus().</code> をアセット トラッキング システムに追加しました。ファイルの状態を問い合わせることができます。 </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいメソッド</strong>(<code>ResolveSelectionToUNC(), ResolveSelectionRelativeToProjectFolder()</code>、および <code>ResolveSelectionToAbsolute()</code>)をアセット トラッキング システムに追加しました。選択したパスを UNC、相対パス、または絶対パスに変換することができるようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>&lt;void&gt;</code>から <code>&lt;boolean&gt;</code> に変更された <code>checkin(), checkout(), undocheckout(), addfiles()</code> および <code>getlatest()</code> の値を返します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいメソッド</strong> <code>IsInputFile(), SetWorkingFolder(), GetWorkingFolder(), IsFileShareLocked()</code> をアセット トラッキング システムに追加しました。 </p>\n\
<h2 id=\"-\">パスの設定、アクセス、および管理</h2><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">PathConfig 構造体</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい PathConfig 構造体</strong>は、相対パスと絶対パスを操作し、システム パスおよびプロファイル パスにアクセスするための高度なメソッドを公開します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\">3ds Max システム ディレクトリ</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいパス名を追加しました。</strong>システム ディレクトリ名の値を要求する <code>GetDir(), SetDir()</code> および <a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\">pathConfig 構造体</a>の一部のメソッドに対するオプションとして、<code>#animations, #archives, #downloads, #maxData, #Photometric, #proxies, #renderassets, #renderPresets, #renderoutput, #temp, #userMacros, #userScripts, #userStartupScripts, #userIcons</code> を追加しました。 </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> MAXScript に<strong>新しいメソッド</strong> <code>ConvertDirIDToInt()</code> を追加しました。システム ディレクトリ名 ID に対応する整数を返します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\"#map-path-methods-\">mapPaths 構造体</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいメソッド</strong>(<code>getFullFilePath()</code>)を <code>mapPaths</code> 構造体に追加しました。マップ パスを使用してファイル名を解決し、このファイルが見つかった場合には完全な修飾名を返します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/pluginPaths-Struct.html\">pluginPaths 構造体</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><strong>新しいプラグイン パス</strong>構造体は、<code>count()</code> と <code>get()</code> の 2 つのメソッドを提供します。count() メソッドは定義されているプラグイン パスの数を返し、get() はインデックス付きのプラグイン パスを返します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\"#xref-path-methods-\">xrefPaths 構造体</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいメソッド</strong>(<code>getFullFilePath()</code>)を <code>mapPaths</code> 構造体に追加しました。外部参照パスを使用してファイル名を解決し、このファイルが見つかった場合には完全な修飾名を返します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/Symbolic-Pathnames.html\"#symbolicpaths-struct\">SymbolicPaths 構造体</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい symbolicPaths 構造体</strong>は、システム シンボル パスへのアクセスおよびユーザ定義のシンボル パスの管理を行うための高度なメソッドを公開します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/Log-System.html\">logsystem_Struct</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいメソッド <code>logName</code> を <code>logsystem</code> 構造体に追加しました。このメソッドを使用して、ログ ファイル名とパスを定義することができます。</p>\n\
<h2 id=\"-string-filename-\">ファイル名のプロパティおよび引数の型の String から Filename への変更</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/BakeElement/Bake-Elements.html\">ベイク処理要素</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> すべてのベイク処理要素におけるプロパティ <code>.fileName</code> および <code>.fileType</code> の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/bipedSystem-System.html\">bipedSystem : System</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> プロパティ <code>.fileName</code> および <code>.dirName</code> の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/BitmapTexture-TextureMap.html\">BitmapTexture : TextureMap</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> プロパティ <code>.fileName</code> の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/HairMod-Modifier.html\">HairMod : モディファイヤ</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">ヘア インタフェースの <code>SavePreset()</code> メソッドと <code>LoadPreset()</code> メソッドにおけるプリセット名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Particle_Cache-SpacewarpModifier.html\">Particle_Cache : SpacewarpModifier</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\">Point_Cache :モディファイヤ</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\">Point_CacheSpacewarpModifier : SpacewarpModifier</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> プロパティ <code>.cache_name</code> の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Reflect_Refract-TextureMap.html\">Reflect_Refract : TextureMap</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> プロパティ <code>.bitmapName</code> および <code>.outputName</code> の型を String に対応する StringsArray からFilename に対応する FilenameArray に変更しました。 </p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\">インタフェース: RenderElementMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>SetCombustionOutputPath()</code> メソッドと <code>SetRenderElementFilename()</code> メソッドのファイル名引数の型、および <code>GetCombustionOutputPath()</code> メソッドと <code>GetRenderElementFilename()</code> メソッドの戻り値の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW : モディファイヤ</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>renderUV()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Viewport-Manager/ViewportManagerCustAttrib.html\">ViewportManagerCustAttrib インタフェース: viewportmanager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>saveFXFile()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-colorMan.html\">インタフェース: colorMan</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>loadColorFile(), saveColorFile(), setIconFolder()</code> に対するファイル名引数の型、およびメソッド <code>getColorFile(), getFileName(), getIconFolder()</code> の戻り値の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-msZip.html\">インタフェース: msZip</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>fileInPackage()</code> および <code>unloadPackage()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\">インタフェース: menuMan</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>loadMenuFile()</code> および <code>saveMenuFile()</code> に対するファイル名引数の型、およびメソッド <code>getMenuFile()</code> の戻り値の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\">インタフェース: actionMan</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>loadKeyboardFile()</code> および <code>saveKeyboardFile()</code> に対するファイル名引数の型、およびメソッド <code>getKeyboardFile()</code> の戻り値の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-dragAndDrop.html\">インタフェース: dragAndDrop</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>dropPackage(), downloadPackage()</code> および <code>DownloadUrlToDisk()</code> に対するファイル名引数の型、およびメソッド <code>getDownloadDirectory()</code> の戻り値の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LoadSaveAnimation.html\">インタフェース: LoadSaveAnimation</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>getAnimFileDirectory()</code> および <code>getAnimMapFile()</code> で返される型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BitmapLayerManager.html\">インタフェース: BitmapLayerManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">メソッド <code>getLayerCount()</code>、<code>getLayerName()</code>、および <code>LoadLayer()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\">インタフェース: maxOps</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>canImportBitmap()</code> および <code>loadCUIFile()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BrushPresetMgr.html\">インタフェース: BrushPresetMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>LoadPresetFile()</code> および <code>SavePresetFile()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-visualMS.html\">インタフェース: visualMS</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>createFormFromFile()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p>インタフェース: XMLMaterial</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>export()</code> および <code>exportArray()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/Interface-Hair.html\">インタフェース : Hair</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>ExportDRA()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Workbench-MAXScript-Extensions/WorkBench-Core-Interfaces/BipAnalyzer-Core-Interface.html\">インタフェース: BipAnalyzer</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>LoadAnalysisFile()</code> および <code>SaveAnalysisFile()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSCustomDepsOps.html\">インタフェース: ATSCustomDepsOps</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>GetFiles(), AddFile(), SetFile()</code> および <code>RemoveFileByName()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MemStream.html\"\">インタフェース: memStreamMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>openFile()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\">Mixin インタフェース: maxOps.GetCurRenderElementMgr(...) : インタフェース: RenderElementMgr</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>SetCombustionOutputPath()</code> および <code>SetRenderElementFilename()</code> に対するファイル名引数の型、およびメソッド <code>GetCombustionOutputPath()</code> と <code>GetRenderElementFilename()</code> の戻り値の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-9.html\">Mixin インタフェース: memStreamMgr.openString(...) : インタフェース: memStream</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>getFileName()</code> の戻り値の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NetRender.html\">Mixin インタフェース: netRender.getManager(...) : インタフェース: NetManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">メソッド <code>NewJob()</code> に対する file: キーワード引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SchematicViews.html\">Mixin インタフェース: (schematicviews.open &quot;A&quot;;schematicviews.current) : インタフェース: SchematicView</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> メソッド <code>getBackgroundImageName()</code> の戻り値の型、およびメソッド <code>setBackgroundImageName()</code> に対するファイル名引数の型を String から Filename に変更しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-batchRenderMgr.html\">Mixin インタフェース: batchRenderMgr.createView(...) : インタフェース: batchRenderViewOps</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> プロパティ <code>.presetFile</code> および <code>.outputFilename</code> の値の型を String から Filename に変更しました。</p>\n\
<h2 id=\"-\">自動バックアップ</h2><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/Controlling-the-Autobackup.html\"\">自動バックアップのコントロール</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\">インタフェース: autosave</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい autosave インタフェース</strong> は自動バックアップ機能を公開します。ユーザはこのインタフェースを使用して自動バックアップ機能を使用可能/使用不可にしたり、バックアップの間隔や自動バックアップ ファイルの数と名前を変更したり、タイマーをリセットしたり、自動バックアップ システムが現在アクティブであるかどうかをチェックすることができます。自動バックアップ システムはリファクタリングされ、シーンを保存する必要性を表すシーン ダーティ フラグを考慮するようになりました。さらに、保存が完了するとタイマーがリセットされ、ユーザがシーンを十分に作業してから次の自動保存が行われるようになりました。</p>\n\
<h2 id=\"-\">コントローラ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/GetDriverController-Method.html\">GetMasterController() メソッド</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいメソッド</strong>は、システムのマスター コントローラへのアクセスを提供します。</p>\n\
<h2 id=\"-\">アニメーション レイヤ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AnimLayerManager.html\">インタフェース: AnimLayerManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい AnimLayerManager インタフェース</strong>は、MAXScript にアニメーション レイヤ システムを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Float_Layer-FloatController.html\">Float_Layer : FloatController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい Float_Layer コントローラ</strong>は、階層化された実数型コントローラを管理する目的でアニメーション レイヤ システムによって作成および使用されます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Point3_Layer-Point3Controller.html\">Point3_Layer : Point3Controller</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい Point3_Layer コントローラ</strong>は、階層化された Point3 コントローラを管理する目的でアニメーション レイヤ システムによって作成および使用されます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Point4_Layer-Point4Controller.html\">Point4_Layer : Point4Controller</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい Point4_Layer コントローラ</strong>は、階層化された Point4 コントローラを管理する目的でアニメーション レイヤ システムによって作成および使用されます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Position_Layer.html\">Position_Layer : PositionController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい Position_Layer コントローラ</strong>は、階層化された位置コントローラを管理する目的でアニメーション レイヤ システムによって作成および使用されます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Rotation_Layer.html\">Rotation_Layer : RotationController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい Rotation_Layer コントローラ</strong>は、階層化された回転コントローラを管理する目的でアニメーション レイヤ システムによって作成および使用されます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Scale_Layer-ScaleController.html\">Scale_Layer : ScaleController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい Scale_Layer コントローラ</strong>は、階層化されたスケール コントローラを管理する目的でアニメーション レイヤ システムによって作成および使用されます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Layer_Output-FloatController.html\">Layer_Output : FloatController</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい Layer_Output コントローラ</strong>は、レイヤ コントローラの出力を管理する目的でアニメーション レイヤ システムによって作成および使用されます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Animation-Layer-Controllers/Layer-Controller-Interfaces.html\">レイヤ コントローラ インタフェース</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>すべてのアニメーション レイヤ コントローラ</strong>(Layer_Output コントローラを除く)は、<strong>レイヤ インタフェース</strong>を公開します。</p>\n\
<h2 id=\"layermanager-\">LayerManager インタフェース</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">インタフェース: LayerManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>layermanger.newlayerfromname()</code> を呼び出すと、<strong>新しいレイヤが作成された</strong>コールバックがトリガされます。これまでのバージョンでは、コールバック通知パラメータをポーリングすると、誤った名前(<code>layermanager.newlayer()</code> が報告する既定値の名前と同じもの)が報告されていました。このエラーは修正されました。</p>\n\
<h2 id=\"-\">オブジェクトの外部参照</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\">IXrefItemインタフェース</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 次のプロパティが書き込み可能になりました: <code>srcFileName, srcItemName</code> </p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"#the-following-mixininterface-represents-an-object-xref-proxy-\">IXrefProxy</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 次のプロパティが書き込み可能になりました: <code>proxyFileName, proxyItemName</code> </p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\"#the-following-mixininterface-represents-an-object-xref-record-\">IXrefRecord</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 次のプロパティが読み取り/書き込み可能になりました: <code>srcFileName</code> </p>\n\
<h2 id=\"-\">名前付き選択セット</h2><p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/SelectionSet-Values.html\">SelectionSet 値</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 名前付き選択セットの<strong>新しい</strong> <code>.name</code> <strong>プロパティ</strong>を取得および設定できるようになりました。このため、既存の名前付き選択セットの名前を直接変更できるようになり、古い選択セットを削除して新しい選択セットを作成しなおして新しい名前を付ける必要はなくなりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>isDeleted()</code> <strong>メソッド</strong>を名前付き選択セットに対しても使用できるようになりました。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\">SelectionSetArray 値</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 名前付き選択セットに対して <code>deleteItem()</code>** メソッド**を使用する場合に、2 つ目の引数として選択セットの名前ではなく選択セットの値を使用できるようになりました。</p>\n\
<h2 id=\"-\">ポイント キャッシュ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Point_Cache-Modifier.html\">Point_Cache: モディファイヤ</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> PointCache モディファイヤは、従来はフリーのプラグインであった PointCache2 モディファイヤに置き換えられました。新しいポイント キャッシュ モディファイヤは、キャッシュの再生をより高度に制御したり、同一のデータ フォーマットを使用する新しいキャッシュを実装している Autodesk Maya と変形データおよびアニメーション データを共有したりできるようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 同じモディファイヤにより、PointCache モディファイヤによって現在のメモリ使用量を取得するためのメソッド <code>pointCacheMan.GetMemoryUsed()</code> を公開する PointCacheMan 構造体が定義されます。 </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 同じモディファイヤにより、MAXScript によってキャッシュ下のモディファイヤの有効化/無効化、キャッシュの記録、再ロード、およびアンロードを行うためのメソッド <code>: CacheOps.DisableBelow(), cacheOps.EnableBelow(), cacheOps.RecordCache(), cacheOps.Reload, cacheOps.Unload()</code> を公開する CacheOps 構造体が定義されます。 </p>\n\
<h2 id=\"-\">単純な面データ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-simpleFaceManager.html\">インタフェース: simpleFaceManager</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しい面ごとのデータ保存</strong>が <strong>simpleFaceManager インタフェース</strong>および <strong>simpleFaceChannel Mixin インタフェース</strong>によって MAXScript に公開され、そのメソッドの一部によって返されます。それぞれの面の中で、整数、インデックス、実数、ブール値、point2 および point3 の値を保持できるようになります。</p>\n\
<h2 id=\"-\">ダイアログ モニタ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DialogMonitorOPS.html\">インタフェース: DialogMonitorOPS</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\">インタフェース: UIAccessor</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>DialogMonitorOPS インタフェース</strong>は、UI の動作によってトリガされるカスタム コールバックを登録し、<strong>UIAccessor Interface</strong> によって公開されるメソッドを使用してダイアログやポップアップを自動的に処理するためのシステムです。</p>\n\
<h2 id=\"-\">リファレンス ターゲット モニタ</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/RefTargetMonitor/RefTargMonitor-ReferenceTarget.html\">RefTargMonitor : ReferenceTarget</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> このクラスは、あらゆる ReferenceTarget に対する間接的な参照を保持します。主に内部テストを目的として追加されたものですが、スクリプトとしても便利な用途がある可能性があるため、アクセス可能な状態にしてあります。</p>\n\
<h2 id=\"-\">システム</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RingArray.html\">インタフェース: RingArray</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>RingArray インタフェース</strong>は、RingArray システムの作成方法を公開します。RingArray には 3ds Max における実際の機能はなく、このインタフェースは主にテストおよびデバッグを目的として作成されたものです。このインタフェースはシステムの一例に過ぎません。</p>\n\
<h2 id=\"character-studio\">character studio</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-General-Topics/Biped-Node-Hierarchy.html\">Biped のノード階層</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいメソッド</strong>が Biped 構造体に追加されました(<code>biped.maxTwistNodes(), biped.maxTwistLinks()</code> および <code>biped.getTwistStartID()</code>)。character studio Biped 内のねじれたノードおよびリンクに MAXScript がアクセスできるようになりました。</p>\n\
<h2 id=\"-\">ビューポートのフレーム レート</h2><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">viewport.getFPS</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいメソッドがビューポート構造体に追加</strong>されました。[統計を表示](Show Statistics)オプションによって提供される現在のビューポートのフレーム レートの測定値に MAXScript がアクセスできるようになりました。</p>\n\
<h2 id=\"-\">コミュニケーション センター</h2><p>CommCenterGUP : GlobalUtilityPlugin</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>新しいグローバル ユーティリティ プラグインが追加</strong>されましたが、プロパティ、メソッド、インタフェースは公開されていません。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-15.html\">3ds Max 9 の MaxScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"MAXScript-Language-Improvements.html\">3ds Max 9 の MAXScript 言語に関する改良点</a></li>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-5.html\">3ds Max 9 におけるドキュメントの変更点</a></li>\n\
          <li><a class=\"link\" href=\"../../../What-is-New-in-MAXScript.html\">MAXScript の新機能</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";