var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-D42EB461-C7DD-410B-89B3-7D477B030D40\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2021 および Update の MAXScript の新機能</h1></div><p>このトピックでは、<strong>3ds Max 2021</strong> および更新に含まれる MAXScript 言語の変更および改善点についての概要を簡単に説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2021-3-update-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2021.3 Update の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>スタートアップ スクリプトのロード</strong></td>\n\
<td><a href=\"./../../MAXScript-Introduction/General-MAXScript-Topics/Startup-Scripts.html\">スタートアップ スクリプト</a>のロード方法が変更されました。隠しファイルまたはシステム アトリビュートが設定されたスクリプト、または隠しフォルダまたはシステム フォルダ(%LocalAppData% および %ProgramData% 以外)にあるスクリプトは、起動時にロードされなくなります。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>MAXScript ヒープ サイズ</strong></td>\n\
<td>MAXScript ヒープ サイズの初期割り当てが 15 MBから 100 MBに増えました。これにより、リボンを開いているときのパフォーマンスが向上します。詳細については、「<a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\"\">メモリの割り当てとガベージ コレクション</a>」を参照してください。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>ビューポートのブルーム設定</strong></td>\n\
<td>ブルーム設定が公開され、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"><code>ViewportViewSettingImpl</code></a> にドキュメント化されました。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>Quicksilver レンダラー</strong></td>\n\
<td>新しく公開された反射とブルーム設定は、<a href=\"./../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\"\">Quicksilver_Hardware_Renderer</a> で対応しています。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>サブディバイド モディファイヤ</strong></td>\n\
<td>サブディバイド モディファイヤには 3 つの新しい再メッシュ アルゴリズムがあります。この機能は <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Subdivision-Surfaces/Subdivide-Modifier.html\"\">Subdivide:Modifier</a> および <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/SubdivideSpacewarpModifier.html\"\">subdivideSpacewarpModifier</a> クラスに公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>PBR 読み込み</strong></td>\n\
<td>新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/PBRImporter-UtilityPlugin.html\"\">PBRImporter</a> インタフェースには、PBR 読み込み機能の一部が公開されています。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>コールバック情報</strong></td>\n\
<td><code>SceneFileEmebedded:true|false</code> を使用してシーン ファイルからコールバックの定義がロードされた時点が、<a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\"#inspecting-callbacks\"><code>callbacks.show()</code></a> 関数で示されるようになりました</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2021-2-update-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2021.2 Update の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td><strong>スプライン面取りモディファイヤ</strong></td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Spline_Chamfer-Modifier.html\"\">Spline_Chamfer : モディファイヤ</a>は、新しいスプライン面取りモディファイヤ機能のプロパティを公開します。</td>\n\
</tr>\n\
<tr>\n\
<td><strong>スクリプト実行関数</strong></td>\n\
<td><a href=\"./../../MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\"#executescriptfile\">executeScriptFile()</a> 関数は、スクリプトファイルを実行して、生成される可能性のあるエラー メッセージを返す方法を提供します</td>\n\
</tr>\n\
<tr>\n\
<td><strong>これまでドキュメント化されていなかった項目</strong></td>\n\
<td>• <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-autosave.html\"\">インタフェース: autosave</a> に <code>autosave.BailoutEnabled()</code> および <code>autosave.autoBackupNow()</code> がドキュメント化されました。<br> • <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"\">インタフェース: NitrousGraphicsManager</a> に、<code>ShadedRenderMode</code> を含む、いくつかの欠落していたプロパティがドキュメント化されました。このトピックは、更新された UI を反映して再編成されています。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2021-1-update-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2021.1 Update の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>コールバック管理</td>\n\
<td>新しい関数で、次に示す一部のコールバック タイプを有効または無効にできるようになりました。<a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">時間変更コールバック</a>: <code>timeCallbacksEnabled()</code>、<code>enableTimeCallbacks()</code>、<code>disableTimeCallbacks()</code>、<a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">ビューポート再描画コールバック</a>: <code>redrawViewsCallbacksEnabled()</code>、<code>enableRedrawViewsCallbacks()</code>、<code>disableRedrawViewsCallbacks()</code><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">選択フィルタ コールバック</a>: <code>selectFilterCallbacksEnabled()</code>、<code>enableSelectFilterCallbacks()</code>、<code>disableSelectFilterCallbacks()</code><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">表示フィルタ コールバック:</a><code>displayFilterCallbacksEnabled()</code>、<code>enableDisplayFilterCallbacks()</code>、<code>disableDisplayFilterCallbacks()</code></td>\n\
</tr>\n\
<tr>\n\
<td>テクスチャにベイク処理</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTexture : UtilityPlugin</a> インタフェースに、追加機能をサポートする新しいメンバー <code>alwaysSkipExistingFiles``getOutputTo()</code> / <code>setOutputTo()``getNewMaterial()``getTargetMaterialSlots()``clearShellKeepBaked()</code> / <code>clearShellKeepOriginal()</code> が追加されました。<a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTextureMap</a> インタフェースに新しいメンバー <code>UDIMEnabled``UDIMFilePattern``getTargetMapSlot()``setTargetMapSlot()</code> が追加されました。正常にベイク処理されたファイルを保存するたびに、<a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTexture.bake()</a> に登録できるコールバックが呼び出されるようになり、[テクスチャにベイク処理](Bake To Texture)機能で、複数のファイルを使用する形式(アニメートされたマップや UDIM タイルなど)がサポートされるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>既定のパラメータ管理</td>\n\
<td>新しいインタフェースでパラメータの既定値 <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DefaultParamInterface.html\">DefaultParamInterface</a> を定義できます。</td>\n\
</tr>\n\
<tr>\n\
<td>UI フォーカスとフォアグラウンドのコントロール</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">setFocus()</a> 関数がロールアウトの HWND プロパティを取得できるようになりました。新しい <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">setForegroundWindow()</a> 関数は <code>setFocus()</code> に似ていますが、指定された UI コンポーネントをフォアグラウンドに移動する処理も行います。</td>\n\
</tr>\n\
<tr>\n\
<td>新しい assert 関数</td>\n\
<td>デバッグ用の新しい <a href=\"./../../MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\">assert 関数</a>(<code>assert_array_equal()</code>、<code>assert_matchpattern()</code>、および <code>assert_bitarray_equal()</code>)が用意されています。新しい <code>assert_float_equal()</code> は <code>assert_float()</code> と同じですが、わかりやすい名前になっています。</td>\n\
</tr>\n\
<tr>\n\
<td>新しい createPreview() オプション</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a> 関数には、アニメーション プレビューでマルチパス カメラ効果を表示できる、新しい useMPCamEffect オプションがあります。</td>\n\
</tr>\n\
<tr>\n\
<td>新しい FBX インポータ オプション</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\">FBX インポータ</a>の新しい「PostSamplingKeyReducer」オプションは、変換後にアニメーション キーを削減するかどうかをコントロールします。</td>\n\
</tr>\n\
<tr>\n\
<td>BigMatrix 行の値</td>\n\
<td>浮動小数値の配列に BigMatrix 行の値を直接設定できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>これまでドキュメント化されていなかった項目</td>\n\
<td><code>registerDisplayFilterCallback()</code> 関数が「<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">選択フィルタと表示フィルタを追加する</a>」に記載されるようになりました。登録されたコールバックを表示するこれらの関数が記載されるようになりました(<code>showregisteredTimeCallbacks()``showregisteredSelectFilterCallbacks()``showregisteredDisplayFilterCallbacks()``showregisteredRedrawViewsCallbacks()</code>)。<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a> 関数の dspSpaceWarps オプションが記載されるようになりました。</td>\n\
</tr>\n\
</tbody></table>\n\
<h2 id=\"-img-src-images-guid-756a4dd2-b53e-4716-9098-4bd1f8feee66-low-png-alt-3ds-max-2021-maxscript-\"><img src=\"./images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\" alt=\"\">3ds Max 2021 の MAXScript の新機能</h2><table>\n\
<thead>\n\
<tr>\n\
<th></th>\n\
<th></th>\n\
</tr>\n\
</thead>\n\
<tbody><tr>\n\
<td>[テクスチャにベイク処理](Bake to Texture)のサポート</td>\n\
<td>BakeToTexture : UtilityPlugin は、新しい[テクスチャにベイク処理](Bake to Texture)機能を公開します。</td>\n\
</tr>\n\
<tr>\n\
<td>スクリプト エディタの Python のサポート</td>\n\
<td>Python 言語モードでは、タブ文字を入力すると、スクリプト エディタによってタブ文字ではなく 4 つのスペースが挿入されるようになりました。これは、PEP-0008 に準拠しています。</td>\n\
</tr>\n\
<tr>\n\
<td>プラグイン パッケージ マネージャの追加</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PluginPackageManager.html\">PluginPackageManager</a> インタフェースには、シーン コンバータ、OSL、および AMG パスに関する情報を返す新しいメソッド(<code>GetSceneConverterFoldersCount()``GetSceneConverterFolderFullPath()``GetOSLFoldersCount()``GetOSLFolderFullPath()``GetAMGFoldersCount()``GetAMGFolderFullPath()</code>)があります。</td>\n\
</tr>\n\
<tr>\n\
<td>コールバックの変更</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">callbacks.addScript()</a> メソッドは、2 番目のパラメータとして関数を取れるようになりました。以前は、String、StringStream、または filename を指定する必要がありました。</td>\n\
</tr>\n\
<tr>\n\
<td>重み付けされた法線モディファイヤ</td>\n\
<td>新しい[重み付けされた法線](Weighted Normals)モディファイヤが <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Surface-Modifiers/Weighted_Normals-Modifier.html\">Weighted_Normals: Modifier</a> クラスに公開されました。</td>\n\
</tr>\n\
<tr>\n\
<td>ATF ベースの読み込み</td>\n\
<td>Autodesk Translation Framework (ATF)ベースの読み込みプラグインには、MAXScript に公開されている追加の機能として、<code>.ImportHiddenObjects</code> および <code>.PreserveLayers</code> があります。この機能の適用先は、次のとおりです。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Alias_importer.html\">ATF_Alias_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V4_importer.html\">ATF_CATIA_V4_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V5_importer.html\">ATF_CATIA_V5_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_IGES_importer-ImporterPlugin.html\">ATF_IGES_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_JT_importer-ImporterPlugin.html\">ATF_JT_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_ProE_importer-ImporterPlugin.html\">ATF_ProE_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_SKETCHUP_Import.html\">ATF_SKETCHUP_Import</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Solidworks_importer.html\">ATF_Solidworks_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_STEP_importer-ImporterPlugin.html\">ATF_STEP_importer</a><a href=\"./../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_UG_NX_importer.html\">ATF_UG_NX_importer</a></td>\n\
</tr>\n\
<tr>\n\
<td>スクリプト プラグイン</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">スクリプト プラグイン パラメータ</a>にオプションの <code>localizedName</code> 文字列を使用できるようになりました。この文字列は、UI にパラメータを表示するときに(パラメータ名の代わりに)使用されます。</td>\n\
</tr>\n\
<tr>\n\
<td>ロールアウトの表示設定</td>\n\
<td><a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">ロールアウト</a>には、ダイアログに表示される際に表示するかどうかをコントロールする新しい <code>visible</code> プロパティがあります。<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Methods.html\"#parameter-type-convenience-functions\">2 つの新しいユーティリティ関数</a>を使用すると、パラメータ タイプ名の値を C++ SDK の対応する enum 整数表現、またはその逆(<code>ParamTypeToTypeName()</code> および <code>TypeNameToParamType()</code>) に変換できます。</td>\n\
</tr>\n\
<tr>\n\
<td>for ループ インデックス変数</td>\n\
<td><a href=\"./../../MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">for ループ</a>で、フィルタ処理されたリスト操作とフィルタ処理されていないリスト操作を処理するオプションのインデックス引数を使用できるようになりました。</td>\n\
</tr>\n\
<tr>\n\
<td>SME マテリアル ライブラリ メソッド</td>\n\
<td>マテリアル ライブラリを操作する機能を公開するために、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\">SME インタフェース</a>に、複数の新しいメソッド(<code>OpenMtlLib()``HasMtlLib()``IsMtlLibModified()``SaveMtlLib()``SaveMtlLibAs()``CloseMtlLib()</code>)が追加されました。</td>\n\
</tr>\n\
<tr>\n\
<td>edit_poly モディファイヤの面取りの機能強化</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">edit_poly モディファイヤ</a>の面取りの改善点が新しいプロパティ <code>edgeChamferMiteringType</code> で公開されました(現在は廃止されている <code>edgeChamferType</code> と <code>edgeChamferQuadIntersections</code> を置き換えます)<code>chamferVertexDepth``chamferVertexSegments``chamferVertexSmooth``chamferVertexSmoothThreshold``chamferVertexSmoothType``edgeChamferDepth``edgeChamferEndBias``edgeChamferMiteringType``edgeChamferRadialBias</code>。</td>\n\
</tr>\n\
<tr>\n\
<td>最大メモリ ヒープ使用率</td>\n\
<td>新しい <a href=\"./../../Interaction-With-The-Operating/System-Information.html\"#memory-usage-and-max-process-info-\">sysinfo.getMAXHeapUsed()</a> 関数は、3ds Max が使用しているヒープ メモリの量を返します。</td>\n\
</tr>\n\
<tr>\n\
<td>スクリプト カスタム アトリビュートのロード コールバック</td>\n\
<td><a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attribute-Management.html\"#scene-loading-callbacks-for-custom-attributes\">custAttributes</a> 構造に新しい関数が追加されました。これは、シーン ファイルからロードされるときに定義を変更するために登録できるコールバックの管理に役立ちます(<code>custAttributes.registerDefLoadCallback()``custAttributes.unRegisterDefLoadCallback()``custAttributes.unRegisterAllDefLoadCallbacks()``custAttributes.showregisteredDefLoadCallbacks()</code>)。</td>\n\
</tr>\n\
<tr>\n\
<td>ドキュメントの変更点</td>\n\
<td>アクティブ セグメントの正規時間リテラル形式は、これまでのいくつかのリリースでサポートされていません。また、<a href=\"./../../MAXScript-Language-Reference/Values/Time-Data-Values/Time-Values.html\">時間値</a>および<a href=\"./../../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Time-Literals.html\">時間リテラル</a>のトピックから削除されました。</td>\n\
</tr>\n\
<tr>\n\
<td>廃止予定および削除された項目</td>\n\
<td><code>&lt;ViewportViewSettingImpl&gt;.DefaultLightsFollowCamera</code> プロパティが <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager インタフェース</a>から削除されました。</td>\n\
</tr>\n\
<tr>\n\
<td>これまでドキュメント化されていなかった項目</td>\n\
<td>ロードされたシーンまたは合成されたシーンとの競合が発生した場合に、スクリプト カスタム アトリビュート定義の管理方法を管理するために使用される custAttributes 構造体の関数について、「<a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attribute-Management.html\"#handling-scripted-custom-attribute-definition-conflicts\">スクリプト カスタムアトリビュート定義の競合の処理</a>」に記載されるようになりました。<code>dspFrameNums</code> キーワード引数が <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview() メソッド</a>に追加されました。</td>\n\
</tr>\n\
</tbody></table>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">MAXScript の新機能 (以前のバージョン)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";