var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-0927CD3F-DC90-4054-993B-26A14CCA6592\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2015 の MaxScript の新機能</h1></div><p>このページでは、<strong>3ds Max 2015</strong> の MAXScript 言語の変更および改善点についての概要を簡単に説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<h2 id=\"3ds-max-\">3ds Max の新機能の公開</h2><h3 id=\"-\">新しいジオメトリ クラス</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Populate/Seat-GeometryClass.html\">Seat: GeometryClass</a> が Populate ツールセットに新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Point-Cloud-Objects/PointCloud-GeometryClass.html\">PointCloud: GeometryClass</a> は <strong>3ds Max</strong> にポイント クラウド ロードを実装します。</p>\n\
<h3 id=\"-\">新しい四角形面取りモディファイヤと編集可能ポリゴンの面取りオプション</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> オプションの四角形面取りモードを持つ新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Chamfer-Modifier.html\">Chamfer: モディファイヤ</a> が追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 四角形面取りオプション: <code>.edgeChamferSmooth</code>、<code>.edgeChamferSmoothThreshold</code>、<code>.edgeChamferSmoothType</code>、<code>.edgeChamferType</code>、<code>.edgeChamferTension</code>、 および <code>.edgeChamferInvert</code> を公開するために、既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Properties.html\"#edge-chamfer-extrude-values\">Editable_Poly</a> クラスに新しいプロパティがいくつか追加されました。</p>\n\
<h3 id=\"-iray-\">新しい iray レンダリング要素</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Custom_LPE: RenderElement を使用して、iray レンダラーからカスタムのライトパス式(LPE)を出力することができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Light__Area: RenderElement は、iray レンダラーからエリア ライト LPE を出力します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Light__Environment: RenderElement は、iray レンダラーから環境ライト LPE を出力します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Light__Point: RenderElement は、iray レンダラーからポイント ライト LPE を出力します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Mtl__Caustics: RenderElement を使用して、iray レンダラーからコースティックス LPE を出力できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Mtl__Diffuse : RenderElement を使用して、iray レンダラーから拡散反射光 LPE を出力できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Mtl__Reflections: RenderElement を使用して、iray レンダラーから反射 LPE を出力できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Mtl__Self_Illumination : RenderElement を使用して、iray レンダラーから自己照明 LPE を出力できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Mtl__Translucency: RenderElement を使用して、iray レンダラーからトランスルーセント LPE を出力できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Mtl__Transparency : RenderElement を使用して、iray レンダラーから透明度 LPE を出力できます。</p>\n\
<h3 id=\"-utilityplugin-\">新しい UtilityPlugin クラス</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/PythonHost-UtilityPlugin.html\">PythonHost : UtilityPlugin</a> が新しく追加されましたが、UI コントロール、プロパティ、メソッドは公開されていません。 実際のプロパティとメソッドへのアクセスについては、「<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-python.html\">python コア インタフェース</a>」を参照してください。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/Placement_Utility-UtilityPlugin.html\">Placement_Utility: UtilityPlugin</a> は内部使用のみで、プロパティ、メソッドまたは UI コントロールを公開しません。  新しく統合された配置ツールに関連する実際のプロパティとメソッドについては、「<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PlacementTool.html\">PlacementTool コア インタフェース</a>」を参照してください。</p>\n\
<h3 id=\"-\">新しいコア インタフェース</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nodeSelectionSet.html\">nodeSelectionSet</a> コア インタフェースは、表示とレンダリング制御目的でノード選択セットを作成するためのシステムを提供します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PlacementTool.html\">PlacementTool</a> コア インタフェースは、MAXScript に配置ツールのコントロールおよび機能を公開します。 シーン ジオメトリのサーフェスに、オブジェクトをインタラクティブにまたはスクリプトで配置できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-python.html\">python</a> コア インタフェースは、MAXScript に Python エンジンのコントロールを公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい iray_string_options コア インタフェースは、MAXScript に iray レンダラーの追加の文字列コントロールを公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MaterialPreviewSystem.html\">MaterialPreviewSystem</a> コア インタフェースは内部使用に限定されます。</p>\n\
<h3 id=\"3ds-max-\">3ds Max ユーザ インタフェースを操作するための新しい関数</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Miscellaneous-Functions/3ds-Max-Assert-Display-Functions.html\">3ds Max Assert の表示およびログに関連する新しい関数</a>セット: <code>SetMaxAssertDisplay()</code>、<code>GetMaxAssertLogFileName()</code>、<code>SetMaxAssertLogFileName()</code> を追加</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\" \"> <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Active-Shade-Access.html\">ActiveShade ビットマップにアクセスする</a>ための新しい関数: <code>GetActiveShadeBitmap()</code> を追加</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Active-Shade-Access.html\">ActiveShade ウィンドウを閉じる</a>ための新しい関数: <code>CloseActiveShade()</code> を追加</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Element-Functions.html\">レンダリング要素に関連する関数</a> の新しいセット: <code>ElementFileDialog()</code>、<code>ElementGetCustomGamma()</code>、<code>ElementSetCustomGamma()</code>、<code>ElementGetMetaData()</code>、および <code>ElementSetMetaData()</code> が追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Welcome-Screen-Functions.html\">ようこそ画面に関連する関数</a> の新しいセット: <code>WelcomeScreenLastTabShown()</code>、<code>WelcomeScreenLaunchCount()</code>、<code>WelcomeScreenShowAtStartup()</code> が追加されました。</p>\n\
<h3 id=\"-mental-ray-\">新しいポイント クラウド mental ray シェーダ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Autodesk_Point_Cloud_Generator: textureMap は、mental ray レンダラーにポイント クラウドを生成します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Autodesk_Point_Cloud_Material: material は、mental ray レンダラーにポイント クラウド マテリアルを実装します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Autodesk_Point_Cloud_Base_Shader: textureMap ベースのシェーダは、mental ray でポイント クラウド パーティクルをレンダーするために使用されます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい Autodesk_Point_Cloud_Shader: textureMap は、mental ray レンダラーのポイント クラウド テクスチャ マップを実装します。</p>\n\
<h2 id=\"-3ds-max-\">既存の 3ds Max の強化機能</h2><h3 id=\"cat-\">CAT インタフェースおよびプロパティの変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\">ICATControlFPInterface</a> で、<code>PasteRig()</code> メソッドが最初の引数として <code>&lt;controller&gt;</code> ではなく <code>&lt;maxObject&gt;</code> を必要とするようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\">CATNodeControlFPInterface</a> では、設定およびアニメーション時のコントロールを分けるために、<code>.Stretchy</code> プロパティが 2 つの新しいプロパティによって置き換えられました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\">CATNodeControlFPInterface</a> で、<code>.AnimModeInheritance</code> プロパティの名前が <code>.AnimationModeInheritance</code> に変更されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\">CATNodeControlFPInterface</a> で、既存の <code>AddArbBone()</code> メソッドおよび <code>CreateLayerMatrix3()</code> メソッドがオプションキーワード <code>AsNewGroup:</code> を受け入れるようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerRootFPInterface.html\">LayerRootFPInterface</a> に、レイヤ カラーの取得および設定を可能にする <code>GetLayerColor()</code> メソッドと <code>SetLayerColor()</code> メソッドが新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"><a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\">TailTrans: Matrix3Controller</a> から <code>.BoneID</code> プロパティが削除されました。</p>\n\
<h3 id=\"pop-\">pop インタフェースの変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">pop インタフェース</a> に、<code>.TurnOpt</code>、<code>.SeatMaxTalkAngle</code>、<code>.SeatMaxTalkDist</code>、<code>.SeatMaxTalkAngle</code> プロパティが新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">pop インタフェース</a> に待機中、歩行中、着席中のキャラクタをコントロールする <code>pop.NumStandingIdlers()</code>、<code>pop.NumPedestrians()</code>、<code>pop.GetStandingIdler()</code>、<code>pop.GetPedestrian()</code>、<code>pop.NumSeatedIdlers()</code>、<code>pop.GetSeatedIdler()</code>、<code>pop.AddSeat()</code>、<code>pop.SetSelectedSeatsGender()</code> メソッドが新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">pop インタフェース</a> に待機中、歩行中、着席中のキャラクタをコントロールする <code>pop.ResimulateSelected()</code>、<code>pop.RegenerateSelected()</code>、<code>pop.DisplayMarks()</code>、<code>pop.ShowAppearanceUI()</code>、<code>pop.SwapSelPeopleAppearance()</code>、<code>pop.DeleteSelPeople()</code>、<code>pop.SwitchSelPeoplePos()</code>、<code>pop.BakeSelPeople()</code>、<code>pop.SaveTextureMaps()</code> メソッドが新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>#HighSkin</code> オプションは、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-pop.html\">pop インタフェース</a>の <code>.DisplayType</code> プロパティから削除されました。</p>\n\
<h3 id=\"-\">パーティクル フローの変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\">particleFlow</a> グローバル インタフェースに 2 つのメソッド、<code>setNodeEditorDisplayFlags()</code> および <code>forceRedrawParticleView()</code> が新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Test_Icon-Helper.html\">Test_Icon object</a> に新しい <code>.Enable_By_Switch</code> プロパティが追加されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Test_Icon-Helper.html\">Test_Iconオブジェクト</a>から <code>.Disable_By_Dependency</code> プロパティが削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> 旧バージョンでは、MAXScript に公開され、内部使用に限定されていた、クラス <code>Viewport_Render : Helper</code> が削除されました。</p>\n\
<h3 id=\"retimerman-\">RetimerMan インタフェースの変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\">RetimerMan</a> インタフェースの <code>.numRetimers</code> プロパティが、インデックスから整数タイプに変更されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\">RetimerMan</a> インタフェースに <code>IsGlobalRetimerActive()</code>、<code>ApplyGlobalRetimer()</code>、<code>RemoveGlobalRetimer()</code>、<code>GetActiveRetimerCtrl()</code>、<code>AddToRetimer()</code>、<code>SetUpRetimers()</code>、<code>RemoveRetimers()</code>、<code>BakeRetimers()</code>、<code>FindNodesDependentOnRetimer()</code>、<code>GetGlobalRetimerControl()</code> メソッドが新しく追加されました。</p>\n\
<h3 id=\"layermanager-\">LayerManager インタフェースの変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\">LayerManager インタフェース</a> に新しく追加された <code>layerPropDialog()</code> メソッドを使用すると、任意の数のレイヤについて[レイヤのプロパティ](Layer Properties)ダイアログを開くことができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\">LayerProperties Mixin インタフェース</a> にネストされたレイヤをサポートするためのメソッド: <code>getParent()</code>、<code>setParent()</code>、<code>getChild()</code>、<code>getNumChildren()</code> が新しく追加されました。</p>\n\
<h3 id=\"nitrousgraphicsmanager-\">NitrousGraphicsManager インタフェースの変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager インタフェース</a> に 2 つのプロパティ <code>.HardwareHitTestEnabled</code> および <code>.AntialiasingQuality</code> が新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager インタフェース</a> に 2 つのテクスチャ コントロール メソッド <code>SetProceduralTextureSizeLimit()</code> および <code>ForceDisableMipMapGeneration()</code> が新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager インタフェース</a> にビュー グラフ メソッド <code>SaveViewGraph()</code>、<code>LoadViewGraph()</code>、<code>UnloadViewGraph()</code> が新しく追加されました。</p>\n\
<h3 id=\"sceneexplorermanager-\">SceneExplorerManager インタフェースの変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExplorerManager.html\">SceneExplorerManager</a> インタフェースにメソッド <code>GetExplorer()</code>、<code>CreateLayerManager()</code>、<code>GetActiveExplorer()</code>、<code>IsDefaultLayer()</code>、<code>SetActiveExplorer()</code> が新しく追加されました。</p>\n\
<h3 id=\"skinops-\">skinOps 構造体の変更</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 2 つの新しいメソッド、<code>skinOps.GetBoneIDByListID()</code> および <code>skinOps.GetListIDByBoneID()</code> が既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">SkinOps Struct</a> に追加されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>skinOps.GetBoneNameByListID()</code> メソッドは <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/Skin-Modifier.html\">SkinOps Struct</a> から削除されました。</p>\n\
<h3 id=\"-\">メッシュ編集の変更</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <code>setNormal()</code> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Vertex-Methods.html\">メッシュ頂点メソッド</a> は、メッシュ上のカスタムデータを保持するために、明示的な法線の設定に変更されました。</p>\n\
<h3 id=\"inode-\">INode インタフェースの変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいプロパティ <code>.isSceneXRefNode</code> が既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\">INode インタフェース</a> に追加されました。</p>\n\
<h3 id=\"mscustattribdef-\">MSCustAttribDef クラスの変更</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> MSPluginClass に新しい <code>.version</code> プロパティが追加されました。<a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/MSCustAttribDef-Class.html\">MSCustAttribDef</a> はそこから派生し、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Custom-Attributes/Custom-Attributes-Definition.html\">カスタムアトリビュート定義</a> の <code>.version</code> プロパティを効果的に公開します。</p>\n\
<h3 id=\"windows-\">windows 構造体の変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> Windows デスクトップ、3ds Max メイン ウィンドウ、ビューポートまたはその HWND による他のウィンドウなど、指定したウィンドウのスナップ ショットのイメージを作成する、新しいメソッド <code>windows.snapshot()</code> が既存の <a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\">windows 構造体</a> に追加されました。</p>\n\
<h3 id=\"-\">ビューポート構造体の変更点</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">ビューポート構造体</a> にビューポートの Windows ハンドルを取得するためのメソッド <code>viewport.getHWnd()</code> が新しく追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">任意のビューポート インデックス、viewPanel インデックス、アルファ チャンルのサポートおよびガンマ補正のために、<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\">ビューポート構造体</a>の既存の <code>viewport.getViewportDIB()</code> メソッドが拡張されました。</p>\n\
<h3 id=\"-gw-\">ビューポート描画メソッド: gw 構造体の変更</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> オプションのアルファ チャンルのサポートおよびガンマ補正のために、<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\"#dib--device-independent-bitmap--methods\">既存の gw Struct</a> の既存の <code>gw.getViewportDIB()</code> メソッドが拡張されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Drawing-Methods.html\"#dib--device-independent-bitmap--methods\">gw Struct</a> の既存の <code>gw.text()</code>、<code>gw.htext()</code> および <code>gw.wtext()</code> メソッドが、新しい線分を \\n エスケープシーケンスを使用して導入するマルチ テキストをサポートするように改善されました。</p>\n\
<h3 id=\"-macroscript-\">新しい MacroScript イベント ハンドラ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>on isIndeterminate do</code> ハンドラは、True を返して、<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\">MacroScript</a> メニュー項目をメニューおよび QuadMenus に水平ダッシュ(不確定チェックマークを示す)として表示できます。</p>\n\
<h3 id=\"-\">新しいアニメート可能選択関数</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>pickAnimatable()</code> 関数は、<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Picking-Scene-Nodes/Picking-Scene-Nodes-By-Hit.html\"#picking-animatables\">既存の </a><code>pickObject()</code> 関数に似ていますが、3D ビューポート、Explorer、スケマティク ビューまたはトラック ビューからアニメート可能なトラックを選択できます。</p>\n\
<h3 id=\"-\">新しいビットマップ値の機能と拡張機能</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>forceReloadBitmapFile()</code> 関数を使用すると、<a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">ビットマップ値</a> を持つファイルを再ロードすることができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>registerFileChangedFunction()</code> 関数を使用すると、<a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">ビットマップ値</a> を持つビットマップ ファイルがディスク上で変更されたときに関数を実行するコールバックを登録することができます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいオプションのキーワード引数 <code>caption:</code> が、<a href=\"./../../MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\">ビットマップ値</a> に関連する既存の <code>display()</code> 関数に追加され、VFB のタイトルバーに、カスタムのキャプション文字列を表示できるようになりました。</p>\n\
<h3 id=\"-reftargcontainer-referencetarget\">新しい RefTargContainer ReferenceTarget</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/RefTargetMonitor/RefTargContainer-ReferenceTarget.html\">RefTargContainer: ReferenceTarget</a> が追加されました。</p>\n\
<h3 id=\"bsearch-\">bsearch の機能拡張</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">bsearch() 関数</a>に新しく追加されたオプションの <code>index:</code> 参照引数キーワードにより、検索された項目のインデックスにアクセスすることができます。</p>\n\
<h3 id=\"-\">永続グローバル変数の強化</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">存続グローバル変数</a> 値として保存およびロードする <code>IntegerPtr</code> のサポートが追加されました。 以前の 3ds Max バージョンに保存する場合、<code>IntegerPtr</code> 値が <code>Integer64</code> として保存されます。次の<strong>ドキュメントの修正点</strong>も参照してください。</p>\n\
<h3 id=\"ui-esc-\">UI と[Esc]キーの扱い</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Edittext-UI-Control.html\">editText コントロール</a> のテキストを編集中に<strong>[Esc]</strong>キーを押すと、フォーカスがコントロールの親ウィンドウに移動します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"><code>escapeEnable:</code> キーワード引数が False に設定されている場合、<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\">createDialog()</a> を使用して作成したモーダル ダイアログで <strong>[ESC]</strong> キーを押すとダイアログが閉じます。 これはドキュメントに記載されていましたが、旧バージョンでは実装されていませんでした。</p>\n\
<h2 id=\"-\">削除された機能</h2><h3 id=\"oldboolean\">OldBoolean</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> 非表示にされ、90 年代半ばに保存された古い .max シーン ファイルにのみ使用された <code>OldBoolean : GeometryClass</code> クラスは削除されました。</p>\n\
<h3 id=\"xml-\">XML マテリアルの書き出し</h3><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> マテリアルを VIZrender 付きの Architectural Desktop 2004 で使用するために手動で XML 形式に書き出すために使用された、<code>Material_XML_Exporter: UtilityPlugin</code> は削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> マテリアルを VIZrender 付きの Architectural Desktop 2004 で使用するために MAXScript を使用して XML 形式に書き出すために使用された、<code>Interface: XMLMaterial</code> は削除されました。</p>\n\
<h2 id=\"-\">ドキュメントの修正点</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Persistent-Global-Variables.html\">永続グローバル変数</a> によってサポートされる値タイプのリストは、Integer64、IntegerPtr、Double、Point4 などを含む、MAXScript の元の実装から、すべての新しい値のタイプを含めるように更新されました。<img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> また、リストが一目で簡単に検索できるようにアルファベット順にソートされています。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>getMaxFileVersionData()</code> 関数は、もとは <strong>3ds Max 2013</strong> で導入されていました。 ファイルを生成した <strong>3ds Max</strong>のバージョンを含む、<a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/MAX-File-Version-Access.html\">.max シーン ファイルのバージョンにアクセス</a>できます。 実際のバージョン情報は、<strong>3ds Max 2010 以降</strong>で保存したファイルにあります。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">MAXScript の新機能 (以前のバージョン)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";