var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-B88ECB78-6D41-46C6-812D-2F31AD3FE192\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2013 の MAXScript の新機能</h1></div><p>このページでは、<strong>3ds Max 2013</strong> の MAXScript 言語の変更と改良点について簡単にその概要を説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<p>新機能の解説を除いた『MAXScript リファレンス』に対する変更の一覧については、このページの終わりの<strong>「ドキュメントへの変更と追加」</strong>を参照してください。</p>\n\
<h2 id=\"3ds-max-\">3ds Max の新機能の公開</h2><h3 id=\"-\">新規オブジェクト</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Deformable-gPoly/Deformable_gPoly-GeometryClass.html\">Deformable_gPoly GeometryClass</a> baseobject は、変形オブジェクトでの最適化されたビューポート パフォーマンスを提供します。以下の Turn_to_gPoly モディファイヤも参照してください。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Egg-Shape.html\">エッグ シェイプ</a> オブジェクトは、パイプ クロス セクションの作成に便利です。</p>\n\
<h3 id=\"-\">新規モディファイヤ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/mCloth-Modifier.html\">mCloth モディファイヤ</a> により、布地シミュレーションと MassFX を統合できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <strong>Turn_to_gPoly</strong> モディファイヤにより、モディファイヤ スタックでジオメトリ オブジェクトを Deformable_gPoly クラスにダイナミックに変換できます。</p>\n\
<h3 id=\"-\">ワークスペース マネージャ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-WorkspaceManager.html\">WorkspaceManager コア インタフェース</a> は、MAXScript を使用して、3ds Max ワークスペースを作成および管理するためのメソッドを公開します。</p>\n\
<h3 id=\"-\">表示パネル マネージャ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewPanelManager.html\">ViewPanelManager コア インタフェース</a> は、ユーザ定義ビューポート構成で表示パネルを作成および修正するためのプロパティと関数を公開します。</p>\n\
<h3 id=\"-\">対話およびマウスの構成</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MouseConfigManager.html\">MouseConfigManager コア インタフェース</a> は、Autodesk Maya ビューポート コントロールのエミュレーションを含め、さまざまなユーザ ワークフローと一致するようにビューポートのマウス動作を修正するためのプロパティと関数を公開します。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IInteractionMode.html\">IInteractionMode コア インタフェース</a> は、[基本設定](Preference Settings)ダイアログ の[インタラクション モード](Interaction Mode)タブを MAXScript に公開します。</p>\n\
<h3 id=\"-\">選択を分離</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IsolateSelection.html\">IsolateSelection コア インタフェース</a> は、3ds Max の再実装された分離ツール機能にアクセスするためにメソッドを公開します。</p>\n\
<h3 id=\"-\">リタイム コントローラ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Retimer-Controllers/Retimer-Controller.html\">リタイム コントローラ</a> は、ローカル タイムをツイークする別のコントローラの EaseCurve で使用したり、シーン全体に影響するグローバル リタイム コントローラとして使用できます。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RetimerMan.html\">RetimerMan コア インタフェース</a> は、シーン全体のリタイムをコントロールするグローバル リタイム コントローラにアクセスするためのメソッドを公開します。</p>\n\
<h3 id=\"-\">ゴースト化マネージャ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-GhostingManager.html\">GhostingManager コア インタフェース</a> は、3ds Max の既存のアニメーション ゴースト化機能にアクセスおよびコントロールするためのプロパティを公開します。</p>\n\
<h3 id=\"-state-sets-\">ステート セット(State Sets)</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/State-Sets/State-Sets-MAXScript-Access.html\">ステート セット システム</a> は、DotNet オブジェクト、プロパティ、およびメソッドを使用して MAXScript に公開されます。</p>\n\
<h3 id=\"-revit-\">ワン クリック Revit ワークフロー</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OneClickRevit.html\">OneClickRevit コア インタフェース</a> は、Revit ファイルからビューを要求するメソッドを公開します。</p>\n\
<h3 id=\"-mental-ray-\">新しい mental ray シェーダ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>SSS2_Skin</strong> マテリアルが <strong>3ds Max</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>SSS2_Skin_Displacement</strong> マテリアルが <strong>3ds Max</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>SSS2_Surface_Shader</strong> テクスチャ マップが <strong>3ds Max</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>SSS_Lightmapping_shader</strong> テクスチャ マップが <strong>3ds Max</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>misss_set_normal</strong> テクスチャ マップが <strong>3ds Max</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>misss_fast_shader2</strong> テクスチャ マップが <strong>3ds Max</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>misss_fast_shader2_x</strong> テクスチャ マップが <strong>3ds Max</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>mia_physicalsun</strong> テクスチャ マップが <strong>3ds Max</strong> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい mental ray シェーダ <strong>Inverse_of_Photographic_Exposure</strong> テクスチャ マップが <strong>3ds Max</strong> に追加されました。</p>\n\
<h2 id=\"-3ds-max-\">既存の 3ds Max の強化機能</h2><h3 id=\"-\">シーン オブジェクトの強化機能</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Ellipse-Shape.html\">楕円シェイプ</a> に、オプションのオフセットをコントロールする 2 つの新しいプロパティが追加されました。</p>\n\
<h3 id=\"nitrous-\">Nitrous グラフィックス システム</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager コア インタフェース</a> に、[プレビューを作成]品質、シェーダのマルチスレッド コンパイル、およびマウス カーソルの動作によってコントロールを公開するための新しいプロパティが追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager コア インタフェース</a> に、プログレッシブ リファイン、AppWindow サイズ、および位置の公開、Nitrous メモリ使用量の取得、一部の内部テストの実行を行う新しいメソッドが追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <code>NitrousGraphicsManager.GetActiveViewportSetting()</code> メソッドによって返される既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#viewport-settings-iobject-interfaces-\">ViewportViewSettingImpl MixinInterface</a> に、スカイライトを周囲光カラーに設定(Skylights As Ambient Light)、被写界深度(DOF)、およびぼけ効果をコントロールするための新しいプロパティが追加されました。</p>\n\
<h3 id=\"quicksilver-\">Quicksilver ハードウェア レンダラー</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\">Quicksilver ハードウェア レンダラー</a>に、シャドウ強度/フェードおよび Bokeh シェイプを公開するための新しいプロパティが追加されました。</p>\n\
<h3 id=\"iray-\">iRay レンダラー</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <strong>iRay</strong> レンダラーに、モーション ブラー効果の制御に関連したいくつかの新しいプロパティが追加されました。</p>\n\
<h3 id=\"massfx-\">MassFX ダイナミック シミュレーション</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\">nvpx コア インタフェース</a> に、重力モードと参照オブジェクトをコントロールするための新しいプロパティが追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\">MassFX_RBody モディファイヤ</a> に、新しいプロパティが追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 読み込み専用 NVIDIA PHYSX 定数を公開する新しい <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpxConsts.html\">nvpxConsts コア インタフェース</a> が MassFX に追加されました。</p>\n\
<h3 id=\"cat-\">CAT - キャラクタ アニメーション ツール</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいインタフェースが CAT: <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-16.html\">CATGroupManagerFPInterface</a> に追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいインタフェースが CAT: <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-SpineFPInterface.html\">SpineFPInterface</a> に追加されました。 </p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <strong>CATControlInterface</strong> の名前が <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\">ICATControlFPInterface</a> に変更されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <strong>CATLimbData2 FloatController</strong> が、同じ ClassID で <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\">CATLimbData2ReferenceTarget : ReferenceTarget</a> として再実装されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <strong>CATBoneData FloatController</strong> が、同じ ClassID で <a href=\"./../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\">CATBoneDataMatrix3Controller : Matrix3Controller</a> として再実装されました。</p>\n\
<h3 id=\"-\">読み込み/書き出しフィルタ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>.MeshResolution</code> プロパティが <strong>InventorImport</strong> ImporterPlugin に追加されました。昨年のドキュメント改訂ではこのページが削除されましたが、今回復元されました。</p>\n\
<h3 id=\"-\">オンライン ヘルプ システムへのアクセス</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>HelpSystem.SearchProductHelp()</code> メソッドが <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-HelpSystem.html\">HelpSystem コア インタフェース</a> に追加され、ドキュメントでユーザ定義文字列を検索できるようになりました。</p>\n\
<h3 id=\"-mental-ray-\">更新された mental ray シェーダ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <strong>mib_texture_filter_lookup_2</strong> テクスチャ マップに、新しいプロパティが追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> すべての既存の <strong>ProMaterials</strong> mental ray シェーダに新しいタイミング関連のプロパティが追加されました。</p>\n\
<h2 id=\"3ds-max-\">3ds Max で不要になった/削除された機能</h2><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>LS_Colors</code> SpacewarpModifier は <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>LS_Mesh</code> Modifier は <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>Lightscape_Material</code> マテリアルは <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>Lightscape_Materials</code> UtilityPlugin <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<h2 id=\"-mental-ray-\">削除された mental ray シェーダ</h2><p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>pass_through_color</code> マテリアルは <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>pass_through_float</code> マテリアルは <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>pass_through_float2</code> マテリアルは <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>pass_through_float3</code> マテリアルは <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\"> <code>pass_through_float4</code> マテリアルは <strong>3ds Max 2013</strong> から削除されました。</p>\n\
<h2 id=\"maxscript-\">MAXScript 言語に関する改善点</h2><h3 id=\"-\">モディファイヤ</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> これで <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\">モディファイヤ</a> は、インデックス、名前文字列あるいはリテラルに加え、<strong>クラス</strong>を使用してシーン ノードの <code>.modifiers</code> 配列内でインデックス付けすることができます。</p>\n\
<h3 id=\"-\">ビューポート</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいメソッド <code>viewport.EnableSolidBackgroundColorMode()</code> および <code>viewport.IsSolidBackgroundColorMode()</code> が <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\"#viewport-display-and-render-controls\">既存の ビューポート 構造体</a> に追加され、現在のビューポートのバックグラウンド グラデーション モードに対してソリッド バックグラウンド カラー モードを取得および設定できるようになりました。</p>\n\
<h3 id=\"-\">ユーザ インタフェース作成</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しい <code>offsets:</code> 作成パラメータが既存の <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\">radiobuttons ユーザ インタフェース コントロール</a>に追加され、コントロール内での個々のラベルの配置をツイークできるようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Macro-Recorder-Emission-From.html\">macroRecorderEmitterEnabled の新しいコンテキスト<boolean></a>により、パラメータ ブロックの変更およびシーン ノード作成の操作からのマクロ レコーダ エミッションをスクリプト定義ロールアウトのイベント ハンドラ内部から変更できます。</p>\n\
<h3 id=\"-\">ファイル入出力</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\">openFile() 追加動作</a>が、ファイルが存在しない場合には新規作成するように修正されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <a href=\"./../../MAXScript-Language-Reference/Values/Stream-Values/BinStream-Value-for-Binary.html\">fopen() 追加動作</a> が、ファイルが存在しない場合には新規作成するように修正されました。</p>\n\
<h3 id=\"unicode-\">Unicode 文字エンコーディングのサポート</h3><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 3ds Max(および MAXScript)では、Unicode <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/Character-Encoding.html\">文字エンコーディング</a>をサポートするようになっています。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 既存の <code>[MemStreamMgr](../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MemStream.html).openFile()</code> メソッドに、ストリーム エンコーディングの基本設定をコントロールするための新しいオプションが追加されました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいオプションのキーワード引数 <code>forceUTF16:</code> およびその既定値をコントロールする関連メソッド <code>setIniForceUTF16Default()</code> が、既存の <a href=\"./../../MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Accessing-INI-File-Keys.html\">setINISetting()</a> メソッドに追加されました。</p>\n\
<h2 id=\"-\">ドキュメントの変更および追加内容</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 以前は記載されていなかったメソッド、および ActionTables と ActionItems にアクセスするために MixinInterfaces の説明を追加して、<a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-actionMan.html\">「インタフェース:actionMan」のトピック</a>を更新しました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>メモリ管理の考慮事項</strong>に関する新しいセクションを、既存の<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\"#memory-management-considerations\">「レンダラーの制御」のトピック</a>に追加しました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>3ds Max 2011</strong> では、<a href=\"./../../Interaction-With-The-Operating/Windows-Structure.html\">ウィンドウ構造体</a> についての十分な説明をドキュメントに記載せず、いくつかのメソッドの戻り値が 5 要素から 8 要素に変更されました。すべてのメソッドの説明内容を改善しました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> max コマンド <code>max show vfb</code> は <strong>3ds Max 2011</strong> で導入されましたが、ドキュメントに記載しませんでした。この問題が修正されています。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>3ds Max 2011 以上</strong>のバージョンの<a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">ロールアウト</a>およびロールアウト <a href=\"./../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\">ユーザ インタフェース コントロール</a>は、ロールアウトの HWND ウィンドウ ハンドルが含まれている <code>.hwnd</code> プロパティを公開します。以前はドキュメントに記載されませんでした。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> テクスチャとバックグラウンドのサイズ設定する <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager コア インターフェース</a> の一部のメソッドについては、ドキュメントに記載されていません。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> ライトとシャドウの品質および反射をコントロールする <a href=\"./../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\"#viewport-settings-iobject-interfaces-\">ViewportViewSettingImpl MixinInterface</a> の一部のプロパティについてはドキュメントに記載されていません。</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> トピック <a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\">[FBX の読み込み](FBX Import)ダイアログ ボックスへのアクセス</a>および<a href=\"./../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Export-Dialog-Access.html\">[FBX の書き出し](FBX Export)ダイアログ ボックスへのアクセス</a>が更新され、プラグインの最新バージョンが含まれるようになりました。</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">meshop.getVertsUsingFace()</a> メソッドについての説明には、面定義の 3 つの頂点を取得する場合には不適切であることの理由を示した注記を追加しました。</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> マテリアルおよびテクスチャ マップ クラスについて説明したトピックは、ほとんど索引項目に加えられていませんでした。この問題が修正されています。</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> mental ray SSS シェーダが、コンテンツ内で 2 回リストされていました。これには同じシェーダについて記述した重複するトピックも含まれていました。この問題は解決されています。</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\">モディファイヤ: MAXWrapper および SpacewarpModifier : MAXWrapper</a> のトピックはわかりやすい内容に書き換えられ、より多くのサンプルによって拡張されました。</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> <a href=\"./../../3ds-Max-Objects-and-Interfaces/BitmapIO-MAXWrapper/OpenEXR-BitmapIO.html\">OpenEXR BitmapIO</a> のトピックが更新されて、メイン レンダリング レイヤへのアクセスに関する情報が追加されました。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in.html\">MAXScript の新機能 (以前のバージョン)</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"../../What-is-New-in-MAXScript.html\">MAXScript の新機能</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";