var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-F47C350F-32B6-4C5C-8518-070D754DEF27\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2011 におけるドキュメントの変更点</h1></div><p><strong>3ds Max 2011</strong> リリースの MAXScript リファレンスには、新しい機能を説明するトピックをリストした「<a href=\"What-is-New-in-MAXScript-in-3ds.html\"> 3ds Max 2011 の MaxScript の新機能</a>」ページに加えて、以下のような注目すべき変更と更新が行われました。</p>\n\
<h2 id=\"-\">以前にはドキュメント化されていなかった機能</h2><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\">Unwrap_UVW : モディファイヤ</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier/Unwrap_UVW-Modifier-Command.html\"#tweak-mode-button\">Unwrap_UVW TweakMode</a></p>\n\
<p>Unwrap_UVW UV 位置合わせおよびスペース</p>\n\
<p>Unwrap_UVW UV ループおよびリング</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> UVW アンラップ モディファイヤの <code>unwrap6</code> インタフェースによって公開されている、以前ドキュメント化されていなかった <code>.uvLoop()</code>、<code>.uvRing()</code>、<code>.Align()</code>、<code>.Space()</code>、<code>.getTweakMode()</code>、<code>.setTweakMode()</code> メソッドに関するドキュメントが追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted\\<em>Plugin\\</em>#filename Parameters As Assets</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 3ds Max 2010 以降、ファイルのアセット タイプを指定する追加のキーワード オプションが必要な既存のパラメータ タイプ <code>#filename</code> に関するドキュメントが追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom.html\">スクリプト エディタ - カスタム キーワードの定義</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\">カスタム キーワードを定義し、それらのスタイルと色を変更する例が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\">配列の値</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\">Matrix3 値</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 通常はコンポーネントごとの等値比較が実行されない配列と Matrix3 値とを比較する際の注意事項と例が追加されました。</p>\n\
<p><a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly.html\">MaxCustomControls DotNet アセンブリ</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> <strong>3ds Max</strong> に組み込まれている MaxCustomControls アセンブリによって実装される DotNet オブジェクトとコントロールに関して、いくつかの概要トピックが含まれた新しい章が追加されました。これらには、シーン エクスプローラとマテリアル エクスプローラのさまざまなコンポーネント以外に、<strong>3ds Max</strong> ダイアログのルック &amp; フィールに適合し、<strong>3ds Max</strong> のメイン ウィンドウ、<a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxTextBox.html\">MaxTextBox</a> コントロール、およびフローティング <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/ProgressDialog.html\">ProgressDialog</a> に対して容易に親とすることができるカスタム <a href=\"./../../../Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly/UI-Controls/MaxForm.html\">MaxForm</a> が含まれます。</p>\n\
<h2 id=\"-faq\">チュートリアルと FAQ</h2><p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 新しいチュートリアルの「クイック ナビゲーション インデックス」がすべてのチュートリアル ページとクイック ナビゲーション メイン インデックスに追加され、各トピックに素早く移動できるようになりました。</p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> MAXScript に関する質問と回答クイック ナビゲーション インデックスがすべての FAQ ページとクイック ナビゲーション メイン インデックスに追加され、各トピックに素早く移動できるようになりました。</p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Generate-Hash-Checksums.html\">How_To_..._Generate_Hash_Checksums_Using_DotNet</a></p>\n\
<p><a href=\"./../../../How-To-Practical-Examples/How-To-Develop-Tools-Using/How-To-Print-Using-DotNet.html\">チュートリアル - DotNet を使用した印刷</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> DotNet の使用に関する 2 つのトピックが新しく追加されました。</p>\n\
<h2 id=\"-\">既存のトピックの変更点</h2><p><a href=\"./../../../MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Number-Literals.html\">数値リテラル</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/Number-Values.html\">Number 値</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">数値リテラルおよび Number 値のページが編集され、Double、Integer64、および IntegerPtr のシグネチャが欠落していた「数の構文定義」が完全な形で追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\">変数のスコープ</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">「変数 - 代入およびスコープ」の章の「変数のスコープ」トピックのほか、多くのトピックが編集および再構成され、「<a href=\"./../../../MAXScript-Language-Reference/Variables-Assignment-and-Scope/Specifying-Global-Variables-As.html\">「::」を使用してグローバルとしてグローバル変数を指定</a>」など、これまで長年にわたり追加されてきた関連トピックへの相互リンクが一層充実しました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Custom-User-Interface-Management/CUI-Struct-UI-Customization.html\">CUI Struct - UI カスタマイズ</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> 完全な CUI Struct に関する新規ページが追加されました。その一方で、ドッキング可能なウィンドウ、コマンド パネル アクセスのようなアプリケーションの特定の領域に関する詳細を説明するオリジナルのページは維持されています。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\">ImgTag</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> フラグの 2 番目の引数に関する例と説明が、ボタンの押された状態を示す ImgTag イベント ハンドラに新規追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\">[シーンをレンダリング](Render Scene)ダイアログ ボックス</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">ドキュメントが更新され、RadiosityPreferences インタフェースにより公開されるアドバンスド ライティング プロパティが含まれるようになりました。また、詳細イメージがページトップのメイン マップにジャンプで戻るようになり、ナビゲーションが一層速くなりました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/RendererClass/rendererClass.html\">rendererClass</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">RendererClass スーパークラスのドキュメントで、クラスが「Renderer」として誤って記載されていました。この問題は修正されました。ページが更新され RendererClass.classes の使用例が含まれるようになり、現在のシステムにインストールされるレンダラー プラグインのリストを確認できるようになりました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Elements-1.html\">renderElements</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-RenderElementMgr.html\">インタフェース: RenderElementMgr</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">レンダリング要素およびレンダリング要素マネージャ インタフェースに関するドキュメントが更新され、相互リンクが一層充実し、ナビゲーションが一層容易になりました。</p>\n\
<p><a href=\"./../../../Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/When-do-I-use-after-a-function-.html\">関数の後ろに () を使用するのはどのような場合ですか。</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">この FAQ 項目が、より多くの例と詳細な説明で充実しました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Vertex-Methods.html\">メッシュ頂点メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\">Meshop 頂点メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Data-Methods.html\">Meshop 頂点データ メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Edge-Methods.html\">メッシュ エッジ メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\">Meshop エッジ メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\">メッシュ面メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\">Meshop 面メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Methods.html\">メッシュ メソッド</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-General-Mapping-Methods.html\">一般的な Meshop マッピング メソッド</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> 上記のトピックが再構成され、容易にアクセスできるようになったほか、ローカル トピック ナビゲーションおよびクイック ナビゲーション アイコン付きのサブトピックが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\">Editable_Poly メソッド</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> 上記のトピックが再構成され、容易にアクセスできるようになったほか、ローカル トピック ナビゲーションおよびクイック ナビゲーション アイコン付きのサブトピックが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Interface-EditablePoly.html\">インタフェース: EditablePoly</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Mapping-Methods.html\">Editable_Poly マッピング メソッド</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> トピック ナビゲーションが追加され、トピック ナビゲーション アイコンに戻るようになりました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">一般イベント コールバック機能</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">ノードの共通プロパティ、演算子、メソッド</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> トピック ナビゲーションが追加され、トピック ナビゲーション アイコンに戻るようになりました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/LightMeter-Helper.html\">LightMeter: ヘルパー</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\"> 適切に実装されなかったイメージ マップが修正されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\">[環境と効果](Environment and Effects)ダイアログ ボックス</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> イメージ マップ ナビゲーションを含む[環境] (Environment)ダイアログへのアクセスに関する新しいトピックが追加されました。</p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">[環境] (Environment)ダイアログに関連する <strong>3ds Max</strong> システムのグローバル変数およびメソッドの記述が、現在は MAXScript の使用例のみを扱う「<a href=\"./../../../3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Working-with-Atmospherics.html\">環境効果の操作</a>」トピックから移動し、環境効果がリストに追加されました。</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\">環境効果に関連するトピックが再構成され、「関連項目」リンクが増え、それらのページからすべての関連ページにアクセスできるようになりました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog.html\">[レンダリング効果](Render Effects)ダイアログ</a></p>\n\
<p><img src=\"./images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\" alt=\"\"> イメージ マップ ナビゲーションを含む[環境と効果](Environment and Effects)ダイアログ上の[レンダリング効果](Render Effects)タブへのアクセスに関する新しいトピックが追加されました。</p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\">レンダリング効果に関連するトピックが再構成され、「関連項目」リンクが増え、それらのページからすべての関連ページにアクセスできるようになりました。</p>\n\
<p><a href=\"./../../../Learning-MAXScript/Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\">MAXScript によるボックスの描画</a></p>\n\
<p><a href=\"./../../../Learning-MAXScript/Manipulating-The-Box-First-Steps/Modifying-the-Box.html\">ボックスの修正</a></p>\n\
<p><a href=\"./../../../Learning-MAXScript/Manipulating-The-Box-First-Steps/Applying-Standard.html\">標準変換の適用</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\">「MAXScript トレーニング」トピックが更新され、一部がアニメートされた新しいスクリーンショットによって、図が置き換えられました。</p>\n\
<p><a href=\"./../../../MAXScript-Introduction/General-MAXScript-Topics/Error-Messages.html\">エラー メッセージ</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">廃止されたスクリーンショットと例(3ds Max 2 からのもの)が新しいものに置き換わりました。トピック コンテンツが再編集され、関連トピックに対する相互リンクとともに、例示されている特定のエラーを回避する方法を説明するボックスが追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">3ds Max ファイルのロードと保存</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">システム グローバル <code>maxFileName</code> および <code>maxFilePath</code> はこのトピックに関連しており、(ユーザ フィードバックで)見つけにくいという指摘があったため、これらの説明がこのトピックにコピーされました。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\">3ds Max システム グローバル</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\">インデックス キーワード ターゲットがすべて更新され、変数の説明に直接リンクするようになりました。この処理において、すべての参照先ページがリフレッシュされました。</p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\">MAXScript システム グローバル</a></p>\n\
<p><img src=\"./images/GUID-C1734107-A6F0-428C-A1BF-0951D4C54B61-low.gif\" alt=\"\">トピックが再構成され、カスタム リスナー カラーおよびフォントを表わすスクリーンショット例が追加されました。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\">Units 構造体 - システム単位および表示単位へのアクセス</a></p>\n\
<p><img src=\"./images/GUID-A99720F4-C84F-4611-875F-34B999FD0E69-low.gif\" alt=\"\"><code>units.decodeValue()</code> および <code>units.formatValue()</code> メソッドを使用した例を追加してトピックが更新されました。</p>\n\
<h2 id=\"chm-\">CHM コンパイラに関する変更点</h2><p><strong>3ds Max 2011</strong> リリースの MAXScript リファレンスは、異なるオーサリング ソフトウェアでコンパイルされました。この結果、ヘルプの動作が次に示すいくつかの点でこれまでのリリースとは異なります。</p>\n\
<ul>\n\
<li><p>MAXScript リファレンスで最後の位置とセッション間におけるサイズが記憶されるようになりました。</p>\n\
</li>\n\
<li><p>[インデックス]タブのキーワードで再構築が必要でしたが、それらが部分的に更新され、再ソートされました。</p>\n\
</li>\n\
<li><p>一部の大きなスクリプト例が、絶対幅ではなく相対幅でテーブルに配置されるようになりました。これによって、ヘルプ ビューアのサイズ変更時にスクリプト例を水平方向にスケール可能となり、折り返すことなくコードを表示できるようになりました。</p>\n\
</li>\n\
<li><p>ヘルプ ビューアのツールバー ボタンが更新され、ヘルプのスタートアップ ページに戻る[ホーム] (Home)ボタンが使用されるようになったほか、2 つのカスタム ボタンが追加され、ScriptSpot.com および Autodesk.com の Web サイトに移動して MAXScript と <strong>3ds Max</strong> に関連する外部リソースを参照できるようになりました。</p>\n\
</li>\n\
</ul>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-9.html\">3ds Max 2011 の MaxScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"What-is-New-in-MAXScript-in-3ds.html\">3ds Max 2011 の MaxScript の新機能</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";