var topic = "<html>\n\
<head>\n\
	<script src=\"../scripts/lib/jquery-3.5.1.min.js\" type=\"text/javascript\"/></script\n\
	<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n\
	<!--script type=\"text/javascript\" src=\"..\\..\\../scripts/utils/adsk.redirect.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/lang-maxscript.js\"/></script>\n\
	<script type=\"text/javascript\" src=\"..\\..\\../scripts/prettify/run_prettify.js\"/></script-->\n\
    <title>MAXScript Help</title>\n\
    <meta name=\"topicid\" content=\"GUID-185D4BF3-7EE1-449B-85C1-73448852E0A3\" />\n\
    </head>\n\
<body height=\"100%\">\n\
  <a name=\"top\"></a>\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/bootstrap.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/additions.css\">\n\
  <link rel=\"stylesheet\" type=\"text/css\" href=\"/cloudhelp/2024/JPN/MAXScript-Help/styles/font-awesome.min.css\">\n\
\n\
  <div class=\"body_content\" id=\"body-content\">\n\
  <div class=\"head-block\"><h1>3ds Max 2011 の MaxScript の新機能</h1></div><p>このページでは、<strong>3ds Max 2011</strong> の MAXScript 言語の変更と改良点について簡単にその概要を説明します。各機能の詳細については、ドキュメントの各ページのリンクをお読みください。</p>\n\
<p>新機能に関する説明以外の MAXScript リファレンスの変更内容については、「<a href=\"Documentation-Changes-in-3ds-Max-1.html\">3ds Max 2011 における ドキュメントの変更点</a>」を参照してください。</p>\n\
<h2 id=\"3ds-max-\">3ds Max の新機能の公開</h2><p><strong>3ds Max 2011</strong> には以下の新機能が追加され、MAXScript に公開されています。</p>\n\
<h3 id=\"polytools-\">PolyTools (グラファイト モデリング ツール)</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyTools-Interfaces-Graphite.html\">PolyTools インタフェース - グラファイト モデリング ツール</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsModeling.html\">PolyToolsModeling : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsPaintDeform.html\">PolyToolsPaintDeform : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsPolyDraw.html\">PolyToolsPolyDraw : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsSelect.html\">PolyToolsSelect : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsShift.html\">PolyToolsShift : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsTopology.html\">PolyToolsTopology : GlobalUtilityPlugin</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsUVWTweak.html\">PolyToolsUVWTweak : GlobalUtilityPlugin</a></p>\n\
<p>グラファイト モデリング機能は、複数の GlobalUtilityPlugin によって強化されてきました。これらのプラグインにより公開されるプロパティとメソッドが、MAXScript ツールとして正式にサポートされるようになりました。(<strong>3ds Max 2010</strong> では、これらの機能は MAXScript に公開されていましたが、ユーザのスクリプトでの使用については正式にサポートされていませんでした。)</p>\n\
<h3 id=\"-\">リボンおよびキャディのマニピュレータ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MaxRibbon.html\">インタフェース: MaxRibbon</a></p>\n\
<p>新しいコア インタフェースです。リボン UI にアクセスし、その外観をカスタマイズするメソッドを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-Grip.html\">インタフェース: Grip</a></p>\n\
<p>新しいコア インタフェースです。(内部的には「Grip」と呼ばれる)キャディの画面内パラメータ マニピュレータの外観と配置に関するプロパティを公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-EPolyManipGrip.html\">インタフェース: EPolyManipGrip</a></p>\n\
<p>新しいコア インタフェースです。さまざまなポリゴン モデリング機能に、キャディ(Grip)の画面内パラメータ マニピュレータの表示に関するメソッドを公開します。</p>\n\
<h3 id=\"quicksilverhardware-\">QuicksilverHardware レンダラー</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\">Quicksilver_Hardware_Renderer : RendererClass</a></p>\n\
<p>新しいレンダラー クラスです。Quicksliver ハードウェア レンダラーのインスタンスを作成して、プロダクション レンダラーに割り当て、プロパティの設定を行います。</p>\n\
<h3 id=\"-\">スケマティク マテリアル エディタ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#material-editor-mode\">maxOps マテリアル エディタ モード</a></p>\n\
<p>新しい maxops.mtlDlgMode プロパティです。マテリアル エディタのモード(レガシーまたはスケマティク マテリアル エディタ)を取得および設定します。</p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/MatEditor-Open-and-Close-the.html\">MatEditor - マテリアル エディタを開く/閉じる</a></p>\n\
<p>マテリアル エディタを開く、または閉じる既存のメソッドを、スケマティク マテリアル エディタでも使用できるようになりました。新しいプロパティとメソッドが追加されたことにより、マテリアル エディタ モードをコントロールし、スケマティク マテリアル エディタを特に開くことが可能になりました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\">インタフェース: SME</a></p>\n\
<p>新しいコア インタフェースです。スケマティク マテリアル エディタを MAXScript に公開します。</p>\n\
<h3 id=\"-\">コンテナおよびロックされたトラック</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-ContainerPreferences.html\">インタフェース: ContainerPreferences</a></p>\n\
<p>新しいコア インタフェースです。コンテナの基本設定を MAXScript に公開します。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container : ヘルパー</a></p>\n\
<p>いくつかの新しいプロパティとメソッドが既存のコンテナ ヘルパー オブジェクトに追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LockedTracksMan.html\">インタフェース: LockedTracksMan</a></p>\n\
<p>既存のインタフェースに、アニメーションの公開済みの UI 状態をコントロールする 3 つの新しいメソッドが追加され、子のロックを解除できるようになりました。</p>\n\
<h3 id=\"cat-maxscript\">CAT および MAXScript</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/3ds-Max-CAT-and-MAXScript.html\">3ds Max CAT および MAXScript</a></p>\n\
<p>3ds Max CAT (キャラクタ アニメーション ツール)システムは 3ds Max に不可欠なものとなり、MAXScript に完全公開されるようになりました。</p>\n\
<p>上記のクイック ナビゲーション アイコンから、CAT 関連のトピックに移動できます。</p>\n\
<h3 id=\"biped-maxscript\">Biped および MAXScript</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Workbench-MAXScript-Extensions/WorkBench-Core-Interfaces/BipFilter-Core-Interface.html\">BipFilter コア インタフェース</a></p>\n\
<p>既存の <code>key Reduction</code> メソッドへの COMkeySpacing 引数が整数から浮動小数点数に変更されました。</p>\n\
<h3 id=\"penexr-i-o\">penEXR ビットマップ I/O</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/BitmapIO-MAXWrapper/OpenEXR-BitmapIO.html\">OpenEXR : BitmapIO</a></p>\n\
<p>これまでの OpenEXR IO プラグインに代わる新しい OpenEXR IO プラグインです。レイヤ EXR ファイルが新たにサポートされます。</p>\n\
<h3 id=\"mental-ray-\">mental ray レンダラー</h3><p>その他の mental rayプロパティ</p>\n\
<p>mental ray の新しい <code>.taskSize Auto</code> プロパティによって、バケット サイズを自動調整してすべてのコアを最適に使用するかどうかがコントロールされます(マテリアル エディタ サンプルの更新時など)。</p>\n\
<p>インタフェース mental_ray_string_options</p>\n\
<p>新しいコア インタフェースです。レンダリング オプションの切り替えと、UI 内でまだ利用できない内部パラメータの設定を行います。</p>\n\
<p>このインタフェースによって、mental ray 機能の公開と通常使用前に、評価を行うことが可能です。文字列オプションを設定およびクリアするには、MaxScript を使用する必要があります。いったんオプションを設定すると、そのオプションをクリアするまで、あるいは <strong>3ds Max</strong> をシャットダウンするまで、すべての mental ray レンダーがその影響を受けます。</p>\n\
<p>mental_ray String オプション</p>\n\
<p>このトピックでは、mental ray の高度な、UI に現在公開されていない機能にアクセスするための String オプション インタフェースの使用方法について説明します。該当する機能は、<strong>Progressive レンダリング</strong>、<strong>Irradiance パーティクル、Importon</strong>、<strong>強制ファイナル ギャザー モード</strong>などです。</p>\n\
<p>インタフェース: renderMessageManager</p>\n\
<p>mental ray のレンダリング メッセージ ウィンドウを MAXScript に公開します。</p>\n\
<p>mental ray シェーダ インデックス</p>\n\
<p>多数の新しい mental ray シェーダが 3ds Max 2011 に追加されました。</p>\n\
<p>MultiOutputChannelTexmapToTexmap : textureMap</p>\n\
<p>複数出力の MetaSL シェーダを別シェーダの入力に渡すために使用される特殊なテクスチャ マップです。</p>\n\
<h3 id=\"-\">ライト メータ マネージャ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LightMeterManager.html\">インタフェース: LightMeterManager</a></p>\n\
<p>既存のインタフェースに、新しいプロパティ <code>.deleteCacheBeforeCalculation</code> が追加されました。</p>\n\
<h3 id=\"-\">名前付き選択セット マネージャ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NamedSelectionSetManager.html\">インタフェース: NamedSelectionSetManager</a></p>\n\
<p>名前付き選択セットにアクセスしたり、それらを管理をするためのメソッドを公開するインタフェースです。</p>\n\
<h3 id=\"-\">モディファイヤ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/CameraMap-Modifier.html\">CameraMap : モディファイヤ</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/SpaceCameraMap-SpacewarpModifier.html\">SpaceCameraMap : SpacewarpModifier</a></p>\n\
<p>既存のモディファイヤに新しい <code>.affectBehind Camera</code> プロパティが追加されました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/Cloth-Modifier.html\">ClothOpsInterface</a></p>\n\
<p>既存のモディファイヤのインタフェースに新しいメソッド <code>.getObjectProperty</code> が追加されました。</p>\n\
<h3 id=\"-\">ボディ オブジェクト</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body-Objects.html\">ボディ オブジェクト</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Object-GeometryClass.html\">Body_Object: GeometryClass</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Cutter-GeometryClass.html\">Body_Cutter: GeometryClass</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Body_Utility-GeometryClass.html\">Body_Utility: GeometryClass</a></p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Solid/Join_Bodies-GeometryClass.html\">Join_Bodies: GeometryClass</a></p>\n\
<p>4 つのボディ オブジェクトによって、nPower Software によりライセンスされたテクノロジに基づくソリッド ボディが実装されます。</p>\n\
<h3 id=\"-\">オブジェクト スナップ</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\">snapMode</a></p>\n\
<p>新しい「ボディ」OSnap セットがインデックス 1 の既存 Snaps システムに追加されました。これによって、スナップセットの数が 5 から 6 に増え、これまで使用可能であった「NURBS」および 4 つの「Standard」OSnap セットのインデックスが 1 つ上に引き上げられました。</p>\n\
<p><img src=\"./images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\" alt=\"\">以前使用可能だったプロパティ <code>snapMode.useAxisCenterAsStartSnap</code> Point は、<strong>3ds Max 2011</strong> で<strong>廃止されました</strong>。</p>\n\
<h3 id=\"importer-\">Importer プラグイン</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/sketchUp-ImporterPlugin.html\">sketchUp : ImporterPlugin</a></p>\n\
<p>新しい ImporterPlugin です。Google SketchUp ファイルを <strong>3ds Max</strong> に読み込むことができます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/InventorImport-ImporterPlugin.html\">InventorImport : ImporterPlugin</a></p>\n\
<p>新しい ImporterPlugin です。Autodesk Inventor ファイル(.IPT、.WIRE、.IAM)を <strong>3ds Max</strong> に読み込むことができます。</p>\n\
<h3 id=\"-\">既定のオブジェクト名と名前変更</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\"#node-name-suffix-length\">maxOps.NameSuffixLength</a></p>\n\
<p>3ds Max 2011 において、オブジェクト名の既定の桁数は 3 に変更されました。この数は <code>maxOps.NameSuffixLength</code> プロパティを使用してコントロールできます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">uniquename</a></p>\n\
<p><code>uniquename()</code> メソッドは、新しい既定の桁数もサポートし、生成される桁数をコントロールする、新しいオプションのキーワード引数 <code>numDigits</code> も提供されています。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\">mergeMaxFile()</a></p>\n\
<p><code>mergeMaxFile()</code> メソッドでは、新しいオプションのフラグ <code>#autoRenameDups</code> がサポートされるようになりました。このフラグを使用すると、シーン内に既に存在する名前を持つ取り込みオブジェクトの名前が自動的に変更されます。</p>\n\
<h3 id=\"-\">前バージョンとして保存</h3><p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">saveMaxFile()</a></p>\n\
<p><a href=\"./../../../MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\">saveNodes()</a></p>\n\
<p><code>saveMaxFile()</code> メソッドと <code>saveNodes()</code> メソッドで、新しいオプションのキーワード引数 <code>saveAsVersion</code> がサポートされるようになりました。この引数によって、整数値 2010 が受け入れられ、ファイルが指定バージョンの形式で保存されます。値が指定されていない場合、あるいはその他の値が指定された場合は、現在のバージョンのファイル形式が使用されます。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\">Container の SaveContainer メソッド</a></p>\n\
<p>saveContainer() メソッドにおいても、新しいオプションのキーワード引数 saveAsVersion がサポートされるようになりました。この引数によって、整数値 2010 が受け入れられ、ファイルが指定バージョンの形式で保存されます。値が指定されていない場合、あるいはその他の値が指定された場合は、現在のバージョンのファイル形式が使用されます。</p>\n\
<h3 id=\"-\">ファイル アセット タイプ</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\">インタフェース: FileResolutionManager</a></p>\n\
<p>2 つのメソッドが既存のインタフェースに新規追加されました。これらのメソッドにより、アセット タイプにアクセスできます。</p>\n\
<h3 id=\"getclassinstances-rootscene-\">getClassInstances 関数に関する改善と rootScene へのアクセス</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/getClassInstances.html\">getClassInstances()</a></p>\n\
<p><strong>3ds Max 2011</strong> よりも前のバージョンでは、<code>getClassInstances()</code> 関数は、アニメート可能なツリーを列挙することでクラス インスタンスを探していました。オブジェクトのサブアニメーションのセットが、オブジェクトが保持する参照のサブセットであるために、シーンに存在するインスタンスが欠落するケースが数多く生じています。これを解決するために、この関数では、(2 つの新しい引数を含む)引数に応じて、さまざまな方法でクラス インスタンスが検索されるようになりました。</p>\n\
<p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/rootScene-System-Global-Variable.html\">rootScene システム グローバル値</a></p>\n\
<p><a href=\"./../../../MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\"#r\">Max System Globals - R</a></p>\n\
<p>スクリプトのシーン ルートおよびマクロ レコーダを表わします。<code>rootScene</code> のサブアニメーションにはノード階層、マテリアル エディタ、トラック ビュー、および シーン マテリアル ライブラリなどが含まれます。</p>\n\
<h3 id=\"number-\">Number 値</h3><p><a href=\"./../../../MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\">64 ビット値 - Dobule、Integer64、IntegerPtr</a></p>\n\
<p>非常に小さな Double 値の出力が改善されました。</p>\n\
<h3 id=\"maxscript-\">MAXScript のレンダリングおよびビットマップ ページャの改良</h3><p><a href=\"./../../../3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IBitmapPager.html\"#maxscript-rendering-and-bitmap-pager-improvements\">3ds Max 2011 における MAXScript レンダリングとビットマップ ページャに関する改良</a></p>\n\
<p>これまでのリリースでは、MAXScript で複数の render() 呼び出しが実行されると、前回のレンダリング結果がメモリに残り、自動的にリリースされませんでした。それらをリリースするために、ユーザは手動ガベージ コレクションを呼び出さなければなりませんでした。これはメモリを浪費する上、ビットマップ ページャの存在によりディスク スペースも圧迫していました。この問題は、レンダリング後に定期的にガベージ コレクションを自動実行することによって <strong>3ds Max 2011</strong> で修正されました。</p>\n\
\n\
  </div>\n\
\n\
    <div class=\"related-links\">\n\
  \n\
    <div class=\"familylinks\">\n\
      <div class=\"parentLink\">\n\
        <strong>親ページ:</strong> <a class=\"link\" href=\"../What-was-New-in-MAXScript-in-3ds-9.html\">3ds Max 2011 の MaxScript の新機能</a>\n\
      </div>\n\
  \n\
    </div>\n\
  \n\
      <div class=\"relinfo\">\n\
        <h4 class=\"related\">関連ページ</h4>\n\
        <ul>\n\
          <li><a class=\"link\" href=\"Documentation-Changes-in-3ds-Max-1.html\">3ds Max 2011 におけるドキュメントの変更点</a></li>\n\
          <li><a class=\"link\" href=\"../../../What-is-New-in-MAXScript.html\">MAXScript の新機能</a></li>\n\
        </ul>\n\
      </div>\n\
    </div>\n\
\n\
</body>\n\
</html>\n\
";